var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D839F477-A534-4764-BC16-93B702F72807\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Animation Controllers</h1></div><p>All animation in <strong>3ds Max</strong> is implemented using one of the many <strong>controller</strong> classes accessible in the Track View and Motion Panel, or assigned automatically by <strong>3ds Max</strong> when you use the Animate button to do keyframing. Certain controllers (keyframeable controllers) store their animation values as <strong>keys</strong>.</p>\n\
<p>This section includes topics that discuss all aspects of scripting <strong>3ds Max</strong> controllers and the Key classes used in keyframing.</p>\n\
<p><a href=\"Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></p>\n\
<p><a href=\"Controller-Common-Properties/Controller-Time-Functions.html\">Controller Time Functions</a></p>\n\
<p><a href=\"Controller-Common-Properties/Controller-Key-Functions.html\">Controller Key Functions</a></p>\n\
<p><a href=\"Controller-Common-Properties/Time-and-Key-Functions-on-Object.html\">Time and Key Functions on Object Hierarchies</a></p>\n\
<p><a href=\"Controller-Common-Properties/Controller-Out-Of-Range.html\">Controller Out-Of-Range Functions</a></p>\n\
<p><a href=\"Controller-Common-Properties/Controller-Ease-and-Multiplier.html\">Controller Ease and Multiplier Curve Functions</a></p>\n\
<p><a href=\"Controller-Common-Properties/Controller-Key-Reducer.html\">Controller Key Reducer</a></p>\n\
<p><a href=\"Controller-Types/Controllers-Superclass-Level.html\">Controllers - Superclass Level</a></p>\n\
<p>The controllers are arranged in a hierarchy of superclasses and classes. All classes in a superclass output a specific data type (for example, Float or Point3). Each animatable property in <strong>3ds Max</strong> has a data type, and any of the classes in the superclass that outputs that data type can be assigned that property. So, for example, the linear_float and noise_float controllers are classes in the Float superclass, and either can be assigned to the <code>height</code> property of a box, which has a Float data type.</p>\n\
<p>The list of controller superclasses can be determined using the <code>apropos()</code> function:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">apropos &quot;controller:super&quot;\n\
</code></pre><p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">apropos&quot;controller:super&quot;\n\
PointControllerContainer (const MAXSuperClass): PointControllerContainer\n\
DriverBlockController (const MAXSuperClass): DriverBlockController\n\
MorphController (const MAXSuperClass): MorphController\n\
Matrix3Controller (const MAXSuperClass): Matrix3Controller\n\
Point2Controller (const MAXSuperClass): Point2Controller\n\
floatController (const MAXSuperClass): floatController\n\
point3Controller (const MAXSuperClass): point3Controller\n\
point4Controller (const MAXSuperClass): point4Controller\n\
positionController (const MAXSuperClass): positionController\n\
rotationController (const MAXSuperClass): rotationController\n\
scaleController (const MAXSuperClass): scaleController\n\
OK\n\
</code></pre><p>The list of available controllers can be determined using the <code>showClass()</code> function:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showClass &quot;*: *controller*&quot;\n\
</code></pre><p>which lists all the known classes that have &quot;controller&quot; in their superclass name.</p>\n\
<p>The controllers include, at least, <strong>3ds Max</strong>&#x2019;s core controllers and any 3 rd -party plug-in controllers. In some cases, embedded controllers for some complex plug-ins may be visible in the <code>showClass()</code> listing (such as for Character Studio). You should <strong>not</strong> attempt to create and use these controllers individually, this may result in system exceptions.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Controllers.html\">Animation Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";