var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4F0CBB0A-28B1-4182-8164-2BB730C86D06\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Position_Constraint - superclass: PositionController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Position_Constraint - superclass: PositionController; super-superclass:MAXWrapper - 1:0 - classID: #(8217, 0) </code></pre><p>A position constraint causes an object to follow the position of an object or the averaged position of several objects.</p>\n\
<p>In order to activate, a position constraint requires an object and a target object. Once assigned the object becomes constrained to the target objects position. Animating the target&apos;s position causes the constrained object to follow.</p>\n\
<p>Each target has a weight value defining its influence. A value of 0 is equal to off. Any value greater than 0 will cause the target to influence the constrained object. Weight values might be animated to create effects such as, a ball being picked up from a table.</p>\n\
<p>Multiple targets can be used to influence a constrained object. When using multiple targets, each target&apos;s weight value defines how much it influences the constrained object. For example, if a sphere is Position constrained between two targets and each target&apos;s weight value is 100, then the sphere will maintain an equal distance between both targets even when they are in motion. If one of the weight values is 0 and the other is 50, then the Sphere is only influenced by the target with the higher value.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Position_Constraint...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Position_Constraint&gt;.relative Boolean default: false -- boolean </code></pre><p><strong>Position_Constraint interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:constraints </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumTargets () </code></pre><p>Returns the number of target nodes in the target list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;getNode &lt;index&gt;targetNumber </code></pre><p>Returns the indexed target node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getWeight &lt;index&gt;targetNumber </code></pre><p>Returns the weight of the indexed target if the <code>targetNumber</code> is relevant, 0.0 otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setWeight &lt;index&gt;targetNumber &lt;float&gt;weight </code></pre><p>Sets the weight of the indexed node specified by <code>targetNumber</code> . Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;appendTarget &lt;node&gt;target&lt;float&gt;weight </code></pre><p>Appends the specified node to the list and sets its weight to the specified value. Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;deleteTarget &lt;index&gt;targetNumber </code></pre><p>Deletes the indexed target. Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s = sphere pos:[20,20,20]\n\
   b = box pos:[-20,-20,-20]\n\
   posCtrl =Position_Constraint()\n\
   s.pos.controller = posCtrl\n\
   posConstraintInterface = posCtrl.constraints\n\
   posConstraintInterface.appendTarget $box001 20.0\n\
   node1 = posConstraintInterface.getNode 1\n\
   weight = posConstraintInterface.getWeight 1\n\
   posConstraintInterface.setWeight 1 0.0\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Constraints.html\">Constraints</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Link_Constraint-superclass.html\">Link_Constraint - superclass: Matrix3Controller</a></li>\n\
          <li><a class=\"link\" href=\"LookAt_Constraint-superclass.html\">LookAt_Constraint - superclass: RotationController</a></li>\n\
          <li><a class=\"link\" href=\"Orientation_Constraint.html\">Orientation_Constraint - superclass: RotationController</a></li>\n\
          <li><a class=\"link\" href=\"Path_Constraint-superclass.html\">Path_Constraint - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Functions-for-use.html\">Controller Functions for use with Constraint Assignments</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";