var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B0AE3E3F-140A-49A2-844B-3C398BA97569\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Controller Common Properties, Operators, and Methods</h1></div><p><strong>Properties</strong></p>\n\
<p>All controllers have the following properties:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;.keys MAXKeyArray -- read-only, the controller&#x2019;s key array \n\
&lt;controller&gt;.value varies -- get or set the current controller value      </code></pre><p>The <code>keys</code> and <code>value</code> properties provide access to the value and keys in a free-standing controller. It is useful when working with the global tracks controllers that are accessible in MAXScript. The controllers that are not keyframeable return an empty KeyArray for their <code>keys</code> property.</p>\n\
<p>The <code>value</code> property is sensitive to the current time and animate contexts, so you can use it to evaluate a controller at various times or to plant keyframes in the controllers that support keys.</p>\n\
<p>You can only assign a value to a controller&#x2019;s <code>value</code> property if the controller is a key-based controller. The only exception to this is that you can assign a Matrix3 value to a PRS controller&#x2019;s <code>value</code> property. MAXScript automatically sets the individual position, rotation, and scale values to the values represented in the Matrix3 value.</p>\n\
<p>If an Ease Curve is assigned to a controller, the following controller-related sub-property is available:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;.Ease_Curve Float -- the controller&#x2019;s ease curve value   </code></pre><p>If a MultiplierCurve is assigned to a controller, the following controller-related sub-property is available:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;.Multiplier_Curve Float -- the controller&#x2019;s multiplier curve value </code></pre><p>See <a href=\"Controller-Ease-and-Multiplier.html\">Ease and Multiplier Curve Functions</a> for methods and notes related to Ease and Multiplier curves.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   globaltracks.float.mycontroller.value\n\
   globaltracks.float.mycontroller.keys[2]\n\
</code></pre></blockquote>\n\
<p><strong>Associated Properties</strong></p>\n\
<p>All animatable properties in <strong>3ds Max</strong> objects let you reference several controller-related sub-properties. These are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;property&gt;.controller </code></pre><p>The property&#x2019;s controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;property&gt;.track </code></pre><p>A synonym for .controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;property&gt;.isAnimated </code></pre><p>A boolean indicating whether the property is animated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;property&gt;.keys </code></pre><p>Read-only, gets the property&#x2019;s controller&#x2019;s key array</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;property&gt;.supportsKeys </code></pre><p>Read-only, boolean, true if controller is key-framable</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;property&gt;.keyable </code></pre><p>Boolean, true if controller is keyable, false if set to unkeyable</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;property&gt;.isHSV </code></pre><p>Read-only, boolean, true if controller&apos;s value represent HSV colors</p>\n\
<p>The <code>track</code> property is a simple synonym for <code>controller</code> . If an animatable property does not have an assigned controller, the <code>isAnimated</code> property returns <code>false</code> and the <code>controller</code> , <code>track</code> , and <code>keys</code> properties return <code>undefined</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.pos.controller\n\
   bend_mod1.angle.isAnimated\n\
   $bar.taper.gizmo.scale.keys[2]\n\
</code></pre></blockquote>\n\
<p>You can create controllers like other <strong>3ds Max</strong> objects by calling the class&apos; constructor function:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   c = bezier_position()\n\
</code></pre></blockquote>\n\
<p>and assign them to animatable properties by assigning to the controller property in those animatables.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.pos.controller = c\n\
   $baz.bend.gizmo.rotation.controller = tcb_rotation()\n\
   $box01.length = linear_float()\n\
</code></pre></blockquote>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPointControllers {&lt;editable_mesh_node&gt; | &lt;editable_spline_node&gt;} </code></pre><p>Returns an array of controllers assigned to the vertices in the mesh or spline. If no controller is assigned to a vertex, the array element value will be undefined. For editable splines, each knot consists of three vertices: the in vector, knot, and out vector. The array of controllers returned is a &quot;snapshot&quot; of the current controllers. If controllers are assigned or changed for a vertex, this change is not reflected in the array. If a vertex is added/deleted, the array is not resized to reflect the change in number of vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPointController &lt;editable_mesh_node&gt; &lt;vertex_index_integer&gt; </code></pre><p>Returns the controller currently assigned to the vertex, undefined if no controller is assigned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPointController &lt;editable_spline_node&gt; &lt;spline_index_integer&gt; &lt;vertex_index_integer&gt; </code></pre><p>Returns the controller for specified vertex in the specified spline, undefined if no controller is assigned. Each spline knot consists of three vertices: the in vector, knot, and out vector.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Applying a controller to a property causes the controller to take on the properties value at frame 0. If keys are present for the controller before the assignment to the property, all keys will be adjusted by the difference between the controller&#x2019;s value at frame 0 and the property&#x2019;s value. This is shown in the following example.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a=bezier_float ()\n\
   addnewkey a 0\n\
   addnewkey a 10\n\
   a.keys[1].value=10\n\
   a.keys[2].value=100\n\
   b=box()\n\
   b.height\n\
   b.height.controller=a\n\
   b.height\n\
   at time 10 b.height\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Controller:Bezier_Float-- result line 1\n\
   #Bezier Float key(1 @ 0f)-- result line 2\n\
   #Bezier Float key(2 @ 10f)-- result line 3\n\
   10-- result line 4, key value at time 0\n\
   100-- result line 5, key value at time 10\n\
   $Box:Box006 @ [0.000000,0.000000,0.000000]-- result line 6\n\
   25.0-- result line 7, default property value\n\
   Controller:Bezier_Float-- result line 8\n\
   10.0-- result line 9, key value changed from 10 to 25 (delta= +15)\n\
   100.0-- result line 10, key value changed by delta = +15\n\
</code></pre><p>   An issue can occur when a single controller is assigned to multiple object properties. The value actually stored in a controller might not necessarily be the same value seen in Track View or in the command panels, nor the same value returned by accessing the property value in MAXScript. Part of a MAXWrapper property definition is scaling value that is applied when reading or setting the true value stored in a controller. For example, the <code>slice_to</code> and <code>slice_from</code> properties associated with many of the geometry primitives is displayed in degrees. The actual value stored in the controller associated with these properties are in radians. This scaling factor is an internal property of the MAXWrapper property, and not an internal property of the controller. Both <strong>3ds Max</strong> and MAXScript automatically apply the specified scaling factor when accessing properties, so this scaling is normally invisible to the user. If the same controller is assigned to two properties that have different scaling factors, the question arises as to which scaling factor to apply to the output of the controller. If you are accessing the controller&#x2019;s value through a MAXWrapper property, the scaling factor associated with that property is applied to the controller&#x2019;s value. MAXScript also internally stores the last scaling factor applied to the controller&#x2019;s value. If you are directly accessing the <code>value</code> property of the controller, or the <code>value</code> property of a key in the controller, the stored scaling factor is used. This can result in a controller&#x2019;s <code>value</code> property returning different values at different times in a script, based on how the controller was last accessed. Because of this, it is highly recommended that you do not instance a controller onto multiple MAXWrapper properties that have different scaling factors. The scaling factor, if any, is listed for each MAXWrapper property in the documentation of the MAXWrapper classes.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">displayControlDialog &lt;controller&gt; &lt;string&gt; </code></pre><p>Displays the modal controller dialog, if any. The string will be in the dialog title bar. If the controller is a keyframe controller, the key info dialog is displayed for the selected keys. If no keys are selected, no dialog is displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clearControllerNewFlag &lt;controller&gt; </code></pre><p>Clears the &apos;new&apos; flag on the MAXScript wrapper for the controller.</p>\n\
<p>When this flag is set, when you assign the controller to a property, the initial value of the controller is set to the property value.</p>\n\
<p>When you create an instance of a controller, this flag is set.</p>\n\
<p>It is normally cleared only after the controller is assigned to a property.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, it was available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isController &lt;value&gt; </code></pre><p>Returns true if the value wraps a controller.</p>\n\
<p>Controllers that can be keyframed support several time and key-related functions as described in the following topics:</p>\n\
<p><a href=\"Controller-Time-Functions.html\">Controller Time Functions</a></p>\n\
<p><a href=\"Controller-Key-Functions.html\">Controller Key Functions</a></p>\n\
<p><a href=\"Controller-Out-Of-Range.html\">Controller Out-Of-Range Functions</a></p>\n\
<p><a href=\"Controller-Ease-and-Multiplier.html\">Controller Ease and Multiplier Curve Functions</a></p>\n\
<p><a href=\"Controller-Key-Reducer.html\">Controller Key Reducer</a></p>\n\
<p><a href=\"ControllermapKeys-Method.html\">ControllermapKeys() method</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Common-Properties.html\">Controller Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/MAXKey-Values/MAXKey-Common-Properties.html\">MAXKey Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";