var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-71299FC9-9EE4-45EB-AF7D-146F31EB6AC6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Controller Time Functions</h1></div><h2 id=\"time-range-operations-\">Time Range Operations:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTimeRange &lt;controller&gt; [#selOnly] [#allKeys] [#children]         </code></pre><p>Returns a time Interval value specifying the range of time covered by keys in the controller. The optional symbolic arguments specify options:</p>\n\
<div class=\"head-block\"><h1><code>selOnly</code> : return the time range covered by the currently selected keys (in the track view)</h1></div><div class=\"head-block\"><h1><code>allKeys</code> (default): the time range for all keys in the controller</h1></div><div class=\"head-block\"><h1><code>children</code> : descends into sub-controllers and returns the total time interval covering all keys in all sub-controllers</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setTimeRange &lt;controller&gt; [&lt;interval&gt;] [#linkToKeys]      </code></pre><p>Sets the time range to be an interval other than that covered by existing keys, typically to influence when the out-of-range methods take over. If the optional <code>#linkToKeys</code> argument is given any keys exactly at the start or end of the given interval become anchors for the time range and moving them move the time range for the controller.</p>\n\
<p>If you call <code>setTimeRange()</code> with just the single argument, <code>#linkToKeys</code> , it will set the time range to the current start and end keysin all the controllers affected,</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setTimeRange $box* #linkToKeys\n\
</code></pre></blockquote>\n\
<p>This is equivalent to the Recouple Ranges function in the Position Ranges mode in Track View.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When the <code>#linkToKeys</code> argument is not supplied, only the supplied controller will be affected. When the <code>#linkToKeys</code> argument is supplied, the function will also affect recursively all sub-controllers.</div>\n\
<h2 id=\"time-operations-\">Time Operations:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">supportsTimeOperations &lt;ctrl&gt;   </code></pre><p>returns <code>true</code> or <code>false</code> depending on whether the controller supports the following time operations</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTime &lt;controller&gt; &lt;interval&gt; [#incLeft] [#incRight] [#noSlide] </code></pre><p>Deletes an interval of time from the controller, removing all the keys with that interval and, by default, sliding the keys to the right of the interval to the left by the width of the interval. The optional symbolic arguments choose one of several options:</p>\n\
<div class=\"head-block\"><h1><code>incLeft</code> : includes any key exactly at the start time of the interval</h1></div><div class=\"head-block\"><h1><code>incRight</code> : includes any key exactly at the end time of the interval</h1></div><div class=\"head-block\"><h1><code>noSlide</code> : doesn&#x2019;t slide the later keys to fill in the gap removed- this effectively just deletes any keys in the interval.</h1></div><p>The <code>&lt;interval&gt;</code> argument can be specified as an Interval value or as two numbers or time values defining the start and end times. Number values are taken as <strong>frame</strong> numbers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">reverseTime &lt;controller&gt; &lt;interval&gt; [#incLeft] [#incRight] </code></pre><p>Reverses time in the given interval, essentially swapping keys around so that their time placements are reversed within the interval. The notes on inclusion and interval arguments from <code>deleteTime()</code> apply.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scaleTime &lt;controller&gt; &lt;interval&gt; &lt;float_scale&gt; </code></pre><p>Scales the times of the keys within the given interval. Again, the <code>&lt;interval&gt;</code> argument can be specified as an Interval value or as two numbers or time values defining the start and end times. Number values are taken as <strong>frame</strong> counts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">insertTime &lt;controller&gt; &lt;at_time&gt; &lt;amount_time&gt; </code></pre><p>Inserts a block of time at the specified time, effectively moving all later keys out in time by the amount inserted. The times can be numbers or Time values. Numbers are taken as frame counts.</p>\n\
<p>The following script shows example usages of some of the above methods.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- controller test bed 1\n\
   b=box height:10\n\
   at time 5 animate on b.height=50\n\
   at time 10 animate on b.height=100\n\
   bhc=b.height.controller\n\
   bhk=bhc.keys\n\
   supportstimeoperations bhc\n\
   deletetime bhc 4 5\n\
   bhk\n\
   deletetime bhc 4 5 #incLeft\n\
   bhk\n\
   deletetime bhc 1 4 #noslide\n\
   bhk\n\
   at time 5 animate on b.height=50\n\
   deletetime bhc (interval 5 8) #incLeft\n\
   bhk\n\
   at time 10 animate on b.height=150\n\
   for k in bhk do format &quot;%:%\\n&quot;k.time k.value\n\
   reversetime bhc 5 15 #incLeft #incRight\n\
   for k in bhk do format &quot;%:%\\n&quot;k.time k.value\n\
   insertTime bhc 12 5\n\
   bhk\n\
   getTimeRange bhc\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Common-Properties.html\">Controller Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Controller-Key-Functions.html\">Controller Key Functions</a></li>\n\
          <li><a class=\"link\" href=\"Time-and-Key-Functions-on-Object.html\">Time and Key Functions on Object Hierarchies</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";