var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-76F76CB2-1026-447E-8DEE-23A57FB29C25\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bezier Controller Keys</h1></div><p>For Bezier controller keys, the following properties are accessible:</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key&gt;.time Time</code></pre><p>Time value or number (interpreted as frames)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key&gt;.selected Boolean</code></pre><p>Specifies whether the key is selected</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key&gt;.value varies</code></pre><p>Class determined by its containing controller</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key&gt;.inTangent varies-- float or point3 (see below)\n\
&lt;key&gt;.outTangent varies-- float or point3 (see below)\n\
&lt;key&gt;.inTangentType Name-- see list of permitted names below\n\
&lt;key&gt;.outTangentType Name-- see list of permitted names below\n\
&lt;key&gt;.inTangentLength Float\n\
&lt;key&gt;.outTangentLength Float\n\
&lt;key&gt;.freeHandle Boolean\n\
&lt;key&gt;.x_locked Boolean default: true\n\
&lt;key&gt;.y_locked Boolean default: true\n\
&lt;key&gt;.z_locked Boolean default: true\n\
&lt;key&gt;.constantVelocity Boolean default: false</code></pre><p>The <code>.inTangent</code> and <code>.outTangent</code> values are Floats in keys of float controllers and Point3s for the other appropriate controllers. Default value is 0 for float controllers, [0,0,0] otherwise.</p>\n\
<p>The <code>.inTangentType</code> and <code>.outTangentType</code> properties have symbolic name values representing the possible tangent types available in the drop-down menu in the Bezier key property dialog:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#smooth #linear #step #fast #slow #custom #auto</code></pre><p><code>.inTangentLength</code> and <code>.outTangentLength</code> , (typically a fraction from 0 to 1) represent how long the handle is towards the adjacent key. For example, a value of 0.5 means the handle reaches halfway from the current key to the adjacent key, and a value of 1 reaches all the way. If the handle reaches beyond the adjacent key, it will be greater than one. If there is no previous key, the value of <code>.inTangentLength</code> will be -1.</p>\n\
<p>There is a check box to the key property/Driver Point control dialog found in the Motion Panel. It is called Free Handle. When Free Handle is checked, the user can move the horizontal handle. Otherwise, the user is constrained to prevent discontinuities.</p>\n\
<p>Correspondingly, there is a bezier key property called <code>.freeHandle</code> that implements the functionality described above.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = sphere()\n\
c = bezier_position ()-- create and assign new controller\n\
s.pos.controller = c\n\
k = addNewKey c 0f-- add a key at frame 0\n\
k.value = [10,0,0]-- set value there\n\
k.outTangentType = #slow-- and outgoing tangent type\n\
k = addNewKey c 100f-- add another key at 100\n\
k.value = [200,10,0]-- set value\n\
k.inTangentType = #custom-- make inTangent custom\n\
k.inTangent = [0.2, 0.02, 0.112]-- set its tangents\n\
k.x_locked = false-- and unlock handles\n\
</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> There are a fair number of classes that do not implement the <code>showproperties</code> method. MAXKey is one of them. <code>.getPropNames</code> is not implemented for it either.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Bezier-Controllers.html\">Bezier Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/MAXKey-Values/MAXKey-Common-Properties.html\">MAXKey Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"Bezier-Controllers-1.html\">Bezier Controllers</a></li>\n\
          <li><a class=\"link\" href=\"BezierDefaultParams-Structure.html\">BezierDefaultParams Structure</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";