var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FC68369C-232D-4040-B223-F67978A4A5A1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Expression Controllers</h1></div><p>The <strong>Expression</strong> controllers in <strong>3ds Max 8 and higher</strong> have been completely exposed to MAXScript via the <strong>IExprCtrl</strong> interface documented below.</p>\n\
<p>In versions prior to <strong>3ds Max 8</strong>, there were no properties or methods accessible for Expression controllers.</p>\n\
<p><strong>The following Expression controllers are available:</strong></p>\n\
<p><a href=\"Float-Controllers/Float_Expression-FloatController.html\">Float_Expression : FloatController</a></p>\n\
<p><a href=\"Point3-Controllers/Point3_Expression.html\">Point3_Expression : Point3Controller</a></p>\n\
<p><a href=\"Position-Controllers/Position_Expression.html\">Position_Expression : PositionController</a></p>\n\
<p><a href=\"Scale-Controllers/Scale_Expression-ScaleController.html\">Scale_Expression : ScaleController</a></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;expression_controller&gt;.ThrowOnError Bool default:true      </code></pre><p>Controls whether to throw when an error occurs in the expression.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<p>All expression controllers expose the <strong>IExprCtrl</strong> Interface since <strong>3ds Max 8</strong> . This interface provides all methods to access the controller through MAXScript:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IExprCtrl - Expression Controller Interface</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetExpression &lt;string&gt;Expression </code></pre><p>Sets the expression string to the string passed by-reference. Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;GetExpression()</code></pre><p>Returns the expression string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;NumScalars () </code></pre><p>Returns the number of scalars defined in the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;NumVectors () </code></pre><p>Returns the number of vectors defined in the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AddScalarTarget &lt;string&gt;Name &lt;value&gt;Target Offset:&lt;time&gt; Owner:&lt;maxObject&gt;\n\
       Offset default value: 0f\n\
       Owner default value: undefined</code></pre><p>Adds a scalar target. The first argument is the name of the scalar. The second argument is the target to be connected to the scalar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AddVectorTarget &lt;string&gt;Name &lt;value&gt;Target Offset:&lt;time&gt; Owner:&lt;maxObject&gt;\n\
       Offset default value: 0f\n\
       Owner default value: undefined</code></pre><p>Adds a vector target. The first argument is the name of the vector. The second argument is the target to be connected to the vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AddVectorNode &lt;string&gt;Name &lt;node&gt;Node Offset:&lt;time&gt;\n\
       Offset default value: 0f</code></pre><p>Adds a vector node. The first argument is the name of the vector. The second argument is the node to be connected to the vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AddScalarConstant &lt;string&gt;Name &lt;float&gt;Constant </code></pre><p>Adds a scalar constant. The first argument is the name of the scalar. The second argument is the constant value to be assigned to the scalar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AddVectorConstant &lt;string&gt;Name &lt;point3&gt;Constant</code></pre><p>Adds a vector constant. The first argument is the name of the vector. The second argument is the constant value to be assigned to the vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetScalarTarget &lt;value&gt;Which &lt;value&gt;Target Owner:&lt;maxObject&gt;\n\
       Owner default value: undefined</code></pre><p>Sets the target of the given scalar variable. Returns true on success, false otherwise. The optional Owner parameter can be supplied to specify the owner of the target track in case the target is instanced across multiple objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetVectorTarget &lt;value&gt;Which &lt;value&gt;Target Owner:&lt;maxObject&gt; \n\
\n\
Owner default value: undefined </code></pre><p>Sets the target of the given vector variable. Returns true on success, false otherwise. The optional Owner parameter can be supplied to specify the owner of the target track in case the target is instanced across multiple objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetVectorNode &lt;value&gt;Which &lt;node&gt;Node </code></pre><p>Sets the node of the given vector variable. Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetScalarConstant &lt;value&gt;Which &lt;float&gt;Constant </code></pre><p>Sets the value of the given scalar variable to the specified constant value. Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetVectorConstant &lt;value&gt;Which &lt;point3&gt;Constant </code></pre><p>Sets the value of the given vector variable to the specified constant value. Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DeleteVariable &lt;string&gt;Name </code></pre><p>Deletes the variable with the given name. Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;GetDescription()</code></pre><p>Returns the description string of the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetDescription &lt;string&gt;Description</code></pre><p>Sets the description string of the controller to the specified by-reference string argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;GetOffset &lt;string&gt;Name</code></pre><p>Returns the offset of the given variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetOffset &lt;string&gt;Name &lt;time&gt;Offset</code></pre><p>Sets the offset of the given variable to the specified time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Update () </code></pre><p>Updates the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;VariableExists &lt;string&gt;Name</code></pre><p>Returns true if the named variable exists, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetScalarConstant &lt;value&gt;Which </code></pre><p>Returns the value of the given scalar constant.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;GetScalarTarget &lt;value&gt;Which asController:&lt;boolean&gt; \n\
\n\
asController default value: false </code></pre><p>Returns the target of the given scalar variable. If the optional asController parameter is set to true, the result will be a controller value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3 by value&gt;GetVectorConstant &lt;value&gt;Which </code></pre><p>Returns the value of the given vector constant.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;GetVectorTarget &lt;value&gt;Which asController:&lt;boolean&gt; \n\
\n\
asController default value: false </code></pre><p>Returns the target of the given vector variable. If the optional asController parameter is set to true, the result will be a controller value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;GetVectorNode &lt;value&gt;Which </code></pre><p>Returns the node of the given vector variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetScalarValue &lt;value&gt;Which </code></pre><p>Returns the value of the given scalar variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3 by value&gt;GetVectorValue &lt;value&gt;Which </code></pre><p>Returns the value of the given vector variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;GetValue &lt;string&gt;Name</code></pre><p>Returns the value of the named variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;GetScalarType &lt;value&gt;Which \n\
\n\
GetScalarType enums: {#unknown | #scalarTarget | #scalarConstant | #vectorTarget | #vectorConstant | #vectorNode} </code></pre><p>Returns the type of the given scalar variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;GetVectorType &lt;value&gt;Which \n\
\n\
GetVectorType enums: {#unknown | #scalarTarget | #scalarConstant | #vectorTarget | #vectorConstant | #vectorNode} </code></pre><p>Returns the type of the given vector variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;GetValueType &lt;string&gt;Name\n\
    GetValueType enums: {#unknown | #scalarTarget | #scalarConstant | #vectorTarget | #vectorConstant | #vectorNode} </code></pre><p>Returns the value type of the given variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;GetScalarName &lt;index&gt;Index </code></pre><p>Returns the name of the indexed scalar variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;GetVectorName &lt;index&gt;Index </code></pre><p>Returns the name of the indexed vector variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetScalarIndex &lt;string&gt;Name</code></pre><p>Returns the index of the named scalar variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetVectorIndex &lt;string&gt;Name</code></pre><p>Returns the index of the named vector variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;PrintDetails () </code></pre><p>Prints information about the expression controller, including description string, expression code, scalars and vectors details.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<ul>\n\
<li>To change the existing value for a variable, you can also use the appropriate <code>AddScalarTarget(),</code> <code>AddVectorTarget(),</code> <code>AddVectorNode(),</code> <code>AddScalarConstant(),</code> or <code>AddVectorConstant().</code> Using these methods will also set the offset value.</li>\n\
<li>You <strong>cannot</strong> change the type of a variable (Scalar/Vector) - you must remove the variable and add it as the new type.</li>\n\
<li>The <code>&lt;value&gt; Target</code> argument to <code>AddScalarTarget(),</code> <code>AddVectorTarget()</code> and <code>AddVectorNode()</code> can be either a controller or a subAnim value. If it is a controller, the methods will look for the controller under the specified Owner value if supplied, otherwise it will use the first owner found.</li>\n\
<li>For methods that take an argument of <code>&lt;value&gt;Which</code>, the value of Which can be either an integer index or a string name,</li>\n\
<li>Expression controller variable names are <strong>case sensitive!</strong>.</li>\n\
<li>All Function Publishing System operations support undo/redo.</li>\n\
<li>The expression controller&#x2019;s expression is only evaluated by calling <code>SetExpression()</code> and <code>Update()</code> .</li>\n\
</ul>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>There is a <strong>discontinuity</strong> between the MAXScript Debugger window, getting variable values via Function Publishing System and evaluating the expression controller.</p>\n\
<ul>\n\
<li>When working with the Debugger dialog, variable values are shown based on the current slider time.</li>\n\
<li>When accessed via Function Publishing System, the variable values returned are based on the current MXS time.</li>\n\
<li>When evaluating the controller, the result is based on the current time value, but also the range of the controller, the Out-Of-Range Type set for the controller, and any Ease curves applied to the controller.</li>\n\
</ul>\n\
<p>This means that while &apos;NT&apos; might show one value in the Debugger dialog, its value in the evaluation may be different!</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Types.html\">Controller Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";