var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A0051B77-8555-47B8-ADEC-7091AD3F78CC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>float_list : FloatController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">float_list - superclass: FloatController; super-superclass:MAXWrapper - 1:1 - classID: #(1263210496, 0) </code></pre><p>The List controller combines multiple controllers into a single effect. It is a compound controller with tools for managing the order in which its internal controllers are calculated. Controllers are evaluated in a top to bottom order; the controller at the top of the list is evaluated first.</p>\n\
<p>When you assign a List controller to a parameter, the current controller is moved one level below the List controller; it becomes the first controller in the list. A second parameter is added below the List controller and is named Available. This is an empty placeholder for the next controller you add to the list.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">float_list...      \n\
floatList...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float_list&gt;.available Float default: 0.0 -- animatable; float </code></pre><p>Represents the Available sub-controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float_list&gt;.average Boolean default: false -- boolean; Average_Weights </code></pre><p>Controls the state of the &quot;Average Weights&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float_list&gt;.weight ArrayParameter default: #(100.0) -- float array; SubAnim </code></pre><p>Get/set the array of the weights for the List controller&#x2019;s sub-controllers.</p>\n\
<p><strong>List Interfaces</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:list </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.count: integer : Read </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.active: index : Read|Write </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getCount () </code></pre><p>This method returns the number of items that appear in the List controllers list box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setActive &lt;index&gt;listIndex </code></pre><p>This method allows you to sets the indexed item in the list active so its parameters appear in the motion panel, and any input is directed to the indexed sub controller.</p>\n\
<p><code>&lt;index&gt;listIndex:</code>  The index of the item to set as the active item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getActive () </code></pre><p>This method returns the index of the currently active item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;delete &lt;index&gt;listIndex </code></pre><p>This method allows you to delete the indexed sub controller from the list.</p>\n\
<p><code>&lt;index&gt;listIndex:</code>  The index of the item to delete from the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;cut &lt;index&gt; listIndex </code></pre><p>This method allows you to cut the index sub controller from the list and stores it in the buffer to paste later.</p>\n\
<p><code>&lt;index&gt;listIndex</code>: The index of the item you wish to cut.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;paste &lt;index&gt;listIndex </code></pre><p>This method allows you to paste the sub-controller from the buffer into the indexed slot in the list.</p>\n\
<p><code>&lt;index&gt;listIndex</code>: The index of the slot to paste into.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getName &lt;index&gt;listIndex </code></pre><p>This method allows you to paste the sub-controller from the buffer into the indexed slot in the list.</p>\n\
<p><code>&lt;index&gt;listIndex</code>: The index of the item for which to get the name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setName &lt;index&gt;listIndex &lt;string&gt;name </code></pre><p>This method allows you to set the name of an indexed item.</p>\n\
<p><code>&lt;index&gt;listIndex</code>: The index of the item.</p>\n\
<p><code>&lt;string&gt;name</code>: The name to set it to.</p>\n\
<p>See Also Class <strong>IlistControl</strong>, in the SDK Help file accompanying this product.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Float-Controllers.html\">Float Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../List-Controllers.html\">List Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../Point3-Controllers/point3_list-Point3Controller.html\">point3_list : Point3Controller</a></li>\n\
          <li><a class=\"link\" href=\"../Position-Controllers/position_list-PositionController.html\">position_list : PositionController</a></li>\n\
          <li><a class=\"link\" href=\"../Rotation-Controllers/rotation_list-RotationController.html\">rotation_list : RotationController</a></li>\n\
          <li><a class=\"link\" href=\"../Scale-Controllers/scale_list-ScaleController.html\">scale_list : ScaleController</a></li>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";