var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D259F92F-5E96-4167-A0D8-3569BBAAC0DC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Reactor Controllers</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">float_Reactor : floatController  point3_Reactor : point3Controller position_Reactor : positionController rotation_Reactor : rotationController scale_Reactor : scaleController </code></pre><p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">float_Reactor ... point3_Reactor ... position_Reactor ... rotation_Reactor ... scale_Reactor ... </code></pre><p><strong>Individual Controller ClassDescriptions:</strong></p>\n\
<p><a href=\"./../Float-Controllers/FloatReactor-superclass.html\">FloatReactor: FloatController</a></p>\n\
<p><a href=\"./../Point3-Controllers/Point3Reactor-superclass.html\">Point3Reactor: Point3Controller</a></p>\n\
<p><a href=\"./../Position-Controllers/PositionReactor-superclass.html\">PositionReactor: PositionController</a></p>\n\
<p><a href=\"./../Rotation-Controllers/Rotation_Reactor.html\">Rotation_Reactor : RotationController</a></p>\n\
<p><a href=\"./../Scale-Controllers/Scale_Reactor-ScaleController.html\">Scale_Reactor : ScaleController</a></p>\n\
<p><strong>Reaction Manager Interface:</strong></p>\n\
<p><a href=\"./../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-reactionMgr.html\">Interface: reactionMgr</a></p>\n\
<p><strong>CommonMethods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">createReaction &lt;reactor_controller&gt; </code></pre><p>Creates a new reaction for the specified reactor controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteReaction &lt;reactor_controller&gt; &lt;index_integer&gt; </code></pre><p>Deletes the specified reaction. <code>&lt;index_integer&gt;</code> is the reaction you want to delete. The order of reactions is the order in which they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">reactTo &lt;reactor_controller&gt; ( &lt;controller&gt; | &lt;node&gt; ) </code></pre><p>Sets the controller that the reactor controller reacts to. You can either specify either a controller you want to react to or a node whose world position to react to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getReactionCount &lt;reactor_controller&gt; </code></pre><p>Returns the number of reactions for the specified reactor controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectReaction &lt;reactor_controller&gt; &lt;index_integer&gt; </code></pre><p>Selects the specified reaction. <code>&lt;index_integer&gt;</code> is the reaction you want to select. The order of reactions is the order in which they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSelectedReactionNum &lt;reactor_controller&gt; </code></pre><p>Returns the number of the selected reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getReactionFalloff &lt;reactor_controller&gt; &lt;index_integer&gt; </code></pre><p>Returns the specified reaction&#x2019;s falloff. <code>&lt;index_integer&gt;</code> is the reaction you want to get the falloff from. The order of reactions is the order in which they are created, and the order in which the reactions are listed in the Reactor Parameters dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setReactionFalloff &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;float&gt; </code></pre><p>Sets the specified reaction&#x2019;s falloff to the specified value. <code>&lt;index_integer&gt;</code> is the reaction you want to set the falloff for. The order of reactions is the order in which they are created, and the order in which the reactions are listed in the Reactor Parameters dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getReactionInfluence &lt;reactor_controller&gt; &lt;index_integer&gt; </code></pre><p>Returns the specified reaction&#x2019;s influence. <code>&lt;index_integer&gt;</code> is the reaction you want to get the influence from. The order of reactions is the order in which they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setReactionInfluence &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;float&gt; </code></pre><p>Sets the specified reaction&#x2019;s influence to the specified value. <code>&lt;index_integer&gt;</code> is the reaction you want to set the influence for. The order of reactions is the order in which they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getReactionStrength &lt;reactor_controller&gt; &lt;index_integer&gt; </code></pre><p>Returns the specified reaction&#x2019;s strength. <code>&lt;index_integer&gt;</code> is the reaction you want to get the strength from. The order of reactions is the order in which they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setReactionStrength &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;float&gt; </code></pre><p>Sets the specified reaction&#x2019;s strength to the specified value. <code>&lt;index_integer&gt;</code> is the reaction you want to set the strength for. The order of reactions is the order in which they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getReactionState &lt;reactor_controller&gt; &lt;index_integer&gt; </code></pre><p>Returns the specified reaction&#x2019;s state. The value type returned matches the reactor controller type. <code>&lt;index_integer&gt;</code> is the reaction you want to get the state from. The order of reactions is the order in which they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setReactionState &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;value&gt; </code></pre><p>Sets the specified reaction&#x2019;s state to the specified value. <code>&lt;index_integer&gt;</code> is the reaction you want to set the state for. The order of reactions is the order in which they are created. The <code>&lt;value&gt;</code> type must match the reactor controller type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getReactionValue &lt;reactor_controller&gt; &lt;index_integer&gt; </code></pre><p>Returns the specified reaction&#x2019;s value. The return value type is the same as the controller type being reacted to. <code>&lt;index_integer&gt;</code> is the reaction you want to get the value from. The order of reactions is the order in which they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setReactionValue &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;value&gt; </code></pre><p>Sets the specified reaction&#x2019;s value to the specified value. <code>&lt;index_integer&gt;</code> is the reaction you want to set the value for. The order of reactions is the order in which they are created. The <code>&lt;value&gt;</code> type must match the controller type being reacted to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setReactionName &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;string&gt; </code></pre><p>Sets the name of the specified reaction. <code>&lt;index_integer&gt;</code> is the reaction you want to set the name for. The order of reactions is theorder in which they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getReactionName &lt;reactor_controller&gt; &lt;which&gt; </code></pre><p>Returns the specified reaction&#x2019;s name. <code>&lt;index_integer&gt;</code> is the reaction you want to get the name of. The order of reactions is the order in which they are created.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Setup a scene\n\
   b1 = box name:&quot;box01&quot; pos:[-32.5492,-21.2796,0] -- create two boxes\n\
   b2 = box name:&quot;box02&quot; pos:[51.3844,-17.2801,0]\n\
   animate on at time 100 b1.pos = [-48.2522,167.132,0]-- animate position of one box\n\
   --\n\
   --Assign a reactor, pick the react to object, and create reactions\n\
   cont = b2.pos.controller = position_Reactor ()\n\
   --\n\
   --you can either react to a controller\n\
   reactTo cont b1.pos.controller\n\
   --or a node (the World Space position of the box)\n\
   --reactTo cont b1\n\
   --\n\
   slidertime = 100\n\
   createReaction cont\n\
   slidertime = 50\n\
   createReaction cont\n\
   deleteReaction cont 3\n\
   --\n\
   --Set the reaction parameters\n\
   setReactionState cont 2 [65.8385,174.579,0]\n\
   selectReaction cont 1\n\
   setReactionInfluence cont 1 100\n\
   setReactionStrength cont 1 1.2\n\
   setReactionFalloff cont 1 1.0\n\
   setReactionValue cont 1 [-40.5492,-20.0,0]\n\
   setReactionName cont 1 &quot;My Reaction&quot;\n\
   --\n\
   --get the reaction parameters\n\
   getReactionInfluence cont 1\n\
   getReactionStrength cont 1\n\
   getReactionFalloff cont 1\n\
   getReactionState cont 1\n\
   getReactionValue cont 1\n\
   getSelectedReactionNum cont\n\
   getReactionCount cont\n\
   getReactionName cont 1\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Reactor-Controllers.html\">Reactor Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Reactor-controller.html\">Reactor controller</a></li>\n\
          <li><a class=\"link\" href=\"../Float-Controllers/FloatReactor-superclass.html\">FloatReactor - superclass: FloatController</a></li>\n\
          <li><a class=\"link\" href=\"../Point3-Controllers/Point3Reactor-superclass.html\">Point3Reactor - superclass: Point3Controller</a></li>\n\
          <li><a class=\"link\" href=\"../Position-Controllers/PositionReactor-superclass.html\">PositionReactor - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"../Rotation-Controllers/Rotation_Reactor.html\">Rotation_Reactor : RotationController</a></li>\n\
          <li><a class=\"link\" href=\"../Scale-Controllers/Scale_Reactor-ScaleController.html\">Scale_Reactor : ScaleController</a></li>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";