var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-55FF64C3-624B-4910-A552-9ED4DA266461\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Reactor controller</h1></div><p>The Reactor controller is a procedural controller that reacts to changes in any other controller within the software.</p>\n\
<p>Reactor comes in five different forms: Position Reactor, Rotation Reactor, Point3 Reactor, Scale Reactor, and Float Reactor.</p>\n\
<p>Any animatable parameter in the software can react to changes in any other animatable parameter. Reactor is not based on time, but is based on other variables in your scene.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Setup a scene\n\
   ball = sphere name:&quot;ball&quot;pos:[-40,0,50] radius:10\n\
   ball.pos.controller = position_XYZ()\n\
   -- create some keys\n\
   key = addNewKey ball.pos.Zposition.controller 0\n\
   key.outTangentType = #slow\n\
   key.value = 50\n\
   key = addNewKey ball.pos.Xposition.controller 0\n\
   key.value = -40\n\
   key = addNewKey ball.pos.Zposition.controller 25\n\
   key.InTangentType = #fast\n\
   key.outTangentType = #fast\n\
   key.value = 4\n\
   key = addNewKey ball.pos.Xposition.controller 25\n\
   key.value = -10\n\
   key = addNewKey ball.pos.Zposition.controller 50\n\
   key.InTangentType = #slow\n\
   key.value = 50\n\
   key = addNewKey ball.pos.Xposition.controller 50\n\
   key.value = 20\n\
   ball.showtrajectory = true\n\
   -- assign a reactor controller to the scale of the ball\n\
   reactorCtrl= Scale_Reactor()\n\
   ball.scale.controller = reactorCtrl\n\
   -- Pick the react to object, and create reactions\n\
   reactorCtrl.reactions.reactTo ball.pos.ZPosition.controller\n\
   reactorCtrl.reactions.setName 1 &quot;UnSquashed&quot;\n\
   reactorCtrl.reactions.setVectorState 1 [1,1,1]\n\
   reactorCtrl.reactions.create name: &quot;Squashed&quot;\n\
   reactorCtrl.reactions.setVectorState 2 [1.5,1.5,.4]\n\
   reactorCtrl.reactions.setValueAsFloat 2 10\n\
   reactorCtrl.reactions.setInfluence 1 6\n\
   reactorCtrl.reactions.setInfluence 2 5.5\n\
   reactorCtrl.reactions.setStrength 2 1.5\n\
   reactorCtrl.reactions.setFalloff 1 1.75\n\
   ss = StringStream&quot;&quot;\n\
   reactorCtrl.reactions.getType()\n\
   ct = reactorCtrl.reactions.getCount ()\n\
   format &quot;Reactor Statistics: \\n------------------------------\\n \\n&quot; to:ss\n\
   format &quot;Count : %\\n&quot; ct to:ss\n\
   format &quot;\\n&quot; to:ss\n\
   for i =1 to ct do\n\
   (\n\
   format &quot;Reaction #: % \\n------------------------------------------------\n\
   Name : %\n\
   State: %\n\
   Value: %\n\
   Strength: %\n\
   Influence : %\n\
   Falloff: % \\n\\n&quot;(i)\\\n\
   (reactorCtrl.reactions.getName i)\\\n\
   (getReactionState reactorCtrl i)\\\n\
   (getReactionValue reactorCtrl i)\\\n\
   (reactorCtrl.reactions.getStrength i)\\\n\
   (reactorCtrl.reactions.getInfluence i )\\\n\
   (reactorCtrl.reactions.getFalloff i )to:ss\n\
   )\n\
   print ss\n\
</code></pre><p>   <img src=\"./images/GUID-DB031BA7-2F52-44C2-8174-FEEC34517624-low.gif\" alt> <img src=\"./images/GUID-B0CC4779-3D34-4FE0-BDA9-1F4F35934DE1-low.gif\" alt></p>\n\
<p>   <img src=\"./images/GUID-F811AF9A-50EB-448D-A8A6-2E49BB0EB9AF-low.gif\" alt> <img src=\"./images/GUID-BB8A30CF-E68C-44F7-A8B5-C77D26A493C0-low.gif\" alt></p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Reactor-Controllers.html\">Reactor Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Reactor-Controllers-1.html\">Reactor Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../Float-Controllers/FloatReactor-superclass.html\">FloatReactor - superclass: FloatController</a></li>\n\
          <li><a class=\"link\" href=\"../Point3-Controllers/Point3Reactor-superclass.html\">Point3Reactor - superclass: Point3Controller</a></li>\n\
          <li><a class=\"link\" href=\"../Position-Controllers/PositionReactor-superclass.html\">PositionReactor - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"../Rotation-Controllers/Rotation_Reactor.html\">Rotation_Reactor : RotationController</a></li>\n\
          <li><a class=\"link\" href=\"../Scale-Controllers/Scale_Reactor-ScaleController.html\">Scale_Reactor : ScaleController</a></li>\n\
          <li><a class=\"link\" href=\"../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-reactionMgr.html\">Interface: reactionMgr</a></li>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";