var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CE344EBA-D3A9-4DC2-8196-BD933941FD0B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Retimer : Controller</h1></div><p>The Retimer Controller was introduced in <strong>3ds Max 2013</strong> as an alternative procedural EaseCurve controller.</p>\n\
<p>It can be used in the EaseCurve track of any controller or as a Global Retimer Controller affecting the whole scene, accessible through the <a href=\"./../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RetimerMan.html\">Interface: RetimerMan</a>.</p>\n\
<h2 id=\"interface-retimer\">Interface: retimer</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RetimerController&gt;.numMarkers : integer : Read</code></pre><p>Contains the number of markers in the Retimer controller.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RetimerController&gt;.numSpans : integer : Read</code></pre><p>Contains the number of spans in the Retimer controller.</p>\n\
<p>The spans are the ranges between markers. Thus, two markers define one span.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RetimerController&gt;.active : boolean : Read|Write</code></pre><p>Get/set the active state of the Retimer controller.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;RetimerController&gt;.SetNewMarker &lt;time&gt;time</code></pre><p>Creates a new Marker at the specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;RetimerController&gt;.ExpandMarker &lt;time&gt;time &lt;time&gt;newTime</code></pre><p>Expands the Marker from the time specified by the first argument to the new time specified by the second argument.</p>\n\
<p>There must be a marker at the time specified by the first argument.</p>\n\
<p>Expanding is the process of moving a marker from its original time to a new time, thus producing a retiming curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;RetimerController&gt;.MoveMarker &lt;time&gt;time &lt;time&gt;newTime</code></pre><p>Moves the Marker from the time specified by the first argument to the new time specified by the second argument.</p>\n\
<p>Moving a Marker changes its original position before expanding (and thus retiming) the animation.</p>\n\
<p>In other words, it adjusts the initial placement of the marker as opposed to moving the marker for retiming purposes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;RetimerController&gt;.RemoveMarker &lt;time&gt;time</code></pre><p>Removes the Marker from the specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time by value array&gt;&lt;RetimerController&gt;.GetMarkerTimes()</code></pre><p>Returns an array of all Marker times.</p>\n\
<p>This is the list of the original positions of the markers before expanding them to produce animation retiming.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time by value array&gt;&lt;RetimerController&gt;.GetExpandedMarkerTimes()</code></pre><p>Returns an array of all expanded Marker times.</p>\n\
<p>This is the list of the new positions of the markers that cause the retiming of the animation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;RetimerController&gt;.GetSpanType &lt;index&gt;index\n\
\n\
GetSpanType enums: {#linear|#easeIn|#easeOut}</code></pre><p>Returns the type of the indexed Span.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;RetimerController&gt;.SetSpanType &lt;index&gt;index &lt;enum&gt;type\n\
\n\
type enums: {#linear|#easeIn|#easeOut}</code></pre><p>Sets the Type of the indexed Span to the name value provided by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;RetimerController&gt;.GetSpanLocked &lt;index&gt;index</code></pre><p>Returns the locked state of the indexed Span as a boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;RetimerController&gt;.SetSpanLocked &lt;index&gt;index &lt;boolean&gt;type</code></pre><p>Sets the locked state of the indexed Span to the boolean value provided by the second argument.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   t = teapot() --create a teapot\n\
   --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   with animate on at time 100 t.pos = [200,0,0] --animate it 200 units along X over 100 frames\n\
   --&gt; [200,0,0]    \n\
   rtc =RetimerMan.GetGlobalRetimer() --get the retimer controller\n\
   --&gt; Controller:Retimer\n\
   addEaseCurve t.pos.controller[1].controller rtc --add the retimer as Ease Curve\n\
   --&gt; OK\n\
   rtc.numMarkers --check the number of markers\n\
   --&gt; 0\n\
   rtc.SetNewMarker 30f  --add a new marker on frame 30\n\
   --&gt; OK\n\
   rtc.SetNewMarker 50f  --and another one on frame 50\n\
   --&gt; OK\n\
   rtc.MoveMarker 30f 20f --changed my mind, I want it on 20, not 30\n\
   --&gt; OK\n\
   rtc.ExpandMarker 50f 80f --now let&apos;s retime by stretching the range 20 to 50 by 30 frames\n\
   --&gt; OK\n\
   rtc.GetMarkerTimes() --here are the original marker times\n\
   --&gt; #(20f, 50f)\n\
   rtc.GetExpandedMarkerTimes() --and the new retimed marker times\n\
   --&gt; #(20f, 80f)\n\
   rtc.numMarkers --now we have two markers\n\
   --&gt; 2\n\
   rtc.numSpans --and we have one span between them\n\
   --&gt; 1\n\
   rtc.GetSpanType 1 --let&apos;s check its type\n\
   --&gt; #linear\n\
   rtc.SetSpanType 1 #easeOut --we can change it to slow down over time\n\
   --&gt; OK\n\
   rtc.SetNewMarker 90f --but this gives us a jump on frame 80, so let&apos;s add another marker on 90\n\
   --&gt; OK\n\
   rtc.SetSpanType 2 #easeIn --and set it to ease in to smooth it out\n\
   --&gt; OK\n\
   rtc.GetSpanLocked 1 --let&apos;s check if the first span is locked\n\
   --&gt; false\n\
   rtc.SetSpanLocked 1 true --and lock it\n\
   --&gt; OK\n\
   rtc.RemoveMarker 20f --we could remove the first marker just to show we can\n\
   --&gt; OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Retimer-Controllers.html\">Retimer Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RetimerMan.html\">Interface: RetimerMan</a></li>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Ease-and-Multiplier.html\">Controller Ease and Multiplier Curve Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../Animation-Controllers-1.html\">Animation Controllers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";