var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FB7F16DF-1736-456C-BA4B-CA2684AA4ADB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Script Controller Assignment Behavior Changes in 3ds Max 8</h1></div><p>In versions <strong>prior to 3ds Max 8</strong>, it was possible to provide a script string as a construction parameter, but it did not work as expected.</p>\n\
<p>When assigning a script controller to a track, <strong>3ds Max 7 and earlier</strong> automatically reads the current value of the track and assigns it to the new controller to make it valid and to preserve the original value. For example, if the track contains the value 12.6, after assigning the script controller, the string inside the controller will be automatically set to &quot;12.6&quot; to preserve the last known value. For that reason, trying to assign the script in a single pass did not work in <strong>3ds Max 7 and earlier</strong>:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Box01.height.controller = float_script script:&quot;random 0 100&quot;\n\
</code></pre></blockquote>\n\
<p>The above would not work because the script controller instance is first created on the right-hand side, the script string &quot;random 0 100&quot; is assigned to it, then the controller is assigned to the left-hand side, and its script string is immediately overwritten with a new string containing the current value of the left-hand side track.</p>\n\
<p>You always had to assign the controller first, then assign to its <code>.script</code> property.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fs =float_script ()\n\
   $Box01.height.controller =fs\n\
   fs.script=&quot;random 0 100&quot;\n\
</code></pre></blockquote>\n\
<p>In <strong>3ds Max 8 and higher</strong>, the behavior described above has been corrected. An internal flag has been added to all controllers to denote whether the controller is &quot;new&quot; or &quot;not new&quot;, thus using the current track value only when a new controller is being assigned.</p>\n\
<p>Thanks to this new behavior, the script string in controllers where the script property has already been set will not be replaced.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Controllers.html\">Script Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Script-Controllers-1.html\">Script Controllers</a></li>\n\
          <li><a class=\"link\" href=\"Using-Script-Controllers.html\">Using Script Controllers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";