var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5015B963-A1C7-457F-A76B-F63D3676CC6F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Script Controller - Avoiding Circular Dependency</h1></div><p><a href=\"Script-Controllers-1.html\"\">Target</a> and <a href=\"Script-Controllers-1.html\"\">Object variables</a> in Script Controllers will cause the whole object subAnim tree to be evaluated when the controller value is updated.</p>\n\
<p>In cases where the final result of the script controller has to depend on other properties of the same object it is assigned to, creating a Target or Object Variable is prevented by MAXScript with a Runtime error to avoid &quot;vicious circle&quot; conditions. Otherwise, the update of the controller will cause other properties to update and in turn cause the controller to be updated again, without an end.</p>\n\
<blockquote>\n\
<p>   <strong>DOES NOT WORK:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Teapot ()\n\
   --&gt;$Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   obj.scale.controller = scale_script()\n\
   --&gt;Controller:Scale_Script\n\
   obj.scale.controller.addTarget &quot;pos&quot; obj.position.controller\n\
   -- Runtime error: Cannot add/set object, would create circular dependency: Controller:Position_XYZ\n\
   obj.scale.controller.setExpression &quot;[0.01*pos.x,1,1]&quot;\n\
</code></pre></blockquote>\n\
<p>In these circumstances, a Node Variable can be used instead.</p>\n\
<p>The variable will contain a reference to the scene node and the script controller&apos;s expression will access the necessary property from the node instead of pointing directly at a subAnim or MAXWrapper object:</p>\n\
<blockquote>\n\
<p>   <strong>WORKS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Teapot ()\n\
   --&gt;$Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   obj.scale.controller = scale_script()\n\
   --&gt;Controller:Scale_Script\n\
   obj.scale.controller.addNode &quot;obj&quot; obj\n\
   --&gt;true\n\
   obj.scale.controller.setExpression &quot;[0.01*obj.pos.x,1,1]&quot;\n\
   --&gt;true\n\
</code></pre></blockquote>\n\
<p>Moving the teapot along the X axis will automatically scale its X axis according to the distance to the world origin.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Controllers.html\">Script Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Script-Controller-Avoiding.html\">Script Controller - Avoiding Circular Dependency</a></li>\n\
          <li><a class=\"link\" href=\"Referencing-Nodes-and.html\">Referencing Nodes and Controllers in Script Controllers FAQ</a></li>\n\
          <li><a class=\"link\" href=\"Script-Controllers-1.html\">Script Controllers</a></li>\n\
          <li><a class=\"link\" href=\"Using-Script-Controllers.html\">Using Script Controllers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";