var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DE634C96-9DEB-42AD-B299-C112F4A739A3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>New Default Controller Functions</h1></div><p>The following functions create instances of the default controller class for each animatable value type. If the default controller has been customized by the user, the respective function below will return an instance of the customized class. The default controller for each animatable value type can be customized in the &#x201C;Assign ... Controller&#x201D; dialog accessible through Track View. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Functions:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultBoolController()</code></pre><p>Returns an instance of the default controller class used for storing animated Boolean values.</p>\n\
<p>Default is a Bezier_Float controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultColorController()</code></pre><p>Returns an instance of the default controller class used for storing animated Color values.</p>\n\
<p>Default is a Bezier_Color controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultFloatController()</code></pre><p>Returns an instance of the default controller class used for storing animated Float values.</p>\n\
<p>Default is a Bezier_Float controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultFRGBAController()</code></pre><p>Returns an instance of the default controller class used for storing animated floating point Color and Alpha values.</p>\n\
<p>Default is a Bezier_RGBA_Color controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultPointControllerContainer()</code></pre><p>Returns an instance of the default controller class used for storing animated vertices.</p>\n\
<p>Default is a PointControllerContainerImp controller.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this function was called <code>NewDefaultMasterPointController</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultMatrix3Controller()</code></pre><p>Returns an instance of the default controller class used for storing animated Matrix3 values.</p>\n\
<p>Default is a Position_Rotation_Scale controller with a Position_XYZ sub-controller for Position containing three Bezier_Float sub-controllers for X_Position, Y_Position, and Z_Position; a Eurler_XYZ sub-controller for Rotation with three Bezier_Float sub-controllers for X_Rotation, Y_Rotation, and Z_Rotation; and a Bezier_Scale controller for scaling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultPoint2Controller()</code></pre><p>Returns an instance of the default controller class used for storing animated Point2 values.</p>\n\
<p>Default is a Bezier_Point2 controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultPoint3Controller()</code></pre><p>Returns an instance of the default controller class used for storing animated Point3 values.</p>\n\
<p>Default is a Bezier_Point3 controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultPoint4Controller()</code></pre><p>Returns an instance of the default controller class used for storing animated Point4 values.</p>\n\
<p>Default is a Bezier_Point4 controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultPositionController()</code></pre><p>Returns an instance of the default controller class used for storing animated Position values.</p>\n\
<p>Default is a Position_XYZ controller with three Bezier_Float sub-controllers for X_Position, Y_Position and Z_Position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">controller&gt;NewDefaultRotationController()</code></pre><p>Returns an instance of the default controller class used for storing animated Rotation values.</p>\n\
<p>Default is a Euler_XYZ controller with three Bezier_Float sub-controllers for X_Rotation, Y_Rotation and Z_Rotation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;NewDefaultScaleController()</code></pre><p>Returns an instance of the default controller class used for storing animated Scale values.</p>\n\
<p>Default is a Bezier_Scale controller.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ndbc = NewDefaultBoolController()\n\
   --&gt; Controller:Bezier_Float\n\
\n\
   ndcc = NewDefaultColorController()\n\
   --&gt; Controller:Bezier_Color\n\
\n\
   ndfc = NewDefaultFloatController()\n\
   --&gt; Controller:Bezier_Float\n\
\n\
   ndfrgbac = NewDefaultFRGBAController()\n\
   --&gt; Controller:Bezier_RGBA_Color\n\
\n\
   ndmpc = NewDefaultPointControllerContainer()\n\
   --&gt; Controller:PointControllerContainerImp\n\
\n\
   ndm3c = NewDefaultMatrix3Controller()\n\
   --&gt; Controller:Position_Rotation_Scale\n\
   ndm3c[1]\n\
   --&gt; SubAnim:Position\n\
   ndm3c[1].controller\n\
   --&gt; Controller:Position_XYZ\n\
   ndm3c[1].controller[1]\n\
   --&gt; SubAnim:X_Position\n\
   ndm3c[1].controller[1].controller\n\
   --&gt; Controller:Bezier_Float\n\
   ndm3c[2].controller\n\
   --&gt; Controller:Euler_XYZ\n\
   ndm3c[3].controller\n\
   --&gt; Controller:Bezier_Scale\n\
\n\
   ndp2c = NewDefaultPoint2Controller()\n\
   --&gt; Controller:Bezier_Point2\n\
\n\
   ndp3c = NewDefaultPoint3Controller()\n\
   --&gt; Controller:Bezier_Point3\n\
\n\
   ndp4c = NewDefaultPoint4Controller()\n\
   --&gt; Controller:Bezier_Point4\n\
\n\
   ndpc = NewDefaultPositionController()\n\
   --&gt; Controller:Position_XYZ\n\
\n\
   ndrc = NewDefaultRotationController()\n\
   --&gt; Controller:Euler_XYZ\n\
\n\
   ndsc = NewDefaultScaleController()\n\
   --&gt; Controller:Bezier_Scale\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Controllers.html\">Animation Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";