var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EDE7AFCD-26B5-4E2D-AF31-FD1FC2D871C1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>RLA : BitmapIO</h1></div><p>The <strong>RLA BitmapIO</strong> class provides a function published interface for <strong>RLA I/O</strong> that gives access to the settings of the image format to be saved.</p>\n\
<p>As with all FP interfaces, you can access the interface properties directly without explicitly supplying the interface name, for example <code>rla.colorDepth</code> is the same but shorter than <code>rla.iRLAio.colorDepth</code></p>\n\
<h2 id=\"interfaces-\">Interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: iRLAio </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.colorDepth : integer : Read|Write   </code></pre><p>Get/Set the color depth in bits per channel. Possible values are 8, 16 and 32.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.alpha : boolean : Read|Write </code></pre><p>Enable/Disable the saving of alpha channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.premultAlpha : boolean : Read|Write </code></pre><p>Enable/Disable premultiplied alpha.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.description : string : Read|Write </code></pre><p>Get/Set the file description string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.author : string : Read|Write </code></pre><p>Get/Set the author string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.zChannel : boolean : Read|Write </code></pre><p>Get/Set Z-buffer channel saving.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.mtlIDChannel : boolean : Read|Write </code></pre><p>Enable/Disable material ID channel saving.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.nodeIDChannel : boolean : Read|Write </code></pre><p>Enable/Disable node ID channel saving.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.uvChannel : boolean : Read|Write </code></pre><p>Enable/Disable texture coordinates channel saving.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.normalChannel : boolean : Read|Write </code></pre><p>Enable/Disable normal vector channel saving.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realpixChannel : boolean : Read|Write </code></pre><p>Enable/Disable non-clamped color channel saving.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.coverageChannel : boolean : Read|Write </code></pre><p>Enable/Disable coverage channel saving.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   x = rla.colorDepth--color depth value of 8, 16, or 32\n\
   rla.colorDepth = 16--set color depth to 16 bpp\n\
   rla.description =&quot;First Revision&quot;--set the file description string\n\
   rla.author =&quot;Bobo&quot;--set the author name string\n\
   rla.zChannel = true--enable Z-Buffer saving\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../BitmapIO-MAXWrapper.html\">BitmapIO : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"BitmapIO-Classes.html\">BitmapIO Classes</a></li>\n\
          <li><a class=\"link\" href=\"BMP-interfaces-.html\">BMP interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"JPEG-interfaces-.html\">JPEG interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"Portable_Network_Graphics.html\">Portable_Network_Graphics interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"Targa-interfaces-.html\">Targa interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"RPF-BitmapIO.html\">RPF : BitmapIO</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";