var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0A1E08F8-A8C5-4737-AA6F-39194AD16559\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Custom Attribute Management Functions</h1></div><p>The following management functions are available through the <code>custAttributes</code> struct:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.count &lt;obj&gt; [BaseObject:&lt;boolean&gt;]      </code></pre><p>Returns a count of the number of separate scripted custom attribute sets have been added via the <code>.add()</code> function.</p>\n\
<p>If the optional keyword argument <code>baseObject</code> is set to <code>true</code> (the default), in case the object specified is a node, the base object will be operated on instead. If <code>false</code> , the node itself will be operated on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.get &lt;obj&gt; (&lt;index&gt; | &lt;attrib_def&gt;)[BaseObject:&lt;boolean&gt;] </code></pre><p>Returns the custom attribute set, specified as an index or by its defining attribute definition.</p>\n\
<p>If the optional keyword argument <code>baseObject</code> is set to <code>true</code> (the default), in case the object specified is a node, the base object will be operated on. If <code>false</code> , the node itself will be operated on. (In versions prior to <strong>3ds Max 5.1</strong>, the base object was always used.)</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The custom attribute set values returned by the custAttributes are effectively holder values for the object&apos;s custom parameters in that attribute set. You can get at these parameter values as simple properties on the attribute set value.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   gp = custAttributes.get $ gameParams\n\
   gp.hitPoints= 50                   </code></pre><p>   This is equivalent to accessing the custom attribute parameters directly on the object:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $.gameParams.hitPoints = 50                 </code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.delete &lt;obj_or_collection&gt; (&lt;index&gt; | &lt;attrib_def&gt;) [baseObject:&lt;boolean&gt;] </code></pre><p>Deletes the specified custom attribute set from the object or from all the objects in the given collection. The set to be deleted is defined by index number or by its defining attributes definition.</p>\n\
<p>If the optional keyword argument <code>baseObject</code> is set to <code>true</code> (the default), in case the object specified is a node, the base object will be operated on. If <code>false</code>, the node itself will be operated on.(In versions prior to <strong>3ds Max 5.1</strong>, the base object was always used.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.makeUnique &lt;obj&gt; (&lt;index&gt; | &lt;attrib_def&gt;) [baseObject:&lt;boolean&gt;] </code></pre><p>If some objects with custom attribute sets share a specific attributes definition, you can make selected objects have unique copies of the definition.</p>\n\
<p>If the optional keyword argument <code>baseObject</code> is set to <code>true</code> (the default), in case the object specified is a node, the base object will be operated on. If <code>false</code> , the node itself will be operated on.(In versions prior to <strong>3ds Max 5.1</strong>, the base object was always used.)</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   custAttributes.add $box* def1              </code></pre><p>   You can make box01 unique with:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   custAttributes.makeUnique $box01 def1           </code></pre><p>   or all of them unique with:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   custAttributes.makeUnique $box* def1         </code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getDef (&lt;obj&gt; &lt;index&gt;) | &lt;custAttrib&gt; [baseObject:&lt;boolean&gt;] </code></pre><p>Returns the attribute definition for a given custom attribute set in an object or from a custom attribute set accessed with the <code>.get()</code> method.</p>\n\
<p>If the optional keyword argument <code>baseObject</code> is set to <code>true</code> (the default), in case the object specified is a node, the base object will be operated on. If <code>false</code> , the node itself will be operated on.(In versions prior to <strong>3ds Max 5.1</strong>, the base object was always used.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getDefs &lt;obj&gt; [baseObject:&lt;boolean&gt;] </code></pre><p>Returns an array of definitions in attribute set order.</p>\n\
<p>If the optional keyword argument <code>baseObject</code> is set to <code>true</code> (the default), in case the object specified is a node, the base object will be operated on. If <code>false</code> , the node itself will be operated on.(In versions prior to <strong>3ds Max 5.1</strong>, the base object was always used.)</p>\n\
<p><strong>Next Topic:</strong></p>\n\
<p><a href=\"Custom-Attributes-Definition.html\">Custom Attributes Definition Values</a></p>\n\
<h2 id=\"handling-scripted-custom-attribute-definition-conflicts\">Handling Scripted Custom Attribute Definition Conflicts</h2><p>3ds Max uses the version information of scripted custom attribute definitions to decide how to manage situations where there was a conflict between an existing custom attribute and one being loaded from a scene. Starting with <strong>3ds Max 2012</strong>, the CA definition with the highest version number is used, by default. However, this behavior can be changed using the following methods in the <code>custAttributes</code> struct.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getSceneLoadVersionHandlingBehavior()</code></pre><p>Returns the current behavior for handling custom attribute definition conflicts when a scene is loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.setSceneLoadVersionHandlingBehavior   {#neverUpdate | #alwaysUpdate | /\n\
 #updateWhenLoadVersionGreaterThanCurrentVersion | #updateWhenLoadVersionGreaterThanOrEqualToCurrentVersion} /\n\
 persistent:&lt;boolean&gt;</code></pre><p>Sets the behavior for handling custom attribute definition conflicts when a scene is loaded. The options are:</p>\n\
<ul>\n\
<li><code>#neverUpdate</code> - never use the definition from the scene file, regardless of the version number</li>\n\
<li><code>#alwaysUpdate</code> - always use the definition from the scene file, regardless of the version number</li>\n\
<li><code>#updateWhenLoadVersionGreaterThanCurrentVersion</code> - only use the scene file version when its version number is greater than the existing definition version</li>\n\
<li><code>#updateWhenLoadVersionGreaterThanOrEqualToCurrentVersion</code> - only use the scene file version when its version number is greater or equal to the existing definition version</li>\n\
</ul>\n\
<p>When <code>persistent</code> is true, this setting is persisted between 3ds Max sessions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getSceneMergeVersionHandlingBehavior()</code></pre><p>Returns the current behavior for handling custom attribute definition conflicts when a scene or object is merged with the current scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.setSceneMergeVersionHandlingBehavior {#neverUpdate | #alwaysUpdate | /\n\
 #updateWhenLoadVersionGreaterThanCurrentVersion | #updateWhenLoadVersionGreaterThanOrEqualToCurrentVersion} /\n\
 persistent:&lt;boolean&gt;</code></pre><p>Sets the behavior for handling custom attribute definition conflicts when a scene or object is merged. The options are:</p>\n\
<ul>\n\
<li><code>#neverUpdate</code> - never use the definition from the merged scene file, regardless of the verison number</li>\n\
<li><code>#alwaysUpdate</code> - always use the definition from the merged scene file, regardless of the version number</li>\n\
<li><code>#updateWhenLoadVersionGreaterThanCurrentVersion</code> - only use the merged scene file version when its version number is greater than the existing definition version</li>\n\
<li><code>#updateWhenLoadVersionGreaterThanOrEqualToCurrentVersion</code> - only use the merged scene file version when its version number is greater or equal to the existing definition version</li>\n\
</ul>\n\
<p>When <code>persistent</code> is true, this setting is persisted between 3ds Max sessions.</p>\n\
<h2 id=\"scene-loading-callbacks-for-custom-attributes\">Scene Loading Callbacks for Custom Attributes</h2><p>There are some situations where you might want to manage how custom attribute definitions are handled when loading scene files, for example if an API changes and you need to &quot;patch&quot; the custom attributes in a new version of 3ds Max. You can register callbacks to deal with custom attributes using these methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.registerDefLoadCallback &lt;function&gt;</code></pre><p>Registers a callback that is called for each scripted custom attributed definition as it is loaded from the scene. The <code>&lt;function&gt;</code> takes a single argument, which is the custom attribute definition as a string, and returns a string. The function can modify the string to effectively re-define the custom attribute as it is loaded. <strong>Available in 3ds Max 2021 and higher.</strong>\n\
Note: You should only make the minimum changes required to make the Custom Attribute definition successfully load, as the definition is then used to load instances of the Custom Attribute from the scene. Specifically, do not add or remove parameters, change their type, or change whether they are animatable, as all of these changes will affect the load process. If you need to make more extensive changes, you can do so after the scene has loaded using <code>custAttributes.redefine()</code>.</p>\n\
<p>If there are errors when the callback runs, the error message is printed to the listener and the function is removed as a callback (it is no longer called for subsequent custom attribute definitions).</p>\n\
<p>You can register multiple functions as callbacks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;custAttributes.unRegisterDefLoadCallback &lt;function&gt;</code></pre><p>Removes the specified <code>function</code>. Returns true if the callback is found and removed, false if it is not found. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.unRegisterAllDefLoadCallbacks()</code></pre><p>Removes all callbacks registered by <code>registerDefLoadCallback()</code>. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.showregisteredDefLoadCallbacks [to:stream] [asArray:&lt;boolean&gt;]</code></pre><p>Shows all callbacks registered by <code>registerDefLoadCallback()</code>. If <strong>to:<stream></stream></strong> is specified, output is sent to the specified stream. If <strong>asArray:true</strong> is specified, information is returned as an array. Each array element will be a 2 element array, where the first element is the function name, and the second element is the script file where the function was defined, if any. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<h3 id=\"for-example\">For Example</h3><p>Consider the &quot;weaponData&quot; custom attribute example. If we wanted to change the &quot;default&quot; parameter, and add a version parameter, we could register the following callback:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn modifyCADef def =\n\
(\n\
if (findstring def &quot;weaponData&quot;) != undefined do \n\
    (\n\
        def = substituteString def &quot;default:10&quot; &quot;default:20&quot;\n\
        def = substituteString def &quot;attributes weaponData\\n&quot; &quot;attributes weaponData version:1\\n&quot;\n\
    )\n\
    def\n\
)\n\
custAttributes.registerDefLoadCallback modifyCADef\n\
custAttributes.showregisteredDefLoadCallbacks()</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Custom-Attributes.html\">Custom Attributes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Scripted-Custom-Attributes.html\">Scripted Custom Attributes</a></li>\n\
          <li><a class=\"link\" href=\"Adding-Custom-Attributes.html\">Adding Custom Attributes</a></li>\n\
          <li><a class=\"link\" href=\"Global-and-Private-Custom.html\">Global and Private Custom Attributes Definitions</a></li>\n\
          <li><a class=\"link\" href=\"Access-to-Custom-Attributes.html\">Access to Custom Attributes Virtual Array</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attributes-in-Materials.html\">Custom Attributes in Materials and Texture Maps</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";