var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0532C071-4401-4846-8450-3DA5510A3883\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Mesh : GeometryClass and TriMesh : Value</h1></div><p><strong>Editable_Mesh</strong> is the class of node objects that are the result of collapsing a modifier stack to an editable mesh object. Many of the mesh operations in MAXScript that modify meshes only work on Editable_Mesh scene nodes.</p>\n\
<p>The TriMesh class is a MAXScript value wrapper for the low-level <strong>3ds Max</strong> SDK Mesh class used extensively in mesh-based objects and modifiers in <strong>3ds Max</strong>. Meshes hold the actual vertex and face arrays, and so on, in a triangular mesh. For example, an Editable_Mesh object contains an instance of a Mesh. The prime purpose of the TriMesh class is to allow scripted primitive object plug-ins to access and build the Mesh object inside geometry objects. This class has a large range of mesh manipulation and construction functions, corresponding to the low-level mesh operations on Editable Mesh scene nodes.</p>\n\
<p>The properties and methods described in this topic are applicable to both Editable_Mesh objects and TriMesh values, and are signified by a value type of &lt; <code>mesh</code> &gt;. The properties and methods applicable to just TriMesh values are signified by a value type of &lt; <code>trimesh</code> &gt;.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Meshes created by MAXScript are <code>triMesh</code> values.</p>\n\
\n\
</div></div>\n\
\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><strong>Only</strong> the <code>update()</code> function updates the mesh&apos;s internal caches and images in <strong>3ds Max</strong> viewports. This is because updates can be computationally expensive and you do not want them performed on every function call. However, you <strong>must</strong> make sure to call the <code>update()</code> function after a series of changes and before the mesh is to be worked on in <strong>3ds Max</strong> or by other functions in MAXScript.</p>\n\
<p>Coordinates are given in the MAXScript working coordinate system.</p>\n\
<p>If the <code>update()</code> function is called on an object that is selected and currently open in the Modify panel, it drops the current selection to avoid a potential crash in <strong>3ds Max</strong>, which at the moment, does not support scripted changes to an object open in the Modify panel.</p>\n\
<p>If you are creating or modifying a mesh, and have not yet run <code>update()</code> on the mesh, <strong>3ds Max</strong> crashes if you minimize and then maximize the <strong>3ds Max</strong> window. This is because only a partial mesh is created, and the internal <strong>3ds Max</strong> mesh structure is left in an unstable state.</p>\n\
<p><strong>Constructors (Editable_Mesh)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editable_mesh... </code></pre><p>Creates an empty mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mesh [ length:&lt;integer&gt; ] [ width:&lt;integer&gt; ]  [ lengthsegs:&lt;integer&gt; ] [ widthsegs:&lt;integer&gt; ] </code></pre><p>Creates a flat rectangular mesh with the given size and number of segments. The default length and width are 50, the default number of segments is 5.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mesh [ numverts:&lt;number&gt; ] [ numfaces:&lt;number&gt; ] </code></pre><p>Creates a mesh of the given geometry, but with no topology (no faces or edges). You have to individually place the vertices and create the faces from the vertices. The default number of vertices and faces are 36 and 50, respectively.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mesh [ mesh:&lt;TriMesh&gt;] </code></pre><p>Creates a mesh using the specified TriMesh value as the mesh source.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mesh vertices:&lt;array_of_point3s&gt; faces:&lt;array_of_point3s&gt; [ materialIDs:&lt;array_of_integers&gt; ] [ tverts:&lt;array_of_point3s&gt; ] </code></pre><p>Creates a mesh from an array of vertices and faces. Each Point3 value in the <code>vertices</code> array specifies the position of the vertex in the current coordinate system. Each Point3 value in the <code>faces</code> array specifies the three vertex indices that form the face. The <code>materialIDs</code> array specifies the material ID to be assigned to each face.</p>\n\
<p>Each Point3 value in the <code>tverts</code> array specifies the UVW coordinates of the texture vertices. See Texture Mapping in the methods section for more information on texture vertices.</p>\n\
<p>An example of mesh construction using this form of the constructor is:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mesh vertices:#([0,0,0],[10,0,0],[0,10,0],[10,10,0]) \\\n\
   faces:#([1,2,3],[2,4,3]) materialIDS:#(1,2)\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The optional <code>tverts</code> array feature is currently broken. The texture vertices are set correctly, but no texture faces are built internally. Until this gets fixed, you can work around by building the texture faces yourself:</div>\n\
<blockquote>\n\
<p>   <strong>WORKAROUND EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mnode = mesh vertices:#([0,0,0],[10,0,0],[0,10,0],[10,10,0]) tverts:#([0,0,0],[10,0,0],[0,10,0],[10,10,0]) faces:#([1,2,3],[2,4,3])\n\
   mmesh = mnode.mesh\n\
   buildTVFaces mmesh\n\
   for i = 1 to mmesh.numfaces do(setTVFace mmesh i (getFace mmesh i))\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">collapseStack &lt;node&gt; -- mapped </code></pre><p>Collapses the object space modifiers out of a stack, leaving a resultant base object corresponding to the evaluation result on top of the node(s)&apos; stack. This means that the result is Editable_Meshonly when the result on top of the stack is Editable_Mesh. Some modifiers convert the object class implicitly, for example, a Box with MeshSmooth on top collapses to Editable_Poly because MeshSmooth implicitly converts the incoming geometry to polygons. Adding a MeshSelector a TurnToMesh modifier on top of the MeshSmooth modifier and then calling <code>collapseStack()</code> results in an Editable_Mesh base object.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box() --create a box\n\
   --&gt; $Box:Box01 @ [0.000000,0.000000,0.000000]\n\
   addModifier b (MeshSmooth()) --add meshSmooth modifier\n\
   --&gt; OK\n\
   classof b --check the class - it was turned into Polygons!\n\
   --&gt; PolyMeshObject\n\
   collapseStack b --collapse the stack of the box\n\
   --&gt; OK\n\
   classof b --the result is Editable_Poly\n\
   --&gt; Editable_Poly\n\
   addModifier b (Turn_To_Mesh()) --now add Turn To Mesh modifier\n\
   --&gt; OK\n\
   classof b --the class is now Editable_Mesh and not Editable_Poly!\n\
   --&gt; Editable_mesh\n\
   collapseStack b --collapse the stack\n\
   --&gt; OK\n\
   classof b --as expected, the result is an Editable_Mesh!\n\
   --&gt; Editable_mesh\n\
</code></pre></blockquote>\n\
<p>If there are no object space modifiers in the stack when this is called, no action is taken. So, if you want to force an object to be an editable mesh (for example, for the mesh operation listed below), you can apply a null modifier and then collapse the stack:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box() --create a box\n\
   --&gt; $Box:Box03 @ [0.000000,0.000000,0.000000]\n\
   collapseStack b --try to collapse the stack\n\
   --&gt; OK\n\
   classof b --it is still a box - nothing to collapse!\n\
   --&gt; Box\n\
   addModifier b (meshSelect()) --add a MeshSelect modifier\n\
   --&gt; OK\n\
   collapseStack b --try to collapse the stack again\n\
   --&gt; OK\n\
   classof b --this time it worked!\n\
   --&gt; Editable_mesh\n\
</code></pre></blockquote>\n\
<p><code>collapseStack()</code> does not collapse the effect of any world space modifiers (including bindings to SpaceWarps). The world space modifiers remain on the object&apos;s stack. To collapse an object with world space modifiers to a mesh use the <code>snapshot()</code> method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapshot &lt;node&gt; -- mapped</code></pre><p>This function provides functionality similar to the SnapShot tool in <strong>3ds Max</strong>. It generates a new node that contains a copy of the world-state mesh of the source &lt; <code>node</code> &gt; at the time that the snapshot is made. Any existing modifiers are collapsed out of the new node and the mesh snapshot accounts for any currently applied space warps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertToMesh &lt;node&gt; -- mapped</code></pre><p>Converts appropriate scene object types into Editable Meshes. Similar to <code>collapseStack()</code> , it removes all object space modifiers that are present, but unlike <code>collapseStack()</code> it <strong>always</strong> replaces the base object with an editable mesh version, even if there are no modifiers present.</p>\n\
<p>It can be applied to any object that an Edit Mesh modifier can work on such as, geometry and shapes, but not helpers, space warps, lights, and others.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertTo &lt;node&gt; [ TriMeshGeometry | Mesh ] -- mapped</code></pre><p>Converts appropriate scene object types into Editable Meshes. Operates in an identical manner to <code>convertToMesh()</code> .</p>\n\
<p><strong>Constructors (TriMesh)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TriMesh() </code></pre><p>Creates an empty TriMesh. Use the methods listed below to build the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.mesh </code></pre><p>Extracts a copy of a node&apos;s world state if it is convertible to a mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;editable_mesh_baseobject&gt;.mesh </code></pre><p>Extracts a copy of base object&apos;s mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trimesh&gt;.mesh </code></pre><p>Extracts a copy of another TriMesh&apos;s mesh.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <a href=\"./../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/GeometryClass-Common-Properties.html\">GeometryClass boolean operations</a> also create editable_mesh objects.</div>\n\
<p><strong>Operators</strong></p>\n\
<p>The following operators perform boolean operations on meshes. These operations destructively modify the first operand mesh to contain the boolean result as do the same boolean &lt; <code>node</code> &gt; operations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt; + &lt;mesh&gt; -- union\n\
&lt;mesh&gt; - &lt;mesh&gt; -- difference\n\
&lt;mesh&gt; * &lt;mesh&gt; -- intersection\n\
</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.numverts Integer </code></pre><p>Get or set the number of vertices. When setting the number of vertices using the <code>numVerts</code> property or the <code>setNumVerts</code> method, the new vertices are initialized to [0.,0.,0.].</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.numfaces Integer </code></pre><p>Get or set the number of faces.</p>\n\
<p>In versions prior to <strong>3ds Max 7</strong>, the user was responsible for re-initializing the mesh to make it valid before calling update. In <strong>3ds Max 7 and higher</strong>, the re-initializing is performed automatically when setting the <code>.numfaces</code> value or calling the <code>setNumFaces</code> function.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$.numfaces=300\n\
--is equivalent to\n\
setNumFaces $ 300 false\n\
--The false argument means to not keep the existing topology\n\
</code></pre><p><strong>For all new faces, the following occurs:</strong></p>\n\
<ul>\n\
<li><p>Smoothing group set to 1</p>\n\
</li>\n\
<li><p>Vertices are set to [1,1,1] (1-based, crashes if # verts is 0 at update. It is expected at this point)</p>\n\
</li>\n\
<li><p>Material ID is set to 1 (1-based)</p>\n\
</li>\n\
<li><p>For each map channel in use:</p>\n\
<ul>\n\
<li><p>the map face verts are set to [1,1,1]</p>\n\
</li>\n\
<li><p>if keep is false, the number of map verts is set to 1, and its verts are set to [1,1,1] (1-based)</p>\n\
</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.numtverts Integer </code></pre><p>Get or set the number of texture vertices. When setting the number of texture vertices using the <code>numTVerts</code> property or <code>setNumTVerts</code> method, the new verts are initialized to [0.,0.,0.].</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.numcpvverts Integer </code></pre><p>Get or set the number of color-per-vertex vertices. When setting the number of CPV vertices using the <code>numCPTVerts</code> property or <code>setNumCPVVerts</code> method, the new verts are initialized to [0.,0.,0.].</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.mesh TriMesh </code></pre><p>Reading this property yields a copy of the mesh, taken after applying any modifiers, but before any space warps are applied. Assigning to this property sets the mesh to the TriMesh value given. You can use this property, along with <code>copy()</code> and the <code>&lt;node_or_baseobject&gt;.mesh</code> property to build a TriMesh from other objects&apos;meshes.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The following properties are <strong>not</strong> applicable to TriMeshes:</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.selectedVerts VertexArray </code></pre><p>Get the currently selected vertices of the Editable_Mesh object. See <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/VertexSelection-Values.html\">VertexSelection Values</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.verts VertexArray </code></pre><p>Get all of the vertices of the Editable_Mesh object. See <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/VertexSelection-Values.html\">VertexSelection Values</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.selectedFaces FaceArray </code></pre><p>Get the currently selected faces of the Editable_Mesh object. See <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/FaceSelection-Values.html\">FaceSelection Values</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.Faces FaceArray </code></pre><p>Get all of the faces of the Editable_Mesh object. See <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/FaceSelection-Values.html\">FaceSelection Values</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.selectedEdges EdgeArray </code></pre><p>Get the currently selected edges of the Editable_Mesh object. See <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/EdgeSelection-Values.html\">EdgeSelection Values</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.Edges EdgeArray </code></pre><p>Get all of the edges of the Editable_Mesh object. See <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/EdgeSelection-Values.html\">EdgeSelection Values</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.displacementMapping Boolean </code></pre><p>Get or set whether to perform displacement mapping for the Editable_Mesh object. There is no corresponding user interface element for this property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.subdivisionDisplacement Boolean </code></pre><p>Get or set whether to perform subdivision displacement for the Editable_Mesh object. This property corresponds to the Subdivision Displacement checkbox in the Surface Properties rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.splitMesh Boolean </code></pre><p>Get or set whether to split the mesh during subdivision displacement. This property corresponds to the Split Mesh checkbox in the Surface Properties rollout. Setting this property enables <code>subdivisionDisplacement</code> if it is set to <code>false</code> .</p>\n\
<p>You can both read and assign to the above properties with the exception of the properties that return a VertexSelection, FaceSelection, or EdgeSelection. If you assign numbers to them to add room for more vertices or faces, the mesh <strong>loses all current</strong> topology/geometry (vertices, faces, and edges), assuming you want to rebuild it from scratch. If you want to retain the current topology/geometry, use the <code>setNumVerts()</code> , <code>setNumTVerts()</code> , and <code>setNumFaces()</code> methods that are described below.</p>\n\
<p>Up to N vertex coordinates are available as properties on Editable_Mesh objects, where N is the number of vertices in the mesh. A vertex is available as a property once a controller is assigned to the vertex. Controllers can be assigned to vertices using the <code>animateVertex()</code> method described in <a href=\"./../../Scripting-Vertex-and-Control/Scripting-Vertex-and-Control-1.html\">Scripting Vertex and Control Point Animation</a> . For example, if a sphere object is collapsed to an Editable_Mesh, and some of its vertices are animated, the properties for the vertices are similar to:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$Sphere01.vertex_209 Point3 value:[7.9,-40.0,0.0] -- animatable\n\
$Sphere01.vertex_210 Point3 value:[-7.8,-39.3,-7.9] -- animatable\n\
$Sphere01.vertex_211 Point3 value:[0.0,-40.0,-7.9] -- animatable\n\
</code></pre><h3 id=\"methods\">Methods</h3><p>The following methods operate on the base object in a node if no object space modifiers are present. If object space modifiers are present, the mesh <code>get</code> operations access the world-state mesh, after the object space modifiers are applied. The mesh <code>set</code> operations <strong>only</strong> work on base object Editable Meshes and signal an error if there are object space modifiers present, informing you that the mesh is not changeable when modifiers are present. You can convert objects to Editable Meshes with the <code>collapseStack()</code> , <code>snapshot()</code> , and <code>convertToMesh()</code> methods. If there are no object space modifiers present, both <code>get</code> and <code>set</code> operations work on the base editable mesh object.</p>\n\
<p>Because the mesh <code>get</code> operations require a mesh, the combination of base object and modifiers must yield a mesh at the top of the modifier stack. This excludes combinations such as, Patch base-objects and deformer modifiers like bend and twist because they pass a patch object and not a mesh up the stack. Applying an Edit Mesh modifier always forces the world-state object to be a mesh.</p>\n\
<p>If world space modifiers are present, the mesh <code>get</code> operations access the world-state mesh after any object space modifiers are applied, but before the world space modifiers are applied. Currently, you cannot access the position of vertices as affected by world space modifiers. The mesh <code>set</code> operations work only when world space modifiers are applied to the object. Setting a vertices position in such a case sets its position before the world space modifiers are applied. You can create a new mesh object using the <code>snapshot()</code> method which accounts for the effects of world space modifiers.</p>\n\
<p>The <code>update()</code> method makes any scripted changes to a base object mesh visible to <strong>3ds Max</strong> and you <strong>must</strong> call this function at some point after modifying a mesh so that <strong>3ds Max</strong> sees a valid mesh. Because this update can be a compute-intensive operation, it is made available as a separate function so you perform many changes on a mesh and then invoke the update just once to signal all the changes to <strong>3ds Max</strong>.</p>\n\
<p>All vertex and face indexes <strong>start at 1</strong>, following the other indexing conventions in MAXScript. All coordinates used are relative to the current working coordinate system.</p>\n\
<h3 id=\"general-methods\">General Methods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">update &lt;mesh&gt; [ geometry:&lt;boolean&gt; ] [ topology:&lt;boolean&gt; ] [ normals:&lt;boolean&gt; ] -- mapped</code></pre><p>The three optional keyword arguments provide control over the kind of update done to the mesh. If the <code>geometry:</code> argument is <code>true</code> , the geometry cache is rebuilt (normals and edge list) and the mesh&apos;s bounding box is invalidated. If the <code>topology:</code> argument is <code>true</code> , the edge and strip databases are rebuilt. If <code>normals:</code> is <code>true</code> , the face normals are computed. All flags default to <code>true</code> so that a simple call to <code>update()</code> causes a complete reconstruction of all the caches.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">attach &lt;mesh&gt; &lt;node&gt; </code></pre><p>Corresponds to the mesh attach function in the Editable Mesh Modify panel allowing you to construct a mesh by adding complete objects to it. Extracts the mesh from <code>&lt;node&gt;</code> (first converting to a mesh, if needed), adds it to <code>&lt;mesh&gt;</code> which must be an Editable Mesh object, and then deletes <code>&lt;node&gt;</code> . The materials and material IDs in <code>&lt;node&gt;</code> are merged into <code>&lt;node&gt;</code> using the default settings for the attach operation in the Editable Mesh Modify panel. This method is not applicable to TriMeshes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.attach{&lt;target_editable_mesh_node&gt; | &lt;target_mesh&gt;} \\ \n\
{&lt;source_node&gt; | &lt;source_mesh&gt;} \\ \n\
targetNode:&lt;node=unsupplied&gt; \\ \n\
sourceNode:&lt;node=unsupplied&gt; \\ \n\
attachMat:&lt;{#neither | #MatToID | #IDToMat}=#neither&gt;\\ \n\
condenseMat:&lt;boolean=true&gt; \\ \n\
deleteSourceNode:&lt;boolean=true&gt; </code></pre><p>Attaches the source mesh to the target mesh. If the target or source is specified as a mesh rather than a node, the mesh is attached using the local coordinate system of the mesh, and no material correction is performed. To get around this, if the target or source is a mesh, the corresponding <code>targetNode</code> or <code>sourceNode</code> named parameter is checked to see if a node is specified and, if so, the transform and material for that node is used. If the source or target is specified as a node, the corresponding <code>targetNode</code> or <code>sourceNode</code> named parameter is not checked. The <code>attachMat</code> and <code>condenseMat</code> options correspond to the attach options in the editable mesh.</p>\n\
<p><code>condenseMat</code> is applicable only if <code>attachMat:#IDToMat</code> is specified. If <code>deleteSourceNode:false</code> is not specified, and the source was specified as a node, or as a mesh and a <code>sourceNode</code> was specified, the source node is deleted after the attach.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   meshop.attach $.baseobject $sphere02 targetNode:$\n\
   meshop.attach $box01 $box02 attachMat:#IDToMat \\\n\
   condenseMat:true deleteSourceNode:false\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshopgetUIParam. &lt;mesh&gt; &lt;param_name&gt; \n\
meshop.getUIParam &lt;node&gt; [ &lt;modifier_or_index&gt; ] &lt;param_name&gt; \n\
meshop.setUIParam &lt;mesh&gt; &lt;param_name&gt; { &lt;float&gt; | &lt;boolean&gt; } \n\
meshop.setUIParam &lt;node&gt; [ &lt;modifier_or_index&gt; ] &lt;param_name&gt; { &lt;number&gt; | &lt;boolean&gt; } </code></pre><p>Get/set a user-interface value. The optional <code>&lt;modifier_or_index&gt;</code> identifies the Edit Mesh modifier on the given scene object to set the parameter value. These methods are UI-dependent, and require that the specified editable mesh or Edit Mesh modifier be currently displayed in the Modify panel. The valid <code>param_name</code> values, their meaning, and parameter value type are:</p>\n\
<p><code>#SelByVert</code> Selection - By Vertex (boolean)</p>\n\
<p><code>#IgBack</code> Selection - Ignore Backfacing (boolean)</p>\n\
<p><code>#IgnoreVis</code> Selection - Ignore Visibile Edges (boolean)</p>\n\
<p><code>#PolyThresh</code> Selection - Planar Threshold (number)</p>\n\
<p><code>#SoftSel</code> Soft Selection - Use Soft Selection (boolean)</p>\n\
<p><code>#SSUseEDist</code> Soft Selection - Edge Distance (boolean)</p>\n\
<p><code>#SSEDist</code> Soft Selection - Edge Distance (number) [note: if value has not changed, returns a value of 0]</p>\n\
<p><code>#SSBack</code> Soft Selection - Ignore Backfacing (boolean) [note: this is the inverse of the UI element]</p>\n\
<p><code>#Falloff</code> Soft Selection - Falloff (number)</p>\n\
<p><code>#Pinch</code> Soft Selection - Pinch (number)</p>\n\
<p><code>#Bubble</code> Soft Selection - Bubble (number)</p>\n\
<p><code>#WeldDist</code> Weld - Distance (number)</p>\n\
<p><code>#WeldBoxSize</code> Weld - Box Size in Pixels (number)</p>\n\
<p><code>#ExtrudeType</code> Extrude/Chamfer (boolean) [note: true - Group; false - Local]</p>\n\
<p><code>#ShowVNormals</code> Show Vertex Normals (boolean)</p>\n\
<p><code>#ShowFNormals</code> Show Face Normals (boolean)</p>\n\
<p><code>#NormalSize</code> Normal Scale (number)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;mesh_weld_overlapping_vertices &lt;TriMesh&gt;mesh</code></pre><p>Welds the overlapping vertices of a TriMesh. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>For example:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = sphere segs:128 --create a sphere with 128 segments\n\
--&gt; $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
\n\
convertToMesh s --convert to Editable Mesh\n\
--&gt; $Editable_Mesh:Sphere001 @ [0.000000,0.000000,0.000000]\n\
\n\
s.numverts --check the number of vertices\n\
--&gt; 8066\n\
\n\
s1 = copy s --clone the sphere as a copy\n\
--&gt; $Editable_Mesh:Sphere002 @ [0.000000,0.000000,0.000000]\n\
\n\
attach s s1 --attach the copy to the original\n\
--&gt; OK\n\
\n\
s.numverts --check number of vertices again &#x2013; it is doubled\n\
--&gt; 16132\n\
\n\
mesh_weld_overlapping_vertices s.mesh --weld the overlapping vertices\n\
--&gt; 0.888889\n\
\n\
s.numverts --check the number of vertices again...\n\
--&gt; 8066</code></pre><p><strong>Further Mesh-Related Topics:</strong></p>\n\
<p><a href=\"Mesh-Vertex-Methods.html\">Vertex Methods</a></p>\n\
<p><a href=\"Meshop-Vertex-Methods.html\">Vertex Methods (meshop struct)</a></p>\n\
<p><a href=\"Meshop-Vertex-Data-Methods.html\">Vertex Data Methods (meshop struct)</a></p>\n\
<p><a href=\"Mesh-Edge-Methods.html\">Edge Methods</a></p>\n\
<p><a href=\"Meshop-Edge-Methods.html\">Edge Methods (meshop struct)</a></p>\n\
<p><a href=\"Mesh-Face-Methods.html\">Face Methods</a></p>\n\
<p><a href=\"Meshop-Face-Methods.html\">Face Methods (meshop struct)</a></p>\n\
<p><a href=\"Mesh-Methods.html\">Mesh Methods (meshop struct)</a></p>\n\
<p><a href=\"Meshop-General-Mapping-Methods.html\">Mapping Methods - General (meshop struct)</a></p>\n\
<p><a href=\"Mesh-Texture-Vertex-Methods.html\">Texture Vertex Methods</a></p>\n\
<p><a href=\"Mesh-Color-Per-Vertex-Methods.html\">Color-Per-Vertex Methods</a></p>\n\
<p><a href=\"Mesh-Subdivision-Displacement.html\">Subdivision Displacement Surface Properties Methods</a></p>\n\
<p><a href=\"Meshop-Editable_Mesh-UI-property.html\">Editable Mesh UI Property Methods (meshop struct)</a></p>\n\
<p><a href=\"Editable_Mesh-Modify-Panel.html\">Editable Mesh Modify Panel Command Modes and Operations (meshOps struct)</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">Node Common Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../Scripting-Vertex-and-Control/Scripting-Vertex-and-Control-1.html\">Scripting Vertex and Control Point Animation</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";