var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D05BCFB5-BD5A-4B17-B053-64841171A8C8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mesh Methods</h1></div><p>The following methods provide advanced access to the Mesh, affecting multiple faces at a time.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#create-polygon\">Create Polygon</a></li>\n\
<li><a href=\"#cut-and-slice-mesh\">Cut And Slice Mesh</a></li>\n\
<li><a href=\"#get-polygons-using-vertex\">Get Polygons Using Vertex</a></li>\n\
<li><a href=\"#optimize-mesh\">Optimize Mesh</a></li>\n\
<li><a href=\"#copy-and-delete-trimesh\">Copy and Delete TriMesh</a></li>\n\
<li><a href=\"#animate-vertices\">Animate Vertices</a></li>\n\
<li><a href=\"#setmesh-methods\">SetMesh Methods</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"create-polygon\">Create Polygon</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.createPolygon &lt;Mesh mesh&gt; &lt;vertIndex array&gt; smGroup:&lt;int=0&gt; matID:&lt;int=1&gt;</code></pre><p>Creates a set of faces using the specified vertices. The order of the vertices in the faces is the order in the vertex array. The polygon may be nonconvex, but should be (roughly) coplanar.</p>\n\
<p><code>smGroup:</code> and <code>matID:</code> specify the smoothing group data and material ID number assigned to the new faces.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> It is possible to build a mesh polygon by polygon using multiple <code>meshop.createPolygon</code> calls. In such case, an undo record containing a copy of the complete mesh would be created internally for every single polygon created which in turn can lead to problems. To avoid this, it is advisable to enclose the polygon creating code in an <code>undo off</code> context. If the undo of the object creation itself is necessary, the undo can be enabled in an additional context.</div>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vertArray = #();\n\
vertArray.count=5800\n\
for i = 1 to 5800 do\n\
vertArray[i]=random [-100,-100,-100] [100,100,100]\n\
faceArray=#()\n\
faceArray.count=11300\n\
for i = 1 to 11300 do\n\
faceArray[i]=random [1,1,1] [5800,5800,5800]\n\
undo on -- Turn ON Undo for mesh object creation\n\
(\n\
mm = mesh numverts:5800 numfaces:11300\n\
undo off -- Turn OFF Undo for polygon creation\n\
(\n\
for i = 1 to 5800 do\n\
meshop.setvert mm i vertArray[i]\n\
for i = 1 to 11299 do\n\
meshop.createPolygon mm #(faceArray[i].x,faceArray[i].y,faceArray[i].z)\n\
) --End Undo OFF for polygon creation\n\
meshop.createPolygon mm #(faceArray[11300].x,faceArray[11300].y,faceArray[11300].z)\n\
update mm\n\
) -- End Undo ON for mesh object creation\n\
</code></pre><p><img src=\"./images/GUID-DD5AC6B4-4ADD-4C23-A0B7-8DB378BB9E9E-low.gif\" alt></p>\n\
<h2 id=\"cut-and-slice-mesh\">Cut And Slice Mesh</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.cut &lt;Mesh mesh&gt; &lt;int edge1Index&gt; &lt;float edge1f&gt; &lt;int edge2Index&gt; &lt;float edge2f&gt; &lt;point3 normal&gt; fixNeighbors:&lt;boolean=true&gt; split:&lt;boolean=true&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Cuts the mesh from a point on one edge to a point on another, along a line drawn by looking at the mesh from a particular viewpoint.</p>\n\
<p><code>&lt;edge1Index&gt;</code> specifies the edge that the cut starts on.</p>\n\
<p><code>&lt;edge1f&gt;</code> specifies the fractional distance along the edge to start the cut from.</p>\n\
<p><code>&lt;edge2Index&gt;</code> specifies the edge that the cut ends on.</p>\n\
<p><code>&lt;edge2f&gt;</code> specifies the fractional distance along the edge to finish the cut on.</p>\n\
<p><code>&lt;normal&gt;</code> specifies the direction of view. The cut will take place on this &quot;side&quot; of the mesh, in the plane formed by this vector and the direction from the start to the end.</p>\n\
<p>If <code>fixNeighbors:</code> is <code>true</code> , the faces on the other side of each end of the cut should be split to prevent splits at the ends. If <code>split:</code> is <code>true</code> , the cut will split the mesh apart. If <code>false</code> , the cut will just refine the mesh by adding geometry. If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the normal is in the current coordinate system context. If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the normal is in the mesh&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.slice &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;point3 normal&gt; &lt;float offset&gt; separate:&lt;boolean=false&gt; delete:&lt;boolean=false&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Slices the mesh along the specified slicing plane. The slicing plane is defined as all points which, when DotProd&apos;d with <code>&lt;normal&gt;</code>, return <code>&lt;offset&gt;</code>. <code>&lt;normal&gt;</code> should be normalized.</p>\n\
<p><code>separate:</code> specifies whether the slice should separate the mesh into two separate elements ( <code>true</code> ) or just refine the existing mesh by splitting faces ( <code>false</code> ).</p>\n\
<p><code>delete:</code> specifies whether the slice should remove the portion of the mesh &quot;below&quot; the slicing plane, where &quot;below&quot; is defined as the area where DotProd (p, <normal>) - <offset> &lt; 0. If <code>delete:</code> is <code>true</code> , <code>separate:</code> is ignored. If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>&lt;node&gt;</code> is specified, the normal is in the current coordinate system context. If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the normal is in the mesh&apos;s local coordinate system.</offset></normal></p>\n\
<h2 id=\"get-polygons-using-vertex\">Get Polygons Using Vertex</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getPolysUsingVert &lt;Mesh mesh&gt; &lt;vertlist&gt; ignoreVisEdges:&lt;boolean=false&gt; threshhold:&lt;float=45.&gt;</code></pre><p>Returns a bitarray of size=(#faces in mesh) with bits set for all faces that are in &apos;polygons&apos; containing the specified vertices. The definition of a polygon is all faces sharing invisible edges with edge angles below the threshold angle. The default threshold angle is 45 degrees. If ignoreVisEdges is set to true, the edge visibility is ignored but the threshold is still relevant.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> the <code>threshhold</code> parameter is spelled incorrectly.</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"optimize-mesh\">Optimize Mesh</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.optimize &lt;Mesh mesh&gt; &lt;float normalThreshold&gt; &lt;float edgeThreshold&gt; &lt;float bias&gt; &lt;float maxEdge&gt; saveMatBoundries:&lt;boolean=true&gt; saveSmoothBoundries:&lt;boolean=true&gt; autoEdge:&lt;boolean=true&gt;</code></pre><p>Reduces the mesh in complexity by reducing the number of faces based on a surface normal threshold. Adjacent faces whose difference in surface normal angle falls below <code>&lt;normalThreshold&gt;</code> will be collapsed into a single triangle. If <code>autoEdge:</code> is true, when the angle between adjacent surface normals is less than <code>&lt;edgeThreshold&gt;</code> the edge will be invisible. When optimizing mesh objects, as the optimization increases, you can get lots of long skinny &apos;degenerate&apos; triangles (that cause rendering artifacts). Increasing <code>&lt;bias&gt;</code> keeps triangles from becoming degenerate. The range of values is from 0 to 1 (where 0 turns bias off). Values close to 1 reduce the amount of optimization in favor of maintaining equilateral triangles. A <code>&lt;maxEdge&gt;</code> value &gt; 0 will prevent the optimize function from creating edges longer than this value. If this parameter is &lt;=0 no limit is placed on the length of the edges. If <code>saveMatBoundries:</code> is true, faces won&apos;t be collapsed across a material boundary. If <code>saveSmoothBoundries:</code> is true, faces won&apos;t be collapsed across a dissimilar smoothing group boundary.</p>\n\
<h2 id=\"copy-and-delete-trimesh\">Copy and Delete TriMesh</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;trimesh&gt;</code></pre><p>Yields a copy of the source TriMesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delete &lt;trimesh&gt;</code></pre><p>Clears out the TriMesh&apos;s geometry and topology, effectively freeing its memory.</p>\n\
<h2 id=\"animate-vertices\">Animate Vertices</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animateVertex &lt;mesh&gt; &lt;vertex_spec&gt;</code></pre><p>Applies controllers to the specified vertices of the Editable_Mesh, where <code>&lt;vertex_spec&gt;</code> is one of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer_index&gt;\n\
&lt;integer_index_array&gt;\n\
#all\n\
</code></pre><p>By assigning controllers to the vertices, the vertices are added to the Driver subAnim and appear as animatables in the Track View, allowing further scripting of the vertices.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animateVertex $Sphere01 #all\n\
</code></pre><p>The vertices to be animated are specified by index number or with the keyword <code>#all</code> to animate all vertices.</p>\n\
<p>See also <a href=\"./../../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a> and <a href=\"./../../Scripting-Vertex-and-Control/Scripting-Vertex-and-Control-1.html\">Scripting Vertex and Control Point Animation</a> for details on accessing the Editable_Mesh vertices. The controller values assigned to the vertices is in object space. See <a href=\"./../../Node-MAXWrapper/Node-Common-Properties-Operators/Using-Node-Transform-Properties.html\">Using Node Transform Properties</a> for information on converting between world space to object space.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The above method is <strong>not applicable to TriMeshes!</strong></div>\n\
<h2 id=\"setmesh-methods\">SetMesh Methods</h2><p>The <code>setMesh()</code> method enables bulk changes to a mesh via arrays of vertices, faces, tverts, etc. <code>setMesh()</code> has the following forms:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMesh &lt;mesh&gt; [ numverts:&lt;integer&gt; ] [ numfaces:&lt;integer&gt; ]</code></pre><p>Resets the mesh to the given geometry but with no topology (i.e., no faces or edges). Any current mesh data is lost. You have to individually place the vertices and create the faces from the vertices. The default number of vertices and faces are 36 and 50, respectively.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMesh &lt;mesh&gt; [ vertices:&lt;array_of_point3s&gt; ] [ faces:&lt;array_of_point3s&gt; ] [ materialIDs:&lt;array_of_integers&gt; ] [ tverts:&lt;array_of_point3s&gt; ]</code></pre><p>Resets the mesh based on the given arrays. Only those portions of the mesh that are specified are reset. For example, if only the <code>vertices:</code> parameter is specified, the existing face data is retained. Each Point3 value in the <code>vertices</code> array specifies the position of the vertex in the current coordinate system. Each Point3 value in the <code>faces</code> array specifies the 3 vertex indices that form the face. The <code>materialIDs</code> array specifies the material ID to be assigned to each face. Each Point3 value in the <code>tverts</code> array specifies the UVW coordinates of the texture vertices. See Texture Mapping in the methods section for more information on texture vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMesh &lt;mesh&gt; [ length:&lt;integer&gt; ] [ width:&lt;integer&gt; ] [ lengthsegs:&lt;integer&gt; ] [ widthhsegs:&lt;integer&gt; ]</code></pre><p>Resets the mesh with a flat rectangular mesh with the given size and number of segments. The default length and width are 50, the default number of segments is 5.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMesh &lt;mesh&gt; &lt;trimesh&gt;</code></pre><p>Sets the mesh to a copy of the source TriMesh.</p>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Mesh-Face-Methods.html\">Mesh Face Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Face-Methods.html\">Meshop Face Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Face-Methods.html\">Mesh Face Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Face-Methods.html\">Meshop Face Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";