var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EF78FA1A-A382-4BED-BA10-7C856A7551A5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Meshop Face Methods</h1></div><p>The following methods exposed by the <strong>meshOp Struct</strong> provide advanced access to the mesh faces.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#face-number\">Face Number</a></li>\n\
<li><a href=\"#get-face\">Get Face</a></li>\n\
<li><a href=\"#get-face-info\">Get Face Info</a></li>\n\
<li><a href=\"#delete-faces\">Delete Faces</a></li>\n\
<li><a href=\"#hidden-faces\">Hidden Faces</a></li>\n\
<li><a href=\"#bevel-extrude-clone-collapse-and-detach-faces\">Bevel, Extrude, Clone, Collapse and Detach Faces</a></li>\n\
<li><a href=\"#divide-faces\">Divide Faces</a></li>\n\
<li><a href=\"#explode-faces\">Explode Faces</a></li>\n\
<li><a href=\"#get-a-using-b\">Get A Using B</a></li>\n\
<li><a href=\"#flip-and-unify-normals\">Flip and Unify Normals</a></li>\n\
<li><a href=\"#make-planar\">Make Planar</a></li>\n\
<li><a href=\"#autosmooth-faces\">AutoSmooth Faces</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"face-number\">Face Number</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;meshop.getNumFaces &lt;Mesh mesh&gt;</code></pre><p>Returns the number of faces in the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setNumFaces &lt;Mesh mesh&gt; &lt;int&gt;</code></pre><p>Sets the number of faces in the mesh.</p>\n\
<h2 id=\"get-face\">Get Face</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt; meshop.getFace &lt;Mesh mesh&gt; &lt;int faceIndex&gt; </code></pre><p>Available in <strong>3ds Max 2018.2 and higher</strong>: Returns the face vertex indices for the indexed face as a point3. Each component of the point3 value contains a vertex index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3_array&gt; meshop.getFaces &lt;Mesh mesh&gt; &lt;facelist&gt; </code></pre><p>Available in <strong>3ds Max 2018.2 and higher</strong>: Returns the face vertex indices for the indexed faces as a point3 array. Each component of each point3 value contains a vertex index.</p>\n\
<h2 id=\"get-face-info\">Get Face Info</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;meshop.getFaceArea &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Returns the area of the specified faces as a float.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Select all faces with area smaller than 20.0\n\
   obj = sphere radius:20 --create a Sphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   faceSel= #() --init. an array\n\
   --Loop through all faces in the mesh,\n\
   --compare the face area to the threshold and\n\
   --append the face to the array to be selected\n\
   for f = 1 to obj.numfaces do\n\
   if meshop.getFaceArea obj #{f} &lt; 20.0 then\n\
   append faceSel f\n\
   setFaceSelection obj faceSel --select all collected faces\n\
   update obj --update the mesh\n\
   max modify mode --switch to modify mode\n\
   select obj --select the mesh\n\
   subObjectLevel = 3 --switch to face sub-object level\n\
</code></pre><p>   <img src=\"./images/GUID-184E5C3E-34C5-4FE5-A7A5-61C9A0A7B004-low.gif\" alt> <img src=\"./images/GUID-2571AB56-3787-4586-8DA2-2E6B33BBD0DB-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;meshop.getBaryCoords &lt;Mesh mesh&gt; &lt;int faceIndex&gt; &lt;point3 pos&gt; node:&lt;node=unsupplied&gt;</code></pre><p>The <a href=\"./../../Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\">barycentric coordinates</a> of the specified point in the plane of the specified face, relative to the face.</p>\n\
<p>If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the position is in the current coordinate system context.</p>\n\
<p>If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the position is in the mesh&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;meshop.getFaceCenter &lt;Mesh mesh&gt; &lt;int faceIndex&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Returns the center of the specified face. The face center is the average of the face&apos;s three vertex coordinates.</p>\n\
<p>If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the position is in the current coordinate system context.</p>\n\
<p>If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the position is in the mesh&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getFaceRNormals &lt;Mesh mesh&gt; &lt;int faceIndex&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Returns a three element array of the render normals for the face&apos;s three vertices.</p>\n\
<p>If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the position is in the current coordinate system context. If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the position is in the mesh&apos;s local coordinate system.</p>\n\
<h2 id=\"delete-faces\">Delete Faces</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.deleteFaces &lt;Mesh mesh&gt; &lt;facelist&gt; delIsoVerts:&lt;boolean=true&gt;</code></pre><p>Deletes the specified faces. If <code>delIsoVerts:</code> is <code>true</code> , any isolated vertices are deleted.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = geosphere() --create a GeoSphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   --Delete all faces in the mesh but leave the vertices:\n\
   meshop.deleteFaces obj #{1..obj.numfaces} delIsoVerts:false\n\
   update obj --update the mesh\n\
   max modify mode --switch to modify mode\n\
   select obj --select the mesh\n\
   SubObjectLevel = 1 --switch to vertex level to see the vertices\n\
</code></pre><p>   <img src=\"./images/GUID-DEF86599-E88B-4F5E-9725-D449F96E3326-low.gif\" alt> <img src=\"./images/GUID-8408F804-0611-495D-B77E-FE49E7E10065-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.removeDegenerateFaces &lt;Mesh mesh&gt;</code></pre><p>Deletes any degenerate faces in the mesh. A degenerate face has two or more equal vertex indices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.removeIllegalFaces &lt;Mesh mesh&gt;</code></pre><p>Deletes any illegal faces in the mesh. An illegal face has one or more vertex indices that are out of range.</p>\n\
<h2 id=\"hidden-faces\">Hidden Faces</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setHiddenFaces &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Sets the specified faces as hidden, and non-specified faces as visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getHiddenFaces &lt;Mesh mesh&gt;</code></pre><p>Returns a bitarray of size=(#faces in <code>mesh</code>) with bits set for all faces that are hidden.</p>\n\
<h2 id=\"bevel-extrude-clone-collapse-and-detach-faces\">Bevel, Extrude, Clone, Collapse and Detach Faces</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.bevelFaces &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;float height&gt; &lt;float outline&gt; dir:&lt;{&lt;point3 dir&gt; | #independent | #common}=#independent&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Moves the specified faces by <code>&lt;height&gt;</code> and outlines them by <code>&lt;outline&gt;</code> .</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This method does not correspond to the Bevel functionality in the EditableMesh UI. It moves and outlines faces without creating new faces. See <a href=\"Meshop-Face-Methods.html\">meshop.ExtrudeFaces</a> further on this page for the corresponding method that creates new beveled faces.</div>\n\
<p>The direction the faces are moved is determined by <code>&lt;dir&gt;</code> .</p>\n\
<p>If <code>dir</code> is a point3 value, the faces will be moved in that direction.</p>\n\
<p>(If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the direction is in the current coordinate system context. If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the direction is in the mesh&apos;s local coordinate system.)</p>\n\
<p>If <code>dir:#independent</code> is specified, the faces are moved based on the individual face normals.</p>\n\
<p>If <code>dir:#common</code> is specified, the faces are moved based on the face cluster normals.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.extrudeFaces &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;float height&gt; &lt;float outline&gt; dir:&lt;{&lt;point3 dir&gt; | #independent | #common}=#independent&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Creates new faces corresponding to the specified faces, and then moves the new faces by <code>&lt;height&gt;</code> and outlines them by <code>&lt;outline&gt;</code> .</p>\n\
<p>The direction the faces are moved is determined by <code>dir</code> .</p>\n\
<p>If <code>dir:</code> is a point3 value, the faces will be moved in that direction.</p>\n\
<p>(If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the direction is in the current coordinate system context. If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the direction is in the mesh&apos;s local coordinate system.)</p>\n\
<p>If <code>dir:#independent</code> is specified, the faces are moved based on the individual face normals.</p>\n\
<p>If <code>dir:#common</code> is specified, the faces are moved based on the face cluster normals.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = geosphere() --create a GeoSphere\n\
   convertToMesh obj --collapse to Editable_Mesh\n\
   --Loop from half the face count back to 1.\n\
   --Since ExtrudeFaces creates new faces, counting backwards\n\
   --ensures the loop will go only through the original faces:\n\
   for f = obj.numfaces/2 to 1 by -1 do\n\
   meshop.extrudeFaces obj #{f} 5.0 -1.0 --extrude the single face\n\
   update obj --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-69B109D9-2F70-43C3-81C4-FFAE0DB08571-low.gif\" alt> <img src=\"./images/GUID-8A2D99CB-967D-4CC4-8FFB-EC95C0A563EF-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.cloneFaces &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Clones the specified faces.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = geosphere() --create a GeoSphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   --Clone half of the faces - they get selected automatically:\n\
   meshop.cloneFaces obj #{1..obj.numfaces/2}\n\
   --Offset the selected Faces at 20 units along their local normals\n\
   meshop.bevelFaces obj (getFaceSelection obj) 20 0 dir:#independent\n\
   update obj--update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-DEF86599-E88B-4F5E-9725-D449F96E3326-low.gif\" alt> <img src=\"./images/GUID-14AF902B-4355-4774-A737-7945294CAAB6-low.gif\" alt> <img src=\"./images/GUID-2D5954DD-B31F-4968-8E95-D937B96A0813-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.collapseFaces &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Collapses the specified faces.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = geosphere() --create a GeoSphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   --Collapse half the faces:\n\
   meshop.collapseFaces obj #{1..obj.numfaces/2}\n\
   update obj --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-DEF86599-E88B-4F5E-9725-D449F96E3326-low.gif\" alt> <img src=\"./images/GUID-1085CE13-7D5A-4AE5-96E0-CD5F856E2E55-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.detachFaces &lt;Mesh mesh&gt; &lt;facelist&gt; delete:&lt;boolean=true&gt; asMesh:&lt;boolean=false&gt;</code></pre><p>Detaches the specified faces.</p>\n\
<p>If <code>delete:</code> is <code>true</code> , the faces are deleted after being detached. If <code>delete:</code> is <code>false</code> , the faces are not deleted.</p>\n\
<p>If <code>asMesh:</code> is <code>true</code> , the faces are detached and returned as a Mesh value. If <code>asMesh:</code> is <code>false</code> , the faces are detached as an element in the mesh and a value of OK is returned.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Let&apos;s detach faces as element inside the original mesh:\n\
   obj = geosphere pos:[100,0,0] --create a GeoSphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   --Detach half of the faces as element, delete the originalfaces\n\
   meshop.detachFaces obj #{1..obj.numfaces/2} delete:true\n\
   update obj --update the mesh\n\
   --In this example, the same mesh will be detached as a separate object\n\
   obj = geosphere pos:[0,0,0] --create another GeoSphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   -- Detach the faces as Mesh and\n\
   --get the resulting TriMesh in a variable:\n\
   newMesh = meshop.detachFaces obj #{1..obj.numfaces/2} delete:true asMesh:true\n\
   update obj --update the mesh\n\
   emesh = Editable_mesh() --create an empty Editable_mesh\n\
   emesh.mesh = newMesh --assign the detached faces to the new mesh\n\
   update emesh --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-CBEDDBBC-8203-4225-BAAD-ED758C46F415-low.gif\" alt></p>\n\
</blockquote>\n\
<h2 id=\"divide-faces\">Divide Faces</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.divideFace &lt;Mesh mesh&gt; &lt;int faceIndex&gt; baryCoord:&lt;point3=unsupplied&gt;</code></pre><p>Divides the specified face.</p>\n\
<p>If <code>baryCoord:</code> is specified, the new vertex will be created at the corresponding position.</p>\n\
<p>If <code>baryCoord:</code> is not specified, the new vertex will be created at the center of the face.</p>\n\
<p>See also <a href=\"./../../Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\">BarycentricCoordinates</a></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = plane() --create a plane\n\
   convertToMesh obj --collapse to Editable_Mesh\n\
   --Loop backwards through all original faces.\n\
   --This will ignore any new faces added to the face array\n\
   for f = obj.numfaces to 1 by -1 do\n\
   meshop.divideFace obj f barycoord:[0.1,0.1,0.5] --divide the face\n\
   update obj --update the mesh\n\
   --Note that if the sum of the barycentric coordinates&apos; components is not\n\
   --equal to 1.0, the values will be scaled proportionally. Thus the above\n\
   --coordinates are equivalent to [0.142857,0.142857,0.714285].\n\
</code></pre><p>   <img src=\"./images/GUID-C8E4B018-ADAC-4FEB-A368-E5D2E252D708-low.gif\" alt> <img src=\"./images/GUID-D2F4F762-BAB9-4FA4-8977-8BDC7E86A865-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.divideFaceByEdges &lt;Mesh mesh&gt; &lt;int faceIndex&gt; &lt;int edge1Index&gt; &lt;float edge1f&gt; &lt;int edge2Index&gt; &lt;float edge2f&gt; fixNeighbors:&lt;boolean=true&gt; split:&lt;boolean=false&gt;</code></pre><p>Divides the specifed face. New vertices are created on the specified edges at the specified fractional distance along their length.</p>\n\
<p>If <code>fixNeighbors:</code> is <code>true</code> , the face on the other side of the edges, that is, the &quot;reverse faces&quot;, should be divided as well to prevent the introduction of a seam.</p>\n\
<p>If <code>split:</code> is <code>true</code> , separate vertices for the two halves of the edges will be created, splitting the mesh open along the diagonal(s).</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = plane lengthsegs:1 widthsegs:1 --create a simple plane of 2 faces\n\
   convertToMesh obj --collapse to Editable_mesh\n\
   obj.allEdges = true --show all edges\n\
   --Divide face 1 connecting edges 2 and 3 at 0.25 resp. 0.75 along\n\
   --their length. This gives a new edge parallel to edge 1\n\
   meshop.divideFaceByEdges obj 1 2 0.25 3 0.75\n\
   update obj --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-BFC8CB63-8202-4D59-8E64-60C965A103E7-low.gif\" alt> <img src=\"./images/GUID-4B5F0EFC-1113-4292-B252-B4CB37C51101-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.divideFaces &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Divides the specified faces, with new vertices created at the center of the faces.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The following code does the same as Tessellate in Face-Center mode\n\
   obj = plane() --create a plane\n\
   convertToMesh obj --collapse to Editable_Mesh\n\
   --Divide all faces by placing a new vertex at the face center:\n\
   meshop.divideFaces obj #{1..obj.numfaces}\n\
   update obj --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-C8E4B018-ADAC-4FEB-A368-E5D2E252D708-low.gif\" alt> <img src=\"./images/GUID-9F5EC380-5964-4BCC-897F-DC1DA657ECF7-low.gif\" alt></p>\n\
</blockquote>\n\
<h2 id=\"explode-faces\">Explode Faces</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.explodeAllFaces &lt;Mesh mesh&gt; &lt;float threshold&gt;</code></pre><p>&quot;Explodes&quot; the mesh into separate elements.</p>\n\
<p><code>&lt;threshold&gt;</code> specifies the angle between faces that indicates whether they should be in the same or different element.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The float threshold parameter is currently expected in <strong>radians</strong>!</p>\n\
\n\
</div></div>\n\
\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = geosphere() --create a GeoSphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   --Explode all faces in the mesh to elements, disregarding the angle:\n\
   meshop.explodeAllFaces obj 0\n\
   update obj --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-69B109D9-2F70-43C3-81C4-FFAE0DB08571-low.gif\" alt> <img src=\"./images/GUID-F1727255-EAFD-4539-8274-F96501A8161E-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.explodeFaces &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;float threshold&gt;</code></pre><p>&quot;Explodes&quot; the specified faces into separate elements.</p>\n\
<p><code>&lt;threshold&gt;</code> specifies the angle between faces that indicates whether they should be in the same or different element.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = geosphere() --create a GeoSphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   --Explode half of the faces regardless the angle\n\
   meshop.explodeFaces obj #{1..obj.numfaces/2} 0\n\
   --Move the exploded faces (selected by the explodeFaces method)\n\
   --along their normals at 10 units without outline:\n\
   meshop.bevelFaces obj (getFaceSelection obj) 10 0 dir:#independent\n\
   update obj --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-69B109D9-2F70-43C3-81C4-FFAE0DB08571-low.gif\" alt> <img src=\"./images/GUID-41C83FBD-B154-41AD-885F-A401DE8B0A32-low.gif\" alt> <img src=\"./images/GUID-3C093166-980A-42C5-9C3C-A93D5823D8AD-low.gif\" alt></p>\n\
</blockquote>\n\
<h2 id=\"get-a-using-b\">Get A Using B</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVertsUsingFace &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Returns a bitarray of size=(#vertices inmesh) with bits set for all vertices that are used by the specified faces.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Face2VertSel category:&quot;MXS Help&quot;\n\
   (\n\
   --make sure a single EMesh object is selected\n\
   on isEnabled return\n\
   selection.count == 1 and classof selection[1] == Editable_Mesh\n\
   on execute do\n\
   (\n\
   obj = selection[1]--get selected object\n\
   faceSel = getFaceSelection obj--get selected Faces\n\
   --get Verts of selected Faces:\n\
   vertsSel = meshop.getVertsUsedFace obj faceSel\n\
   setVertSelection obj vertsSel --select the Verts\n\
   update obj --update the mesh\n\
   max modify mode--switch to Modify panel\n\
   subObjectLevel = 1--set Vertex SO level\n\
   )\n\
   ) --end macro\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>A common mistake would be to pass an array with a single face to <strong><code>meshop.getVertsUsingFace()</code></strong> and to assume that the result converted to an array is the definition of the face (all its vertices).</p>\n\
<p>This would be the case only in the special case where the face definition happens to have the vertex indices in ascending order. This is because the return value is a bitarray where the indices are always sorted in ascending order.</p>\n\
<p><strong>For example</strong>, it a face definition is [4,6,9], the assumption would be correct. But if the face definition was [6,9,4], the result of <strong><code>meshop.getVertsUsingFace()</code></strong> converted to array would be #(4,6,9) and would not match. Any operations requiring the correct vertex order, for example those involving calculations with barycentric coordinates would turn out incorrect.</p>\n\
<p>The <strong>correct approach</strong> for getting the three vertices of a face in the correct order is by calling <strong><code>getFace()</code></strong> and accessing the .x, .y and .z components of the returned Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getEdgesUsingFace &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Returns a bitarray of size=(#edges in <code>mesh</code> ) with bits set for all edges that are used by the specified faces.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Face2EdgeSel category:&quot;MXS Help&quot;\n\
   (\n\
   --make sure a single EMesh object is selected\n\
   on isEnabled return\n\
   selection.count == 1 and classof selection[1] == Editable_Mesh\n\
   on execute do\n\
   (\n\
   obj = selection[1] --get selected object\n\
   faceSel = getFaceSelection obj --get selected Faces\n\
   --get Edges of selected Faces:\n\
   edgeSel = meshop.getEdgesUsingFace obj faceSel\n\
   setEdgeSelection obj edgeSel --select the edges\n\
   update obj --update the mesh\n\
   max modify mode --switch to Modify panel\n\
   subObjectLevel = 2 --set Edge SO level\n\
   )\n\
   ) --end macro\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getPolysUsingFace &lt;Mesh mesh&gt; &lt;facelist&gt; ignoreVisEdges:&lt;boolean=false&gt; threshhold:&lt;float=45.&gt;</code></pre><p>Returns a bitarray of size=(#faces inmesh) with bits set for all faces that are in &apos;polygons&apos; containing the specified faces. The definition of a polygon is all faces sharing invisible edges with edge angles below the threshhold angle. The default threshhold angle is 45 degrees. If <code>ignoreVisEdges:</code> is set to <code>true</code> , the edge visibility is ignored but the threshhold is still relevant.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getFacesUsingVert &lt;Mesh mesh&gt; &lt;vertlist&gt;</code></pre><p>Returns a bitarray of size=(#faces in mesh) with bits set for all faces that use the specified vertices.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj =Sphere() --create a Sphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   --Get the faces used by the first vertex (north pole)\n\
   verts= meshop.getFacesUsingVert obj #{1}\n\
   --Add the faces used by the last vertex (south pole)\n\
   verts+= meshop.getFacesUsingVert obj #{obj.numverts}\n\
   --Select the faces used by both pole vertices\n\
   setFaceSelectionobjverts\n\
   update obj --update the mesh\n\
   max modify mode --switch to modify mode\n\
   select obj --select the mesh\n\
   subObjectLevel = 3 --switch to face sub-object level\n\
</code></pre><p>   <img src=\"./images/GUID-6A4F500A-A512-430B-8E92-16227B6694A5-low.gif\" alt> <img src=\"./images/GUID-467D4756-72C0-4BFF-BE6A-81213049D445-low.gif\" alt></p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Vert2FaceSel category:&quot;MXS Help&quot;\n\
   (\n\
   --make sure a single EMesh object is selected\n\
   on isEnabled return\n\
   selection.count == 1 and classof selection[1] == Editable_Mesh\n\
   on execute do\n\
   (\n\
   obj = selection[1] --get selected object\n\
   vertSel = getVertSelection obj --get selected Vertices\n\
   --get Faces of selected Verts:\n\
   faceSel = meshop.getFacesUsingVert obj vertSel\n\
   setFaceSelection obj vertsSel --select the Faces\n\
   update obj --update the mesh\n\
   max modify mode --switch to Modify panel\n\
   subObjectLevel =3 --set Face SO level\n\
   )\n\
   ) --end macro\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getElementsUsingFace &lt;Mesh mesh&gt; &lt;facelist&gt; fence:&lt;facelist=unsupplied&gt;</code></pre><p>Returns a bitarray of size=(#faces inmesh) with bits set for all faces in elements where at least one face in the element is specified in <code>&lt;facelist&gt;</code>. If <code>fence:</code> is specified, its faces are considered as barriers to the element and are not processed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVertsUsedOnlyByFaces &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Returns a bitarray of size=(#vertices inmesh) with bits set for all vertices used by the specified faces.</p>\n\
<h2 id=\"flip-and-unify-normals\">Flip and Unify Normals</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.unifyNormals &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Unifies the normals of the specified faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.flipNormals &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Flips the normal of the specified faces.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj =sphere() --create a Sphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   --Flip the normals of the top half of the faces:\n\
   meshop.flipNormals obj #{1..obj.numfaces/2}\n\
   update obj --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-6A4F500A-A512-430B-8E92-16227B6694A5-low.gif\" alt> <img src=\"./images/GUID-4B478664-B744-4BD9-8922-0F0A1606A7C5-low.gif\" alt></p>\n\
</blockquote>\n\
<h2 id=\"make-planar\">Make Planar</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.makeFacesPlanar &lt;Mesh mesh&gt; &lt;facelist&gt;</code></pre><p>Moves the specified faces so that they are planar.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = sphere()\n\
   convertToMesh obj\n\
   --make the faces of the top half of the sphere planar:\n\
   meshop.makeFacesPlanar obj #{1..obj.numfaces/2.0}\n\
   update obj\n\
</code></pre><p>   <img src=\"./images/GUID-6A4F500A-A512-430B-8E92-16227B6694A5-low.gif\" alt> <img src=\"./images/GUID-E294C4AE-E2D5-4141-A8D3-458CB692C8B0-low.gif\" alt></p>\n\
</blockquote>\n\
<h2 id=\"autosmooth-faces\">AutoSmooth Faces</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.autoSmooth &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;float threshold&gt;</code></pre><p>Smooths the specified faces based on the threshold angle.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj =geosphere() --create a GeoSphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   --Smooth half of the faces:\n\
   meshop.autoSmooth obj #{obj.numfaces/2..obj.numfaces} 0.0\n\
   update obj --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-69B109D9-2F70-43C3-81C4-FFAE0DB08571-low.gif\" alt> <img src=\"./images/GUID-CBE5E3AA-DF60-4163-AD36-EFF6C155960B-low.gif\" alt></p>\n\
</blockquote>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Mesh-Face-Methods.html\">Mesh Face Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Methods.html\">Mesh Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Face-Methods.html\">Mesh Face Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Methods.html\">Mesh Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";