var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A97DF4E3-04A7-4A91-AE7C-3C75A8BAA399\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Meshop General Mapping Methods</h1></div><p>The following methods provide general access to the Mapping channels, the mapping vertices and faces.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#number-of-map-channels\">Number Of Map Channels</a></li>\n\
<li><a href=\"#map-channel-support\">Map Channel Support</a></li>\n\
<li><a href=\"#number-of-map-vertices-and-faces\">Number Of Map Vertices And Faces</a></li>\n\
<li><a href=\"#color-per-vertex-channel-channel-0-\">Color per vertex channel (Channel 0)</a></li>\n\
<li><a href=\"#default-texture-mapping-channel-channel-1-\">Default texture mapping channel (Channel 1)</a></li>\n\
<li><a href=\"#build-map-faces\">Build Map Faces</a></li>\n\
<li><a href=\"#apply-mapping\">Apply Mapping</a></li>\n\
<li><a href=\"#map-vertices-and-faces-access\">Map Vertices And Faces Access</a></li>\n\
<li><a href=\"#get-a-using-b\">Get A Using B</a></li>\n\
<li><a href=\"#vertex-and-face-color-and-alpha\">Vertex And Face Color And Alpha</a></li>\n\
<li><a href=\"#isolated-map-vertices\">Isolated Map Vertices</a></li>\n\
<li><a href=\"#delete-map-vertices\">Delete Map Vertices</a></li>\n\
<li><a href=\"#free-map-vertices-and-faces\">Free Map Vertices And Faces</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Topic Navigation:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"number-of-map-channels\">Number Of Map Channels</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setNumMaps &lt;Mesh mesh&gt; &lt;int count&gt; keep:&lt;bool1ean=false&gt;</code></pre><p>Sets the number of map channels available. The number of map channels can be set from 2 to 100. Map channels 1 and 2 are the Vertex Color and default Texture Map channels. If <code>keep:</code> is <code>false</code> , the old mapping information is discarded. If <code>true</code> , the old mapping information is retained after the resize.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getNumMaps &lt;Mesh mesh&gt;</code></pre><p>Returns the number of map channels available as aninteger.</p>\n\
<h2 id=\"map-channel-support\">Map Channel Support</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setMapSupport &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Boolean support&gt;</code></pre><p>Sets whether the specified mapping channel is supported or not. If support is <code>true</code> , and the channel support state is currently <code>false</code> , a new map face array of the same size as the number of faces in the mesh is allocated, but no map vertex array is allocated. If support is <code>false</code> , and the channel support state is currently <code>true</code> , existing map channel face and vertex arrays are deallocated. If support and the current channel support state are both the same, no action is performed. <code>SetNumMaps()</code> is automatically called if the specified map channel is not available.</p>\n\
<p><code>mapChannel</code> index values are 0-based, with Map channels 0 and 1 being the Vertex Color and default Texture Map channels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getMapSupport &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;</code></pre><p>Returns whether the specified map channel is supported. This signifies that a map face arrayis present, but not necessarily a map vertex array.</p>\n\
<h2 id=\"number-of-map-vertices-and-faces\">Number Of Map Vertices And Faces</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setNumMapVerts &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer count&gt; keep:&lt;boolean=FALSE&gt;</code></pre><p>Sets the number of vertices for the map channel, initializing the map vertex array. If <code>keep:</code> is <code>false</code> or not specified, the old map vertex information is discarded. If <code>true</code> , the old map vertex information is retained after the resize.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getNumMapVerts &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;</code></pre><p>Returns the number of vertices for the map channel as an <code>&lt;integer&gt;</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setNumMapFaces &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer count&gt; keep:&lt;boolean=false&gt; keepCount:&lt;int=0&gt;</code></pre><p>Sets the number of faces for the map channel. If <code>keep:</code> is <code>false</code> or not specified, the old map face information is discarded. If <code>true</code> , the old map face information from the number of faces specified by <code>keepCount:</code> is retained after the resize. Dangerous to use with map channels 0 and 1, so miminummapChannelvalue is 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getNumMapFaces &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;</code></pre><p>Returns the number of faces for the map channel as an <code>&lt;integer&gt;</code>.</p>\n\
<h2 id=\"color-per-vertex-channel-channel-0-\">Color per vertex channel (Channel 0)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getNumCPVVerts &lt;Mesh mesh&gt;</code></pre><p>Returns the number of Color Per Vertex mapping channel vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setNumCPVVerts &lt;Mesh mesh&gt; &lt;int&gt;</code></pre><p>Sets the number of Color Per Vertex mapping channel vertices.</p>\n\
<h2 id=\"default-texture-mapping-channel-channel-1-\">Default texture mapping channel (Channel 1)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getNumTVerts &lt;Mesh mesh&gt;</code></pre><p>Returns the number of Default Texture mapping channel vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setNumTVerts &lt;Mesh mesh&gt; &lt;int&gt;</code></pre><p>Sets the number of Default Texture mapping channel vertices.</p>\n\
<h2 id=\"build-map-faces\">Build Map Faces</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.buildMapFaces &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Boolean keep&gt;</code></pre><p>Sets the number of map faces to the number of mesh faces, retaining existing mapping data if keep is true. Deletes any map vertices that are not used by the map faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.defaultMapFaces &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;</code></pre><p>Sets the number of map faces to the number of mesh faces, and the number of map vertices to the number of mesh vertices. The map face vertices are set to the same vertex index as the corresponding mesh face vertices (i.e., there will be a 1-to-1 correspondence between map faces/vertices and the mesh faces/vertices). The map vertex UVW coordinates are set to the normalized (0 to 1) position of the corresponding mesh vertex in the mesh&apos;s bounding box.</p>\n\
<h2 id=\"apply-mapping\">Apply Mapping</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.makeMapPlanar &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;</code></pre><p>Applies a simple planar mapping to the specified channel. This is done by copying the mesh topology and vertex locations into the map, resizing the face and vertex arrays if necessary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.applyUVWMap &lt;TriMesh mesh&gt; {#planar | #cylindrical | #spherical | #ball | #box&gt; | #face} \\\n\
utile:&lt;float=1.0&gt; vtile:&lt;float=1.0&gt; wtile:&lt;float=1.0&gt; uflip:&lt;boolean=false&gt; vflip:&lt;boolean=false&gt; wflip:&lt;boolean=false&gt; cap:&lt;boolean=true&gt; tm:&lt;Matrix3=identity matrix&gt; channel:&lt;int=1&gt;</code></pre><p>Applies the specified mapping type to the mapping channel.</p>\n\
<p><code>utile/vtile/wtile</code> - Number of tiles in the U/V/W directions.</p>\n\
<p><code>uflip/vflip/wflip</code> - U/V/W are mirrored if <code>true</code> .</p>\n\
<p><code>cap</code> - used with <code>#cylindrical</code> . If <code>true</code> , then any face normal that is pointing more vertically than horizontally will be mapped using planar coordinates.</p>\n\
<p><code>tm</code> - defines the mapping space. As each point is mapped, it is multiplied by this matrix, and then it is mapped.</p>\n\
<p><code>channel</code> - the mapping channel the mapping is applied to, defaults to channel 1.</p>\n\
<h2 id=\"map-vertices-and-faces-access\">Map Vertices And Faces Access</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setMapVert &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer index&gt; &lt;Point3 xyz&gt;</code></pre><p>Sets the coordinates of the specified map vertex.</p>\n\
<p>See <a href=\"Accessing-the-Viewport-Vertex.html\">Accessing the Viewport Vertex Alpha Values</a> for some more details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getMapVert &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer index&gt;</code></pre><p>Returns the coordinates of the specified map vertex as a <code>&lt;point3&gt;</code>.</p>\n\
<p>See <a href=\"Accessing-the-Viewport-Vertex.html\">Accessing the Viewport Vertex Alpha Values</a> for some more details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setMapFace &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer index&gt; &lt;Point3 face&gt;</code></pre><p>Sets the map vertices for the specified map face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getMapFace &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer index&gt;</code></pre><p>Returns the vertices of the specified map face as a <code>&lt;point3&gt;</code>.</p>\n\
<h2 id=\"get-a-using-b\">Get A Using B</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getMapFacesUsingMapVert &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;mapVertlist&gt;</code></pre><p>Returns a bitarray of size=(#map faces for channel inmesh) with bits set for all map faces that use the specified map vertices.</p>\n\
<p>See <a href=\"./../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-Split-a-Mesh-by-UV.html\">splitMeshByUVElements</a> script in the FAQ for example usage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getMapVertsUsingMapFace &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;mapFacelist&gt;</code></pre><p>Returns a bitarray of size=(#map vertices for channel inmesh) with bits set for all map vertices that use the specified map faces.</p>\n\
<p>See <a href=\"./../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-Split-a-Mesh-by-UV.html\">splitMeshByUVElements</a> script in the FAQ for example usage.</p>\n\
<h2 id=\"vertex-and-face-color-and-alpha\">Vertex And Face Color And Alpha</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setFaceAlpha &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;facelist&gt; &lt;float alpha&gt;</code></pre><p>For the specified map channel, sets the map vertex color to value between 0 (transparent) and 1 (opaque) for the map vertices used by the map faces associated with the specified faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setFaceColor &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;facelist&gt; &lt;color color&gt;</code></pre><p>For the specified map channel, sets the map vertex color to <code>&lt;color&gt;</code> for the map vertices used by the map faces associated with the specified faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setVertAlpha &lt;Mesh mesh&gt; &lt;intmapChannel&gt; &lt;vertlist&gt; &lt;float alpha&gt;</code></pre><p>For the specified map channel, sets the map vertex color to a value between 0 (transparent) and 1 (opaque) for the map vertices associated with the specified mesh vertices.</p>\n\
<p>See <a href=\"Accessing-the-Viewport-Vertex.html\">Accessing the Viewport Vertex Alpha Values</a> for some more details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setVertColor &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;vertlist&gt; &lt;color color&gt;</code></pre><p>For the specified map channel, sets the map vertex color to <code>&lt;color&gt;</code> for the specified map vertices.</p>\n\
<h2 id=\"isolated-map-vertices\">Isolated Map Vertices</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getIsoMapVerts &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;</code></pre><p>Returns a <code>&lt;bitarray&gt;</code> with a bit set for each isolated map vertex (unreferenced by any map face) for the specified channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.deleteIsoMapVertsAll &lt;Mesh mesh&gt;</code></pre><p>For all mapping channels, deletes all mapping vertices that are not used by a mapping face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.deleteIsoMapVerts &lt;Mesh mesh&gt; &lt;mapChannel channel&gt;</code></pre><p>For the specified mapping channel, deletes all mapping vertices that are not used by a mapping face.</p>\n\
<h2 id=\"delete-map-vertices\">Delete Map Vertices</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.deleteMapVertSet &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; {&lt;BitArray set&gt; | &lt;Integer index&gt; | &lt;integer array&gt;}</code></pre><p>Deletes the specified map vertices. Returns a <code>&lt;bitarray&gt;</code> with a bit set for each map face that used one of the deleted map vertices. Normally, you should delete or modify the map faces using the map vertices before deleting the map vertices, as after the vertex deletion you can&apos;t tell which vertex on a face was a vertex that was deleted.</p>\n\
<h2 id=\"free-map-vertices-and-faces\">Free Map Vertices And Faces</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.freeMapVerts &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;</code></pre><p>Deallocates the map vertex array and sets the number of map vertices to 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.freeMapFaces &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;</code></pre><p>Deallocates the map face array and sets the number of map faces to 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.freeMapChannel &lt;Mesh mesh&gt; &lt;int mapChannel&gt;</code></pre><p>Deletes the map vertex and face arrays for the specified channel, and sets their count to 0.</p>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Color-Per-Vertex-Methods.html\">Mesh Color-Per-Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Understanding-Texture.html\">Understanding Texture Coordinates and Vertex Colors</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Color-Per-Vertex-Methods.html\">Mesh Color-Per-Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Understanding-Texture.html\">Understanding Texture Coordinates and Vertex Colors</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";