var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-12ABA4CC-0600-49E7-A543-069BA1952A98\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Delete Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.deleteVerts &lt;Poly poly&gt; &lt;vertlist&gt;</code></pre><p>Deletes the specified vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.deleteFaces &lt;Poly poly&gt; &lt;facelist&gt; \\\n\
delIsoVerts:&lt;boolean=true&gt;</code></pre><p>Deletes the specified faces.</p>\n\
<p>If <code>&lt;delIsoVerts&gt;</code> is <code>true</code> , any vertices that are no longer used by faces are also deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.deleteEdges &lt;Poly poly&gt; &lt;edgelist&gt; \\\n\
delIsoVerts:&lt;boolean=true&gt;</code></pre><p>Deletes the specified edges.</p>\n\
<p>If <code>&lt;delIsoVerts&gt;</code> is <code>true</code> , any vertices that are no longer used by edges are also deleted.</p>\n\
<p>The behavior of the methods <code>PolyOp.deleteEdges()</code> , <code>PolyOp.deleteVerts()</code> , and <code>PolyOp.deleteFaces()</code> changed in <strong>3ds Max 5</strong>. When using these methods, all sub-object elements that use the deleted elements are also deleted. What used to be the (internal) Delete method is now the (internal) Remove method. This new method is not exposed through the <strong><code>polyOp</code></strong> structure, so you need to work through the <a href=\"./../Interface-EditablePoly.html\"\">EditablePoly interface, Remove method</a>.</p>\n\
<p>An example replacement function which works in both <strong>version 4 and higher</strong> is:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn polyop_deleteEdges obj which delIsoVerts =\n\
   (\n\
   if (MaxVersion())[1] &gt;= 5000 then\n\
   (\n\
   local bit30 = bit.set 0 30 true\n\
   polyop.setEdgeFlags obj which bit30\n\
   obj.EditablePoly.remove selLevel:#edge flag:bit30\n\
   if delIsoVerts == true do polyop.deleteIsoVerts obj\n\
   )\n\
   else\n\
   polyop.deleteEdges obj which delIsoVerts:delIsoVerts\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.deleteIsoVerts &lt;Poly poly&gt;</code></pre><p>Deletes any vertices not used by any faces.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";