var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5F1D619F-6931-48CB-B61B-FC5179FA6395\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PolyToolsPaintDeform : GlobalUtilityPlugin</h1></div><p>The <strong>PolyToolsPaintDeform</strong> Global Utility Plugin introduced in <strong>3ds Max 2011</strong> exposes an interface which provides MAXScript access to the Graphite Paint Deform tools.</p>\n\
<p>The functionality was first implemented in <strong>3ds Max 2010</strong> using different functions that were not officially supported as MAXScript tools. This interface consolidates all relevant properties and methods in one place and let MAXScript users apply them in their own tools.</p>\n\
<p>Alsosee <a href=\"PolyToolsShift.html\">PolyToolsShift : GlobalUtilityPlugin</a> for properties and methods related to the Shift tool also found in the Paint Deform panel of the Ribbon.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>PolyToolsPaintDeform interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:  PolyToolsPaintDeform </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PolyToolsPaintDeform.CapOffset: boolean : Read|Write</code></pre><p>Get/set thestate of the Cap Offset option.</p>\n\
<p>When set to true, the deformation over the same vertices within the same stroke will be capped at the Offset value.</p>\n\
<p>When set to false, the deformation over the same vertices within the same stroke will be applied continuously.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PolyToolsPaintDeform.NormalDirection: integer : Read|Write</code></pre><p>Get/set the Normal Direction mode for all tools.</p>\n\
<p>Corresponds to the selection of the &quot;Normal Direction&quot; flyout in the Ribbon.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Original</p>\n\
<p>1 - Deformed</p>\n\
<p>2 - Brush</p>\n\
<p>3 - View</p>\n\
<p>4 - Transform X</p>\n\
<p>5 - Transform Y</p>\n\
<p>6 - Transform Z</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.PushPull ()</code></pre><p>EntersPush/PullPaint Deformationmode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.RelaxSoften ()</code></pre><p>Enters Relax/Soften Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.Flatten ()</code></pre><p>Enters Flatten Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.PinchSpread ()</code></pre><p>Enters Pinch/Spread Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.Smudge ()</code></pre><p>Enters Smudge Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.Noise ()</code></pre><p>Enters Noise Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.Exaggerate ()</code></pre><p>Enters Exaggerate Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.Revert ()</code></pre><p>Enters Revert Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.Commit ()</code></pre><p>Commits the deformations applied during the current Paint Deformation session.</p>\n\
<p>Equivalent to pressing the Commit button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.Cancel ()</code></pre><p>Discards the deformations applied during the current Paint Deformation session.</p>\n\
<p>Equivalent to pressing the Cancel button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.RefreshNormals ()</code></pre><p>Updates theBrush tousethe current normals instead of the original normals.</p>\n\
<p>This method is only valid when the NormalDirection property is set to 0 (Original).</p>\n\
<p>To perform automatic update of the normals and always use the deformed ones, set the NormalDirection property to 1 (Deformed).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.BrushOptions ()</code></pre><p>Opens the Brush Options dialog.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<p>See also <a href=\"./../../../Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">PainterInterface : ReferenceTarget</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsPaintDeform.EndTool ()</code></pre><p>Exits the current Deformation Painting mode, while also commiting the changes.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../PolyTools-Interfaces.html\">PolyTools Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"PolyTools-Interfaces-Graphite.html\">PolyTools Interfaces - Graphite Modeling Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";