var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9B9BDE48-3ED6-45B0-A465-26EE767715C4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable Spline Modify Panel Command Modes and Operations</h1></div><p>A suite of methods provide the ability for a script to invoke Editable Spline, Line, and Edit Spline Modify panel modes and operations, corresponding to buttons available at various shape sub-object levels. These methods reside in the <code>splineOps</code> global structure. These methods effectively &quot;push the button&quot; in the Modify panel. In order to use these methods, the node must be selected and the Modify panel open. In the description of these methods, the first argument <code>&lt;editable_spline_or_line_node_or_modifier&gt;</code> should be interpreted as either an Editable Spline or Line node where the modifier stack level is at the base object, or an Edit Spline modifier where the modifier stack level is at the Edit Spline. In all cases, the following methods work at the current sub-object level, but only if that level is appropriate for the invoked operation.</p>\n\
<p>If you have made scripted changes to the shape you <strong>must</strong> call the <code>updateShape()</code> method on the mesh before calling these methods. You do not need to call <code>updateShape()</code> after just calling one of these methods, as <strong>3ds Max</strong> will take care of updating the shape.</p>\n\
<p>The following methods invoke one of the &apos;user-interaction&apos; button operations in the Editable Spline Modify panel, acting on the currently selected sub-objects. These methods highlight the corresponding button in the Geometry rollout and start the operation, at which point the user interactively completes the operation. These methods return after starting the operation, and before the user completes the operation, so care should be taken to ensure that your script does not interfere with the operation. Invoking any of these methods is the same as clicking on the associated button in the Modify panel. Calling a method when the operation is already in effect (either due to a user action or a MAXScript command) causes the operation to be terminated and the highlight is removed from the button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startUnion &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Boolean Union&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<p>Only 1 closed spline must be selected to enter this command mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startSubtract &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Boolean Subtract&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<p>Only 1 closed spline must be selected to enter this command mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.intersect &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Boolean Intersect&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<p>Only 1 closed spline must be selected to enter this command mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startAttach &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Attach&quot; command mode - valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startBind &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Bind&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startBreak &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Break&quot; command mode - valid in Vertex and Segment Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startChamfer &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Chamfer&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startConnect &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Connect&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startCreateLine &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Create Line&quot; command mode - valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startCrossInsert &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;CrossInsert&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startExtend &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Extend&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startFillet &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Fillet&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startInsert &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Insert&quot; command mode - valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startOutline &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Outline&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startRefine &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Refine&quot; command mode - valid in Vertex and Segment Sub-Object levels.</p>\n\
<p>This method does not turn off the Connect checkbox, so it is effectively the same as the <code>startRefineConnect()</code> method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startRefineConnect &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Refine&quot; command mode - valid in Vertex and Segment Sub-Object levels. This method does not turn on the Connect checkbox, so it is effectively the same as the <code>startRefine()</code> method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startTrim &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Trim&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startCopyTangent &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Copy Tangent&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.startPasteTangent &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Enters &quot;Paste Tangent&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<p><strong>The following methods invoke one of the &apos;instantaneous&apos; button operations in the Editable Shape Modify panel, acting on the currently selected sub-objects:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.attachMultiple &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Displays Attach Multiple dialog allowing the user to select multiple shapes to attach.</p>\n\
<p>Valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.close &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Closes the selected splines - valid in Spline Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.cycle &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Cycles through the vertices of the spline, selecting each vertex. At least one vertex must be selected before calling this method, or no vertex is selected.</p>\n\
<p>If more than one vertex is selected when this method is called, the first vertex of the first shape is selected.</p>\n\
<p>Valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.delete &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Deletes the selected sub-objects - valid in all Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.detach &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Displays Detach dialog allowing the user to specify an object name.</p>\n\
<p>Valid in all Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.divide &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Divides the selected segments - valid in Segment Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.explode &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Explodes the each segment in the selected splines into separate splines or objects.</p>\n\
<p>Valid in Spline Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.fuse &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Fuses the selected vertices.</p>\n\
<p>Valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.hide &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Hides the selected sub-objects - valid in all Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.makeFirst &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Makes the selected vertices the first vertex in the spline- valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.mirrorBoth &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Mirrors the selected splines horizontally and vertically - valid in Spline Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.mirrorHoriz &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Mirrors the selected splines horizontally - valid in Spline Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.mirrorVert &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Mirrors the selected splines vertically - valid in Spline Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.reverse &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Reverses the order of vertices in the selected splines - valid in Spline Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.selectByID &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Presses the Select ID button</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.unbind &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Unbinds the selected vertices - valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.unhideAll &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Unhides all hidden sub-objects -valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">splineOps.weld &lt;editable_spline_or_line_node_or_modifier&gt;</code></pre><p>Welds the selected vertices - valid in Vertex Sub-Object level.</p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Flatten-a-SplineShape.html\">How To ... Flatten a SplineShape</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Draw-a-Freehand-Spline.html\">How To ... Draw a Freehand Spline</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../SplineShape.html\">SplineShape</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"SplineShape-Shape.html\">SplineShape : Shape</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";