var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-86BAF1FA-0E43-4B8F-88CE-849D4C519ABB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ATF_SKETCHUP_Import : ImporterPlugin</h1></div><p>Exposes the Autodesk Translation Framework Sketchup (.skp) Importer plugin to MAXScript. This is the new default Sketchup importer for .skp files which replaces the legacy <a href=\"sketchUp-ImporterPlugin.html\">sketchUp:ImporterPlugin</a>, so specifying this importer with the <code>using</code> keyword parameter to <code>importFile()</code> is not required.</p>\n\
<p>Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript.</code></pre><p><img src=\"./images/GUID-5C56C46C-D592-4B8A-8EB6-C46C101D6D92-low.png\" alt></p>\n\
<p>Aliases:</p>\n\
<p><strong>SKETCHUP_Import interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: Import Settings     </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_SKETCHUP_Import.UpAxis : enum : Read|Write\n\
       UpAxis enums: {#x|#y|#z}</code></pre><p>Gets or sets the selection of the &quot;Up Axis&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><code>#x</code>: <strong>X - Up</strong></li>\n\
<li><code>#y</code>: <strong>Y - Up</strong></li>\n\
<li><code>#z</code>: <strong>Z - Up (default)</strong></li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_SKETCHUP_Import.HierarchyMode : enum : Read|Write\n\
       HierarchyMode enums: {#UsingGrouping|#UsingLayer|#Flattened}</code></pre><p>Gets or sets the selection of the &quot;Hierarchy Mode&quot; drop-down list, which determines how the imported scene is organized by 3ds Max.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#UsingGrouping</strong> (default) - creates a scene hierarchy using 3ds Max groups</li>\n\
<li><strong>#UsingLayer</strong> - creates a scene hierarchy using 3ds Max layers</li>\n\
<li><strong>#Flattened</strong> - creates a flat hierarchy</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_SKETCHUP_Import.MeshResolution : integer : Read|Write</code></pre><p>Gets/sets the value of the &quot;Mesh Resolution&quot; slider / value.</p>\n\
<p>Possible values range is from -10 (Less) to 10 (More).</p>\n\
<p>Default is 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_SKETCHUP_Import.KeepDummyNodes : boolean : Read|Write</code></pre><p>Gets/sets the state of the &quot;Keep Dummy Nodes&quot; checkbox.</p>\n\
<p>When set to True, dummy nodes will be preserved.</p>\n\
<p>Default is False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_SKETCHUP_Import.ImportTextures : boolean : Read|Write</code></pre><p>Gets or sets whether to import textures.</p>\n\
<p>When set to True, textures are imported in the project&apos;s textures directory.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_SKETCHUP_Import.ImportCameras : boolean : Read|Write</code></pre><p>Gets or sets whether to import cameras.</p>\n\
<p>When set to True, cameras are imported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_SKETCHUP_Import.ImportHiddenObjects : boolean : Read|Write</code></pre><p>Gets or sets whether to import hidden objects. Hidden objects remain hidden upon import.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_SKETCHUP_Import.DoubleSidedMaterials : boolean : Read|Write</code></pre><p>Gets or sets whether to import materials as double-sided.</p>\n\
<p>When set to True, faces are covered with a double-sided material so that flipped faces have the appearance of correct orientation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_SKETCHUP_Import.PreserveLayers : boolean : Read|Write</code></pre><p>Gets or sets whether to attempt to preserve layers. Layers can only be imported if <code>#UsingGrouping</code> or <code>#Flattened</code> is selected for the <code>.HiearchyMode</code> property.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong>\n\
<strong>Example:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- ATF_SKETCHUP_Import example\n\
\n\
resetMaxFile #noPrompt\n\
\n\
-- Set all the supported options\n\
ATF_SKETCHUP_Import.UpAxis = #z\n\
ATF_SKETCHUP_Import.ImportTextures = true\n\
ATF_SKETCHUP_Import.ImportCameras = true\n\
ATF_SKETCHUP_Import.HierarchyMode = #UsingGrouping\n\
ATF_SKETCHUP_Import.DoubleSidedMaterials = true\n\
\n\
file_path = @&quot;D:\\My Documents\\3ds Max\\scripts\\TestData\\Sketchup\\TexturedHouses.skp&quot;\n\
result = importFile file_path #noPrompt using:ATF_SKETCHUP_Import</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">Import and Export Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";