var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F203ABBC-C3DF-4406-A449-CE6EDC011F55\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ATSOps</h1></div><p>This <strong>Core Interface</strong> provided access to the <strong>Asset Tracking System</strong>.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ATSOps </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATSOps.Visible: boolean : Read|Write   </code></pre><p>Get/set the visibility of the Asset Tracking dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATSOps.Silent: boolean : Read|Write </code></pre><p>Get/set the silent mode of the Asset Tracking dialog.</p>\n\
<p>If connected to an ATS Provider, the provider might not respect the silent flag and display dialogs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATSOps.Disabled: boolean : Read|Write </code></pre><p>Enable/disable asset tracking.</p>\n\
<p>Corresponds to the <strong>Options&gt;Disable Asset Tracking</strong> menu item in the Asset Tracking dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATSOps.AutoLogin: boolean : Read|Write </code></pre><p>Enable/disable auto-login.</p>\n\
<p>When true, the Asset Tracker will attempt to login to all registered ATS Providers when a project (scene file) is open.</p>\n\
<p>Corresponds to the <strong>Options&gt;Auto Login</strong> menu item in the Asset Tracking dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATSOps.TreeView: boolean : Read|Write </code></pre><p>Enable/disable tree view display.</p>\n\
<p>Corresponds to the <strong>Options&gt;Tree View</strong> menu item in the Asset Tracking dialog.</p>\n\
<p>If in table view and the <code>.TreeView</code> property has been set to true, the <code>.TableView</code> property will be set to false automatically.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATSOps.TableView: boolean : Read|Write </code></pre><p>Enable/disable table view display.</p>\n\
<p>Corresponds to the <strong>Options&gt;Table View</strong> menu item in the Asset Tracking dialog.</p>\n\
<p>If in tree view and the <code>.TableView</code> property has been set to true, the <code>.TreeView</code> property will be set to false automatically.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATSOps.DisplayExcluded: boolean : Read|Write </code></pre><p>Enable/disable the display of excluded files.</p>\n\
<p>Corresponds to the <strong>Options&gt;Display Excluded Files</strong> item in the Asset Tracking dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATSOps.ExcludeOutputFiles: boolean : Read|Write </code></pre><p>Enable/disable the exclusion of output files.</p>\n\
<p>Corresponds to the <strong>Options&gt;Exclude Output Files</strong> item in the Asset Tracking dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATSOps.CheckNetworkPaths: boolean : Read|Write </code></pre><p>Enable/disable the checking of network paths.</p>\n\
<p>When set to true,theAsset Tracker system checks for the existence of files on network drives.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Methods</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.Refresh() </code></pre><p>Refreshes the Asset Tracking dialog.</p>\n\
<p>This method both updates the dependent file list and if connected to an ATS Provider it will also query the server for updated version control status.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.ShowPromptsDialog() </code></pre><p>Opens the Prompts dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.ShowWorkingCommentDialog() </code></pre><p>Opens the Working Comment dialog. Corresponds to the <strong>File&gt;Working Comment...</strong> option in the Asset Tracking dialog&apos;s menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.ShowStatusLogDialog() </code></pre><p>Opens the Asset Tracking Log dialog.</p>\n\
<h2 id=\"provider\">Provider</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.NumProviders() </code></pre><p>Returns the number of registered ATS providers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;ATSOps.GetProviderName &lt;index&gt;ProviderIndex </code></pre><p>Returns the name of the indexed provider as string.</p>\n\
<p>If the index is less than 1 and higher than the number of available providers, returns undefined.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;ATSOps.GetActiveProvider() </code></pre><p>Returns the index of the active provider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.SetActiveProvider &lt;index&gt;ProviderIndex </code></pre><p>Sets the the active provider to the indexed provider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.IsInitialized &lt;index&gt;ProviderIndex </code></pre><p>Returns true if the indexed provider is initialized, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.Login &lt;index&gt;ProviderIndex </code></pre><p>Logs in to the indexed provider.</p>\n\
<p>Corresponds to the <strong>Server&gt;Log in...</strong> option in the Asset Tracking dialog&apos;s menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.Logout &lt;index&gt;ProviderIndex </code></pre><p>Logs out of the indexed provider.</p>\n\
<p>Corresponds to the <strong>Server&gt;Logout</strong> option in the Asset Tracking dialog&apos;s menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.LaunchProvider&lt;index&gt;ProviderIndex </code></pre><p>Launches the indexed provider.</p>\n\
<p>Corresponds to the <strong>Server&gt;Launch Provider...</strong> option in the Asset Tracking dialog&apos;s menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;ATSOps.GetNotificationProviderIndex() </code></pre><p>Returns the notification provider index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.LaunchOptions &lt;index&gt;ProviderIndex </code></pre><p>Opens the Options dialog of the indexed provider.</p>\n\
<p>Corresponds to the <strong>Server&gt;Options...</strong> option in the Asset Tracking dialog&apos;s menu.</p>\n\
<h2 id=\"asset-selection-access\">Asset Selection Access</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.NumFilesSelected() </code></pre><p>Returns the number of selected files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetSelectedFiles &lt;&amp;filename array&gt;FileList\n\
\n\
FileListis In and Out parameter </code></pre><p>Collects the selected files into the by-reference FileList array.</p>\n\
<p>Returns the number of files collected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.SelectFiles &lt;filename array&gt;FileList useResolvedFileNames:&lt;boolean&gt;\n\
       SelectFiles - no automatic redraw after invoked\n\
       useResolvedFileNames default value: true</code></pre><p>Selects the asset files specified by the by-reference <code>FileList</code> array.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> When <code>useResolvedFileNames</code> is set to true (the default), files are selected based on their resolved file names. When false, the files are selected based on their specified file names. </p>\n\
<p>The method <strong>does not clear</strong> the existing selection, but <strong>adds</strong> to it. To replace the existing selection, call <code>ATSOps.ClearSelection()</code> beforehand.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.ClearSelection() </code></pre><p>Clears the selection in the Asset Tracking dialog.</p>\n\
<h2 id=\"asset-files-access\">Asset Files Access</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.NumFiles() </code></pre><p>Returns the total number of files in the Asset Tracking dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.GetFiles &lt;&amp;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter </code></pre><p>Collects all files in the Asset Tracker into the by-reference FileList array.</p>\n\
<p>Returns the number of files collected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.GetDependentFiles &lt;string&gt;Filename &lt;boolean&gt;Recurse &lt;&amp;filename array&gt;FileList IncludeOutputFiles:&lt;boolean&gt; \n\
\n\
FileList is In and Out parameter \n\
IncludeOutputFiles default value: true </code></pre><p>Collects the dependent files of the specified filename into the by-reference FileList array.</p>\n\
<p>If the Recurse boolean parameter is set to true, also recurses through all collected files, collecting their dependent files too.</p>\n\
<p>If the <code>IncludeOutputFiles:</code> optional keyword argument is not specified or specified and set to true, output files will also be included in the dependency list. If it is specified and set to false, output files will not be included.</p>\n\
<p>Returns the number of files collected in the FileList array.</p>\n\
<h2 id=\"open-and-close-projects\">Open and Close Projects</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.OpenFromVault() </code></pre><p>Launches the Opens from Autodesk Vault dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.OpenProject &lt;index&gt;ProviderIndex &lt;filename&gt;ProjectPath </code></pre><p>Opens the specified project using the indexed provider.</p>\n\
<p>The call to <code>atsops.openproject()</code> is required in order to stay compliant with MSSCC and 3 rd party providers like Perforce, Alienbrain, VSS etc. For consistency, <strong>Autodesk Vault</strong> also requires a call to <code>atsops.openproject()</code> if no scene file is open in <strong>3ds Max</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   atsops.login 2 --using the second provider...\n\
   atsops.openproject 2 &quot;C:\\\\myVault\\\\3dsmax\\\\DWFTest&quot;--open the project\n\
   fl = #(&quot;C:\\\\myVault\\\\3dsmax\\\\DWFTest\\\\noload.max&quot;)--define a file list\n\
   atsops.addfiles 2 fl &quot;comment&quot; --add the file list\n\
   atsops.logout 2 --log out from the second provider\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.IsProjectOpen &lt;index&gt;ProviderIndex </code></pre><p>Returns true if a project is open for the indexed provider, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.CloseProject &lt;index&gt;ProviderIndex </code></pre><p>Closes the current project in the indexed provider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.GetFromProvider &lt;index&gt;ProviderIndex &lt;string&gt;FilterName &lt;string&gt;FilterExtensions &lt;boolean&gt;AddAllFilesFilter &lt;boolean&gt;MultiSelect &lt;boolean&gt;Download &lt;&amp;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter </code></pre><p>Opens the Gets Files dialog from the indexed provider using the specified filter Name and filter Extensions strings to initialize the dialog.</p>\n\
<p>If the AddAllFilesFilter parameter is supplied as true, adds the All files (<em>.</em>) filter to the dialog.</p>\n\
<p>If MultiSelect is supplied as true, allows multiple selections.</p>\n\
<p>The FileList array passed by-reference will contain the resulting list of files returned by the provider.</p>\n\
<h2 id=\"test-file-status\">Test File Status</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.IsFileExcluded &lt;index&gt;ProviderIndex &lt;string&gt;Filename </code></pre><p>Returns true if the specified file is excluded by the indexed provider, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.IsFileShareLocked &lt;index&gt;ProviderIndex &lt;filename&gt;Filename </code></pre><p>Returns true if a file is share locked by an ATS Provider.</p>\n\
<p>A file is considered share locked if the file is checked out by another user at a shared location. Share locked files should be treated as read-only by users who are accessing the file and are not the owner of the lock.</p>\n\
<p>Provider Index is the index of ATS Provider. If ProviderIndex is -1, the method will check all providers for a share locked status.</p>\n\
<p>Filename is the string that contains the file name.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.IsInputFile &lt;filename&gt;Filename </code></pre><p>Returns true if the specified file is an input file and a true dependent file, false if it is an output file or if it is not found.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;namesarray&gt;ATSOps.GetFileStatus &lt;index&gt;ProviderIndex &lt;string&gt;Filename </code></pre><p>Returns an array of Name Literals based on the status of the file.</p>\n\
<p>ProviderIndex is the index of ATS Provider. If ProviderIndex is -1, the method will check all providers for the status.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Status</th>\n\
<th>Description</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#Unknown</code></td>\n\
<td>The status of the file is unknown</td>\n\
</tr>\n\
<tr>\n\
<td><code>#NotControlled</code></td>\n\
<td>The file is not controlled by the Provider</td>\n\
</tr>\n\
<tr>\n\
<td><code>#Controlled</code></td>\n\
<td>The file is version controlled by the Provider</td>\n\
</tr>\n\
<tr>\n\
<td><code>#CheckedOut</code></td>\n\
<td>The file is checked out by the user</td>\n\
</tr>\n\
<tr>\n\
<td><code>#CheckedOutOther</code></td>\n\
<td>The file is checked out by another user</td>\n\
</tr>\n\
<tr>\n\
<td><code>#OutOfDate</code></td>\n\
<td>The file is out of date</td>\n\
</tr>\n\
<tr>\n\
<td><code>#Deleted</code></td>\n\
<td>The file has been deleted from server</td>\n\
</tr>\n\
<tr>\n\
<td><code>#Missing</code></td>\n\
<td>The file does not exist locally</td>\n\
</tr>\n\
<tr>\n\
<td><code>#Modified</code></td>\n\
<td>The file has been modified locally</td>\n\
</tr>\n\
<tr>\n\
<td><code>#Hidden</code></td>\n\
<td>The file is hidden</td>\n\
</tr>\n\
<tr>\n\
<td><code>#ShareLock</code></td>\n\
<td>The file is shared and locked by another user</td>\n\
</tr>\n\
<tr>\n\
<td><code>#CanCheckin</code></td>\n\
<td>The file can be checked in</td>\n\
</tr>\n\
<tr>\n\
<td><code>#CanCheckout</code></td>\n\
<td>The file can be checked out</td>\n\
</tr>\n\
<tr>\n\
<td><code>#CanUndoCheckout</code></td>\n\
<td>The checkout of the file can be undone</td>\n\
</tr>\n\
<tr>\n\
<td><code>#CanGetLatest</code></td>\n\
<td>The latest version of the file can be returned by the Provider</td>\n\
</tr>\n\
<tr>\n\
<td><code>#CanAddFile</code></td>\n\
<td>The file can be added</td>\n\
</tr>\n\
<tr>\n\
<td><code>#CanShowHistory</code></td>\n\
<td>The History of the file can be shown</td>\n\
</tr>\n\
<tr>\n\
<td><code>#CanShowProperties</code></td>\n\
<td>The Properties of the file can be shown</td>\n\
</tr>\n\
</tbody></table>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   myStatus = ATSOps.GetFileStatus 1&quot;C:\\\\myVault\\\\myScene.max&quot;\n\
   #(#Controlled, #OutOfDate, #Modified)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.TestFileStatus &lt;index&gt;ProviderIndex &lt;string&gt;Filename &lt;enum&gt;Status \n\
\n\
Status enums : {#Unknown | #NotControlled | #Controlled | #CheckedOut | #CheckedOutOther | #OutOfDate | #Deleted | #Missing | #Modified | #Hidden | #ShareLock | #CanCheckin | #CanCheckout | #CanUndoCheckout | #CanGetLatest | #CanAddFile | #CanShowHistory | #CanShowProperties} </code></pre><p>Returns true if the specified file has the supplied status on the indexed provider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.GetFilesByStatus&lt;index&gt;ProviderIndex &lt;enum&gt;Status &lt;&amp;filename array&gt;FileList \n\
\n\
Status enums: {#Unknown | #NotControlled | #Controlled | #CheckedOut | #CheckedOutOther | #OutOfDate | #Deleted | #Missing | #Modified | #Hidden | #ShareLock | #CanCheckin | #CanCheckout | #CanUndoCheckout | #CanGetLatest | #CanAddFile | #CanShowHistory | #CanShowProperties} \n\
FileList is In and Out parameter </code></pre><p>Returns all files that have the supplied status on the indexed provider into the by-reference FileList array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;namesarray&gt;ATSOps.GetFileSystemStatus &lt;string&gt;Filename </code></pre><p>Returns an array of Name Literals based on the system status of the file.</p>\n\
<p>Possible status Name Literals are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Status</th>\n\
<th>Description</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#Unknown</code></td>\n\
<td>The status of the file is unknown</td>\n\
</tr>\n\
<tr>\n\
<td><code>#Ok</code></td>\n\
<td>The file was found at the specified location</td>\n\
</tr>\n\
<tr>\n\
<td><code>#Missing</code></td>\n\
<td>The file was not found at the specified location nor in the search paths</td>\n\
</tr>\n\
<tr>\n\
<td><code>#Found</code></td>\n\
<td>The file was not found at the specified location but was found in one of the search paths.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#NetworkPath</code></td>\n\
<td>The file is on a network path</td>\n\
</tr>\n\
</tbody></table>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.TestFileSystemStatus &lt;filename&gt;Filename &lt;enum&gt;Status \n\
\n\
Status enums: {#Unknown | #Ok | #Missing | #Found | #NetworkPath} </code></pre><p>Returns true if the given file name has the specified status, false otherwise.</p>\n\
<p>See table above for details.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.GetFilesByFileSystemStatus &lt;enum&gt;Status &lt;&amp;filename array&gt;FileList \n\
\n\
Status enums: {#Unknown | #Ok | #Missing | #Found | #NetworkPath} \n\
FileListis In and Out parameter </code></pre><p>Returns the number of files with the specified system status and and array of the file names via the by-reference parameter FileList.</p>\n\
<h2 id=\"checking-files-in-and-out\">Checking Files In and Out</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.Checkin &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList &lt;&amp;string&gt;Comment\n\
       Checkin - no automatic redraw after invoked\n\
       Comment is In and Out parameter</code></pre><p>Checks in the files specified by the by-reference FileList array of strings using the by-reference Comment string into the indexed provider.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, returns true if the action can be performed, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The return value does NOT indicate whether the operation succeeded or failed- if you need that level of verification, you should call <code>ATSOps.GetFileStatus()</code> or <code>ATSOps.Refresh()</code> for a server update.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.Checkout &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList &lt;&amp;string&gt;Comment\n\
       Checkout - no automatic redraw after invoked\n\
       Comment is In and Out parameter</code></pre><p>Checks out the files specified by the by-reference FileList array of strings using the by-reference Comment string into the indexed provider.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, returns true if the action can be performed, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The return value does NOT indicate whether the operation succeeded or failed- if you need that level of verification, you should call <code>ATSOps.GetFileStatus()</code> or <code>ATSOps.Refresh()</code> for a server update.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.UndoCheckout &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter </code></pre><p>Undoes the check out of the files specified by the by-reference FileList array of strings on the indexed provider.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, returns true if the action can be performed, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The return value does NOT indicate whether the operation succeeded or failed- if you need that level of verification, you should call <code>ATSOps.GetFileStatus()</code> or <code>ATSOps.Refresh()</code> for a server update.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.GetLatest &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter </code></pre><p>Gets the latest version of the files specified by the by-reference FileList array of strings from the indexed provider.</p>\n\
<p>Corresponds to the <strong>File&gt;Get Latest</strong> option in the Asset Tracking dialog&apos;s menu.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, returns true if the action can be performed, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The return value does NOT indicate whether the operation succeeded or failed- if you need that level of verification, you should call <code>ATSOps.GetFileStatus()</code> or <code>ATSOps.Refresh()</code> for a server update.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.AddFiles &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList &lt;&amp;string&gt;Comment IsHidden:&lt;boolean array&gt;\n\
       AddFiles - no automatic redraw after invoked\n\
       Comment is In and Out parameter\n\
       IsHidden default value: #()</code></pre><p>Adds the files specified by the by-reference FileList array of strings to the indexed provider, using the by-reference Comment string.</p>\n\
<p>The optional <strong><code>isHidden:</code></strong> keyword argument can be used to provide an array of Boolean values, one for each file on the FileList. A value of true means that the file will be added with a hidden status (if supported by the Provider).</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, returns true if the action can be performed, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The return value does NOT indicate whether the operation succeeded or failed- if you need that level of verification, you should call <code>ATSOps.GetFileStatus()</code> or <code>ATSOps.Refresh()</code> for a server update.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.Properties &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter </code></pre><p>Opens the Properties... dialog for the files specified by the by-reference FileList array of strings with the indexed provider.</p>\n\
<p>Corresponds to the <strong>File&gt;Properties...</strong> option in the Asset Tracking dialog&apos;s menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.ShowHistory &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter </code></pre><p>Opens the History... dialog for the files specified by the by-reference FileList array of strings with the indexed provider.</p>\n\
<p>Corresponds to the <strong>File&gt;History...</strong> option in the Asset Tracking dialog&apos;s menu.</p>\n\
<p>The following 8 methods are implemented as <strong>menu utility functions</strong> which return true when a file is selected in the ATS dialog and the corresponding operation can be performed. When automating ATS functionality using MAXScript, <strong>these methods will generally return false!</strong> You can use the <code>atsops.TestFileStatus()</code> method to perform these tests as described in the notes below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.CanCheckin() </code></pre><p>Returns true if checking in is possible in the ATS dialog, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To test whether the <code>atsops.Checkin()</code> method can be called successfully, you should use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">atsops.TestFileStatus providerIndex filename #CanCheckin</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.CanCheckout() </code></pre><p>Returns true if checking out is possible in the ATS dialog, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To test whether the <code>atsops.Checkout()</code> method can be called successfully, you should use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">atsops.TestFileStatus providerIndex filename #CanCheckout</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.CanUndoCheckout() </code></pre><p>Returns true if checking out can be undone in the ATS dialog, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To test whether the <code>atsops.undoCheckout()</code> method can be called successfully, you should use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">atsops.TestFileStatus providerIndex filename #CanUndoCheckout</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.CanGetLatest() </code></pre><p>Returns true if getting latest is possible in the ATS dialog, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To test whether the <code>atsops.getLatest()</code> method can be called successfully, you should use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">atsops.TestFileStatus providerIndex filename #CanGetLatest</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.CanAddFiles() </code></pre><p>Returns true if adding files is possible in the ATS dialog, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To test whether the method <code>atsops.addFiles()</code> can be called successfully, you should use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">atsops.TestFileStatus providerIndex filename #CanAddFile</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.CanProperties() </code></pre><p>Returns true if getting the properties is possible in the ATS dialog, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To test whether the method <code>atsops.Properties()</code> can be called successfully, you should use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">atsops.TestFileStatus providerIndex filename #CanProperties</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.CanShowHistory() </code></pre><p>Returns true if showing history is possible in the ATS dialog, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To test whether the method <code>atsops.showHistory()</code> can be called successfully, you should use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">atsops.TestFileStatus providerIndex filename #CanShowHistory</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.CanGetFromProvider &lt;index&gt;ProviderIndex </code></pre><p>Returns true if getting from provider is possible in the ATS dialog, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.CheckForDependentFiles &lt;index&gt;ProviderIndex &lt;string&gt;Filename </code></pre><p>Checks for files dependent on the supplied file in the indexed provider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.CheckForCheckedOutFiles &lt;index&gt;ProviderIndex </code></pre><p>Checks for checked out files in the indexed provider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.CheckForUnControlledFiles &lt;index&gt;ProviderIndex </code></pre><p>Checks for uncontrolled files in the indexed provider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.CheckForOutDatedFiles &lt;index&gt;ProviderIndex </code></pre><p>Checks for outdated files in the indexed provider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.CheckForSceneFileCheckOut &lt;index&gt;ProviderIndex </code></pre><p>Checks for scene file check-out in the indexed provider.</p>\n\
<h2 id=\"working-comments\">Working Comments</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.SetWorkingComment &lt;string&gt;Comment </code></pre><p>Sets the working comment to the supplied string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;ATSOps.GetWorkingComment() </code></pre><p>Returns the working comment as string.</p>\n\
<h2 id=\"status-log\">Status Log</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.AppendStatusLog &lt;string&gt;Status </code></pre><p>Adds the supplied string to the Status Log.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.ClearStatusLog() </code></pre><p>Clears the Status Log.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;ATSOps.GetStatusLog() </code></pre><p>Returns the Status Log as string.</p>\n\
<h2 id=\"notifications\">Notifications</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.RegisterNotification &lt;value&gt;Callback &lt;integer&gt;ID </code></pre><p>Registers a notification callback with the specified integer ID.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>ID</th>\n\
<th>Enum</th>\n\
<th>Notification IsSent...</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>1</strong></td>\n\
<td><code>#NotifyPreLogin</code></td>\n\
<td>Before Login</td>\n\
</tr>\n\
<tr>\n\
<td><strong>2</strong></td>\n\
<td><code>#NotifyPostLogin</code></td>\n\
<td>After Login</td>\n\
</tr>\n\
<tr>\n\
<td><strong>3</strong></td>\n\
<td><code>#NotifyPreLogout</code></td>\n\
<td>Before Logging out</td>\n\
</tr>\n\
<tr>\n\
<td><strong>4</strong></td>\n\
<td><code>#NotifyPostLogout</code></td>\n\
<td>After Logging out</td>\n\
</tr>\n\
<tr>\n\
<td><strong>5</strong></td>\n\
<td><code>#NotifyPreOpenProject</code></td>\n\
<td>Before Opening a Project</td>\n\
</tr>\n\
<tr>\n\
<td><strong>6</strong></td>\n\
<td><code>#NotifyPostOpenProject</code></td>\n\
<td>After Opening a Project</td>\n\
</tr>\n\
<tr>\n\
<td><strong>7</strong></td>\n\
<td><code>#NotifyPreCloseProject</code></td>\n\
<td>Before Closing a Project</td>\n\
</tr>\n\
<tr>\n\
<td><strong>8</strong></td>\n\
<td><code>#NotifyPostCloseProject</code></td>\n\
<td>After Closing a Project</td>\n\
</tr>\n\
<tr>\n\
<td><strong>9</strong></td>\n\
<td><code>#NotifyPreLaunchOptions</code></td>\n\
<td>Before Launching the Options</td>\n\
</tr>\n\
<tr>\n\
<td><strong>10</strong></td>\n\
<td><code>#NotifyPostLaunchOptions</code></td>\n\
<td>After Launching the Options</td>\n\
</tr>\n\
<tr>\n\
<td><strong>11</strong></td>\n\
<td><code>#NotifyPreLaunchProvider</code></td>\n\
<td>Before Launching a Provider</td>\n\
</tr>\n\
<tr>\n\
<td><strong>12</strong></td>\n\
<td><code>#NotifyPostLaunchProvider</code></td>\n\
<td>After Launching a Provider</td>\n\
</tr>\n\
<tr>\n\
<td><strong>13</strong></td>\n\
<td><code>#NotifyPreCheckin</code></td>\n\
<td>Before Checking In a File</td>\n\
</tr>\n\
<tr>\n\
<td><strong>14</strong></td>\n\
<td><code>#NotifyPostCheckin</code></td>\n\
<td>After Checking In a File</td>\n\
</tr>\n\
<tr>\n\
<td><strong>15</strong></td>\n\
<td><code>#NotifyPreCheckout</code></td>\n\
<td>Before Checking Out a File</td>\n\
</tr>\n\
<tr>\n\
<td><strong>16</strong></td>\n\
<td><code>#NotifyPostCheckout</code></td>\n\
<td>After Checking Out a File</td>\n\
</tr>\n\
<tr>\n\
<td><strong>17</strong></td>\n\
<td><code>#NotifyPreUndoCheckout</code></td>\n\
<td>Before a Checkout is Undone</td>\n\
</tr>\n\
<tr>\n\
<td><strong>18</strong></td>\n\
<td><code>#NotifyPostUndoCheckout</code></td>\n\
<td>After a Checkout is Undone</td>\n\
</tr>\n\
<tr>\n\
<td><strong>19</strong></td>\n\
<td><code>#NotifyPreAddFiles</code></td>\n\
<td>Before Files are Added</td>\n\
</tr>\n\
<tr>\n\
<td><strong>20</strong></td>\n\
<td><code>#NotifyPostAddFiles</code></td>\n\
<td>After Files are Added</td>\n\
</tr>\n\
<tr>\n\
<td><strong>21</strong></td>\n\
<td><code>#NotifyPreGetLatest</code></td>\n\
<td>Before Getting Latest Version</td>\n\
</tr>\n\
<tr>\n\
<td><strong>22</strong></td>\n\
<td><code>#NotifyPostGetLatest</code></td>\n\
<td>After Getting Latest Version</td>\n\
</tr>\n\
<tr>\n\
<td><strong>23</strong></td>\n\
<td><code>#NotifyPreProperties</code></td>\n\
<td>Before Getting Properties</td>\n\
</tr>\n\
<tr>\n\
<td><strong>24</strong></td>\n\
<td><code>#NotifyPostProperties</code></td>\n\
<td>After Getting Properties</td>\n\
</tr>\n\
<tr>\n\
<td><strong>25</strong></td>\n\
<td><code>#NotifyPreShowHistory</code></td>\n\
<td>Before Showing History</td>\n\
</tr>\n\
<tr>\n\
<td><strong>26</strong></td>\n\
<td><code>#NotifyPostShowHistory</code></td>\n\
<td>After Showing History</td>\n\
</tr>\n\
<tr>\n\
<td><strong>27</strong></td>\n\
<td><code>#NotifyFileListUpdate</code></td>\n\
<td>On File List Update</td>\n\
</tr>\n\
<tr>\n\
<td><strong>28</strong></td>\n\
<td><code>#NotifyPreExploreProvider</code></td>\n\
<td>Before Exploring a Provider</td>\n\
</tr>\n\
<tr>\n\
<td><strong>29</strong></td>\n\
<td><code>#NotifyPostExploreProvider</code></td>\n\
<td>After Exploring a Provider</td>\n\
</tr>\n\
<tr>\n\
<td><strong>30</strong></td>\n\
<td><code>#NotifyPreGetVersion</code></td>\n\
<td>Before Getting File Version</td>\n\
</tr>\n\
<tr>\n\
<td><strong>31</strong></td>\n\
<td><code>#NotifyPostGetVersion</code></td>\n\
<td>After Getting File Version</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.UnRegisterNotification &lt;integer&gt;ID </code></pre><p>Unregisters the notification callback with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;ATSOps.GetNotificationID() \n\
\n\
GetNotificationID enums: {#NotifyPreLogin | #NotifyPostLogin | #NotifyPreLogout | #NotifyPostLogout | #NotifyPreOpenProject | #NotifyPostOpenProject | #NotifyPreCloseProject | #NotifyPostCloseProject | #NotifyPreLaunchOptions | #NotifyPostLaunchOptions | #NotifyPreLaunchProvider | #NotifyPostLaunchProvider | #NotifyPreCheckin | #NotifyPostCheckin | #NotifyPreCheckout | #NotifyPostCheckout | #NotifyPreUndoCheckout | #NotifyPostUndoCheckout | #NotifyPreAddFiles | #NotifyPostAddFiles | #NotifyPreGetLatest | #NotifyPostGetLatest | #NotifyPreProperties | #NotifyPostProperties | #NotifyPreShowHistory | #NotifyPostShowHistory | #NotifyFileListUpdate | #NotifyPreExploreProvider | #NotifyPostExploreProvider | #NotifyPreGetVersion | #NotifyPostGetVersion} </code></pre><p>Returns the notification ID as a Name Literal.</p>\n\
<p>See table above for description and Integer ID value of the enum.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.GetNotificationFileList &lt;&amp;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter </code></pre><p>Writes the notification file list into the by-reference array of strings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.AddAttachmentToNotificationFileListEntry &lt;index&gt;FileListIndex &lt;string&gt;Filename </code></pre><p>Adds the file specified by the supplied Filename string as an attachment to the indexed file in the notification file list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.IsNotificationCancelled() </code></pre><p>Returns true if notification was cancelled, false otherwise.</p>\n\
<p>If a message is cancelled by an object that has registered for notifications, all objects that received the notification before it was cancelled will be notified again, but this method will return true to allow the objects to perform any cleanup or undo any action taken.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.AddFileToNotificationFileList &lt;string&gt;Filename </code></pre><p>Adds the supplied file name string to the notification file list. Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.RemoveFileFromNotificationFileList &lt;index&gt;FileListIndex </code></pre><p>Removes the indexed file name from the notification file list.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<h2 id=\"re-targetting\">Re-targetting</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.SetPathOnSelection &lt;filename&gt;NewPath CreateOutputFolder :&lt;boolean&gt; \n\
\n\
CreateOutputFolder default value: false </code></pre><p>Assigns the new path to the selection.If the optional <code>CreateOutputFolder:</code> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>Note that calling this method will clear the existing selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.RetargetCommonRootOfSelection &lt;filename&gt;NewPath CreateOutputFolder:&lt;boolean&gt; \n\
\n\
CreateOutputFolder default value: false </code></pre><p>The method will retarget the common root of assets selected in the Asset Tracker to the value passed in. For example, if the selected assets belong to C:/resources/projectA/ but are found in different sub-directories of that folder, then only the C:/resources/projectA/ portion will be re-pathed.</p>\n\
<p>All selected assets <strong>must</strong> have a common-root portion.</p>\n\
<p>NewPath is the path portion that will be prepended in place of the common root.</p>\n\
<p>If the optional <code>CreateOutputFolder:</code> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>Returns true if the action succeeded and the assets were re-pathed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If the &quot;Resolve files and folders to UNC paths option&quot; is turned on then this function will automatically convert mapped-drive paths to their UNC equivalent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.RetargetSelection &lt;filename&gt;NewPath CreateOutputFolder :&lt;boolean&gt; \n\
\n\
CreateOutputFolder default value: false </code></pre><p>Retargets a single selected asset to a new path and file name.</p>\n\
<p>The newPath argument <strong>must</strong> specify both the path and the file name.</p>\n\
<p>If the optional <code>CreateOutputFolder:</code> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If the &quot;Resolve files and folders to UNC paths option&quot; is turned on then this function will automatically convert mapped-drive paths to their UNC equivalent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.SetPath &lt;filename&gt;NewPath CreateOutputFolder :&lt;boolean&gt; \n\
\n\
CreateOutputFolder default value: false </code></pre><p>Sets the path component of all listed assets to the path passed as first argument.</p>\n\
<p>NewPath is the path value that will be applied to all listed assets.</p>\n\
<p>If the optional <code>CreateOutputFolder:</code> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>Returns true if the action succeeds and the asset(s) are re-pathed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If the &quot;Resolve files and folders to UNC paths option&quot; is turned on then this function will automatically convert mapped-drive paths to their UNC equivalent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.RetargetCommonRoot &lt;filename&gt;NewPath CreateOutputFolder :&lt;boolean&gt; \n\
\n\
CreateOutputFolder default value: false </code></pre><p>Retargets the common root of all assets listed in the Asset Tracker dialog.</p>\n\
<p>For example, if all assets belong to C:\\ but are found in different sub-directories of C:\\, then only the C:\\ portion of the path will be re-pathed.</p>\n\
<p>All editable assets must have some common root portion.</p>\n\
<p>NewPath is the path portion that will be prepended in place of the common root.</p>\n\
<p>If the optional <code>CreateOutputFolder:</code> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>Returns true if the action succeeded and the assets were re-pathed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.RetargetAssets &lt;&amp;maxObject&gt;AssetOwner &lt;filename&gt;OldPath &lt;filename&gt;NewPath CreateOutputFolder :&lt;boolean&gt; \n\
\n\
AssetOwner is In and Out parameter \n\
CreateOutputFolder default value: false </code></pre><p>Retargets the assets of the specified asset owner from the given old path to the new path.</p>\n\
<p><code>AssetOwner</code> - The ReferenceTarget object from which assets are declared</p>\n\
<p><code>OldPath</code> - Used to determine which asset to retarget. Any asset declared with this path will be retargeted to NewPath.</p>\n\
<p><code>NewPath</code> - The retarget value.</p>\n\
<p>If the optional <code>CreateOutputFolder:</code> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>This method calls the EnumAuxFiles implementation of ReferenceTarget to get a listing of assets.</p>\n\
<p>Returns true if the action succeeded and at least one assets was re-pathed, false if no asset was re-pathed.</p>\n\
<h2 id=\"file-resolution\">File Resolution</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.ResolveSelectionToUNC() </code></pre><p>Resolve the paths of the currently selected assets in the Asset Tracker dialog to their UNC equivalents regardless of the current application setting.</p>\n\
<p>One or more assets must be selected in the Asset Tracker dialog - one of the assets must have an absolute path.</p>\n\
<p>Returns true if one or more assets have been resolved to UNC.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.ResolveSelectionRelativeToProjectFolder() </code></pre><p>Converts paths selected in the Asset Tracker dialog to relative paths with respect to the project folder.</p>\n\
<p>If the asset is <strong>found</strong> (meaning that it is found in the search path) in a location other than that pointed to by the absolute path,then the relative path will be calculated based on this found location. Otherwise, the absolute path is converted to a relative path relative to the current Project Folder setting, if possible.</p>\n\
<p>One or more assets must be selected and at least one of the assets must have an absolute path.</p>\n\
<p>Returns true if one or more assets are resolved to a path relative to the current Project Folder setting, as long as the absolute path exists on the same drive (or UNC) as the current Project Folder.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.ResolveSelectionToAbsolute() </code></pre><p>Converts the paths of one or more assets selected in the Asset Tracker dialog to absolute paths. At least one of the selected assets must have a relative path.</p>\n\
<p>If the asset is <strong>found</strong> (meaning that it is found in the search path), then the absolute path will point to the found location. If not, then the relative path is converted to an absolute path relative to the current Project Folder setting.</p>\n\
<p>Returns true if one or more assets have been resolved to absolute paths.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.GetResolvedPaths &lt;filename array&gt;FileList &lt;&amp;filename array&gt;ResolvedFileList\n\
       GetResolvedPaths - no automatic redraw after invoked\n\
       ResolvedFileList is Out parameter</code></pre><p>Returns the number of resolved paths.</p>\n\
<p>Resolved files are files not found in the location specified within the scene file but found using the standard and user defined search paths.</p>\n\
<p>The list of the files to check should be passed via the FileList parameter.</p>\n\
<p>The by-reference ResolvedFileList parameter will be filled with the resolved file names.</p>\n\
<p>If the file was found at the original location or is still missing (could not be resolved via the search paths), the entry in resolvedFileList will be the same as in fileList.</p>\n\
<p>If the file was resolved the entry in resolvedFileList will contain the resolved file path.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.GetDependencyFileList &lt;maxObject&gt;Dependent &lt;&amp;filename array&gt;FileList &lt;boolean&gt;includeRefHierarchy \\\n\
  caseSensitiveFilenames:&lt;boolean&gt; getResolvedFileNames:&lt;boolean&gt;\n\
       GetDependencyFileList - no automatic redraw after invoked\n\
       FileList is Out parameter\n\
       caseSensitiveFilenames default value: true\n\
       getResolvedFileNames default value: true</code></pre><p>Gets the list of files that are used by the given maxObject.  Duplicate files are not included.</p>\n\
<p><code>Dependent</code> is the maxObject for which the file dependencies are to be listed.</p>\n\
<p><code>fileList</code> is the by-reference array through which the file list is returned.</p>\n\
<p>When <code>includeRefHierarchy</code> is set to true, the method will list dependencies of the entire reference hierarchy. When set to false, the list will be limited to the maxObject itself.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> When <code>caseSensitiveFilenames</code> is set to true (the default), two files with the same name are considered different if there is a difference in the letter case of the filenames.  Setting this parameter to false can reduce the number of files returned by detecting duplicates. </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> When <code>getResolvedFileNames</code> is set to true (the default), files names returned are the resolved file names. When false, the files returned are the specified file names.</p>\n\
<p>Returns the number of files found.</p>\n\
<h2 id=\"working-folder-access\">Working Folder Access</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ATSOps.SetWorkingFolder &lt;index&gt;ProviderIndex &lt;filename&gt;Folder </code></pre><p>Sets the working folder of the indexed provider to the specified file name.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;ATSOps.GetWorkingFolder &lt;index&gt;ProviderIndex </code></pre><p>Returns the working folder file name of the indexed provider.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<h2 id=\"versionaccess\">VersionAccess</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.GetMinVersion &lt;index&gt;ProviderIndex &lt;filename&gt;Filename </code></pre><p>Returns the lowest version of the given filename using the indexed provider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ATSOps.GetMaxVersion &lt;index&gt;ProviderIndex &lt;filename&gt;Filename </code></pre><p>Returns the highest version of the given filename using the indexed provider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ATSOps.GetVersion &lt;index&gt;ProviderIndex &lt;filename&gt;Filename &lt;integer&gt;VersionNumber </code></pre><p>Gets the specified version of the given file using the indexed provider.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-ATSCustomDepsOps.html\">Interface: ATSCustomDepsOps</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";