var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3086F415-5316-41CA-A4BD-85BBCE068C0A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: AnimLayerManager</h1></div><p>This <strong>Core Interface</strong> exposes the Animation Layer Manager to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AnimLayerManager.filterActiveOnly: boolean : Read|Write      </code></pre><p>Get/Set the state of the Filter Active Only option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AnimLayerManager.justUpToActive: boolean : Read|Write   </code></pre><p>Get/Set the state of the Just Up To Active option.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.showAnimLayersManagerToolbar &lt;boolean&gt;show </code></pre><p>Show/hide the Animation Layers Manager toolbar. When the argument is true, the toolbar will be displayed. When the argument is false, the toolbar will be hidden.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   AnimLayerManager.showAnimLayersManagerToolbar true--show the toolbar\n\
   AnimLayerManager.showAnimLayersManagerToolbar false--hide the toolbar\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;AnimLayerManager.enableLayersDlg &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter </code></pre><p>Shows the Enable Anim Layers dialog for the specified objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;AnimLayerManager.enableLayers &lt;&amp;node array&gt;nodes pos:&lt;boolean&gt; rot:&lt;boolean&gt; scale:&lt;boolean&gt; ik:&lt;boolean&gt; object:&lt;boolean&gt; customAtt:&lt;boolean&gt; mod:&lt;boolean&gt; mat:&lt;boolean&gt; other:&lt;boolean&gt; \n\
\n\
nodes is In and Out parameter \n\
pos default value: true \n\
rot default value: true \n\
scale default value: true \n\
ik default value: false \n\
object default value: false \n\
customAtt default value: false \n\
mod default value: false \n\
mat default value: false \n\
other default value: false </code></pre><p>Enables the Animation Layers for the specified objects without user interaction via the Enable Anim Layers dialog. The optional keyword parameters can be used to enable or disable animation layers for the given track types.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AnimLayerManager.canEnableLayer &lt;maxObject&gt;anim &lt;maxObject&gt;client &lt;index&gt;subNum </code></pre><p>Returns true if the Animation Layer can be enabled for the specified object and track, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AnimLayerManager.enableLayer &lt;maxObject&gt;anim &lt;maxObject&gt;client &lt;index&gt;subNum </code></pre><p>Enables the Animation Layer for the specified object and track. Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;AnimLayerManager.getLayerCount() </code></pre><p>Returns the number of layers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index array&gt;AnimLayerManager.getNodesLayers &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter </code></pre><p>Returns an array of indices representing the layers used by the specified nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.setLayerActive &lt;index&gt;listIndex \n\
\n\
listIndex Validated by Validator function </code></pre><p>Sets the indexed layer as the current layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.setLayerActiveNodes &lt;index&gt;listIndex &lt;&amp;node array&gt;nodes \n\
\n\
listIndex Validated by Validator function \n\
nodes is In and Out parameter </code></pre><p>Sets the active nodes for the indexed layer to the by-reference array of nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index array&gt;AnimLayerManager.getActiveLayersNodes &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter </code></pre><p>Writes the active layers nodes into the by-reference array of nodes. Returns an array of layer indices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.getNodesActiveLayer &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter </code></pre><p>Returns the nodes using the active layer into the by-reference array of nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.addLayer &lt;&amp;string&gt;name &lt;&amp;node array&gt;nodes &lt;boolean&gt;useActiveControllerType \n\
\n\
name is In and Out parameter \n\
nodes is In and Out parameter </code></pre><p>Adds a layer with the given name to the nodes specified by the second argument. The third argument controls whether to use the active controller type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.addLayerDlg &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter </code></pre><p>Opens the Add Layer dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.deleteLayer &lt;index&gt;listIndex \n\
\n\
listIndex Validated by Validator function </code></pre><p>Deletes the indexed Animation Layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.deleteLayerNodes &lt;index&gt;listIndex &lt;&amp;node array&gt;nodes \n\
\n\
listIndex Validated by Validator function \n\
nodes is In and Out parameter </code></pre><p>Deletes the indexed Animation Layer from the specified scene nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.copyLayerNodes &lt;index&gt;listIndex &lt;&amp;node array&gt;nodes \n\
\n\
listIndex Validated by Validator function\n\
nodes is In and Out parameter </code></pre><p>Copies the indexed Animation Layer from the specified scene nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.pasteLayerNodes &lt;index&gt;listIndex &lt;&amp;node array&gt;nodes \n\
\n\
listIndex Validated by Validator function \n\
nodes is In and Out parameter </code></pre><p>Pastes the copied Animation Layer into the specified scene nodes at the indexed position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stringby value&gt;AnimLayerManager.getLayerName &lt;index&gt;listIndex \n\
\n\
listIndex Validated by Validator function </code></pre><p>Returns the name of the indexed Animation Layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.setLayerName &lt;index&gt;listIndex &lt;Stringby value&gt;name \n\
\n\
listIndex Validated by Validator function </code></pre><p>Sets the name of the indexed Animation Layer to the given string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;AnimLayerManager.getLayerWeight &lt;index&gt;listIndex &lt;time&gt;atTime \n\
\n\
listIndex Validated by Validator function </code></pre><p>Returns the weight of the indexed Animation Layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.setLayerWeight &lt;index&gt;listIndex &lt;time&gt;atTime &lt;float&gt;weight \n\
\n\
listIndex Validated by Validator function </code></pre><p>Sets the weight of the indexed Animation Layer to the given value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AnimLayerManager.getLayerMute &lt;index&gt;listIndex   \n\
\n\
listIndex Validated by Validator function </code></pre><p>Returns the Mute state of the indexed Animation Layer as a boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.setLayerMute &lt;index&gt;listIndex &lt;boolean&gt;mute \n\
\n\
listIndex Validated by Validator function </code></pre><p>Sets the Mute state of the indexed Animation Layer to the given boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AnimLayerManager.getLayerLocked &lt;index&gt;listIndex \n\
\n\
listIndex Validated by Validator function </code></pre><p>Gets the Locked state of the indexed Animation Layer as boolean value.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.setLayerLocked &lt;index&gt;listIndex &lt;boolean&gt;locked \n\
\n\
listIndex Validated by Validator function </code></pre><p>Sets the Locked state of the indexed Animation Layer to the given boolean value.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AnimLayerManager.getLayerOutputMute &lt;index&gt;listIndex \n\
\n\
listIndex Validated by Validator function </code></pre><p>Returns the Output Mute state of the indexed Animation Layer as a boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.setLayerOutputMute &lt;index&gt;listIndex &lt;boolean&gt;mute \n\
\n\
listIndex Validated by Validator function </code></pre><p>Sets the Output Mute state of the indexed Animation Layer to the given boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.collapseLayerNodes &lt;index&gt;listIndex &lt;&amp;node array&gt;nodes \n\
\n\
listIndex Validated by Validator function \n\
nodes is In and Out parameter </code></pre><p>Collapses theindexedAnimation Layer of the given scene nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.disableLayerNodes &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter </code></pre><p>Disables the Animation Layers of the given scene nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.animLayerPropertiesDlg() </code></pre><p>Opens the Layer Properties dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">void&gt;refreshAnimLayerPropertiesDlg() </code></pre><p>Refreshes the Layer Properties dialog.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.SetCollapseControllerType &lt;enum&gt;controllerType \n\
\n\
controllerType enums: {#Bezier|#Linear|#Default} </code></pre><p>Sets the Controller Type to collapse to. Corresponds to the radio buttons in the Layer Properties dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;AnimLayerManager.GetCollapseControllerType() \n\
\n\
GetCollapseControllerType enums: {#Bezier|#Linear|#Default </code></pre><p>Returns the Controller Type to collapse to. Corresponds to the radio buttons in the Layer Properties dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.SetCollapsePerFrame &lt;boolean&gt;keyable </code></pre><p>Sets whether to collapse to keys only when possible (false) or to keys per frame (true). Note that this value is the inverse of the checkbox&apos; state in the Layer Properties dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AnimLayerManager.GetCollapsePerFrame() </code></pre><p>Returns whether to collapse to keys only when possible (false) or to keys per frame (true). Note that this value is the inverse of the checkbox&apos; state in the Layer Properties dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.SetCollapsePerFrameActiveRange &lt;boolean&gt;activeRange </code></pre><p>Sets whether to collapse the active range (true) or the user-defined range (false). Corresponds to the radio buttons in the Layer Properties dialog &gt; Per Frame Collapse Range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AnimLayerManager.GetCollapsePerFrameActiveRange() </code></pre><p>Get whether to collapse the active range (true) or the user-defined range (false).Corresponds to the radio buttons in the Layer Properties dialog &gt; Per Frame Collapse Range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AnimLayerManager.SetCollapseRange &lt;interval&gt;range </code></pre><p>Sets the Collapse Range to the given interval value. Corresponds to the value spinners in the Layer Properties dialog &gt; Per Frame Collapse Range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;interval&gt;AnimLayerManager.GetCollapseRange() </code></pre><p>Returns the Collapse Range interval value. Corresponds to the value spinners in the Layer Properties dialog &gt; Per Frame Collapse Range.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";