var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E3237B13-8069-4177-8544-9000A98B1C15\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: AssetManager</h1></div><p>The <strong>AssetManagerCore Interface</strong> introduced in <strong>3ds Max 2010</strong> manages the saving of Asset data into the <strong>3ds Max</strong> scene file.</p>\n\
<p>In releases prior to <strong>3ds Max 2010</strong>, a plug-in that referenced an external file (an asset) holds the asset&#x2019;s filename as a string or as a Path object, and stores the filename to the <strong>3ds Max</strong> scene file as a string or an IParameterBlock2 TYPE_FILENAME parameter. To allow <strong>3ds Max</strong> to identify the assets used by a plug-in, the plug-in implements an IAssetAccessor-derived class. The information provided from this class was primarily used by the Asset Tracker.</p>\n\
<p>Since <strong>3ds Max 2010</strong>, assets are handled as instances of class <strong>AssetUser</strong> . An instance of this class contains information on the asset filename, its type, and the <strong>3ds Max</strong> scene file that depends on it (this is used for resolving external references). Access to, and lifetime management of assets is handled by the <strong>Asset Manager</strong>.</p>\n\
<p>Loading and saving the Asset to the <strong>3ds Max</strong> scene file is now done through the <a href=\"./../../../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">AssetUser</a> and the <strong>AssetManager</strong>.</p>\n\
<p>When saving a <strong>3ds Max</strong> scene, the asset data is saved by the Asset Manager to a <strong>separate stream</strong> in the <strong>3ds Max</strong> file. This gives the capability to external programs to access the asset data to identify the assets used by the scene and potentially modify the asset data without loading the scene file into <strong>3ds Max</strong>.</p>\n\
<p>The following methods expose the information handled by the AssetManager to MAXScript:</p>\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"get-asset\">Get Asset</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;AssetManager.GetAsset &lt;filename&gt;fileName &lt;enum&gt;assetType autoAcquire:&lt;boolean&gt;         \n\
\n\
assetType enums: {#Other | #Bitmap | #XRef | #Photometric | #Animation | #VideoPost | #BatchRender | #ExternalLink | #RenderOutput | #PreRenderScript | #PostRenderScript | #Sound | #Container | #MaxCreationGraph}         \n\
autoAcquire default value: true        </code></pre><p>Returns the <a href=\"./../../../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">AssetUser Object</a> of the asset with the specified file name and asset type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;AssetManager.GetAssetByIndex &lt;index&gt;index </code></pre><p>Returns the <a href=\"./../../../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">AssetUser Object</a> of the asset with the given index.</p>\n\
<p>Use <code>AssetManager.GetNumAssets()</code> to get the number of Assets.</p>\n\
<p>See <a href=\"#examples-\">example at the end of this topic</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;GetAssetById &lt;string&gt;assetid</code></pre><p>Returns the <a href=\"./../../../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">AssetUser Object</a> of the asset with the given asset ID. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   box material:(standard diffusemap:(bitmaptexture filename:&quot;fur.tga&quot;))\n\
   --&gt; $Box:Box002 @ [0.000000,0.000000,0.000000]\n\
   assetid = (assetmanager.GetAssetByIndex 1).GetAssetId(); \n\
   --&gt; &quot;{DBD187ED-0BA9-4D07-9B85-BA44F5170FD9}&quot;\n\
   assetmanager.GetFileName assetid\n\
   --&gt; &quot;fur.tga&quot;    \n\
   a=assetmanager.GetAssetById assetid\n\
   --&gt; &lt;IObject:AssetUser&gt;\n\
   a.GetFileName()\n\
   --&gt; &quot;fur.tga&quot;\n\
</code></pre></blockquote>\n\
<h2 id=\"get-asset-id-and-file-name\">Get Asset ID and File Name</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;AssetManager.GetAssetId &lt;filename&gt;fileName &lt;enum&gt;assetType \n\
\n\
assetType enums: {#Other | #Bitmap | #XRef | #Photometric | #Animation | #VideoPost | #BatchRender | #ExternalLink | #RenderOutput | #PreRenderScript | #PostRenderScript | #Sound | #Container | #MaxCreationGraph} </code></pre><p>Returns the asset ID of the specified file name of the given asset type.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   AssetManager.GetAssetID &quot;Simple_Stone_Mtl_Marble_bump.jpg&quot; #Bitmap\n\
   &quot;{7477A3A4-0304-47AC-8427-6B490673231A}&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;AssetManager.GetFileName &lt;string&gt;assetid</code></pre><p>Returns the file name of the asset with the given AssetID.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   AUIO = AssetManager.GetAssetByIndex 1--get the AsserUser with index 1\n\
   --&gt;&lt;IObject:AssetUser&gt;\n\
\n\
   AUIO.GetFileName()--get the file name\n\
   --&gt;&quot;Untitled Scene&quot;\n\
\n\
   --This is equivalent:\n\
   AssetManager.GetFileName (AUIO.getAssetID())--get the name by AssetID\n\
   --&gt;&quot;Untitled Scene&quot;\n\
</code></pre></blockquote>\n\
<h2 id=\"add-and-release-reference\">Add and Release Reference</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;AssetManager.GetNumReference &lt;string&gt;assetid</code></pre><p>Returns the number of the References to the Asset with the given AssetID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AssetManager.AddReference &lt;string&gt;assetid</code></pre><p>Adds a Reference to the Asset with the given AssetID.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AssetManager.ReleaseReference &lt;string&gt;assetid</code></pre><p>Releases the Reference of the Asset with the given AssetID.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   AUIO = AssetManager.GetAssetByIndex 1--get the AsserUser with index 1\n\
   --&gt;&lt;IObject:AssetUser&gt;\n\
\n\
   AID =AUIO.getAssetID()--get the file name\n\
   --&gt;&quot;{7477A3A4-0304-47AC-8427-6B490673231A}&quot;\n\
\n\
   AssetManager.GetNumReference AID--get the reference numberby AssetID\n\
   --&gt;4\n\
\n\
   AssetManager.AddReference AID--add a referenceby AssetID\n\
   --&gt;true\n\
\n\
   AssetManager.GetNumReference AID--get thereference numberby AssetID\n\
   --&gt;5\n\
\n\
   AssetManager.ReleaseReference AID--release a referenceby AssetID\n\
   --&gt;true\n\
\n\
   AssetManager.GetNumReference AID--get thereference numberby AssetID\n\
   --&gt;4\n\
</code></pre></blockquote>\n\
<h2 id=\"get-number-of-assets-and-assetusers\">Get Number of Assets and AssetUsers</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer64&gt;AssetManager.GetNumAssetUsersCreated() </code></pre><p>Returns the total number of AssetUser instances created during the current <strong>3ds Max</strong> session.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer64&gt;AssetManager.GetNumAssetUsers() </code></pre><p>Returns the number of AssetUser instances.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer64&gt;AssetManager.GetNumAssetsCreated() </code></pre><p>Returns the total number of Assets created during the current <strong>3ds Max</strong> session.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer64&gt;AssetManager.GetNumAssets() </code></pre><p>Returns the number of Assets.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   AssetManager.GetNumAssetUsersCreated()\n\
   --&gt;19862L\n\
\n\
   AssetManager.GetNumAssetUsers()\n\
   --&gt;114L\n\
\n\
   AssetManager.GetNumAssetsCreated()\n\
   --&gt;1080L\n\
\n\
   AssetManager.GetNumAssets()\n\
   --&gt;18L\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AssetManager.RemoveMissingAssets()</code></pre><p>Removes any missing assets.</p>\n\
<p>Returns True if missing assets were removed successfully.</p>\n\
<p>Returns False if no missing assets were removed.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<h3 id=\"examples-\">Examples:</h3><blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   The following script outputs to the MAXScript Listener the ID, type, and file name of all Assets in the current scene:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Loop through all Asset indices:\n\
   for i = 1 to AssetManager.GetNumAssets() do\n\
   (\n\
   local AUIO = AssetManager.GetAssetByIndex i--get the AssetUser IObject\n\
   local AID = AUIO.GetAssetId()--get the Asset&apos;s ID\n\
   local AType = AUIO.getType()--get the Asset&apos;s Type\n\
   local AFile = AUIO.getfilename()--get the Asset&apos;s File Name\n\
   format&quot;ID:% Type:% File:%\\n&quot;AID AType AFile--format the info\n\
   )\n\
</code></pre><p>   <strong>POSSIBLE OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ID:{B6D86A17-85FF-42E2-99D4-BB2F1857C4FB} Type:#bitmap File:C:\\Documents and Settings\\username\\My Documents\\3dsMax\\sceneassets\\images\\PlaneToBake_diffuse.tga\n\
   ID:{7477A3A4-0304-47AC-8427-6B490673231A} Type:#bitmap File:Simple_Stone_Mtl_Marble_bump.jpg\n\
   ID:{8188ACCD-A014-4B24-A3DD-697269D8BFDB} Type:#bitmap File:Simple_Concrete_Mtl_BroomStraight_pattern.jpg\n\
   ID:{B0B6A6FD-2B76-4EA0-8B34-D1F3F3596F91} Type:#bitmap File:x47645df4\n\
   ID:{CF096A5C-41C8-43FD-852F-8823B9A707C7} Type:#bitmap File:C:\\Documents and Settings\\username\\My Documents\\3dsmax\\renderoutput\\AssetMan_.tga\n\
   ID:{D5A9608F-EE4E-4BDC-AAB6-93D3D34E5F65} Type:#bitmap File:Simple_Concrete_Mtl_BroomCurved_pattern.jpg\n\
   ID:{30241317-2623-4628-9BF1-ED06449E3D06} Type:#bitmap File:Simple_Metal_Mtl_DiamondPlate_pattern.jpg\n\
   ID:{742F4FE3-91FC-48E7-9F3B-37CE76D37046} Type:#bitmap File:C:\\Documents and Settings\\username\\My Documents\\3dsMax\\sceneassets\\images\\Sphere01_diffuse.tga\n\
   ID:{8BEFCD25-F133-4D5E-8678-E710F8BFBFF8} Type:#bitmap File:Simple_Metal_Mtl_CheckerPlate_pattern.jpg\n\
   ID:{21B0F246-C6D0-44D3-9ECE-87D7BF8AFF14} Type:#bitmap File:Simple_Metal_Mtl_Break_pattern.jpg\n\
   ID:{B5BB9B91-DBB4-486B-835A-A107F9F4783F} Type:#bitmap File:C:\\Documents and Settings\\username\\My Documents\\3dsMax\\sceneassets\\images\\PlaneToBake_lighting.tga\n\
   ID:{65CAE8F4-F0DF-4CC3-A05C-733CC0285CF4} Type:#bitmap File:C:\\Program Files\\Autodesk\\3ds Max 2010\\CachedThumbnails\\1000000000000003.bmp\n\
   ID:{5FF857B0-D2E0-4DCC-B4F7-97248CBC6FC5} Type:#bitmap File:C:\\Documents and Settings\\username\\My Documents\\3dsMax\\sceneassets\\images\\Sphere01LightingMap.tga\n\
   ID:{31FE4D48-12B5-422E-A5D2-3A2979D773CD} Type:#bitmap File:C:\\Documents and Settings\\username\\My Documents\\3dsMax\\sceneassets\\images\\Sphere01_lighting.tga\n\
   ID:{6AC17983-685D-42A8-8269-DBEA5FECB0DB} Type:#bitmap File:C:\\Documents and Settings\\username\\My Documents\\3dsMax\\sceneassets\\images\\Plane01_lighting.tga\n\
   ID:{9BEAD40C-2562-42CF-A95D-E13E0EBD526D} Type:#bitmap File:C:\\Program Files\\Autodesk\\3ds Max 2010\\CachedThumbnails\\1000000000000004.bmp\n\
   ID:{2253E2F5-82FE-46B1-B012-BC5FA100D86A} Type:#bitmap File:C:\\Documents and Settings\\username\\My Documents\\3dsMax\\sceneassets\\images\\Sphere01DiffuseMap.tga\n\
   ID:{42B8F3F4-0D38-49D9-A9D9-598288A4E674} Type:#renderoutput File:C:\\Documents and Settings\\username\\My Documents\\3dsmax\\renderoutput\\AssetMan_.tga\n\
   ID:{AC8AF90A-44DB-42C9-AC9E-7C35A7EBFF1A} Type:#bitmap File:C:\\Documents and Settings\\username\\My Documents\\3dsMax\\sceneassets\\images\\Plane01_diffuse.tga\n\
   ID:{A9742E5A-4AB4-471D-A440-DE47F5262EF9} Type:#bitmap File:Simple_Stone_Mtl_Granite_bump.jpg\n\
   ID:{8EC0A624-D996-48D7-9AA8-775ACA1652B9} Type:#xref File:C:\\Documents and Settings\\username\\My Documents\\3dsmax\\scenes\\RENOIR\\AssetManagerTest.max\n\
   ID:{B51DCC8A-57C6-4308-B5B8-00FE0A105A29} Type:#bitmap File:Simple_Stone_Mtl_StoneWall_bump.jpg\n\
   ID:{16544B6C-5D81-4E96-9B4D-550BFD4111E3} Type:#bitmap File:Simple_Metal_Mtl_Brush_pattern.jpg\n\
</code></pre></blockquote>\n\
<p><strong>See also</strong></p>\n\
<p><a href=\"./../../../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/Accessing-AssetManager-AssetUser.html\">Accessing AssetManager, AssetUser and Asset Metadata in MAX Files</a></p>\n\
<p><a href=\"./../../../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">IObject:AssetUser</a></p>\n\
<p><a href=\"./../../../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/MAX-File-Asset-Metadata-Stream.html\">MAX File Asset Metadata Stream Access</a></p>\n\
<p><a href=\"./../E-F-G-H/Interface-FileResolutionManager.html\">Interface: FileResolutionManager</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";