var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-23E161BA-0FD0-4C88-8407-CA63D929D499\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: batchRenderMgr</h1></div><p>This Interface provides access to the <strong>Batch Render Manager</strong> feature.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: batchRenderMgr </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">batchRenderMgr.numViews : integer : Read   </code></pre><p>Returns the number of views defined in the Batch Render manager.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">batchRenderMgr.displayRenderedViews : boolean : Read|Write </code></pre><p>Corresponds to the <strong>Display Rendered Views</strong> checkbox in the Batch Render UI. When set to true, the rendered views will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">batchRenderMgr.netRender : boolean : Read|Write </code></pre><p>Corresponds to the <strong>Net Render</strong> checkbox in the Batch Render UI. When set to true, the rendering will be sent to the network.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;batchRenderMgr.GetView &lt;index&gt;index </code></pre><p>Returns a batchRenderViewOps MixinInterface to the indexed view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;batchRenderMgr.FindView &lt;string&gt;name </code></pre><p>Returns the index of the named view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;batchRenderMgr.CreateView &lt;node&gt;camera </code></pre><p>Creates a new view from the specified camera and returns a batchRenderViewOps MixinInterface to the new view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;batchRenderMgr.DeleteView &lt;index&gt;index </code></pre><p>Deletes the indexed view. Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;batchRenderMgr.DuplicateView &lt;index&gt;index </code></pre><p>Duplicates the indexed view and returns a batchRenderViewOps MixinInterface to the new view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;batchRenderMgr.Render() </code></pre><p>Starts the batch rendering.</p>\n\
<p><strong><a href=\"MixinInterface:batchRenderViewOps\">MixinInterface:batchRenderViewOps</a></strong></p>\n\
<p>This MixinInterface is returned by the <code>GetView(), CreateView()</code> and <code>DuplicateView()</code> methods of the <code>batchRenderMgr</code> Interface in <strong>3ds Max 8 and higher</strong> and provides the following properties:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: batchRenderViewOps </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.enabled : boolean : Read|Write </code></pre><p>Get/set the enabled state of the view.</p>\n\
<p>This property was exposed incorrectly in previous versions of <strong>3ds Max</strong> and has been fixed in <strong>3ds Max 2009</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.overridePreset : boolean : Read|Write </code></pre><p>Get/set whether to override the Render Preset with the view&apos;s .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.startFrame : time : Read|Write </code></pre><p>Get/set the start frame to be used when rendering this view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.endFrame: time : Read|Write </code></pre><p>Get/set the end frame to be used when rendering this view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.width : integer : Read|Write </code></pre><p>Get/set the render width to be used when rendering this view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.height : integer : Read|Write </code></pre><p>Get/set the render height to be used when rendering this view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.pixelAspect : float : Read|Write </code></pre><p>Get/set the pixel aspect to be used when rendering this view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.name : string : Read|Write </code></pre><p>Get/set the name of the view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.outputFilename :filename: Read|Write </code></pre><p>Get/set the output file name to be used when rendering this view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.camera : node : Read|Write </code></pre><p>Get/set the Camera to be used when rendering this view with Override Preset turned on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.sceneStateName : string : Read|Write </code></pre><p>Get/set the name of the Scene State to be used when rendering this view.</p>\n\
<p>This property was exposed incorrectly in previous versions of <strong>3ds Max</strong> and has been fixed in <strong>3ds Max 2009</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:batchRenderViewOps&gt;.presetFile : filename : Read|Write </code></pre><p>Get/set the Render Preset file to be used when rendering this view.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../B.html\">B</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Other-Interfaces/Other-Interfaces-1.html\">Other Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";