var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-02710769-BA4C-4585-AAFD-4A82EF3D9100\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: Containers</h1></div><p><img src=\"./images/GUID-F5247BBB-771F-4786-BC7F-71E6595DDC9A-low.gif\" alt></p>\n\
<p>The <strong>Containers Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> exposes methods related to creation and management of <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container Helpers</a> and their content.</p>\n\
<p>See also the <a href=\"./../../../../Node-MAXWrapper/Containers/Containers-1.html\">Containers</a> overview topic.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;Containers.CreateContainer &lt;&amp;node array&gt;contentNodes      \n\
\n\
contentNodes is In and Out parameter     </code></pre><p>Creates a new container from the given node array and returns the resulting Container node if the creation was successful.</p>\n\
<p>The new container will be automatically selected.</p>\n\
<p>The position of the container will be the average of the positions of the content nodes, or the world origin if the node array is empty.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;Containers.CreateInheritedContainer &lt;filename&gt;asset </code></pre><p>Inherits the content stored in the given asset filename and returns a new Container node if the creation was successful.</p>\n\
<p>If the filename argument is invalid (asset file does not exist), a file selection dialog will be opened to let the user select the asset file.</p>\n\
<p>The container asset files are stored in the <strong>3ds Max</strong> scene format but have the file extension .MAXC to be distinguished from regular scene files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;Containers.IsInContainer &lt;node&gt;isInContainer </code></pre><p>Returns the Container node if the node argument is in a container, undefined if it is not in a container.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;Containers.IsContainerNode &lt;node&gt;isContainerNode </code></pre><p>Returns the Container node if the node argument is a container node, undefined if it is not a container node.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = Box()\n\
   --&gt; $Box:Box01 @ [0.000000,0.000000,0.000000]\n\
   s = Sphere pos:[100,0,0]\n\
   --&gt; $Sphere:Sphere01 @ [100.000000,0.000000,0.000000]\n\
\n\
   --Container created midway between the two content nodes:\n\
   --Compare to creating a container using its constructor\n\
   c = Containers.CreateContainer #(b,s)\n\
   --&gt; $Container:Container01 @ [50.000000,0.000000,0.000000]\n\
\n\
   Containers.IsContainerNode b\n\
   --&gt; undefined\n\
   Containers.IsContainerNode s\n\
   --&gt; undefined\n\
   Containers.IsContainerNode c\n\
   --&gt; $Container:Container01 @ [50.000000,0.000000,0.000000]\n\
   Containers.IsInContainer b\n\
   --&gt; $Container:Container01 @ [50.000000,0.000000,0.000000]\n\
   Containers.IsInContainer s\n\
   --&gt; $Container:Container01 @ [50.000000,0.000000,0.000000]\n\
   Containers.IsInContainer c\n\
   --&gt; undefined\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Containers/Containers-1.html\">Containers</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Interface-ContainerPreferences.html\">Interface: ContainerPreferences</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";