var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-468C308E-026F-48E5-B384-F3E182682866\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: CreaseSetManager</h1></div><p>The CreaseSetManager Core Interface provides methods to create and manage Crease Sets. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetNumCreaseSets &lt;&amp;integer&gt;count\n\
count is Out parameter\n\
</code></pre><p>Writes the number of Crease Sets into the by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetCreaseContainerName &lt;index&gt;index &lt;&amp;string&gt;name\n\
name is Out parameter\n\
</code></pre><p>Writes the name of the indexed Crease Container specified by the first argument into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.CanSetCreaseContainerName &lt;index&gt;index</code></pre><p>Returns True if the name of the indexed Crease Container can be set.</p>\n\
<p>Returns False if the name cannot be set, for example, because the index is out of range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.SetCreaseContainerName &lt;index&gt;index &lt;string&gt;name</code></pre><p>Sets the name of the indexed Crease Container specified by the first argument to the string provided by the second argument.</p>\n\
<p>Returns True on success, False if the name cannot be set. For example, when the index is out of range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetCreaseName &lt;index&gt;index &lt;&amp;string&gt;name\n\
name is Out parameter\n\
</code></pre><p>Writes the name of the indexed Crease specified by the first argument into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.CanSetCreaseName &lt;index&gt;index</code></pre><p>Returns True if the name of the indexed Crease can be set.</p>\n\
<p>Returns False if the name cannot be set. For example, when the index is out of range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.SetCreaseName &lt;index&gt;index &lt;string&gt;name</code></pre><p>Sets the name of the indexed Crease specified by the first argument to the string provided by the second argument.</p>\n\
<p>Returns True on success, False if the name cannot be set. For example, when the index is out of range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetCreaseType &lt;index&gt;index &lt;&amp;integer&gt;type\n\
type is Out parameter\n\
</code></pre><p>Writes the type of the indexed Crease specified by the first argument into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetCreaseEntityCount &lt;index&gt;index &lt;&amp;integer&gt;count\n\
count is Out parameter\n\
</code></pre><p>Writes the number of crease entities of the indexed Crease specified by the first argument into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetCreaseValue &lt;index&gt;index &lt;time&gt;time &lt;&amp;float&gt;value &lt;&amp;interval&gt;interval\n\
value is Out parameter\n\
interval is In and Out parameter\n\
</code></pre><p>Writes the value and interval of the indexed Crease specified by the first argument at the time specified by the second argument into the third and fourth by-reference Out parameters.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.CanSetCreaseValue &lt;index&gt;index</code></pre><p>Returns True if the value of the indexed Create can be set, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.SetCreaseValue &lt;index&gt;index &lt;time&gt;time &lt;float&gt;value</code></pre><p>Sets the value of the indexed Crease specified by the first argument at the time specified by the second argument to the third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetCreaseColor &lt;index&gt;index &lt;&amp;color&gt;color\n\
color is Out parameter\n\
</code></pre><p>Writes the color of the indexed Crease specified by the first argument into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.CanSetCreaseColor &lt;index&gt;index</code></pre><p>Returns True if the color of the indexed Crease can be set, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.SetCreaseColor &lt;index&gt;index &lt;color&gt;color</code></pre><p>Sets the color of the indexed Crease specified by the first argument to the value passed as the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetNodelistAll &lt;&amp;node array&gt;nodetab\n\
nodetab is Out parameter\n\
</code></pre><p>Writes the list of all nodes into the by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetNodelistSingle &lt;index&gt;index &lt;&amp;node array&gt;nodetab\n\
nodetab is Out parameter\n\
</code></pre><p>Writes the list of nodes with the indexed Crease into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetValidity &lt;time&gt;time &lt;&amp;interval&gt;interval\n\
interval is Out parameter\n\
</code></pre><p>Writes the validity interval at the time given by the first parameter into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.CanSetCreaseColorVisibility &lt;index&gt;index</code></pre><p>Returns True if the color visibility of the indexed Crease can be set, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.GetCreaseColorVisibility &lt;index&gt;index</code></pre><p>Returns the color visibility of the indexed Crease as a Boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseSetManager.SetCreaseColorVisibility &lt;index&gt;index\n\
&lt;boolean&gt;state\n\
</code></pre><p>Sets the color visibility of the indexed Crease specified by the first argument to the Boolean value passed as the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: visualMSCA</code></pre><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;CreaseSetManager.createForm()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;CreaseSetManager.createFormFromFile &lt;filename&gt;fileName</code></pre><p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Crease-Modifier.html\">Crease : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/CreaseSet-Modifier.html\">CreaseSet : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"Interface-CreaseExplorerManager.html\">Interface: CreaseExplorerManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";