var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AC26099B-60BF-4C99-997B-DF65F8D47DC1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface : CustomControlsOptions</h1></div><p>This Core Interface can be used for debugging custom controls like Qt icons and text clipping. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CustomControlsOptions.PrintIconPaths : boolean : Read|Write</code></pre><p>Get/set the state of the Print Icon Paths feature.</p>\n\
<p>When set to True, rolling the mouse pointer over a custom control containing an icon will print information about its path to the MAXScript Listener.</p>\n\
<p>When set to False (default), no icon path information will be printed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   CustomControlsOptions.PrintIconPaths = true --enable the printing of icon paths\n\
   true\n\
\n\
   --Roll over the Render icon in the Main Toolbar.\n\
   Path of this control&apos;s QIcon: [C:\\Program Files\\Autodesk\\3ds Max 2017\\UI_LN\\IconsDark.rcc] MainToolbar\\RenderProduction\n\
   IconSize: 24x24 (native) IconState: off\n\
   Available Files: RenderProduction_24.png, RenderProduction_30.png, RenderProduction_36.png, RenderProduction_48.png\n\
\n\
   --Then roll over the &#x201C;Box&#x201D; button in the Create tab of the Modifier Panel which does not have an icon.\n\
   Icon does not exist (no icon on this CustButton)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CustomControlsOptions.PrintTextClippingIssues : boolean : Read|Write</code></pre><p>Get/set the state of the Print Text Clipping Issues feature.</p>\n\
<p>When set to True, Custom Controls whose text exceeds the control&apos;s size along X or Y will be reported to the MAXScript Listener.</p>\n\
<p>When set to False (default), no issues will be reported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CustomControlsOptions.TextClippingIssuesSensitivityX : integer : Read|Write</code></pre><p>Get/set the X Sensitivity value for the Print Text Clipping Issues feature.</p>\n\
<p>This value defined the threshold above which clipping issues along X will be reported.</p>\n\
<p>Default is 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CustomControlsOptions.TextClippingIssuesSensitivityY : integer : Read|Write</code></pre><p>Get/set the Y Sensitivity value for the Print Text Clipping Issues feature.</p>\n\
<p>This value defined the threshold above which clipping issues along Y will be reported.</p>\n\
<p>Default is 1.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   CustomControlsOptions.PrintTextClippingIssues = true --enable the clipping issues printing\n\
   true\n\
   --Then open Material Editor and expand the Maps rollout of any Standard Material:\n\
   UI CLIPPING ERROR: hwnd: 0x60DAE - Static text clipped: &apos;Map Type&apos; (22 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x50E8E - Checkbox text clipped: &apos;Ambient Color . . . . . . . . . . . . . . . . .&apos; (98 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60CEE - Checkbox text clipped: &apos;Diffuse Color . . . . . . . . . . . . . . . . .&apos; (93 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x50E4E - Checkbox text clipped: &apos;Specular Color  . . . . . . . . . . . . . . . .&apos; (96 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60C80 - Checkbox text clipped: &apos;Specular Level  . . . . . . . . . . . . . . . .&apos; (96 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60D5A - Checkbox text clipped: &apos;Glossiness  . . . . . . . . . . . . . . . . . .&apos; (90 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60D40 - Checkbox text clipped: &apos;Self-Illumination . . . . . . . . . . . . . . .&apos; (93 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60D38 - Checkbox text clipped: &apos;Opacity . . . . . . . . . . . . . . . . . . . .&apos; (89 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60CE8 - Checkbox text clipped: &apos;Filter Color  . . . . . . . . . . . . . . . . .&apos; (86 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60D60 - Checkbox text clipped: &apos;Bump  . . . . . . . . . . . . . . . . . . . . .&apos; (88 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60D1E - Checkbox text clipped: &apos;Reflection  . . . . . . . . . . . . . . . . . .&apos; (89 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60D82 - Checkbox text clipped: &apos;Refraction  . . . . . . . . . . . . . . . . . .&apos; (91 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60CD6 - Checkbox text clipped: &apos;Displacement  . . . . . . . . . . . . . . . . .&apos; (97 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60D16 - Checkbox text clipped: &apos;. . . . . . . . . . . . . . . . . . . . . . . .&apos; (77 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60CDA - Checkbox text clipped: &apos;. . . . . . . . . . . . . . . . . . . . . . . .&apos; (77 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60CD2 - Checkbox text clipped: &apos;. . . . . . . . . . . . . . . . . . . . . . . .&apos; (77 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60CBA - Checkbox text clipped: &apos;. . . . . . . . . . . . . . . . . . . . . . . .&apos; (77 px missing in x )\n\
\n\
   CustomControlsOptions.TextClippingIssuesSensitivityX  = 90 --set the threshold to 90 px\n\
   90\n\
   --Collapse and expand the Maps rollout of a Standard Material again &#x2013;\n\
   --only controls whose text is clipped above 90 pixels will be reported:\n\
   UI CLIPPING ERROR: hwnd: 0x50E8E - Checkbox text clipped: &apos;Ambient Color . . . . . . . . . . . . . . . . .&apos; (98 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60CEE - Checkbox text clipped: &apos;Diffuse Color . . . . . . . . . . . . . . . . .&apos; (93 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x50E4E - Checkbox text clipped: &apos;Specular Color  . . . . . . . . . . . . . . . .&apos; (96 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60C80 - Checkbox text clipped: &apos;Specular Level  . . . . . . . . . . . . . . . .&apos; (96 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60D40 - Checkbox text clipped: &apos;Self-Illumination . . . . . . . . . . . . . . .&apos; (93 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60D82 - Checkbox text clipped: &apos;Refraction  . . . . . . . . . . . . . . . . . .&apos; (91 px missing in x )\n\
   UI CLIPPING ERROR: hwnd: 0x60CD6 - Checkbox text clipped: &apos;Displacement  . . . . . . . . . . . . . . . . .&apos; (97 px missing in x )\n\
\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CustomControlsOptions.UIUserScaleFactor : float : Read|Write</code></pre><p>Get/set the user-defined scale factor of the User Interface.</p>\n\
<p>Default is 0.0 (no custom scaling, equivalent to 1.0).</p>\n\
<p>A value of 1.0 performs no scaling.</p>\n\
<p>A value of 2.0 will make all custom controls 2 times larger, and so on.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CustomControlsOptions.SetPrintIconPathsPersist &lt;boolean&gt;print_paths &lt;boolean&gt;persist</code></pre><p>Sets the state and persistence of the Print Icon Paths feature.</p>\n\
<p>The first argument sets the state - True to print the icon paths, False to disable printing.</p>\n\
<p>The second argument sets the persistence - True to persist between <strong>3ds Max</strong> sessions, False to set for the current session only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CustomControlsOptions.SetPrintTextClippingIssuesPersist &lt;boolean&gt;print_issues &lt;boolean&gt;persist</code></pre><p>Sets the state and persistence of the Print Text Clipping Issues feature.</p>\n\
<p>The first argument sets the state - True to print the issues, False to disable printing.</p>\n\
<p>The second argument sets the persistence - True to persist between <strong>3ds Max</strong> sessions, False to set for the current session only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CustomControlsOptions.SetTextClippingIssuesSensitivityXPersist &lt;integer&gt;sensitivity &lt;boolean&gt;persist</code></pre><p>Sets the value and persistence of the Print Text Clipping Issues X Sensitivity threshold.</p>\n\
<p>The first argument defines the sensitivity value.</p>\n\
<p>The second argument sets the persistence - True for the value to persist between <strong>3ds Max</strong> sessions, False to set for the current session only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CustomControlsOptions.SetTextClippingIssuesSensitivityYPersist &lt;integer&gt;sensitivity &lt;boolean&gt;persist</code></pre><p>Sets the value and persistence of the Print Text Clipping Issues Y Sensitivity threshold.</p>\n\
<p>The first argument defines the sensitivity value.</p>\n\
<p>The second argument sets the persistence - True for the value to persist between <strong>3ds Max</strong> sessions, False to set for the current session only.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p><strong>Related Functions:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2 Array&gt;getIconSizes &lt;string&gt;iconPath</code></pre><p>Returns an array of Point2 values representing the available icon sizes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2&gt;getQtTextExtent &lt;string&gt;UItext</code></pre><p>Returns a Point2 value representing the Qt text size in pixels of the specified string.</p>\n\
<p>The custom UI scale factor will <strong>not</strong> be taken into account.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetUIScaleFactor &lt;int&gt;monitorID</code></pre><p>Gets the scale factor for High DPI monitors, for the specified monitor. If not specified, the default monitor (-1) is queried.</p>\n\
<p>See also the <a href=\"Interface-CustomControlsOptions.html\">CustomControlsOptions.UIUserScaleFactor</a> interface property for getting and setting the UI scale.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = getIconAsBitmap @&quot;MainToolbar\\RenderSetup&quot; --get the Render Setup icon as bitmap\n\
   display b --display the bitmap\n\
\n\
   getIconSizes @&quot;MainToolbar\\RenderSetup&quot; --get the Render Setup icon as bitmap\n\
   #([24,24], [30,30], [36,36], [48,48])\n\
\n\
   getQtTextExtent &quot;MAXScript&quot;\n\
   [48,13]\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";