var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-54E22731-0A26-4156-8515-369866D380EB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: CustomFileStream</h1></div><p>The <code>CustomFileStream</code> interface is used to query, add, modify and remove <code>CustomFileStream</code>s from an external scene file. Available in <strong>3ds Max 2019 and higher</strong>. <code>CustomFileStream</code>s in the current scene file are managed with the <a href=\"Interface-4.html\">CustomSceneStreamManager</a> interface. See the overview topic <a href=\"./../../../../../MAXScript-Tools-and-Interaction/File-Access/Custom-File-Streams.html\">Custom File Streams</a>.</p>\n\
<p>For a description of the possible pre-defined flag values and the &quot;public&quot; customizable flag value, see <a href=\"Interface-4.html\">CustomSceneStreamManager</a>.</p>\n\
<p><strong>Methods</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string array&gt;getStreamNames\n\
    &lt;filename&gt;fileName</code></pre><p>Returns an array of the <code>CustomFileStream</code> names in the specified file. If the specified file does not exist, or if it does not support custom file stream storage (for example, has a file version older than 3ds Max 2019), an exception is thrown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;doesStreamExist &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName</code></pre><p>Returns true if the specified <code>CustomFileStream</code> is present in the specified file. If the specified file does not exist, or if it does not support custom file stream storage, an exception is thrown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; isCustomFileStreamOperable\n\
    &lt;filename&gt;fileName &lt;string&gt;streamName</code></pre><p>Returns true if the specified stream in the specified file is a valid <code>CustomFileStream</code>. If the specified file does not exist, if it does not support custom file stream storage, or if the named stream does not exist, an exception is thrown. This method is intended primarily to test whether <code>CustomFileStream</code>s written by external applications are valid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;deleteStream &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName</code></pre><p>Deletes the specified <code>CustomFileStream</code> in the specified file. Returns false if the file exists but cannot be opened with write access. If the specified file does not exist, if it does not support custom file stream storage, or if the named <code>CustomFileStream</code> does not exist, an exception is thrown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;readStream &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName</code></pre><p>Returns the content of the specified <code>CustomFileStream</code> in the specified file as a string. If the content is an array of strings, the first string is returned. If the specified file does not exist, if it does not support custom file stream storage, or if the named <code>CustomFileStream</code> does not exist, an exception is thrown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;writeStream &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName &lt;string&gt;content\n\
    persistent:&lt;boolean&gt; noLoadOnSceneLoad:&lt;boolean&gt;\n\
    append:&lt;boolean&gt;\n\
    persistent default value: true\n\
    noLoadOnSceneLoad default value: false\n\
    append default value: false</code></pre><p>Creates and sets the content of the specified <code>CustomFileStream</code> in the specified file to the specified string, setting the corresponding flag values if it is a new stream. If the stream already exists, its contents are replaced unless <code>append:true</code> is specified, in which case the specified string is appended to the current contents. Returns false if the file exists but cannot be opened with write access. If the specified file does not exist, or if it does not support custom file stream storage, an exception is thrown. If appending and the stream has existing array content, an exception is thrown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string array&gt;readStreamArray\n\
    &lt;filename&gt;fileName &lt;string&gt;streamName</code></pre><p>Returns the content of the specified <code>CustomFileStream</code> in the specified file as an array of strings. If the content is a single string, it is returned in a one element array. If the specified file does not exist, if it does not support custom file stream storage, or if the named <code>CustomFileStream</code> does not exist, an exception is thrown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;writeStreamArray &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName &lt;string array&gt;contentArray\n\
    persistent:&lt;boolean&gt; noLoadOnSceneLoad:&lt;boolean&gt;\n\
    append:&lt;boolean&gt;\n\
    persistent default value: true\n\
    noLoadOnSceneLoad default value: false\n\
    append default value: false</code></pre><p>Creates and sets the content of the specified <code>CustomFileStream</code> in the specified file to the specified array of strings, setting the corresponding private flag values if it is a new stream. If the stream already exists, its contents are replaced unless <code>append:true</code> is specified, in which case the specified array of strings is appended to the current contents. Returns false if the file exists but cannot be opened with write access. If the specified file does not exist or if it does not support custom file stream storage, an exception is thrown. If appending and the stream has existing string content (not an array), an exception is thrown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getStreamFlags &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName getPrivate:&lt;boolean&gt;\n\
    getPrivate default value: false</code></pre><p>Returns the flag value of the specified <code>CustomFileStream</code> in the specified file. If the specified file does not exist, if it does not support custom file stream storage, or if the named <code>CustomFileStream</code> does not exist, an exception is thrown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setStreamFlags &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName &lt;integer&gt;flags\n\
    setPrivate:&lt;boolean&gt;\n\
    setPrivate default value: false</code></pre><p>Sets the flag value of the specified <code>CustomFileStream</code> in the specified file. Returns false if the file exists but cannot be opened with write access. If the specified file does not exist, if it does not support custom file stream storage, or if the named <code>CustomFileStream</code> does not exist, an exception is thrown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isStreamDataAnArray &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName</code></pre><p>Returns true if the content of the specified <code>CustomFileStream</code> in the specified file is an array of strings. If the specified file does not exist, if it does not support custom file stream storage, or if the named <code>CustomFileStream</code> does not exist, an exception is thrown.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";