var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-91A7426C-9A07-4DF5-8A3F-68BBF7F2461A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: DwfExportPreferences</h1></div><p>The <strong>DwfExportPreferences Core Interface</strong> exposes the settings of the DWF Export Dialog to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-E1B02823-6750-4BD5-B85D-3AD70DCF157C-low.png\" alt></p>\n\
<h2 id=\"interface-dwfexportpreferences\">Interface: DwfExportPreferences</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.groupBy : enum : Read|Write \n\
groupBy enums: {#ByObject|#ByLayer}</code></pre><p>Get/set the state of the <strong>&quot;Grouping Options&quot;</strong> radio buttons.</p>\n\
<p>You can either use the enums or 0-based integers.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <code>#ByObject</code> - <strong>Group By Object</strong></p>\n\
<p>1 - <code>#ByLayer</code> - <strong>Group By Layer</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.exportProperties : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Publish Object Properties&quot;</strong> checkbox.</p>\n\
<p>Default is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.exportMaterials : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Publish Materials&quot;</strong> checkbox.</p>\n\
<p>Default is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.selectedOnly : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Publish Selected Objects Only&quot;</strong> checkbox.</p>\n\
<p>Default is False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.exportHidden : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Publish Hidden Objects&quot;</strong> checkbox.</p>\n\
<p>Default is False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showViewer : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Show DWF In Viewer&quot;</strong> checkbox.</p>\n\
<p>Default is False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.rescaleTextures : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Rescale Bitmaps&quot;</strong> checkbox.</p>\n\
<p>Default is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.maxTextureSize : integer : Read|Write</code></pre><p>Get/set the value of the <strong>&quot;Max.Resolution (pixels)&quot;</strong> spinner used when <code>DwfExportPreferences.rescaleTextures</code> is set to True.</p>\n\
<p>Default value is 512.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.defaultDwfLights : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Use Default DWF Lights&quot;</strong> checkbox.</p>\n\
<p>Default is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.writeLogFile : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Save Log File&quot;</strong> checkbox.</p>\n\
<p>Default is False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.logFileName : filename : Read|Write</code></pre><p>Get/set the file name of the log file used when <code>DwfExportPreferences.writeLogFile</code> is set to True.</p>\n\
<p>Default value is &quot;C:\\Users\\<username>\\AppData\\Local\\Autodesk\\3dsMax\\<maxversion> - 64bit\\ENU\\en-US\\plugcfg\\DWF_export.log&quot; where <code>&lt;UserName&gt;</code> is the name of the user and <code>&lt;MaxVersion&gt;</code> is the 3ds Max version number, for example, &quot;2014&quot;.</maxversion></username></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ResetDefaultPreferences()</code></pre><p>Resets all parameters to the default settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SavePreferences()</code></pre><p>Saves the current settings as preferences.</p>\n\
<p>The saved settings can be recalled at a later point by calling the following method:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LoadPreferences()</code></pre><p>Restores the previously saved settings.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Reset to defaults, then print them to Listener:\n\
   DwfExportPreferences.ResetDefaultPreferences() \n\
   for p in getPropNames DwfExportPreferences do \n\
     format &quot;%=%\\n&quot; p (getProperty DwfExportPreferences p)\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   OK\n\
   #writeLogFile=false\n\
   #exportMaterials=true\n\
   #selectedOnly=false\n\
   #showViewer=false\n\
   #rescaleTextures=true\n\
   #defaultDwfLights=true\n\
   #exportHidden=false\n\
   #LogFilename=C:\\Users\\MyUserName\\AppData\\Local\\Autodesk\\3dsMax\\2014 - 64bit\\ENU\\en-US\\plugcfg\\DWF_export.log\n\
   #groupBy=#ByObject\n\
   #maxTextureSize=512\n\
   #exportProperties=true\n\
   OK\n\
</code></pre><p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Let&apos;s change a few settings - Export Hidden to True and Group By to #ByLayer:\n\
   DwfExportPreferences.exportHidden=true\n\
   DwfExportPreferences.groupBy=#ByLayer\n\
   --Now let&apos;s store these settings for future use and print the current values:\n\
   DwfExportPreferences.SavePreferences()\n\
   for p in getPropNames DwfExportPreferences do \n\
     format &quot;%=%\\n&quot; p (getProperty DwfExportPreferences p)\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   true\n\
   #ByLayer\n\
   OK\n\
   #writeLogFile=false\n\
   #exportMaterials=true\n\
   #selectedOnly=false\n\
   #showViewer=false\n\
   #rescaleTextures=true\n\
   #defaultDwfLights=true\n\
   #exportHidden=true\n\
   #LogFilename=C:\\Users\\MyUserName\\AppData\\Local\\Autodesk\\3dsMax\\2014 - 64bit\\ENU\\en-US\\plugcfg\\DWF_export.log\n\
   #groupBy=#ByLayer\n\
   #maxTextureSize=512\n\
   #exportProperties=true\n\
   OK</code></pre><p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --let&apos;s reset the settings to defaults - as expected, we will get the original values\n\
   DwfExportPreferences.ResetDefaultPreferences()  \n\
   for p in getPropNames DwfExportPreferences do \n\
     format &quot;%=%\\n&quot; p (getProperty DwfExportPreferences p)</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   OK\n\
   #writeLogFile=false\n\
   #exportMaterials=true\n\
   #selectedOnly=false\n\
   #showViewer=false\n\
   #rescaleTextures=true\n\
   #defaultDwfLights=true\n\
   #exportHidden=false\n\
   #LogFilename=C:\\Users\\MyUserName\\AppData\\Local\\Autodesk\\3dsMax\\2014 - 64bit\\ENU\\en-US\\plugcfg\\DWF_export.log\n\
   #groupBy=#ByObject\n\
   #maxTextureSize=512\n\
   #exportProperties=true\n\
   OK\n\
</code></pre><p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Let&apos;s load the previously saved settings - \n\
   --the #exportHidden will be back to True and #groupBy will be back to #ByLayer!\n\
   DwfExportPreferences.LoadPreferences()\n\
   for p in getPropNames DwfExportPreferences do \n\
     format &quot;%=%\\n&quot; p (getProperty DwfExportPreferences p)</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   true\n\
   #writeLogFile=false\n\
   #exportMaterials=true\n\
   #selectedOnly=false\n\
   #showViewer=false\n\
   #rescaleTextures=true\n\
   #defaultDwfLights=true\n\
   #exportHidden=true\n\
   #LogFilename=C:\\Users\\MyUserName\\AppData\\Local\\Autodesk\\3dsMax\\2014 - 64bit\\ENU\\en-US\\plugcfg\\DWF_export.log\n\
   #groupBy=#ByLayer\n\
   #maxTextureSize=512\n\
   #exportProperties=true\n\
   OK\n\
</code></pre><p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --To export using these settings without showing the Dialog, simply call\n\
   exportMaxFile (GetDir #export + &quot;\\\\someFile.dwf&quot;) #noPrompt\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";