var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0E0372EC-F2D0-4909-8C64-F78DB9D35448\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: colorMan</h1></div><p>The <strong>colorMan Core Interface</strong> exposes the <strong>Color Manager</strong> to MAXScript.</p>\n\
<p>Within <strong>3ds Max</strong>, using the <strong>Main Menu &gt; Customize &gt; Customize User Interface &gt; Colors</strong> tab, you can alter the colors used for various UI elements, change the saturation, value and transparency of elements, and load and save color schemes.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> After making any color changes, you must call <code>colorMan.repaintUI #repaintAll</code> to apply the changes and synchronize with the customize dialog.</div>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorMan.colorTheme \n\
colorTheme enums: {#dark|#light}</code></pre><p>Gets or sets the Color Theme as a name value. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt; colorMan.getColorTheme()\n\
\n\
getColorTheme enums: {#dark|#light}</code></pre><p>Gets the current Color Theme as a name value. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt; colorMan.setColorTheme &lt;enum&gt;theme\n\
\n\
theme enums: {#dark|#light}</code></pre><p>Sets the current Color Theme. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;colorMan.getColorSchemeType() \n\
\n\
getColorSchemeType enums: {#customColor|#standardWindows|#windowsTheme}</code></pre><p>Returns the current color scheme type as a name value.</p>\n\
<p>Available in <strong>3ds Max 2010 and higher up to 3ds Max 2017</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;colorMan.setColorSchemeType &lt;enum&gt;type \n\
\n\
setColorSchemeType enums: {#customColor|#standardWindows|#windowsTheme}\n\
type enums: {#customColor|#standardWindows|#windowsTheme}</code></pre><p>Sets the color scheme type to the specified name and returns the actual color scheme type as result.</p>\n\
<p>Available in <strong>3ds Max 2010 and higher up to 3ds Max 2017</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;colorMan.useStandardWindowsColors() </code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>In versions <strong>prior to 3ds Max 2010</strong>, returned <code>true</code> if the standard windows colors were used and false if custom colors were used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorMan.setUseStandardWindowsColors &lt;boolean&gt;onOff   </code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>In versions <strong>prior to 3ds Max 2010</strong>, used to set whether standard windows colors were used or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;colorMan.registerColor &lt;string&gt;color &lt;string&gt;name &lt;string&gt;category &lt;point3&gt;defaultColor </code></pre><p>This registers a new color with the system, and adds a color to the color manager database that is then accessible from the color customization UI. It returns <code>false</code> if the color is already registered; otherwise <code>true</code> .</p>\n\
<p><code>&lt;string&gt;color</code>: The ID of the color to register. Example: #myNewColor</p>\n\
<p><code>&lt;string&gt;name</code>: The name for the color. Example: &quot;My Own Color&quot;</p>\n\
<p><code>&lt;string&gt;category</code>: The category for the color. If the name passed matches one of the existing <strong>3ds Max</strong> categories the color will be placed in there, otherwise a new one will be created. Example: &quot;Fun Gaming Colors&quot;</p>\n\
<p><code>&lt;point3&gt;defaultColor</code>: The default value for the color. This is the value that the color will be reset to when a <strong>3ds Max</strong> user presses &quot;Reset&quot; in the color customization dialog. Example: [1,0,0]</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   colorMan.registerColor #myNewColor &quot;My Own Color&quot; &quot;Ugly Colors&quot; [1,0,0]                   </code></pre><p>   This registers a new color, with the name <code>#myNewColor</code> , with a default value of red. The category in the customization UI will be &quot;Ugly Colors&quot; and the name will be &quot;My Own Color&quot;.</p>\n\
<p>   In other scripts you can access this color using:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   colorMan.getColor #myNewColor    </code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <code>colorMan.registerColor</code> should be called from a script in the <em>\\stdplugs\\stdscripts</em> folder. These scripts are run when <strong>3ds Max</strong> starts, so the color will be available in the customization UI immediately. If the user customizes this color, its value will be saved in the <em>MaxColors.clr</em> file.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;colorMan.loadColorFile &lt;filename&gt;file </code></pre><p>This method will load the specified color file from the current UI directory. Returns <code>true</code> if the load was successful, otherwise <code>false</code> .</p>\n\
<p><code>&lt;string&gt;file</code>: The filename of the color file to load.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The path specified must be relative to the <em>\\UI</em> directory.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;colorMan.saveColorFile &lt;filename&gt;file </code></pre><p>This method will save the specified color file from the current UI directory. Returns <code>true</code> if the save process was successful, otherwise <code>false</code> .</p>\n\
<p><code>&lt;string&gt;file</code>: The filename of the color file to save.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The path specified must be relative to the <em>\\UI</em> directory.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;colorMan.getColorFile() </code></pre><p>Returns the file name of the current color file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;colorMan.setColor &lt;string&gt;color &lt;point3&gt;colorValue </code></pre><p>Sets the color value of the previously registered color whose ID is passed. Returns <code>true</code> if the color was set and <code>false</code> if the id passed could not be found.</p>\n\
<p><code>&lt;string&gt;color</code>: Specifies which color to set.</p>\n\
<p><code>&lt;point3&gt;colorValue</code>: The color value to set.</p>\n\
<p>Predefined colors include:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Name</th>\n\
<th>Description</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#background</code></td>\n\
<td>The background for all controls and buttons</td>\n\
</tr>\n\
<tr>\n\
<td><code>#text</code></td>\n\
<td>The text for all controls and buttons</td>\n\
</tr>\n\
<tr>\n\
<td><code>#activeCommand</code></td>\n\
<td>The color command mode buttons turn when pressed</td>\n\
</tr>\n\
<tr>\n\
<td><code>#hilight</code></td>\n\
<td>The highlight color for 3d controls</td>\n\
</tr>\n\
<tr>\n\
<td><code>#shadow</code></td>\n\
<td>The shadow color for 3d controls</td>\n\
</tr>\n\
<tr>\n\
<td><code>#window</code></td>\n\
<td>The background color for edit boxes, list boxes and other windows</td>\n\
</tr>\n\
<tr>\n\
<td><code>#activeCaption</code></td>\n\
<td>The color of the active caption</td>\n\
</tr>\n\
<tr>\n\
<td><code>#toolTipBackground</code></td>\n\
<td>The background for viewport tool tips</td>\n\
</tr>\n\
<tr>\n\
<td><code>#toolTipText</code></td>\n\
<td>The text color for viewport tool tips</td>\n\
</tr>\n\
<tr>\n\
<td><code>#hilightText</code></td>\n\
<td>The highlight color in the stack view drop-down list</td>\n\
</tr>\n\
<tr>\n\
<td><code>#windowText</code></td>\n\
<td>The color used in edit boxes, list boxes and other windows</td>\n\
</tr>\n\
<tr>\n\
<td><code>#itemHilight</code></td>\n\
<td>The item highlight color</td>\n\
</tr>\n\
<tr>\n\
<td><code>#subObjectColor</code></td>\n\
<td>The color used to highlight sub-object levels in StackView</td>\n\
</tr>\n\
<tr>\n\
<td><code>#3dDarkShadow</code></td>\n\
<td>the dark shadow color on 3d controls</td>\n\
</tr>\n\
<tr>\n\
<td><code>#3dLight</code></td>\n\
<td>the light color on 3d controls</td>\n\
</tr>\n\
<tr>\n\
<td><code>#appWorkspace</code></td>\n\
<td>the application workspace color</td>\n\
</tr>\n\
<tr>\n\
<td><code>#trackbarBg</code></td>\n\
<td>trackbar background</td>\n\
</tr>\n\
<tr>\n\
<td><code>#trackbarBgSel</code></td>\n\
<td>trackbar background for selected keys</td>\n\
</tr>\n\
<tr>\n\
<td><code>#trackbarText</code></td>\n\
<td>trackbar text</td>\n\
</tr>\n\
<tr>\n\
<td><code>#trackbarTicks</code></td>\n\
<td>trackbar ticks</td>\n\
</tr>\n\
<tr>\n\
<td><code>#trackbarKeys</code></td>\n\
<td>trackbar keys</td>\n\
</tr>\n\
<tr>\n\
<td><code>#trackbarSelKeys</code></td>\n\
<td>track bar selected keys</td>\n\
</tr>\n\
<tr>\n\
<td><code>#trackbarCursor</code></td>\n\
<td>track bar cursor</td>\n\
</tr>\n\
<tr>\n\
<td><code>#pressedButton</code></td>\n\
<td>background color for pressed buttons, like the transform constraints</td>\n\
</tr>\n\
<tr>\n\
<td><code>#timeSliderBg</code></td>\n\
<td>The background for the time slider bar.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#viewportBorder</code></td>\n\
<td>The viewport border color</td>\n\
</tr>\n\
<tr>\n\
<td><code>#activeViewportBorder</code></td>\n\
<td>The active viewport border color</td>\n\
</tr>\n\
<tr>\n\
<td><code>#rollupTitleFace</code></td>\n\
<td>Rollout title background</td>\n\
</tr>\n\
<tr>\n\
<td><code>#rollupTitleText</code></td>\n\
<td>rollout title text</td>\n\
</tr>\n\
<tr>\n\
<td><code>#rollupTitleHilight</code></td>\n\
<td>rollout title 3d highlight</td>\n\
</tr>\n\
<tr>\n\
<td><code>#rollupTitleShadow</code></td>\n\
<td>rollout title 3d shadow</td>\n\
</tr>\n\
<tr>\n\
<td><code>#selectionRubberBand</code></td>\n\
<td>the selection marquee color</td>\n\
</tr>\n\
<tr>\n\
<td><code>#stackViewSelection</code></td>\n\
<td>the color of a selected item in stack view</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;colorMan.getColor &lt;string&gt;color </code></pre><p>Returns the color value of the color whose ID is passed, or black (RGB(0,0,0)) if the <code>Color</code> passed was not found.</p>\n\
<p><code>&lt;string&gt;color</code>: Specifies which color to get.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;name&gt;colorMan.getName &lt;string&gt;color </code></pre><p>Returns the name of the color whose ID is passed.</p>\n\
<p><code>&lt;string&gt;color</code>: The ID of the color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;colorMan.getCategory &lt;string&gt;color </code></pre><p>Returns the category string of the color whose ID is passed.</p>\n\
<p><code>&lt;string&gt;color</code>: The ID of the color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;colorMan.setIconFolder &lt;filename&gt;folder </code></pre><p><code>&lt;filename&gt;folder</code> - The name of the folder relative to the UI directory. Absolute pathnames are not supported.</p>\n\
<p>This method sets the folder from which all icons for the UI are loaded, and immediately reloads the icons from that folder.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If a folder with no icon files is loaded, all icons in the UI become blank, and no warning is issued.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;colorMan.getIconFolder() </code></pre><p>Returns the absolute pathname of the current icon folder. Note that <code>getIconFolder</code> returns an absolute path while <code>setIconFolder</code> accepts only relative paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;colorMan.getIconColorScale &lt;enum&gt;type &lt;enum&gt;which \n\
\n\
type enums: {#disabledIcon|#enabledIcon} \n\
which enums: {#saturationScale|#valueScale|#alphaScale} </code></pre><p>Returns a floating point value (in the range 0.0 to 1.0) that is one of the scale factors applied to the specified icon type. These scale values used to do image processing on the icons at start-up time.</p>\n\
<p><code>&lt;enum&gt;type</code>: One of the following values:</p>\n\
<p><code>#disabledIcon:</code> The disabled icons.</p>\n\
<p><code>#enabledIcon:</code> The enabled icons.</p>\n\
<p><code>&lt;enum&gt;which</code> : The icon color scale. One of the following values:</p>\n\
<p><code>#saturationScale:</code> The saturation scale.</p>\n\
<p><code>#valueScale:</code> The value scale.</p>\n\
<p><code>#alphaScale:</code> The alpha scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorMan.setIconColorScale &lt;enum&gt;type &lt;enum&gt;which &lt;float&gt;value \n\
\n\
type enums: {#disabledIcon|#enabledIcon} \n\
which enums: {#saturationScale|#valueScale|#alphaScale} </code></pre><p>Sets the specified scale factor for the icon type passed. The color manager maintains the values for the <strong>3ds Max</strong> icon image processing system. Developers can set values to scale the saturation, value and transparency for enabled and disabled icon images using this method.</p>\n\
<p><code>&lt;enum&gt;type</code>: The icon type. Can be one of the following values:</p>\n\
<p><code>#disabledIcon:</code> The disabled icons.</p>\n\
<p><code>#enabledIcon:</code> The enabled icons.</p>\n\
<p><code>&lt;enum&gt;which</code>: The icon color scale. Can be one of the following values:</p>\n\
<p><code>#saturationScale:</code> The saturation scale.</p>\n\
<p><code>#valueScale:</code> The value scale.</p>\n\
<p><code>#alphaScale:</code> The alpha scale.</p>\n\
<p><code>&lt;float&gt;value</code>: The value runs from 0.0 to 100.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorMan.getIconColorInvert &lt;enum&gt;type \n\
\n\
type enums: {#disabledIcon|#enabledIcon} </code></pre><p>Returns <code>true</code> if the invert flag is set for the specified icon type and <code>false</code> if not set.</p>\n\
<p><code>&lt;enum&gt;type</code>: The icon type. Can be one of the following values:</p>\n\
<p><code>#disabledIcon:</code> The disabled icons.</p>\n\
<p><code>#enabledIcon:</code> The enabled icons.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorMan.setIconColorInvert &lt;enum&gt;type &lt;boolean&gt;value \n\
\n\
type enums: {#disabledIcon|#enabledIcon} </code></pre><p>Sets the invert flag for the specified icon type to <code>on</code> or <code>off</code> .</p>\n\
<p><code>&lt;enum&gt;type</code>: The icon type. One of the following values:</p>\n\
<p><strong><code>#disabledIcon:</code></strong> The disabled icons.</p>\n\
<p><strong><code>#enabledIcon:</code></strong> The enabled icons.</p>\n\
<p><code>&lt;boolean&gt;value</code>: Pass true for inverted; false for not inverted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;colorMan.getFileName() </code></pre><p>Returns the file name of the currently loaded color file.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This filename specifies an absolute path, even though <code>loadColorFile</code> and <code>saveColorFile</code> use relative paths.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;colorMan.getDefaultColor &lt;string&gt;color </code></pre><p>Returns the default color for the specified ID. The default color is the value passed as defaultValue in registerColor, regardless if a <code>SetColor()</code> has been done subsequently. This is used by the UI when the user presses &quot;Reset&quot; to reset a color to its default value.</p>\n\
<p><code>&lt;string&gt;color</code>: The ID of the color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorMan.repaintUI &lt;enum&gt;type \n\
\n\
type enums: {#repaintAll|#repaintTrackBar|#repaintTimeBar} </code></pre><p>This method allows you to issue a repaint of the user interface. This is equivalent to the Apply Colors Now button in the Customize dialog.</p>\n\
<p><code>&lt;repaintType&gt;type</code>: The type of repaint you wish to issue; <code>#repaintAll</code> , <code>#repaintTrackBar</code> , <code>#repaintTimeBar</code> .</p>\n\
<p>Here is a macroScript that turns the time slider and trackbar backgrounds blue:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript BlueBar\n\
   category: &quot;Color&quot;\n\
   tooltip: &quot;Blue Bar&quot;\n\
   (\n\
     on execute do\n\
     (\n\
       colorMan.setColor #timeSliderBg [0, 0, .6]\n\
       colorMan.repaintUI #repaintTimeBar\n\
       colorMan.setColor #trackbarBg [0, 0, .6]\n\
       colorMan.repaintUI #repaintTrackBar\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> All of <strong>3ds Max</strong>&apos;s standard icon BMP files must exist in that folder. If any of the standard files are missing, icons will appear blank in <strong>3ds Max</strong>&apos;s UI. All the icons files needed live in the <em>UI\\Icons</em> folder, which is the default icon folder.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorman.reInitIcons() </code></pre><p>Reloads all CUI icons from the icon files. This can be used to refresh the UI after adding new or editing existing icon bitmap files.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;resolveIconFolder &lt;filename&gt;filename &lt;&amp;string&gt;path\n\
       path is Out parameter</code></pre><p>This method resolves the filename using the user icon path, then the system icon path, and then &lt;3dsmax.exe&gt;\\ui\\icons.</p>\n\
<p>If the file is found, fully qualified filename is placed in <code>fullfilename</code> and the method returns true.</p>\n\
<p>If not found, the method returns false.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>See also Class IcolorManager, in the SDK Help file accompanying this product</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-Max-User-Interface-Colors.html\">3ds Max User Interface Colors</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts/Creating-Icon-Bitmap-Files.html\">Creating Icon Bitmap Files</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";