var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-294AB480-C459-4EFD-BDEC-CA398D8A4C97\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: dragAndDrop</h1></div><p>The Drag and Drop system is managed through a Core Function Published interface. It provides control over the DnD system, manages handler registration and exposes some useful utility methods for downloading URL&#x2019;s, simulating drops, etc.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;dragAndDrop.globalEnableDragAndDrop &lt;boolean&gt;onOff      </code></pre><p>This method allows you to globally enable or disable the DnD interface.</p>\n\
<p><code>&lt;boolean&gt;onOff: True</code> to enable, <code>false</code> to disable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;dragAndDrop.isEnabled()   </code></pre><p>This method returns <code>true</code> if the global DnD interface is enabled, otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;dragAndDrop.enableDragAndDrop &lt;HWND&gt;window &lt;boolean&gt;onOff </code></pre><p>This method allows you to enable DnD for a given window (and its children). If no custom DragAndDropHandler is supplied, a default one is used that will accept dropped scene files for opening and scripts for running. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<p><code>&lt;HWND&gt;window :</code> A handle to the window you wish to enable or disable DnD for.</p>\n\
<p><code>&lt;boolean&gt;onOff : True</code> to enable, <code>False</code> to disable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;dragAndDrop.dropPackage &lt;HWND&gt;window &lt;&amp;point2&gt;mousePoint &lt;&amp;filename array&gt;files applyUIScaling:&lt;boolean&gt;\n\
       mousePoint is In and Out parameter\n\
       files is In and Out parameter\n\
       applyUIScaling default value: true</code></pre><p>This method allows the simulation of a package of files into a window at a given point. A package of files, specified as a list of URL strings is the common form of DropType data from iDrop sources and files dragged from the Windows desktop. The entire package is downloaded, as needed, but only the first file in the list is actually dropped into <strong>3ds Max</strong>. The other files in the package are presumed to be support files, such as texmaps or xref sources, for the main drop file. After the drop, the URL strings in the URLTab are converted to fully-specified path names to local file copies, if any had to be downloaded from the web. Returns <code>true</code> if the drop was successful, otherwise <code>false</code> .</p>\n\
<p><code>&lt;HWND&gt;window :</code> A handle to the window. If this is set to NULL, the default <strong>3ds Max</strong> window is used.</p>\n\
<p><code>&lt;&amp;point2&gt;mousePoint :</code> The point at which to drop. <code>mousePoint</code> is In and Out parameter</p>\n\
<p><code>&lt;&amp;filename array&gt;files :</code> A reference to the local copies of the URL strings. <code>files</code> is In and Out parameter</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;dragAndDrop.downloadPackage &lt;&amp;filename array&gt;files &lt;string&gt;directory &lt;boolean&gt;Showprogress </code></pre><p>This method serves as a utility function that can be used to download a package of URLs to the specified directory. If the hwnd argument is supplied, any progress or other messages are centered over that window. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<p><code>&lt;&amp;filename array&gt;files :</code> A reference to the local copies of the URL strings. <code>files</code> is In and Out parameter</p>\n\
<p><code>&lt;string&gt;directory :</code> The directory path string to download to.</p>\n\
<p><code>&lt;boolean&gt;Showprogress :</code> Displays the progress dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;dragAndDrop.getDownloadDirectory() </code></pre><p>This method returns the fully-specified path to the directory in which package drops are downloaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;dragAndDrop.DownloadUrlToDisk &lt;string&gt;url &lt;filename&gt;fileName &lt;integer&gt;flags </code></pre><p>This method allows you to download the file referenced by the URL to disk. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<p><code>&lt;string&gt;url :</code> The URL string of the file to download.</p>\n\
<p><code>&lt;string&gt;fileName :</code> The filename string of the URL to store on disk.</p>\n\
<p><code>&lt;integer&gt;flags :</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;dragAndDrop.ImportContextNode() </code></pre><p>Returns a pointer to the import context node.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/File-Access/Zip-file-Packaging-and-Drag-And/Zip-file-Script-Packages.html\">Zip-file Script Packages</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";