var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-653F8F37-BFAD-4739-81E4-743FB65CD57F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: FileLinkMgr</h1></div><p>Previously available in <strong>Autodesk VIZ</strong>, this Core Interface is now part of <strong>3ds Max 7 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FileLinkMgr.numLinks : integer : Read      </code></pre><p>Returns the number of linked files. Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileLinkMgr.Attach &lt;string&gt;filename fileformat:&lt;enum&gt; showUI:&lt;boolean&gt;\n\
       fileformat enums: {#UseFileExt|#DWG|#DXF}\n\
       fileformat default value: #UseFileExt\n\
       showUI default value: false</code></pre><p>Attaches the specified file to the current scene. By default, the file extension of the specified file will determine the file format to be linked.</p>\n\
<p>When the optional <code>showUI</code> parameter is set to <code>True</code> , the File Linking dialog will be displayed.</p>\n\
<p>When set to <code>False</code> or not specified, the linking will be performed silently.</p>\n\
<p>Returns <code>True</code> on success, <code>False</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileLinkMgr.AttachWithPreset &lt;string&gt;filename &lt;string&gt;preset showUI:&lt;boolean&gt;\n\
       showUI default value: false</code></pre><p>Attaches the specified file name using the supplied preset.</p>\n\
<p>When the optional <code>showUI</code> parameter is set to <code>True</code> , the File Linking dialog will be displayed.</p>\n\
<p>Returns <code>True</code> on success, <code>False</code> on failure.</p>\n\
<p>The preset string is the name of the preset inside &lt;3dsmax&gt;\\plugcfg\\filelink.ini, not the name of the file itself.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileLinkMgr.Reload &lt;integer&gt;which showUI:&lt;boolean&gt; translateMaterials:&lt;boolean&gt; \n\
\n\
showUI default value: false \n\
translateMaterials default value: true </code></pre><p>Reloads the specified indexed File Link.</p>\n\
<p>Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileLinkMgr.Detach &lt;integer&gt;which </code></pre><p>Detaches the specified indexed File Link.</p>\n\
<p>Returns <code>True</code> on success, <code>False</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileLinkMgr.Bind &lt;integer&gt;which </code></pre><p>Removes specified indexed File Link.</p>\n\
<p>Returns <code>True</code> on success, <code>False</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileLinkMgr.IsAnyLinked &lt;node array&gt;nodes</code></pre><p>Returns <code>True</code> if any of the specified nodes the supplied array originates from a linked file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileLinkMgr.IsNodeLinked &lt;node&gt;node</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>Returns <code>True</code> if the specified node originates from a linked file. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;FileLinkMgr.GetRecord &lt;node&gt;node</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>Returns the record ID from which the node originates. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;FileLinkMgr.GetRecordFile &lt;integer&gt;which</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>Returns the record corresponding to the given ID. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Example:\n\
record = FileLinkMgr.GetRecordFile 0\n\
filename = record.GetFileName()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FileLinkMgr.SetDefaultView &lt;string&gt;viewName</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>Sets the default view based on the given viewName. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Example 1 - setting the default view to View1:\n\
FileLinkMgr.SetDefaultView &quot;View1&quot;\n\
FileLinkMgr.AttachWithPreset &quot;path_to_file.ext&quot; &quot;Preset.RevitDoNotCombine&quot;\n\
\n\
-- Example 2 - resetting the default view name:\n\
FileLinkMgr.SetDefaultView &quot;&quot;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileLinkMgr.ChangeFilename &lt;integer&gt;which &lt;String&gt;filename </code></pre><p>Changes the file name of the specified indexed File Link.</p>\n\
<p>Returns <code>True</code> on success, <code>False</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileLinkMgr.SelectNodes &lt;integer&gt;which clearCurrentSel:&lt;boolean&gt; \n\
\n\
ClearCurrentSel default value: true </code></pre><p>Selects all nodes in the scene associated with specified indexed File Link.</p>\n\
<p>Returns <code>True</code> on success, <code>False</code> on failure.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";