var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-44F42E75-0B82-4676-A474-BB277A37A214\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: GhostingManager</h1></div><p>This Core Interface exposes the <strong>Ghosting Manager</strong> to MAXScript.</p>\n\
<p>It allows the configuration of the Animation Ghosting feature which displays multiple samples of a selected object over time in the viewport.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-78D088D7-235C-4C9C-847F-8CE2DC2FFB5C-low.png\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GhostingManager.ShowGhosting : boolean : Read|Write</code></pre><p>Get/Set the Ghosting enabled state.</p>\n\
<p>When set to true, selected objects will display ghost frames according to the settings below.</p>\n\
<p>When set to false, no ghost frames will be displayed.</p>\n\
<p>Corresponds to the Main Menu &gt; Views &gt; Show Ghosting menu toggle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GhostingManager.GhostType : integer : Read|Write</code></pre><p>Get/set the ghost type.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Before</p>\n\
<p>2 - After</p>\n\
<p>3 - Both</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GhostingManager.TotalGhostFrames : integer : Read|Write</code></pre><p>Get/set the total number of ghost frames.</p>\n\
<p>When the <code>.GhostType</code> property is set to 1 or 2, the total number of frames will be shown on the one side of the trajectory.</p>\n\
<p>When the <code>.GhostType</code> property is set to 3, the total number of frames will be split between before and after the current time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GhostingManager.GhostFrameIncrement : integer : Read|Write</code></pre><p>Get/set the frame increment (every Nth frame) value. It defines the frame interval in which ghost frames are drawn.</p>\n\
<p>This affects the actual number of ghost frames being drawn.</p>\n\
<p>For example, if <code>.TotalGhostFrames</code> is 10 and <code>.GhostFrameIncrement</code> is set to 2, only 5 frames will be actually drawn.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GhostingManager.DisplayGhostInWireframe : boolean : Read|Write</code></pre><p>When set to true, the object&apos;s ghost frames will be displayed as wireframe.</p>\n\
<p>When set to false, the object&apos;s ghost frames will be displayed as shaded.</p>\n\
<p>Applicable only in shaded display modes.</p>\n\
<p>When in wireframe display mode, both the selected object and its ghosts will be drawn as wireframe.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GhostingManager.ShowGhostFrameNumbers : boolean : Read|Write</code></pre><p>Get/set whether to display the frame number at the pivot point of each ghost frame.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";