var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F3AFE6DB-BD42-47FC-B855-35AED4519C27\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: IsolateSelection</h1></div><p>This Core Interface exposes the Isolate Selection feature to MAXScript.</p>\n\
<p>In versions <strong>prior to 3ds Max 2013</strong> the Isolate Selection was implemented using MAXScript.</p>\n\
<p>In <strong>3ds Max 2013</strong>, the functionality was reimplemented as integral part of the User Interface.</p>\n\
<p><img src=\"./images/GUID-A0B55D23-F269-4F76-98EA-6834AEDC58B3-low.png\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsolateSelection.EnterIsolateSelectionMode()</code></pre><p>Enters Isolate Selection mode.</p>\n\
<p>Returns True on success, False if already in Isolate Selection mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsolateSelection.ExitIsolateSelectionMode()</code></pre><p>Exits Isolate Selection mode.</p>\n\
<p>Returns True on success, False if not in Isolate Selection mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsolateSelection.IsolateSelectionModeActive()</code></pre><p>Returns True if in Isolate Selection mode, False if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsolateSelection.IsNodeIsolated &lt;node&gt;node</code></pre><p>Returns True if the specified node is isolated (<strong>3ds Max</strong> is in Isolate Selection mode and the specified node was selected when the mode was invoked).</p>\n\
<p>Returns False if the Isolate Selection mode is not active or the node was not selected and was thus hidden in the Isolate Selection process.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IsolateSelection.SuppressIsolateSelectionWarningDialogue &lt;boolean&gt;bSuppress</code></pre><p>When the argument is True, the Isolate Selection warning will be suppressed.</p>\n\
<p>When the argument is False, the Isolate Selection warning will be issued when opening a scene with isolated objects.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s = Sphere() --create a sphere\n\
   --&gt;$Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
   b = Box pos:[50,0,0] --create a box\n\
   --&gt;$Box:Box001 @ [50.000000,0.000000,0.000000]\n\
   c = Cone pos:[-50,0,0] --create a cone\n\
   --&gt;$Cone:Cone001 @ [-50.000000,0.000000,0.000000]\n\
   select s --select the sphere\n\
   --&gt;OK\n\
   IsolateSelection.EnterIsolateSelectionMode() --isolate it - it works!\n\
   --&gt;true\n\
   IsolateSelection.EnterIsolateSelectionMode() --cannot isolate again\n\
   --&gt;false\n\
   IsolateSelection.IsolateSelectionModeActive() --check if in Isolate Mode\n\
   --&gt;true\n\
   IsolateSelection.IsNodeIsolated s --check if the sphere is isolated\n\
   --&gt;true\n\
   IsolateSelection.IsNodeIsolated b --check if the box is isolated\n\
   --&gt;false\n\
   IsolateSelection.IsNodeIsolated c --check if the cone is isolated\n\
   --&gt;false\n\
   holdMaxFile() --hold the scene\n\
   --&gt;OK\n\
   IsolateSelection.SuppressIsolateSelectionWarningDialogue false --enable warning\n\
   --&gt;OK\n\
   fetchMaxFile() --fetch, answer prompt with Yes - an Isolation warning will follow\n\
   --&gt;OK\n\
   --NOTE that &apos;fetchMaxFile quiet:true&apos; will suppress both the prompt and the warning\n\
   IsolateSelection.SuppressIsolateSelectionWarningDialogue true --suppress the warning\n\
   --&gt;OK\n\
   fetchMaxFile() --fetch, answer prompt with Yes - no Isolation warning will follow.\n\
   --&gt;OK\n\
   IsolateSelection.ExitIsolateSelectionMode() --exist the Isolate Mode\n\
   --&gt;true\n\
   IsolateSelection.ExitIsolateSelectionMode() --can&apos;t exit again, already off\n\
   --&gt;false\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../I-J-K.html\">I,J,K</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";