var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3CC3C4C8-012F-4933-9571-D1E0AA64CB33\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: LoadSaveAnimation</h1></div><p>The <strong>LoadSaveAnimation Core Interface</strong> provides access to the animation clip loading and saving feature.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: LoadSaveAnimation </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;LoadSaveAnimation.loadAnimationDlg()   </code></pre><p>Opens the Load Animation dialog.</p>\n\
<p>Returns the filename of the selected file, or undefined if the dialog was canceled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;LoadSaveAnimation.saveAnimationDlg() </code></pre><p>Opens the Save Animation dialog.</p>\n\
<p>Returns the filename of the selected file, or undefined if the dialog was canceled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LoadSaveAnimation.saveAnimation &lt;filename&gt;fileName &lt;&amp;node array&gt;nodes &lt;&amp;string array&gt;userAttributes &lt;&amp;string array&gt;userValues animatedTracks:&lt;boolean&gt; includeConstraints:&lt;boolean&gt; keyableTracks:&lt;boolean&gt; saveSegment:&lt;boolean&gt; segInterval:&lt;interval by value&gt; segKeyPerFrame:&lt;boolean&gt; \n\
\n\
nodes is In and Out parameter \n\
userAttributes is In and Out parameter \n\
userValues is In and Out parameter \n\
animatedTracks default value: true \n\
includeConstraints default value: true \n\
keyableTracks default value: false \n\
saveSegment default value: false \n\
segInterval default value: (interval 0f 0f) \n\
segKeyPerFrame default value: false </code></pre><p>Saves the animation of the nodes specified by the nodes by-reference array to the specified filename, adding the supplied user attributes and user values from the by-reference string arrays.</p>\n\
<p>The optional keyword parameters correspond to the options found in the Save Animation dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LoadSaveAnimation.saveAnimationNodeAnim &lt;filename&gt;fileName &lt;&amp;Interface array&gt;nodeAnims &lt;&amp;string array&gt;userAttributes &lt;&amp;string array&gt; userValues animatedTracks: &lt;boolean&gt; includeConstraints:&lt;boolean&gt; keyableTracks:&lt;boolean&gt; saveSegment:&lt;boolean&gt; segInterval:&lt;inteval by value&gt; segKeyPerFrame:&lt;boolean&gt; \n\
\n\
nodeAnims is In and Out parameter \n\
userAttributes is In and Out parameter \n\
userValues is In and Out parameter \n\
animatedTracks default value: true \n\
includeConstraints default value: true \n\
keyableTracks default value: false \n\
saveSegment default value: false \n\
segInterval default value: (interval 0f 0f) \n\
segKeyPerFrame default value: false </code></pre><p>Saves the animation of the node anims specified by the by-reference array of interfaces to the specified filename, adding the supplied user attributes and user values from the by-reference string arrays.</p>\n\
<p>The optional keyword parameters correspond to the options found in the Save Animation dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LoadSaveAnimation.loadAnimation &lt;filename&gt;fileName &lt;&amp;node array&gt;nodes relative:&lt;boolean&gt; insert:&lt;boolean&gt; insertTime:&lt;time&gt; stripLayers:&lt;boolean&gt; useMapFile:&lt;boolean&gt; mapFileName:&lt;filename&gt; \n\
\n\
nodes is In and Out parameter \n\
relative default value: true \n\
insert default value: false \n\
insertTime default value: 0f \n\
useMapFile default value: false \n\
mapFileName default value: undefined </code></pre><p>Loads the animation from the specified filename to the nodes specified by the nodeTab by-reference array.</p>\n\
<p>The optional keyword parameters correspond to the options found in the Load Animation dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LoadSaveAnimation.loadAnimationNodeAnim &lt;filename&gt;fileName &lt;&amp;Interface array&gt;nodeAnims relative:&lt;boolean&gt; insert:&lt;boolean&gt; insertTime:&lt;time&gt; useMapFile:&lt;boolean&gt; mapFileName:&lt;filename&gt; \n\
\n\
nodeAnims is In and Out parameter \n\
relative default value: true \n\
insert default value: false \n\
insertTime default value: 0f \n\
stripLayers default value: false \n\
useMapFile default value: false \n\
mapFileName default value: undefined </code></pre><p>Loads the animation from the specified filename to the nodeAnims specified by the by-reference array.</p>\n\
<p>The optional keyword parameters correspond to the options found in the Load Animation dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LoadSaveAnimation.createMapFile &lt;filename&gt;fileName &lt;&amp;node array&gt;nodes &lt;filename&gt;incomingAnimationFile &lt;&amp;string array&gt;userAttributes &lt;&amp;string array&gt;userValues &lt;&amp;Interface array&gt;retargetData nodeMapType:&lt;enum&gt; matchControllerExactName:&lt;boolean&gt; matchControllerType:&lt;boolean&gt; stripLayers:&lt;boolean&gt; \n\
\n\
nodes is In and Out parameter \n\
userAttributes is In and Out parameter \n\
userValues is In and Out parameter \n\
retargetData is In and Out parameter \n\
nodeMapType enums: {#matchExactNodeName|#matchClosestNodeName|#matchNodeHierarchy} \n\
nodeMapType default value: #matchClosestNodeName \n\
matchControllerExactName default value: true \n\
matchControllerType default value: false \n\
stripLayers default value: false </code></pre><p>Creates a map file with the given filename using the nodes specified by the by-reference array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LoadSaveAnimation.createMapFileNodeAnim &lt;filename&gt;fileName &lt;&amp;Interface array&gt;nodeAnims &lt;filename&gt;incomingAnimationFile &lt;&amp;string array&gt;userAttributes &lt;&amp;string array&gt;userValues &lt;&amp;Interface array&gt;retargetData nodeMapType:&lt;enum&gt; matchControllerExactName:&lt;boolean&gt; matchControllerType:&lt;boolean&gt; \n\
\n\
nodeAnims is In and Out parameter \n\
userAttributes is In and Out parameter \n\
userValues is In and Out parameter \n\
retargetData is In and Out parameter \n\
nodeMapType enums: {#matchExactNodeName|#matchClosestNodeName|#matchNodeHierarchy} \n\
nodeMapType default value: #matchClosestNodeName \n\
matchControllerExactName default value: true \n\
matchControllerType default value: false </code></pre><p>Creates a map file with the given filename using the nodeAnims specified by the by-reference array of interfaces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;LoadSaveAnimation.makeRetargetData() </code></pre><p>Returns a <a href=\"Interface-LoadSaveAnimation.html\">retargetData</a> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] which can be used in the <code>LoadSaveAnimation.createMapFile()</code> method. See bottom of this page for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LoadSaveAnimation.getUserAttributes &lt;filename&gt;fileName &lt;&amp;TSTR array&gt;userAttributes &lt;&amp;TSTR array&gt;userValues \n\
\n\
userAttributes is In and Out parameter \n\
userValues is In and Out parameter </code></pre><p>Reads the user attributes and user values from the specified XAF file and writes them into the userAttributes and userValues by-reference string arrays. Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;LoadSaveAnimation.getAnimFileExtension() </code></pre><p>Returns the animation format&apos;s file extension as string. Default value returned is &quot;xaf&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;LoadSaveAnimation.getAnimMapFileExtension() </code></pre><p>Returns the map format&apos;s file extension as string. Default value returned is &quot;xmm&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;LoadSaveAnimation.getAnimFileDirectory() </code></pre><p>Returns the animation files path as filename.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LoadSaveAnimation.setAnimFileDirectory &lt;filename&gt;fileName </code></pre><p>Sets the animation files path to the given file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;LoadSaveAnimation.getAnimMapFile() </code></pre><p>Returns the animation map file asfilename. Default return value is &quot;Default&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LoadSaveAnimation.setAnimMapFile &lt;filename&gt;fileName </code></pre><p>Sets the animation map file to the given file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface by value array&gt;LoadSaveAnimation.setUpAnimsForSave &lt;&amp;node array&gt;nodesToSetup animatedTracks:&lt;boolean&gt; includeContraints:&lt;boolean&gt; keyable:&lt;boolean&gt; \n\
\n\
nodesToSetup is In and Out parameter \n\
animatedTracks default value: true \n\
includeContraints default value: true \n\
keyable default value: false </code></pre><p>Prepares the specified nodes for animation saving.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface by value array&gt;LoadSaveAnimation.setUpAnimsForLoad &lt;&amp;node array&gt;nodesToSetup includePB2s:&lt;boolean&gt; stripLayers:&lt;boolean&gt; \n\
\n\
nodesToSetup is In and Out parameter \n\
includePB2s default value: false \n\
stripLayers default value: false </code></pre><p>Prepares the specified nodes for animation loading.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface by value array&gt;LoadSaveAnimation.setUpAnimsForMap &lt;&amp;node array&gt;nodesToSetup stripLayers:&lt;boolean&gt; \n\
\n\
nodesToSetup is In and Out parameter \n\
stripLayers default value: false </code></pre><p>Prepares the specified nodes for mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LoadSaveAnimation.replaceAttributesInMapFile &lt;filename&gt;mapFileName &lt;filename&gt;newMapFileName &lt;&amp;TSTR array&gt;oldStrings &lt;&amp;TSTR array&gt;newStrings &lt;boolean&gt;mapName \n\
\n\
oldStrings is In and Out parameter \n\
newStrings is In and Out parameter </code></pre><p>Replaces attributes specified by oldStrings from the file mapFileName with the attributes specified by newStrings and creates a file named according to newMapFileName.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LoadSaveAnimation.createDefaultMapFile &lt;&amp;node array&gt;nodes &lt;filename&gt;mapFileName \n\
\n\
nodes is In and Out parameter </code></pre><p>Creates a default map file with the name provided as second argument out of the the nodes given as first argument.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LoadSaveAnimation.createNodeAnimsForLoad &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;maxObject array&gt;subNums &lt;&amp;Interface array&gt;nodeAnims \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter \n\
nodeAnims is In and Out parameter </code></pre><p>Creates node anims for loading. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LoadSaveAnimation.createNodeAnimsForSave &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;maxObject array&gt;subNums &lt;&amp;Interface array&gt;nodeAnims \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter \n\
nodeAnims is In and Out parameter </code></pre><p>Creates node anims for saving. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LoadSaveAnimation.createNodeAnimsForMap &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;maxObject array&gt;subNums &lt;&amp;Interface array&gt;nodeAnims \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter \n\
nodeAnims is In and Out parameter </code></pre><p>Creates node anims for mapping. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;LoadSaveAnimation.loadAnimationDlgFromAnims &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;integer array&gt;subNums \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter </code></pre><p>Opens a Load Animation Dialog using the provided Anims. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;LoadSaveAnimation.saveAnimationDlgFromAnims &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;integer array&gt;subNums \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter </code></pre><p>Opens a Save Animation Dialog using the provided Anims. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>The following [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] can be used to create the elements of the retarget data array required by the <code>LoadSaveAnimation.createMapFile()</code> method:</p>\n\
<p><strong><a href=\"MixinInterface:retargetData\">MixinInterface:retargetData</a></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: retargetData </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.currentNodeName : string : Read|Write </code></pre><p>Get/set the name of the current node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.incomingNodeName : string : Read|Write </code></pre><p>Get/set the name of the incoming node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.absolute : boolean : Read|Write </code></pre><p>Enable/disable absolute/relative retargeting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.scale : point3 : Read|Write </code></pre><p>Get/set the retarget scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.currentBaseNodeName : string : Read|Write </code></pre><p>Get/set the name of the current base node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.incomingBaseNodeName : string : Read|Write </code></pre><p>Get/set the name of the incoming base node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.currentBaseChainNodeName : string : Read|Write </code></pre><p>Get/set the name of the current base chain node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.currentEndChainNodeName : string : Read|Write </code></pre><p>Get/set the name of the current end chain node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.incomingBaseChainNodeName : string : Read|Write </code></pre><p>Get/set the name of the incoming base chain node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.incomingEndChainNodeName : string : Read|Write </code></pre><p>Get/set the name of the incoming end chain node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.FKRetargetingEnabled : boolean : Read|Write </code></pre><p>Enable/disable FK Retargeting. When set to true, FK Retargeting will be enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:retargetData&gt;.FKBaseChainNodeName : string : Read|Write </code></pre><p>Get/set the name of the FK base chain node.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../L.html\">L</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";