var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DBD96860-9BCA-4F85-B0EF-A827DE33F4E0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: LockedTracksMan</h1></div><p>The <strong>LockedTracksMan Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> exposes properties and methods related to animation track locking.</p>\n\
<p><img src=\"./images/GUID-C7E1A4BD-EE82-4B3D-8752-1112A73D9C1C-low.gif\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LockedTracksMan.unLockOverride : boolean : Read|Write      </code></pre><p>Get/Set the state of the Override All Locks option.</p>\n\
<p>When set to true, the locked state of locked tracks will be temporarily overridden and their values can be changed.</p>\n\
<p>When set to false, the values of locked tracks cannot be changed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"get-and-set-locks\">Get and Set Locks</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LockedTracksMan.SetLocks &lt;boolean&gt;lock &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;index array&gt;subNums &lt;boolean&gt;includeChildren      \n\
\n\
anims is In and Out parameter      \n\
clients is In and Out parameter      \n\
subNums is In and Out parameter   </code></pre><p>Sets the locks of the specified tracks to the Boolean value supplied as first argument.</p>\n\
<p><code>anims</code> is the array of subAnims</p>\n\
<p><code>clients</code> is the array of parent controllers of the subAnims.</p>\n\
<p><code>subNums</code> is the array of indices of the subAnims within their clients&apos; children hierarchies.</p>\n\
<p>When <code>includeChildren</code> is passed as true, children tracks will also be locked/unlocked.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   trackview.open &quot;Trackview&quot; -- open trackview\n\
   --Initialize three arrays to pass to the setLocks() method\n\
   theAnims = #()\n\
   theClients = #()\n\
   theSubNums = #()\n\
   --Loop through all selected tracks in the current TrackView\n\
   for i in 1 to trackviews.current.numSelTracks() do\n\
   (\n\
   --grab the parent of the current selected track\n\
   local theParent = trackviews.current.getParentOfSelected i\n\
   --if the parent is valid,\n\
   if theParent != undefined do\n\
   (\n\
   append theClients theParent --collecttheparrent\n\
   --grab the sub-number of the subAnim relatively to the parent\n\
   local theSubnum = trackviews.current.getSelectedSubNum i\n\
   --get the subAnim track with that index from the parent\n\
   local theSubanim = getsubAnim theParent theSubnum\n\
   append theAnims theSubanim -- collectthe subanim\n\
   append theSubNums theSubnum -- collect the index\n\
   )--end if parent not undefined\n\
   )--end i loop\n\
   --Finally, set the locks of all selected tracks\n\
   lockedTracksMan.setLocks true theAnims theClients theSubNums false\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LockedTracksMan.  ToggleLocks &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;index array&gt;subNums &lt;boolean&gt;includeChildren \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter </code></pre><p>Toggles the locked state of the given subAnims.</p>\n\
<p><code>anims</code> is an array of the SubAnims to toggle.</p>\n\
<p><code>clients</code> is an array of the parents of the SubAnims.</p>\n\
<p><code>subNums</code> is an array of the indices of the SubAnims within the children hierarchy of their parents.</p>\n\
<p>If <code>includeChildren</code> is passed as true, children of the track will also be toggled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LockedTracksMan.GetLocked &lt;maxObject&gt;anim &lt;maxObject&gt;client &lt;index&gt;subNum &lt;boolean&gt;checkOverride </code></pre><p>Returns the locked state of the given track.</p>\n\
<p><code>anim</code> is the subAnim</p>\n\
<p><code>client</code> is the parent controller of the subAnim.</p>\n\
<p><code>subNum</code> is the index of the subAnim within the client&apos;s children hierarchy</p>\n\
<p>If <code>checkOverride</code> is passed as true, the state of the Lock Overrides will also be respected, returning locked tracks as unlocked if an Override is active.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Loop through all selected tracks in the current TrackView\n\
   for i in 1 to trackviews.current.numSelTracks() do\n\
   (\n\
   --grab the parent of the current selected track\n\
   local theParent = trackviews.current.getParentOfSelected i\n\
   --if the parent is valid,\n\
   if theParent != undefined do\n\
   (\n\
   --grab the sub-number of the subAnim relatively to the parent\n\
   local theSubnum = trackviews.current.getSelectedSubNum i\n\
   --get the subAnim track with that index from the parent\n\
   local theSubanim = getsubAnim theParent theSubnum\n\
   --Check if the track is locked, unlocked or locked but overridden\n\
   --and format the information about the track and its locked state:\n\
   if lockedTracksMan.getlocked theSubanim theParent theSubnum true then\n\
   format &quot;LOCKED: % Parent:% Subnum:% \\n&quot; theSubanim theParent theSubnum\n\
   else\n\
   format &quot;Not Locked: % Parent:% Subnum:% \\n&quot; theSubanim theParent theSubnum\n\
   )--end if parent not undefined\n\
   )--end i loop\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UnlockChildren &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;index array&gt;subNums \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter </code></pre><p>Unlocks the children of the specified controllers.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<h2 id=\"checking-locks\">Checking Locks</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LockedTracksMan.IsLockable &lt;maxObject&gt;anim &lt;maxObject&gt;client &lt;index&gt;subNum </code></pre><p>Returns true if the given subAnim can be locked, false if it cannot be locked.</p>\n\
<p><code>anim</code> is the subAnim to check.</p>\n\
<p><code>client</code> is the parent controller of the subAnim to check.</p>\n\
<p><code>subNum</code> is the index of the subAnim within the client&apos;s children hierarchy</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LockedTracksMan.FindLockedAnims &lt;boolean&gt;locked &lt;boolean&gt;checkOverride &lt;maxObject&gt;refTarget &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;index array&gt;subNums \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter </code></pre><p>Returns the tracks with the given locked state.</p>\n\
<p><code>locked</code> is the state to search for - either true or false.</p>\n\
<p><code>checkOverride</code> defined whether to take into account any Overrides or not.</p>\n\
<p><code>refTarget</code> is the root maxObject to scan for locked/unlocked tracks.</p>\n\
<p><code>anims</code> is a by-reference array to populated with the SubAnims</p>\n\
<p><code>clients</code> is a by-reference array to be populated with the parents of the SubAnims</p>\n\
<p><code>subNums</code> is a by-reference array to be populated with the indices of the SubAnims within the children hierarchy of their parents.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box()\n\
   (\n\
   --Find all unlocked tracks of Box01\n\
   Anims = #()\n\
   Clients = #()\n\
   SubNums = #()\n\
   --Collect the unlocked tracks without taking Overrides into account:\n\
   LockedTracksMan.FindLockedAnims false false $Box01 &amp;Anims &amp;Clients &amp;SubNums\n\
\n\
   for i = 1 to Anims.count do\n\
   format &quot;% % %\\n&quot; Anims[i] Clients[i] SubNums[i]\n\
   )\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Controller:Position_Rotation_Scale undefined 1\n\
   Controller:Position_XYZ Controller:Position_Rotation_Scale 1\n\
   Controller:Bezier_Float Controller:Position_XYZ 1\n\
   Controller:Bezier_Float Controller:Position_XYZ 2\n\
   Controller:Bezier_Float Controller:Position_XYZ 3\n\
   Controller:Euler_XYZ Controller:Position_Rotation_Scale 2\n\
   Controller:Bezier_Float Controller:Euler_XYZ 1\n\
   Controller:Bezier_Float Controller:Euler_XYZ 2\n\
   Controller:Bezier_Float Controller:Euler_XYZ 3\n\
   Controller:Bezier_Scale Controller:Position_Rotation_Scale 3\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LockedTracksMan.IsAnimOverrideUnlocked &lt;maxObject&gt;anim </code></pre><p>Returns true if the given subAnim track is unlocked via an Override, false otherwise. It will return true if an Override is active even if the subAnim is not locked.</p>\n\
<h2 id=\"uber-override-stack\">Uber-Override Stack</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LockedTracksMan.PushUberUnLockOverride() </code></pre><p>Pushes an Override on the Uber-Unlock Override stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LockedTracksMan.PopUberUnLockOverride() </code></pre><p>Pops an Override from the Uber-Unlock Override stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LockedTracksMan.GetUberUnLockOverride() </code></pre><p>Returns true if the Uber-Unlock Overrides stack contains any Overrides, false if there are no Overrides on the stack.</p>\n\
<h2 id=\"expose-ui\">Expose UI</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;SetExposedUI &lt;boolean&gt;expose &lt;&amp;maxObject array&gt;anims \n\
\n\
anims is In and Out parameter </code></pre><p>Sets the Exposed UI state of the anims supplied by the second argument to the Boolean value provided by the first argument.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetExposedUI &lt;maxObject&gt;anim </code></pre><p>Returns the Exposed UI state of the controller supplied as argument.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../L.html\">L</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";