var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-724B14D0-06DC-424A-A6FE-8C494579ECA3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: MouseConfigManager</h1></div><p>This Core Interface exposes the <strong>Mouse Configuration Manager</strong> to MAXScript.</p>\n\
<p>It allows the behavior of the mouse within the viewports to be customized and adapted to various user workflows, including the emulation of <strong>Autodesk Maya</strong> mouse controls.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-261CF8C6-5859-4593-9B56-64C2E1359340-low.png\" alt></p>\n\
<p>See also the related <a href=\"./../I-J-K/Interface-IInteractionMode.html\">Interface IInteractionMode</a> which exposes the <strong>Interaction Mode</strong> tab of the <strong>Preference Settings</strong> dialog.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MouseConfigManager.AutoFocusViewportOnKeyPress : boolean : Read|Write</code></pre><p>Get/set the auto-focus viewport on key press behavior.</p>\n\
<p>When set to false (<strong>3ds Max</strong> default), pressing a key while the mouse is over a non-active viewport will not change focus to that viewport.</p>\n\
<p>When set to true (<strong>Maya</strong> default), pressing a keyboard shortcut will automatically switch focus to the viewport the mouse is over.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MouseConfigManager.MayaSelectionMode : boolean : Read|Write</code></pre><p>Get/set the state of the Maya Selection Mode option.</p>\n\
<p>When set to False (default), selection will be performed using the 3ds Max default behavior.</p>\n\
<p>When set to True, the Maya selection behavior will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MouseConfigManager.ArcRotateLocked : boolean : Read|Write</code></pre><p>Get/set the locking of the Orbit (formerly known as Arc Rotate) feature in Orthographic viewports (e.g. Top, Bottom, Front, Back, Left, Right).</p>\n\
<p>When set to False (<strong>3ds Max</strong> default), performing Orbit in an Orthographic viewport will turn it into an Orthographic (a.k.a. User) view.</p>\n\
<p>When set to True (<strong>Maya</strong> default), Orbit cannot be performed in Orthographic viewports, only in viewport already set to Perspective or Orthographic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MouseConfigManager.ZoomAboutMousePointOrthographic : boolean : Read|Write</code></pre><p>Get/set whether to zoom about the mouse point in Orthographic viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MouseConfigManager.ZoomAboutMousePointPerspective : boolean : Read|Write</code></pre><p>Get/set whether to zoom about the mouse point in Perspective viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MouseConfigManager.RightClickMenuOverSelectedOnly : boolean : Read|Write</code></pre><p>Get/set whether to allow the opening of QuadMenus when right-clicking anywhere in the viewport (false, default <strong>3ds Max</strong> behavior),</p>\n\
<p>or only over selected objects (true, default Maya behavior)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MouseConfigManager.MiddleMouseStrokeMode : boolean : Read|Write</code></pre><p>Get/set whether to use the mouse wheel for Strokes or Viewport Pan.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MouseConfigManager.ZoomWheelIncrement : float : Read|Write</code></pre><p>Get/set the zoom increment when using the mouse wheel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MouseConfigManager.ZoomInDirection : enum : Read|Write\n\
\n\
ZoomInDirection enums: {#North|#NorthEast|#East|#SouthEast|#South|#SouthWest|#West|#NorthWest</code></pre><p>Get/set the Zoom In mouse direction.</p>\n\
<p>The <strong>3ds Max</strong> default is <code>#North</code> .</p>\n\
<p>The <strong>Maya</strong> default is <code>#SouthEast</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MouseConfigManager.UserMode : enum : Read|Write \n\
\n\
UserMode enums: {#Max|#Maya|#Customized}</code></pre><p>Get/set the current Use Mode.</p>\n\
<p>Possible mode values are:</p>\n\
<p><code>#Max</code> - all mouse settings match the standard <strong>3ds Max</strong> behavior</p>\n\
<p><code>#Maya</code> - all mouse settings match the standard <strong>Maya</strong> behavior</p>\n\
<p><code>#Customized</code> - the mouse settings have been customized and are a mixture of <strong>3ds Max</strong> and <strong>Maya</strong> behaviors</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MouseConfigManager.GetZoomShortcut &lt;&amp;enum&gt;key &lt;&amp;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
key is Out parameter\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}\n\
button is Out parameter</code></pre><p>Returns the current Viewport Zoom shortcut into the two by-reference arguments.</p>\n\
<p>The first argument provides the keyboard key, the second provides the mouse button.</p>\n\
<p><strong>3ds Max</strong> defaults are <code>#CtrlAlt</code> and <code>#MiddleButton</code> .</p>\n\
<p><strong>Maya</strong> defaults are <code>#Alt</code> and <code>#RightButton</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   MouseConfigManager.GetZoomShortcut &amp;theKey &amp;theButton\n\
   --&gt; OK\n\
   theKey\n\
   --&gt; #CtrlAlt\n\
   theButton\n\
   --&gt; #MiddleButton\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MouseConfigManager.SetZoomShortcut &lt;enum&gt;key &lt;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}    </code></pre><p>Sets the current Viewport Zoom Shortcut to the keyboard key and mouse button specified by the two arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MouseConfigManager.GetPanShortcut &lt;&amp;enum&gt;key &lt;&amp;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
key is Out parameter\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}\n\
button is Out parameter</code></pre><p>Returns the Viewport Pan shortcut into the two by-reference arguments.</p>\n\
<p>The first argument provides the keyboard key, the second provides the mouse button.</p>\n\
<p><strong>3ds Max</strong> defaults are <code>#Null</code> and <code>#MiddleButton</code> .</p>\n\
<p><strong>Maya</strong> defaults are <code>#Alt</code> and <code>#MiddleButton</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MouseConfigManager.SetPanShortcut &lt;enum&gt;key &lt;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}    </code></pre><p>Sets the current Viewport Pan shortcut to the keyboard key and mouse button specified by the two arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MouseConfigManager.GetRotateShortcut &lt;&amp;enum&gt;key &lt;&amp;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
key is Out parameter\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}\n\
button is Out parameter</code></pre><p>Returns the Viewport Rotate shortcut into the two by-reference arguments.</p>\n\
<p>The first argument provides the keyboard key, the second provides the mouse button.</p>\n\
<p><strong>3ds Max</strong> defaults are <code>#Alt</code> and <code>#MiddleButton</code> .</p>\n\
<p><strong>Maya</strong> defaults are <code>#Alt</code> and <code>#LeftButton</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MouseConfigManager.SetRotateShortcut &lt;enum&gt;key &lt;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}    </code></pre><p>Sets the current Viewport Rotate shortcut to the keyboard key and mouse button specified by the two arguments.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../I-J-K/Interface-IInteractionMode.html\">Interface: IInteractionMode</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";