var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0763253E-5392-4078-9B0B-E6CA3ACD32A2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: medit</h1></div><p>The <strong>medit Core Interface</strong> is available for Texture maps and Materials and exposes the Material Editor slots to MAXScript.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;medit.GetCurMtl()      </code></pre><p>This method returns the material currently selected in one of the 24 sample slots of the Material Editor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;medit.SetActiveMtlSlot &lt;index&gt;slot &lt;boolean&gt;forceUpdate   </code></pre><p>This method allows you to set the active material slot, where</p>\n\
<p>The first (index) argument is the material slot index, range from 1 to 24.</p>\n\
<p>The second (boolean) argument controls whether to update the slot contents or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;medit.GetActiveMtlSlot() </code></pre><p>This method returns the index of the active material slot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;medit.PutMtlToMtlEditor &lt;maxObject&gt;mtl &lt;index&gt;slot </code></pre><p>This method allows you to put the specified material to the specified material editor slot, where</p>\n\
<p>The first argument is the material to put in the editor&apos;s slot.</p>\n\
<p>The second argument is the index of the material slot you wish to put the material into.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   MatEditor.Open() --open the material editor.\n\
   theMat = multiMaterial numsubs:5 --create a new material\n\
   medit.PutMtlToMtlEditor theMat 3 --add it to slot 3\n\
   medit.SetActiveMtlSlot 3 true --set slot 3 as the active slot\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;medit.GetTopMtlSlot &lt;index&gt;slot </code></pre><p>This method returns a pointer to the material base from the slot specified by the argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;medit.OkMtlForScene &lt;material&gt;mtl </code></pre><p>Before assigning material to scene, call this method to avoid duplicate names.</p>\n\
<p>Available in <strong>3ds Max 4</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;medit.UpdateMtlEditorBrackets() </code></pre><p>It makes sure the Materials Editor slots correctly reflect which materials are used in the scene, which are used by selected objects, etc. This is used internally for the drag-and-drop of materials to nodes -- there is no reason why a developer should need to call it.</p>\n\
<p>Available in <strong>3ds Max 3</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/Material-Editor-1.html\">Material Editor</a></li>\n\
          <li><a class=\"link\" href=\"../../../../TextureMap-Material/TextureMap-Types/BitmapTexture-TextureMap.html\">BitmapTexture : TextureMap</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";