var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5670F5FB-2426-4898-A659-277D6AFED6D2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: OffsetManager</h1></div><p>The <code>OffsetManager</code> Core Interface exposes methods for creating and managing Offset controllers and Animation Presets. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<h2 id=\"properties-\">Properties:</h2><p>None</p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Animation &gt; Offset Controllers menu</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.addSel()</code></pre><p>Opens the &#x201C;Select Controllers&#x201D; dialog and displays the controllers of the selected objects.</p>\n\
<p>Equivalent to invoking the Main Menu &gt; Animation &gt; Offset Controllers &gt; Add Offset Controllers menu item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.RemoveOffsetControlDlg()</code></pre><p>Opens the &#x201C;Remove Offset Controllers&#x201D; dialog.</p>\n\
<p>Equivalent to selecting the Main Menu &gt; Animation &gt; Offset Controllers &gt; Delete Offset Controllers menu item.</p>\n\
<p><strong>Animation &gt; Presets menu</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.LoadEffectDlg()</code></pre><p>Opens the Load Preset dialog and lets the user assign a Preset to the current selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.PublishLocal &lt;maxObject&gt;modifier &lt;node&gt;template &lt;&amp;node array&gt;nodes</code></pre><p>nodes is In and Out parameter</p>\n\
<p>Applies the Preset controlled by the Preset_Maker Modifier supplied as first argument from the template node specified by the second argument to the by-reference array of nodes supplied by the third argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.RemoveEffectFromNodes &lt;string&gt;name &lt;&amp;node array&gt;nodes</code></pre><p>nodes is In and Out parameter</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.createTemplate()</code></pre><p>Opens the &#x201C;Select Preset Controllers&#x201D; dialog for the currently selected object.</p>\n\
<p>A single object must be selected for the dialog to open.</p>\n\
<p>Equivalent to invoking the Main Menu &gt; Animation &gt; Presets &gt; Create Preset menu item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.RemoveEffectFromDisk &lt;string&gt;name</code></pre><p>Removes the specified named Preset from disk.</p>\n\
<p>Roughly equivalent to opening the Main Menu &gt; Animation &gt; Presets &gt; Remove Preset From Disk menu item, but instead on opening a dialog, it deletes the specified named preset directly.</p>\n\
<p><strong>Modifier &gt; &#x201C;Offset Motion Controls&#x201D; rollout &gt; &#x201C;Offset Order By Distance&#x201D; group of controls</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.OffsetByPos &lt;node&gt;center &lt;node array&gt;nodes &lt;boolean&gt;x &lt;boolean&gt;y &lt;boolean&gt;z</code></pre><p>Applies a new position-based offset to the nodes array passed as second argument starting from the center node given as first argument.</p>\n\
<p>The three Boolean arguments enable distance measurements along the X, Y and Z axes of the center node.</p>\n\
<p>Equivalent to the &#x201C;Set Offset By Distance&#x201D; controls exposed in the Offset modifier&#x2019;s UI.</p>\n\
<p><strong>Modifier &gt; &#x201C;Preset Maker&#x201D; rollout</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.PublishToFile &lt;maxObject&gt;modifier &lt;node&gt;template</code></pre><p>Saves to disk a named Preset using the Preset_Maker modifier specified as first argument, and the template node specified as the second argument.</p>\n\
<p>The name of the preset will be taken from the Preset_Maker modifier&#x2019;s .publishFile property.</p>\n\
<p>Equivalent to pressing the &#x201C;Save Preset&#x201D; button in the &#x201C;Preset Maker&#x201D; rollout of the modifier.</p>\n\
<p><strong>MAXScript-Only Functions</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.LoadEffect &lt;string&gt;name</code></pre><p>Loads from disk a previously saved named Preset and applies it to the current selection.</p>\n\
<p>This is similar to <code>OffsetManager.LoadEffectDlg()</code> but operates on the named Preset directly without opening an interactive dialog.</p>\n\
<p>To get the name of a preset, use the <code>OffsetManager.GetEffectList()</code> method (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.GetEffectList &lt;&amp;string array&gt;names</code></pre><p>names is Out parameter</p>\n\
<p>Returns into the by-reference argument an array of the names of previously saved to disk Preset.</p>\n\
<p>This is similar to <code>OffsetManager.LoadEffectDlg()</code> but returns the names of the Presets as a MAXScript array of strings value instead of opening an interactive dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.ReorderEffect &lt;string&gt;name</code></pre><p>Goes through the offset controllers and resets their Order IDs to their original values.</p>\n\
<p>When offset controllers are first applied, the Order ID is incremented for each controller to determine the order in which the controllers are played back.</p>\n\
<p>The user can modify the Order ID to change the playback order.</p>\n\
<p>This method resets the Order IDs back to the default state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.AddNodeToEffect &lt;string&gt;name &lt;&amp;node array&gt;nodes</code></pre><p>nodes is In and Out parameter</p>\n\
<p>Adds the nodes specified by the by-reference node array as second argument to the named Preset specified by the first string argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OffsetManager.addMenu()</code></pre><p>For Internal use only.</p>\n\
<p><strong>Actions</strong>:</p>\n\
<p>None</p>\n\
<blockquote>\n\
<p>   <strong>Example 1</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   resetMaxFile #noprompt --reset the scene without prompting\n\
   animationRange = interval 0 140 --set the scene time range to 140 frames\n\
   c = cylinder heightsegs:32 height:100 --create a tall cylinder\n\
   copiesArray = for i = 1 to 21 collect --create a few copies\n\
   (\n\
        cc = copy c --copy the original cylinder\n\
        cc.pos = [(i-1)*40,0,0] --move the copy 40 units along X\n\
        cc.wirecolor = green --set the object color to green\n\
        cc --collect the copy in the array\n\
   )\n\
\n\
   b = bend direction:90 --create a Bend modifier rotated at 90 degrees\n\
   addmodifier c b --add the Bend modifier to the cylinder\n\
   with animate on  --enable animation\n\
   (\n\
        at time 15 b.angle = 90 --set Bend Angle to 90 degrees at frame 15\n\
        at time 30 b.angle = 0  --set Bend Angle back to 0 at frame 30\n\
   )\n\
\n\
   select c --select the original cylinder\n\
   OffsetManager.createTemplate() --prompt the user to create a template\n\
   c.modifiers[1].timingUI.perNodeOffset = 5 --set Per Node Delay to 5 frames\n\
\n\
   OffsetManager.PublishLocal c.modifiers[1] c &amp;copiesArray --apply the template to the copies\n\
\n\
   c.modifiers[1].publishFile = &quot;Bend90DegOver30F&quot; --give the preset a name\n\
   OffsetManager.PublishToFile c.modifiers[1] c --and save it to disk for future use\n\
\n\
   delete c --delete the original cylinder\n\
\n\
   OffsetManager.OffsetByPos copiesArray[11] copiesArray true false false --start from the middle\n\
\n\
   max zoomext sel all --zoom extents all\n\
   redrawViews() --redraw the views\n\
   playAnimation() --and play back the animation...\n\
   )</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>Example 2</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   x = box heightsegs:32 height:250 --create a tall box\n\
   copiesArray = for i = 1 to 21 collect --create a few copies\n\
   (\n\
        cx = copy x --copy the original box\n\
        cx.pos = [(i-1)*40,60,0] --move the copy 40 units along X and 60 along Y\n\
        cx.wirecolor = color 200 40 100 --set the object color to pink\n\
        cx --collect the copy\n\
   )    \n\
   delete x --delete the original\n\
   select copiesArray --select the newly created box copies\n\
   OffsetManager.LoadEffect &quot;Bend90DegOver30F&quot; --load the preset saved in Example 1\n\
   max zoomext sel all --zoom extents all\n\
   )</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";