var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-944182FB-8CB4-42DA-A8F6-0A344A055D86\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: OpenEdges</h1></div><p>The <strong>OpenEdges Core Interface</strong> exposes methods for interacting with the Open Edges xView Checker.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>Does not expose any properties.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;OpenEdges.Check &lt;time&gt;time &lt;node&gt;nodeToCheck &lt;&amp;index array&gt;results      \n\
\n\
Check enums: {#Failed|#Vertices|#Edges|#Faces}      \n\
results is In and Out parameter   </code></pre><p>Performs an Open Edges xView check at the given time on the specified node and returns its results in the array passed by-reference as third argument.</p>\n\
<p>The method <strong>always</strong> returns the <code>#edges</code> enum because the values written to the results array by the Open Edges check always represent the indices of open edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;OpenEdges.hasPropertyDlg() </code></pre><p>Returns true if the xView checker implements a property dialog, false if it does not.</p>\n\
<p>In the particular case of the Open Edges checker, it <strong>always returns false</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OpenEdges.showPropertyDlg() </code></pre><p>Shows the property dialog of the xView checker, if implemented.</p>\n\
<p>In the particular case of the Open Edges checker this method <strong>does nothing</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   The following code creates a plane with 5x5 segments, then collapses it to an Editable Poly and deletes some internal polygons in the shape of the letter T, thus creating some more open edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   thePlane = plane width:100 length:100 widthsegs:5 lengthsegs:5\n\
   --&gt; $Plane:Plane01 @ [0.000000,0.000000,0.000000]\n\
   convertTo thePlane Editable_Poly\n\
   --&gt; $Editable_Poly:Plane01 @ [0.000000,0.000000,0.000000]\n\
   polyop.deleteFaces thePlane #{7..9,13,18}\n\
   --&gt; OK\n\
</code></pre><p>   <img src=\"./images/GUID-EEE98B80-0DDB-4116-95E8-69C9C046D57E-low.gif\" alt></p>\n\
<p>   The following call to the OpenEdges.check() method will return the open edges. It does not require the Open Edges Checker to be active in the viewport and can be used in the MAXScript code to acquire the open edges indices into an array or bitarray:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theResults = #() --we need an array to store the results in\n\
   --&gt; #()\n\
\n\
   --We call the method by passing the time to check at,\n\
   --the object to check and the by-reference array to store\n\
   --the results in. The return result of the method itself\n\
   --will be #Edge because the method operates on edges\n\
   --and the content of theResults array should be threated\n\
   --as edge indices:\n\
   resultType = openEdges.Check currentTime thePlane &amp;theResults\n\
   --&gt; #Edges\n\
\n\
   --If we would print out the content of the array variable as bitarray,\n\
   --it will contain the indices of the open edges as bits set to true:\n\
   theResults as bitarray\n\
   --&gt; #{1, 4..5, 7..8, 10..11, 13, 15..17, 19..22, 24..25, 29..30, 34..35, 39..41, 45..47, 49, 51, 53, 55..56}\n\
\n\
   --We can check the number of returned edge indices - it will\n\
   --be the same as the count reported by the Open Edges Checker\n\
   --in the Viewport:\n\
   theResults.count\n\
   --&gt; 32\n\
\n\
   --We could easily select the open edges now:\n\
   polyOp.setEdgeSelection thePlane theResults\n\
   --&gt; OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xView Geometry Checker Access</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";