var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B7285C43-6DDC-4928-A9BD-E79451A809E1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface PRTExport</h1></div><p>The <code>PRTExport</code> interface exposes PRT export functionality for fluids. Note that defaults for the PRT export feature are stored in the 3dsmax.ini file, in the [Fluids] section, and may be directly edited there.</p>\n\
<p>Available in <strong>3ds Max 2018.4 Update and higher</strong>.</p>\n\
<h2 id=\"properties-\">Properties:</h2><p>None</p>\n\
<h2 id=\"methods-\">Methods:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetPRTFileVersion &lt;integer&gt;version</code></pre><p>PRT files have two versions, 1 or 2. 3ds Max supports both, but version 2 is recommended as it provides additional axis orientation information. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetPRTFileVersion()</code></pre><p>Returns the .prt file version in effect: 1 or 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetExportOption &lt;enum&gt;channel &lt;boolean&gt;export\n\
       channel enums: {#position|#density|#velocity|#vorticity|#id|#age|#airDistance|#churn|#curvature|#droplet|#expansionRate|#stictionStrength|#stictionBandwidth|#uv}</code></pre><p>If <code>export</code> is true, the specified <code>channel</code> is exported into the .prt file if it exists in the .bif simulation data. Returns true if successfully set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetExportOption &lt;enum&gt;channel\n\
       channel enums: {#position|#density|#velocity|#vorticity|#id|#age|#airDistance|#churn|#curvature|#droplet|#expansionRate|#stictionStrength|#stictionBandwidth|#uv}</code></pre><p>Returns true if the specified <code>channel</code> is set to export, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetExportName &lt;enum&gt;channel &lt;string&gt;name\n\
       channel enums: {#position|#density|#velocity|#vorticity|#id|#age|#airDistance|#churn|#curvature|#droplet|#expansionRate|#stictionStrength|#stictionBandwidth|#uv}</code></pre><p>Sets the name to use for the given channel in the .prt file. For example, if you want the Bifrost &quot;density&quot; channel to be called &quot;FluidDensity&quot; in the .prt, call:</p>\n\
<p><code>SetExportName #density &quot;FluidDensity&quot;</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetExportName &lt;enum&gt;channel &lt;&amp;string&gt;name\n\
       channel enums: {#position|#density|#velocity|#vorticity|#id|#age|#airDistance|#churn|#curvature|#droplet|#expansionRate|#stictionStrength|#stictionBandwidth|#uv}\n\
       name is Out parameter</code></pre><p>Gets the name used for the specified <code>channel</code>, returned in the <code>name</code> parameter. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ResetSettings()</code></pre><p>Resets the <code>.prt</code> export settings to startup condition; this resets to factory settings then loads the <code>.ini</code> file &quot;Fluids&quot; section settings.</p>\n\
<h2 id=\"actions-\">Actions:</h2><p>None</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";