var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3F1E2379-5CE4-4E2A-AD24-ED5BBE9BFC24\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: PluginPackageManager</h1></div><p>This Core Interface provides MAXScript access to the Plugin Package Manager that handles plug-ins packaged in the Autodesk Bundle format.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This interface was introduced in <strong>3ds Max 2014</strong> as <code>ExchangeStorePackageManager</code>. It was renamed in <strong>3ds Max 2020</strong> to <code>PluginPackageManager</code>. However, a global variable named <code>ExchangeStorePackageManager</code> points to the re-named interface to prevent older scripts from breaking.</div>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetNativePlugInCount()</code></pre><p>Returns the number of native plugins.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetNativePlugInFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed native plugin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetManagedAssemblyCount()</code></pre><p>Returns the number of managed assemblies.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetManagedAssemblyFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed managed assembly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetUISchemeCount()</code></pre><p>Returns the number of UI Schemes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetUISchemeFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed UI Scheme.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetDefaultSettingCount()</code></pre><p>Returns the number of Default Settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetDefaultSettingFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed Default Setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetMaxscriptsCount()</code></pre><p>Returns the number of MAXScripts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetMaxscriptsFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetMacroscriptsCount()</code></pre><p>Returns the number of MacroScripts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetMacroScriptsFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed MacroScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetPostStartUpScriptsCount()</code></pre><p>Returns the number of Startup Scripts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetPostStartUpScriptFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed Startup Script.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetMetaSLShaderPathCount()</code></pre><p>Returns the number of MetaSL Shaders.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetMetaSLShaderFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed MetaSL Shader.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetMiFileCount()</code></pre><p>Returns the number of .mi files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetMiFileFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed .mi file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetLightIconPathsCount()</code></pre><p>Returns the number of light icon paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetLightIconPathFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed light icon path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetDarkIconPathsCount()</code></pre><p>Returns the number of dark icon paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetDarkIconPathFullPath &lt;index&gt;index</code></pre><p>Returns the full file name of the indexed dark icon path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PluginPackageManager.ProcessCustomInstallDirectory &lt;filename&gt;path</code></pre><p>Processes the given custom install directory filepath.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PluginPackageManager.GetPackageInstallPathByUpgradeCode &lt;string&gt;upgradeCode</code></pre><p>Returns the install path associated with the plugin package with the specified <code>upgradeCode</code>. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This function replaces the undocumented <code>pathConfig.GetExchangeStorePlugInInstallPath &lt;string&gt;productCode</code> which used the product code as the key.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetOSLFoldersCount()</code></pre><p>Returns the number of OSL paths.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetOSLFolderFullPath &lt;index&gt;index</code></pre><p>Returns the full OSL path specified by <code>index</code> from the list of OSL paths.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetAMGFoldersCount()</code></pre><p>Returns the number of AMG paths.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetAMGFolderFullPath &lt;index&gt;index</code></pre><p>Returns the full AMG path specified by <code>index</code> from the list of AMG paths.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;PluginPackageManager.GetSceneConverterFoldersCount()</code></pre><p>Returns the number of Scene Converter paths.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;PluginPackageManager.GetSceneConverterFolderFullPath &lt;index&gt;</code></pre><p>Returns the full Scene Converter path specified by <code>index</code> from the list of Scene Converter paths.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";