var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-384D7F6C-C20C-4AE2-A668-DCCFF57CEAD5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: paramPublishMgr</h1></div><p>ParamPublishMgr is a simple tool for adding a Custom Attribute and connecting it to the source parameter. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;paramPublishMgr.start()</code></pre><p>This method will launch the parameter publish UI mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;paramPublishMgr.addParameterBySubNum &lt;maxObject&gt;paramParent &lt;index&gt;paramSubnum</code></pre><p>This method will add a parameter into the ready-to-publish parameter list.</p>\n\
<p>Only publishable parameters will be added successfully, and they will be published when paramPublishMgr.start() is called.</p>\n\
<p>paramParent is the parent of the selected animatable parameter in Track View.</p>\n\
<p>paramSubNum is the index of the selected animatable parameter in Track View.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a Geosphere\n\
   --Open TrackView, select the Radius parameter of the Geosphere\n\
   --Now let&apos;s initiate the Parameter Publishing.\n\
   --Get the paramBlock of the selected parameter:\n\
   anim = trackviews.current.getParentOfSelected 1 \n\
   --&gt;ReferenceTarget:ParamBlock2\n\
   show anim --let&apos;s see what we got - it is the Geosphere&apos;s paramBlock\n\
   --&gt;  .Hemisphere\n\
   --&gt;  .Segments\n\
   --&gt;  .Radius : float\n\
   --&gt;  .Smooth\n\
   --&gt;false\n\
   --Now get the index of the Radius track within the paramBlock:\n\
   subnum = trackviews.current.getSelectedSubNum 1 \n\
   --&gt;3\n\
   --We can now add the parameter using these two values:\n\
   paramPublishMgr.addParameterBySubNum anim subnum \n\
   --&gt;OK\n\
   paramPublishMgr.start() --start the parameter publishing\n\
   --&gt;OK\n\
   --At this point, a dotted line will appear in the viewport \n\
   --Click on the object (e.g. the Geosphere) to add a Custom Attribute\n\
   --and expose the Radius as a CA parameter...\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";