var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2846E2E6-8D13-43A6-AD1D-3BB83A38FDD6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: pluginManager</h1></div><p>The <strong>pluginManager Core Interface</strong> exposes the Plugin Manager to MAXScript.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pluginManager.visible : boolean : Read|Write      </code></pre><p>Show or hide the plug-in manager.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pluginManager.pluginDllCount : integer : Read</code></pre><p>Gets the number of plug-ins loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pluginManager.loadedPluginDllSize : integer : Read</code></pre><p>The cumulative size, in KB, of the loaded plug-ins.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;pluginManager.pluginDllName &lt;index&gt;index\n\
       pluginDllName - no automatic redraw after invoked</code></pre><p>Gets the name of the plug-in at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;pluginManager.pluginDllDirectory &lt;index&gt;index\n\
       pluginDllDirectory - no automatic redraw after invoked</code></pre><p>Gets the full path for the plug-in at the specified index. This is the same as returned by <code>pluginDLLFullPath()</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;pluginManager.pluginDllFullPath &lt;index&gt;index\n\
       pluginDllFullPath - no automatic redraw after invoked</code></pre><p>Gets the full path for the plug-in at the specified index. This is the same path shown under &quot;Full Path&quot; in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;pluginManager.pluginDllSize &lt;index&gt;index\n\
       pluginDllSize - no automatic redraw after invoked</code></pre><p>Gets the size, in KB, of the plug-in at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;pluginManager.isPluginDllLoaded &lt;index&gt;index\n\
       isPluginDllLoaded - no automatic redraw after invoked</code></pre><p>Gets whether the plug-in at the specified index is loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;pluginManager.loadPluginDll &lt;index&gt;index\n\
       loadPluginDll - no automatic redraw after invoked</code></pre><p>Loads the plug-in at the specified index, returning true if the plug-in was successfully loaded, or if it was already loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pluginManager.loadClass &lt;class&gt;class </code></pre><p>Will ensure that the given class is loaded, in the event that it is a deferred loading class, and so any MAXScript methods or Function Published interfaces it publishes will be available.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   pluginManager.loadClass Flex\n\
</code></pre><p>   After this code is executed, all the Flex modifier MAXScript methods are installed and callable. Note this is only needed in situations where a plug-in loading may be deferred and it does not have any instances already in the current scene.</p>\n\
</blockquote>\n\
<p>The Plug-in Manager is also exposed via a GlobalUtilityPlugin class, <code>Plug_in_Manager</code>, that exposes a single method <code>show()</code> to show the Plug-in Manager dialog.</p>\n\
<p><strong>Plug_in_Manager interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: PluginMgrAction </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;show() -- Action Interface </code></pre><p><strong>Actions:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Category: Plugin_Manager; Action: Plugin_Manager; Shortcut: -- none defined -</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";