var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A049E9A7-2A94-4ED9-BD3D-13692CAD027E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: pop</h1></div><p>The <strong>pop Core Interface</strong> exposes the properties and methods related to the set up and simulation of <strong>Populate</strong> systems.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p>The Populate system distinguishes between <strong>Pedestrians</strong> - characters entering, walking along Flows and exiting the scene, and <strong>Idlers</strong> - characters standing or sitting around.</p>\n\
<p>Other than the Idlers, the Pedestrians can be reused - &quot;spawned&quot; in different places at different times. Each animation of a Pedestrian character, from the time it enters a portal to the time it exits a portal, is known as a &#x201C;Spawn&#x201D;.</p>\n\
<p>The Spawning implementation has changed since <strong>3ds Max 2015</strong>. In <strong>3ds Max 2014</strong>, all Pedestrians existed and were animated throughout the entire length of the animation. Although they might have had multiple Spawns, there was no time between Spawns - they only disappeared for a few frames to facilitate motion blur. All Pedestrians were always in the scene, and the same number of Pedestrians existed throughout the animation.</p>\n\
<p>Since <strong>3ds Max 2015</strong>, because the density of Flows can be animated and Portals can be opened and closed, the number of Pedestrians in the scene can vary drastically throughout the length of the animation. A simulation could start with zero density for all portals, and no Pedestrians in the scene, then the density could increase to add a lot of characters to the scene, and then decrease so that when they leave their flow they can&#x2019;t spawn anywhere else.</p>\n\
<p>There are five operations that can be performed on selected Pedestrians: Regenerate, Swap Appearance, Switch Resolution, Delete, and Bake. When performed on a Pedestrian with multiple Spawns, some of these operations will affect only the current Spawn &#x2013; the one which is active at the current frame, and others will affect all Spawns of the selected Pedestrian. The decision how to make the operations work was based on expected users needs, experimentation, and technical reasons. The following table shows how each operation works:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Operation</th>\n\
<th>Effect</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Regenerate</td>\n\
<td>Affects only the <strong>current</strong> Spawn</td>\n\
</tr>\n\
<tr>\n\
<td>Swap Appearance</td>\n\
<td>Affects <strong>all</strong> Spawns</td>\n\
</tr>\n\
<tr>\n\
<td>Switch Resolution</td>\n\
<td>Affects <strong>all</strong> Spawns</td>\n\
</tr>\n\
<tr>\n\
<td>Delete</td>\n\
<td>Affects only the <strong>current</strong> Spawn</td>\n\
</tr>\n\
<tr>\n\
<td>Bake</td>\n\
<td>Affects <strong>all</strong> Spawns</td>\n\
</tr>\n\
</tbody></table>\n\
<p>The scripted methods exposing operations which affect only the current Spawn take <code>&lt;time&gt;</code> as an argument, in order to specify which Spawn should be affected.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pop.DisplayType : enum : Read|Write\n\
       DisplayType enums: {#StickFigure|#CrowdCustom|#CrowdSkin}</code></pre><p>Get/set the Display Type of the characters.</p>\n\
<p>Default is <code>#CrowdSkin</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pop.TurnOpt : enum : Read|Write\n\
       TurnOpt enums: {#hybrid|#maxspeed|#maxdistribution|#mindistance|#none}</code></pre><p>Get/set the Turn Optimization mode.</p>\n\
<p>Default is <code>#hybrid</code> .</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pop.NumFrames : integer : Read|Write</code></pre><p>Get/set the number of frames to simulate.</p>\n\
<p>Default is 300.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pop.RealWorldScale : float : Read|Write</code></pre><p>Get/set the World scale relatively to the current System Units settings.</p>\n\
<p>Default is 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pop.SeatFemalePct : float : Read|Write</code></pre><p>Get/set the percentage of female seats.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pop.SeatMaxTalkDist : float : Read|Write</code></pre><p>Get/set the maximum talking distance when seated.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pop.SeatMaxTalkAngle : float : Read|Write</code></pre><p>Get/set the maximum talking angle when seated.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;pop.NumStandingIdlers()</code></pre><p>Returns the number of standing (not seated) idle characters in the simulation.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;pop.NumSeatedIdlers()</code></pre><p>Returns the number of seated idle characters in the simulation.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;pop.NumPedestrians()</code></pre><p>Returns the number of pedestrian (non-idle) characters in the simulation.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;pop.GetStandingIdler &lt;integer&gt;index</code></pre><p>Returns the node of the indexed standing idle character.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;pop.GetSeatedIdler &lt;integer&gt;index</code></pre><p>Returns the node of the indexed seated idle character.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;pop.GetPedestrian &lt;integer&gt;index</code></pre><p>Returns the node of the indexed pedestrian character.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;pop.AddIdleArea &lt;node&gt;IdleArea</code></pre><p>Adds the specified <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/IdleAreaObj-GeometryClass.html\">IdleAreaObj object</a> to the flow simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;pop.AddFlow &lt;node&gt;Flow</code></pre><p>Adds the specified <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/Flow-GeometryClass.html\">Flow object</a> to the flow simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;pop.AddSeat &lt;node&gt;Seat</code></pre><p>Adds the specified <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/Seat-GeometryClass.html\">Seat object</a> to the flow simulation.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.Simulate()</code></pre><p>Simulates the flow using the current settings.</p>\n\
<p>Equivalent to pressing the <strong>Simulate</strong> icon in the Populate &gt; Simulation panel of the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.ResimulateSelected() </code></pre><p>Resimulate the selected characters.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.RegenerateSelected &lt;time&gt;time</code></pre><p>Regenerates the selected characters at the specified time.</p>\n\
<p>Equivalent to pressing the <strong>Regenerate Selected</strong> icon in the Populate &gt; Simulation panel of the UI.</p>\n\
<p>An argument specifying the time to regenerate at has been added to the existing method.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.DisplayEnv &lt;boolean&gt;show</code></pre><p>When the argument is True, the Environment objects (Flows, IdleAreas) will be displayed.</p>\n\
<p>When the argument is False, the Environment objects will be hidden.</p>\n\
<p>Corresponds to the <strong>Show Environment</strong> toggle icon in the Populate &gt; Display panel of the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.DisplayPeople &lt;boolean&gt;show</code></pre><p>When the argument is True, the characters will be displayed.</p>\n\
<p>When the argument is False, the characters objects will be hidden.</p>\n\
<p>Corresponds to the <strong>Show People</strong> toggle icon in the Populate &gt; Display panel of the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.DisplayMarks &lt;boolean&gt;show</code></pre><p>When the argument is True, displays the marks.</p>\n\
<p>When the argument is False, hides the marks.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.SetSelectedSeatsGender()</code></pre><p>Sets the Gender of the selected seats according to the <code>pop.SeatFemalePct</code> seat gender percentage value.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.ShowAppearanceUI()</code></pre><p>Opens the <strong>&quot;Crowd Style Customization&quot;</strong> dialog.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.SwapSelPeopleAppearance()</code></pre><p>Swaps the appearance of the selected characters.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.DeletePeople()</code></pre><p>Deletes the characters from the simulation.</p>\n\
<p>Equivalent to clicking the <strong>Delete People</strong> icon in the Populate &gt; Display panel of the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.DeleteSelPeople &lt;time&gt;time</code></pre><p>Deletes the selected characters from the simulation at the given time.</p>\n\
<p>Affects the current Spawn only. See the beginning of this page for more info about Spawning.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;pop.SwitchSelPeopleResolution()</code></pre><p>Switches the mesh and texture detail of the selected characters when Textured Skin is active.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.SwitchSelPeoplePos &lt;time&gt;time</code></pre><p>Switches the positions of the selected characters at the given time.</p>\n\
<p>Affects the current Spawn only. See the beginning of this page for more info about Spawning.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.BakeSelPeople()</code></pre><p>Bakes the selected characters to <strong>3ds Max</strong> Skin and Bones.</p>\n\
<p>The animation can be edited and any modifiers can be applied to the mesh. Characters can also be exported via FBX after they are baked.</p>\n\
<p>This functionality is <strong>only available through MAXScript</strong>.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pop.SaveTextureMaps &lt;boolean&gt;save</code></pre><p>When the argument is True, saves the texture maps.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theFlow = Flow() --Create a Flow object\n\
   --&gt; $Flow:Flow001 @ [0.000000,0.000000,0.000000]\n\
   theFlow.AddPoint [0,0,0] --Add some points\n\
   --&gt; true\n\
   theFlow.AddPoint [1000,0,0] \n\
   --&gt; true\n\
   theFlow.AddPoint [15000,500,0] \n\
   --&gt; true\n\
   theFlow.AddPoint [1000,1000,0] \n\
   --&gt; true\n\
\n\
   pop.AddFlow theFlow --Add the Flow to the Populate system\n\
   --&gt; true\n\
   pop.Simulate() --Perform the simulation\n\
   --&gt; OK\n\
   pop.DisplayEnv false --Hide the Flow environment, leaving only the people\n\
   --&gt; OK\n\
   pop.DisplayType = #StickFigure --Switch the character display to stick figures\n\
   --&gt; #StickFigure\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/Flow-GeometryClass.html\">Flow : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/IdleAreaObj-GeometryClass.html\">IdleAreaObj : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/PopCharacter-ReferenceTarget.html\">PopCharacter : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Float-Controllers/Populate-FloatController.html\">Populate : FloatController</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";