var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-860B6BEB-AE3E-4F99-96E9-CCD70DF4B772\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: python</h1></div><p>The <strong>Python Core Interface</strong> exposes the Python engine&apos;s controls to MAXScript. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p>For examples of how to use this interface, see <a href=\"./../../../../../Interaction-with-Other/Executing-Python-from-MAXScript.html\">Executing Python from MAXScript</a></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;python&gt;.Import : value : Read|Write\n\
</code></pre><p>This property points to the <code>Import()</code> function used to import a native Python module for use in MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;python&gt;.Reload : value : Read|Write</code></pre><p>This property points to the <code>Reload()</code> function used to reload a native Python module. This can be useful if the module has become &quot;dirty&quot;, or some members have been re-defined.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;python.Init throwOnError:&lt;boolean&gt; \n\
    Init enums: {#success|#pathError|#argumentError|#initError|#scriptFileError|#executeError\n\
    Init - no automatic redraw after invoked\n\
    throwOnError default value: true</code></pre><p>Initializes the Python engine and returns <code>#success</code> .</p>\n\
<p>If the initialization failed, returns an enum describing the cause of the failure - path error, initialization error, script file error or execution error.</p>\n\
<p>If the optional argument <code>throwOnError:</code> is set to False, no error will be thrown if one is encountered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;python.Execute &lt;string&gt;script fileName:&lt;filename&gt; throwOnError:&lt;boolean&gt; clearUndoBuffer:&lt;boolean&gt; \n\
\n\
    Execute enums: {#success|#pathError|#argumentError|#initError|#scriptFileError|#executeError\n\
    fileName default value: undefined \n\
    throwOnError default value: true \n\
    clearUndoBuffer default value: true</code></pre><p>Executes the Python script specified by the string in the first argument, or, if the optional <code>fileName:</code> argument is provided, executes the specified Python script file.</p>\n\
<p>Returns <code>#success</code> if the execution was successful, or one of the other enums describing the cause of the failure - path error, initialization error, script file error or execution error.</p>\n\
<p>If the optional argument <code>throwOnError:</code> is set to False, no error will be thrown if one is encountered.</p>\n\
<p>If the optional argument <code>clearUndoBuffer:</code> is set to False, the Undo Buffer will not be cleared before execution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;python.ExecuteFile &lt;filename&gt;fileName throwOnError:&lt;boolean&gt; clearUndoBuffer:&lt;boolean&gt; \n\
\n\
    ExecuteFile enums: {#success | #pathError | #initError | #scriptFileError | #executeError} \n\
    throwOnError default value: true \n\
    clearUndoBuffer default value: true</code></pre><p>Executes the Python script file specified by the first argument.</p>\n\
<p>Returns <code>#success</code> if the execution was successful, or one of the other enums describing the cause of the failure - path error, initialization error, script file error or execution error.</p>\n\
<p>If the optional argument <code>throwOnError:</code> is set to False, no error will be thrown if one is encountered.</p>\n\
<p>If the optional argument <code>clearUndoBuffer:</code> is set to False, the Undo Buffer will not be cleared before execution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;python.Import &lt;string&gt;moduleName throwOnError:&lt;boolean&gt;\n\
    throwOnError default value: true</code></pre><p>Imports the specified Python module for use in MAXScript.</p>\n\
<p>If the optional argument <code>throwOnError:</code> is set to False, no error will be thrown if one is encountered.</p>\n\
<p>Available in <strong>3ds Max 2017 and higher</strong></p>\n\
<h3 id=\"example\">Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- import the Python built-in methods and constants\n\
bi = Python.Import &quot;__builtin__&quot;\n\
-- &lt;module &apos;__builtin__&apos; (built-in)&gt;\n\
bi.pow 2 3\n\
-- 8 \n\
-- use Python dictionary type\n\
d = bi.dict one:1 two:2 three:3 -- {u&apos;one&apos;: 1, u&apos;three&apos;: 3, u&apos;two&apos;: 2}\n\
-- {u&apos;one&apos;: 1, u&apos;three&apos;: 3, u&apos;two&apos;: 2} \n\
d[&quot;one&quot;]\n\
-- 1</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;python.Reload &lt;value&gt;module throwOnError:&lt;boolean&gt;\n\
    throwOnError default value: true</code></pre><p>Reloads the specified Python module. This can be useful if a module keyword gets re-defined.</p>\n\
<p>If the optional argument <code>throwOnError:</code> is set to False, no error will be thrown if one is encountered.</p>\n\
<p>Available in <strong>3ds Max 2017 and higher</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;python.GetLastError() </code></pre><p>Returns the last error message as string.</p>\n\
<p>This is especially useful when executing with <code>throwOnError:</code> set to False - if the return value is not <code>#success</code> , you can use this method to display your own error message without throwing an error.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   result = python.Init throwOnError:false\n\
   if result == #success do\n\
   (\n\
       result = python.Execute &quot;print \\&quot;Hello World!\\&quot;&quot; throwOnError:false\n\
   )\n\
   if result != #success then\n\
   (\n\
       format &quot;Python Initialization Failed due to %\\n&quot; (result as string)\n\
       format &quot;ERROR: %\\n&quot; (python.GetLastError())\n\
   )\n\
   else\n\
       format &quot;The Python Execution Was A World-Wide Success!\\n&quot;\n\
   OK\n\
   )\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Hello World!\n\
   The Python Execution Was A World-Wide Success!\n\
   OK\n\
</code></pre><p>   <strong>CHANGE LINE 5 - MISTYPE PRINT AS PRUNT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   result = python.Execute &quot;prunt \\&quot;Hello World!\\&quot;&quot; throwOnError:false\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Python Initialization Failed due to executeError\n\
   ERROR: &lt;type &apos;exceptions.SyntaxError&apos;&gt; invalid syntax (, line 1)\n\
   OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";