var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0426874C-2351-4579-9C48-F80A5FCC3398\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: refhierarchy</h1></div><p>The <strong>refhierarchy Core Interface</strong> provides MAXScript access to the reference hierarchy.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: refhierarchy </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;refhierarchy.IsRefTargetInstanced &lt;maxObject&gt;refTarget   </code></pre><p>This method can be used to find out if an object is instanced (instanced pipeline).</p>\n\
<p>It Checks if the Derived Object is instanced. If it is, the pipeline part below and including that derived object is instanced.</p>\n\
<p>In certain circumstances, objects need to find out whether they are instances or not. Some plugins need this functionality in order to properly interpret the size and position of their ModContext bounding box.</p>\n\
<p>Returns <code>True</code> if the maxObjectis an instance, <code>False</code> otherwise.</p>\n\
<p>If the argument is undefined, it also returns <code>False</code> .</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --see if undefined returns anyting - it returns false:\n\
   refhierarchy.IsRefTargetInstanced undefined\n\
   --&gt; false\n\
\n\
   --create a box - it is not instanced:\n\
   b1 = box()\n\
   --&gt; $Box:Box01 @ [0.000000,0.000000,0.000000]\n\
   refhierarchy.IsRefTargetInstanced b1\n\
   --&gt; false\n\
\n\
   --create an instance of the box:\n\
   b2 = instance b1\n\
   --&gt; $Box:Box02 @ [0.000000,0.000000,0.000000]\n\
   --check the firstbox - it is now an instance\n\
   refhierarchy.IsRefTargetInstanced b1\n\
   --&gt; true\n\
   --as is the second box:\n\
   refhierarchy.IsRefTargetInstanced b2\n\
   --&gt; true\n\
\n\
   --create a bend modifier and see if it is instanced - it is not:\n\
   theMod = Bend()\n\
   --&gt; Bend:Bend\n\
   refhierarchy.IsRefTargetInstanced theMod\n\
   --&gt; false\n\
\n\
   --add the Bend modifier to the one box\n\
   addModifier b1 theMod\n\
   --&gt; OK\n\
   --the modifier is still not instanced:\n\
   refhierarchy.IsRefTargetInstanced theMod\n\
   --&gt; false\n\
\n\
   --now create a sphere and add the same bend modifier to it:\n\
   s1 = sphere()\n\
   --&gt; $Sphere:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   addModifier s1 theMod\n\
   --&gt; OK\n\
   --now the modifier is instanced:\n\
   refhierarchy.IsRefTargetInstanced theMod\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../R.html\">R</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";