var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-63268EE4-CC58-49B1-B94D-A63090DD3EC4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SceneScriptSecurityManager</h1></div><p>New in 3ds Max 2022: This interface exposes some of the functionality of the Safe Scene Script Execution feature. Specifically, this interface supports obtaining information about the state of Safe Scene Script Execution, but not setting any parameters for the feature. For security reasons, the feature can only be controlled through the user interface, command-line and environment variables.</p>\n\
<p>See the <a href=\"https://help.autodesk.com/view/3DSMAX/2022/ENU/?guid=GUID-7D0E9C58-0BA2-4D17-822E-A3962D68A2F1\" target=\"_blank\">Safe Scene Script Execution</a> topic in the 3ds Max User Guide for more information about what these settings mean for scene embedded scripts. See the <a href=\"https://help.autodesk.com/view/3DSMAX/2022/ENU/?guid=GUID-1DA88B14-D7B6-4EA9-A678-4D8061467D64\" target=\"_blank\">Blocked Commands</a> topic for a list of commands that are blocked for each language option (Python, .NET, and MAXScript).</p>\n\
<p>Methods:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;IsSafeSceneScriptExecutionEnabled &lt;enum&gt;setting\n\
       setting enums: {#Current|#Pending}</code></pre><p>Returns true if the Safe Scene Execution feature is enabled for the given <code>setting</code>. The possible values for <code>setting</code> are:</p>\n\
<ul>\n\
<li><code>#Current</code> - returns the setting for the current running session of 3ds Max.</li>\n\
<li><code>#Pending</code> - returns the setting for the next running session of 3ds Max. When a user changes the Safe Scene Script Execution settings, the changes do not take effect until the next time 3ds Max starts, so this setting may be different than the current running session setting.</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;IsSceneScriptExecutionBlocked &lt;enum&gt;feature &lt;enum&gt;setting\n\
       feature enums: {#Python|#DotNet|#MAXScriptSystemCommands}\n\
       setting enums: {#Current|#Pending}</code></pre><p>Returns true if the type of command specified by <code>feature</code> is blocked for the given <code>setting</code>. The possible values for feature are:</p>\n\
<ul>\n\
<li><code>#Python</code> - Gets the setting for Python </li>\n\
<li><code>#DotNet</code> - Gets the setting for dotNet commands</li>\n\
<li><code>#MAXScriptSystemCommands</code> - Gets the setting for MAXScript commands</li>\n\
</ul>\n\
<p>The possible values for <code>setting</code> are:</p>\n\
<ul>\n\
<li><code>#Current</code> - returns the setting for the current running session of 3ds Max.</li>\n\
<li><code>#Pending</code> - returns the setting for the next running session of 3ds Max. When a user changes the Safe Scene Script Execution settings, the changes do not take effect until the next time 3ds Max starts, so this setting may be different than the current running session setting.</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;IsShowSecurityMessagesWindowOnBlockedCommandsEnabled()</code></pre><p>Returns whether the <strong>Notify me about blocked commands</strong> setting is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;IsShowScriptEditorOnBlockedCommandsEnabled()</code></pre><p>Returns whether the <strong>Display script editor on blocked commands</strong> setting is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;IsProtectedINIFile &lt;filename&gt;filename</code></pre><p>Returns whether the specified file is considered a write-protected configuration file, meaning that it cannot be modified or created. </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;IsProtectedFileBasedOnExtension &lt;filename&gt;filename</code></pre><p>Returns whether the specified file is write protected based on its extension, meaning that it cannot be modified or created.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";