var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-226B4FEA-9707-4582-A7FE-34BF142F345F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SkinUtils</h1></div><p>This Core Interface provides access to some Skin-related methods available in <strong>3ds max 6 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;skinUtils.ExtractSkinData &lt;node&gt;node      </code></pre><p>Extracts the skin data from the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;skinUtils.ImportSkinData &lt;node&gt;targetNode &lt;node&gt;sourceNode   </code></pre><p>Transfers the skin data from the specified source node to the specified target node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3 by value&gt;skinUtils.GetBoneBindTM &lt;node&gt;skinNode &lt;node&gt;boneNode </code></pre><p>Transfers the skin data from the specified source node to the specified target node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;skinUtils.SetBoneBindTM &lt;node&gt;skinNode &lt;node&gt;boneNode &lt;matrix3 by value&gt;tm </code></pre><p>Sets the Bone bind transformation for the specified skin and bone nodes to the supplied matrix3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3 by value&gt;skinUtils.GetMeshBindTM &lt;node&gt;skinNode </code></pre><p>Returns the Mesh bind transformation of the specified skin node as a matrix3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;skinUtils.SetMeshBindTM &lt;node&gt;skinNode &lt;matrix3 by value&gt;tm </code></pre><p>Sets the Mesh bind transformation for the specified skin node to the supplied matrix3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3 by value&gt;skinUtils.GetBoneStretchTM &lt;node&gt;skinNode &lt;node&gt;boneNode </code></pre><p>Returns the Bone bind transformation of the specified skin and bone nodes as a matrix3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;skinUtils.SetBoneStretchTM &lt;node&gt;skinNode &lt;node&gt;boneNode &lt;matrix3 by value&gt;tm </code></pre><p>Sets the Bone stretch transformation for the specified skin and bone nodes to the supplied matrix3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;skinUtils.GrowSelection &lt;node&gt;node </code></pre><p>Grows the existing selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;skinUtils.ShrinkSelection &lt;node&gt;node </code></pre><p>Shrinks the existing selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;skinUtils.LoopSelection &lt;node&gt;node </code></pre><p>Selects a loop based on the existing selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;skinUtils.RingSelection &lt;node&gt;node </code></pre><p>Selects a ring based on the existing selection.</p>\n\
<p>The following macroScripts implement the above functions as ActionItems. You can copy them into a new script, evaluate and customize your QuadMenus to have instant access to Skin Selection Grow, Shrink, Loop and Ring functions:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPTS</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript GrowSkinSel category: &quot;SkinUtils&quot; \n\
   ( \n\
     on isVisible return\n\
       selection.count == 1 and classof (modPanel.getCurrentObject()) == Skin \n\
     on execute do skinUtils.GrowSelection $\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript ShrinkSkinSel category:&quot;SkinUtils&quot; \n\
   ( \n\
     on isVisible return\n\
       selection.count == 1 and classof (modPanel.getCurrentObject()) == Skin \n\
     on execute do skinUtils.ShrinkSelection $ \n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript LoopSkinSel category:&quot;SkinUtils&quot;\n\
   ( \n\
     on isVisible return\n\
       selection.count == 1 and classof (modPanel.getCurrentObject()) == Skin \n\
     on execute do skinUtils.LoopSelection $ \n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript RingSkinSel category:&quot;SkinUtils&quot;\n\
   (\n\
     on isVisible return\n\
       selection.count == 1 and classof (modPanel.getCurrentObject()) == Skin \n\
     on execute do skinUtils.RingSelection $\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;skinUtils.ImportSkinDataNoDialog &lt;boolean&gt;matchByName &lt;boolean&gt;removeTargetPrefix &lt;boolean&gt;removeTargetSuffix &lt;boolean&gt;removeSourcePrefix &lt;boolean&gt;removeSourceSuffix &lt;float&gt;threshold &lt;integer&gt;interpolationType </code></pre><p>Imports Skin data without displaying the dialog. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Just like in the Skin Utilities plugin in the UI, the source and the target objects should be selected.</p>\n\
<p>If the matchByName parameter is set to true, the bones will be matched by name (equivalent to pressing the Match By Name button in the dialog). If false, the bones will be matched by index.</p>\n\
<p>Arguments 2 to 5 correspond to the states of the Remove Prefix and Suffix checkboxes in the dialog.</p>\n\
<p>The threshold argument corresponds to the Threshold value in the dialog. This is the nearest neighbor threshold.</p>\n\
<p>The last argument corresponds to the selection of the Interpolation Type drop down list. Possible values are:</p>\n\
<p>0 - Match By Vertex</p>\n\
<p>1 - Match By Face</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\">Skin : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Interfaces/Node-Interfaces-Documentation/Interface-SkinPose.html\">Interface: SkinPose</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Angle-Deformers/Bulge_Angle_Deformer.html\">Bulge_Angle_Deformer : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Angle-Deformers/Joint_Angle_Deformer.html\">Joint_Angle_Deformer : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Angle-Deformers/Morph_Angle_Deformer.html\">Morph_Angle_Deformer : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Modifier-MAXWrapper-and/Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";