var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D62137AE-E500-4B42-983D-E7443E3DFF04\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: StatusPanel</h1></div><p>This Interface provides control over the visibility of the Status Panel. The Status Panel is the area at the bottom of the <strong>3ds Max</strong> UI containing the Mini Listener, system prompt, selection lock, X,Y,Z values, time controls, keying and viewport navigation controls will be visible.</p>\n\
<h2 id=\"interface-statuspanel\">Interface: statusPanel</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">StatusPanel.visible : boolean : Read|Write      </code></pre><p>Get/Set the visible state of the Status Panel. When set to true, the Status Panel will be visible. When set to false, the panel will be hidden.</p>\n\
<p>Using the <code>statusPanel</code> interface&#x2019;s <code>.visible</code> property together with the trackbar and time slider visibility controls, you can achieve a Super-Expert mode with just the viewports and the main menu displayed:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SuperExpertMode category: &quot;MXS Help Examples&quot;\n\
   (\n\
   --get the inverse of the curren visibility state of the time slider:\n\
   state = not(timeslider.isVisible()) \n\
   --set the trackbar visiblity to the new value:\n\
   trackbar.visible = state\n\
   --set the time slider visiblity to the new value:\n\
   timeSlider.setVisible state\n\
   --if true, exit the expert mode, if false, engage it:\n\
   if state then cui.expertModeOff() else cui.expertModeOn()\n\
   --finally, set the status panel visibility:\n\
   statusPanel.visible = state\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Status-Bar-1.html\">Status Bar</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Prompt-Line.html\">Prompt Line</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Coordinate-Display.html\">Coordinate Display</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\">Progress Bar Display</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Status-Bar-Buttons.html\">Status Bar Buttons</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";