var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C8A1C5A5-333C-4BED-86FF-6F02FA53EC6B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: WorkingPivot</h1></div><p>The <strong>WorkingPivot Core Interface</strong> exposes the Working Pivot custom coordinate system feature to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: WorkingPivot </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WorkingPivot.EditMode : boolean : Read|Write   </code></pre><p>When set to <code>true</code> , enters Working Pivot Edit mode and allows you to place the working point interactively using an <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\">Axis_Helper</a> object created internally by the feature.</p>\n\
<p>When set to <code>false</code> , exits Working Pivot Editing and removes the <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\">Axis_Helper</a> object from the scene.</p>\n\
<p>Corresponds to toggling the &quot;Edit Working Pivot&quot; checkbutton in the Working Pivot rollout of the Hierarchy Tab in the Command Panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WorkingPivot.UseMode : boolean : Read|Write </code></pre><p>When set to <code>true</code> , enables the Use Working Pivot mode which switches the reference coordinate system to the matrix defined by the working pivot in Edit mode.</p>\n\
<p>When set to <code>false</code>, Use Working Pivot mode is turned off and the reference coordinate system is switched back to the previous settings.</p>\n\
<p>Corresponds to toggling the &quot;Use Working Pivot&quot; checkbutton in the Working Pivot rollout of the Hierarchy Tab in the Command Panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WorkingPivot.AxisSize : float : Read|Write </code></pre><p>Get/set the size of the<a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\">Axis_Helper</a> object used as Working Pivot.</p>\n\
<p>The size value is either in world units or screen pixels depending on the <strong><code>.AxisConstantScreenSize</code></strong> property.</p>\n\
<p>Not exposed to the <strong>3ds Max</strong> GUI.</p>\n\
<p><img src=\"./images/GUID-249A26AD-B5BA-4C65-ABBE-49AF9D38A002-low.gif\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;WorkingPivot.getTM() </code></pre><p>Returns the transformation matrix of the Working Pivot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;WorkingPivot.setTM &lt;matrix3&gt;tm </code></pre><p>Sets the transformation matrix of the Working Pivot to the given matrix3 value. This can be used to reposition to Working Pivot using MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;WorkingPivot.alignToView() </code></pre><p>Sets the transformation matrix of the Working Pivot to the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;WorkingPivot.resetTMToNode &lt;node&gt;node </code></pre><p>Sets the transformation matrix of the Working Pivot to the transformation matrix of the supplied node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;WorkingPivot.setPlacePivotViewMode &lt;boolean&gt;on &lt;boolean&gt;alignToView </code></pre><p>Controls the state of the Place Pivot To View mode.</p>\n\
<p>If the first argument is true, the Place Pivot To View mode will be enabled.</p>\n\
<p>If the first argument is false, the Place Pivot To View mode will be disabled.</p>\n\
<p>If the second argument is true, the Align To View option will be checked.</p>\n\
<p>If the second argument is false, the Align To View option will be unchecked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkingPivot.getPlacePivotViewMode() </code></pre><p>Returns the state of the Place Pivot To View mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;WorkingPivot.setPlacePivotSurfaceMode &lt;boolean&gt;on &lt;boolean&gt;alignToView </code></pre><p>Controls the state of the Place Pivot To Surface mode.</p>\n\
<p>If the first argument is true, the Place Pivot To Surface mode will be enabled.</p>\n\
<p>If the first argument is false, the Place Pivot To Surface mode will be disabled.</p>\n\
<p>If the second argument is true, the Align To View option will be checked.</p>\n\
<p>If the second argument is false, the Align To View option will be unchecked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkingPivot.getPlacePivotSurfaceMode() </code></pre><p>Returns the state of the Place Pivot To Surface mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkingPivot.getPlacePivotAlignToView() </code></pre><p>Returns the state of the Align To View option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkingPivot.resetPivot() </code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>Resets the working pivot. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../U-V-W-X-Y-Z.html\">U,V,W,X,Y,Z</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\">Axis_Helper : Helper</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";