var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EEF084F8-ADFC-4D1C-82B3-5BE2FAD15BA4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: WorkspaceManager</h1></div><p>The <strong>WorkspaceManager Core Interface</strong> exposes the features of the <strong>Manage Workspaces dialog</strong> to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-F5C9A078-894B-462D-87D1-F3FEBC6FDD62-low.png\" alt>   </p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.CreateNewWorkspace &lt;string&gt;identifier &lt;string&gt;friendlyName</code></pre><p>Creates a new Workspace with identifier string specified by the first argument and a user-friendly name specified by the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;WorkspaceManager.GetWorkspaceCount()</code></pre><p>Returns the number of Workspaces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;WorkspaceManager.GetWorkspaceIdentifier &lt;index&gt;index</code></pre><p>Returns the Identifier of the indexed Workspace.</p>\n\
<p>The index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;WorkspaceManager.GetWorkspaceName &lt;index&gt;index</code></pre><p>Returns the User-friendly Name of the indexed Workspace.</p>\n\
<p>The index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;WorkspaceManager.GetWorkspaceNameWithIdentifier &lt;string&gt;identifier</code></pre><p>Returns the User-friendly Name of the Workspace with the given identifier string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;WorkspaceManager.GetCurrentWorkspaceIdentifier()</code></pre><p>Returns the identified or the current Workspace.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.SetCurrentWorkspaceByIdentifier &lt;string&gt;identifier</code></pre><p>Sets the current Workspace to the one with the given identifier string.</p>\n\
<p>Returns True on of the Workspace was set successfully, False if the identifier does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.DeleteWorkspace &lt;string&gt;identifier</code></pre><p>Deletes the Workspace with the given identifier.</p>\n\
<p>Returns True if the Workspace was deleted successfully, False if the identifier does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;WorkspaceManager.GetWriteDirectory()</code></pre><p>Returns the Workspace storage path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.SetWorkspaceName &lt;index&gt;index &lt;string&gt;name</code></pre><p>Sets the name of the indexed Workspace to the name specified by the second argument.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.SetWorkspaceNameWithIdentifier &lt;string&gt;identifier &lt;string&gt;name</code></pre><p>Sets the identifier string of the indexed Workspace to the name specified by the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.ResetToDefaults &lt;string&gt;identifier</code></pre><p>Resets the Workspace with the specified identifier string to defaults.</p>\n\
<p>Returns True on success, False if the Workspace does not exist.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   format &quot;Workspaces Directory: %\\n&quot; (WorkspaceManager.GetWriteDirectory())\n\
   theCount = WorkspaceManager.GetWorkspaceCount() --get the number of workspaces\n\
   for i = 1 to theCount do --loop through them (one-based!) and print them all\n\
   (\n\
       theID = WorkspaceManager.GetWorkspaceIdentifier i --get the identifier\n\
       theName = WorkspaceManager.GetWorkspaceName i --get the user-friendly name\n\
       format &quot;%: ID:&apos;%&apos; Name:&apos;%&apos; \\n&quot; i theID theName --print the index, the identifier string and the name\n\
   )\n\
   currentID = WorkspaceManager.GetCurrentWorkspaceIdentifier() --get the current workspace&apos;s indentifier\n\
   currentName = WorkspaceManager.GetWorkspaceNameWithIdentifier currentID --get the current name\n\
   WorkspaceManager.CreateNewWorkspace &quot;justtesting&quot; &quot;Testing&quot; --create a new workspace\n\
   WorkspaceManager.SetCurrentWorkspaceByIdentifier &quot;justtesting&quot; --make the new workspace current\n\
   WorkspaceManager.SetCurrentWorkspaceByIdentifier currentID --set the previous workspace as current\n\
   WorkspaceManager.SetWorkspaceName (theCount+1) &quot;ToDelete&quot; --rename the new workspace by index\n\
   WorkspaceManager.SetWorkspaceNameWithIdentifier &quot;justtesting&quot; &quot;NoReally&quot; --rename the new workspace by identifier\n\
   WorkspaceManager.DeleteWorkspace &quot;justtesting&quot; --delete the new workspace by identifier\n\
</code></pre><p>   <strong>LISTENER OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Workspaces Directory: C:\\Users\\YourName\\AppData\\Local\\Autodesk\\3dsMax\\2013 - 64bit\\ENU\\en-US\\UI\\Workspaces\n\
   2\n\
   1: ID:&apos;alternate&apos; Name:&apos;Alternate&apos; \n\
   2: ID:&apos;standard&apos; Name:&apos;Standard&apos; \n\
   &quot;standard&quot;\n\
   &quot;Standard&quot;\n\
   true\n\
   true\n\
   true\n\
   true\n\
   true\n\
   true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.GetRunScript &lt;string&gt;identifier</code></pre><p>Returns the state of the Run Script option for the Workspace with the given identifier.</p>\n\
<p>When it is True, the Entry and Exit Scripts associated with the Workspace will be executed.</p>\n\
<p>When set to False, the scripts will be ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;WorkspaceManager.ToggleRunScript &lt;string&gt;identifier</code></pre><p>Toggles the Run Script option of the Workspace with the given identifier.</p>\n\
<p>This can be used together with <code>WorkspaceManager.GetRunScript</code> to change the state of the option.</p>\n\
<p>For example, to turn the option on, you can check if it is currently set to False and toggle it if it is.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theWS = WorkspaceManager.GetWorkspaceIdentifier 1\n\
   if not (WorkspaceManager.GetRunScript theWS) do WorkspaceManager.ToggleRunScript theWS\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;WorkspaceManager.GetEntryScript &lt;string&gt;identifier</code></pre><p>Returns the filename of the Entry Script associated with the Workspace with the given identifier.</p>\n\
<p>The Entry Script is a MAXScript which is executed when the Workspace is loading.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.SetEntryScript &lt;string&gt;identifier &lt;filename&gt;script</code></pre><p>Associates the Entry Script filename specified by the second argument with the Workspace given by the identifier passed as first argument.</p>\n\
<p>Returns True on success, False if the identifier does not represent an existing Workspace.</p>\n\
<p>Note that this method does not check whether the specified script is valid or even exists at the specified path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;WorkspaceManager.GetExitScript &lt;string&gt;identifier</code></pre><p>Returns the filename of the Exit Script associated with the Workspace with the given identifier.</p>\n\
<p>The Exit Script is a MAXScript that is executed when the Workspace is exiting due to another Workspace being loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.SetExitScript &lt;string&gt;identifier &lt;filename&gt;script</code></pre><p>Associates the Exit Script filename specified by the second argument with the Workspace given by the identifier passed as first argument.</p>\n\
<p>Returns True on success, False if the identifier does not represent an existing Workspace.</p>\n\
<p>Note that this method does not check whether the specified script is valid or even exists at the specified path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;WorkspaceManager.GetAllSubsystemsCount()</code></pre><p>Returns the number of all sub-systems.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;WorkspaceManager.GetSubsystemName &lt;index&gt;index</code></pre><p>Returns the name of the indexed sub-system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.IsSubsystemSaving &lt;string&gt;identifier &lt;string&gt;subSystemIdentifier</code></pre><p>Returns True if the sub-system specified by name by the first argument will be saved when the Workspace with the identifier given by the second argument is saving, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.ToggleSubsystemSaving &lt;string&gt;identifier &lt;string&gt;subSystemIdentifier</code></pre><p>Toggles whether the indexed sub-system specified by the first argument will be saved when the Workspace with the identifier given by the second argument is saving.</p>\n\
<p>Returns the new saving state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WorkspaceManager.IsSystemWorkspace &lt;string&gt;identifier</code></pre><p>Returns True if the Workspace specified by the given identifier is a system workspace, False if it is not.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for w = 1 to WorkspaceManager.GetWorkspaceCount() do\n\
   (\n\
       theWS = WorkspaceManager.GetWorkspaceIdentifier w\n\
       theWSName = WorkspaceManager.GetWorkspaceName w\n\
       isSystem = WorkspaceManager.IsSystemWorkspace theWS\n\
       format &quot;\\n%:% Workspace ID: % | Name:\\&quot;%\\&quot;\\n&quot; w (if isSystem then &quot;SYSTEM&quot; else &quot;Custom&quot;) theWS theWSName\n\
       for i = 1 to WorkspaceManager.GetAllSubsystemsCount() do \n\
       (\n\
           theName = (WorkspaceManager.GetSubsystemName i)\n\
           isSaving = (WorkspaceManager.IsSubsystemSaving theName theWS)\n\
           format &quot;\\t%: % | isSaving:%\\n&quot; i theName isSaving\n\
       )\n\
   )\n\
</code></pre><p>   <strong>SAMPLE OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   1:SYSTEM Workspace ID: Workspace1 | Name:&quot;Workspace: Default&quot;\n\
       1: kMeta | isSaving:false\n\
       2: kCui | isSaving:true\n\
       3: kViewportPresets | isSaving:false\n\
       4: kMenu | isSaving:true\n\
       5: kHotkeys | isSaving:false\n\
       6: kRibbon | isSaving:false\n\
\n\
   2:Custom Workspace ID: Workspace2 | Name:&quot;Alternate Layout&quot;\n\
       1: kMeta | isSaving:false\n\
       2: kCui | isSaving:true\n\
       3: kViewportPresets | isSaving:false\n\
       4: kMenu | isSaving:true\n\
       5: kHotkeys | isSaving:false\n\
       6: kRibbon | isSaving:false\n\
\n\
   3:Custom Workspace ID: Workspace3 | Name:&quot;Viewport Layout Tab Presets&quot;\n\
       1: kMeta | isSaving:false\n\
       2: kCui | isSaving:true\n\
       3: kViewportPresets | isSaving:false\n\
       4: kMenu | isSaving:true\n\
       5: kHotkeys | isSaving:false\n\
       6: kRibbon | isSaving:false\n\
   OK</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../U-V-W-X-Y-Z.html\">U,V,W,X,Y,Z</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";