var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-41FCD8A3-66F8-48EE-82EA-A0D62AEF747D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: IAssembly</h1></div><p>This is a Node Interface providing access to the Assembly head and member related properties of a node.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.assemblyMember : boolean : Read|Write      </code></pre><p>Returns <code>true</code> if the node is an Assembly Member, <code>false</code> if it isn&#x2019;t.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.assemblyHead : boolean : Read|Write   </code></pre><p>Returns <code>true</code> if the node is an Assembly Head, <code>false</code> if it isn&#x2019;t.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.assemblyMemberOpen : boolean : Read|Write </code></pre><p>Returns <code>true</code> if the node is a Member of an open Assembly, <code>false</code> is the Assembly is closed or the node is not a Member of an Assembly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.assemblyHeadOpen : boolean : Read|Write </code></pre><p>Returns <code>true</code> if the node is a Head of an open Assembly, <code>false</code> if the Assembly is closed or the node is not a Head of an Assembly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.assemblyBBoxDisplay : boolean : Read|Write </code></pre><p>Get/set the bounding box display.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- find all top level assembly heads\n\
   for obj in objects do\n\
   if obj.assemblyHead and not obj.isAssemblyMember do\n\
   print obj.name\n\
</code></pre></blockquote>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> While these properties are Read/Write, <strong>setting</strong> these properties can result in <strong>unpredictable behavior</strong>!\n\
Only set these properties if you really know what you are doing!</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Interfaces-Documentation.html\">Node Interfaces Documentation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces/Core-Interfaces-Documentation/A/Interface-assemblyMgr.html\">Interface: assemblyMgr</a></li>\n\
          <li><a class=\"link\" href=\"../Node-Interfaces-1.html\">Node Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";