var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DE30E7CB-EDC3-4EF7-8457-A9F63F6EF60C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: INodeShadingProperties</h1></div><p>The <strong>INodeShadingProperties Node Interface</strong> exposes the node-related viewport shading properties to MAXScript.</p>\n\
<p>Only nodes whose base object is of Light superclass will effectively use these properties, but the property can be set in any node.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: INodeShadingProperties </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">INodeShadingProperties.ViewportIllumination : boolean : Read|Write   </code></pre><p>When set to <code>true</code> (default), enables Viewport Illumination for the node, assuming the base object is a Light and the Viewport Shading mode is set to Best (SM3.0) - see<a href=\"./../../Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">Interface: IViewportShadingMgr</a> on how to enable the advanced shading modes. The Best mode depends on the graphics hardware supporting the SM3.0 shader model.</p>\n\
<p>On hardware that supports only SM2.0, the Good mode performs old-style vertex lighting only and does not support per-pixel lighting.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   IViewportShadingMgr.ShadingLimits= #Best --enable shadows\n\
   $Spot01.on = true --make sure the light is on\n\
   $Spot01.ViewportIllumination = true --display illumination\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-F15D72BA-EFE7-4859-9EE5-05FCE69E0CBA-low.gif\" alt></p>\n\
<p>When set to <code>false</code> , Viewport Illumination is turned off for the node.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   ``$Spot01.ViewportIllumination = false --<code>display illumination</code></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-FE2D5F88-403F-4E2D-8FBB-D875096175BE-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">INodeShadingProperties.ViewportShadowCasting : boolean : Read|Write </code></pre><p>When set to <code>true</code> , enables Viewport Shadow Casting for the node, provided the base object is a Light and Shadow Casting is turned on in the light&apos;s base object using <code>&lt;light&gt;.baseobject.castShadows = true</code>. (Remember, <code>.castShadows</code> is also a node property and requires explicit access in the baseobject to affect the shadow casting of the light).</p>\n\
<p>To see the shadows in the viewport, the Viewport Shading has to be set to Good (SM2.0) or Best (SM3.0) - see <a href=\"./../../Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">Interface: IViewportShadingMgr</a> on how to enable the advanced shading modes.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   IViewportShadingMgr.ShadingLimits = #Best --enable shadows\n\
   $Spot01.baseobject.castshadows = true --enable shadows in Spot01\n\
   $Spot01.ViewportShadowCasting = true --display shadows ofSpot01\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-A95F4B80-0BE9-4CE2-871C-919A376E0556-low.gif\" alt></p>\n\
<p>When set to <code>false</code> ,Viewport Shadow Casting is turned off for the node.</p>\n\
<p>Since <strong>3ds Max 2010</strong>, this property defaults to true, thus automatically enabling viewport shadow casting for any light that has its base object shadows turned on. In <strong>3ds Max 2008</strong> and <strong>2009</strong>, the property was set to false by default.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Spot01.ViewportShadowCasting = false\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-F15D72BA-EFE7-4859-9EE5-05FCE69E0CBA-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">INodeShadingProperties.LockedViewportIllumination : boolean : Read|Write </code></pre><p>When set to <code>true</code> , locks the Viewport Illumination for the node</p>\n\
<p>When set to <code>false</code> (default), Viewport Illumination is unlocked for this node.</p>\n\
<p>When the <a href=\"./../../Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">Interface: IViewportShadingMgr</a> <code>.AutoDisplaySelLights</code> property is set to <code>true</code> , lights that are not selected will not illuminate the scene.</p>\n\
<p>By setting the <code>.LockedViewportIllumination</code> property to <code>true</code> , a light node can be locked to keep on illuminating the scene even after it has been deselected.</p>\n\
<p>See <a href=\"./../../Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">Interface: IViewportShadingMgr</a> for methods to quickly lock and unlock multiple lights. The <strong>3ds Max QuadMenus</strong> provide menu items to call these methods on the selected lights:</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Interfaces-Documentation.html\">Node Interfaces Documentation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">Interface: IViewportShadingMgr</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\">Viewport Shading Settings</a></li>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportSSB.html\">Interface: ViewportSSB</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";