var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-78D32F5B-1805-4134-A923-60E541C984AD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>getInterface Function</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getInterface {&lt;MAXWrapper&gt; | &lt;MAXClass&gt;} &lt;InterfaceNameString&gt;      </code></pre><p><code>getInterface</code> returns the interface specified by the <code>&lt;InterfaceNameString&gt;</code>, or <code>undefined</code> if the interface does not exist.</p>\n\
<p>If the first argument is a node, the node-level interfaces for that node are returned.</p>\n\
<p>If you want the interfaces for the node&apos;s base object, you need to specify <code>&lt;node&gt;.baseobject</code> as the argument.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s=sphere()\n\
   --&gt; $Sphere:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   theAInterface = getInterface s &quot;IAssembly&quot;\n\
   --&gt; &lt;MixinInterface:IAssembly&gt;\n\
   converttopoly s\n\
   --&gt; $Editable_Poly:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   theEPInterface = getInterface s &quot;EditablePoly&quot;\n\
   --&gt; undefined\n\
   theEPInterface = getInterface s.baseobject &quot;EditablePoly&quot;\n\
   --&gt; &lt;MixinInterface:EditablePoly&gt;\n\
</code></pre></blockquote>\n\
<p>If the argument is a MAXClass, only static interfaces for that class are returned.</p>\n\
<p>Typically, only utility plugin classes define static interfaces.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getInterface Plug_in_Manager &quot;PluginMgrAction&quot;\n\
   &lt;Interface:PluginMgrAction&gt;\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"GetInterfaces-Interface.html\">GetInterfaces Interface Inspector</a></li>\n\
          <li><a class=\"link\" href=\"../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></li>\n\
          <li><a class=\"link\" href=\"Other-Interfaces/Other-Interfaces-1.html\">Other Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";