var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-367D9339-35CF-4950-9132-65A8C9AC42B9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ICATControlFPInterface</h1></div><p>Exposed by various components of <strong>3ds Max CAT</strong>.</p>\n\
<p>This interface was called <strong>CATControlInterface</strong> in <strong>3ds Max 2011</strong> and <strong>3ds Max 2012</strong>.</p>\n\
<p>Available under the new name in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"interface-icatcontrolfpinterface\">Interface:ICATControlFPInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CATParent : node : Read      </code></pre><p>Contains the CATParent node of the CATRig.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Name : String by value : Read|Write   </code></pre><p>Get/set the name of the Controller.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PasteLayer &lt;control&gt;source &lt;integer&gt;fromindex &lt;integer&gt;toindex &lt;boolean&gt;instance </code></pre><p>Performs a Paste Layer operation from the Source controller specified as the first argument and pasting the range specified by the second and third arguments.</p>\n\
<p>The fourth Boolean argument controls whether the pasted layer will be instanced (true) or an independent copy (false).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PasteRig &lt;maxObject&gt;source &lt;boolean&gt;mirrordata </code></pre><p>Performs a Paste Rig operation from the object specified as the first argument.</p>\n\
<p>The second Boolean argument controls whether the pasted rig data will be mirrored.</p>\n\
<p>In <strong>3ds Max 2013 and higher</strong>, returns True on success, False on failure.</p>\n\
<p>In <strong>3ds Max 2015</strong>, the first argument&apos;s signature was changed from <code>&lt;control&gt;</code> to <code>&lt;maxObject&gt;</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SaveClip &lt;String&gt;filename &lt;time&gt;StartTime &lt;time&gt;EndTime </code></pre><p>Saves a Clip to the file name specified by the first argument.</p>\n\
<p>The second and third arguments provide the time range to save.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;LoadClip &lt;String&gt;filename &lt;time&gt;time &lt;boolean&gt;mirrordata </code></pre><p>Loads a Clip from the file name specified by the first argument.</p>\n\
<p>The second argument specifies the start time of the clip.</p>\n\
<p>The third Boolean argument controls whether the loaded data will be mirrored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SavePose &lt;String&gt;filename </code></pre><p>Saves a Pose to the file name specified by the first argument.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;LoadPose &lt;String&gt;filename &lt;time&gt;time &lt;boolean&gt;mirrordata </code></pre><p>Loads a Pose from the file name specified by the first argument.</p>\n\
<p>The second argument specifies the time to load the pose at.</p>\n\
<p>The third Boolean argument controls whether the loaded data will be mirrored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CollapsePoseToCurLayer() </code></pre><p>Collapses the Pose to the current layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CollapseTimeRangeToCurrLayer &lt;time&gt;StartTime &lt;time&gt;EndTime &lt;time&gt;Frequency </code></pre><p>Collapses the Time Range specified by the first and second arguments to the current layer using the third argument as the sampling rate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ResetTransforms() </code></pre><p>Resets the Transformations of the Controller.</p>\n\
<p><strong>Exposed by</strong></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\">ArbBone : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\">CATBoneData : FloatController</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATBoneSegTrans.html\">CATBoneSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATCollarBone-Matrix3Controller.html\">CATCollarBone : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATDigitSegTrans.html\">CATDigitSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATFootTrans2-Matrix3Controller.html\">CATFootTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">CATLimbData2 : FloatController</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/CATSpineData2-ReferenceTarget.html\">CATSpineData2 : FloatController</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATSpineTrans2-Matrix3Controller.html\">CATSpineTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/DigitData-ReferenceTarget.html\">DigitData : FloatController</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\">HubTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/IKTargTrans-Matrix3Controller.html\">IKTargTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/PalmTrans-Matrix3Controller.html\">PalmTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Objects/TailData2-ReferenceTarget.html\">TailData2 : ReferenceTarget</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\">TailTrans : Matrix3Controller</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";