var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A2663EFC-8DBE-4F18-9327-C1AFF6019BA1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Access To CAT Layers</h1></div><p>The following page provides an overview of the CAT layer controllers and interfaces exposure to MAXScript.</p>\n\
<h2 id=\"layerroot-controller\">LayerRoot Controller</h2><p>The <a href=\"CAT-Objects/CATParent-Helper.html\">CATParent Helper Object</a> holds a controller called the <a href=\"CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\">LayerRoot</a> in its .layers property which manages all the layers in the character.</p>\n\
<p>The <a href=\"CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\">LayerRoot</a> holds an array of <a href=\"CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\">LayerInfo</a> controllers which contain information relevant to each layer, such as the layer name, global weight and timewarp curve.</p>\n\
<p><strong>LayerRootFPInterface</strong></p>\n\
<p>The <a href=\"CAT-Interfaces/Interface-LayerRootFPInterface.html\">LayerRootFPInterface</a> exposes all the layer manipulations to MAXScript and is available on every layer controller, the CATParent and the <a href=\"CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\">LayerRoot controller</a>.</p>\n\
<p>Many controllers expose the <a href=\"CAT-Interfaces/Interface-LayerRootFPInterface.html\">LayerRootFPInterface</a>, and function calls made to a <a href=\"CAT-Interfaces/Interface-LayerRootFPInterface.html\">LayerRootFPInterface</a> are passed directly on to the <a href=\"CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\">LayerRoot controller</a>.</p>\n\
<p>In other words, the <a href=\"CAT-Interfaces/Interface-LayerRootFPInterface.html\">LayerRootFPInterface</a> is exposed on multiple controllers in the character hierarchy simply for the convenience of the user.</p>\n\
<h2 id=\"layerinfo\">LayerInfo</h2><p>As mentioned above, the <a href=\"CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\">LayerRoot Controller</a> holds an array of <a href=\"CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\">LayerInfo Controllers</a>.</p>\n\
<p>Each <a href=\"CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\">LayerInfo Controller</a> holds the properties for a layer in the layer stack.</p>\n\
<p><strong>SubAnims</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.weights: float</code></pre><p>The weights subanim found on the LayerInfo controller is the global weights controller for this layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.timewarp: float</code></pre><p>Provides access to the layer time warp controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.transform: transform</code></pre><p>Contains the transform controller for the Transform node.</p>\n\
<p>The <a href=\"CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\">LayerInfo</a> controller exposes the <a href=\"CAT-Interfaces/Interface-LayerInfoFPInterface.html\">LayerInfoFPInterface</a> Function Publishing Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SelectedLayer: integer : Read|Write</code></pre><p>Returns the currently selected layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SoloLayer: integer : Read|Write</code></pre><p>Returns the index of the solo layer, or -1 if no layer is soloed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-3ds-Max.html\">MAXScript Extensions for 3ds Max CAT</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";