var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A7CB37DD-5852-4C55-8C38-3335C56F9D01\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Access To CATRigs</h1></div><p>The following page provides an overview of the various major components of the <strong>3ds Max CAT</strong> animation system, their Function Publishing Interfaces, and possible MAXScript access approaches.</p>\n\
<h2 id=\"catparent\">CATParent</h2><p>The <a href=\"CAT-Objects/CATParent-Helper.html\">CATParent Helper Object</a> stores the common shared information about a character rig including the name of the rig and the [<a href=\"CAT-Objects/About-CATUnit-Ratio.html\">CATUnits Ratio</a>] value.</p>\n\
<p>It also holds the layers system details including the name of each layer and its global weight.</p>\n\
<p>It provides some useful arrays listing all controllers and all nodes used in the rig for fast iterations through all components using MAXScript.</p>\n\
<p>The <a href=\"CAT-Objects/CATParent-Helper.html\">CATParent</a> exposes the following two Function Publishing Interfaces:</p>\n\
<p><a href=\"CAT-Interfaces/Interface-CATParentFPInterface.html\">Interface: CATParentFPInterface</a></p>\n\
<p><a href=\"CAT-Interfaces/Interface-LayerRootFPInterface.html\">Interface: LayerRootFPInterface</a></p>\n\
<p>To create a new character using a pre-saved Rig file, you can simply create a new <a href=\"CAT-Objects/CATParent-Helper.html\">CATParent Helper</a> and call the <code>LoadRig()</code> function of the <a href=\"CAT-Interfaces/Interface-CATParentFPInterface.html\">CATParentFPInterface</a>:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theParent = CATParent()--create a new CATrig parent:\n\
   $Object:Character001 @ [0.000000,0.000000,0.000000]\n\
   theParent.LoadRig (GetDir #plugcfg +&quot;\\\\CAT\\\\CATRigs\\\\Marine\\\\Marine.rg3&quot;)\n\
   true\n\
   theParent--note that loading a rig deletes the original parent!\n\
    &lt;Deleted scene node&gt;\n\
</code></pre></blockquote>\n\
<h2 id=\"catcontrol\">CATControl</h2><p><strong>3ds Max CAT</strong> can be described as a hierarchy of controllers and nodes. Each bone is represented by a controller (CATControl) managing the bone&apos;s behavior, animation and functionality, and a CATBone scene object used mainly for display, Skin Deformations, and rendering.</p>\n\
<p>Every bone controller in the CATRig structure exposes the <a href=\"CAT-Interfaces/Interface-ICATControlFPInterface.html\">CATControlInterface</a>. This means that every bone can return the <a href=\"CAT-Objects/CATParent-Helper.html\">CATParent</a> and a name and can be used to save or load clip files or paste a layer.</p>\n\
<p>You can use the <code>.CATPatent</code> property exposed by the <a href=\"CAT-Interfaces/Interface-ICATControlFPInterface.html\">CATControlInterface</a> to access the <a href=\"CAT-Objects/CATParent-Helper.html\">CATParent</a> from any CATBone. For example, if you have a pointer to a finger or an arm bone, you can easily find out the CATParent and perform all the loading, saving, and layer operations using it.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theParent = CATParent()--create a new CATrig parent:\n\
   --&gt; $Object:Character001 @ [0.000000,0.000000,0.000000]\n\
   rig_path = GetDir #maxroot + &quot;\\\\plugcfg_ln\\\\CAT\\\\CATRigs\\\\Marine\\\\Marine.rg3&quot;\n\
   theParent.loadRig rig_path\n\
   --&gt; true\n\
   theParent--note that loading a rig deletes the original parent.\n\
   --&gt;&lt;Deleted scene node&gt;\n\
</code></pre></blockquote>\n\
<p>Each bone controller also exposes the <a href=\"CAT-Interfaces/Interface-17.html\">CATNodeControlFPInterface</a> interface that provides properties and methods related to arbitrary bones management, transformation matrix access in various coordinate systems, ans so on.</p>\n\
<p>The <a href=\"CAT-Interfaces/Interface-ExtraRigNodesInterface.html\">ExtraRigNodesInterface</a> lets you add and remove extra rig nodes and access the array of extra rig nodes.</p>\n\
<p>You can always access the corresponding scene node of a bone controller by using its <code>.node</code> property:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   If you select a bone that has extra bones added to it such as, a head bone that has facial bones, you can use the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theHeadCtrl =$MarineHead[3]--get the Head&apos;s controller:\n\
   theArbBone = theHeadCtrl.GetArbBone 1--get its first arbitrary bone:\n\
   theArbBone.node--get the scene node of that bone:\n\
</code></pre><p>   You will now have the node of the first extra bone that is attached to the head bone.</p>\n\
</blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Internally, an &quot;Extra&quot; bone is called an &quot;Arb&quot; (shot for &quot;Arbitrary&quot;) bone.</p>\n\
<p>An <a href=\"CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\">ArbBone</a> has no predefined use, unlike digit, limb, spine, or tail bones that provide respective built-in behavior to simulate fingers, arms, legs, spines, and tails.</p>\n\
<h2 id=\"hubs\">Hubs</h2><p>The Hub is a special bone where multiple specialized bone groups such as, limbs, spines, and tails can be connected to the rig.</p>\n\
<p>The Hub bone exposes a unique <a href=\"CAT-Interfaces/Interface-HubFPInterface.html\">HubFPInterface</a> for features available only to Hubs. This includes the adding of spines, arms, legs, and tails.</p>\n\
<h2 id=\"limbs\">Limbs</h2><p>Limbs are bones dedicated to the creation of arms and legs.</p>\n\
<p>All Limb Bone controllers expose the following Interfaces:</p>\n\
<p><a href=\"CAT-Interfaces/Interface-LimbFPInterface.html\">Interface: LimbFPInterface</a></p>\n\
<p><a href=\"CAT-Interfaces/Interface-ICATControlFPInterface.html\">Interface: CATControlInterface</a></p>\n\
<h2 id=\"tails\">Tails</h2><p>Tail bone controllers are dedicated to the creation of tails.</p>\n\
<p>The <a href=\"CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\">TailTrans controller</a> exposes the following Interfaces:</p>\n\
<p><a href=\"CAT-Interfaces/Interface-ICATControlFPInterface.html\">Interface: CATControlInterface</a></p>\n\
<p><a href=\"CAT-Interfaces/Interface-17.html\">Interface: CATNodeControlFPInterface</a></p>\n\
<p><a href=\"CAT-Interfaces/Interface-ExtraRigNodesInterface.html\">Interface: ExtraRigNodesInterface</a></p>\n\
<h2 id=\"catobjects\">CATObjects</h2><p>All CATBones use a CATObject to display their geometry in the viewport.</p>\n\
<p>The CATObject exposes the <a href=\"CAT-Interfaces/Interface-CATObjectFPInterface.html\">CATObjectFPInterface</a> that provides control over the custom mesh display.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-3ds-Max.html\">MAXScript Extensions for 3ds Max CAT</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";