var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-27F1FA0A-F2CF-4FD5-BD76-EA9953F3D794\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Using MAXScript in Script Actions</h1></div><p><strong>Particle Flow provides the following Script Actions:</strong></p>\n\
<p><a href=\"./../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script : Helper</a></p>\n\
<p><a href=\"./../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator : Helper</a></p>\n\
<p><a href=\"./../Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test : Helper</a></p>\n\
<p>These Actions can be used to give birth to particles, manipulate their properties, and test properties against user-defined values.</p>\n\
<p><strong>Handlers:</strong></p>\n\
<p>All Script Actions implement four handlers to specify the channels used, perform initialization tasks, proceed, and perform cleanup works.</p>\n\
<p>These handlers are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on ChannelsUsed pCont do ...</code></pre><p>Defines the channels to be made available to the script. The list of all possible channels is available under <a href=\"./../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">Interface: MaxscriptParticleContainer</a>.</p>\n\
<p>The parameter passed to the handler contains the Particle Container the script is applied to.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useTime = true--enable the Time channel\n\
   pCont.useSpeed = true--enable the Speed channel\n\
   pCont.useInteger = true--enable the Integer channel\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on Init pCont do ... </code></pre><p>This hander is called when the Action is being initialized. It can be used to perform preparation tasks like defining variables, creating (limited) additional geometry, and so on.</p>\n\
<p>For examples about implementing the Init handler, see <a href=\"./../Particle-Flow-Script-Examples/Birth-Scripts/Fragmentation-Sample-Script.html\">Fragmentation Sample Script</a> and <a href=\"./../Particle-Flow-Script-Examples/Script-Operators/Metaball-Sample-Script.html\">Metaball Sample Script</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on Proceed pCont do... </code></pre><p>The Proceed handler is called whenever the Action is evaluated. The handler contains the main script applied to the Particles. In this handler, each particle can be modified by accessing its various properties. For a list of all properties and methods available inside the <strong>on Proceed</strong> handler, see <a href=\"./../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">Interface: MaxscriptParticleContainer</a>.</p>\n\
<p>The parameter pCont passed to the handler contains the Particle Container the script is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on Release pCont do ... </code></pre><p>The Release handler is called when the Action is released. It can be used to do cleanup work, but is typically empty.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-in-Script-Actions.html\">MAXScript in Script Actions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Script-Examples/Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">Interface: MaxscriptParticleContainer</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";