var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6B3E167C-FDBA-46ED-AC97-1163807FED83\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Condition : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Condition - superclass: ReferenceTarget; super-superclass:MAXWrapper - 29:0 - classID: #(1137313552, 554188032) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Condition</strong> Particle Data View sub-operator creates boolean data by testing scalar data.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Condition...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Type     Integer    default: 1   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Input Type&quot;</strong> drop-down list.</p>\n\
<p>It defines the type of the values to be compared in the condition.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Angle</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Percent</strong></p>\n\
<p>4 - <strong>Time</strong></p>\n\
<p>5 - <strong>World Unit</strong></p>\n\
<h2 id=\"output-true-if-input-value\">Output True If Input Value</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Condition_Type_Int     Integer    default: 1   --  integer</code></pre><p>Get/set the selection of the condition drop-down list when the Input Type value is of type Integer.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Is Less Than Value A</strong></p>\n\
<p>1 - <strong>Is Greater Than Value A</strong> (default)</p>\n\
<p>2 - <strong>Is Equal To Value A</strong></p>\n\
<p>3 - <strong>Is Not Equal To Value A</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Condition_Type_Real     Integer    default: 1   --  integer</code></pre><p>Get/set the selection of the condition drop-down list when the Input Type value is of type Real.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Is Less Than Value A</strong></p>\n\
<p>1 - <strong>Is Greater Than Value A</strong> (default)</p>\n\
<h3 id=\"value-a\">Value A</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Angle_A     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Float_A     Float    default: 0.0   --  animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Integer_A     Integer    default: 0   --  animatable; integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Percent_A     Float    default: 0.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Time_A     Integer    default: 0   --  animatable; integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.World_A     Float    default: 0.0   --  animatable; worldUnits</code></pre><p>Get/set the Value A depending on the type specified by the <code>.Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Use_Input_As_A     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;R2&quot;</strong>, <strong>&quot;I2&quot;</strong> or <strong>&quot;T2&quot;</strong> checkbox which enables the use of the second Input socket, depending on the value of the <code>.Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Use_Second_Condition     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the second condition&apos;s checkbox. The UI label <strong>&quot;And|Or Less|Greater Than Value B&quot;</strong> depends on the first condition and the value type.</p>\n\
<h3 id=\"value-b\">Value B</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Angle_B     Float    default: 90.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Float_B     Float    default: 10.0   --  animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Integer_B     Integer    default: 10   --  animatable; integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Percent_B     Float    default: 50.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Time_B     Integer    default: 4800   --  animatable; integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.World_B     Float    default: 10.0   --  animatable; worldUnits</code></pre><p>Get/set the Value B depending on the type specified by the <code>.Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Use_Input_As_B     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;R3&quot;</strong>, <strong>&quot;I3&quot;</strong> or <strong>&quot;T3&quot;</strong> checkbox which enables the use of the second Input socket, depending on the value of the <code>.Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Use_As_Acceleration     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use As Acceleration Value&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Use_As_Speed_Or_Spin_Rate     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use As Speed Value</strong> or <strong>&quot;Use As Spin Rate&quot;</strong> checkbox, depending on <code>.Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Units_Per_Type     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick</strong></p>\n\
<p>1 - <strong>Frame</strong></p>\n\
<p>2 - <strong>Second</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Angle_As_Orientation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Angle As Orientation&quot;</strong> checkbox.</p>\n\
<h2 id=\"parameters-animation-sync-group-of-controls\">Parameters Animation Sync group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Sync_Type     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the selection of the <strong>&quot;Parameters Animation Sync&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Particle Lifespan</strong></p>\n\
<p>3 - <strong>Event Duration</strong></p>\n\
<p>4 - <strong>Time Data Input</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Use_E4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the first Input socket, representing the condition&apos;s value to test.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the second Input socket, representing the Value A to compare to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the third Input socket, representing the optional Value B to compare to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the fourth Input socket, representing the sub-operator&apos;s time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Condition&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter Input of the Condition sub-operator.</p>\n\
<h2 id=\"condition-interfaces-\">Condition interfaces:</h2><p><strong>The following common interface is exposed by the Condition Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";