var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D24C8B2A-163E-4A24-B7AC-64793B9239B6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Vector : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Vector - superclass: ReferenceTarget; super-superclass:MAXWrapper - 44:0 - classID: #(1137313548,554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Vector</strong> Particle Data View sub-operator generates data of vector type.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Vector...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Type     Integer    default: 1   --  integer</code></pre><p>Possible values are:</p>\n\
<p>0 - <strong>Float Triplet</strong></p>\n\
<p>1 - <strong>Cartesian Coordinates</strong> (default)</p>\n\
<p>2 - <strong>Spherical Polar Coords</strong></p>\n\
<p>3 - <strong>Cylindrical Polar Coords</strong></p>\n\
<p>4 - <strong>Percent Triplet</strong></p>\n\
<p>5 - <strong>Euler Triplet</strong></p>\n\
<p>6 - <strong>Roll, Pitch, and Yaw</strong></p>\n\
<h2 id=\"float-triplet-controls\">Float Triplet controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Float_X     Float    default: 1.0   --  animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Float_Y     Float    default: 1.0   --  animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Float_Z     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the X, Y and Z component of the Float Triplet.</p>\n\
<p>Used when <code>.Type</code> is set to 0 - <strong>Float Triplet</strong></p>\n\
<h2 id=\"coordinates-triplet-controls\">Coordinates Triplet controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Coord_X     Float    default: 1.0   --  animatable; worldUnits</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Coord_Y     Float    default: 0.0   --  animatable; worldUnits</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Coord_Z     Float    default: 0.0   --  animatable; worldUnits</code></pre><p>Get/set the <strong>&quot;X/Abscissa&quot;</strong>, <strong>&quot;Y/Ordinate&quot;</strong> and <strong>&quot;Z/Altitude&quot;</strong> component of the Coordinates Triplet.</p>\n\
<p>Used when <code>.Type</code> is set to 1 - <strong>Cartesian Coordinates</strong>.</p>\n\
<h2 id=\"spherical-cylindrical-polar-coords-controls\">Spherical/Cylindrical Polar Coords controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.radius     Float    default: 1.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Radius&quot;</strong> spinner used when <code>.Type</code> is set to 2 - <strong>Spherical Polar Coords</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Axial_Radius     Float    default: 1.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Axial Radius&quot;</strong> spinner used when <code>.Type</code> is set to 3 - <strong>Cylindrical Polar Coords</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Bearing     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><p>Get/set the value of the <strong>&quot;Bearing&quot;</strong> spinner used when <code>.Type</code> is set to 2 - <strong>Spherical Polar Coords</strong> or 3 - <strong>Cylindrical Polar Coords</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Latitude     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><p>Get/set the value of the <strong>&quot;Latitude&quot;</strong> spinner used when <code>.Type</code> is set to 2 - <strong>Spherical Polar Coords</strong>.</p>\n\
<h2 id=\"percent-triplet-controls\">Percent Triplet controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Percent_X     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Percent_Y     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Percent_Z     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Get/set the values of <strong>&quot;X&quot;</strong>, <strong>&quot;Y&quot;</strong> and <strong>&quot;Z&quot;</strong> spinners used when <code>.Type</code> is set to 4- <strong>Percent Triplet</strong>.</p>\n\
<h2 id=\"euler-angles-controls\">Euler Angles controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Angle_X     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Angle_Y     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Angle_Z     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><p>Get/set the values of <strong>&quot;X&quot;</strong>, <strong>&quot;Y&quot;</strong> and <strong>&quot;Z&quot;</strong> spinners used when <code>.Type</code> is set to 5 - <strong>Euler Triplet</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_E1     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E1&quot;</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_E2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E2&quot;</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_E3     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E3&quot;</strong> checkbutton.</p>\n\
<h2 id=\"variation-group-of-controls\">Variation group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_Length_Variation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the Use Variation checkbox.</p>\n\
<p>The label and use of this parameter depends on the current Type settings:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Type</th>\n\
<th>UI Label</th>\n\
<th>Property Used For Value</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Float Triplet</td>\n\
<td>Offset Max</td>\n\
<td>Float_Variation</td>\n\
</tr>\n\
<tr>\n\
<td>Cartesian Coordinates</td>\n\
<td>Length</td>\n\
<td>Length_Variation</td>\n\
</tr>\n\
<tr>\n\
<td>Spherical Polar Coords</td>\n\
<td>Length</td>\n\
<td>Length_Variation</td>\n\
</tr>\n\
<tr>\n\
<td>Cylindrical Polar Coords</td>\n\
<td>Length</td>\n\
<td>Length_Variation</td>\n\
</tr>\n\
<tr>\n\
<td>Percent Triplet</td>\n\
<td>Offset Max</td>\n\
<td>Percent_Variation</td>\n\
</tr>\n\
<tr>\n\
<td>Euler Angles</td>\n\
<td>Offset Max</td>\n\
<td>Angle_Variation</td>\n\
</tr>\n\
<tr>\n\
<td>Roll, Pitch, and Yaw</td>\n\
<td>Offset Max</td>\n\
<td>Angle_Variation</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Length_Variation     Float    default: 1.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the Float <strong>&quot;Length&quot;</strong> spinner. See the table above for the cases where <code>.Length_Variation</code> is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Angle_Variation     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><p>Get/set the value of the Angle <strong>&quot;Offset Max&quot;</strong> spinner. See the table above for the cases where <code>.Angle_Variation</code> is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Float_Variation     Float    default: 0.0   --  animatable; float</code></pre><p>Get/set the value of the Float <strong>&quot;Offset Max&quot;</strong> spinner. See the table above for the cases where <code>.Float_Variation</code> is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Percent_Variation     Float    default: 0.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Get/set the value of the Percent <strong>&quot;Offset Max&quot;</strong> spinner. See the table above for the cases where <code>.Percent_Variation</code> is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_E4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_Divergence     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Divergence&quot;</strong> checkbox used when <code>.Type</code> is set to 1, 2 or 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Divergence     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><p>Get/set the value of the <strong>&quot;Divergence&quot;</strong> spinner used when <strong><code>.Use_Divergence</code></strong> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_E5     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E5&quot;</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_As_Acceleration     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use As Acceleration Value&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_As_Speed_Value     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use As Speed Value&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Units_Per_Type     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list.</p>\n\
<p>Possible value are:</p>\n\
<p>0 - <strong>Tick</strong></p>\n\
<p>1 - <strong>Frame</strong></p>\n\
<p>2 - <strong>Second</strong> (default)</p>\n\
<h2 id=\"parameters-animation-sync-group-of-controls\">Parameters Animation Sync group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Sync_Type     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the selection of the <strong>&quot;Parameters Animation Sync&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Particle Lifespan</strong></p>\n\
<p>3 - <strong>Event Duration</strong></p>\n\
<p>4 - <strong>Time Data Input</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_E6     BooleanClass    default: false   --  boolean; Use_E3</code></pre><p>Get/set the state of the <strong>&quot;E6&quot;</strong> checkbutton.</p>\n\
<h2 id=\"uniqueness\">Uniqueness</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Random_Seed     Integer    default: 78154   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Use_E7     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E7&quot;</strong> checkbutton.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Input_6     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Input_7     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operators connected to the corresponding Input sockets of the Vector sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter socket of the Vector sub-operator.</p>\n\
<h2 id=\"vector-interfaces-\">Vector interfaces:</h2><p><strong>The following common interface is exposed by the Vector Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";