var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-53A128C1-A857-4FCA-8B1A-D428F93723D2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BirthStream : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BirthStream - superclass: helper; super-superclass:node - 14:0 - classID: #(1935830531, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>BirthStream</strong> operator generates a stream if non-overlapping particles and defines their position and speed properties.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BirthStream...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Emit_Start     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Emit Start&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Emit_Stop     Integer    default: 4800   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Emit Stop&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Rate     Float    default: 60.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Rate&quot;</strong> spinner.</p>\n\
<p>It defines the emission rate per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Separation     Float    default: 1.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Separation&quot;</strong> spinner.</p>\n\
<p>It defines the minimum distance in world units between newly born particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Delay_Birth_If_Overlap     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Delay Birth If Overlap&quot;</strong> checkbox.</p>\n\
<p>When set to True, the birth of the particle may be delayed to avoid overlapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Speed     Float    default: 300.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Speed&quot;</strong> spinner.</p>\n\
<p>Defines the initial speed of the particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Inherit_Icon_Movement     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Inherit Icon Movement&quot;</strong> checkbox.</p>\n\
<p>When set to True, the particle will inherit the speed of the icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Multiplier     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0); </code></pre><p>Get/set the value of the <strong>&quot;Multiplier %&quot;</strong> spinner.</p>\n\
<p>When <code>.Inherit_Icon_Movement</code> is set to True, controls the percentage of the icon&apos;s speed to inherit.</p>\n\
<h2 id=\"stream-source-icon-group-of-controls\">Stream Source Icon group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Icon_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the &quot;Stream Source Icon&quot; type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Rectangle</strong> (default)</p>\n\
<p>1 - <strong>Ellipse</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Icon_Length     Float    default: 10.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Lenght&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Icon_Width     Float    default: 10.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Color_Type     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Color Coordinated&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Random_Seed     Integer    default: 45325   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthStream&gt;.Max_Attempts     Integer    default: 100   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Max Attempts&quot;</strong> spinner.</p>\n\
<h2 id=\"birthstream-interfaces-\">BirthStream interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the BirthStream Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-and-Death.html\">Birth and Death</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";