var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-992E353E-A05A-4394-B635-D59DAE394C0A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Birth_Group : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Birth_Group - superclass: helper; super-superclass:node - 11:0 - classID: #(1935830530,515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Birth_Group</strong> operator generates particles from a set of reference objects and places them exactly as defined by the reference objects.</p>\n\
<p>The shape, mapping and materials are copied from the reference objects to the particles.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Birth_Group...\n\
BirthGroup...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.Emit_Time Integer default:0 -- integer</code></pre><p>Get/Set the value of the <strong>&quot;Emit Time&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.Particle_Objects ArrayParameter default: #() -- node array</code></pre><p>Get/Set the reference objects array. Corresponds to the <strong>&quot;Particle Objects&quot;</strong> listbox and related UI controls.</p>\n\
<p>See also the <code>UpdateParticlesFromObjects()</code> method documented in the end of this topic. It forces an update of the particles from the current states of the reference objects.</p>\n\
<h2 id=\"separate-particles-for-group-of-controls\">Separate Particles For group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.Split_By_Group_Members BooleanClass default: false -- boolean</code></pre><p>Get/Set the state of the <strong>&quot;Group Members&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.Split_By_Children BooleanClass default: false -- boolean</code></pre><p>Get/Set the state of the <strong>&quot;Object And Children&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.Split_By_Elements BooleanClass default: false -- boolean</code></pre><p>Get/Set the state of the <strong>&quot;Object Elements&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.Acquire_Shapes BooleanClass default: true -- boolean</code></pre><p>Get/Set the state of the <strong>&quot;Acquire Shapes&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.Acquire_Mapping BooleanClass default: true -- boolean</code></pre><p>Get/Set the state of the <strong>&quot;Acquire Mapping&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.Acquire_Material BooleanClass default: true -- boolean</code></pre><p>Get/Set the state of the <strong>&quot;Acquire Material&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.SubMtl_ID_Offset Integer default: 0 -- integer</code></pre><p>Get/Set the value of the <strong>&quot;Sub-Mtl ID Offset&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.Handles_To_Report ArrayParameter default: #(1828010099, 536368280, 259726508, 502820967) -- int array</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Group&gt;.Report_Node_Handles Integer default: 1 -- integer</code></pre><h2 id=\"birth_group-interfaces-\">Birth_Group interfaces:</h2><p><strong>Interface: BirthGroup</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Birth_Group&gt;.UpdateParticlesFromObjects()</code></pre><p>Calling this method corresponds to pressing the <strong>&quot;Update Particles From Objects&quot;</strong> button in the UI. It updates the particles from the current state of the reference objects.</p>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the Birth_Group Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-and-Death.html\">Birth and Death</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Birth-Helper.html\">Birth : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Birth_Script-Helper.html\">Birth_Script : Helper</a></li>\n\
          <li><a class=\"link\" href=\"DeleteParticles-Helper.html\">DeleteParticles : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";