var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-57085ED4-6AB0-4882-BE83-DF75587B88A6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Camera_Culling : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Camera_Culling - superclass: helper; super-superclass:node - 13:0 - classID: #(1509449989, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Camera_Culling</strong> operator reduces geometry load at render time by filtering out all particles outside the camera frustum.</p>\n\
<p>The operator can be used as a Group Selection tool defined by camera view frustum.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Camera_Culling...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Use_Active_Camera     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use Active Camera&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the current view/render camera will be used.</p>\n\
<p>When set the False, the Camera object specified by the <strong><code>.Camera</code></strong> property will be used instead, regardless of the current view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Camera     UndefinedClass    default: undefined   --  node; !error setting value!</code></pre><p>Get/set the Camera to use for culling when the property <code>.Use_Active_Camera</code> is set to False.</p>\n\
<h2 id=\"clipping-planes-group-of-controls\">Clipping Planes group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Use_Camera_Clipping_Planes     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use Camera Clip. Planes&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Use_Near_Clip     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Near Clip&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Near_Clip_Distance     Float    default: 1.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Near Clip&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Use_Far_Clip     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Far Clip&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Far_Clip_Distance     Float    default: 1000.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Far Clip&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Culling_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Cull By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Particle Pivot</strong> (default)</p>\n\
<p>1 - <strong>Bounding Sphere</strong></p>\n\
<h2 id=\"camera-view-frustum-culling-group-of-controls\">Camera View Frustum Culling group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Render_Culling     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the &quot;Render&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Viewport_Culling     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the &quot;Viewport&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Use_For_Group_Selection     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use For Group Selection&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Selection_Type     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the Selection Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Inside Camera Frustum</strong> (default)</p>\n\
<p>1 - <strong>Outside Camera Frustum</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Culling&gt;.Subframe_Precision     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Subframe Precision&quot;</strong> checkbox.</p>\n\
<h2 id=\"camera_culling-interfaces-\">Camera_Culling interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the Camera_Culling Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-groupSelection.html\">Interface: groupSelection</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other.html\">Other</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";