var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8EF8B1F2-B734-400A-B7BC-F63568C6582D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Shape_Instance : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Shape_Instance - superclass: helper super-superclass:node - classID: #(1962490639, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p><strong>Shape_Instance</strong> lets you use any geometry object in the scene as particles. You can effectively define only one particle shape per event, but using tests you can split the particle stream into any number of branches and define a different particle shape for each. You can also use combined objects as particle geometry and specify that <strong>Particle Flow</strong> is to use a separate member of the group for each particle.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Shape_Instance... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Group_Members Boolean default:false </code></pre><p>When set to True, group members are treated as separate particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Object_And_Children Boolean default:false </code></pre><p>When set to True, linked objects are treated as separate particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Object_Elements Boolean default:false </code></pre><p>When set to True, element sub-objects of a single mesh object are treated as separate particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Set_Scale Boolean default:true </code></pre><p>When set to True, the Scale value will be applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Scale_Value Float default:100 --percentage </code></pre><p>Specifies a uniform scaling factor for all particles. Range is from 0 to 100000.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Variation Float default:0.0 --percentage </code></pre><p>Specifies a randomized percentage of scaling variation. Use the Uniqueness setting to change the randomization. Range is from 0 to 100.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Acquire_Mapping Boolean default:true </code></pre><p>When set to True, all mapping data from the reference object is transferred to particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Acquire_Material Boolean default:true </code></pre><p>When set to True, material data from the reference object is transferred to particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Random_Shape Boolean default:false </code></pre><p>When set to True, assigns shapes to particles in random order.</p>\n\
<p>When set to False, <strong>Particle Flow</strong> emits each shape in the multi-shape object as a single particle, in the order of the shape&apos;s X coordinate.</p>\n\
<p>In other words, the shape with the lowest X-axis coordinate is emitted first, then the one with the next highest, and so on.</p>\n\
<p>The option is used only if at least one of the following is set to True: <strong><code>.Group_Members</code>, <code>.Object_And_Children</code>, <code>.Object_Elements</code></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Animated_Shape Boolean default:false </code></pre><p>When set to True, particles use any animation in the reference object, including cyclic animation applied with the Parameter Curve Out-of-Range Types controls.</p>\n\
<p>When False, the particles are not animated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Acquire_Shape Boolean default:false </code></pre><p>When set to True, <strong>Particle Flow</strong> acquires the particle shape from the reference object as each particle enters the event.</p>\n\
<p>Thus, if the reference object is animated, particles that enter at different times get different shapes. However, these shapes are not animated.</p>\n\
<p>When set to False, the shape is acquired from frame 0.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This option is available only when <strong>Animated Shape</strong> is <strong>off</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Sync_Type Integer default:0 </code></pre><p>Lets you choose how to synchronize reference-object animation with the particles.</p>\n\
<p>0: <strong>Absolute Time</strong> (default) - all particles have the same shape at any given time moment.</p>\n\
<p>1: <strong>Particle Age</strong> - Animation of the reference object is synchronized with particle age: Frame 0 of the reference-object animation corresponds to the frame of each particle&apos;s birth.</p>\n\
<p>2: <strong>Event Start</strong> - Frame 0 of the reference-object animation corresponds to the moment the particle enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Add_Random_Offset Boolean default:false </code></pre><p>When set to True, randomly varies the start of each particle&apos;s animation. Use the numeric setting to specify the number of frames by which the animation start can vary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Random_Offset Integer default:4800 </code></pre><p>When set to True, randomly varies the start of each particle&apos;s animation. Use the numeric setting to specify the number of frames by which the animation start can vary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Instance&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"shape_instance-interfaces-\">Shape_Instance Interfaces:</h2><p><strong>The following Interfaces are exposed by the Shape_Instance Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shape.html\">Shape</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Shape_Facing-Helper.html\">Shape_Facing : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Shape_Mark-Helper.html\">Shape_Mark : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";