var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4206501B-B7FA-4B48-88F0-F7F092ADFA06\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Shape_Mark : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Shape_Mark - superclass: helper super-superclass:node - classID: #(1962490640, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>Use the <strong>Shape_Mark</strong> operator to replace each particle with either rectangle or a box cut out from the particle geometry with an image mapped onto it. The image can be animated and the animation can be synchronized with particle events.</p>\n\
<p>A typical application of <strong>Shape_Mark</strong> would be to leave marks after particles impact objects in the scene. For example, you could use it to leave scorch marks after a torpedo hits a boat and explodes.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Shape_Mark... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Contact_Object Node default:undefined </code></pre><p>Get/Set the Contact Object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Surface_Animation Boolean default:false </code></pre><p>When set to True, <strong>Shape_Mark</strong> takes into account surface changes due to vertex animation of the Contact object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Align_To Integer default:0 </code></pre><p>Controls the state of the <strong>Align To</strong> drop-down list in the UI. Depending on the <strong>Shape</strong> setting, <strong>Shape_Mark</strong> creates either a rectangle or a box cutout on the Contact geometry. The Orientation setting specifies how the shape is oriented. In the mark&apos;s local coordinate system, the X axis is Length, the Y axis is Width, and with the box cutout, Z is height. The Z axis is perpendicular to the surface of the object at the contact point.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Speed</strong> - The Length direction is parallel to the projection of the particles&apos; speed vector onto the contact plane.</p>\n\
<p>1: <strong>Particle X/Y/Z</strong> - The Length direction is parallel to the projection of the particle&apos;s local coordinate axis X, Y, or Z, respectively, as the particle moves towards the contact object.</p>\n\
<p>2: <strong>Random</strong> - Uses a random Length direction in the contact plane.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Divergence Float default:0.0 </code></pre><p>Applies a range of random variation, in degrees, to the orientation of the Length direction. Unavailable when using the <strong>2 : Random</strong> option for <strong>Align_To</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Size_Space Integer default:0 </code></pre><p>Corresponds to the Size group radio buttons. Possible values are:</p>\n\
<p>0: <strong>In World Space</strong> - Sets the absolute size in system units, using the World coordinate system.</p>\n\
<p>1: <strong>In Local Space</strong> - Sets the mark size relative to the existing particle size, in local space. The software uses the dimensions of the existing shape to determine the size of the <em>facing rectangle</em>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Width Float default:1.0 --world units </code></pre><p>When <code>.Size_Space</code> is set to <strong>0 : In World Space</strong>, sets the particles Width in system units. Range is from 0 to 1000000000</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Length Float default:1.0 --world units </code></pre><p>When <code>.Size_Space</code> is set to <strong>0 : In World Space</strong>, sets the particles Length in system units. Range is from 0 to 1000000000</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Inherited_Scale Float  default: 100.0 -- percent </code></pre><p>Sets the percentage of the mark size relative to the existing particle size. Range is from 0 to 100.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Variation Float default:0.0 --percent </code></pre><p>Sets the percentage by which particle size can vary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Angle_Distortion Boolean default:false </code></pre><p>When set to <strong>true</strong>, increases the <strong>Length</strong> value of the mark according to the particle&apos;s angle of approach.</p>\n\
<p>This effectively stretches the mark shape if particle approaches the contact geometry at a low angle.</p>\n\
<p>Available only when <strong>Align_To</strong> is set to <strong>0 : Speed</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Max_Distortion Float default:1000.0 --percent </code></pre><p>Sets the maximum percentage by which the software may stretch the mark.</p>\n\
<p>Available only when <code>.Angle_Distortion</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Mark_Type Integer default:0 </code></pre><p>These settings let you specify the mark-making object as a rectangle or a box.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Rectangle</strong> - The mark shape is a two-faced rectangle.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>When using a material with Shape Mark, always choose this option.</p>\n\
<p>1: <strong>Box Intersection</strong> - With this option, the software creates a box for each particle that leaves a mark, and derives the mark shape from a Boolean intersection between the Contact object and the box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Height Float default:10.0 --world units </code></pre><p>Sets the height of the box used with the Box Intersection method.</p>\n\
<p>Used only when <code>.Mark_Type</code> is set to <strong>1 : Box Intersection</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Multi_Elements Boolean default:false </code></pre><p>When set to True, particles can leave marks on all parts of Contact objects that contain multiple elements.</p>\n\
<p>When set to False, a particle marks only the first element it collides with.</p>\n\
<p>Available only when <code>.Mark_Type</code> is set to <strong>1 : Box Intersection</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Pivot_Offset Float default:0.0 --percentage </code></pre><p>Shifts the position of the shape mark along its length dimension with respect to the pivot of the impacting particle.</p>\n\
<p>Range is from -50.0 to 50.0.</p>\n\
<p>By default, the center of the mark&apos;s length dimension coincides with the point where the particle&apos;s pivot strikes the Contact object.</p>\n\
<p>This setting lets you offset the mark&apos;s position to anywhere along its length.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The Width dimension and the Box Intersection&apos;s height dimension are always centered at the intersection of the particle pivot and the Contact object&apos;s surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Surface_Offset Float default:0.001 --world units </code></pre><p>Specifies the height of the shape mark above the Contact object&apos;s surface.</p>\n\
<p>The mark is slightly elevated above the contact geometry to achieve the visual effect of the mark spot overlapping the contact geometry.</p>\n\
<p>This parameter is <strong>not animatable</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Surface_Offset_Variation Float default: 0.0 -- world units </code></pre><p>Specifies the surface offset variation value in world units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Vertex_Noise Float default: 0.0 -- world units </code></pre><p>Specifies the vertex noise value in world units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Continuous_Update Boolean default:false </code></pre><p>When set to True, the shape of the mark is recalculated at each frame, according to the current positions of the particle and the contact surface.</p>\n\
<p>This option can consume a great amount of CPU time.</p>\n\
<p>Available only when <code>.Mark_Type</code> is set to <strong>1 : Box Intersection</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Generate_Mapping_Coords Boolean default:true </code></pre><p>When set to True, allows correct application of the shape mark when using a mapped material.</p>\n\
<p>When not using a mapped material, you can save memory by setting it to False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shape_Mark&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies the randomization value.</p>\n\
<h2 id=\"shape_mark-interfaces-\">Shape_Mark Interfaces:</h2><p><strong>The following Interfaces are exposed by the Shape_Mark Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shape.html\">Shape</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Shape_Facing-Helper.html\">Shape_Facing : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Shape_Instance-Helper.html\">Shape_Instance : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";