var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BA9FF18B-4988-4D6B-9C59-010FBD8BC021\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Position_Icon : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Position_Icon - superclass: helper super-superclass:node - classID: #(1962490631, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Position_Icon</strong> operator can be used to control the initial placement of particles on the emitter. You can set the emitter to emit particles from its surface, volume, edges, vertices, or center. And, if you animate the emitter, you can cause its motion to be imparted to the particles it emits.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Position_Icon... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Position_Icon&gt;.Lock_On_Emitter Boolean default:false </code></pre><p>When set to True, causes all particles to remain at their initial positions on the emitter. In effect, they&apos;re <em>glued</em> to the emitter. When set to False, each particle&apos;s birth position is determined by the emitter&apos;s current location.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Position_Icon&gt;.Inherit_Emitter_Movement Boolean default:false </code></pre><p>When set to True, the software sets each particle&apos;s rate and direction of motion to that of the emitter at the time of birth. When off, the emitter movement doesn&apos;t affect that of the particles. Used only when <code>.Lock_On_Emitter</code> is set to <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Position_Icon&gt;.Multiplier Float default:100.0 --percentage </code></pre><p>Determines the percentage to which particles inherit the emitter&apos;s motion. Used only when <code>.Inherit_Emitter_Movement</code> is set to <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Position_Icon&gt;.Location Integer default:4 </code></pre><p>Controls the selection of the Location drop-down list in the UI.</p>\n\
<p>0: <strong>Pivot</strong> - Emits particles from the center of the icon.</p>\n\
<p>1: <strong>Vertices</strong> - For the Box and Rectangle icon types, emits particles from the corners of the icon. For the Sphere icon type, emits particles from the six intersections of the three circles that define the sphere. For the Circle icon type, emits particles from the center.</p>\n\
<p>2: <strong>Edges</strong> - Emits particles from random points along the edges of the icon.</p>\n\
<p>3: <strong>Surface</strong> - Emits particles from random points on the surface of the icon.</p>\n\
<p>4: <strong>Volume</strong> - Emits particles from random points within the volume of the icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Position_Icon&gt;.Distinct_Points_Only Boolean default:false </code></pre><p>Limits emission to a specific number of points defined by the <code>.Total_Distinct_Points</code> value on the specified <code>.Location</code> type.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Emission points are still randomized; change the <code>.Random_Seed</code> value to alter these.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Position_Icon&gt;.Total_Distinct_Points Integer default:10 </code></pre><p>Sets the number of emission points. Used only when <code>Distinct_Points_Only</code> is set to <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Position_Icon&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Position_Icon&gt;.Subframe_Sampling BooleanClass default: false -- boolean </code></pre><p>Controls the state of the &quot;Subframe Sampling&quot; checkbox in the UI. When set to <code>true</code> , Subframe Sampling will be performed.</p>\n\
<h2 id=\"position_icon-interfaces-\">Position_Icon Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Transforms.html\">Transforms</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";