var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2A081610-34D4-4AA9-8D8A-A13B8D1AEADD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Spin : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Spin - superclass: helper super-superclass:node - classID: #(1962490634, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Spin</strong> operator gives an angular velocity to particles in an event, with optional random variation. Spin is applied once per event per particle, except when using the Speed Space Follow option; however, the settings can be animated.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Spin... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spin&gt;.SpinRate Float default:360.0 --angle </code></pre><p>The rate of revolution in degrees per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spin&gt;.Variation Float default:0.0 --angle </code></pre><p>The maximum amount, in degrees per second, by which the spin rate can vary. The actual variation is calculated once, at random, for each particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spin&gt;.Direction Integer default:0 </code></pre><p>Controls the state of the drop-down list in the UI. Lets you apply the spin on a random or specific axis, with optional random variation of the spin axis. Possible values are:</p>\n\
<p>0: <strong>Random 3D</strong> - Spins each particle about an arbitrary, random 3D axis.</p>\n\
<p>1: <strong>World Space</strong> - The spin axis is specified in the world coordinate space. Use the X/Y/Z settings to specify the spin axis.</p>\n\
<p>2: <strong>Particle Space</strong> - The spin axis is specified in the local coordinate space of each particle. Use the X/Y/Z settings to specify the spin axis.</p>\n\
<p>3: <strong>Speed Space</strong> - The coordinate space for particle orientation is determined by the particles&apos; direction upon entering the event. The X axis is aligned with the particle direction, while the Z axis is perpendicular to the X axis and is pointed upward with respect to world space as much as possible. Use the X/Y/Z settings to specify the orientation for all particles.</p>\n\
<p>4: <strong>Speed Space Follow</strong> - The coordinate space for particle orientation is determined by the particles&apos; direction throughout the event. Use this option to allow particles that change direction during the event to keep the spin axis aligned with their direction. The X axis is aligned with the particle direction, while the Z axis is perpendicular to the X axis and is pointed upward with respect to world space as much as possible. Use the X/Y/Z settings to specify the orientation for all particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spin&gt;.Spin_X_Axis Float default:0.0 \n\
&lt;Spin&gt;.Spin_Y_AxisFloat default:0.0 \n\
&lt;Spin&gt;.Spin_Z_AxisFloat default:1.0 </code></pre><p>These values define the spin axis. Unavailable when <code>.Direction</code> is set to <strong>0 : Random 3D</strong>. Range is from -1.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spin&gt;.Divergence Float default:0.0 --angle </code></pre><p>Defines the range of variation (in degrees) for spin-axis orientation. The actual deviation is calculated at random within this range. Unavailable when <code>.Direction</code> is set to <strong>0 : Random 3D</strong>. Range is from 0 to 180.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spin&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"spin-interfaces-\">Spin Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Transforms.html\">Transforms</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";