var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7375D2EB-15F7-4011-84F4-422C0A4A9A07\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>rotation : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rotation - superclass: helper super-superclass:node - classID: #(1962490633, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Rotation</strong> operator lets you set and animate particle orientation during an event, with optional random variation. You can apply orientation in any of five different matrices: two random and three explicit.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rotation... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rotation&gt;.Direction Integer default:0 </code></pre><p>Controls the state of the drop-down list in the Orientation Matrix group.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Random 3D</strong> - Gives each particle an arbitrary, random 3D orientation.</p>\n\
<p>1: <strong>Random Horizontal</strong> - Gives each particle an arbitrary, random 3D orientation about the Z axis only. Rotation about the X and Y axes doesn&apos;t change (unless Divergence is used), so the particles remain vertical.</p>\n\
<p>2: <strong>World Space</strong> - Orientation is specified in the world coordinate space. Use the X/Y/Z settings to specify the orientation for all particles.</p>\n\
<p>3: <strong>Speed Space</strong> - The coordinate space for particle orientation is determined by the particles&apos; direction upon entering the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rotation&gt;.Euler_X Float default:0.0 \n\
&lt;rotation&gt;.Euler_YFloat default:0.0 \n\
&lt;rotation&gt;.Euler_ZFloat default:0.0 </code></pre><p>Set the basic orientation about the particles&apos; local axes. Unavailable when <code>.Direction</code> is set to <strong>0 : Random 3D</strong> or <strong>1 : Random Horizontal</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rotation&gt;.Divergence Float default:0.0 </code></pre><p>Defines the range of variation (in degrees) for particle orientation. The actual deviation is calculated at random within this range. Unavailable when <code>.Direction</code> is set to <strong>3 : Speed Space</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rotation&gt;.Restrict_Divergence_To_Axis BooleanClass default: false -- boolean </code></pre><p>When set to True, the Divergence will be restricted to the specified axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rotation&gt;.Divergence_Axis_X Float default: 1.0 -- animatable; float </code></pre><p>Defines the X component of the custom Divergence Axis used when <code>.Restrict_Divergence_To_Axis</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rotation&gt;.Divergence_Axis_Y Float default: 0.0 -- animatable; float </code></pre><p>Defines the Y component of the custom Divergence Axis used when <code>.Restrict_Divergence_To_Axis</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rotation&gt;.Divergence_Axis_Z Float default: 0.0 -- animatable; float </code></pre><p>Defines the Z component of the custom Divergence Axis used when <code>.Restrict_Divergence_To_Axis</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rotation&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"rotation-interfaces-\">rotation Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Transforms.html\">Transforms</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";