var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5A91D994-589C-4995-8303-2350A337085A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>scaleParticles : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scaleParticles- superclass: helper super-superclass:node - classID: #(1962490636, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p><strong>ScaleParticles</strong> Test lets the particle system check particle scaling, or particle size before or after scaling, and branch accordingly. The test provides a variety of axis options for measuring scale or size.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ScaleParticles...   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.Type Integer default:2 </code></pre><p>Controls the state of the Type drop-down list in the UI.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Overwrite Once</strong> - Sets the scale <em>one time only</em> as an absolute percentage value, disregarding any previous scaling.</p>\n\
<p>1: <strong>Inherit Once</strong> - Sets the scale <em>one time only</em> as a percentage of existing scaling. The existing scaling should be specified with a previous Scale operator, the Scale setting in the Shape operator, or a Shape Instance operator.</p>\n\
<p>2: <strong>Absolute</strong> - Sets the scale <em>continuously</em>, while the particle is in the event, as an absolute percentage value, disregarding any previous scaling.</p>\n\
<p>3: <strong>Relative First</strong> - Sets the scale <em>continuously</em>, while the particle is in the event, as a percentage of existing scaling. The existing scaling should be specified with a previous Scale operator, or a Shape Instance.</p>\n\
<p>4: <strong>Relative Successive</strong> - Scales the particles <em>continuously</em>, relative to scaling set earlier in the same event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.X_Scale_Factor Float default:100.0 --percentage </code></pre><p>Sets the scaling of the X axis as a percentage of the particle&apos;s current size. To scale uniformly, set <code>.ConstrainScaleFactor</code> to true, then change any axis setting. Range is 0.0 to 10000000.0</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.Y_Scale_Factor Float --percentage </code></pre><p>Sets the scaling of the Y axis as a percentage of the particle&apos;s current size. To scale uniformly, set <code>.ConstrainScaleFactor</code> to true, then change any axis setting. Range is 0.0 to 10000000.0</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.Z_Scale_Factor Float --percentage </code></pre><p>Sets the scaling of the Z axis as a percentage of the particle&apos;s current size. To scale uniformly, set <code>.ConstrainScaleFactor</code> to true, then change any axis setting. Range is 0.0 to 10000000.0</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.Constrain_Scale Boolean; default:true </code></pre><p>When set to <strong>true</strong>, retains the current ratio of scale factor settings, so that changing any axis setting changes all of them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.X_Scale_Variation Float default:0.0 --percentage </code></pre><p>Sets the scaling variation of the X axis as a percentage of the particle&apos;s previous size. To scale uniformly, turn on <code>.ConstrainScaleVariation</code> , and then change any axis setting. Range is 0.0 to 100.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.Y_Scale_Variation Float --percentage </code></pre><p>Sets the scaling variation of the Y axis as a percentage of the particle&apos;s previous size. To scale uniformly, turn on <code>.ConstrainScaleVariation</code> , and then change any axis setting. Range is 0.0 to 100.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.Z_Scale_Variation Float --percentage </code></pre><p>Sets the scaling variation of the Z axis as a percentage of the particle&apos;s previous size. To scale uniformly, turn on <code>.ConstrainScaleVariation</code> , and then change any axis setting. Range is 0.0 to 100.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.Constrain_Scale_Variation Boolean default:true </code></pre><p>When set to <strong>true</strong>, retains the current ratio of scale variation settings, so that changing any axis setting changes all of them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.Bias Integer default:1 </code></pre><p>Lets you choose how to distribute the scaling variation within the specified range or ranges.</p>\n\
<p>0: <strong>None</strong> - No bias; scaling variation is distributed equally through the range.</p>\n\
<p>1: <strong>Centered</strong> - Scaling variation is concentrated near the middle of the range; that is, at 0.0%.</p>\n\
<p>2: <strong>Towards Minimum</strong> - Scaling variation is concentrated near the lower end of the range (base-variation); that is, most scaling variants will be smaller than the scaling value.</p>\n\
<p>3: <strong>Towards Maximum</strong> - Scaling variation is concentrated near the upper end of the range (base+variation); that is, most scaling variants will be larger than the scaling value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.Sync_Type Integer </code></pre><p>Specifies the time frame to use when animating Test_Value and Variation:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they are set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;scaleParticles&gt;.Random_Seed Integer </code></pre><p>Specifies the randomization value.</p>\n\
<h2 id=\"scaleparticles-interfaces-\">scaleParticles Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Transforms.html\">Transforms</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";