var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4A6CD434-609E-42A2-931B-5D87F803F41F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Particle_Paint : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Particle_Paint- superclass: helper; super-superclass:node - 7:0 - classID:#(2097224847, 528423057) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Particle_Paint</strong> helper enables you to paint particles with a specific pattern and timing onto the surface of one or more objects. You can access the Particle Paint helper by choosing Create panel &gt; Helpers &gt; Particle Flow &gt; Particle Paint.</p>\n\
<p>Particle seeds painted with the Particle Paint helper are not particles, but are seeds that can be turned into particles with the <a href=\"./../Operators/Birth-and-Death/Birth_Paint-Helper.html\">Birth_Paint</a> or <a href=\"./../Operators/Transforms/Placement_Paint-Helper.html\">Placement_Paint</a> operators in Particle Flow.</p>\n\
<p>You can spray particle seeds with a freehand painting tool, or by using <strong>3ds Max</strong> splines to define the pattern. <strong>Particle_Paint</strong> works in any orthogonal viewport such as a Front or Top view. It sprays perpendicular (into) the viewport and plants particle seeds on the surface of first object that it hits.</p>\n\
<p>The <strong>Particle_Paint</strong> helper was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became an integral part of <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Particle_Paint...   </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"setup-rollout\">Setup Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Spray_Radius (Brush_Radius) : worldUnits </code></pre><p>Get/set the Brush Radius value.</p>\n\
<h3 id=\"paint-density\">Paint Density</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Density_Center : percent </code></pre><p>Get/set the Center percentage value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Density_Sides : percent </code></pre><p>Get/set the Sides percentage value.</p>\n\
<h3 id=\"paint-flow-rate\">Paint Flow Rate</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Per_Jet_Limit (Per_Stroke_Limit) : integer </code></pre><p>Get/set the Stroke Limit value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Rate_Type : integer </code></pre><p>Get/set the Type drop-down list selection index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Time</strong> (default)</p>\n\
<p>1 - <strong>Length</strong></p>\n\
<p>2 - <strong>Stroke</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Rate_Drops_Per_Second (Rate_Particles_Per_Second) : float </code></pre><p>Get/set the Seeds Per Second value used when <code>.Rate_Type</code> is set to 0 (Time).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Rate_Drops_Per_Length_Unit (Rate_Particles_Per_Length_Unit) : float </code></pre><p>Get/set the Paint Step value used when <code>.Rate_Type</code> is set to 1 (Length).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Rate_Drops_Per_Jet (Rate_Particles_Per_Jet) : integer </code></pre><p>Get/set the Total Amount value used when <code>.Rate_Type</code> is set to 2 (Stroke).</p>\n\
<h3 id=\"brush-adjustment\">Brush Adjustment</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Use_Radius_Graph : boolean </code></pre><p>Get/set the state of the Radius checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Spray_Radius_Graph (Brush_Radius_Graph) : maxObject </code></pre><p>Get/set the graph object controlling the Radius Graph.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Use_Rate_Graph : boolean </code></pre><p>Get/set the state of the Rate checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Spray_Radius_Rate (Paint_Flow_Rate_Graph) : maxObject </code></pre><p>Get/set the graph object controlling the Rate Graph.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Display_Type : integer </code></pre><p>Get/set the Display Type drop-down list selection index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Ticks</strong> (default)</p>\n\
<p>1 - <strong>Flags</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Display_Size : worldUnits </code></pre><p>Get/set the Particle Size value.</p>\n\
<h3 id=\"stroke-start\">Stroke Start</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Jet_Start_Type (Stroke_Start_Type) : radiobtnIndex </code></pre><p>Get/set the Stroke Start Type radio button selection index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Jet_Start_Time (Stroke_Start_Time) : integer </code></pre><p>Get/set the Stroke Start Time value.</p>\n\
<h3 id=\"stroke-stop\">Stroke Stop</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Jet_Stop_Type (Stroke_Stop_Type) : radiobtnIndex </code></pre><p>Get/set the Stroke Stop Type radio buttons selection index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Real-Time Offset</strong> (default)</p>\n\
<p>1 - <strong>Fixed</strong></p>\n\
<p>2 - <strong>Duration</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Time_Scale : percent </code></pre><p>Get/set the Time Scale percentage value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Jet_Stop_Time (Stroke_Stop_Time) : integer </code></pre><p>Get/set the Fixed value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Jet_Duration (Stroke_Duration) : integer </code></pre><p>Get/set the Duration value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.AutoAdjust_Current_Frame : boolean </code></pre><p>Get/set the state of the Auto-Adjust Current Frame checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Adjust_Global_Timing : boolean </code></pre><p>Get/set the state of the Auto-Adjust Global Timing checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Icon_Size : worldUnits </code></pre><p>Get/set the Icon Size value.</p>\n\
<h3 id=\"paint-spread-uniqueness\">Paint Spread Uniqueness</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Random_Seed : integer </code></pre><p>Get/set the Random Seed value.</p>\n\
<h2 id=\"layout-rollout\">Layout Rollout</h2><h3 id=\"paint-objects-\">Paint Objects:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Spray_At_Type (Paint_At_Type) : radiobtnIndex </code></pre><p>Get/set the Paint At radio button selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Paint on All Objects</strong> (default)</p>\n\
<p>1 - <strong>Paint on Objects Listed</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Spray_At_Objects (Paint_At_Objects) : node array </code></pre><p>Get/set the array of nodes to paint on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Objects_Animated_Surface (Animated_Objects) : boolean </code></pre><p>Get/set the state of the Animated Objects checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Include_Spray_Children (Include_Paint_At_Children) : boolean </code></pre><p>Get/set the state of the Include Children checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Include_Spray_Group_Members (Include_Paint_At_Group_Member) : boolean </code></pre><p>Get/set the state of the Include Group Members checkbox.</p>\n\
<h3 id=\"mask-objects-\">Mask Objects:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Use_Mask_Objects : boolean </code></pre><p>Get/set the state of the Use Mask Objects checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Masks : node array </code></pre><p>Get/set the Mask objects node array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Include_Mask_Children : boolean </code></pre><p>Get/set the state of the Include Children checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Include_Mask_Group_Members : boolean </code></pre><p>Get/set the state of the Include Group Members checkbox.</p>\n\
<h3 id=\"selection-filter-\">Selection Filter:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Selection_Filter_Type (Animation_Offset_Painting) : integer </code></pre><p>Get/set the Selection Filter type drop-down list selection index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>None</strong> (default)</p>\n\
<p>1 - <strong>Selected Faces Only</strong></p>\n\
<p>2 - <strong>Soft Selection</strong></p>\n\
<h3 id=\"particle-seed-location-\">Particle Seed Location:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Location_Type : integer </code></pre><p>Get/set the selection index of the Location Type drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>At Surface</strong> (default) - Particle seeds will reside on the surface of any objects on which they are painted.</p>\n\
<p>1 - <strong>Above Surface</strong> -Particle seeds will be placed above the surface of any objects on which they are painted. The distance above the surface is set with the Distance parameter.</p>\n\
<p>2 - <strong>Below Surface</strong> - Particle seeds will be placed below the surface of any objects on which they are painted. The distance below the surface is set with the Distance property.</p>\n\
<p>3 - <strong>Above And Below Surface</strong> - Particle seeds will be placed both above and below the surface of any objects on which they are painted. The distance from the surface is set with the Distance property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Distance : worldUnits </code></pre><p>Get/set the distance above and/or below the surface the particle seeds are placed at.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Distance_Variation : percent </code></pre><p>Get/set the random variation of the Distance value as percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Use_Separation : boolean </code></pre><p>Get/set the state of the Separation checkbox.</p>\n\
<p>When set to true,Particle Paint attempts to separate particles by generating seeds repetitively until the desired separation is achieved. The Max Attempts parameter sets the number of times Particle Paint will generate seeds to attempt separation. If Distance is low and Separation is high, the desired separation might not be achieved even after many attempts. In this case, enable Stack Up For Separation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Separation_Distance : worldUnits </code></pre><p>Get/set the Separation Distance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Maximum_Number_Of_Attempts : integer </code></pre><p>Get/set the Max. Attempts value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Stack_Up_For_Separation : boolean </code></pre><p>Get/set the state of the Stack Up For Separation checkbox.</p>\n\
<p>When set to true, instead of using repetitive seed generation to attempt to separate particles, the separation conflict is resolved by moving the conflicting seed away in the direction of the surface&apos;s normal.</p>\n\
<h2 id=\"orientation-rollout\">Orientation Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Generate_Rotation : boolean </code></pre><p>Get/set the state of the Generate Rotation Comp. checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Priority_Axis : radiobtnIndex </code></pre><p>Get/set the selection index of the Priority Axis radio button.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>X-Axis</strong> (default)</p>\n\
<p>1 - <strong>Z-Axis</strong></p>\n\
<p>When the X-Axis is selected as the Priority Axis, particles are first aligned by their local X axes in the manner specified in the drop down list, then the local Z axes are used.</p>\n\
<p>If Z-Axis is selected, particles are aligned first by their local X axes, then their Z axes.</p>\n\
<h3 id=\"x-axis-\">X-Axis:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Reverse_X_Axis : boolean </code></pre><p>Get/set the state of the Reverse checkbox when the X Axis is selected.</p>\n\
<p>This has the effect of rotating particles by 180 degrees so they point in the opposite direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Orientation_Type_For_X_Axis : integer </code></pre><p>Get/set the selection index of the Orientation Type drop-down list used when the X Axis is selected as the Primary Axis.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Random-</strong> Randomly orients the particles on the surface, according to the selected axis.</p>\n\
<p>1 - <strong>Aligned To Surface Normal-</strong> Aligns particles to the surface normal of the object upon which they were painted. For example, if X is selected as the Priority Axis, the local X-axis for a particle is aligned with the surface normal. This option is suitable for placing instanced grass or hair objects on a surface.</p>\n\
<p>2 - <strong>Align to World X/Y/Z-Axis-</strong> Aligns the particles along the World X/Y/Z-Axis.</p>\n\
<p>3 - <strong>Look at Viewport-</strong> Forces all particles to align with the active viewport.</p>\n\
<p>4 - <strong>Look at Particle Paint Icon-</strong> Forces all particles to face the Particle Paint Icon.</p>\n\
<p>5 - <strong>Follow Stroke-</strong> Aligns particles along the spray path in the direction in which the stroke was drawn.</p>\n\
<p>6 - <strong>Align to U/V/W Map Vector-</strong> Aligns particles along the U/V/W mapping direction on the surface of the painted object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Divergence_For_X_Axis : angle </code></pre><p>Get/set the Divergence value for the X Axis.</p>\n\
<h3 id=\"z-axis-\">Z-Axis:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Reverse_Z_Axis : boolean </code></pre><p>Get/set the state of the Reverse checkbox when the Z Axis is selected.</p>\n\
<p>This has the effect of rotating particles by 180 degrees so they point in the opposite direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Orientation_Type_For_Z_Axis : integer </code></pre><p>Get/set the selection index of the Orientation Type drop-down list used when the Z Axis is selected as the Primary Axis.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Random-</strong> Randomly orients the particles on the surface, according to the selected axis.</p>\n\
<p>1 - <strong>Aligned To Surface Normal-</strong> Aligns particles to the surface normal of the object upon which they were painted. For example, if X is selected as the Priority Axis, the local X-axis for a particle is aligned with the surface normal. This option is suitable for placing instanced grass or hair objects on a surface.</p>\n\
<p>2 - <strong>Align to World X/Y/Z-Axis-</strong> Aligns the particles along the World X/Y/Z-Axis.</p>\n\
<p>3 - <strong>Look at Viewport-</strong> Forces all particles to align with the active viewport.</p>\n\
<p>4 - <strong>Look at Particle Paint Icon-</strong> Forces all particles to face the Particle Paint Icon.</p>\n\
<p>5 - <strong>Follow Stroke-</strong> Aligns particles along the spray path in the direction in which the stroke was drawn.</p>\n\
<p>6 - <strong>Align to U/V/W Map Vector-</strong> Aligns particles along the U/V/W mapping direction on the surface of the painted object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Divergence_For_Z_Axis : angle </code></pre><p>Get/set the Divergence value for the Z Axis.</p>\n\
<h2 id=\"mapping-rollout\">Mapping Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Acquire_Sub_Material_Index : boolean </code></pre><p>Causes each particle seed to acquire the sub-material index (Material ID) at the nearest point of the surface painted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Generate_Mapping : boolean </code></pre><p>Creates mapping coordinates for each particle seed according to the Type selection. If you use this option, do not use a Mapping operator with the Birth Paint or Placement Paint operator as this will override the mapping generated by the Particle Paint helper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Assign_To_Mapping_Channels : boolean array </code></pre><p>Defines the mapping channels to which mapping values are assigned. You can choose more than one channel for assignment. Mapping channels are available for selection only if Generate Mapping Coords is turned on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Mapping_Type : integer </code></pre><p>Get/set the selection index of the Mapping Type drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Stroke Dependent</strong> - Spreads mapping values from the Start Value to the End Value over the course of the stroke. The first particle in the stroke is given the Start Value, and the last particle of the stroke is given the End Value. All particles in between interpolate between the Start and End values. The same value is assigned to U, V, and W.</p>\n\
<p>1 - <strong>Time Dependent</strong> - Assigns mapping values according to time. The first particle in the stroke is given the Start Value, and the timing of each successive particle (in relation to the first particle) receives an incremented value according to the Offset p/Secparameter and the number of seconds elapsed. For example, if Offset p/Sec is 0.25 (the default value), then a 4-second stroke covers the 0-1 range of UV mapping values.</p>\n\
<p>2 - <strong>Index Dependent</strong> - Assigns mapping values incrementally regardless of the stroke time. The first particle in the stroke is given the Start Value, and each successive mapping value increments by the Offset p/Particle value. If Offset p/Particle is equal to 0.01 (the default value), and a stroke has 101 particles, then particles in the stroke receive the incremental mapping values 0.0, 0.01, 0.02, 0.03,..., 0.98, 0.99, 1.0.</p>\n\
<p>3 - <strong>From Object Painted</strong> - Particle seeds taking their mapping from their placement on the painted object. A particle acquires the mapping values at the nearest point of the object&#x2019;s surface. To acquire mapping values from several mapping channels of the object, use multiple selections of the buttons in the Assign To Mapping Channels group.</p>\n\
<p>These mapping types work with numeric parameters to set mapping on particle seeds. For a planar map, for example, the lower left corner has UVW values of 0,0,0, while the upper right corner has UVW values of 1,1,0. These mapping types correlate these values to the stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Mapping_Start_Value : float </code></pre><p>Get/set the Start Value used when <code>.Mapping_Type</code> is set to 0, 1 or 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Mapping_End_Value : float </code></pre><p>Get/set the End Value used when <code>.Mapping_Type</code> is set to 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Mapping_Offset_Value_Per_Second : float </code></pre><p>Get/set the Offset Value Per Second used when <code>.Mapping_Type</code> is set to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Mapping_Offset_Value_Per_Drop (Mapping_Offset_Value_Per_Particle) : float </code></pre><p>Get/set the Offset Value Per Particle used when <code>.Mapping_Type</code> is set to 2.</p>\n\
<h2 id=\"editing-rollout\">Editing Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Show_Particle_Timing : boolean </code></pre><p>Get/set the state of the Show Particle Timing checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Late_Color : color</code></pre><p>Get/set the color of the Colorpicker.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Auto_Sync_Timing_By_Selected_Stroke : boolean </code></pre><p>Get/set the state of the Auto Sync Timing By Sel. checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Editing_Start_At : integer </code></pre><p>Get/set the Start At: value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Editing_Stop_Type : radiobtnIndex </code></pre><p>Get/set the selection index of the Stop Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Stop At</strong></p>\n\
<p>1 - <strong>Duration</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Editing_Stop_At : integer </code></pre><p>Get/set the Stop At: value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Editing_Duration : integer </code></pre><p>Get/set the Dutation value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Editing_Adjust_Global_Timing (Editing_Auto_Adjust_Global_Timing) : boolean </code></pre><p>Get/set the state of the Auto Adjust Global Timing checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Paint&gt;.Selected_Strokes : boolean array </code></pre><p>Get/set the strokes selection as an array of Booleans.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Particle-Flow-Helpers.html\">Particle Flow Helpers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Operators/Birth-and-Death/Birth_Paint-Helper.html\">Birth_Paint : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../Operators/Transforms/Placement_Paint-Helper.html\">Placement_Paint : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";