var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8F43C04E-4C0A-4526-BA6D-9FE326545507\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Find_Target : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Find_Target - superclass: helper super-superclass:node - classID: #(1962490886, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>By default, <strong>Find_Target</strong> sends particles to a specified target or targets. Upon reaching a target, the particles become eligible for redirection to another event. You can specify that the particles should use a particular speed or time frame in moving toward the target. You can also specify where on the target the particles should go.</p>\n\
<p>Alternatively, you can use <strong>Find_Target</strong> as a simple proximity test: If a particle comes within a certain distance of its target, it becomes eligible for redirection to the next event.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Find_Target... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Speed_Type Integer default:0 -- integer </code></pre><p>Controls the state of the drop-down list at the top of the parameters panel. It lets you choose whether to send particles to a target by specifying the speed and acceleration, or by specifying the amount of time they should take. Alternatively, by choosing No Control, you can test particles&apos; distance from a target.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Control By Speed</strong> -  Specify speed and acceleration settings for the particles to follow while traveling to the target.</p>\n\
<p>1: <strong>Control By Time</strong> -  Specify time-based settings for the particles to follow while traveling to the target.</p>\n\
<p>2: <strong>No Control</strong> - With this option, Find Target functions only as a proximity test. When a particle comes within the specified distance of the target, the particles become eligible for redirection to the next event.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When you choose <strong>No Control</strong>, the <strong>Find_Target</strong> test does not affect particle speed or direction.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Test_Type Integer default:1 -- integer </code></pre><p>These settings let you choose which distance the <strong>Find_Target</strong> Test measures and specify the measured distance. You can choose Target Pivot or Target Point, and specify a distance with the Is Less Than setting.</p>\n\
<p>0: <strong>Target Pivot</strong> - Measures the distance between the particle and the target pivot.</p>\n\
<p>1: <strong>Target Point</strong> - Measures the distance between the particle and the target point.</p>\n\
<p>2: <strong>Is Less Than</strong> - When particles are closer than this distance from target pivot or point, they test <code>True</code> and become eligible for redirection to the next event. Measured in scene units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Test_Distance Float default:1.0 -- animatable; world units </code></pre><p>Specifies the distance to check against when <code>.Test_Type</code> is set to <strong>2 : Is Less Than</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Use_Cruise_Speed Boolean default:true -- boolean </code></pre><p>When set to <code>true</code> , the software gives you explicit control over particle speed and speed variation. When set to <code>false</code> , the software calculates particle speed automatically using the <code>.Acceleration_Limit</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Cruise_Speed Float default:300.0 -- animatable; world units </code></pre><p>Get/Set the particle speed in scene units per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Cruise_Speed_Variation Float default:0.0 -- animatable; world units </code></pre><p>The amount by which the actual Speed value can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Acceleration_Limit Float default:1000.0 -- animatable; world units </code></pre><p>Sets the acceleration limit. This value impacts the inertia and speed of the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Ease_In Float default:0.0 -- animatable; percentage </code></pre><p>Controls the rate by which particles slow down when it approaches the target point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Sync_Type Integer default:0 -- integer </code></pre><p>Controls the state of the Sync By drop-down list in the UI. Specifies the time frame to use when animating <code>.Cruise_Speed</code> , <code>.Cruise_Speed_Variation</code> , and <code>.Acceleration_Limit</code> .</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> -  Any keys set for parameters are applied at the actual frames for which they&apos;re set.</p>\n\
<p>1: <strong>Particle Age</strong> -  Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> -  Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Target_Type Integer default:0 --radio button number </code></pre><p>By default, <strong>Find_Target</strong> uses its own target icon, but you can use these controls to designate other scene objects as targets instead.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Icon</strong> - Use the Find Target icon as the target.</p>\n\
<p>1: <strong>Mesh Objects</strong> - Use one or more scene mesh objects as targets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Timing_Type Integer default:2 -- integer </code></pre><p>Determines how the software applies the specified timing, defined by the Time and Variation values. The possible options are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Refers to the overall time of the system. Each particle will reach its target at the frame number specified by Time.</p>\n\
<p>1: <strong>Particle Age</strong> - Refers to the time elapsed since the birth of the particle. Each particle will reach its target when its age reaches the value specified by Time.</p>\n\
<p>2: <strong>Event Duration</strong> - Refers to the time elapsed since the particle entered the current event. Each particle will reach its target when it has been in the current for the number of frames specified by Time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Time Integer default:9600 -- integer </code></pre><p>The time in ticks particles should take to reach the target.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The time value is shown as frames in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Time_Variation Integer default:800 -- integer </code></pre><p>The time in ticks by which Time can vary randomly.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  The time value is shown as frames in the UI.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Subframe_Sampling Boolean default:true -- boolean </code></pre><p>Turning this on helps avoid particle &quot;puffing&quot; by timing particles at a much higher subframe resolution (that is, throughout each frame), rather than using the relatively coarse frame resolution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Use_Docking_Speed Boolean default:false --boolean </code></pre><p>Lets you specify particles&apos; speed when they reach the target.</p>\n\
<p>A particle might be required to reach the target from a specific direction at a specific speed. When Use Docking Speed is off, the software calculates a path for particles to reach the target in the shortest distance with the least acceleration along the path. When Use Docking Speed is on, the software calculates particles&apos; final speed when they reach the target using the Speed and Variation parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Docking_Speed Float default:100.0 -- animatable; world units </code></pre><p>The speed of particles when they reach the target in scene units per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Docking_Speed_Variation Float default:0.0 -- animatable; world units </code></pre><p>The amount by which the actual Speed value can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Target_Objects Array default:#() --node array; SubAnim </code></pre><p>Sets the list of target scene mesh objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Target_Sync_Type Integer default:0 -- integer </code></pre><p>Specifies the time frame to use when sending particles toward animated objects when using <strong>Animated_Shape</strong> or <strong>Follow_Target</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> -  Animation derived from the target is applied to particles immediately.</p>\n\
<p>1. <strong>Particle Age</strong> - Animation derived from the target is applied to particles at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Animation derived from the target is applied to particles is applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Animated_Shape Boolean default:false </code></pre><p>Turn on to allow particles to target the surface of an object whose form is animated by scaling, by morphing, or with modifiers. This requires more computation, because the destination must be updated at every integration step.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Follow_Target Boolean default:false -- boolean </code></pre><p>Turn on to allow particles to follow a moving target; that is, a target whose location is animated. This requires more computation, because the destination must be updated at every integration step.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Lock_On_Target Boolean default:true --boolean </code></pre><p>When on, the software calculates each particle&apos;s target point once: when the particle enters the event. Thereafter, the particle is &quot;locked on&quot; to its target. When off, the software can continually recalculate the target point for each particle. Available only when Follow Target Animation is on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Aim_Point_Type Integer default:0 </code></pre><p>Lets you specify where on its target a particle should land.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Random</strong> - Each particle targets a random point on the target.</p>\n\
<p>1: <strong>Closest Surface</strong> - Each particle targets the nearest point of the target&#x2019;s surface.</p>\n\
<p>2: <strong>By Script Vector</strong> - The target point is defined using a script operator in the same event that sets a position. See <a href=\"./../../Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleVector-Sample-Script.html\">particleVector Sample Script</a> for an example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Assignment_Type Integer default:0 -- integer </code></pre><p>With multiple mesh targets, lets you specify how the software should choose among them. Available only when targeting more than one object.</p>\n\
<p>0: <strong>Random</strong> - For each particle, the software chooses a target object at random.</p>\n\
<p>1: <strong>Closest Pivot</strong> - For each particle, the software chooses as its target the object whose pivot is nearest to the particle.</p>\n\
<p>2: <strong>Closest Surface</strong> - For each particle, the software chooses as its target the object whose surface is nearest to the particle.</p>\n\
<p>3: <strong>Least Deviation</strong> - For each particle, the software chooses as its target the object that requires the least change in its current direction (or resteering) to reach.</p>\n\
<p>4: <strong>By Script Integer</strong> - For each particle, the choice of a targeted object is defined by a script operator that sets an index. This index corresponds to a target-object entry position in the target list. See <a href=\"./../../Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleInteger-Sample-Script.html\">particleInteger Sample Script</a> for an example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Docking_Type Integer default:0 -- integer </code></pre><p>Lets you specify from which direction particles should approach targets.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>None Specified</strong> - No docking constraints. Particles reach their targets in the most efficient way, based on their assigned parameters and their current attributes.</p>\n\
<p>1: <strong>Along Icon Arrow</strong> - The final direction is the same as the Find Target icon arrow.</p>\n\
<p>2: <strong>Icon Spherical</strong> - The final direction points toward the center of the operator icon.</p>\n\
<p>3: <strong>Icon Cylindrical</strong> - The final direction points toward the icon arrow as a line, thus forming a cylindrical field with the arrow as the cylinder&apos;s main axis.</p>\n\
<p>4: <strong>Surface Normals</strong> - Each particle reaches its target point from a direction perpendicular to the surface at that point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Docking_Distance Float default:10.0 -- animatable; world units </code></pre><p>The distance from the target at which particles begin docking behavior. This includes the docking direction, and, when using Control By Time, the docking speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Icon_Size Float default:30.0 --animatable; world units </code></pre><p>Set the size of the Find Target icon. This affects particle behavior when using the icon as the target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Color_Type Boolean default:true -- boolean </code></pre><p>When set to <code>true</code> , the Find_Target icon uses the color of the event containing the test as defined by its local Display operator, if one exists. This applies even if the Display operator is turned off. When off, the Find Target icon uses the default Test Gizmos color as defined in Customize User Interface &gt; Colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Find_Target&gt;.Random_Seed Integer default:12345 -- integer </code></pre><p>Sets the randomization value.</p>\n\
<h2 id=\"find_target-interfaces-\">Find_Target Interfaces:</h2><p><strong>The following Interfaces are exposed by the Find_Target Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Tests.html\">Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";