var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-01640C9A-5FA5-452F-8C72-A3558A9999A6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Go_To_Rotation : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Go_To_Rotation - superclass: helper super-superclass:node - classID: #(1962490894, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Go_To_Rotation</strong> test enables a smooth transition in the rotational component of a particle, so that the particle can gradually rotate to a specific orientation over a specific period. An example of its usage would be with falling leaves, which spin chaotically as they fall, but land on a flat side rather than an edge. The test aspect lets you direct the particle to a new event when the transition period ends.</p>\n\
<p>To set a target orientation, place the <strong>Go_To_Rotation</strong> test <em>before</em> an orientation-type operator (Rotation or Rotation Spin) in the same event. In this situation, the <strong>Go_To_Rotation</strong> test can grab the particle rotational component before the orientation-type operator overwrites it. The <strong>Go_To_Rotation</strong> operator modifies the particle orientation and spinning in the post-evaluation cycle.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Go_To_Rotation... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.Transition_Type Integer default:2 </code></pre><p>Corresponds to the <strong>Transition By</strong> drop-down list in the UI. Determines how the software applies the specified timing, defined by the Time and Variation values. Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Time refers to the overall time of the system. Each particle will reach its target orientation at the frame number specified by Time.</p>\n\
<p>1: <strong>Particle Age</strong> - Time refers to the time elapsed since the birth of the particle. Each particle will reach its target orientation when its age reaches the value specified by Time.</p>\n\
<p>2: <strong>Event Duration</strong> - Time refers to the time elapsed since the particle entered the current event. Each particle will reach its target orientation when it has been in the current for the number of frames specified by Time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.Time Integer default:30 </code></pre><p>The number of frames particles should take to reach the target orientation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.Variation Integer default:0 </code></pre><p>Defines a random variation in the Spin Rate value when a particle reaches the target orientation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.Send_Out Boolean default:true </code></pre><p>When set to <strong>true</strong>, particles are sent out to the next event at the end of the transition. When set to <code>false</code> , the particles never leave the test.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.Target_Rotation Integer default:0 --radio button number </code></pre><p>Controls the state of the Target Rotation radio buttons. Possible values are:</p>\n\
<p>0: <strong>Constant</strong> - Defines that the orientation-type operator sets a constant orientation for a particle.</p>\n\
<p>1: <strong>Changing</strong> - Defines that the orientation-type operator sets a changing rotation for a particle. At each frame the desirable final rotation may be different.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.Match_Initial_Spin Boolean default:True </code></pre><p>Sets the angular velocity at the end of the transition period to the same as the angular velocity when particle enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.SpinRate Float default:0.0 --angle </code></pre><p>Defines each particle&apos;s angular velocity, in degrees per second, when it reaches the target orientation. Available only when <code>.Match_Initial_Spin</code> is <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.Spin_Rate_Variation Float default:0.0 percentage </code></pre><p>Defines each particle&apos;s angular velocity, in degrees per second, when it reaches the target orientation. Available only when <code>.Match Initial Spin</code> is <code>false</code> .</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>For a smooth transition to the target orientation, set to 0.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.Ease_In Float    default: 0.0   --  percent </code></pre><p>Defines a curve in achieving the final spin rate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.Stop_Spinning Boolean default:true </code></pre><p>When on, halts particle rotation when it reaches the target orientation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Go_To_Rotation&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"go_to_rotation-interfaces-\">Go_To_Rotation Interfaces:</h2><p><strong>The following Interfaces are exposed by the Go_To_Rotation Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Tests.html\">Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";