var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7CD7592C-D08E-4518-A4C9-A3A2A4A58A38\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mP_Force : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Force - superclass: helper; super-superclass:node - 11:0 - classID: #(1935830278, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Force</strong> operator accepts any force-type particle space warp as a force source. The force is applied to all particles in the current event that are affected by an mP_World operator.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Force...\n\
PhysXForce...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"parameters-rollout\">Parameters rollout</h2><h3 id=\"force-space-warps-group-of-controls\">Force Space Warps group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Force_Space_Warps     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>Get/set the list of Force Space Warp objects to be used for the physical particle simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Force_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>Force Type</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Uniform</strong> (default)</p>\n\
<p>1 - <strong>Gravity</strong></p>\n\
<p>2 - <strong>Surface</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Force_Variation_Threshold     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>Force Variation Threshold</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Shape_Size     Float    default: 1.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>Shape Size</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Force_Overlapping     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the <strong>Force Field Overlapping</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Additive</strong></p>\n\
<p>1- <strong>Maximum</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Influence     Float    default: 1000.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Get/set the value of the <strong>Influence %</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Exponent     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>Exponent (10**N)</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Sync     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>Sync By</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Impulse_On_Event_Entry     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>Impulse On Event Entry</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Time_Warp     Integer    default: 4800   --  integer</code></pre><p>Get/set the value of the <strong>Time Warp</strong> spinner.</p>\n\
<p><strong>When the &quot;Use Script Wiring&quot; option is checked in the context menu of the mP_Force operator, or set via the .setUseScriptWiring() method in <a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a>, an additional rollout becomes available</strong>.</p>\n\
<h2 id=\"script-wiring-rollout-optional-\">Script Wiring rollout (optional)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Force&gt;.Use_Script_Float     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>Influence Parameter Wiring</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Not Wired</strong> (default)</p>\n\
<p>1 - <strong>From Script Float</strong></p>\n\
<p>2 - <strong>From Data Operator</strong></p>\n\
<h2 id=\"mp_force-interfaces-\">mP_Force interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the mP_Force Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../mParticles-Operators.html\">mParticles Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";