var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E79B7C9A-90E9-4EBA-8528-D819882EADF2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: action</h1></div><p><strong>The action Interface is exposed in all Particle Flow Action Classes</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;init &lt;IObject&gt;container &lt;object&gt;particleSystem &lt;node&gt;particleSystemNode &lt;&amp;object array&gt;actions &lt;&amp;node array&gt;actionNodes      \n\
\n\
actions is In and Out parameter      \n\
actionNodes is In and Out parameter   </code></pre><p>Initializes the Action.</p>\n\
<p>Lets you calls the Init method of an Action from inside a Script_Operator&#x2019;s <strong>on Init...</strong> handler.</p>\n\
<p>For an example, see <a href=\"./../../Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\">Speed Operator in Script Operator Example</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;release &lt;IObject&gt;container </code></pre><p>Releases the specified particle container.</p>\n\
<p>Lets you call the Release method of an Action from inside a Script_Operator&#x2019;s <strong>on Release...</strong> handler.</p>\n\
<p>For an example, see <a href=\"./../../Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\">Speed Operator in Script Operator Example</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;interval by value&gt;activityInterval () </code></pre><p>Returns the activity interval.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isFertile() </code></pre><p>Returns True if the action is fertile (generates particles).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isNonExecutable() </code></pre><p>Returns True if the action is non executable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;supportRand() </code></pre><p>Returns True if the action supports randomization.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getRand() </code></pre><p>Returns the current random seed value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setRand &lt;integer&gt;randomSeed </code></pre><p>Sets the random seed to the supplied integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;newRand() </code></pre><p>Generates a new random seed and returns its value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isMaterialHolder() </code></pre><p>Returns True if the action is a material holder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;material&gt;getMaterial() </code></pre><p>Returns the material if the action is a material holder.</p>\n\
<p>This method is not supported by actions for which <code>.isMaterialHolder()</code> returns False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setMaterial &lt;material&gt;material </code></pre><p>Sets the material, returns True when successful.</p>\n\
<p>This method is not supported by actions for which <code>.isMaterialHolder()</code> returns False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;supportScriptWiring() </code></pre><p>Returns True if the action supports script wiring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setUseScriptWiring &lt;boolean&gt;useState </code></pre><p>Sets the &quot;Use Script Wiring&quot; option exposed in the right-click menu of the action.</p>\n\
<p>Usable only when <code>.supportScriptWiring()</code> returns True.</p>\n\
<p>When set to True, additional controls will be displayed in the action&apos;s User Interface and can be set via MAXScript to control certain operations using scripted particle channels data.</p>\n\
<p>When set to False, the additional controls will be hidden and scripted channels will not be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;makeUnique() </code></pre><p>Converts an instanced action to a copy that&apos;s unique to its event.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES AND RESULTS</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a Find_Target action\n\
   ft = find_target()\n\
   --&gt; $Find_Target:Find Target 01 @ [0.000000,0.000000,0.000000]\n\
   --Create a Birth_Script action\n\
   bs = birth_script()\n\
   --&gt; $Birth_Script:Birth Script 01 @ [0.000000,0.000000,0.000000]\n\
   --Create a Material_Dynamic action\n\
   md = material_dynamic()\n\
   --&gt; $Material_Dynamic:Material Dynamic 01 @ [0.000000,0.000000,0.000000]\n\
   --Create a Force action\n\
   fc = force()\n\
   --&gt; $Force:Force 01 @ [0.000000,0.000000,0.000000]\n\
   --Does it create particle?\n\
   --No, Find_Target doesn&#x2019;t\n\
   ft.isFertile()\n\
   --&gt; false\n\
   bs.isFertile()\n\
   --&gt; true\n\
   --Are they non-executable?\n\
   ft.isNonExecutable()\n\
   --&gt; false\n\
   bs.isNonExecutable()\n\
   --&gt; false\n\
   --Do they support randomization?\n\
   ft.supportRand()\n\
   --&gt; true\n\
   --Does this Action support Randomization? Yes!\n\
   bs.supportRand()\n\
   --&gt; true\n\
   --Get the current random seed of the Find_Target\n\
   ft.getRand()\n\
   --&gt; 12345\n\
   --Set a new random seed\n\
   ft.setRand 23456\n\
   --&gt; OK\n\
   --Get the new random seed\n\
   ft.getRand()\n\
   --&gt; 23456\n\
   --Generate new random seed\n\
   ft.newRand()\n\
   --&gt; 30642\n\
   --Get the new random seed\n\
   ft.getRand()\n\
   --&gt; 30642\n\
   --Check if the action is a material holder - This one isn&#x2019;t...\n\
   ft.isMaterialHolder()\n\
   --&gt; false\n\
   --...But this one is\n\
   md.isMaterialHolder()\n\
   --&gt; true\n\
   --This one doesn&#x2019;t have a material assigned yet &amp;endash;\n\
   -- nothing to get yet.\n\
   md.getMaterial()\n\
   --&gt; undefined\n\
   --Assign a new material\n\
   md.setMaterial (standard name:&quot;PF&quot;)\n\
   --&gt; true\n\
   --Now try to get the material again - It is there now!\n\
   md.getMaterial()\n\
   --&gt; PF:Standard\n\
   --Does Find_Target support Wiring?\n\
   --No, it doesn&#x2019;t.\n\
   ft.supportScriptWiring()\n\
   --&gt; false\n\
   --Does Force support Wiring?\n\
   --Yes, it does!\n\
   fc.supportScriptWiring()\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><a href=\"./../../Particle-Flow-Classes/Tests/Age_Test-Helper.html\">Age_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth-Helper.html\">Birth : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Group-Helper.html\">Birth_Group : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/BirthGrid-Helper.html\">BirthGrid : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Paint-Helper.html\">Birth_Paint : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/BirthStream-Helper.html\">BirthStream : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Texture-Helper.html\">Birth_Texture : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Cache-Helper.html\">Cache : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Cache_Disk-Helper.html\">Cache_Disk : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Cache_Selective-Helper.html\">Cache_Selective : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Camera_Culling-Helper.html\">Camera_Culling : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Camera_IMBlur-Helper.html\">Camera_IMBlur : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Collision-Helper.html\">Collision : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Collision_Spawn-Helper.html\">Collision_Spawn : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/Tests/Copy_Out-Helper.html\">Copy_Out : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Data-Operators/Data_Icon-Helper.html\">Data_Icon : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Data-Operators/Data_Operator-Helper.html\">Data_Operator : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Data-Operators/Data_Test-Helper.html\">Data_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/DeleteParticles-Helper.html\">DeleteParticles : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Find_Target-Helper.html\">Find_Target : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Force-Helper.html\">Force : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Go_To_Rotation-Helper.html\">Go_To_Rotation : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Initial_State-Helper.html\">Initial_State : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/Keep_Apart-Helper.html\">Keep_Apart : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/mapping-Helper.html\">mapping : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Dynamic-Helper.html\">Material_Dynamic : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Frequency-Helper.html\">Material_Frequency : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Static-Helper.html\">Material_Static : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Buoyancy-Helper.html\">mP_Buoyancy : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Collision-Helper.html\">mP_Collision : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Drag-Helper.html\">mP_Drag : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Force-Helper.html\">mP_Force : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Glue-Helper.html\">mP_Glue : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_InterCollision-helper.html\">mP_InterCollision : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Shape-Helper.html\">mP_Shape : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Solvent-Helper.html\">mP_Solvent : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Switch-Helper.html\">mP_Switch : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_World-Helper.html\">mP_World : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Notes-Helper.html\">Notes : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source : GeometryClass</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/Position_Icon-Helper.html\">Position_Icon : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/Position_Object-Helper.html\">Position_Object : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/rotation-Helper.html\">rotation : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Scale_Test-Helper.html\">Scale_Test : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Send_Out-Helper.html\">Send_Out : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/shapeStandard-Helper.html\">shapeStandard : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/Shape_Facing-Helper.html\">Shape_Facing : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/Shape_Instance-Helper.html\">Shape_Instance : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/Shape_Mark-Helper.html\">Shape_Mark : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Spawn-Helper.html\">Spawn : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/Speed-Helper.html\">speed : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/SpeedByIcon-Helper.html\">SpeedByIcon : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/Speed_By_Surface-Helper.html\">Speed_By_Surface : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Speed_Test-Helper.html\">Speed_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Split_Amount-Helper.html\">Split_Amount : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Split_Selected-Helper.html\">Split_Selected : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Split_Source-Helper.html\">Split_Source : Helper</a></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\">Speed Operator in Script Operator Example</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";