var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EBF62EB2-9B3C-4A63-B002-137CEFB327D6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>particleFloat Sample Script</h1></div><p><strong>Description:</strong></p>\n\
<p>The following script sets each particle&apos;s float value as one tenth of its particle ID or birth index number.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Can be used to control the <strong>.Force</strong> value of <strong>Force</strong> and <strong>Speed_Keep_Apart</strong> Operators.</p>\n\
<p><a href=\"./../../Particle-Flow-Classes/Operators/Other/Force-Helper.html\">Force : Helper</a></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/Operators/Speed/Keep_Apart-Helper.html\">Speed_Keep_Apart : Helper</a></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The first particles get a low float value and thus a low Influence value. Each successive particle gets a larger float value than the one before. As a result, the later a particle is born, the more it is subject to the space warp(s) in the operator.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useFloat = true--enable the Float channel\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --It is not used in this case.\n\
   on Init pCont do\n\
   (\n\
   )\n\
\n\
   --The Proceed handler contains the main script\n\
   --applied to the Particles.\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to:\n\
   on Proceed pCont do\n\
   (\n\
   --Get the number of particles\n\
   count = pCont.NumParticles()\n\
\n\
   --Loop from 1 to the number of particles:\n\
   for i in 1 to count do\n\
   (\n\
\n\
   --Set the particle index in the container to the current i value.\n\
   --This makes the i-th particle in the container the current one\n\
   pCont.particleIndex = i\n\
\n\
   --Set the particleFloat channel value of the current particle\n\
   --to the particleID of the current particle divided by 10.0.\n\
   --The younger the particle, the higher the particleFloat value.\n\
   pCont.particleFloat = pCont.particleID/10.0\n\
   )--end i loop\n\
   )--end Proceed\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Particle-Channel-Scripts.html\">Particle Channel Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">Interface: MaxscriptParticleContainer</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Operators/Other/Force-Helper.html\">Force : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Operators/Speed/Keep_Apart-Helper.html\">Keep_Apart : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";