var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CB82B7DD-B4DB-4B26-9655-F42D65C2F671\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>particleVector Sample Script</h1></div><p><strong>Description:</strong></p>\n\
<p>The following sample script assigns Vector values to the <strong>particleVector</strong> channel.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Can be used in a <a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a> to control the Target Point position of a <a href=\"./../../Particle-Flow-Classes/Tests/Find_Target-Helper.html\">Find_Target</a> Test.</p>\n\
<p><img src=\"./images/GUID-884211A0-99A0-4F8B-BA3C-7617C1E84FEF-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>Takes a scene geometry object, gets the position of its first vertex, adds a random offset to it, and assigns to the particleVector channel of all particles. In result, all particles stream towards the vertex because the Find_Target is set to read the particleVector channel and send all particles to the position in the channel:</p>\n\
<p><img src=\"./images/GUID-D8127ED1-8B21-4DF1-87C3-127D5B8A6537-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   --Enable the Vector channel:\n\
   pCont.useVector = true \n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --It is not used in this case.\n\
   on Init pCont do\n\
   (\n\
   --Define a global variable with unique name and store the\n\
   --scene object which also has a unique name in it\n\
   global obj_19680217 = $Sphere_19680217\n\
   --If the scene object does not exist, create a sphere,\n\
   --give it the unique name and assign to the global variable\n\
   if obj_19680217 == undefined then\n\
   obj_19680217 = Sphere name:&quot;Sphere_19680217&quot;\n\
   )\n\
\n\
   --The Proceed handler contains the main script\n\
   --applied to the Particles.\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to:\n\
   on Proceed pCont do\n\
   ( \n\
   --Get the current number of particles\n\
   count = pCont.NumParticles()\n\
\n\
   --Loop from 1 to the number of particles:\n\
   for i in 1 to count do\n\
   (\n\
\n\
   --Set the particle index in the container to the current i value.\n\
   --This makes the i-th particle in the container the current one\n\
   pCont.particleIndex = i\n\
\n\
   --Get the position of the first vertex of the scene object.\n\
   vpos = (getVert obj_19680217.mesh 1)\n\
\n\
   --Add a random variation between -1 and +1 to all 3 axes\n\
   vpos += random [-1,-1,-1] [1,1,1]\n\
\n\
   --Set the particleVector channel value to the calculated value\n\
   pCont.particleVector = vpos\n\
    )--end i loop\n\
   )--end Proceed\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Particle-Channel-Scripts.html\">Particle Channel Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">Interface: MaxscriptParticleContainer</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Tests/Find_Target-Helper.html\">Find_Target : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";