var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AB7D2A56-0AEE-48FE-8D59-7862B88421FA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Metaball Sample Script</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example shows a sample Metaball script using the Parray particle system.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Should be used in a <a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a>.</p>\n\
<p><img src=\"./images/GUID-50BD3B68-7541-4956-8FBF-47FF52A51137-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>In the Proceed handler, a new Mesh object is created with a vertex at each particle. Then, a PArray classical particle system is created and used to generate a metaball mesh out of all vertices of the supplied mesh. Now, using a Mesher compound object, a snapshot of the metaball is made and used as the shape of the first particle.</p>\n\
<p><img src=\"./images/GUID-9144CDEC-AC18-4535-AA32-81FCE4644FC3-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   pCont.usePosition = true\n\
   pCont.useTime = true\n\
   pCont.useSpeed = true\n\
   pCont.useShape = true\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --It is not used in this case.\n\
   on Init pCont do\n\
   (\n\
   )\n\
\n\
   on Proceed pCont do\n\
   (\n\
   --Get the start and end times\n\
   t1 = pCont.getTimeStart() as float\n\
   t2 = pCont.getTimeEnd() as float\n\
\n\
   --As long as there are particles \n\
   if (pCont.NumParticles() &gt; 0) then\n\
   (\n\
   --Disable screen redraws to keep speed up\n\
   with redraw off\n\
   (\n\
   -- create an empty mesh\n\
   nMesh = editable_mesh()\n\
   -- Set the number of vertices and faces to the\n\
   -- number of particles.\n\
   nMesh.numVerts = pCont.NumParticles()\n\
   nMesh.numFaces = pCont.NumParticles()\n\
   --We will make a single vertex for each particle\n\
   for i in 1 to pCont.NumParticles() do\n\
   (\n\
   -- Time for the particle to travel at this integration step\n\
   timeStep = t2 - (pCont.getParticleTime(i) as float)\n\
   -- Speed is added to foresee the particle position at the end\n\
   -- of the integration step\n\
   nMesh.verts[i] = pCont.getParticlePosition(i) + timeStep * pCont.getParticleSpeed(i)\n\
   -- The face references the same vertex 3 times!\n\
   nMesh.faces[i] = [i,i,i]\n\
   )\n\
\n\
   -- create PArray with particles on vertices of the mesh\n\
   a = PArray()\n\
   a.speed = 0\n\
   a.formation = 2-- at all vertices\n\
   a.quantityMethod = 1--use Total\n\
   a.Total_Number = 1--just initializing\n\
   a.viewPercent = 100\n\
   a.Emitter_Start = 0f\n\
   a.Emitter_Stop = 0f\n\
   a.subsampleCreationTime =off\n\
   a.Display_Until = 2000f\n\
   a.life = 2000f\n\
   a.Growth_Time = 0f\n\
   a.Fade_Time = 0f\n\
   a.particleType = 1--metaballs\n\
   a.metaballAutoCoarsness =off\n\
   a.metaballRenderCoarsness = 0.9\n\
   a.metaballViewCoarsness = 0.9\n\
   a.Metaparticle_Tension = 1.0\n\
   a.size = 5\n\
   a.Total_Number = pCont.NumParticles()--use particles count\n\
   a.emitter = nMesh\n\
\n\
   -- acquire the metaball mesh from the PArray\n\
   mshr = mesher() --create a Mesher Compound object\n\
   mshr.pick = a --get the PArray\n\
   metaballMesh = snapshot mshr --make a snapshot of the Mesher\n\
   delete a --delete the PArray\n\
   delete #(mshr, nMesh) --delete the Mesher and our mesh\n\
\n\
   -- speed is added to foresee the particle position at the end\n\
   -- of the integration step\n\
   timeStep = t2 - (pCont.getParticleTime(1) as float)\n\
   spaceOffset = pCont.getParticlePosition(1) + timeStep * pCont.getParticleSpeed(1)\n\
   -- adjust vertex location to center around the first particle\n\
   for i in 1 to metaballMesh.verts.count do\n\
   ( move metaballMesh.verts[i] (-spaceOffset) )\n\
   --Create an empty mesh to assign to all particles\n\
   emptyMesh = editable_mesh()\n\
   --Assign the empty mesh to all particles.\n\
   --This makes them invisible\n\
   pCont.setShapeForAllParticles(emptyMesh.mesh)\n\
   --First particle carries all the mesh data\n\
   pCont.setParticleShape 1 metaballMesh.mesh\n\
   --Delete the empty mesh and the snapshot\n\
   delete #(emptyMesh, metaballMesh)\n\
   ) \n\
   )\n\
   )\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Operators.html\">Script Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";