var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B5CF6967-0CC7-48A5-9CC8-DF1AA6D84676\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Script Test Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following sample script is the default script of the Script Test. It shows how to test particles against a spherical volume.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>This script must be used in a <a href=\"./../../Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test</a> action.</p>\n\
<p><img src=\"./images/GUID-6FAFC7BB-8ED1-4E70-8ECD-201BC60C251E-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script goes through all particles, compares the particle position with a radius of 20 and sets the particle&#x2019;s test status to <code>true</code> when the particle is inside the radius.</p>\n\
<p>In the above setup, the particles that pass through the sphere are sent to the next event where they change their color:</p>\n\
<p><img src=\"./images/GUID-9D03B3FC-5CF4-4800-8CA5-A3FFFCCB0871-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   --Enable the Time channel:\n\
   pCont.useTime = true\n\
   --Enable the Position channel:\n\
   pCont.usePosition = true\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --It is not used in this case.\n\
   on Init pCont do\n\
   (\n\
   )\n\
\n\
   --The Proceed handler contains the main script\n\
   --applied to the Particles.\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to:\n\
   on Proceed pCont do\n\
   (\n\
   --get the total number of particles\n\
   count = pCont.NumParticles()\n\
   --loop through all particles\n\
   for i in 1 to count do\n\
   (\n\
   --Set the particle index in the container to the current i value.\n\
   --This makes the i-th particle in the container the current one\n\
   pCont.particleIndex = i\n\
   -- all particles inside a sphere with radius 20 satisfy the test\n\
   if length (pCont.particlePosition) &lt; 20 then\n\
   (\n\
   --set the Test Status of the particle to True\n\
   pCont.particleTestStatus = true\n\
   --set the Test Time of the particle to the current Particle Time\n\
   pCont.particleTestTime = pCont.particleTime\n\
   )\n\
   )--end i loop\n\
   )\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Tests.html\">Script Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">Interface: MaxscriptParticleContainer</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";