var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D2A11E7A-5E6B-4D78-8936-26A0C4080033\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Final Step Update Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example shows the default Final Step Update script with detailed comments.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Used by <a href=\"./../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source</a> as default Final Step Update script.</p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The default script modifies particle speed and direction, causing particles to follow a bulb-shaped path:</p>\n\
<p><img src=\"./images/GUID-3E335C88-DC07-4A60-93D4-2551A6D3495F-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Get the current particle system executing the script\n\
   pf_node_current = particleFlow.scriptRunner()\n\
\n\
   --In case the current particle system is a valid node...\n\
   if (pf_node_current != undefined) then(\n\
\n\
   --Get the total number of particles\n\
   count = pf_node_current.NumParticles()\n\
   --Loop from 1 to the number of particles\n\
   for i in 1 to count do(\n\
   --Set the particle index in the container to the current i value.\n\
   --This makes the i-th particle in the container the current one:\n\
   pf_node_current.particleIndex = i\n\
\n\
   --Get the age of the particle, multiply by 5 and use as angle\n\
   --to define the particle speed\n\
   --Decreasing the constant 5 will slow down the rotation\n\
   --Increasing the constant will speed up the rotation\n\
   age = 5*pf_node_current.particleAge\n\
\n\
   --Calculate a factor variable based on the particle age\n\
   --This variable will define the radius of the bulb and will vary\n\
   --thanks to the sine of the age over time.\n\
   --Change the constant 20 to change the radius.\n\
   factor = 20*(sin(2*age)+1)\n\
\n\
   --Finally, calculate and set the particle position\n\
   --using the factor as Radius and the particle index as Angle\n\
   --in the function of the circle. The position of the node has to be\n\
   --added to move the particles to the origin of the Source.\n\
   --Info: In general, a circle can be drawn using an Angle\n\
   --going from 0 to 2*Pi and the following functions for X and Y:\n\
   --X = CenterX+Radius*Cos(Angle)\n\
   --Y = CenterY+Radius*Sin(Angle)\n\
   --In our case, CenterX and CenterY are 0, Radius is set to factor,\n\
   --and Angle is based on the particle index multiplied by 77.\n\
   --The Z position is based on the age.\n\
   pf_node_current.particlePosition = [factor*cos(77*i), factor*sin(77*i), -age] + pf_node_current.pos\n\
\n\
   )--end i loop\n\
   )--end if\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Update-Step-Scripts.html\">Update Step Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Every-Step-Update-Example.html\">Every Step Update Example</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";