var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7E62A52D-7751-4BCF-AFFA-9248BA2FA332\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Class : MultFprintParams</h1></div><p>This class represents multiple footstep creation parameters of a Biped. An instance of this class is returned by the <code>biped.getMultipleFSParams &lt;gait_type_name&gt;</code> method, where gait_type_name can be #walk, #run or #jump.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.alternate Boolean Default: true(walk)true(run)true(jump)      </code></pre><p>Footsteps will alternate between right and left. Alternate is always selected when the Walk gait is selected. You can only clear Alternate when Run or Jump gaits are selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.numFootsteps Integer Default: 4(walk)4(run)4(jump)   </code></pre><p>Determines the number of new footsteps to be created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.paramStrideWidth Float Default: 1.0(walk)1.0(run)1.0(jump) </code></pre><p>Sets the stride width as a percentage of the pelvis width. A value of 1.0 produces a stride width equal to the pelvis width. A value of 3.0 produces a wide, waddling stride. Changes to this setting automatically change the Actual Stride Width.</p>\n\
<p>Parametric describes the parameter in terms of biped anatomy, and Actual describes the value in <strong>3ds Max</strong> units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.autoTiming Boolean Default:true (walk) true (run) true (jump) </code></pre><p>Sets timing parameters automatically. Auto Timing affects the following timing parameters for the Walk gait:</p>\n\
<p>Walk footstep, Double Support</p>\n\
<p>When Auto Timing is selected, these parameters are automatically adjusted to reasonable values. Control the footstep sequence by adjusting the Stride Length and Time to Next Footstep parameters.</p>\n\
<p>When Auto Timing is cleared, you can control the footstep sequence by adjusting the gait timing parameters, but you can&apos;t change the Time to Next Footstep parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.interpTiming Boolean Default: false(walk)false(run)false(jump) </code></pre><p>Control acceleration or deceleration of the series of footsteps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.multiInsertInTime Boolean Default:false (walk) false (run) false (jump) false - Start after last footstep</code></pre><p>Appends the newly created footsteps to the end of the existing footstep sequence.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">true - Start at current frame</code></pre><p>Inserts the newly created footsteps at the current frame after the existing footstep sequence allowing you to make a gap in time before the footsteps start again.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.paramStrideLength1 Float Default: 0.75(walk)1.5(run)2.4(jump) </code></pre><p>Sets the stride length for the First Step as a percentage of the length of the biped&apos;s leg. The default value of 0.75 gives an average stride of normal proportions.</p>\n\
<p>A value of 1.0 will produce a stride length equal to the leg length, which makes the biped stretch slightly to reach the next step. A value of 0.0 will make the biped walk in place. A negative stride length will make the biped walk backwards.</p>\n\
<p>When a biped walks backwards, it does not simply reverse the forward movement but maintains the correct foot-state sequence with the toe touching the ground first, followed by the heel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.actualStrideHeight1 Float Default: 0.0(walk)0.0(run)0.0(jump) </code></pre><p>Sets the rise or fall between footsteps for the First Step. You can use this parameter to create a set of footsteps going up or down a slope or a stairway.</p>\n\
<p>The value for Actual Stride Height is the difference in height in units between each of the new footsteps. Positive values step up and negative values step down.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.cycle1 Time Default: 15f(walk)15f(run)15f(jump) </code></pre><p>Sets the Time to Next Footstep for the First Step.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.paramStrideLength2Float Default: 0.75(walk)1.5(run)2.4(jump) </code></pre><p>Sets the stride length for the Last Step as a percentage of the length of the biped&apos;s leg. The default value of 0.75 gives an average stride of normal proportions.</p>\n\
<p>A value of 1.0 will produce a stride length equal to the leg length, which makes the biped stretch slightly to reach the next step. A value of 0.0 will make the biped walk in place. A negative stride length will make the biped walk backwards. When a biped walks backwards, it does not simply reverse the forward movement but maintains the correct foot-state sequence with the toe touching the ground first, followed by the heel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.actualStrideHeight2Float Default: 0.0(walk)0.0(run)0.0(jump) </code></pre><p>Sets the rise or fall between footsteps for the Last Step. You can use this parameter to create a set of footsteps going up or down a slope or a stairway.</p>\n\
<p>The value for Actual Stride Height is the difference in height in units between each of the new footsteps. Positive values step up and negative values step down.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultipleFSParams&gt;.cycle2Time Default: 15f(walk)15f(run)15f(jump) </code></pre><p>Sets the Time to Next Footstep for the Last Step.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> See the biped <strong>.addMultipleFootprints</strong> method for creating footsteps based on aMultipleFSParams, and biped <strong>.newFootprintKeys</strong> creating the biped keys for the inactive footsteps.</div>\n\
<p>Since MultipleFSParams is biped independent, the actual stride lengths and heights are not accessible in this class. To convert from a paramStrideWidth value to an actual StrideWidth value, multiply the paramStrideWidth value by the width of the pelvis.</p>\n\
<p>To convert from aparamStrideLength value to an actual StrideLengthvalue, multiply the paramStrideLength value by the length of the right leg. Given a biped_ctrl, the length of the right leg can be calculated by:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   legLength = distance (biped.getNode biped_ctrl#rleg link:1) (biped.getNode biped_ctrl#rleg link:2) -- thigh\n\
   legLength += distance (biped.getNode biped_ctrl#rleg link:2) (biped.getNode biped_ctrl#rleg link:3) -- calf\n\
   if ((biped_ctrl.rootnode).controller.leglinks) &gt; 3 do legLength += distance (biped.getNode biped_ctrl#rleg link:3) (biped.getNode biped_ctrl#rleg link:4) -- horsellink, if present</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-Footsteps-and-Footprints.html\">Biped Footsteps and Footprints</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Biped-Controllers/Biped-Vertical_Horizontal_Turn.html\">Biped Vertical_Horizontal_Turn(Body):Matrix3 Controller</a></li>\n\
          <li><a class=\"link\" href=\"../Biped-Controllers/Biped-Driven-Controller.html\">Biped Driven Controller</a></li>\n\
          <li><a class=\"link\" href=\"FootSteps-Matrix3-Controller-1.html\">FootSteps : Matrix3 Controller</a></li>\n\
          <li><a class=\"link\" href=\"../Biped-Footsteps-and-Footprints.html\">Biped Footsteps and Footprints</a></li>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";