var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0BEE71B1-4C68-4419-959F-0BFBA7ED70B6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Load and Save Methods</h1></div><p>This topic covers the load and save methods for motion, figure, score, keys, motion capture, and talent files.</p>\n\
<h2 id=\"motion-file-access-methods\">Motion File Access Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.loadBipFile &lt;biped_ctrl&gt; &lt;file_name&gt; [#matchFileStruct] [#zeroHgt] [#noRedraw] [#loadMaxObjects][#promptForDuplicates] [#retargetHeight] [#retargetLimbSizes] [#scaleIKObjectSize] [#loadSubAnimControllers] [#loadSelectedMaxObjects nodename_array] [#loadSelectedSubAnimControllers bipednodename_array int_array]         </code></pre><p>Load a biped motion file. Motion files include, footsteps, keyframe settings, the biped scale, and the active gravity value (GravAccel). IK Blend values for the keys and Object Space Object information are also loaded. This method will generate a runtime error if run while the biped is in Figure, Footstep, or Motion Flow modes.</p>\n\
<p>The optional arguments are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#matchFileStruct </code></pre><p>Restructure biped to match file</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#zeroHgt </code></pre><p>Set lowest starting foot height to Z=0</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#noRedraw </code></pre><p>Don&#x2019;t redraw viewports after load</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#loadMaxObjects </code></pre><p>Load MAX objects</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#promptForDuplicates </code></pre><p>Prompt for duplicates</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#retargetHeight </code></pre><p>Retarget based on height</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#retargetLimbSizes </code></pre><p>Retarget based on limb sizes</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#scaleIKObjectSize </code></pre><p>Scale IK object&#x2019;s size</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#loadSubAnimControllers </code></pre><p>Load List controllers</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#loadSelectedMaxObjects #loadSelectedSubAnimControllers </code></pre><p>The loadBipFile function call was modified in <strong>3ds Max7</strong> to handle selecting which max objects or subanims you wish to load.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>For the selected objects, you pass in an array of strings of the nodes you wish to load.For the selected subanims you wish to load, you pass in array of string names of the biped nodes and a corresponding array of integers which specify which subanim (0= pos, 1 = rot, 2= scale).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.saveBipFile &lt;biped_ctrl&gt; &lt;file_name&gt; [#saveSubAnimControllers] [#saveMaxObjects] [#saveSelectedMaxObjects node_array] [#saveSelectedSubAnimControllers node_array int_array ] </code></pre><p>Save a biped motion file. A<em>.bip</em> file includes footsteps and keyframe data. Biped files store the complete movement and allow you to create libraries of motion. Create your own <em>.bip</em> library by animating the biped and saving a <em>.bip</em> file. This method will generate a runtime error if run while the biped is in Figure, Footstep, or Motion Flow modes. If the Biped contains footstep animation, the entire animation is always saved.</p>\n\
<p>The optional arguments are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#saveMaxObjects </code></pre><p>Save MAX objects</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#saveSubAnimControllers </code></pre><p>Save List controllers</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#saveSelectedMaxObjects #saveSelectedSubAnimControllers </code></pre><p>The saveBipFile and saveBipFileSegment functions in <strong>3ds Max7 and higher</strong> let you selectively pick objects and subanims to save.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>For the selected objects, you pass in an array of strings of the nodes you wish to save. For the subanims you wish to save you pass in an array of biped nodes and an array of corresponding subanim integers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.saveBipFileSegment &lt;biped_ctrl&gt; &lt;file_name&gt; &lt;StartSeg&gt; &lt;EndSeg&gt; [#keyPerFrame] [#saveSubAnimControllers] [#saveMaxObjects] [#saveSelectedMaxObjects node_array] [#saveSelectedSubAnimControllers node_array int_array ] </code></pre><p>Save a biped motion file for the specified time segment. StartSeg and EndSeg are integer values specifying the begin and end frames of the time segment to save. This method will generate a runtime error if run while the biped is in Figure, Footstep, or Motion Flow modes.</p>\n\
<p>The optional arguments are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#keyPerFrame </code></pre><p>Saves a key per frame per object</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#saveMaxObjects </code></pre><p>Save MAX objects</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#saveSubAnimControllers </code></pre><p>Save List controllers</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#saveSelectedMaxObjects #saveSelectedSubAnimControllers </code></pre><p>The saveBipFile and saveBipFileSegment functions in <strong>3ds Max7 and higher</strong> let you selectively pick objects and subanims to save.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>For the selected objects, you pass in an array of strings of the nodes you wish to save. For the subanims you wish to save you pass in an array of biped nodes and an array of corresponding subanim integers.</p>\n\
<h2 id=\"motion-file-dialog-methods\">Motion File Dialog Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.loadBipFileDlg &lt;biped_ctrl&gt; </code></pre><p>Displays the load biped dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.saveBipFileDlg &lt;biped_ctrl&gt; </code></pre><p>Displays the save biped dialog.</p>\n\
<h2 id=\"figure-file-access-methods\">Figure File Access Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.LoadFigFile &lt;biped_ctrl&gt; &lt;filename&gt; [#noRedraw] </code></pre><p>Load a Figure file. Figure mode must be active to load a Figure file. Figure files allow you to apply the structure of one biped to another. Reload a Figure file if you accidentally lose your biped Figure mode pose; this pose is the biped fitted to a mesh.</p>\n\
<p>The optional argument is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#noRedraw - don&#x2019;t redraw viewports after load </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.loadFigJustTwists &lt;biped_ctrl&gt;&lt;filename&gt; [#noRedraw] </code></pre><p>Load just the Twists from a Figure file. Figure mode must be active to load a Figure file. Corresponds to the radio button option &quot;Load Twist Poses Only&quot; in the Load Figure file dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.loadFigNoTwists &lt;biped_ctrl&gt;&lt;filename&gt; [#noRedraw] </code></pre><p>Load a Figure file without the Twists. Figure mode must be active to load a Figure file. Corresponds to the radio button option &quot;Don&apos;t Load Twist Poses&quot; in the Load Figure file dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.SaveFigFile &lt;biped_ctrl&gt; &lt;filename&gt; </code></pre><p>Save the structure and position of a biped in Figure mode.</p>\n\
<h2 id=\"step-file-access-methods\">Step File Access Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.LoadStpFile &lt;biped_ctrl&gt; &lt;filename&gt; [#noRedraw] </code></pre><p>Step files save footsteps, but don&apos;t save body keyframes. They are an ASCII file format that enables developers to write programs that generate step files for biped motion. The online document stp.rtf, provided with character studio in the \\cstudio\\docs directory, describes the .<em>stp</em> format.</p>\n\
<p>The optional argument is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#noRedraw - don&#x2019;t redraw viewports after load </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.SaveStpFile &lt;biped_ctrl&gt; &lt;filename&gt; </code></pre><p>Save footstep file.</p>\n\
<h2 id=\"motion-capture-file-access-methods\">Motion Capture File Access Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.loadMocapFile &lt;biped_ctrl&gt; &lt;file_name&gt; [#prompt] [#noRedraw] </code></pre><p>Load a motion capture (.BIP, .BVH, .CSM) file. If.</p>\n\
<p>The optional arguments are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#prompt - the file is not automatically loaded, rather the Motion Capture Conversion Parameters dialog is displayed with the specified file as the motion capture file \n\
#noRedraw - don&#x2019;t redraw viewports after load </code></pre><h2 id=\"talent-file-access-methods\">Talent File Access Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.adjustTalentPose &lt;biped_ctrl&gt; </code></pre><p>After loading a marker file, use Adjust Talent Pose to correct the biped position relative to the markers. Align the biped limbs to the markers then call biped. <strong>adjustTalentPose</strong> to compute this offset for all the loaded marker data.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Calibration controls are only enabled when a marker or .<em>bvh</em> file is imported in its raw form. Do not use key reduction or extract footsteps when you import a marker file for the first time.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.saveTalentFigFile &lt;biped_ctrl&gt; &lt;file_name&gt; </code></pre><p>After changing the biped scale in Talent Figure mode, save the changes into a .<em>fig</em> file. Use this file in the Motion Capture Conversion Parameters dialog to adjust marker files created by the same actor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.saveTalentPoseFile &lt;biped_ctrl&gt; &lt;file_name&gt; </code></pre><p>Save a Talent Pose adjustment as a <em>.cal</em> file.</p>\n\
<p>Save a .<em>cal</em> file after adjusting the biped relative to the markers. A .<em>cal</em> file is used for processing marker files that require the same adjustment. A .<em>cal</em> file can be loaded in the Motion Capture Conversion Parameters dialog during marker file importation.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-General-Topics.html\">Biped General Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";