var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3FD0F5E7-FCFB-46B4-91A2-CC3C82E86F55\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Sub Anim Methods</h1></div><p>A set of Biped Sub Anim helper functions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.createPosSubAnims &lt;biped_ctrl&gt; &lt;control&gt; &lt;bool_checkIfExists&gt;         \n\
biped.createRotSubAnims &lt;biped_ctrl&gt; &lt;control&gt; &lt;bool_checkIfExists&gt;         \n\
biped.createScaleSubAnims &lt;biped_ctrl&gt; &lt;control&gt; &lt;bool_checkIfExists&gt;      </code></pre><p>These functions place a clone of the specified control in the subanim control of every biped body part. If <code>checkIfExists</code> is <code>true</code> we check first to see whether or not the control of the same type already exists, if so we do not create it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setPosSubAnim &lt;biped_ctrl&gt; &lt;point3&gt; &lt;node&gt; &lt;bool_absolute&gt;      \n\
biped.setRotSubAnim &lt;biped_ctrl&gt; &lt;quat&gt; &lt;node&gt; &lt;bool_absolute&gt;      \n\
biped.setScaleSubAnim &lt;biped_ctrl&gt; &lt;point3&gt; &lt;node&gt;   </code></pre><p>These functions set the particular sub anim for the specified node with the specified value. If <code>absolute</code> is <code>true</code> then the specified position or rotation value is the absolute world space position or rotation of the combined biped + subanims (so the subanim stores the difference between the current biped value and the specified value). If <code>false</code> , then the specified value is the value that&apos;s stored the subanim.  Setting the Scale subanim always stores the specified value in subanim. These methods are not applicable to the biped&#x2019;s COM node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.collapsePosSubAnims &lt;biped_ctrl&gt; &lt;bool_perFrame&gt; &lt;bool_keep&gt; &lt;node&gt;   \n\
biped.collapseRotSubAnims &lt;biped_ctrl&gt; &lt;bool_perFrame&gt; &lt;bool_keep&gt; &lt;node&gt;   \n\
biped.collapseAllPosSubAnims &lt;biped_ctrl&gt; &lt;bool_perFrame&gt; &lt;bool_keep&gt;   \n\
biped.collapseAllRotSubAnims &lt;biped_ctrl&gt; &lt;bool_perFrame&gt; &lt;bool_keep&gt; </code></pre><p>These functions collapse the sub anim onto the specified node or all nodes. If <code>perFrame</code> is <code>true</code> a key is created per frame, otherwise only the biped&apos;s keys are modified. If <code>keep</code> is <code>true</code> then the subAnim is not deleted, otherwise it is.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bipObj = biped.createNew 100 100 [0,0,0]\n\
   bip = bipObj.controller\n\
   b=bezier_position()\n\
   biped.createPosSubAnims bip b true\n\
   biped.setPosSubAnim bip [20,0,60] $&apos;Bip001 R Hand&apos; true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-General-Topics.html\">Biped General Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Biped-Controllers/Biped-SubAnim-Controller.html\">Biped SubAnim Controller</a></li>\n\
          <li><a class=\"link\" href=\"../Biped-Controllers.html\">Biped Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";