var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-082B8EB1-B1A7-4D12-92D4-005A2CD899D6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Keys</h1></div><p>All common MAXScript key functions like deleteKey, selectKeys, moveKeys, and others can be used with Biped keys with the exceptions of addNewKey and deleteKeys. These methods are substituted with the following methods.</p>\n\
<p><strong>Method</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.addNewKey &lt;biped_controller&gt; &lt;time&gt; [#select]      </code></pre><p>Where,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;</code></pre><p>Adds a new key to the controller track at the specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[#select]   </code></pre><p>The new key is also selected if the #select optional argument is specified.</p>\n\
<p>The value for the new key is the interpolated controller value at the specified time. The value for the new key is the interpolated controller value at that time. The new key is also selected if the<strong>#select</strong> optional argument is specified.</p>\n\
<p><strong>addNewKey</strong>() will not add a key if a key already exists at the specified time. The return value is the key located at the specified time.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The biped COM and props&#x2019; controllers are not keyable.</div>\n\
<p><strong>Method</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.deleteKeys &lt;biped_controller&gt; [#allKeys] [#selection] </code></pre><p>Where,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[#allKeys] </code></pre><p>Deletes all the controller&#x2019;s keys. The default if no other arguments specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[#selection] </code></pre><p>Deletes the selected keys.</p>\n\
<p>Deletes either all keys or all selected keys from the controller. If neither <strong>#allKeys</strong> or <strong>#selection</strong> is specified, all keys are deleted.</p>\n\
<h2 id=\"accessing-a-biped-controller-key-by-index\">Accessing a Biped Controller Key by Index</h2><p>Accessing a Biped controller key by indexing into the <strong>.keys</strong> property of the controller returns a type of key that MAXScript does not recognize. To get a Biped controller key by index use the following method:</p>\n\
<p><strong>Method</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getKey ( &lt;biped_controller&gt; | &lt;footstep_ctrl&gt; ) &lt;index&gt; </code></pre><p>Where,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;biped_controller&gt;</code></pre><p>A biped object controller</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;footstep_ctrl&gt;</code></pre><p>A biped footstep controller</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;</code></pre><p>Which key to retrieve from the controller</p>\n\
<p>Returns an instance of BipedKey for Biped body controllers and BipedFSKey for footstep controllers. BipedKey and BipedFSKey are defined below.</p>\n\
<p>Not all of the Biped elements contain their own transform controller. Rather, a controller on an object typically higher in the hierarchy might store the transform key for an element. For example, the transforms for all the fingers on a hand are stored in either the Finger0 or Clavicle transform controller. This depends on whether &quot;Separate Tracks for Arms&quot; is set to true or false, respectively.</p>\n\
<p>The following example will get the first key for each of the subcontrollers of the $Bip01 Vertical_Horizontail_Turn transform controller and show their properties.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bipObj = biped.createNew 100 100 [0,0,0] \n\
   -- select bipObj   \n\
   bip = bipObj.transform.controller\n\
\n\
   -- Obtain the subcontrollers\n\
   vertCont = bip.vertical.controller\n\
   horzCont = bip.horizontal.controller\n\
   turnCont = bip.turning.controller\n\
\n\
   -- Add some keys\n\
   biped.addNewKey vertCont 1\n\
   biped.addNewKey horzCont 1\n\
   biped.addNewKey turnCont 1\n\
\n\
\n\
   -- Get the first key for each subcontroller\n\
   vk = biped.getKey vertCont 1 \n\
   hk = biped.getKey horzCont 1 \n\
   tk = biped.getKey turnCont 1 \n\
   -- Show the properties for the individual subcontroller key types \n\
\n\
   showProperties vk \n\
   showProperties hk \n\
   showProperties tk\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Biped-Keys/BipedKey-MAXObject.html\">BipedKey : MAXObject</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Biped-Keys/BipedFSKey-MAXObject-1.html\">BipedFSKey : MAXObject</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Biped-Keys/BipedKey-MAXObject.html\">BipedKey : MAXObject</a></li>\n\
          <li><a class=\"link\" href=\"Biped-Keys/BipedFSKey-MAXObject-1.html\">BipedFSKey : MAXObject</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";