var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-319A6C63-9487-4DE8-8CD1-C78402F3957A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MoFlow : MaxWrapper</h1></div><p>This class can be used to access features in the Biped Motion Flow panel. An instance of this class is returned by the <strong>.motionFlow</strong> property of a <a href=\"./../Biped-Controllers/Biped-Vertical_Horizontal_Turn.html\">Biped Body Controller</a>.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;moflow&gt;.scripts Array Default: #()         -- Read-onlyAn array of motion flow scripts (MoFlowScript values).     </code></pre><p>A Script is a list of clips (.*bip *files) that are executed sequentially to animate a character.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;moflow&gt;.activeScript MoFlowScript Default:undefined   </code></pre><p>Get/set which MoFlowScript in scripts array is the active script. If the specified MoFlowScript is not in the scripts array, no action occurs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;moflow&gt;.snippets Array Default: #()   -- Read-only </code></pre><p>An array of motion flow snippets (MoFlowSnippet values).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;moflow&gt;.selSnippets BitArray Default: #{} </code></pre><p>A bitarray specifying the motion flow snippets that are selected in the Motion Flow Graph.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;moflow&gt;.startFrame Integer Default: 0 -- Read-only</code></pre><p>The start frame of currently active motion flow script.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;moflow&gt;.endFrame Integer Default: 0 -- Read-only</code></pre><p>The last frame of currently active motion flow script.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loadMoFlowFile&lt;moflow&gt; &lt;file_name&gt; [quiet:&lt;boolean&gt; ] </code></pre><p>Load a Motion Flow Editor file (.mfe). Motion Flow Editor files include:</p>\n\
<p><strong>Clips</strong>: references to biped animation files.</p>\n\
<p><strong>Transitions</strong>: The names, attributes, and connections between clips.</p>\n\
<p><strong>Scripts</strong>: different paths through a set of connected clips and transitions.</p>\n\
<p>If <strong>quiet:true</strong>, which is the default, any warning message dialogs are suppressed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">saveMoFlowFile &lt;moflow&gt; &lt;file_name&gt; </code></pre><p>Save a Motion Flow Editor file (.mfe).</p>\n\
<p>Load/Save a motion flow (.MFE) file.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The location of the referenced .<em>bip</em> files is saved in the <em>.mfe</em> file. If the<em>.bip</em> file cannot be found, the program looks to the motion flow directory specified in <em>\\plugcfg\\biped.ini</em>. By default, this setting is <strong>MoFlowDir=<maxdir>\\cstudio\\scripts</maxdir></strong></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If a referenced <em>.bip</em> file cannot be found in its current location, you will need to move it to the specified Motion Flow directory. You can change the location of this directory at any time by editing your <em>biped.ini</em> file with a text editor. The new directory will be used the next time you restart <strong>3ds Max</strong>. You can also add multiple search paths to your biped.ini file by repeating the <em>MoFloDir=</em> line multiple times. The program will search the directories in the order they appear and will use the first instance of the file that it finds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loadSnippetFiles &lt;moflow&gt; </code></pre><p>Loads the snippet files whose file names are assigned. This function should be called whenever new snippets are added.</p>\n\
<p>Clips represent all or part of a .*bip *file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addScript &lt;moflow&gt; &lt;name&gt; </code></pre><p>Scripts represent different paths through the clips in the Motion Flow Graph.</p>\n\
<p>Creates a new motion flow script with the given name and adds it to the motion flow. Returns the new MoFlowScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteScript &lt;moflow&gt; &lt;MoFlowScript&gt; \n\
deleteScript &lt;moflow&gt; &lt;index_integer&gt; </code></pre><p>Deletes the specified script. If the second argument is an integer, the script deleted is the indexed script in the motion flow&#x2019;s .scripts array.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <strong>deleteScript</strong> sets the active script to the first script. To maintain the current active script store and set <code>&lt;motionflow&gt;.activeScript</code> around the call to <strong>deleteScript</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getScriptIndex &lt;moflow&gt; &lt;MoFlowScript&gt; </code></pre><p>Given the script, returns its index in the script&#x2019;s combobox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSnippetIndex &lt;moflow&gt; &lt;MoFlowSnippet&gt; </code></pre><p>Given the snippet, returns its index in the in the motion flow&#x2019;s .snippets array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">computeAnimation &lt;moflow&gt; [redraw:&lt;true&gt;] [incGlobals:&lt;false&gt;] </code></pre><p>Computes the global flow network. This function has to be called to update any changes made to the motion flow network. <strong>redraw:true</strong> will redraw the viewports. <strong>incGlobals:true</strong> will also include the global motion flow network.</p>\n\
<p><strong>Related Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">newSnippet &lt;moflow&gt; &lt;filename&gt; &lt;point2_pos&gt; &lt;redraw:true&gt; &lt;load:true&gt; </code></pre><p>Adds a new MoFlowSnippet to the motion flow network, from the given .bip file. <code>&lt;point2_pos&gt;</code> is the position in windows coordinates where the origin is the top left of the snippet in the motion flow graph. <strong>Redraw:true</strong> will redraw the graph window. <strong>Load:true</strong> will immediately load the snippet</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-Motion-Flow.html\">Biped Motion Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Biped-Controllers.html\">Biped Controllers</a></li>\n\
          <li><a class=\"link\" href=\"MoFlowScript-MaxWrapper.html\">MoFlowScript : MaxWrapper</a></li>\n\
          <li><a class=\"link\" href=\"MoFlowSnippet-MaxWrapper.html\">MoFlowSnippet : MaxWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";