var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-10A0C4F9-D22E-4203-A775-5087AA190156\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Nested Object Properties</h1></div><p>Several of the properties on <strong>3ds Max</strong> objects contain values that are themselves compound, for example <code>&lt;node&gt;.pos</code> yields a Point3, which itself contains <code>x</code> , <code>y</code> and <code>z</code> properties.</p>\n\
<p>MAXScript provides a mechanism that lets you modify these nested properties on MAXWrapper objects <strong>in place</strong> such that assignment to them will affect that nested property on the <strong>3ds Max</strong> object.</p>\n\
<p>This mechanism depends on the nested property being accessed in <strong>one, cascaded</strong> property access.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.pos.x += 23-- move the node 23 units in x\n\
   $baz.rotation.angle *= 2-- double the rotation\n\
</code></pre></blockquote>\n\
<p>If you first get the intermediate value into some variable and then set the property on that value, the change will <strong>not</strong> be reflected in the original object, the connection is only maintained within a single cascaded property access.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   p = $foo.pos-- get foo&apos;s position as a &apos;detached&apos; point3\n\
   p.x += 23-- set the x prop of that point, it doesn&apos;t know\n\
   -- about foo anymore, foo&apos;s pos isnotchanged\n\
</code></pre><p>   In this case, you would have to explicitly re-assign the free-standing point to $foo&apos;s position to affect $foo:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.pos = p-- set foo&apos;s new position\n\
</code></pre></blockquote>\n\
<p>In general, any property on a MAXWrapper object that is itself a foundation compound value such as a Point3 or Quat will yield a free-standing value when simply accessed and supports object sub-property assignment in cascaded property assignment.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXWrapper-Value.html\">MAXWrapper : Value</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";