var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-23A6A316-7C51-430C-8A44-9236C837DB10\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Material Common Properties, Operators, and Methods</h1></div><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;material&gt;.name </code></pre><p>All the material subclasses can access the <code>name</code> property and specify it as a constructor parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;material&gt;.effectsChannel </code></pre><p>All the material subclasses can access the <code>effectsChannel</code> property and specify it as a constructor parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;material&gt;.showInViewport </code></pre><p>Accesses the material-level show-in-viewport state, which can also be set on a material constructor call using the <code>showInViewport</code> : parameter.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box()\n\
   b.material = standard diffuseMap:(checker()) showInViewport:true\n\
</code></pre></blockquote>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">assignNewName &lt;material&gt; </code></pre><p>Modifies the name of the specified material to make it unique. The name is of the form &quot;Material #1&quot; where the number is incremented as required to make ensure it&#x2019;s unique.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">okMtlForScene &lt;material&gt; </code></pre><p>Tests the material name against other material names in the scene, and returns <code>true</code> if there are no other materials with the same name, <code>false</code> otherwise. Before assigning material to scene, call this to avoid duplicate names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMTLMEditFlags ( &lt;material&gt; | &lt;texture&gt; ) setMTLMEditFlags ( &lt;material&gt; | &lt;texture&gt; ) &lt;bitarray&gt; </code></pre><p>Get and set the MEdit options for the specified material or texture as a <code>&lt;bitarray&gt;</code>. If a bit is on, the corresponding option is turned on. The order of the bits is: <code>#{MTL_BEING_EDITED,BACKGROUND,BACKLIGHT,VIDEO_COLOR_CHECK}</code></p>\n\
<p>The first bit is set if the rollout for the specified material or texture is currently displayed in the active MEdit slot. The state of this bit is ignored in setMTLMEditFlags().</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMTLMeditObjType ( &lt;material&gt; | &lt;texture&gt; ) setMTLMeditObjType ( &lt;material&gt; | &lt;texture&gt; ) &lt;integer&gt; </code></pre><p>Get and set the MEdit sample object type for the specified material or texture. The valid values are: 1 - sphere; 2 - cylinder; 3 - cube; 4 - custom</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMTLMeditTiling ( &lt;material&gt; | &lt;texture&gt; ) setMTLMeditTiling ( &lt;material&gt; | &lt;texture&gt; ) &lt;integer&gt; </code></pre><p>Get and set the MEdit tiling type for the specified material or texture. The valid values are: 1 - 1x1; 2 - 2x2; 3 - 3x3; 4 - 4x4</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">updateMTLInMedit ( &lt;material&gt; | &lt;texture&gt; ) </code></pre><p>Performs a set of <strong>3ds Max</strong> notifications that forces an update of the material or texture throughout <strong>3ds Max</strong>, including the MEdit and material browser.</p>\n\
<p>You can get and set Material Editor materials using the <code>getMeditMaterial()</code> and <code>setMeditMaterial()</code> functions. You can also get a material from the Material Editor using the <code>editMaterials</code> virtual array. See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/Material-Editor-1.html\">Material Editor</a> and <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\">MaterialLibrary Values</a> for more information.</p>\n\
<p>The following methods are available in <strong>3ds Max 6 and higher:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; getNumSubMtls &lt;material&gt; </code></pre><p>This method returns the number of sub materials for the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;material&gt; getSubMtl &lt;material&gt; &lt;index&gt; </code></pre><p>This method returns the indexed sub material of the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setSubMtl &lt;material&gt; &lt;index&gt; &lt;material&gt; </code></pre><p>This method sets the indexed sub material of the material to the specified material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSubMtlSlotName &lt;material&gt; &lt;index&gt;&#x202F;[localizedName:&lt;bool&gt;] </code></pre><p>This method returns the slot name of the indexed sub material of the material.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> When the <code>localizedName</code> keyword parameter is <code>true</code> (the default), the localized name as it appears in the UI is returned.  Otherwise the non-localized name is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; getNumSubTexmaps (&lt;material&gt; | &lt;texture&gt;) </code></pre><p>This method returns the number of sub textures for the material or texture.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;material&gt; getSubTexmap (&lt;material&gt; | &lt;texture&gt;) &lt;index&gt; </code></pre><p>This method returns the indexed sub texture of the material or texture.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setSubTexmap (&lt;material&gt; | &lt;texture&gt;) &lt;index&gt; &lt;texture&gt; </code></pre><p>This method sets the indexed sub texture of the material or texture to the specified texture.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSubTexmapSlotName (&lt;material&gt; | &lt;texture&gt;) &lt;index&gt;&#x202F;[localizedName:&lt;bool&gt;] </code></pre><p>This method returns the slot name of the indexed sub texture of the material or texture.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> When the <code>localizedName</code> keyword parameter is <code>true</code> (the default), the localized name as it appears in the UI is returned.  Otherwise the non-localized name is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; isMtlUsedInSceneMtl  &lt;material&gt; skipCustAttributes:&lt;true&gt; includeXrefScenes:&lt;false&gt; topLevelMtlOnly:&lt;false&gt;</code></pre><p>Available in <strong>3ds Max 2018 and higher</strong>: This function returns true if the specified material or texturemap is used in some way by any material that is assigned to a node in the scene. Specify <strong>skipCustAttributes</strong> as true to skip over any MAXWrapper objects held in Custom Attributes. Set <strong>includeXrefScenes</strong> as true to search any Xrefed scenes as well. Specify <strong>topLevelMtlOnly</strong> as true to only check the diffusemap (maps[1]) of each material.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-MAXWrapper.html\">Material : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\">MaterialLibrary Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";