var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7ECB1E85-6199-4143-BEDA-3B26DD35E0C3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MultiMaterial : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">multimaterial - superclass: material; super-superclass:MAXWrapper - classID: #(512, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">multimaterial [numsubs:&lt;integer&gt;]\n\
multiSubMaterial [numsubs:&lt;integer&gt;]   </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <code>MultiSubMaterial</code> is obsolete and is visible only for backward compatibility.</div>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;multimaterial&gt;.numsubs </code></pre><p>Sets the number of sub-materials in the MultiMaterial.</p>\n\
<p>When getting this value, the result will be the number of sub-anims in the MultiMaterial.</p>\n\
<p>Please see the <strong>Historical Notes</strong> at the end of this page for important details on how the behaviour of this property has changed between <strong>3ds Max</strong> versions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;multimaterial&gt;.materialList ArrayParameter default: #(Standard, Standard, ... Standard, Standard) </code></pre><p>Stores the Material for each sub-material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;multimaterial&gt;.mapEnabled ArrayParameter default: #(true, true, ... true, true) </code></pre><p>Stores whether the sub-material is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;multimaterial&gt;.names ArrayParameter default: #(&quot;&quot;, &quot;&quot;, ... &quot;&quot;, &quot;&quot;) </code></pre><p>Stores the sub-material slot name (not the sub-material name).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;multimaterial&gt;.materialIDList ArrayParameter default: #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10) -- int array; Index </code></pre><p>Stores the sub-material ID&#x2019;s.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  The 3ds Max UI has a limit for Material ID values of 1000, while MAXScript has a limit of 60,000. This means you can set ID values larger than 1000 in MAXScript, but if a user subsequently attempts to set the Material ID in the UI to a value higher than 1000, it will be set to 1000. If you attempt to set a Material ID to a value larger than 60,000 in MAXScript, it will cause an exception.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;multimaterial&gt;.material1 Standardmaterial default: Standard -- alias for materialList[0]; SubAnim </code></pre><p>Stores the material.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Each of the arrays contains as many elements as there are sub-materials.</p>\n\
<p>The <code>materialList</code> array stores the Material for each sub-material.</p>\n\
<p>The <code>mapEnabled</code> array stores whether that sub-material is enabled.</p>\n\
<p>The <code>names</code> array stores the sub-material slot name (not the sub-material name).</p>\n\
<p>The <code>materialIDList</code> stores the Material ID corresponding to the sub-material.</p>\n\
<p>If the <code>numsubs</code> named parameter is not specified, the default <code>numsubs</code> value is 10.</p>\n\
<p>The number of sub-materials can be changed after material creation by changing the <code>numsubs</code> property value.</p>\n\
<p>The number of sub-materials can also be changed by setting the <code>count</code> property for the <code>materialList,mapEnabled</code> , or <code>names</code> property to the desired number.</p>\n\
<p><code>material1</code> is an alias for <code>materialList\\[1\\]</code> .</p>\n\
<p>In versions prior to <strong>3ds Max 4</strong>, MultiMaterials had sub-materials arranged in a table, so MAXScript also allowed access to these sub-materials using the array indexing accessor:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mm = multimaterial numsubs:3\n\
   mm[1] = $foo.material\n\
   $baz.material = mm[2]\n\
</code></pre></blockquote>\n\
<p>See the notes below regarding indexed access in newer versions of <strong>3ds Max</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>HISTORICALNOTES REGARDING .NUMSUBS:</strong></p>\n\
<p>   The <code>.numsubs</code> property is normally a read-only property that returns the number of immediate subAnims in any MAXWrapper as explained in the topic <a href=\"./../../Identifying-and-Accessing/Indexed-Access-to-Animatable.html\">Indexed Access to Animatable Properties in3ds Max Objects</a>.</p>\n\
<p>   Originally, in <strong>3ds Max prior to version 4</strong>, the value returned by the <code>.numsubs</code> property in the MultiMaterial was equivalent to the number of sub-materials in the MultiMaterial because there were always as many sub-materials in the MultiMaterial as there were Material IDs to be assigned. In addition, the <code>.numsubs</code> property can be both get and set in a MultiMaterial.</p>\n\
<p>   After the introduction of the <code>.materialIDList</code> property that specifies the correspondence between the sub-materials and the Material IDs, it became possible to have sub-materials corresponding to much higher Material IDs than the total number of sub-materials. In this case, the number of sub-anims in the MultiMaterial will be set internally to reflect the highest ID, with any sub-anims without corresponding Material IDs left undefined.</p>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<p>   Creating a default MultiMaterial with 10 sub-materials and accessing the <code>.count</code> of the <code>MaterialIDList</code> or <code>.materialList</code> and the <code>.numsubs</code> property always returns 10:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theMat = multiMaterial()\n\
   --&gt; #Multi/Sub-Object:Multimaterial(Standard:Material #25, Standard:Material #26, Standard:Material #27, Standard:Material #28, Standard:Material #29, Standard:Material #30, Standard:Material #31, Standard:Material #32, Standard:Material #33, Standard:Material #34)\n\
   theMat.materialList.count\n\
   --&gt; 10\n\
   theMat.numsubs\n\
   --&gt; 10\n\
</code></pre><p>   But, assigning Material ID 20 to the 10 th material and looking at the same values shows a different picture:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theMat.materialIDList[10]=20\n\
   --&gt; 20\n\
   theMat.materialIDList\n\
   --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 20)\n\
   theMat.materialList.count--still 10 sub-materials\n\
   --&gt; 10\n\
   theMat.numsubs--but the number of sub-anims is 20!\n\
   --&gt; 20\n\
   --Let&apos;s print the sub-anims to get a better idea:\n\
   for i = 1 to theMat.numsubs do format &quot;%: %\\n&quot; i theMat[i]\n\
   --&gt; 1: Material #25:Standard\n\
   --&gt; 2: Material #26:Standard\n\
   --&gt; 3: Material #27:Standard\n\
   --&gt; 4: Material #28:Standard\n\
   --&gt; 5: Material #29:Standard\n\
   --&gt; 6: Material #30:Standard\n\
   --&gt; 7: Material #31:Standard\n\
   --&gt; 8: Material #32:Standard\n\
   --&gt; 9: Material #33:Standard\n\
   --&gt; 10: undefined\n\
   --&gt; 11: undefined\n\
   --&gt; 12: undefined\n\
   --&gt; 13: undefined\n\
   --&gt; 14: undefined\n\
   --&gt; 15: undefined\n\
   --&gt; 16: undefined\n\
   --&gt; 17: undefined\n\
   --&gt; 18: undefined\n\
   --&gt; 19: undefined\n\
   --&gt; 20: Material #34:Standard\n\
   --&gt; OK\n\
</code></pre><p>   From this example it is obvious that the sub-material 10 corresponding to Material ID 20 was stored internally in the sub-anim track 20, leaving sub-anims 10 to 19 undefined.</p>\n\
<p>   Thus, it is a good idea to use the <code>.materialList</code> property to iterate through sub-materials instead of using the indexed access to sub-anims.</p>\n\
</blockquote>\n\
<p>See also <a href=\"./../../../Frequently-Asked-Questions/Practical-Questions/Accessing-Object-Properties/How-do-I-Sort-a-MultiMaterial-By.html\">How do I Sort a MultiMaterial By Material ID?</a> in the <a href=\"./../../../Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\">FAQ</a> Chapter for more examples of working with MultiMaterials.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";