var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EC764BAB-C904-4061-8163-104B1C170C6D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>FluidLoader : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FluidLoader : GeometryClass {6dad24c7,885cba23}</code></pre><p>: This class exposes the functionality of the Fluid Loader geometry object. Available in <strong>3ds Max 2019.2 Update and higher</strong>.</p>\n\
<p>This class is exposed but not implemented in <strong>3ds Max 2018.4 to 3ds Max 2019.1 Update</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FluidLoader()\n\
BifLoader()</code></pre><h2 id=\"properties\">Properties</h2><p>This class has many properties. They are organized here according to their order of appearance on the Simulation View dialog.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Properties not listed here should be considered as for internal use only, or reserved for future implementation.</div>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#general-properties\">General Properties</a></li>\n\
<li><a href=\"#loader-properties-tab-properties\">Loader Properties Tab Properties</a></li>\n\
<li><a href=\"#display-settings-tab-properties\">Display Settings Tab Properties</a><ul>\n\
<li><a href=\"#liquid-settings-rollup\">Liquid Settings Rollup</a></li>\n\
<li><a href=\"#foam-settings-rollup\">Foam Settings Rollup</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#render-settings-tab-properties\">Render Settings Tab Properties</a><ul>\n\
<li><a href=\"#liquid-settings-rollup\">Liquid Settings Rollup</a></li>\n\
<li><a href=\"#foam-settings-rollup\">Foam Settings Rollup</a></li>\n\
<li><a href=\"#arnold-specific-render-properties\">Arnold-specific Render Properties</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#properties-not-exposed-in-the-ui\">Properties not exposed in the UI</a><ul>\n\
<li><a href=\"#interfaces\">Interfaces</a></li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h3 id=\"general-properties\">General Properties</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.showIcon Integer default: 1 -- integer        </code></pre><p>Indicates whether to show the Fluid Loader icon in the viewport, where 0 = false (don&apos;t show) and 1 = true (show).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.iconSize Float default: 10.0 -- worldUnits        </code></pre><p>The size of the FluidLoader icon in the viewport, in world units.</p>\n\
<h3 id=\"loader-properties-tab-properties\">Loader Properties Tab Properties</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.cacheFlagsTab ArrayParameter default: #() -- int array; SubAnim        </code></pre><p>An array of integers that specify how the corresponding cache file (by index) is used and displayed, where:</p>\n\
<ul>\n\
<li>1 = Not used, but displayed</li>\n\
<li>2 = Used, but not displayed</li>\n\
<li>3 = Used and displayed</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.cacheNameTab ArrayParameter default: #() -- string array; SubAnim        </code></pre><p>An array that contains the names of the caches loaded by the FluidLoader. These are the files that appear under the <strong>Cache Files</strong> list on the <strong>Loader Properties</strong> tab of the <strong>Simulation View</strong> dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.cacheTab ArrayParameter default: #() -- string array; SubAnim        </code></pre><p>An array that contains the full paths, including the first cache file name, for the caches loaded by the Fluid Loader.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.materialID_Tab ArrayParameter default: #() -- int array; SubAnim        </code></pre><p>An array of material IDs associated with the loaded caches, where the index of the material ID corresponds with the index of the cache in <strong>cacheTab</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.materialIDIndirect Integer default: 0 -- integer        </code></pre><p>Contains the material ID for the cache currently selected in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.playbackMode_Tab ArrayParameter default: #() -- int array; SubAnim        </code></pre><p>An array that contains the Cache Playback setting for the loaded caches, where the index of the playback mode corresponds with the index of the cache in <strong>cacheTab</strong>.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li>0 = Original Range</li>\n\
<li>1 = Custom Start</li>\n\
<li>2 = Custom Range</li>\n\
<li>3 = Playback Graph</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.playbackModeIndirect Integer default: 0 -- integer        </code></pre><p>The playback mode for the currently selected cache.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.useLoaderObjectTransform BooleanClass default: true -- boolean        </code></pre><p>Indicates whether the loader object transform is used. When true, all the cache files are offset by the transform .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.startFrame_Tab ArrayParameter default: #() -- int array; SubAnim        \n\
&lt;FluidLoader&gt;.endFrame_Tab ArrayParameter default: #() -- int array; SubAnim        </code></pre><p>Arrays that contains the start frame number and end fram number, for caches that have the Cache Playback (<strong>playbackMode_Tab</strong>) set to Custom Range. The index of the frame setting corresponds to the cache index in <strong>cacheTab</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.startFrameIndirect Integer default: 0 -- integer        \n\
&lt;FluidLoader&gt;.endFrameIndirect Integer default: 0 -- integer        </code></pre><p>The Start Frame and End Frame setting for the currently selected cache. This property only applies when the Cache Playback mode is Custom Range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.startOnly_Tab ArrayParameter default: #() -- int array; SubAnim        </code></pre><p>An array that contains the start frame number, for caches that have the Cache Playback (<strong>playbackMode_Tab</strong>) set to Custom Start. The index of the start frame setting corresponds to the cache index in <strong>cacheTab</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.startOnlyIndirect Integer default: 0 -- integer        </code></pre><p>The Start Frame setting for the currently selected cache. This property only applies when the Cache Playback mode is Custom Start.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.playbackFrame_Tab ArrayParameter default: #() -- int array; SubAnim        </code></pre><p>An array that contains the start frame number, for caches that have the Cache Playback (<strong>playbackMode_Tab</strong>) set to Playback Graph. The index of the start frame setting corresponds to the cache index in <strong>cacheTab</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.playbackFrameIndirect Integer default: 0 -- animatable; integer; PlaybackFrame        </code></pre><p>The Start Frame setting for the currently selected cache. This property only applies when the Cache Playback mode is Playback Graph.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.displayCacheLimitEnable BooleanClass default: true -- boolean        </code></pre><p>Indicates whether the cache size limit is turned on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.displayCacheLimit Float default: 8.0 -- float        </code></pre><p>The maximum amount of memory the cache can use, in GB.</p>\n\
<h3 id=\"display-settings-tab-properties\">Display Settings Tab Properties</h3><h4 id=\"liquid-settings-rollup\">Liquid Settings Rollup</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.displayTypeMode Integer default: 3 -- integer        </code></pre><p>The liquid display type, where:</p>\n\
<ul>\n\
<li>0 = Bifrost Dynamic Mesh</li>\n\
<li>3 = Point</li>\n\
<li>4 = Plane</li>\n\
<li>5 = Sphere</li>\n\
<li>6 = Custom</li>\n\
<li>7 = None</li>\n\
</ul>\n\
<p><strong>Mesh Settings</strong></p>\n\
<p>These settings apply when the <strong>displayTypeMode</strong> is 0 (Bifrost Dynamic Mesh).</p>\n\
<p>The <strong>*Accessor</strong> property gets or sets the value for the currently selected cache, while the <strong>*Tab</strong> property corresponds to the cache with the same index in the <strong>cacheTab</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.meshingDropletRevealFactorAccessor Float default: 0.0 -- float        \n\
&lt;FluidLoader&gt;.meshingDropletRevealFactorTab ArrayParameter default: #(3.0) -- float array; SubAnim        </code></pre><p>Creates and preserves detail around splashes when generating and smoothing the mesh. Lower values result in smoother meshes, while higher values give more small, higher frequency detail.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.meshingSurfaceRadiusAccessor Float default: 0.0 -- float        \n\
&lt;FluidLoader&gt;.meshingSurfaceRadiusTab ArrayParameter default: #(1.4) -- float array; SubAnim        </code></pre><p>The radius of each particle blob used to create the surface, in multiples of the Base Voxel size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.meshingDropletRadiusAccessor Float default: 0.0 -- float        \n\
&lt;FluidLoader&gt;.meshingDropletRadiusTab ArrayParameter default: #(1.2) -- float array; SubAnim        </code></pre><p>The radius of each droplet, relative to the Base Voxel size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.meshingKernelFactorAccessor Float default: 0.0 -- float        \n\
&lt;FluidLoader&gt;.meshingKernelFactorTab ArrayParameter default: #(2.0) -- float array; SubAnim        </code></pre><p>Controls the width of the surface smoothing kernel. Smaller values give sharper features and higher curvature in the resulting mesh. Larger values result in smoother features.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.meshingSmoothingAccessor Integer default: 0 -- integer        \n\
&lt;FluidLoader&gt;.meshingSmoothingTab ArrayParameter default: #(3) -- int array; SubAnim        </code></pre><p>The number of smoothing steps performed on a mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.meshingResolutionFactorAccessor Float default: 0.0 -- float        \n\
&lt;FluidLoader&gt;.meshingResolutionFactorTab ArrayParameter default: #(1.0) -- float array; SubAnim        </code></pre><p>A scaling factor for adjusting the particle resolution before the mesh is generated. Higher values create more high-frequency detail at a cost of longer calculation times.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.meshingHoleKillThresholdAccessor Float default: 0.0 -- float        \n\
&lt;FluidLoader&gt;.meshingHoleKillThresholdTab ArrayParameter default: #(0.0) -- float array; SubAnim        </code></pre><p>Increase this value to eliminate meshed holes in the interior of the fluid. Such holes can occur especially when using high Resolution Factor values with spacially adaptive simulations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.meshingFlipFaceNormalAccessor BooleanClass default: false -- boolean        \n\
&lt;FluidLoader&gt;.meshingFlipFaceNormalTab ArrayParameter default: #(false) -- boolean array; SubAnim        </code></pre><p>When true, flips the face normals of the mesh.</p>\n\
<p><strong>Particle Settings</strong></p>\n\
<p>These settings apply with the <strong>displayType</strong> is any value other than 0 (Bifrost Dynamic Mesh) and 7 (None).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.customNode UndefinedClass default: undefined -- node        </code></pre><p>The custom node to use as particles for display when the <strong>displayTypeMode</strong> is 6 (Custom).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.colorChannelMode Integer default: 13 -- integer        </code></pre><p>The channel that drives the fluid color. This property can be:</p>\n\
<ul>\n\
<li>0 = Static (single color)</li>\n\
<li>1 = Age</li>\n\
<li>2 = Air Distance</li>\n\
<li>3 = Churn</li>\n\
<li>4 = Curvature</li>\n\
<li>5 = Density</li>\n\
<li>6 = Droplet</li>\n\
<li>7 = Expansion Rate</li>\n\
<li>8 = Position</li>\n\
<li>9 = Stiction Bandwidth</li>\n\
<li>10 = Stiction Strength</li>\n\
<li>11 = UV</li>\n\
<li>12 = Velocity</li>\n\
<li>13 = Vorticity</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.colorChannelMax Color default: (color 51.9945 223.992 255) -- RGB color\n\
&lt;FluidLoader&gt;.colorChannelMin Color default: (color 0 27.999 255) -- RGB color        </code></pre><p>The color used to indicate minimum and maximum values for the data in the displayed channel, when the <strong>colorChannelMode</strong> is not &quot;static&quot; (0).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.staticColor Color default: (color 0 27.999 255) -- RGB color        </code></pre><p>The color used when the <strong>colorChannelMode</strong> is 0 (static).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.opacityChannelMode Float default: 0.0 -- float        </code></pre><p>The channel that drives the fluid opacity. This property can be:</p>\n\
<ul>\n\
<li>0 = Static (no opacity)</li>\n\
<li>1 = Age</li>\n\
<li>2 = Air Distance</li>\n\
<li>3 = Churn</li>\n\
<li>4 = Curvature</li>\n\
<li>5 = Density</li>\n\
<li>6 = Droplet</li>\n\
<li>7 = Expansion Rate</li>\n\
<li>8 = Position</li>\n\
<li>9 = Stiction Bandwidth</li>\n\
<li>10 = Stiction Strength</li>\n\
<li>11 = UV</li>\n\
<li>12 = Velocity</li>\n\
<li>13 = Vorticity</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.opacityChannelMax Float default: 1.0 -- float        \n\
&lt;FluidLoader&gt;.opacityChannelMin Float default: 0.0 -- float        </code></pre><p>The opacity used to indicate minimum and maximum values for the data in the displayed channel, when the <strong>opacityChannelMode</strong> is not &quot;static&quot; (0).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.staticOpacity Float default: 1.0 -- float        </code></pre><p>The opacity to use when <strong>opacityChannelMode</strong> is 0 (&quot;static&quot;).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.sizeChannelMode Float default: 0.0 -- float        </code></pre><p>The channel that drives the fluid particle size. This property can be:</p>\n\
<ul>\n\
<li>0 = Static (no opacity)</li>\n\
<li>1 = Age</li>\n\
<li>2 = Air Distance</li>\n\
<li>3 = Churn</li>\n\
<li>4 = Curvature</li>\n\
<li>5 = Density</li>\n\
<li>6 = Droplet</li>\n\
<li>7 = Expansion Rate</li>\n\
<li>8 = Position</li>\n\
<li>9 = Stiction Bandwidth</li>\n\
<li>10 = Stiction Strength</li>\n\
<li>11 = UV</li>\n\
<li>12 = Velocity</li>\n\
<li>13 = Vorticity</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.sizeChannelMax Float default: 1.0 -- float        \n\
&lt;FluidLoader&gt;.sizeChannelMin Float default: 0.0 -- float        </code></pre><p>The opacity used to indicate minimum and maximum values for the data in the displayed channel, when the <strong>sizeChannelMode</strong> is not 0 (Static).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.staticSize Float default: 1.0 -- float        </code></pre><p>The liquid particle size used when the <strong>sizeChannelMode</strong> is 0 (Static).</p>\n\
<p><strong>Display</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.viewportPercentAccessor Float default: 100.0 -- float        </code></pre><p>The percent of total liquid particles to display in the viewport.</p>\n\
<h4 id=\"foam-settings-rollup\">Foam Settings Rollup</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamDisplayTypeMode Integer default: 3 -- integer        </code></pre><p>The Foam Display Type, where:</p>\n\
<ul>\n\
<li>3 = Point</li>\n\
<li>4 = Plane</li>\n\
<li>7 = None</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamColorChannelMode Integer default: 0 -- integer        </code></pre><p>Indicates the data channel to use to drive color, where:</p>\n\
<ul>\n\
<li>0 = Static (single color)</li>\n\
<li>5 = Density</li>\n\
<li>8 = Position</li>\n\
<li>12 = Velocity</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamColorChannelMin Color default: (color 255 255 255) -- RGB color        \n\
&lt;FluidLoader&gt;.foamColorChannelMax Color default: (color 47.991 47.991 47.991) -- RGB color        </code></pre><p>The minimum and maximum color values to use to drive the foam color, when the <strong>foamColorChannelMode</strong> is not 0 (static).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamStaticColor Color default: (color 255 255 255) -- RGB color        </code></pre><p>The foam color to use when <strong>foamColorChannelMode</strong> is 0 (static).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamOpacityChannelMode Integer default: 0 -- integer        </code></pre><p>The data channel used to drive foam opacity in the viewport display, where:</p>\n\
<ul>\n\
<li>0 = Static (single color)</li>\n\
<li>5 = Density</li>\n\
<li>8 = Position</li>\n\
<li>12 = Velocity</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamOpacityChannelMin Float default: 0.0 -- float        \n\
&lt;FluidLoader&gt;.foamOpacityChannelMax Float default: 1.0 -- float        </code></pre><p>The minimum and maximum opacity to use, when the <strong>foamOpacityChannelMode</strong> is not 0 (static).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamStaticOpacity Float default: 1.0 -- float        </code></pre><p>The foam opacity to use when <strong>foamOpacityChannelMode</strong> is 0 (static).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamSizeChannelMode Integer default: 5 -- integer        </code></pre><p>Indicates the data channel to use to drive the foam particle size where:</p>\n\
<ul>\n\
<li>0 = Static</li>\n\
<li>5 = Density</li>\n\
<li>8 = Position</li>\n\
<li>12 = Velocity</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamSizeChannelMax Float default: 1.0 -- float        \n\
&lt;FluidLoader&gt;.foamSizeChannelMin Float default: 0.0 -- float        </code></pre><p>The minimum and maximum size range to use, when <strong>foamSizeChannelMode</strong> is not 0 (static).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamStaticSize Float default: 1.0 -- float        </code></pre><p>The foam particle size to use, when <strong>foamSizeChannelMode</strong> is 0 (static).</p>\n\
<p><strong>Display</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamViewportPercentAccessor Float default: 100.0 -- float        </code></pre><p>The percent of total foam particles to display in the viewport.</p>\n\
<h3 id=\"render-settings-tab-properties\">Render Settings Tab Properties</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.renderChannelMapIndex ArrayParameter default: #(2) -- int array; SubAnim        </code></pre><p>An array that contains the indices of render channels for the Fluid Loader. This corresponds to the channels listed under Add Channels on the Render Settings tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.renderChannelMapName ArrayParameter default: #(&quot;velocity&quot;) -- string array; SubAnim        </code></pre><p>An array that contains the names of render channels for the Fluid Loader. This corresponds to the channels listed under Add Channels on the Render Settings tab.</p>\n\
<h4 id=\"liquid-settings-rollup\">Liquid Settings Rollup</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.liquidRenderType Integer default: 6 -- integer        </code></pre><p>The Render As setting, where:</p>\n\
<ul>\n\
<li>0 = Cache Mesh</li>\n\
<li>1 = Plane</li>\n\
<li>2 = Cross</li>\n\
<li>3 = Box</li>\n\
<li>4 = Sphere</li>\n\
<li>5 = Custom</li>\n\
<li>6 = Arnold Surface</li>\n\
<li>7 = None</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.liquidRenderSizeChannel String default: &quot;Static&quot; -- string        \n\
&lt;FluidLoader&gt;.liquidSizeChannelType Integer default: 0 -- integer        </code></pre><p>Specifies the name and type of the size channel for rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.liquidRenderStaticSize Float default: 1.0 -- float        </code></pre><p>Specifies the liquid particle size when the <strong>liquidRenderSizeChannel</strong> is static.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.liquidRenderSizeMax Float default: 1.0 -- float        \n\
&lt;FluidLoader&gt;.liquidRenderSizeMin Float default: 0.0 -- float        \n\
&lt;FluidLoader&gt;.liquidRenderSizeMaxDomain Float default: 1.0 -- float        \n\
&lt;FluidLoader&gt;.liquidRenderSizeMinDomain Float default: 0.0 -- float        </code></pre><p>Specifies the minimum and maximum size and size domain for rendered liquid particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.liquidCustomRenderNode UndefinedClass default: undefined -- node; LiquidRenderCustomNode        </code></pre><p>Holds the scene node used for rendering liquid particles when the liquidRenderType is custom.</p>\n\
<h4 id=\"foam-settings-rollup\">Foam Settings Rollup</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamRenderType Integer default: 0 -- integer; LiquidRenderType        </code></pre><p>The foam Render As setting, where:</p>\n\
<ul>\n\
<li>0 = Arnold Point</li>\n\
<li>1 = Plane</li>\n\
<li>2 = Cross</li>\n\
<li>3 = Box</li>\n\
<li>4 = Sphere</li>\n\
<li>5 = Custom</li>\n\
<li>6 = Arnold Surface</li>\n\
<li>7 = None</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamRenderSizeChannel String default: &quot;Static&quot; -- string\n\
&lt;FluidLoader&gt;.foamSizeChannelType Integer default: 0 -- integer        </code></pre><p>The channel to use for size data when the Render As setting is Plane, Cross, Box, Sphere, or Custom.</p>\n\
<p>The <strong>foamSizeChannelType</strong> can be:</p>\n\
<ul>\n\
<li>0 = Static</li>\n\
<li>1 = Density</li>\n\
<li>2 = Position</li>\n\
<li>3 = Velocity</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamRenderStaticSize Float default: 1.0 -- float        </code></pre><p>The foam particle size to use when the <strong>foamSizeChannelType</strong> is 0 (Static).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamRenderSizeMax Float default: 1.0 -- float        \n\
&lt;FluidLoader&gt;.foamRenderSizeMin Float default: 0.0 -- float        </code></pre><p>The range of foam particle sizes to use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamRenderSizeMaxDomain Float default: 1.0 -- float        \n\
&lt;FluidLoader&gt;.foamRenderSizeMinDomain Float default: 0.0 -- float        </code></pre><p>The range of foam domain sizes to use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.foamCustomRenderNode UndefinedClass default: undefined -- node        </code></pre><p>Custom node to use to redner the foam mesh when <strong>foamRenderType</strong> = 5 (Custom).</p>\n\
<h4 id=\"arnold-specific-render-properties\">Arnold-specific Render Properties</h4><p>These parameters are available when the <strong>liquidRenderType</strong> is Arnold Surface:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.arnoldSurfaceType : integer\n\
&lt;FluidLoader&gt;.arnoldRenderComponentType : integer\n\
&lt;FluidLoader&gt;.arnoldDropletRevealFactor : float\n\
&lt;FluidLoader&gt;.arnoldSurfaceRadius : float\n\
&lt;FluidLoader&gt;.arnoldDropletRadius : float\n\
&lt;FluidLoader&gt;.arnoldResolutionFactor : float\n\
&lt;FluidLoader&gt;.arnoldHoleKillThreshold : float\n\
&lt;FluidLoader&gt;.arnoldFilteringDilate : float\n\
&lt;FluidLoader&gt;.arnoldFilteringSmooth : float\n\
&lt;FluidLoader&gt;.arnoldFilteringSmoothMode : integer\n\
&lt;FluidLoader&gt;.arnoldFilteringSmoothIterations : integer\n\
&lt;FluidLoader&gt;.arnoldFilteringErode : float\n\
&lt;FluidLoader&gt;.arnoldMeshSubdivisions : integer\n\
&lt;FluidLoader&gt;.arnoldMeshSmoothing : boolean          \n\
&lt;FluidLoader&gt;.arnoldImplicitStepSize : float\n\
&lt;FluidLoader&gt;.arnoldImplicitSamples : integer </code></pre><p><strong>Arnold Point Foam Settings</strong></p>\n\
<p>The following parameters are available when the <strong>foamRenderType</strong> is Arnold Point:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.arnoldPointRadiusChannel : integer\n\
&lt;FluidLoader&gt;.arnoldPointRadius : float\n\
&lt;FluidLoader&gt;.arnoldPointStepSize : float\n\
&lt;FluidLoader&gt;.arnoldPointChunkSize : integer</code></pre><p><strong>Arnold Surface Foam Settings</strong></p>\n\
<p>The following parameters are available when the <strong>foamRenderType</strong> is Arnold Surface:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.arnoldFoamSurfaceType : integer\n\
&lt;FluidLoader&gt;.arnoldFoamDropletRevealFactor : float\n\
&lt;FluidLoader&gt;.arnoldFoamSurfaceRadius : float\n\
&lt;FluidLoader&gt;.arnoldFoamDropletRadius : float\n\
&lt;FluidLoader&gt;.arnoldFoamResolutionFactor : float\n\
&lt;FluidLoader&gt;.arnoldFoamHoleKillThreshold : float\n\
&lt;FluidLoader&gt;.arnoldFoamFilteringDilate : float\n\
&lt;FluidLoader&gt;.arnoldFoamFilteringSmooth Float default: 1.0 -- float        \n\
&lt;FluidLoader&gt;.arnoldFoamFilteringSmoothMode : integer\n\
&lt;FluidLoader&gt;.arnoldFoamFilteringSmoothIterations : integer\n\
&lt;FluidLoader&gt;.arnoldFoamFilteringErode : float\n\
&lt;FluidLoader&gt;.arnoldFoamMeshSubdivisions : integer\n\
&lt;FluidLoader&gt;.arnoldFoamMeshSmoothing : boolean\n\
&lt;FluidLoader&gt;.arnoldFoamImplicitStepSize : float\n\
&lt;FluidLoader&gt;.arnoldFoamImplicitSamples : integer          </code></pre><h3 id=\"properties-not-exposed-in-the-ui\">Properties not exposed in the UI</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FluidLoader&gt;.enableGPUPoints BooleanClass default: true -- boolean        </code></pre><p>Indicates whether points are rendered in the GPU. Standard points only have eight sizes and render slower. This property is on by default.</p>\n\
<h2 id=\"interfaces\">Interfaces</h2><p><strong>Interface: FluidLoaderObject id:{0x036af2c15,0x01d077672}</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<p>None</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;AddCache &lt;string&gt;path &lt;&amp;index&gt;index \n\
         index is Out parameter         </code></pre><p>Adds the cache specified by a full path to the FluidLoader. Note that the path can either be to a file in the cache, or the cache directory itself. The index of the cache in the array of caches (the <strong>.cacheTab</strong> property) is returned in the by reference parameter <code>index</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;RemoveCache &lt;index&gt;index         </code></pre><p>Removes the cache at the specified index from the list of caches (the <strong>.cacheTab</strong> property). Note that this list is 1-based. Returns true if successful, false if not (eg, the index does not exist).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;integer&gt;NumberCaches()         </code></pre><p>Returns the number of caches in the FluidLoader.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetCacheIndex &lt;string&gt;name &lt;&amp;index&gt;index\n\
       index is Out parameter        </code></pre><p>Returns the index of the cache specified by name in the by-reference <code>index</code> parameter. Returns true if the named cache exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;GetPathAndFile &lt;index&gt;index &lt;&amp;string&gt;path \n\
         path is Out parameter         </code></pre><p>Returns the full path to the cache in the by-reference parameter <code>path</code>, at the specified by <code>index</code>. Note that this only returns the path, not the file name. Returns true if the index exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;GetCacheName &lt;index&gt;index &lt;&amp;string&gt;name \n\
         name is Out parameter         </code></pre><p>Returns the cache name in the by-reference parameter <code>name</code>, at the specified by <code>index</code>. Note that this is the name displayed in the Simulation View UI, not the cache file name or path. Returns true if the index exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetCacheName &lt;index&gt;index &lt;string&gt;name         </code></pre><p>Sets the cache name at the specified by <code>index</code> to the specified <code>name</code>. Note that this is the name displayed in the Simulation View UI, not the cache file name or path. Returns true if the index exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;GetCachePath &lt;index&gt;index &lt;&amp;string&gt;path \n\
         path is Out parameter         </code></pre><p>Returns the full path and file name in the by-reference parameter <code>path</code> for the specified cache <code>index</code>. Returns true if the index exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;GetCacheType &lt;index&gt;index &lt;&amp;enum&gt;type \n\
         type enums: {#unknown|#liquid|#smoke|#foam|#mesh} \n\
         type is Out parameter         </code></pre><p>Returns the cache type in the by-reference parameter <code>type</code> for the specified cache <code>index</code>. Returns true if the index exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;GetCacheRange &lt;index&gt;index &lt;&amp;integer&gt;start &lt;&amp;integer&gt;end \n\
         start is Out parameter \n\
         end is Out parameter         </code></pre><p>Returns the frame range for the cache at the specified <code>index</code> in the by-reference <code>start</code> and <code>end</code> parameters. Returns true if the index exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;GetCacheEnable &lt;index&gt;index &lt;&amp;boolean&gt;enable \n\
         enable is Out parameter         \n\
\n\
 &lt;boolean&gt;SetCacheEnable &lt;index&gt;index &lt;boolean&gt;enable </code></pre><p>Gets or sets the enabled property for the cache at the specified <code>index</code>. This property is displayed in the Simulation View UI as the Use checkbox. Returns true if the index exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;GetCacheDisplay &lt;index&gt;index &lt;&amp;boolean&gt;display \n\
         display is Out parameter \n\
\n\
 &lt;boolean&gt;SetCacheDisplay &lt;index&gt;index &lt;boolean&gt;display </code></pre><p>Gets or sets the display property for the cache at the specified <code>index</code>. This property determines whether the cache is displayed in the viewport. Returns true if the index exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;GetCacheMatID &lt;index&gt;index &lt;&amp;index&gt;matID \n\
         matID is Out parameter \n\
\n\
 &lt;boolean&gt;SetCacheMatID &lt;index&gt;index &lt;index&gt;matID </code></pre><p>Gets or sets the material ID for the cache at the specified <code>index</code>. Returns true if the index exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;GetCachePlaybackMode &lt;index&gt;index &lt;&amp;enum&gt;mode \n\
         mode enums: {#originalRange|#customStart|#customRange|#playbackGraph} \n\
         mode is Out parameter \n\
\n\
 &lt;boolean&gt;SetCachePlaybackMode &lt;index&gt;index &lt;enum&gt;mode \n\
         mode enums: {#originalRange|#customStart|#customRange|#playbackGraph}         </code></pre><p>Gets or sets the playback mode for the cache at the specified <code>index</code>. Returns true if the index exists, false if not.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>None</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Max-Fluid-Classes.html\">Max Fluid Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";