var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-15203C86-5F9F-484E-A89D-7EDF2A20F9DB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MaxLiquid : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MaxLiquid - superclass: GeometryClass; super-superclass:node - 28:0 - classID: #(712128612L, 2137014116L)</code></pre><p>Available in <strong>3ds Max 2018.3 and higher</strong>. The liquid class contains the set up parameters for a fluid simulation, including references to other objects, such as colliders and kill planes, that interact with the liquid in the simulation.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MaxLiquid...</code></pre><h3 id=\"example\">Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Max fluid scene set up\n\
resetmaxFile #noPrompt\n\
p = plane()\n\
\n\
b = box width:70 length:70 height:20\n\
convertto b editable_poly\n\
\n\
subobjectlevel = 4\n\
b.SetSelection #Face #{2}\n\
b.delete #face\n\
addmodifier b (shell outerAmount:3.0)\n\
\n\
liquid = maxLiquid pos:[0,0,50]\n\
-- don&apos;t do this:\n\
-- append liquid.collider_Meshes b\n\
-- append liquid.killplanes p\n\
liquid.AddCollider b\n\
liquid.AddKillPlane p\n\
\n\
-- create a new solver for the liquid and set the Base Voxel size\n\
liquid.CreateSolver 1\n\
solver = liquid.solvers[1]\n\
solver.baseVoxelSize = 4.0\n\
\n\
-- Turn on override for the first collider:\n\
solver.colliderConversionOverrideTab[1] = true\n\
-- Set thickness for the collider\n\
solver.colliderConversionOverrideThicknessTab[1] = 5.0</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.accelerator_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>Reserved for future use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.cacheOutputFilePattern     String    default: &quot;&lt;ProjectName&gt;\\SimCache\\&lt;ObjectName&gt;\\&lt;SolverName&gt;\\&quot;   --  string</code></pre><p>Reserved for future use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.collider_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>An array of scene nodes that act as colliders with the liquid in the simulation.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with collider meshes, use the <code>Add/Get/Delete</code> methods for Colliders (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.emitter_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>An array of scene nodes that act as liquid emitters. This array is only used when the emitter icon type is &quot;custom&quot;.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with emitter meshes, use the <code>Add/Get/Delete</code> methods for Emitters (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.emitterType     Integer    default: 0   --  integer</code></pre><p>The type of emitter icon, where:</p>\n\
<ul>\n\
<li>0 = sphere</li>\n\
<li>1 = box</li>\n\
<li>2 = plane</li>\n\
<li>3 = custom &#x2013; the nodes in the <strong>emitter_Meshes</strong> array are used as emitters.</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.emitterHeight     Float    default: 5.0   --  animatable; float\n\
&lt;MaxLiquid&gt;.emitterLength     Float    default: 5.0   --  animatable; float\n\
&lt;MaxLiquid&gt;.emitterWidth     Float    default: 5.0   --  animatable; float</code></pre><p>The height, length, and width of the emitter, when it is a box. When it is a sphere, the <strong>emitterLength</strong> is the radius. When the emitter is a plane, only the width and length parameters are used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.exportPRTFiles     BooleanClass    default: false   --  Boolean</code></pre><p>Indicates whether to export voxels as PRT files when running the solve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.field_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>An array of scene nodes that act as motion fields.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with motion fields, use the <code>Add/Get/Delete</code> methods for motion fields (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.foammask_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>An array of scene nodes that act as foam masks.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with foam masks, use the <code>Add/Get/Delete</code> methods for Foam Masks (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.guide_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>An array of scene nodes that act as guide meshes.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with guide meshes, use the <code>Add/Get/Delete</code> methods for Guide Meshes (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.guideEmitter_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>An array of scene nodes that act as Guide Emitters.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with guide emitter meshes, use the <code>Add/Get/Delete</code> methods for Guide Emitters (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.iconSize     Float    default: 10.0   --  float</code></pre><p>The size of the liquid icon in the viewport. Note that this is always in inches, regardless of the scene units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.killplanes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>An array of scene nodes that act as kill planes in the simulation.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with kill planes, use the <code>Add/Get/Delete</code> methods for Kill Planes (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.killVolumeNode     UndefinedClass    default: undefined   --  node</code></pre><p>Reserved for future use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.lastSelectedSolverIndex     Integer    default: 1   --  integer</code></pre><p>Contains the index in the solvers array of the last solve selected by the user.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.maxScratchCacheRAM     Float    default: 1.0   --  float</code></pre><p>Reserved for future use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.renderSolveIndex     Integer    default: 1   --  integer</code></pre><p>Contains the index of the solver in the solver list which was last rendered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.renderSolveLock     BooleanClass    default: false   --  Boolean</code></pre><p>Gets or sets the state of the render lock button, where true indicates that the selected solve is locked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.rootSimDirectory     String    default: &quot;c:\\MaxFluidSim\\&quot;   --  string</code></pre><p>Contains the root directory in which cache files are saved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.scratchCache     String    default: &quot;c:\\MaxFluidScratchCache\\&quot;   --  string</code></pre><p>Reserved for future use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.showVoxelGrid     BooleanClass    default: true   --  Boolean</code></pre><p>Indicates whether to show a visual representation of the voxel size in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.solvers     ArrayParameter    default: #()   --  maxObject array; SubAnim</code></pre><p>An array of solver objects for the liquid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.useProjectFolders     BooleanClass    default: false   --  Boolean</code></pre><p>Indicates whether to use the Max project folder instead of the <strong>rootSimDirectory</strong> to store solver cache files.</p>\n\
<h2 id=\"maxliquid-interfaces\">MaxLiquid Interfaces</h2><p><strong>Interface: MaxFluidLiquidObject</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CreateSolver &lt;&amp;index&gt;solverIndex\n\
       solverIndex is Out parameter</code></pre><p>Creates a new solver in the liquid&#x2019;s solvers array, returning the index of the newly created solve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CloneSolver &lt;index&gt;index &lt;&amp;string&gt;cloneName &lt;&amp;index&gt;cloneIndex\n\
       cloneName is Out parameter\n\
       cloneIndex is Out parameter</code></pre><p>Creates a new, cloned copy of the solver specified by the index, returning the new name and index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;DeleteSolver &lt;index&gt;index</code></pre><p>Deletes the solver specified by the index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;integer&gt;NumberSolvers()</code></pre><p>Returns the number of solvers in the solvers array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddEmitter &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberEmitters()\n\
    &lt;node&gt;GetEmitter &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteEmitter &lt;index&gt;index</code></pre><p>Manipulates the collection of emitters held in the liquid&apos;s <code>emitter_Meshes</code> array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddCollider &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberColliders()\n\
    &lt;node&gt;GetCollider &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteCollider &lt;index&gt;index</code></pre><p>Manipulates the collection of colliders held in the liquid&apos;s <code>collider_Meshes</code> array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddKillPlane &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberKillPlanes()\n\
    &lt;node&gt;GetKillPlane &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteKillPlane &lt;index&gt;index</code></pre><p>Manipulates the collection of kill planes held in the liquid&apos;s <code>killplanes</code> array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddFoamMask &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberFoamMasks()\n\
    &lt;node&gt;GetFoamMask &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteFoamMask &lt;index&gt;index</code></pre><p>Manipulates the collection of foam masks held in the liquid&apos;s <code>foammask_Meshes</code> array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddGuideEmitter &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberGuideEmitters()\n\
    &lt;node&gt;GetGuideEmitter &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteGuideEmitter &lt;index&gt;index</code></pre><p>Manipulates the collection of guide emitters held in the liquid&apos;s <code>guideEmitter_Meshes</code> array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddMotionField &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberMotionFields()\n\
    &lt;node&gt;GetMotionField &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteMotionField &lt;index&gt;index</code></pre><p>Manipulates the collection of motion fields held in the liquid&apos;s <code>field_Meshes</code> array.</p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Max-Fluid-Classes.html\">Max Fluid Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";