var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DB496ACA-1506-4FB1-B8F8-EECC7D9794DD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Modifier Common Properties, Operators, and Methods</h1></div><p><strong>Properties</strong></p>\n\
<p>All modifiers have the following properties:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;modifier&gt;.name: string</code></pre><p>Get and set modifier name</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;modifier&gt;.enabled: boolean\n\
\n\
&lt;modifier&gt;.enabledInViews: boolean</code></pre><p>Lets you control the modifier&#x2019;s enabled/disabled state. These are read/write properties that let you determine and set the enabled state of the given modifier,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.modifiers[2].enabled = false-- turn off 2nd modifier\n\
</code></pre></blockquote>\n\
<p>The <code>enabledInViews</code> property controls viewport display, <code>enabled</code> controls both viewport and rendered display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;modifier&gt;.enabledInRenders: boolean</code></pre><p>Get/Set whether the modifier is enabled in renders.</p>\n\
<p>When set to <code>true</code> , the modifier is enabled in renders, when <code>false</code> it is disabled.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<p>The modifier stack on a scene node can be manipulated using the following <code>&lt;node&gt;</code> methods:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">validModifier( &lt;node&gt; | &lt;objectset&gt;) (&lt;modifier | &lt;modifier_class&gt;)</code></pre><p>Tests whether a particular modifier or modifier class may be added the given <code>&lt;node&gt;</code> or <code>&lt;objectset&gt;</code> . Returns <code>true</code> if so, <code>false</code> if not.</p>\n\
<p>The <code>validModifier()</code> method operates exactly as does the Modify panel in determining modifier applicability. Any modifier that takes a deformable object will return <code>true</code> for all scene objects except Helpers. This corresponds to the Modify panel&#x2019;s behavior of allowing modifiers such as Bend, Taper, etc. to be applied to lights and cameras, space warp objects, etc., as well as geometry types like box, sphere, etc., but not helpers such as dummys or bones.</p>\n\
<p>It is recommended that classes be used in RCMenus and macroScripts using <strong>validModifier()</strong> to reduce resource usage.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if validModifier $ Edit_Mesh then ...\n\
</code></pre><p>   instead of</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if validModifier $ (Edit_Mesh()) then ...\n\
</code></pre></blockquote>\n\
<p>The MAXScript <code>isValidModifier</code> function will check if it has been passed a modifier that doesn&apos;t exist at runtime. It returns <code>false</code> in this case. It uses the ClassEntry to determine the InputType() of the modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addModifier &lt;node&gt; &lt;modifier&gt; [before:index] -- mapped</code></pre><p>Adds the modifier to <strong>all instances</strong> of the node to which the function is applied.</p>\n\
<p>The optional <code>before:</code> keyword argument can be used to insert the modifier into the node&#x2019;s modifier stack just before the indexed modifier, counting from the top of the stack.</p>\n\
<p>The added modifier will apply to any appropriate active sub-object selection in the node only if the node is <strong>currently selected and open</strong> in the Modify panel at the desired sub-object level.</p>\n\
<p>You can use the <strong>3ds Max</strong> System global variable, <code>subObjectLevel</code> to test and set the level for the object currently open in the Modify panel.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   max modify mode-- open mod panel\n\
   select $box01-- select box01 into mod panel\n\
   subObjectLevel = 3-- subobject level to Face\n\
   addModifier $box01 (ffd_2x2x2())-- add FFD mod to those faces\n\
</code></pre></blockquote>\n\
<p>If the <code>before:</code> keyword argument would place a modifier in an invalid position in the stack, the modifier will be placed at the nearest valid position.</p>\n\
<p>For example, if you tried to place a SpacewarpModifier class object below a Modifier class object, the SpacewarpModifier object would be placed below any SpacewarpModifier objects, and above any Modifier objects.</p>\n\
<p>If <code>&lt;node&gt;</code> is a collection, an instance of the modifier is placed on each of the nodes in the collection.</p>\n\
<p>Unlike interactively applying a modifier to a selection, the position and size of each modifier instance&#x2019;s gizmo corresponds to position and size of the node the modifier instance is applied to.</p>\n\
<p>To apply a modifier to a collection in the same manner that <strong>3ds Max</strong> applies modifiers, use the <code>modPanel.addModToSelection()</code> described in <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\">Modify Panel</a>.</p>\n\
<p>A limitation of the <code>addModifier()</code> function is that it cannot generally apply modifiers to sub-object selections, and so it disables any current sub-object levels.</p>\n\
<p>To apply a modifier to a sub-object selection in the same manner that <strong>3ds Max</strong> applies modifiers, use the <code>modPanel.addModToSelection()</code> .</p>\n\
<p>This function correctly observes the currently selected sub-object level in the Modify panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteModifier &lt;node&gt; &lt;modifier_or_index&gt;</code></pre><p>Lets you delete modifiers from the modifier stack.</p>\n\
<p>Takes either a modifier value present on the <code>&lt;node&gt;</code> stack, or an index specifying the index of the modifier to delete, counting from the top of the stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">collapseStack &lt;node&gt; -- mapped</code></pre><p>Collapses the modifiers out of a stack, leaving the appropriate resultant editable base class, such as Editable Mesh, Editable Spline, NURBS Surface, etc., as the base object of the node.</p>\n\
<p>If there are no modifiers in the stack when this is called, no action is taken.</p>\n\
<p>If you want to force a stack collapse or conversion to editable base class form, use one of the node conversion functions, such as <code>convertToMesh(),convertToSplineShape()</code> , etc.</p>\n\
<p>See the methods section in <a href=\"./../../Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">Node Common Properties, Operators, and Methods</a> for more details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getModContextTM &lt;node&gt; &lt;modifier&gt;</code></pre><p>Returns a Matrix3 value giving the modifier&#x2019;s context transform for the local coordinates used in modifier sub-object gizmos.</p>\n\
<p>Accessing the transform properties of a modifier sub-object such as a gizmo or a center in MAXScript yields values that are relative to that modifier&#x2019;s context transform, equivalent to the values shown in track view for those properties.</p>\n\
<p>If the modifier is not operating on a sub-object selection, such as a face or vertex selection, or if the modifier was interactively applied to an object selection, this context TM is the local coordinate space of the object itself.</p>\n\
<p>However, if the modifier is operating on either an object selection set or a sub-object selection, the context transform gives the position and orientation of that selection, and so you can use <code>getModContextTM()</code> to get the world-space transform properties of any of its sub-objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getModContextBBoxMin&lt;node&gt; &lt;modifier&gt; getModContextBBoxMax&lt;node&gt; &lt;modifier&gt;</code></pre><p>These functions complement the <code>getModContextTM()</code> function and can be used to derive the world-space coordinates of the bounding box of the modifier context.</p>\n\
<p>This can be used, for example, to determine the bounds of a modifier operating on a sub-selection or the bounds of an FFD lattice.</p>\n\
<p>This is particularly useful for scripting FFD control point placement, since these control points live in a 0-to-1 lattice space&amp;emdash;the mod context bounding box gives the world space bounds of this lattice space allowing you to compute scaled lattice space coordinates from world coordinates.</p>\n\
<p>The functions return Point3 values for the minimum and maximum extents of the bounding box.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Modifier-Common-Properties.html\">Modifier Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";