var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A068082A-E027-4E31-A88A-F8239391353B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Turn_to_Patch : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Turn_to_Patch - superclass: modifier; super-superclass:MAXWrapper - 4:0 - classID: #(1011577041, 590161861)</code></pre><p><img src=\"./images/GUID-281F2427-B902-4162-914C-AAE1EC69D174-low.gif\" alt></p>\n\
<p>The Turn_To_Patch modifier lets you apply object conversions in the modifier stack. Using the Turn To Patch modifier, you can fine-tune the conversion process such as turning quads into quad patches.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Converting from one object type to another causes a complete caching in the modifier stack. When you have large objects in your scene, this can take up a lot of space. For example, an object that starts as a mesh, converts to a patch, and then back to a mesh takes 3 times as much space as a mesh which just has ordinary modifiers like Bend or UVW Map applied.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Turn_to_Patch ... ConvertToPatch...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Patch&gt;.quadsToQuads Boolean default: true -- animatable; boolean; Quads_to_Quad_Patches</code></pre><p>Turns quad faces in meshes or polymeshes into quad patches.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When you turn this option off, <strong>3ds Max</strong> triangulates quads when the Turn To Patch modifier is applied to a patch object.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Patch&gt;.selectionConversion Integer default: 0 -- integer; Selection_Conversion</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Patch&gt;.useSoftSelection Integer default: 1 -- integer; Use_Soft_Selection</code></pre><p>Affects the action of sub-object Move, Rotate, and Scale functions. When these are on, <strong>3ds Max</strong> applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect, with a sphere of influence around the transformation. Use this when you want to preserve the soft selection from beneath. For example, if Use Soft Selection is on when you select vertices on an editable poly, and you apply Turn To Mesh with Include Soft Selection on, then the same soft selection will apply to the mesh vertices. Default=on.</p>\n\
<p>For more information, see Soft Selection Rollout.</p>\n\
\n\
<div class=\"callout callout-important\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-exclamation-triangle\" aria-hidden=\"true\"></i>Important:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   </p>\n\
<p>   Be aware that when Include Soft Selection is on, bound vertices can turn to meshe<em>s</em>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Patch&gt;.selectionLevel Integer default: 0 -- integer; Selection_Level</code></pre><p><strong>0: From Pipeline:</strong> Uses the equivalent of whatever the input object uses. (Patch level becomes face level, and so on.). For example, if you create a box, convert it to an editable mesh in face mode and apply a Turn To Patch modifier to it, <strong>3ds Max</strong> passes a sub-object selection in patch mode up the stack. The Turn To Patch modifier takes the sub-object face selection into account and selects the patches that derive from the face selection.</p>\n\
<p><strong>1: Object:</strong> Uses object as the selection level for passing up the rest of the stack.</p>\n\
<p><strong>2: Edge:</strong> Uses edge as the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><strong>3: Vertex:</strong> Uses vertex as the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><strong>4: Patch:</strong> Uses patch as the sub-object selection level for passing up the rest of the stack.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Conversion-Modifiers.html\">Conversion Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";