var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D41213A1-D125-4349-912C-071A32E94113\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MultiRes : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MultiRes - superclass: modifier; super-superclass:MAXWrapper - 11:0 - classID: #(1788759147, 1229407453) </code></pre><p><img src=\"./images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\" alt></p>\n\
<p>The <strong>MultiRes modifier</strong> reduces the memory overhead needed to render models by decreasing the number of vertices and polygons. This is useful not only within <strong>3ds Max</strong>but for game and Web content creators who export models for use outside of <strong>3ds Max</strong>. MultiRes offers several advantages over the Optimize modifier, including faster operation and the ability to specify reduction as an exact percentage or vertex count.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MultiRes...      \n\
MrmMod...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.vertexCount Integer default: 0 -- integer; Vertex_Count </code></pre><p>The total number of vertices in the modified object. Use this control to set the maximum number of vertices in the output mesh. Adjusting this setting alters the Percent value as well.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.vertexPercent Float default: 100.0 -- animatable; float; Vertex_Percentage </code></pre><p>The modified object&apos;s vertex count as a percentage of the overall number of vertices in the original mesh. Adjusting this setting alters the Count value as well.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>After you type in a specific percentage, such as 30, you might find that the software changes the value to a slightly lower one, such as 29.971. This is due to the relationship between the overall number of vertices in the model and the percentage calculation. It is not a bug, but simply the closest solution to your request.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.mergeVertex Boolean default: false -- boolean; Vertex_Merging </code></pre><p>When on, lets MultiRes merge vertices between discrete elements in a model.</p>\n\
<p>For example, if you apply MultiRes to a teapot, which comprises four separate elements, and turn on Vertex Merging, as you adjust the vertex resolution, the separate components will meld together into one contiguous lower-resolution object.</p>\n\
<p>To control Vertex Merging, you can set a Merge Threshold. This value determines the <strong>3ds Max</strong> unit distance within which to merge elements.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.mergeThreshold Float default: 0.0 -- float; Threshold </code></pre><p>This spinner value sets the maximum distance in <strong>3ds Max</strong> units between vertices in order for those vertices to be considered for merging.</p>\n\
<p>Once this threshold is achieved, then the vertices between elements will be welded together as the mesh is reduced in complexity.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To eliminate only coincident vertices, set Merge Threshold to 0.0. This is similar to the Weld Vertex function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.mergeWithinMesh Boolean default: false -- boolean; Merge_Within </code></pre><p>When on, MultiRes merges the boundaries of adjacent elements and vertices within elements. Many objects can contain multiple groups of vertices that don&apos;t share connectivity. A simple example of this is the Teapot object. It comprises four different elements: the body, the handle, the spout, and the lid. Normally, MultiRes optimizes each discrete element in a mesh on its own.</p>\n\
<p>The default behavior of the Vertex Merging option is to merge vertices between elements. Turning on Within Mesh? causes vertices within elements to be merged as well.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.BoundaryMetric Boolean default: false -- boolean; Boundary_Metric </code></pre><p>When on, MultiRes preserves materials assigned to the selected model. The material boundaries defined by Material IDs are retained as long as possible, and are the last to be eliminated at low vertex counts. Default=off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.baseVertices Boolean default: false -- boolean; Maintain_Base_Vertices </code></pre><p>When on, overrides the MultiRes optimization algorithms and preserves any vertices selected at the MultiRes Vertex sub-object level as &quot;critical&quot; ones. Use this feature to retain critical features of an object or character such as its fingers or claws, or other geometry that might become unrecognizable if reduced too severely.</p>\n\
<p>To select vertices for use with this option, use the MultiRes Vertex sub-object level. To access this level, first go to the modifier stack display and click the plus-sign icon next to the MultiRes modifier. This opens up its hierarchy, which consists of the single Vertex sub-object level. Next, click the Vertex entry. The MultiRes vertices appear on the mesh as blue dots. You can select these using any standard interactive method, but you cannot transform them.</p>\n\
<div class=\"note important:\"><span class=\"importanttitle\">Important:</span> After selecting MultiRes sub-object vertices with Maintain Base Vertices turned on, re-generate the mesh before changing the vertex resolution.</div>\n\
<p>In the following illustration, the clown started out as a high-resolution mesh. All of the MultiRes vertices in the right half were selected, Maintain Base Vertices was turned on, and then the vertices were reduced.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.multiVertNorm Boolean default: true -- boolean; Multiple_Normals_Per_Vertex </code></pre><p>When on, lets MultiRes assign multiple normals for each vertex. By default, MultiRes generates a single normal per vertex.</p>\n\
<p>If multiple normals are generated, they are applied as the vertex resolution is decreased and increased.</p>\n\
<p>When the Multiple Normals Per Vertex option is checked, the MultiRes modifier generates normal updates when the geometry surrounding a vertex changes. You must specify a<em>crease angle</em>in degrees (0.0 - 180.0). The crease angle is the angle between the face normals. It is used to decide when a normal should be shared across an edge between two faces.</p>\n\
<p>For example, in a plane defined as a mesh grid of 10 x 10 faces, any two adjacent faces have a crease angle of zero. In a cube, adjacent faces have a crease angle of 90 degrees. In general, crease angles approaching 0 yield smoother shading. Crease angles approaching 180 yield more visible corners.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.creaseAngle Float default: 75.0 -- float; Crease_Angle </code></pre><p>The value of the crease necessary in order to generate multiple normals. Available only when Multiple Normals Per Vertex is on.</p>\n\
<p>The optimal crease angle depends on the model; set it interactively and check the viewport and rendered images for shading effects. While use of multiple normals per vertex enables more accurate shading, it can require more internal data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.reqGenerate Boolean default: false -- boolean; Generate </code></pre><p>Setting this property to true (or even false) will generate the optimization data.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>When you first apply MultiRes to an object, it must initialize its mesh-optimizing algorithm - you are prompted by the modifier to &quot;Generate when ready&quot;. Without the optimization data generated, you cannot change the mesh resolution.</p>\n\
<p>When working with complex meshes, the initial analysis may take a little while. During this time, MultiRes displays the hourglass cursor to indicate it is working. To cancel this process, press Esc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiRes&gt;.resetParams Boolean default: false -- boolean; Reset </code></pre><p>Setting this property to true (or false) will reset the User Interface to default values.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s=geosphere()\n\
   addmodifier s (MultiRes())\n\
   select s\n\
   $.modifiers[#MultiRes].vertexCount = 482\n\
   $.modifiers[#MultiRes].vertexPercent = 100\n\
   $.modifiers[#MultiRes].vertexPercent = 99\n\
   $.modifiers[#MultiRes].vertexCount = 476\n\
   $.modifiers[#MultiRes].vertexPercent = 98.7552\n\
   $.modifiers[#MultiRes].mergeVertex = on\n\
   $.modifiers[#MultiRes].mergeThreshold = 0.01\n\
   $.modifiers[#MultiRes].mergeWithinMesh = on\n\
   $.modifiers[#MultiRes].boundaryMetric = on\n\
   $.modifiers[#MultiRes].baseVertices = on\n\
   $.modifiers[#MultiRes].creaseAngle = 75.75\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";