var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3D0127A2-40F1-472A-AF04-6AB957DFEB1D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ProOptimizer : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProOptimizer - superclass: modifier; super-superclass:MAXWrapper - classID:#(1056067556, 1496462090) </code></pre><p><img src=\"./images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\" alt></p>\n\
<p>The <strong>ProOptimizer Modifier</strong> is an advanced geometry optimization modifier similar to the <a href=\"Optimize-Modifier.html\">Optimize</a> and <a href=\"MultiRes-Modifier.html\">MultiRes</a> modifiers but providing additional features like symmetry support and normals preservation.</p>\n\
<p>In addition, the ProOptimizer system provides <a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BatchProOptimizer.html\">means for batch-optimizing</a> multiple files and objects.</p>\n\
<p>It is available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProOptimizer ... </code></pre><p><strong>Properties</strong></p>\n\
<h3 id=\"optimization-level\">Optimization Level</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.VertexPercent (Vertex) : float   </code></pre><p>Get/set the vertex percent value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.VertexCount (Vertex_Count) : integer </code></pre><p>Get/set the vertex count value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.Calculate: boolean </code></pre><p>Get/set the calculation value.</p>\n\
<p>When set to true, the modifier will calculate the optimization data if the current value is false, or recalculate the data if the current value is true.</p>\n\
<p>When set to false, the optimization data will be released.</p>\n\
<p>The value can be queried to determine whether the optimization data has been calculated (true) or not (false).</p>\n\
<h3 id=\"optimization-options\">Optimization Options</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.OptimizationMode (Optimization_Mode) : integer </code></pre><p>Get/set the optimization mode. The value corresponds to the radio buttons selection in the User Interface. Possible values are:</p>\n\
<p>0 - <strong>Crunch Borders</strong></p>\n\
<p>1 - <strong>Protect Borders</strong></p>\n\
<p>2 - <strong>Exclude Borders</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.LockMat (Keep_Material_Boundaries) : boolean </code></pre><p>Get/set the state of the Keep Material Boundaries option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.KeepUV (Keep_Textures) : boolean </code></pre><p>Get/set the state of the Keep Textures option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.LockUV (Keep_UV_boundaries) : boolean </code></pre><p>Get/set the state of the Keep UV Boundaries option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.ToleranceUV (Tolerance_UV) : float </code></pre><p>Get/set the Keep UV Boundaries Tolerance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.KeepVC (Keep_Vertex_Colors) : boolean </code></pre><p>Get/set the state of the Keep Vertex Colors option. When set to true, the Vertex Color channel will be preserved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.LockVC (Keep_VC_boundaries) : boolean </code></pre><p>Get/set the state of the Keep Vertex Colors Boundaries option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.ToleranceVC (Tolerance_VC) : integer </code></pre><p>Get/set the Vertex Colors Tolerance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.KeepNormals BooleanClass default: false -- boolean; Keep_Normals </code></pre><p>Get/set the state of the Keep Normals option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.NormalMode Integer default: 1 --integer; Normal_Mode </code></pre><p>Get/set the Normal Mode radio button selection value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Crunch Normals</strong></p>\n\
<p>1 - <strong>Protect Normals</strong></p>\n\
<p>2 - <strong>Exclude Normals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.NormalThreshold Float default: 10.0 -- float; Normal_Threshold </code></pre><p>Get/set the Normal Threshold value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.MergePoints (Merge_Vertices) : boolean </code></pre><p>Get/set the state of the Merge Vertices option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.MergePointsThreshold (Merge_Vertices_Threshold) : float </code></pre><p>Get/set the Merge Vertices Threshold value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.MergeFaces (Merge_Faces) : boolean </code></pre><p>Get/set the state of the Merge Faces option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.MergeFacesAngle (Merges_Faces_Threshold) : float </code></pre><p>Get/set the Merge Vertices Threshold Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.PreserveSelection (Preserve_selection) : boolean </code></pre><p>Get/set the state of the Preserve Selection option. When set to true, the sub-object selection will be preserved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.InvertSelection (Invert_selection) : boolean </code></pre><p>Get/set the state of the Invert Selection option. When set to true, the sub-object selection will be inverted.</p>\n\
<h3 id=\"symmetry-options\">Symmetry Options</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.SymmetryMode (Symmetry_Mode) : integer </code></pre><p>Get/set the Symmetry mode. Possible values are:</p>\n\
<p>0 - <strong>No Symmetry</strong>(default)</p>\n\
<p>1 - <strong>XY Symmetry</strong></p>\n\
<p>2 - <strong>YZ Symmetry</strong></p>\n\
<p>3 - <strong>XZ Symmetry</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.SymmetryTolerance (Symmetry_Tolerance) : float </code></pre><p>Get/set the Symmetry Tolerance value.</p>\n\
<h3 id=\"advanced-options\">Advanced Options</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.CompactFaces (Compact_faces) : boolean </code></pre><p>Get/set the state of the Compact Faces option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ProOptimizer&gt;.PreventFlip (Prevent_flip) : boolean </code></pre><p>Get/set the state of the Prevent Flip option.</p>\n\
<h2 id=\"related-interfaces-\">Related Interfaces:</h2><p><a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BatchProOptimizer.html\">Interface: BatchProOptimizer</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";