var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-68BA1E0B-8A81-476C-9E41-0C15FE911872\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>UVWmap : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Uvwmap - superclass: modifier; super-superclass:MAXWrapper - 15:1 - classID: #(1012401, 0) </code></pre><p><img src=\"./images/GUID-2FE80AB6-C06E-4867-ADED-D9044227A829-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">uvwmap ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.maptype Integer default: 0 </code></pre><p>Determines the type of mapping coordinates used. Different kinds of mapping are distinguished by how the map is geometrically projected onto the object and how the projection interacts with the object&#x2019;s surfaces.</p>\n\
<p>0 - <strong>Planar</strong> (Projects the map from a single plane flat against the object, somewhat like projecting a slide. Planar projection is useful when only one side of an object needs to be mapped. It is also useful for obliquely mapping multiple sides, and for mapping two sides of a symmetrical object.)</p>\n\
<p>1 - <strong>Cylindrical</strong> (Projects the map from a cylinder, wrapping it around an object. Seams where the edges of the bitmap meet are visible unless a seamless map is used. Cylindrical projection is useful for objects that are roughly cylindrical in shape.)</p>\n\
<p>2 - <strong>Spherical</strong> (Surrounds the object by projecting the map from a sphere. You see a seam and mapping singularities at the top and bottom of the sphere where the bitmap edges meet at the sphere&#x2019;s poles. Spherical mapping is useful for objects that are roughly spherical in shape.)</p>\n\
<p>3 - <strong>Shrink Wrap</strong> (Uses spherical mapping, but truncates the corners of the map and joins them all at a single pole, creating only one singularity. Shrink-wrap mapping is useful when you want to hide the mapping singularity.)</p>\n\
<p>4 - <strong>Box</strong> (Projects the map from the six sides of a box. Each side projects as a planar map, and the effect on the surface depends on the surface normal. Each face is mapped from the closest box surface whose normal most closely parallels its own normal.)</p>\n\
<p>5 - <strong>Face</strong> (Applies a copy of the map to every face of an object. Pairs of faces sharing a hidden edge are mapped with the full rectangular map. Single faces with no hidden edge are mapped with a triangular portion of the map.)</p>\n\
<p>6 - <strong>XYZ to UVW</strong> (Maps 3D procedural coordinates to UVW coordinates. This &quot;sticks&quot; the procedural texture to the surface. If the surface stretches, so does the 3D procedural map.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.cap Boolean default: false </code></pre><p>When on, applies planar mapping coordinates to the caps of the cylinder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.length Float default: 1.0 -- animatable </code></pre><p>The length of the UVW mapping gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.width Float default: 1.0 -- animatable </code></pre><p>The width of the UVW mapping gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.height Float default: 1.0 -- animatable </code></pre><p>The height of the UVW mapping gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.utile Float default: 1.0 -- animatable, alias: U_Tile </code></pre><p>The tiling of the UVW map along the U-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.uflip Boolean default: false </code></pre><p>When on, reverses the image about the U-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.vtile Float default: 1.0 -- animatable, alias: V_Tile </code></pre><p>The tiling of the UVW map along the V-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.vflip Boolean default: false </code></pre><p>When on, reverses the image about the V-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.wtile Float default: 1.0 -- animatable, alias: W_Tile </code></pre><p>The tiling of the UVW map along the W-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.wflip Boolean default: false </code></pre><p>When on, reverses the image about the W-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.channel Integer default: 0 </code></pre><p>Specifies whether to apply the transform to a mapping channel or a vertex color channel:</p>\n\
<p>0- Map Channel</p>\n\
<p>1- Vertex Color Channel</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.mapChannel Integer default: 1 </code></pre><p>The map channel used to apply mapping transforms.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.axis Integer default: 2 </code></pre><p>Specifies which axis of the gizmo is aligned with the local Z-axis of the object:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap&gt;.gizmo SubAnim </code></pre><p>Enables gizmo transformations.</p>\n\
<p>Turn on and then move, scale, and rotate the gizmo in the viewports to position the map.</p>\n\
<p>In the Material Editor, you turn on the Show Map in Viewport option to make the map visible in a shaded viewport, the map moves on the surface of the object as you transform the gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable </code></pre><p>The position of the UVWmap gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap.Gizmo&gt;.rotation Quat default: (quat 0 0 -1 0) -- animatable </code></pre><p>The rotation of the UVWmap gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Uvwmap.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable </code></pre><p>The scale of the UVWmap gizmo.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>Gizmo</code> property is not present until the Uvwmap modifier has been applied to a node.</div>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../UVW-Modifiers.html\">UVW Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";