var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BC5F6AE5-7F5E-47D4-AA24-90EA747F8602\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>UnwrapUVW Modifier - Mapping Operations</h1></div><p>The following methods expose the Flatten, Normal and Unfold Mapping to MAXScript:</p>\n\
<h2 id=\"flatten-mapping\">Flatten Mapping</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.flattenMap &lt;float&gt;angleThreshold &lt;point3 array&gt;normalList &lt;float&gt;spacing &lt;boolean&gt;normalize &lt;integer&gt;layOutType &lt;boolean&gt;rotateClusters &lt;boolean&gt;fillHoles </code></pre><p>Flattens the UVW coordinates based on the supplied parameters without using the Flatten Mapping Dialog. This method exposes the same functionality directly to MAXScript and does not require the Edit UVWs Floater to be open.</p>\n\
<p>Flatten Mapping uses an angle threshold to define the clusters and the clusters will always be contiguous faces. This type of mapping will generate mapping that does not overlap so it is useful for baking textures and lighting.</p>\n\
<p><code>angleThreshold</code> - when building contiguous faces this the angle used to determine whether a face is part of that cluster. The larger this angle the larger the cluster will be, but you will get more distortion since the texture faces area will start deviating from there geometric face area.</p>\n\
<p><code>normalList</code> specifies an array of normal vectors defining clusters. The clusters will still be built using the angle threshold, but the supplied vectors will be used as starting directions for building the clusters. To use no vectors, an empty array #() can be supplied. The default UI Flatten feature uses a list of 6 vectors aligned to the world axes: #([1,0,0], [-1,0,0], [0,1,0], [0,-1,0], [0,0,1], [0,0,-1])</p>\n\
<p><code>spacing</code> determines how much space there is between the clusters.</p>\n\
<p><code>normalize</code> will normalize the complete flattened mapping from 0 to 1</p>\n\
<p><code>layOutType</code> defines the layout type. 0 - sort clusters from bottom to top and from left to right. 1 - sort clusters from left to right and from bottom to top. Default type of the Flatten feature in the UI is 0.</p>\n\
<p><code>rotateClusters</code> will rotate the clusters so they take the least area.</p>\n\
<p><code>fillHoles</code> will fill clusters with holes. It places smaller cluster in the gaps of larger clusters.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.flattenMapDialog() </code></pre><p>Open the Flatten dialog.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.flattenMapNoParams() </code></pre><p>Execute the FlattenMap function using the current default.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getFlattenAngle() </code></pre><p>Returns the current default Flatten Angle threshold .</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFlattenAngle &lt;float&gt;angle </code></pre><p>Sets the current default Flatten Angle threshold .</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getFlattenSpacing() </code></pre><p>Returns the current default Flatten Spacing value.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFlattenSpacing &lt;float&gt;spacing </code></pre><p>Sets the current default Flatten Spacing value.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getFlattenNormalize() </code></pre><p>Returns the current default Flatten Normalize option state.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFlattenNormalize &lt;boolean&gt;normalize </code></pre><p>Sets the current default Flatten Normalize option state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getFlattenRotate() </code></pre><p>Returns the current default Flatten Rotate option state.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFlattenRotate &lt;boolean&gt;rotate </code></pre><p>Sets the current default Flatten Rotate option state.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getFlattenFillHoles() </code></pre><p>Returns the current default Flatten Fill Holes option state.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFlattenFillHoles &lt;boolean&gt;fillHoles </code></pre><p>Sets the current default Flatten Fill Holes option state.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.flattenMapByMatID &lt;float&gt;angleThreshold &lt;float&gt;spacing &lt;boolean&gt;normalize &lt;integer&gt;layOutType &lt;boolean&gt;rotateClusters &lt;boolean&gt;fillHoles </code></pre><p>Performs flatten by material ID.</p>\n\
<p>Exposed via <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setMax5Flatten &lt;boolean&gt;like5 </code></pre><p>Sets whether Flatten is using the <strong>3ds Max 5</strong> algorithm (true) or the <strong>3ds Max 7</strong> algorithm (false).</p>\n\
<p>Exposed via <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<h2 id=\"normal-map\">Normal Map</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.normalMap &lt;point3 array&gt;normalList &lt;float&gt;spacing &lt;boolean&gt;normalize &lt;integer&gt;layOutType &lt;boolean&gt;rotateClusters &lt;boolean&gt;alignWidth </code></pre><p>Normal-map the UVW coordinates. For each normal vector in the normalList, a cluster of the faces with the corresponding normal vector will be created.</p>\n\
<p>Normal Mapping is mapping based solely are the normals provided. This is identical to box mapping except you customize what normals you want to project on.</p>\n\
<p>Parameters in the Normal Mapping dialog are:</p>\n\
<p><code>spacing</code> determines how much space there is between the clusters.</p>\n\
<p><code>layOutType</code> determines which of the 6 mapping types to use: Back/Front, Left/Right, Top/Bottom, Box Mapping No Top, Box Mapping, Diamond mapping</p>\n\
<p><code>normalize</code> will normalize the cluster from 0 to 1</p>\n\
<p><code>rotateClusters</code> will rotate the clusters so they take the least area.</p>\n\
<p><code>alignWidth</code> will sort the clusters by there width otherwise it will use their heights.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.normalMapNoParams() </code></pre><p>Executes the NormalMap function using the current defaults.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.normalMapDialog() </code></pre><p>Opens the NormalMap dialog.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"unfold-mapping\">Unfold Mapping</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.unfoldMap &lt;integer&gt;unfoldMethod &lt;boolean&gt;normalize</code></pre><p>Unfold the UVW coordinates using the specified unfold method:</p>\n\
<p>0 - <strong>Walk to farthest face</strong></p>\n\
<p>1 - <strong>Walk to closest face</strong> (default)</p>\n\
<p>These determine the order of which face gets unfolded. Under almost all conditions you want to walk to the closest face.</p>\n\
<p><code>normalize</code> will normalize the cluster from 0 to 1.</p>\n\
<p>This is an actual unfolding algorithm. It guarantees that all texture faces will have the exact same proportions as their geometric equivalents, but you may get faces that overlap. This type of mapping is only good on meshes that are very regular, like cylinders etc.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.unfoldMapNoParams() </code></pre><p>Executes the unfoldMap function using the current defaults.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.unfoldMapDialog() </code></pre><p>Opens the UnfoldMap dialog.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setSeedFace() </code></pre><p>Takes the current selection and sets it as the seed face when unfolding. The seed face is where the unfolding starts from.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";