var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-97FE2F5D-FC3F-4350-BA43-54009A8CF2F9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SubdivideSpacewarpModifier : SpacewarpModifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subdivideSpacewarpModifier - superclass: SpacewarpModifier; super-superclass:MAXWrapper - classID: #(756131754, 213087256) </code></pre><p>The SubdivideSpacewarpModifier provides procedural means for subdividing polygons for radiosity processing.</p>\n\
<p>The SubdivideSpacewarpModifier has three new remeshing algorithms (Delaunay, Adaptive, and Variable Curvature), and all the properties and interfaces below are new, except for <code>size</code>, <code>showAllTriangles</code>, and <code>manualUpdate</code>.\n\
 <strong>Available in 3ds Max 2021.3 Update and higher.</strong></p>\n\
<h2 id=\"constructor\">Constructor</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subdivideSpacewarpModifier...   </code></pre><p>{toc}</p>\n\
<h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.remeshType     Integer    default: 0   --  integer; Remesh_Type</code></pre><p>Gets/sets the <strong>Subdivide Mode</strong>, where:</p>\n\
<ul>\n\
<li>0 = Subdivide</li>\n\
<li>1 = Delaunay</li>\n\
<li>2 = Adaptive</li>\n\
<li>3 = Variable Curvature</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.manualUpdate Integer default: 1 -- integer; Manual_Update</code></pre><p>Get/Set the Update mode of the modifier:</p>\n\
<p>0 - <strong>Manual</strong></p>\n\
<p>1 - <strong>Automatic</strong></p>\n\
<p>2 - <strong>Render</strong></p>\n\
<h3 id=\"subdivide-mode-properties\">Subdivide Mode Properties</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.size Float default: 39.3701 -- animatable; world units</code></pre><p>Get/set the size, which is the target face length scale on the output mesh.  The default value is 1 meter, converted to the scene&apos;s base unit.</p>\n\
<h3 id=\"delaunay-mode-properties\">Delaunay Mode Properties</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.delaunaySize     Float    default: 39.3701   --  animatable; worldUnits; Delaunay_Size</code></pre><p>Get/set the size, which is the target face length scale on the output mesh.  The default value is 1 meter, converted to the scene&apos;s base unit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.delaunayRelaxationCoeff     Float    default: 0.0   --  animatable; float; Delaunay_Relaxation_Coefficient</code></pre><p>Get/set the <strong>Relax</strong> value, which is the blending between relaxed and unrelaxed vertex positions at each relaxation iteration, where 1.0 is fully relaxed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.delaunayRelaxationIterations     Integer    default: 5   --  animatable; integer; Delaunay_Relaxation_Iterations</code></pre><p>Get/set the number of relaxation iterations to apply to the output mesh.</p>\n\
<h3 id=\"adaptive-mode-properties\">Adaptive Mode Properties</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.adaptiveEdgeLength     Float    default: 39.3701   --  animatable; worldUnits; Adaptive_Edge_Length</code></pre><p>Get/set the target edge length on the output mesh.  The default value is 1 meter, converted to the scene&apos;s base unit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.adaptiveRegularity     Float    default: 0.5   --  animatable; float; Adaptive_Regularity</code></pre><p>Get/set the degree of regularity imposed upon the output mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.adaptiveThreshold     Float    default: 0.5   --  animatable; float; Adaptive_Threshold</code></pre><p>Get/set the normal threshold value for the remesh algorithm.</p>\n\
<h3 id=\"variable-curvature-mode-properties\">Variable Curvature Mode Properties</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.variableCurvatureEdgeLength     Float    default: 39.3701   --  animatable; worldUnits; Variable_Curvature_Edge_Length</code></pre><p>Get/set the target edge length on the output mesh.  The default value is 1 meter, converted to the scene&apos;s base unit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.variableCurvatureRegularity     Float    default: 0.5   --  animatable; float; Variable_Curvature_Regularity</code></pre><p>Get/set the degree of regularity imposed on the output mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.variableCurvatureThreshold     Float    default: 0.5   --  animatable; float; Variable_Curvature_Threshold</code></pre><p>Get/set the normal threshold for the remesh algorithm.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.variableCurvatureVariableDensity     Float    default: 0.1   --  animatable; float; Variable_Curvature_Variable_Density</code></pre><p>Get/set the amount of density variation in regions of strong curvature.  A smaller value permits more refinement in such regions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.variableCurvatureTransition     Float    default: 0.0   --  animatable; worldUnits; Variable_Curvature_Transition</code></pre><p>Get/set the transition region width near boundaries or constrained edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.variableCurvatureIterations     Integer    default: 1   --  animatable; integer; Variable_Curvature_Iterations</code></pre><p>Get/set the number of algorithm iterations.  Use of this parameter is discouraged. Note: this parameter is not exposed in the modifier UI.</p>\n\
<h3 id=\"preserve-mesh-data-properties\">Preserve Mesh Data Properties</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.preserveMeshData     BooleanClass    default: true   --  boolean; Preserve_Mesh_Data</code></pre><p>Specifies whether to preserve original mesh data on the output mesh, using the values in the properties below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.preservedMapIndex     Integer    default: 1   --  integer; Preserved_Map_Index</code></pre><p>Get/set the map channel for which map coordinates and seams should be propagated to the output mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.preservedSharpEdgeAngle     Float    default: 30.0   --  float; Preserved_Sharp_Edge_Angle</code></pre><p>Specifies whether to propagate hard edges, detected based upon the angle between adjacent face normals, to the output mesh.  Additionally, this parameter influences the degree of refinement near such edges for the Variable Curvature algorithm.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.preserveSharpEdgesByAngle     BooleanClass    default: false   --  boolean; Preserve_Sharp_Edges_By_Angle</code></pre><p>Get/set the angle, in degrees, above which hard edges are detected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.showAllTriangles Boolean default: true -- boolean; Show_All_Triangles</code></pre><p>Get/Set the state of the &quot;Display Subdivisions&quot; checkbox. Controls whether to display the subdivision in the viewport or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.size Float default: 39.3701 -- animatable; world units</code></pre><p>Get/Set the Subdivision Size value.</p>\n\
<h3 id=\"hidden-parameters\">Hidden Parameters</h3><p>These parameters are not visible in the Subdivision Modifier UI, and all apply to the legacy Subdivision mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.subdivideDiagonalRatio     Float    default: 0.6   --  float; Subdivide_Diagonal_Ratio</code></pre><p>The diagonal length scaling factor for computing quadrilateral face quality metrics; value of 0.6 by default, range [0.0, 1.0].</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.subdivideDoEnforceQuality     BooleanClass    default: true   --  boolean; Subdivide_Do_Enforce_Quality</code></pre><p>A flag controlling the imposition of quality checks on the output mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.subdivideDoFormQuads     BooleanClass    default: false   --  boolean; Subdivide_Do_Form_Quads</code></pre><p>A flag indicating whether triangular faces generated by the remesh algorithm should be merged into quadrilateral faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.subdivideDoSubdivideTriangles     BooleanClass    default: true   --  boolean; Subdivide_Do_Subdivide_Triangles</code></pre><p>A flag indicating whether triangular faces are to be subdivide during remeshing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.subdivideMaxSteinerPoints     Integer    default: -1   --  integer; Subdivide_Maximum_Steiner_Points</code></pre><p>The maximum number of Steiner points to be used by the remesh algorithm, or the invalid value -1 to indicate the unlimited case.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.subdivideNumBuckets     Integer    default: 64   --  integer; Subdivide_Number_of_Buckets</code></pre><p>The number of &quot;buckets&quot; into which faces should be divided, according to quality metrics, during remeshing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.subdivideQuadAreaRatio     Float    default: 0.75   --  float; Subdivide_Quad_Area_Ratio</code></pre><p>An area scaling factor for computing quadrilateral face quality metrics.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;subdivideSpacewarpModifier&gt;.subdivideRefinementType     Integer    default: 1   --  integer; Subdivide_Refinement_Type</code></pre><p>The refinement type to employ in the remesh algorithm, wher 0 = standard triangulation and 1 = Rivara.</p>\n\
<h2 id=\"interface-subdividemodinterface\">Interface: subdivideModInterface</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UpdateSubdivision()</code></pre><p>Remeshes each object to which the modifier is applied, using the current parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UpdateSubdivisionWithInfo &lt;&amp;integer&gt;nObjectsSucceeded &lt;&amp;integer&gt;nObjectsTot &lt;&amp;integer&gt;computeTime\n\
       nObjectsSucceeded is In and Out parameter\n\
       nObjectsTot is In and Out parameter\n\
       computeTime is In and Out parameter</code></pre><p>Performs the same operation as <code>UpdateSubdivision()</code>, and also returns the total number of objects (<code>nObjectsTot</code>), the number for which remeshing succeeded (<code>nObjectsSucceeded</code>), and the compute time (<code>computeTime</code>).</p>\n\
<h2 id=\"example\">Example</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- subdivide example\n\
resetMaxFile #noprompt\n\
\n\
b = Box lengthsegs:1 widthsegs:1 heightsegs:1 pos:[0.0,0.0,0.0] isSelected:on width:50.0 length:50.0 height:50.0 mapCoords:true\n\
subdv = subdivideSpacewarpModifier remeshType:2 manualUpdate:0 -- adaptive, manual update\n\
addModifier b subdv\n\
subdv.UpdateSubdivision() -- manually update</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-SpacewarpModifiers.html\">Other SpacewarpModifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Modifiers/Subdivision-Surfaces/Subdivide-Modifier.html\">Subdivide : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";