var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B5D639EF-BC99-448C-B737-A8347EBD6250\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSSet : Value</h1></div><p>This is the class used to create NURBS objects, or retrieve data from existing NURBS objects. The NURBSSet acts as a container for the other objects.</p>\n\
<p>This class contains a table of the various NURBSObject derived entities (points, curves, surfaces) used to make up the set. Additionally it has two &apos;fuse&apos; tables: one for fuse curves and one for fuse surfaces. These are used to allow the CVs in the curves or surfaces to be &apos;stitched&apos; or &apos;fused&apos; together so that if one curve or surface moves the other moves with it. This class also has the surface-approximation properties that control the object&apos;s tessellation into triangle meshes for use in the viewports and the production renderer.</p>\n\
<p>NURBSSet values are mappable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSSet [&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>any of the object&apos;s properties may be set via optional keyword arguments on the constructor</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNURBSSet &lt;node&gt; [     #relational]   </code></pre><p>This function is used to retrieve a NURBSSet that corresponds to the specified NURBS scene node. This allows access the internal objects inside a <strong>3ds Max</strong> editable NURBS object.</p>\n\
<p>If the optional <code>#relational</code> parameter is <strong>not</strong> supplied, the returned NURBSSet will contain only independent curves and surfaces, all dependent objects will be decomposed into corresponding independent objects. So for example, if you pass an object that has a relational model (perhaps two CV surfaces and a dependent blend surface) it will decompose them into three CV surfaces. This will be the CV surfaces that represent the two surfaces and the blend, but you won&apos;t have the blend relational data. If the <code>#relational</code> argument <strong>is</strong> supplied, you get back two CV surfaces and a NURBS blend surface and the NURBSSet is an <strong>active</strong> representative for the scene object -- any changes you make to the properties of it&apos;s constituent NURBSObjects will be reflected directly in the source scene object.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsset&gt;.numObjects : integer, read-only \n\
&lt;nurbsset&gt;.count : integer, read-only </code></pre><p>The number of internal objects in the NURBSSet.</p>\n\
<p>The following properties control the surface approximation tessellation. There are dual sets of properties, one for controlling viewport tessellation, the other for controlling renderer tessellation. The properties correspond directly to the surface approximation controls in the NURBS surface modifier panel. See <a href=\"NURBSSurfaceApproximation-Value.html\">NURBSSurfaceApproximation</a> for a description of these properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsset&gt;.viewConfig : #isoOnly, #isoAndMesh, #meshOnly \n\
&lt;nurbsset&gt;.viewIsoULines : integer \n\
&lt;nurbsset&gt;.viewIsoVLines : integer \n\
&lt;nurbsset&gt;.viewMeshUSteps : integer \n\
&lt;nurbsset&gt;.viewMeshVSteps : integer \n\
&lt;nurbsset&gt;.viewMeshApproxType : #parametric, #spatial, #curvature, #regular, #spatialAndCurvature \n\
&lt;nurbsset&gt;.viewSpacialEdge : float \n\
&lt;nurbsset&gt;.viewCurvatureAngle : float \n\
&lt;nurbsset&gt;.viewCurvatureDistance : float \n\
&lt;nurbsset&gt;.viewViewDependent : boolean \n\
&lt;nurbsset&gt;.renderConfig : #isoOnly, #isoAndMesh, #meshOnly, #regular, #spatialAndCurvature \n\
&lt;nurbsset&gt;.renderIsoULines : integer \n\
&lt;nurbsset&gt;.renderIsoVLines : integer \n\
&lt;nurbsset&gt;.renderMeshUSteps : integer \n\
&lt;nurbsset&gt;.renderMeshVSteps : integer \n\
&lt;nurbsset&gt;.renderMeshApproxType : #parametric, #spatial, #curvature, #regular, #spatialAndCurvature \n\
&lt;nurbsset&gt;.renderSpacialEdge : float \n\
&lt;nurbsset&gt;.renderCurvatureAngle : float \n\
&lt;nurbsset&gt;.renderCurvatureDistance : float \n\
&lt;nurbsset&gt;.renderViewDependent : boolean </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsset&gt;.display : NURBSDisplay </code></pre><p>Takes and returns instances of the <a href=\"NURBSDisplay-Value.html\">NURBSDisplay</a> class that controls visibility of various components of a NURBS object&apos;s display in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsset&gt;.viewApproximation : NURBSSurfaceApproximation \n\
&lt;nurbsset&gt;.renderApproximation : NURBSSurfaceApproximation </code></pre><p>These properties are used to access and control surface approximation using the <a href=\"NURBSSurfaceApproximation-Value.html\">NURBSSurfaceApproximation</a> class, instances of which encapsulate all the approximation settings for either viewports or rendering. You can construct a surface approximation setup in one of these instances and use it to set the surface approximation for many objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsset&gt;.merge : float </code></pre><p>Controls the tessellation of surface sub-objects whose edges are joined or very nearly joined. When input to a modifier as Mesh Select which requires a mesh, and when NURBS surfaces are tessellated for production rendering, by default <strong>3ds Max</strong> adjusts the tessellation of adjoining surfaces to match each other in terms of the number of faces along the edges. The <code>merge</code> value controls how this is done. If <code>merge</code> is zero, adjoining faces are unchanged. Increasing the value of <code>merge</code> increases the distance <strong>3ds Max</strong> uses to calculate how edges should match, guaranteeing no gaps between the surfaces when they are rendered.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsset&gt;[&lt;index&gt;] &lt;nurbsset&gt;[&lt;index&gt;] = &lt;nurbsobj&gt; </code></pre><p>The sub-objects in a NURBSSet can be accessed using the standard MAXScript array indexing operator, <code>\\[\\]</code> . This is equivalent to using the <code>getObject()</code> and <code>setObject()</code> methods described below.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendObject &lt;nurbsset&gt; &lt;nurbsobj&gt; </code></pre><p>Appends the given NURBSObject (instances of any of the subclasses of NURBSObject and their subclasses, all the points, curves, surfaces) as a new sub-object to the NURBSSet. The new sub-object receives the next available index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setObject &lt;nurbsset&gt; &lt;index&gt; &lt;nurbsobj&gt; </code></pre><p>Set the indexed sub-object to the given NURBSObject; indexes are 1-based. You use this function to replace a previously appended object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObject &lt;nurbsset&gt; (&lt;index&gt; | &lt;NURBSSelection&gt;) </code></pre><p>Retrieves the indexed sub-object or the set of sub-objects specified by the NURBSSelection from the NURBSSet; sub-object indexes are 1-based. If the NURBSSelection specifies no sub-objects, <code>undefined</code> is returned. If one sub-object is specified, a value of that sub-object&#x2019;s class is returned. If multiple sub-objects are specified, a NURBSSet value is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">removeObject &lt;nurbsset&gt; &lt;index&gt; </code></pre><p>Removes the given sub-object from the NURBSSet. The indexes of all the remaining higher-indexed sub-objects are renumbered down.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">disconnect &lt;nurbsset&gt; </code></pre><p>Disconnect a relational NURBS set from its scene object, turning it into a non-relational set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteObjects &lt;nurbsset&gt; </code></pre><p>This method deletes all the NURBSObjects in a NURBSSet, and frees its memory.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getProdTess &lt;nurbsset&gt; &lt;tessType_name&gt; \n\
setProdTess &lt;nurbsset&gt; &lt;tessType_name&gt; &lt;NURBSSurfaceApproximation&gt; \n\
getViewTess &lt;nurbsset&gt; &lt;tessType_name&gt; \n\
setViewTess &lt;nurbsset&gt; &lt;tessType_name&gt; &lt;NURBSSurfaceApproximation&gt; </code></pre><p>These methods get and set renderer and viewport NURBSSurfaceApproximation values for individual surfaces, where <code>&lt;tessType_name&gt;</code> is one of <code>#surface</code> , <code>#displacement</code> , or <code>#curve</code> corresponding to the 3 kinds of tessellation that can be controlled on a surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clearProdTess &lt;nurbsset&gt; &lt;tessType_name&gt; \n\
clearViewTess &lt;nurbsset&gt; &lt;tessType_name&gt; </code></pre><p>Resets the surface approximation settings for the surfaces in the NURBSet for the given tessellation type, where <code>&lt;tessType_name&gt;</code> is one of <code>#surface</code> , <code>#displacement</code> , or <code>#curve</code> corresponding to the 3 kinds of tessellation that can be controlled on a surface.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBS-Associated-Classes.html\">NURBS Associated Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";