var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-189F1545-ABFC-4F2C-A7F0-17E069DD69F3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSTextureSurface : Value</h1></div><p>This class contains an editable texture coordinate surface corresponding to the editable texture surface in NURBS surfaces. You can create and apply them to any NURBSSurface value or retrieve existing texture surfaces using the <code>getTextureSurface()</code> and <code>setTextureSurface()</code> methods to access any of the 99 texture channels for a NURBS surface.</p>\n\
<p><strong>3ds Max</strong> uses the texture surface to control how materials are mapped. In effect, changing the texture surface stretches or otherwise changes the UV coordinates for the surface, altering the mapping. This is a 2D (not 3D) surface that lives in the parameter space of the corresponding NURBSSurface which controls the texture mapping used by the NURBSSurface.</p>\n\
<p>It is not possible to assign texture surfaces to NURBS objects that are present in the scene. You can create new NURBSSets and the texture surface is used when you call <code>createNURBSObject()</code> . However, if you do a <code>getNURBSSet()</code> and assign a NURBSTextureSurface to a texture channel for a NURBS surface, nothing happens.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSTextureSurface [&lt;property&gt;:&lt;val&gt;]... </code></pre><p>Any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTextureSurface &lt;nurbssurface&gt; &lt;channel_index&gt;   </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.textureSurface1 \n\
&lt;nurbssurface&gt;.textureSurface2 </code></pre><p>Provides backward compatibility for scripts written for <strong>3ds Max</strong> R2.5. Get and set the texture surfaces for the first two texture channels.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbstexturesurface&gt;.type:#default, #userDefined, #projected </code></pre><p>The type of texture surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbstexturesurface&gt;.parent: integer </code></pre><p>The parent surface by NURBSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbstexturesurface&gt;.parentID: integer </code></pre><p>The parent surface by NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbstexturesurface&gt;.numUPoints: integer -- read-only \n\
&lt;nurbstexturesurface&gt;.numVPoints: integer -- read-only \n\
&lt;nurbstexturesurface&gt;.numPoints: point2 </code></pre><p>The number of U and V points.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPoint &lt;nurbstexturesurface&gt; &lt;u_index&gt; &lt;v_index&gt; \n\
setPoint &lt;nurbstexturesurface&gt; &lt;u_index&gt; &lt;v_index&gt; &lt;texturepoint&gt; </code></pre><p>Get or set a NURBSTexturePoint value for the texture point at the U and V index of the texture surface.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setTextureSurface &lt;nurbssurface&gt; &lt;channel_index&gt; &lt;NURBSTextureSurface&gt; </code></pre><p>This method sets the texture surface for the selected channel.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The NURBSTextureSurface class has been updated to correspond to the new texture surface mechanism in <strong>3ds Max4 and higher</strong>, and has different properties and methods that were defined in <strong>3ds Max R3</strong>.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBS-Associated-Classes.html\">NURBS Associated Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../NURBSSurface-Classes/NURBSSurface-NURBSObject.html\">NURBSSurface : NURBSObject</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";