var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-44B28C85-6206-4C7E-8A03-B251E4737DF3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSCurveConstPoint : NURBSPoint</h1></div><p>This class defines a dependent point that lies on a curve or relative to it. The point can either be on the curve or off the curve. If it is on the curve, the U Position is the only control of its location. The U Position specifies a location along the curve (based on the curve&#x2019;s local U axis). There are four ways to specify the displacement of the point&#x2019;s location relative to the U position:</p>\n\
<ul>\n\
<li><p>OnObject - the point is actually on the surface of the object.</p>\n\
</li>\n\
<li><p>Offset - the point is moved according to a relative (object space) X,Y,Z location.</p>\n\
</li>\n\
<li><p>Normal - the point is moved along the direction of the curve&#x2019;s normal. (Negative values move it opposite to the normal.)</p>\n\
</li>\n\
<li><p>Tangent - the point is moved along the tangent of the U Position. If the value is positive it&apos;s the tangent that heads in the direction of increasing U value; if negative it&apos;s the tangent that heads in the direction of decreasing U value.</p>\n\
</li>\n\
</ul>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSCurveConstPoint [&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>Any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObject &lt;nurbsset&gt; &lt;index&gt;   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurveconstpoint&gt;.parent : integer </code></pre><p>The parent curve by NURBSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurveconstpoint&gt;.parentID : integer </code></pre><p>The parent curve by NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurveconstpoint&gt;.uParam : float </code></pre><p>Parametric point along the parent curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurveconstpoint&gt;.type :#onObject, #offset, #normal, #tangent </code></pre><p>Specifies the transform relationship between the point and the curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurveconstpoint&gt;.offset : point3 </code></pre><p>Offset vector if an offset type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurveconstpoint&gt;.normal : float </code></pre><p>Distance along the normal if a normal type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurveconstpoint&gt;.uTangent : float </code></pre><p>Distance along the curve tangent if a tangent type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurveconstpoint&gt;.trimCurve : boolean </code></pre><p>If <code>true</code> , trims parent curve at the point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurveconstpoint&gt;.flipTrim : boolean </code></pre><p>If <code>true</code> the curve is trimmed from the point towards low parameter space. If <code>false</code> the curve is trimmed from the point towards high parameter space.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBSPoint-Classes.html\">NURBSPoint Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"NURBSPoint-NURBSObject.html\">NURBSPoint : NURBSObject</a></li>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";