var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B1E9F874-FD94-4A3C-A93F-D4F539B3EB8B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSFilletSurface : NURBSSurface</h1></div><p>This class defines a dependent Fillet surface. A Fillet surface is a rounded corner surface connecting the edges of two other surfaces.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSFilletSurface [&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>Any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObject &lt;nurbsset&gt; &lt;index&gt;   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsfilletsurface&gt;.cubic : boolean </code></pre><p>If <code>true</code> , the radius is always linear. If <code>false</code> , the radius is treated as a cubic function, allowing it to change based on the parent surfaces&#x2019; geometry.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getParent &lt;nurbsfilletsurface&gt; &lt;index&gt; setParent &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;curve&gt; </code></pre><p>Get or set a parent surface by NURBSSet index. <code>&lt;index&gt;</code> = 1 - parent 1; 2 - parent 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setParentID &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;curveID&gt; getParentID &lt;nurbsfilletsurface&gt; &lt;index&gt; </code></pre><p>Get or set a parent surface by NURBSId. <code>&lt;index&gt;</code> = 1 - parent 1; 2 - parent 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSeed &lt;nurbsfilletsurface&gt; &lt;index&gt; setSeed &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;point2&gt; </code></pre><p>The UV location of the seed value on a parent surface. <code>&lt;index&gt;</code> = 1 - parent 1; 2 - parent 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getRadius &lt;nurbsfilletsurface&gt; &lt;index&gt; setRadius &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;float&gt; </code></pre><p>Get or set the radius of the fillet surface. <code>&lt;index&gt;</code> = 1 - start radius; 2 - end radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTrimSurface &lt;nurbsfilletsurface&gt; &lt;index&gt; setTrimSurface &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;boolean&gt; </code></pre><p>Get or set whether to trim a parent&#x2019;s surface. If <code>true</code> , trims the parent surface at the intersection. <code>&lt;index&gt;</code> = 1 - parent 1; 2 - parent 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFlipTrim &lt;nurbsfilletsurface&gt; &lt;index&gt; setFlipTrim &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;boolean&gt; </code></pre><p>Get or set the direction to trim a parent&#x2019;s surface. If <code>true</code> the parent surface is trimmed from the point towards low parameter space. If <code>false</code> the surface is trimmed from the point towards high parameter space.<code>&lt;index&gt;</code> = 1 - parent 1; 2 - parent 2.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBSSurface-Classes.html\">NURBSSurface Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"NURBSSurface-NURBSObject.html\">NURBSSurface : NURBSObject</a></li>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";