var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B2EED1F7-073C-4799-BC4B-0F0A419FCC61\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Creating NURBS Scene Objects</h1></div><p>The following functions create new nodes in the <strong>3ds Max</strong> scene. The main function is <code>NURBSNode()</code> which takes an arbitrary NURBSSet and instantiates a NURBS object in the scene based on the definition in the NURBSSet. The other two functions are shorthand ways of creating lathe and extrude NURBS surfaces based on existing shapes in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSNode &lt;nurbsset&gt; {node_creation_parameters}      </code></pre><p>Takes a NURBSSet object and creates a <strong>3ds Max</strong> NURBS object in the scene corresponding to the definitions in that NURBSSet. After the function call, the supplied NURBSSet becomes an active representative for the new scene node, all the NURBSId properties are filled-in and you can modify the scene object by modifying the properties of the NURBSSet component objects.</p>\n\
<p>Any of the standard <code>&lt;node&gt;</code> constructor keyword arguments can be added, such as <code>.name</code> , <code>.prefix</code> , <code>.pos</code> , <code>.rotation</code> , <code>.wireColor</code> , etc. See <a href=\"./../../Node-MAXWrapper/Node-MAXWrapper-1.html\">Node class</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSLatheNode &lt;curve&gt; &lt;axis&gt; &lt;sweep&gt; [     capStart:&lt;boolean&gt;] \\ [     capEnd:&lt;boolean&gt;] [     capType:&lt;integer&gt;] \\ [     weldCore:&lt;boolean&gt;] [     flipNormals:&lt;boolean&gt;] \\ [     mapCoords:&lt;boolean&gt;] [     segs:&lt;integer&gt;] \\ [     matIDs:&lt;boolean&gt;] [     shapeIDs:&lt;boolean&gt;] \\ {node_creation_parameters}   </code></pre><p>This function generates a NURBS object based on the specified lathe (surface of revolution) definition and returns a pointer to it. This is used by the lathe modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">curve &lt;node&gt; </code></pre><p>The shape object to revolve. Note that if the curve pointed to is a bezier spline then capping won&apos;t work properly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">axis &lt;Matrix3&gt; </code></pre><p>This specifies the axis of revolution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sweep &lt;float&gt; </code></pre><p>The angle for the surface of revolution in degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">capStart: &lt;boolean&gt; </code></pre><p>Specifies if the surface should be capped at the beginning: <code>true</code> to cap; <code>false</code> to leave open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">capEnd: &lt;boolean&gt; </code></pre><p>Specifies if the surface should be capped at the ending: <code>true</code> to cap; <code>false</code> to leave open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">capType: &lt;integer&gt; </code></pre><p>This parameter is not currently used and the value specified is ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">weldCore: &lt;boolean&gt; </code></pre><p><code>true</code> to collapse any coincident vertices at the center of the surface; otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flipNormals: &lt;boolean&gt; </code></pre><p><code>true</code> to invert the orientation of surface normals; otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mapCoords: &lt;boolean&gt; </code></pre><p><code>true</code> to generate mapping coordinates; otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">segs: &lt;integer&gt; </code></pre><p>The number of segments in the surface of revolution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">matIDs: &lt;boolean&gt; </code></pre><p>If <code>true</code> special material IDs are assigned to the surfaces and caps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">shapeIDs: &lt;boolean&gt; </code></pre><p>If <code>true</code> shape IDs are used. When on, this function uses the material ID values assigned to segments in the spline to be lathed, or curve sub-objects in the NURBS curve to be lathed. This is available only when matIds is <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSExtrudeNode &lt;shape&gt; &lt;amount&gt; [capStart:&lt;boolean&gt;] \\ [capEnd:&lt;boolean&gt;] [capType:&lt;integer&gt;] \\ [mapCoords:&lt;boolean&gt;] [matIDs:&lt;boolean&gt;] \\ [shapeIDs:&lt;boolean&gt;] {node_creation_parameters} </code></pre><p>This function generates a NURBS object based on the specified extrusion definition and returns a pointer to it. This is used by the extrude modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">shape &lt;node&gt; </code></pre><p>The shape node to extrude. Note that if the shape pointed to is a bezier spline then capping won&apos;t work properly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">amount &lt;float&gt; </code></pre><p>Specifies the height of the extrusion.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">capStart: &lt;boolean&gt; </code></pre><p>Specifies if the surface should be capped at the beginning: <code>true</code> to cap; <code>false</code> to leave open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">capEnd: &lt;boolean&gt; </code></pre><p>Specifies if the surface should be capped at the ending: <code>true</code> to cap; <code>false</code> to leave open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">capType: &lt;integer&gt; </code></pre><p>This parameter is not currently used and the value specified is ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">matIDs: &lt;boolean&gt; </code></pre><p>If <code>true</code> , special material IDs are assigned to the surfaces and caps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">shapeIDs: &lt;boolean&gt; </code></pre><p>If <code>true</code> shape IDs are used. When on, this function uses the material ID values assigned to segments in the spline to be extruded, or curve sub-objects in the NURBS curve to be extruded. This is available only when matIds is <code>true</code> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">Using the NURBS Classes and Functions to Create and Modify 3ds max NURBS Models</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";