var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B4552BA1-8A8E-4223-A479-7DA55A8ABE37\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Creating NURBSCVSurface Values</h1></div><p>The following functions provide shorthand ways to construct NURBSCVSurface values that you can then add to a NURBSSet for creation in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MakeNURBSLatheSurface &lt;curve&gt; &lt;origin&gt; &lt;north&gt; &lt;start&gt; &lt;end&gt;      </code></pre><p>This function generates a NURBS surface of revolution given an input curve, origin, up axis, and start and end angles. The output of this function is a NURBS Surface. Note that this is a CV surface that matches the definition, not a relational surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">curve &lt;NURBSCurve&gt;   </code></pre><p>This is the NURBS curve that is revolved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">origin &lt;point3&gt; </code></pre><p>Specifies the origin of the revolution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">north &lt;point3&gt; </code></pre><p>This is the axis that specified the up direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">start &lt;float&gt; </code></pre><p>This is the start angle of the revolution in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">end &lt;float&gt; </code></pre><p>This is the end angle of the revolution in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MakeNURBSSphereSurface &lt;radius&gt; &lt;center&gt; &lt;north_axis&gt; &lt;ref_axis&gt; &lt;startU&gt; &lt;endU&gt; &lt;startV&gt; &lt;endV&gt; [open:&lt;boolean&gt;] </code></pre><p>This function generates a NURBS sphere.</p>\n\
<p>The output of this function is a NURBS Surface.</p>\n\
<p><strong>Note</strong> that this is a CV surface that matches the definition, not a relational surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">radius &lt;float&gt; </code></pre><p>The radius of the sphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">center &lt;Point3&gt; </code></pre><p>The center point of origin of the sphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">north_axis &lt;Point3&gt; </code></pre><p>This specifies the up axis. Use (Point3 0 0 1) for the Z axis for example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ref_Axis &lt;Point3&gt; </code></pre><p>This is the direction of the seam. The sphere primitive uses (Point3 0 -1 0) as this value.</p>\n\
<p>The <code>northAxis</code> and <code>refAxis</code> must be perpendicular to one another.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">startU &lt;float&gt; </code></pre><p>The start angle for the sphere in the U direction, specified in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">endU &lt;float&gt; </code></pre><p>The end angle for the sphere in the U direction, specified in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">startV &lt;float&gt; </code></pre><p>The start angle for the sphere in the V direction, specified in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">endV &lt;float&gt; </code></pre><p>The end angle for the sphere in the V direction, specified in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">open: &lt;boolean&gt; </code></pre><p>If <code>true</code> , the surface is closed; otherwise the surface is not closed. Defaults to <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MakeNURBSCylinderSurface &lt;radius&gt; &lt;height&gt; &lt;origin&gt; &lt;sym_axis&gt; &lt;ref_axis&gt; &lt;start&gt; &lt;end&gt; [open:&lt;boolean&gt;] </code></pre><p>This function generates a NURBS cylinder. The output of this function is a NURBS Surface.</p>\n\
<p><strong>Note</strong> that this is a CV surface that matches the definition, not a relational surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">radius &lt;float&gt; </code></pre><p>The radius of the cylinder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height &lt;float&gt; </code></pre><p>The height of the cylinder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">origin &lt;Point3&gt; </code></pre><p>The origin of the cylinder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sym_Axis &lt;Point3&gt; </code></pre><p>The axis of symmetry. The standard cylinder primitive specifies (Point3 0 0 1).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ref_Axis &lt;Point3&gt; </code></pre><p>This is the direction of the seam. The standard cylinder primitive specifies (Point3 0 1 0).</p>\n\
<p>The <code>symAxis</code> and <code>refAxis</code> must be perpendicular to one another.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">start &lt;float&gt; </code></pre><p>The start angle in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">end &lt;float&gt; </code></pre><p>The end angle in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">open: &lt;boolean&gt; </code></pre><p>If <code>true</code> , the surface is closed; otherwise the surface is not closed. Defaults to <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MakeNURBSConeSurface &lt;radius1&gt; &lt;radius2&gt; &lt;height&gt; &lt;origin&gt; &lt;sym_axis&gt; &lt;ref_axis&gt; &lt;start&gt; &lt;end&gt; [open:&lt;boolean&gt;] </code></pre><p>This function generates a NURBS cone surface. The output of this function is a NURBS Surface. <strong>Note</strong> that this is a CV surface that matches the definition, not a relational surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">radius1 &lt;float&gt; </code></pre><p>One of the radii of the cone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">radius2 &lt;float&gt; </code></pre><p>The other radius of the cone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height &lt;float&gt; </code></pre><p>The height of the cone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">origin &lt;Point3&gt; </code></pre><p>The origin of the cone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sym_Axis &lt;Point3&gt; </code></pre><p>The axis of symmetry.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ref_Axis &lt;Point3&gt; </code></pre><p>This is the direction of the seam.</p>\n\
<p>The <code>symAxis</code> and <code>refAxis</code> must be perpendicular to one another.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">start &lt;float&gt; </code></pre><p>The start angle in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">end &lt;float&gt; </code></pre><p>The end angle in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">open: &lt;boolean&gt; </code></pre><p>If <code>true</code> , the surface is closed; otherwise the surface is not closed. Defaults to <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MakeNURBSTorusSurface &lt;majorRad&gt; &lt;minorRad&gt; &lt;origin&gt; &lt;sym_axis&gt; &lt;ref_axis&gt; &lt;startU&gt; &lt;endU&gt; &lt;startV&gt; &lt;endV&gt; [open:&lt;boolean&gt;] </code></pre><p>This function generates a NURBS torus surface. The output of this function is a NURBS Surface. Note that this is a CV surface that matches the definition, not a relational surface.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This surface is not closed surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">majorRad &lt;float&gt; </code></pre><p>This is the radius of the entire &apos;donut&apos; shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">minorRad &lt;float&gt; </code></pre><p>The is the radius of the &apos;tube&apos;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">origin &lt;Point3&gt; </code></pre><p>The origin of the cone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sym_Axis &lt;Point3&gt; </code></pre><p>The axis of symmetry.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ref_Axis &lt;Point3&gt; </code></pre><p>This is the direction of the seam. The <code>symAxis</code> and <code>refAxis</code> must be perpendicular to one another.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">startU &lt;float&gt; </code></pre><p>The start angle of the torus in the U direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">endU &lt;float&gt; </code></pre><p>The end angle of the torus in the U direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">startV &lt;float&gt; </code></pre><p>The start angle of the torus in the V direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">endV &lt;float&gt; </code></pre><p>The end angle of the torus in the V direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">open: &lt;boolean&gt; </code></pre><p>If <code>true</code> , the surface is closed; otherwise the surface is not closed. Defaults to <code>false</code> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">Using the NURBS Classes and Functions to Create and Modify 3ds max NURBS Models</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";