var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-62979DC6-3C9B-4A8C-B695-CA83E8AA1437\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Creating New NURBS Objects</h1></div><p>The NURBS classes can be used to create new NURBS scene objects. This is done by adding the objects (points, curves and surfaces) to an item called a NURBSSet and passing it to the function <code>NURBSNode()</code> . The NURBSSet is a container for the objects that define each element in the scene NURBS object. The function <code>NURBSNode()</code> makes an internal <strong>3ds Max</strong> NURBS object from the specifications in the set. The function <code>NURBSNode()</code> is documented in <a href=\"Creating-NURBS-Scene-Objects.html\">Creating NURBS Scene Objects</a>.</p>\n\
<p>As an example, consider the following code fragment that creates a NURBSCVCurve object (with NURBSControlVertex sub-objects) and puts it in the scene:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- create an empty NURBSSet object\n\
   nset = NURBSSet ()\n\
   -- create a new NURBSCVCurve and set the knots and CVs\n\
   c = NURBSCVCurve name:&quot;CV Curve&quot; order:4 numCVs:4 numKnots:8\n\
   for k in 1 to 4 do ( setKnot c k 0; setKnot c (k+4) 1 )\n\
   cv = NURBSControlVertex [0, 0, 50]\n\
   setCV c 1 cv\n\
   cv.pos = [-100, 0, 50]\n\
   setCV c 2 cv\n\
   cv.pos = [-100, 100, 50]\n\
   setCV c 3 cv\n\
   cv.pos = [0, 100, 50]\n\
   setCV c 4 cv\n\
   -- add the NURBSCVCurve object to the set\n\
   appendObject nset c\n\
   -- create the NURBS object from the NURBSSet\n\
   n = NURBSNode nset name:&quot;nurbs01&quot;pos:[10,0,0]\n\
</code></pre></blockquote>\n\
<p>Note that the NURBSSet supplied to the <code>NURBSNode()</code> function will be modified by that function to be a relational representative for the newly created scene node which you can then use to modify the scene object -- you don&apos;t have to re-extract a fresh relational NURBSSet.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">Using the NURBS Classes and Functions to Create and Modify 3ds max NURBS Models</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";