var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8E66EBA2-CD22-41DB-8F26-6A961B0F7018\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBS Node Properties and Methods</h1></div><p><strong>Properties</strong></p>\n\
<p>There are several properties on <code>&lt;node&gt;</code> objects that give access to sub-object selections in NURBS objects:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.selectedCurveCVs </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.selectedCurves </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.selectedImports </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.selectedPoints </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.selectedSurfaces </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.selectedSurfCVs </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.curveCVs </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.curves </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.imports </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.surfaces </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.surfCVs </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.points </code></pre><p>These all return a <a href=\"./../The-NURBS-Classes/NURBS-Associated-Classes/NURBSSelection-Value.html\">NURBSSelection Value</a>, and enable sub-object manipulation in a manner similar to that provided for Editable Meshes.</p>\n\
<p><strong>Methods</strong></p>\n\
<p>The following NURBS-related methods operate on scene nodes:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNURBSSet &lt;node&gt; [#relational] </code></pre><p>This function is used to retrieve a NURBSSet that corresponds to the specified NURBS scene node. This allows access the internal objects inside a <strong>3ds Max</strong> editable NURBS object.</p>\n\
<p>If the optional <code>#relational</code> parameter is <strong>not</strong> supplied, the returned NURBSSet will contain only independent curves and surfaces, all dependent objects will be decomposed into corresponding independent objects. So for example, if you pass an object that has a relational model (perhaps two CV surfaces and a dependent blend surface) it will decompose them into three CV surfaces. This will be the CV surfaces that represent the two surfaces and the blend, but you won&apos;t have the blend relational data. If the <code>#relational</code> argument <strong>is</strong> supplied, you get back two CV surfaces and a NURBS blend surface and the NURBSSet is an <strong>active</strong> representative for the scene object -- any changes you make to the properties of it&apos;s constituent NURBSObjects will be reflected directly in the source scene object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addNURBSSet &lt;node&gt; &lt;nurbsSet&gt; </code></pre><p>This function adds the supplied NURBSSet to the specified NURBS scene object, creating subobjects within the scene node corresponding to the definitions in the NURBSSet. After the function call, the supplied NURBSSet becomes an active representative for the new scene node subobjects, all the NURBSId properties are filled-in and you can modify the associated scene sub-object by modifying the properties of the NURBSSet component objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">transform &lt;node&gt; &lt;nurbsId_or_Id_array&gt; &lt;matrix3&gt; </code></pre><p>Transforms the specified sub-objects by the matrix supplied in the node&apos;s local space. The sub-objects to be transformed are identified by their NURBSId property which is set up when you instantiate a NURBSSet with the <code>NURBSNode()</code> function or if you extract a <strong>relational</strong> NURBSSet from an existing NURBS scene node using the <code>getNURBSSet()</code> function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">breakCurve &lt;node&gt; &lt;nurbsId&gt; &lt;u_param&gt; </code></pre><p>Breaks the specified sub-object curve at the parametric point along the curve defined by the <code>&lt;u_param&gt;</code> float argument. The sub-object to be broken is identified by its NURBSId property which is set up when you instantiate a NURBSSet with the <code>NURBSNode()</code> function or if you extract a <strong>relational</strong> NURBSSet from an existing NURBS scene node using the <code>getNURBSSet()</code> function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">breakSurface &lt;node&gt; &lt;nurbsId&gt; (#U |#V) &lt;u_or_v_param&gt; </code></pre><p>Breaks the specified sub-object surface at the parametric point defined by the <code>&lt;u_or_v_param&gt;</code> argument in the u or v direction depending on whether <code>#U</code> or <code>#V</code> is supplied for the third argument. The sub-object to be broken is identified by its NURBSId property which is set up when you instantiate a NURBSSet with the <code>NURBSNode()</code> function or if you extract a <strong>relational</strong> NURBSSet from an existing NURBS scene node using the <code>getNURBSSet()</code> function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">joinCurves &lt;node&gt; &lt;nurbsId1&gt; &lt;nurbsId2&gt; &lt;tolerance_float&gt; [flip1:&lt;boolean&gt;] [flip2:&lt;boolean&gt;] </code></pre><p>Joins two curve sub-objects in the specified scene node and makes a single curve out of them. That is, the endpoints of the two curve objects are connected by new segments, and the two original curves are replaced by a single curve.</p>\n\
<p>The supplied tolerance is a distance in <strong>3ds Max</strong> units. If the gap between the curves you are joining is greater than this value, this function creates the join by first creating a blend curve and then joining the three parts. If the gap is less than this value, or if the curves are overlapping or coincident, no blend is created.</p>\n\
<p>Creating a blend and then joining the three curves into a single curve is the better technique. The result matches the parent curves well. Without the blend step, the resulting curve can deviate from the parent curves, in order to maintain smoothness. (The amount of deviation depends on how far from tangent the two input curves were at the join.)</p>\n\
<p>A problem arises when there is a gap but it is too small. In this case, this function generates the blend but because there isn&#x2019;t enough room for it, the resulting curve has a loop in it. To avoid this loop, set this parameter higher than the gap distance.</p>\n\
<p>If you the tolerance to 0.0, the function chooses a value to use for the tolerance.</p>\n\
<p>The sub-objects to be joined are identified by their NURBSId property which is set up when you instantiate a NURBSSet with the <code>NURBSNode()</code> function or if you extract a <strong>relational</strong> NURBSSet from an existing NURBS scene node using the <code>getNURBSSet()</code> function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">joinSurfaces &lt;node&gt; &lt;nurbsId1&gt; &lt;nurbsId2&gt; &lt;edge1_integer&gt; &lt;edge2_integer&gt; &lt;tolerance_float&gt; </code></pre><p>Joins two surface sub-objects in the specified scene node and makes a single surface from them. The specified edges of the two surface objects are connected by a new surface, and the two original surfaces are replaced by a single surface.</p>\n\
<p>The edges are identified by edge index numbers.</p>\n\
<p>The tolerance is a distance in <strong>3ds Max</strong> units. If the gap between the surfaces you are joining is greater than this value, this function creates the join by first creating a blend surface. If the gap is less than this value, or if the surfaces are overlapping or coincident, <strong>3ds Max</strong> doesn&#x2019;t create the blend.</p>\n\
<p>Creating a blend and then joining the three surfaces into a single surface is the better technique. The result matches the parent surfaces well. Without the blend step, the resulting surface can deviate from the parent surfaces, in order to maintain smoothness. (The amount of deviation depends on how far from tangent the two input surfaces were at the join.)</p>\n\
<p>A problem arises when there is a gap but it is too small. In this case, this function generates the blend but because there isn&#x2019;t enough room for it, the resulting surface has a loop in it. To avoid this loop, set the tolerance parameter higher than the gap distance.</p>\n\
<p>If you set the tolerance to 0.0, the function chooses a value to use for the tolerance.</p>\n\
<p>The sub-objects to be joined are identified by their NURBSId property which is set up when you instantiate a NURBSSet with the <code>NURBSNode()</code> function or if you extract a <strong>relational</strong> NURBSSet from an existing NURBS scene node using the <code>getNURBSSet()</code> function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">makeIndependent &lt;node&gt; &lt;nurbsId&gt; </code></pre><p>This function takes a dependent sub-object (fillet, offset, blend, etc.) and turns it into a CV variant of itself such that it is independent (no longer dependent on a parent).</p>\n\
<p>The sub-object to be made independent is identified by its NURBSId property which is set up when you instantiate a NURBSSet with the <code>NURBSNode()</code> function or if you extract a <strong>relational</strong> NURBSSet from an existing NURBS scene node using the <code>getNURBSSet()</code> function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setViewApproximation &lt;node&gt; &lt;surfaceApproximation&gt; setRenderApproximation &lt;node&gt; &lt;surfaceApproximation&gt; setSurfaceDisplay &lt;node&gt; &lt;nurbsdisplay&gt; </code></pre><p>These methods work NURBS curve and surface scene nodes. They take instances of the <a href=\"./../The-NURBS-Classes/NURBS-Associated-Classes/NURBSSurfaceApproximation-Value.html\">NURBSSurfaceApproximation</a> and <a href=\"./../The-NURBS-Classes/NURBS-Associated-Classes/NURBSDisplay-Value.html\">NURBSDisplay</a> classes and set the display or curve/surface approximation settings of the given NURBS scene node to those specified in the approximation or display control instance.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">canConvertTo &lt;node&gt; &lt;class&gt; </code></pre><p>Allows you to test whether a given node is convertible into a given class. Returns <code>true</code> or <code>false</code> . For example:</p>\n\
<p>if canConvertTo $foo NURBSSurface then ...</p>\n\
<p>The kinds of classes you can convert objects to are the generic editable forms including Mesh, SplineShape, NURBSCurve, NURBSSurface, etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertTo &lt;node&gt; &lt;class&gt; -- mapped </code></pre><p>This function is a general form of the existing specific conversion functions such as <code>convertToMesh()</code> , <code>convertToSplineShape()</code> , etc. For example, <code>convertToSplineShape()</code> can be written:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertTo $circle01 SplineShape</code></pre><p>If the conversion is not supported, the function returns the value <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertToNURBSSurface &lt;node&gt; -- mapped convertToNURBSCurve &lt;node&gt; -- mapped </code></pre><p>These functions work on those primitive geometry and shape classes that support conversion to NURBS (such as boxes, spheres, circles, lines, etc.). If an object does not support conversion, the function returns <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isPointSelected &lt;node&gt; &lt;point_index&gt; </code></pre><p>Returns true if the specified point is selected, false if not.</p>\n\
<p>The definition of a &apos;point&apos; varies depending on the object type.</p>\n\
<p>For meshes, it is the mesh vertex.</p>\n\
<p>For NURBS objects, it is the vertex or control point.</p>\n\
<p>For a spline, it is the knot and its In and Out bezier handles. The spline will appear to have 3 times more knots and if a knot is selected, its bezier handles will also be considered selected. Thus, the <code>&lt;point_index&gt;</code> must be multiplied by 3 to query the correct knot value. For example, if in an Editable Spline knot 1 is selected and knot 2 is not, indices 1, 2 and 3 will all return True, indices 4, 5 and 6 will return False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pointSelection &lt;node&gt; &lt;point_index&gt; </code></pre><p>Returns a floating point weighted point selection if the object supports it. Most object types just return 1.0 if the point is selected and 0.0 if not. Only NURBS objects currently support weighted point selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">stopCreating &lt;node&gt; </code></pre><p>This method stops the creation of the current object, if any. This method is primarily used to ensure that a NURBS scene objects is fully created, which it will not be until the creation is stopped. The NURBSSet returned for a NURBS scene object will not be complete if the object is still in creation mode. This method will also deactivated any activated object create buttons in the Create panel.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">Using the NURBS Classes and Functions to Create and Modify 3ds max NURBS Models</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";