var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-79B16E83-25AB-45BC-8AE1-2DA3E3BE911B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Modifier Transform Context Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getModContextTM &lt;node&gt; &lt;modifier&gt; </code></pre><p>Returns a Matrix3 value giving the modifier&apos;s context transform for the local coordinates used in modifier sub-object gizmos.</p>\n\
<p>Accessing the transform properties of a modifier sub-object such as, a gizmo or a center in MAXScript yields values that are relative to that modifier&apos;s context transform, equivalent to the values shown in track view for those properties. If the modifier is not operating on a sub-object selection such as, a face or vertex selection, or if the modifier was interactively applied to an object selection, this context TM is the local coordinate space of the object. However, if the modifier is operating on either an object selection set or a sub-object selection, the context transform gives the position and orientation of that selection, so you can use the <code>getModContextTM()</code> function to get the world-space transform properties of any of its sub-objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setModContextTM &lt;node&gt; &lt;modifier&gt; &lt;matrix3&gt; </code></pre><p>Sets the modifier context transformation matrix of the specified modifier on the given node.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getModContextBBoxMin &lt;node&gt; &lt;modifier&gt; \n\
getModContextBBoxMax &lt;node&gt; &lt;modifier&gt; </code></pre><p>These functions complement the <code>getModContextTM()</code> function and can be used to derive the world-space coordinates of the bounding box of the modifier context. This can be used, for example, to determine the bounds of a modifier operating on a sub-selection or the bounds of an FFD lattice. This is particularly useful for scripting FFD control point placement because these control points live in a 0-to-1 lattice space. The mod context bounding box gives the world space bounds of this lattice space allowing you to compute scaled lattice space coordinates from world coordinates. The functions return Point3 values for the minimum and maximum extents of the bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setModContextBBox &lt;node&gt; &lt;modifier&gt; &lt;point3 min&gt; &lt;point3 max&gt; </code></pre><p>Sets the modifier context bounding box of the modifier on the given node to the specified minimum and maximum values.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p>See <a href=\"./../../../Modifier-MAXWrapper-and/Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a> for examples of using the above methods.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Methods.html\">Node Common Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";