var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C17D0E4B-C408-426B-B300-7E23A0D98515\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Transform Properties</h1></div><p>Unless otherwise noted, the following transform properties are always interpreted with respect to the current working coordinate system as defined by the currently active <a href=\"./../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions.html\">coordsys context</a>. The default <code>coordsys</code> is <code>world</code> . The <code>pos</code> , <code>rotation</code> , and <code>scale</code> properties of a node are aliases to the corresponding subcontroller for the node&apos;s transform controller. If the transform controller does not have one of these subcontrollers, accessing the corresponding node property will result in an &quot;Unknown property&quot; error message. For example, the LookAt controller does not have a Rotation subcontroller, and the IK controller does not have any subcontrollers. You can still access the transform values using the Matrix3 properties of the node&apos;s <code>transform</code> property, for example, <code>objpos=obj.transform.translationpart</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.transform: Matrix3</code></pre><p>Can read/write to.</p>\n\
<p>If written to, the Matrix3 value is decomposed into its position, rotation, and scale values. These values are stored in the respective position, rotation, and scale controllers, if those controllers exist and can be written to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.pos: Point3 --can use .position synonym throughout\n\
&lt;node&gt;.pos.controller: Controller --can use .track synonym throughout\n\
&lt;node&gt;.pos.isAnimated: Boolean, read-only --true if position is animated\n\
&lt;node&gt;.pos.keys: MAXKeyArray\n\
&lt;node&gt;.pos.track: Controller --synonym of .pos.controller\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.rotation: Quat</code></pre><p>Gets or sets the rotation component of the node&apos;s transform in world space (that is, around the scene origin), as a quat value.  To rotate in the node&apos;s local space, you can do something like:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">in coordsys (transmatrix $.pos) $.rotation = (quat 0 0 0.446743 0.894662)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.rotation.x_rotation: Float --X rotation of node\n\
&lt;node&gt;.rotation.y_rotation: Float --Y rotation of node\n\
&lt;node&gt;.rotation.z_rotation: Float --Z rotation of node\n\
&lt;node&gt;.rotation.controller: Controller --can use .track synonym throughout\n\
&lt;node&gt;.rotation.isAnimated: Boolean, read-only --true if rotation is animated\n\
&lt;node&gt;.rotation.keys: MAXKeyArray\n\
&lt;node&gt;.rotation.track: Controller --synonym of .rotation.controller</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.scale: Point3 -- fraction\n\
&lt;node&gt;.scale.controller: Controller --can use .track synonym throughout\n\
&lt;node&gt;.scale.isAnimated: Boolean, read-only --true if scale is animated\n\
&lt;node&gt;.scale.keys: MAXKeyArray\n\
&lt;node&gt;.scale.track: Controller --synonym of .scale.controller</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.dir: Point3 --local z-axis direction vector</code></pre><p>Rotates node so that the node&apos;s Z axis points in the specified direction. The node is rotated around its Z axis such that the Y axis points as much as possible in the world -Z direction.</p>\n\
<p>Getting and setting <code>&lt;node&gt;.dir</code> now respects the current coordinate system. Previously, this property was always in world coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.max: Point3, read-only --max coordinates of node&apos;s bounding box\n\
&lt;node&gt;.min: Point3, read-only --min coordinates of node&apos;s bounding box\n\
&lt;node&gt;.center: Point3 --coordinates of center of node&apos;s bounding box</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.transform: Matrix3 --node&apos;s main transformation matrix</code></pre>\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Rotation in the internal transformation matrices is <strong>left-handed</strong> in contradiction to the <strong>3ds Max</strong> user interface and MAXScript. Take care when mixing rotation derived from these matrices and rotation used in rotation-related functions or from rotation properties.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.pivot: Point3 -- node&apos;s pivot point position</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.objectOffsetPos: Point3\n\
&lt;node&gt;.objectOffsetRot: Quat\n\
&lt;node&gt;.objectOffsetScale: Point3</code></pre><p>Node geometry&apos;s position, rotation, and scale offset from the pivot in world coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.objectTransform: Matrix3, read-only</code></pre><p>Node geometry&apos;s offset in world coordinates.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Setting a node&apos;s rotation relative to world space without\n\
   --messing with its position:\n\
   fn setNodeWorldRotation theNode theRot =\n\
   (\n\
   in coordsys (transmatrix theNode.transform.pos)\n\
   theNode.rotation = theRot\n\
   )\n\
   b = box isSelected:true \n\
   setNodeWorldRotation $ (eulerangles 45 45 0)\n\
   -- or: setNodeWorldRotation $ (quat 0 0 0.446743 0.894662)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Using-Node-Transform-Properties.html\">Using Node Transform Properties</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";