var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BFCB8480-8EAE-43E4-8B37-3374DCD6BDCE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Boolean3: GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Boolean3 - superclass: GeometryClass; super-superclass:node - classID:#(7bc209af, 1bbac5f) </code></pre><p><img src=\"./images/GUID-A3EE1364-CC9F-4C1E-A3CE-B1D2000D8A30-low.png\" alt></p>\n\
<p>The <strong>Boolean3</strong> / <strong>BooleanObject2</strong> Compound Object Classes let you create compound Boolean objects. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Boolean3\n\
BooleanObject2\n\
</code></pre><p><strong>Constructor</strong>:</p>\n\
<p>No constructor, use:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">startObjectCreation BooleanObject2</code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.iconsize: float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.materialOption: integer</code></pre><p>The Material setting for the Boolean:</p>\n\
<p>0 - Apply Operand Material</p>\n\
<p>1 - Retain Original Material</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.displayOption: integer</code></pre><p>The Display setting for the Boolean:</p>\n\
<p>0 - Result</p>\n\
<p>1 - Operands</p>\n\
<p>2 - Selected Operands</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.displayAsShaded: integer</code></pre><p>The Display as Shaded setting:</p>\n\
<p>0 - Off</p>\n\
<p>1 - On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.objects: maxObject array</code></pre><p>An array containing the operands in the Boolean, as <code>ReferenceTarget</code> objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.operation: int array</code></pre><p>An array containing the operand type for each corresponding operand in the <code>.objects</code> array:</p>\n\
<p>0 - Union</p>\n\
<p>1 - Intersect</p>\n\
<p>2 - Subtract</p>\n\
<p>3 - Merge</p>\n\
<p>4 - Attach</p>\n\
<p>5 - Insert</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.option: int array</code></pre><p>Contains the Imprint/Cookie option for each operand:</p>\n\
<p>0 - No option</p>\n\
<p>1 - Imprint</p>\n\
<p>2 - Cookie</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.operand_tm: maxObject array</code></pre><p>An array of position controllers for the Boolean&apos;s operands.</p>\n\
<p><strong>Methods (from BooleanObject2 Interface)</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumOperands()</code></pre><p>Returns the number of operands in the Boolean.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetOperandName &lt;index&gt;index &lt;&amp;string&gt;nameout\n\
\n\
nameout is Out parameter</code></pre><p>Gets the name of the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetOperandName &lt;index&gt;index &lt;index&gt;operandIndex &lt;string&gt;name</code></pre><p>Sets the name of the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetOperandType &lt;index&gt;index &lt;&amp;enum&gt;type\n\
\n\
type enums: {#system|#generated}\n\
\n\
type is Out parameter</code></pre><p>Gets the operand type at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetNumChildren &lt;index&gt;index &lt;&amp;integer&gt;count\n\
\n\
count is Out parameter</code></pre><p>Gets the number of children for the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetOperationType &lt;index&gt;index &lt;&amp;enum&gt;type\n\
\n\
type enums: {#union|#intersection|#subtraction|#merge|#attach|#insert}\n\
\n\
type is Out parameter</code></pre><p>Gets the operation type for the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetOperationType &lt;index&gt;index &lt;enum&gt;type\n\
\n\
type enums: {#union|#intersection|#subtraction|#merge|#attach|#insert}</code></pre><p>Sets the operation type for the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetOperationOption &lt;index&gt;index &lt;&amp;enum&gt;option\n\
\n\
option enums: {#none|#imprint|#cookie}\n\
\n\
option is Out parameter</code></pre><p>Gets the operation option for the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetOperationOption &lt;index&gt;index &lt;enum&gt;option\n\
\n\
option enums: {#none|#imprint|#cookie}</code></pre><p>Sets the operation option for the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetSolo &lt;index&gt;operandIndex &lt;&amp;boolean&gt;solo\n\
\n\
solo is Out parameter</code></pre><p>Gets the solo setting for the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetSolo &lt;index&gt;operandIndex &lt;boolean&gt;solo</code></pre><p>Sets the solo setting for the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetSoloOperandIndex &lt;&amp;index&gt;operandIndex\n\
\n\
operandIndex is Out parameter\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetDisable &lt;index&gt;operandIndex &lt;&amp;boolean&gt;disable\n\
disable is Out parameter\n\
</code></pre><p>Gets the disabled setting for the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bool&gt;SetDisable &lt;index&gt;operandIndex &lt;boolean&gt;disable</code></pre><p>Sets the disabled setting for the operand at the specified index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;HasSubdivs &lt;index&gt;operandIndex &lt;time&gt;time &lt;&amp;boolean&gt;sub\n\
\n\
sub is Out parameter\n\
</code></pre><p>Indicates whether the operand at the specified index has subdivs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetSubdivs &lt;index&gt;index &lt;time&gt;time &lt;&amp;integer&gt;subdivs &lt;&amp;interval&gt;valid\n\
\n\
 subdivs is Out parameter\n\
\n\
 valid is In and Out parameter\n\
</code></pre><p>Gets the subdivs for the operand at the specified index, for the specified time and validity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetSubdivs &lt;index&gt;index &lt;time&gt;time &lt;integer&gt;subdivs</code></pre><p>Sets the number of subdivs for the operand at the specified index, at the specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;RemoveOperand &lt;index&gt;operandIndex</code></pre><p>Removes the specified operand from the Boolean.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AppendOperand &lt;node&gt;boolNode &lt;node&gt;operandNode &lt;boolean&gt;hold</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;InsertOperand &lt;node&gt;boolNode &lt;node&gt;operandNode &lt;index&gt;where &lt;boolean&gt;hold</code></pre><blockquote>\n\
<p>   <strong>Example:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Create a couple of boxes, add them as operands with Union operation \n\
   boxNum1 = Box lengthsegs:1 widthsegs:1 heightsegs:1 length:34.4026 width:35.2684 height:28.3108 mapcoords:on pos:[-9.23886,6.62539,0] isSelected:on\n\
   boxNum2 = Box lengthsegs:1 widthsegs:1 heightsegs:1 length:34.6151 width:39.1545 height:16.8113 mapcoords:on pos:[10.8141,-3.6636,5.99007] isSelected:on \n\
   select boxNum1 \n\
   -- The following can use &#x201C;BooleanObject2&#x201D; or &#x201C;Boolean3&#x201D; \n\
   StartObjectCreation Boolean3 \n\
   bool = $ \n\
   -- Add Box2... \n\
   bool.AppendOperand bool boxNum2 false \n\
   -- Use it in a union \n\
   bool.SetOperationType 2 #union \n\
\n\
   -- Use it as subtraction \n\
   bool.SetOperationType 2 #subtraction \n\
\n\
   -- Delete both operands so have an empty boolean (makes icon appear) \n\
   bool.RemoveOperand 2 \n\
   bool.RemoveOperand 1 \n\
   -- Set icon size big \n\
   bool.iconSize = 200 \n\
   -- Set icon size tiny\n\
   bool.iconSize = 2\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Compound-Objects.html\">Geometry - Compound Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";