var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2497AE43-97CA-4D30-B40E-8D45AC6DAEC5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>GeometryClass Common Properties, Operators, and Methods</h1></div><p>The mesh operations underlying the Boolean Compound Object in <strong>3ds Max</strong> are accessible in MAXScript. They appear as operators (+, -, *) that you can apply to any two scene objects that are convertible to meshes. These objects are all GeometryClass objects with the exception of the particle systems.</p>\n\
<p>The <strong>operators</strong> are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node1&gt; + &lt;node2&gt;      </code></pre><p>Returns the <strong>union</strong> of node1 and node2</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node1&gt;-&lt;node2&gt;   </code></pre><p>Returns the <strong>subtraction</strong> of node2 from node1</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node1&gt;*&lt;node2&gt; </code></pre><p>Returnsthe <strong>intersection</strong> of node1 and node2</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo - $baz\n\
   $sphere01 + $sphere02 + $sphere03 + $sphere04\n\
</code></pre></blockquote>\n\
<p>The Boolean operators <strong>change the first operand</strong> to be the result of the operation and leave the second operand untouched. So, in the first example, the <code>$foo</code> node is changed to an Editable Mesh object containing the result of the difference operation. In the second example, <code>$sphere01</code> is successively unioned with each of the other spheres - <code>$sphere01</code> contains the compound result and the other spheres are left standing.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Unlike the Boolean compound object in <strong>3ds Max</strong>, this operation destructively modifies the first operand - you cannot retrieve the original first operand after the Boolean operation is performed. You can effectively keep the first operand by using a copy function,</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   result = (copy $foo) - $baz\n\
</code></pre></blockquote>\n\
<p>will put a modified copy of <code>$foo</code> into the variable result, leaving the original <code>$foo</code> unchanged.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetTriMeshFaceCount &lt;node&gt; </code></pre><p>Returns an array of two integers - the face count and the vertex count of the TriMesh on top of the modifier stack.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../GeometryClass-Node.html\">GeometryClass : Node</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";