var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-89032CCA-155D-4C23-A574-67B718859E11\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PointCloud : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PointCloud - superclass: GeometryClass; super-superclass:node - 26:0 - classID: #(1603164340, 469842767)</code></pre><p>The <strong>PointCloud GeometryClass</strong> object allows the loading of point cloud (e.g. LIDAR) data in Autodesk ReCap format in <strong>3ds Max</strong>. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PointCloud...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"point-cloud-source-rollout-gt-scan-file-group-of-controls\">Point Cloud Source rollout &gt; Scan File group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.filename     String    default: &quot;&quot;   --  filename; Load_Point_Cloud</code></pre><p>Get/set the point cloud source filename.</p>\n\
<p>Valid file formats are Autodesk Reality Capture Project .RCP and Autodesk Reality Capture Scan .RCS files.</p>\n\
<p>.RCS scan files contain actual point data.</p>\n\
<p>.RCP project files contain references to one or more .RCS files registered together in Autodesk ReCap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.scanFiles     ArrayParameter    default: #()   --  filename array; SubAnim</code></pre><p>A filename array of the .RCS scan files referenced and loaded by the .RCP project file assigned to the <code>.filename</code> property.</p>\n\
<p>If an .RCS scan file is assigned to the <code>.filename</code> property, its name will be the only element of the array.</p>\n\
<p>Not exposed to the UI.</p>\n\
<p>Read-only.</p>\n\
<h2 id=\"display-rollout-gt-color-channel-group-of-controls\">Display rollout &gt; Color Channel group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.displayTechnique     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the Color Channel drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>True Color</strong> (default)</p>\n\
<p>1 - <strong>Single Color</strong></p>\n\
<p>2 - <strong>Normal Ramp</strong></p>\n\
<p>3 - <strong>Elevation Ramp</strong></p>\n\
<p>4 - <strong>Intensity Ramp</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.singleColor     Color    default: (color 0 0 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))</code></pre><p>Get/set the single color used for all points when the property <code>.displayTechnique</code> is set to <strong>1 - SingleColor</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.gradientTexmap     Gradient_Ramp    default: (null):Gradient Ramp   --  texturemap; SubAnim</code></pre><p>Get/set the Gradient Ramp texture map used when the property <code>.displayTechnique</code> is set to <strong>2 - Normal Ramp</strong>, <strong>3 - Elevation Ramp</strong> or <strong>4 - Intensity Ramp</strong></p>\n\
<h2 id=\"display-rollout-gt-level-of-detail-settings-group-of-controls\">Display rollout &gt; Level Of Detail Settings group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.performanceQuality     Integer    default: 4   --  integer</code></pre><p>Get/set the Performance vs. Quality slider&apos;s value.</p>\n\
<p>Valid range is between 0 (high performance, low quality) and 8 (high quality, low performance).</p>\n\
<p>Default is 4, balanced performance and quality.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.fixedLODEnable     BooleanClass    default: false   --  boolean; Fixed_LOD_Enable</code></pre><p>Get/set the state of the <strong>&quot;Fixed in Rendering&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.fixedLODLevel     Integer    default: 1   --  animatable; integer; Fixed_Level_of_Detail</code></pre><p>Get/set the value of the <strong>&quot;Level Of Detail&quot;</strong> spinner.</p>\n\
<h2 id=\"display-rollout-gt-point-display-group-of-controls\">Display rollout &gt; Point Display group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.pointSizeType     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Point Display&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>As Pixel</strong> (default)</p>\n\
<p>1 - <strong>Real-World Scale</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.asPixelPointSize     Float    default: 1.0   --  animatable; float; As_Pixel_Point_Size</code></pre><p>Get/set the value of the <strong>&quot;As Pixel&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.realWorldScalePointSize     Float    default: 0.05   --  animatable; float; Real_World_Scale_Point_Size</code></pre><p>Get/set the value of the <strong>&quot;Real-World Scale&quot;</strong> spinner.</p>\n\
<h2 id=\"limit-box-amp-volumes-rollout-gt-limit-box-group-of-controls\">Limit Box &amp; Volumes rollout &gt; Limit Box group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.enableLimitPlanes     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Enable Limit Box&quot;</strong> checkbox.</p>\n\
<h2 id=\"limit-box-amp-volumes-rollout-gt-display-volumes-group-of-controls\">Limit Box &amp; Volumes rollout &gt; Display Volumes group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.GlobalEnableVolumes     BooleanClass    default: false   --  boolean; volumeGlobalEnable</code></pre><p>Get/set the state of the <strong>&quot;Use Display Volumes&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.VolumeObjects     ArrayParameter    default: #()   --  node array; Volume_Object; SubAnim</code></pre><p>Get/set the node array of volumes to use when the <code>.GlobalEnableVolumes</code> property is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.GlobalInvertVolumes     BooleanClass    default: false   --  boolean; volumeGlobalInvert</code></pre><p>Get/set the state of the <strong>&quot;Invert&quot;</strong> checkbox.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a Point Cloud object at the world origin:\n\
   pc = PointCloud()\n\
   --&gt; $PointCloud:PointCloud001 @ [0.000000,0.000000,0.000000]\n\
\n\
   --Load the sample project installed by Autodesk ReCap:\n\
   pc.filename = @&quot;C:\\ProgramData\\Autodesk\\Autodesk ReCap\\Sample\\AutodeskReCapSampleProject.rcp&quot;\n\
   --&gt; &quot;C:\\ProgramData\\Autodesk\\Autodesk ReCap\\Sample\\AutodeskReCapSampleProject.rcp&quot;\n\
\n\
   --Query the scan files loaded by the project:\n\
   pc.scanFiles\n\
   --&gt; #(&quot;C:\\ProgramData\\Autodesk\\Autodesk Recap\\Sample\\AutodeskReCapSampleProject Support\\techshop_012.rcs&quot;, &quot;C:\\ProgramData\\Autodesk\\Autodesk Recap\\Sample\\AutodeskReCapSampleProject Support\\techshop_013.rcs&quot;)\n\
\n\
   --Create some geometry to use as Display Volumes:\n\
   s1 = Sphere radius:50 pos:[-50,0,0]\n\
   --&gt; $Sphere:Sphere001 @ [-50.000000,0.000000,0.000000]\n\
   b1 = Box pos:[-50,-80,0] width:60 length:40 height:50\n\
   --&gt; $Box:Box001 @ [-50.000000,-80.000000,0.000000]\n\
   pc.VolumeObjects = #(s1,b1)\n\
   --&gt; #($Sphere:Sphere001 @ [-50.000000,0.000000,0.000000], $Box:Box001 @ [-50.000000,-80.000000,0.000000])\n\
\n\
   --Enable the display volumes, invert to cull inside the volumes:\n\
   pc.GlobalEnableVolumes = true\n\
   --&gt; true\n\
   pc.GlobalInvertVolumes = true\n\
   --&gt; true\n\
\n\
   --Increase the quality at cost of performance and increase the pixel point size\n\
   pc.performanceQuality = 6\n\
   --&gt; 6\n\
   pc.asPixelPointSize = 4.0\n\
   --&gt; 4.0\n\
\n\
   --Display using an Elevation ramp map\n\
   pc.displayTechnique = 3\n\
   --&gt; 3\n\
\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ![](../../../../../images/GUID-38D3B69D-325C-4E64-8719-7722E43EE5F8-low.png)</code></pre></blockquote>\n\
<h2 id=\"for-internal-use-only\">For Internal Use Only</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.voxelSize     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the Voxel Size value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PointCloud&gt;.Shader     UndefinedClass    default: undefined   --  texturemap; GeomShader</code></pre><p>Get/set the Point Cloud Shader assigned to the object.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Point-Cloud-Objects.html\">Point Cloud Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";