var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EE72D175-55FF-454E-BD35-0665BF3851D1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Access to the node bone properties and methods</h1></div><p>There are several properties and methods accessible on scene nodes that correspond to the Bone parameters and functions in the node properties dialog.</p>\n\
<p>These properties and methods are exposed by the INode Node Interface - <a href=\"./../../../../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">Interface : INode</a></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.boneEnable : Boolean, read-only     </code></pre><p>See <code>&lt;node&gt;.setBoneEnable</code> for the set method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.boneAutoAlign  : Boolean </code></pre><p>When turned off, the bone&apos;s pivot point will not align to its child object.</p>\n\
<p>The translation of a child bone will not be converted into rotation of the parent.</p>\n\
<p>Instead the child will be allowed to move away from the parent&apos;s X-axis.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Changing the state of this check box will <strong>not</strong> have an immediate visual effect on the skeleton. It only affects future behavior when bones are moved. This option is only available if Bone is off.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.boneFreezeLength : Boolean</code></pre><p>When turned on, the bone maintains its length.</p>\n\
<p>When turned off, the bone&apos;s length is based on the translation of its child bone.</p>\n\
<p>This option is available only if Auto-Align is on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.boneScaleType </code></pre><p>one of #scale, #squash, or #none</p>\n\
<p><code>#None</code> - No stretch takes place.</p>\n\
<p><code>#Scale</code> - Lets the bone scale. The stretch happens along one axis.</p>\n\
<p><code>#Squash</code> - Lets the bone squash. The bone gets fatter as it gets shorter, and thinner as it gets longer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.stretchTM : matrix3, read-only</code></pre><p>Normally, matrix concatenation occurs in the following manner:</p>\n\
<p>objectTM = objectOffsetTM * stretchTM * nodeTM</p>\n\
<p>So code that uses the objectTM will transparently inherit the effects of the stretchTM.</p>\n\
<p>However if you want the stretchTM included but not the object offset, this property will return the stretchTM alone.</p>\n\
<p>If the node is not a bone or has no stretching, this property will return the identity matrix.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.setBoneEnable &lt;onOff_boolean&gt; &lt;initial-time_time&gt; </code></pre><p>Sets the Bone enable on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;onOff boolean&gt; </code></pre><p>When turned on, the bone or object behaves as a bone. Turning this option off causes the node to stop behaving like a bone. There is no auto alignment or stretching. Note that turning this option on will not cause the object to immediately align or stretch. However future translations of children may cause rotation and stretching. Default=on for bone objects, off for other objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;initial-time time&gt; </code></pre><p>Specifies the time at which to calculate and store initial child position.</p>\n\
<p>This is usually used with the current time slider position.</p>\n\
<p>The time associated with the time slider can be queried and set using the <code>sliderTime</code> global variable.<a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\">Time Control</a></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> A very good macroscript example to review, which uses <code>.setBoneEnable</code> , can be found in your <strong>3ds Max</strong> directory at: \\ui\\macroscripts\\Macro_Bones.mcr.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.realignBoneToChild() </code></pre><p>Rotates the node such that its X axis points at the average position of all children with the bone property turned on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.resetBoneStretch() </code></pre><p>Resets the initial child position used to compute the stretch factor to the current child position.</p>\n\
<p>This will cause the stretch factor to become equal to one.</p>\n\
<p>If it was previously not equal to one then the object would snap to its original unstretched state.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Bones.html\">Bones</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">Interface : INode</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"Bone-Creation.html\">Bone Creation</a></li>\n\
          <li><a class=\"link\" href=\"../Helper-Standard/Bone-Helper.html\">Bone : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\">Skin : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../System-Node/Bones-System.html\">Bones : System</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BoneSys.html\">Interface: BoneSys</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";