var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FD0E2887-6552-4C31-80E7-3AB6BC752FAA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>DaylightAssemblyHead : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DaylightAssemblyHead - superclass: Helper; super-superclass: Node - classID: #(1243508203, 835157335) </code></pre><p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript. </code></pre><p>See <a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DaylightSystemFactory2.html\">Interface: DaylightSystemFactory2</a> for a method to construct a Daylight System.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DaylightAssemblyHead&gt;.sun Max_object   </code></pre><p>Get/set the Sun object used in the Assembly.</p>\n\
<p>Setting this property to undefined will set the Daylight system to &quot;No Sunlight&quot; mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DaylightAssemblyHead&gt;.sky Max_object </code></pre><p>Contains the Sky object used in the Assembly.</p>\n\
<p>Setting this property to undefined will set the Daylight system to &quot;No Skylight&quot; mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DaylightAssemblyHead&gt;.manual Integer default:0 </code></pre><p>The property controls the way the <code>Daylight_Driven_Controller</code> calculates the position of the Daylight.</p>\n\
<p>Corresponds to the Manual/Date,Time and Location radio buttons in the UI.</p>\n\
<p>The accepted values are:</p>\n\
<p>0 - Date,Time and Location</p>\n\
<p>1 - Manual</p>\n\
<p>2 - Weather file (available in <strong>3ds Max 2009 and higher</strong>.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DaylightAssemblyHead&gt;.weatherFileName Filename </code></pre><p>Get/set the weather file name.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<h2 id=\"daylightassemblyhead-interfaces-\">DaylightAssemblyHead interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IDaylightSystem </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;object&gt;GetSun() </code></pre><p>Returns the light objects used as Sun in the Assembly.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;object&gt;SetSun&lt;class&gt;sunClass </code></pre><p>Sets the Sun objects in the Assembly to an instance of the given class.</p>\n\
<p>Other than the<strong>.sun</strong>property documented above, this method expects a class of the light object and not an instance of a light class.</p>\n\
<p>Possible classes are:</p>\n\
<p><strong>DirectionalLight</strong> - corresponds to Standard entry in the Daylight System UI</p>\n\
<p><strong>IES_Sun</strong></p>\n\
<p><strong>mr_Sun</strong></p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;object&gt;GetSky() </code></pre><p>Returns the light object used as Sky in the Assembly.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;object&gt;SetSky &lt;class&gt;skyClass </code></pre><p>Sets the Sky objects in the Assembly to an instance of the given class.</p>\n\
<p>Other than the<strong>.sky</strong>property documented above, this method expects a class of the light object and not an instance of a light class.</p>\n\
<p>Possible classes are:</p>\n\
<p><strong>IES_Sky</strong></p>\n\
<p><strong>mr_Sky</strong></p>\n\
<p><strong>Skylight</strong></p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetDaylightControlType() </code></pre><p>Returns the DaylightControl Type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Date,Time and Location</p>\n\
<p>1 - Manual</p>\n\
<p>2 - Weather File</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetDaylightControlType &lt;integer&gt;type </code></pre><p>Sets theDaylightControl Type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Date,Time and Location</p>\n\
<p>1 - Manual</p>\n\
<p>2 - Weather File</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;String&gt;GetLocation() </code></pre><p>Returns the location as string.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GetAltitudeAzimuth &lt;time&gt;time &lt;&amp;float&gt;altitude &lt;&amp;float&gt;azimuth \n\
\n\
altitude is In and Out parameter \n\
azimuth is In and Out parameter </code></pre><p>Returns the altitude and azimuth values corresponding to the time given as first argument into the by-reference variables given by the second and third argument.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;GetWeatherFileName() </code></pre><p>Returns the filename of the weather file.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OpenWeatherFileDlg() </code></pre><p>Opens the Weather File dialog.The Daylight Control Type must be set to 2 - Weather file for the dialog to open.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MatchTimeLine() </code></pre><p>Matches the time line.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LoadWeatherFile &lt;filename&gt;file </code></pre><p>Loads the given weather file.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetWeatherFileFilterAnimated &lt;boolean&gt;animated </code></pre><p>Sets weather to filter animated data from the Weather file. Default is false.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetWeatherFileFilterAnimated() </code></pre><p>Returns weather animated data from the Weather file will be filtered.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetWeatherFileSpecificTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter </code></pre><p>Sets specific time and date for the weatherfile using the twoPoint3by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GetWeatherFileSpecificTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter </code></pre><p>Gets the specific time and date for the date file into the twoPoint3by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theInt = DaylightSystemFactory2.Create sunClass:mr_Sun skyClass:mr_Sky\n\
   $Daylight001.LoadWeatherFile(&quot;CAN_BC_Victoria_CWEC.epw&quot;)\n\
   aTime = point3 0 0 0\n\
   --&gt;[0,0,0]\n\
   aDate = point3 0 0 0\n\
   --&gt;[0,0,0]\n\
   $Daylight001.GetWeatherFileSpecificTimeAndDate &amp;aTime &amp;aDate\n\
   --&gt;OK\n\
   aTime\n\
   --&gt;[12,0,0]\n\
   aDate\n\
   --&gt;[1,1,2007]\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetWeatherFileAnimStartTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter </code></pre><p>Sets the weather file animation start time and date using the two Point3 by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GetWeatherFileAnimStartTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter </code></pre><p>Gets the weather file animation start time and date into the two Point3 by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetWeatherFileAnimEndTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter </code></pre><p>Sets the weather file animation end time and date using the two Point3 by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GetWeatherFileAnimEndTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter </code></pre><p>Gets the weather file animation end time and date into the two Point3 by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetWeatherFileSkipHours &lt;boolean&gt;skipHours &lt;integer&gt;startHour &lt;integer&gt;endHour </code></pre><p>Sets the weather file skip hours, start hour and end hour values.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GetWeatherFileSkipHours &lt;&amp;boolean&gt;skipHours &lt;&amp;integer&gt;startHour &lt;&amp;integer&gt;endHour \n\
\n\
skipHoursis In and Out parameter \n\
startHouris In and Out parameter \n\
endHouris In and Out parameter </code></pre><p>Gets the weather file skip hours, start hour and end hour values into the three by-reference arguments.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetWeatherFileSkipWeekend &lt;boolean&gt;skipWeekend </code></pre><p>Sets the weather file to skip weekends.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetWeatherFileSkipWeekend() </code></pre><p>Gets the state of the weather file&apos;s skip weekends option.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetWeatherFileSkipFramePer &lt;integer&gt;framePer </code></pre><p>Sets the index of the weather file skip period drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Period</strong></p>\n\
<p>1 - <strong>Day</strong></p>\n\
<p>2 - <strong>Week</strong></p>\n\
<p>3 - <strong>Month</strong></p>\n\
<p>4 - <strong>Season</strong></p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetWeatherFileSkipFramePer() </code></pre><p>Gets the index of the weather file skip period drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Period</strong></p>\n\
<p>1 - <strong>Day</strong></p>\n\
<p>2 - <strong>Week</strong></p>\n\
<p>3 - <strong>Month</strong></p>\n\
<p>4 - <strong>Season</strong></p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-Assembly-Head.html\">Helper - Assembly Head</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../System-Node/Daylight-System.html\">Daylight : System</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DaylightSystemFactory2.html\">Interface: DaylightSystemFactory2</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";