var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1DBBD9FC-B91A-473F-AFC2-C3C6280A4DA2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ExposeTm : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ExposeTm - Superclass:Helper;super-superclass:node - classID:#(-2071764533, -1858289533)</code></pre><p><img src=\"./images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\" alt></p>\n\
<p>This Helper object can be used to extract position and rotation data from any scene nodes to be used as input for scripted controllers, wire controllers etc. It simplifies significantly the creation of custom animation rigs.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">exposeTM...      \n\
ExposeTransform ... </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"display\">Display</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.size: world units   </code></pre><p>Get/Set the size of the helper in world units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.centermarker(Center_Marker) : boolean </code></pre><p>When set to true, displays a small X marker at the center of the helper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.axistripod(Axis_Tripod) : boolean </code></pre><p>When set to true, displays a tripod axis indicating the position and orientation of the helper. The axis remains visible when the helper is no longer selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.cross: boolean </code></pre><p>When set to true, displays an axis-aligned cross.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.box: boolean </code></pre><p>When set to true, displays a small box at the center of the helper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.constantscreensize (Constant_Screen_Size) : boolean </code></pre><p>When set to true, keeps the size of the helper constant, regardless of how much you zoom in or out.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.drawontop (Draw_On_Top) : boolean </code></pre><p>When set to true, the helper object draws lines with the Z buffer turned off (which usually causes it to appear in front of other objects).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.displayExposedVals (Display_Exposed) : boolean </code></pre><p>When set to true, the exposed values will be displayed.</p>\n\
<h2 id=\"exposed-nodes\">Exposed Nodes</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.exposeNode (Expose_Node) : node </code></pre><p>Get/Set the node whose Transformations should be exposed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.localReferenceNode (Local_Reference_Node) : node </code></pre><p>Get/Set the local reference node to be used for relative values calculation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.useParent (Use_Parent_Ref) : boolean </code></pre><p>When set to true, the parent node of the <code>*.exposeNode*</code> will be used as the reference node. If there is no parent node, the World is the parent of the . <code>*exposeNode*</code> .</p>\n\
<p>When set to false, the explicitly specified <code>*.localReferenceNode*</code> will be used as the reference node.</p>\n\
<h2 id=\"rotation-options\">Rotation Options</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.eulerXOrder (Euler_X_Order) : integer \n\
&lt;ExposeTm&gt;.eulerYOrder (Euler_Y_Order) : integer \n\
&lt;ExposeTm&gt;.eulerZOrder (Euler_Z_Order) : integer \n\
&lt;ExposeTm&gt;.stripNUScale (Strip_Non_Uniform_Scale) : boolean </code></pre><p>When set to true, non-uniform scale values will be stripped from the transformation matrix before the values are calculated. When set to false, non-uniform scaling will affect the exposed values.</p>\n\
<h2 id=\"local-and-world-euler-rotation\">Local and World Euler Rotation</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.localEuler (Local_Euler_Rotation) : point3 </code></pre><p>Returns the local rotation as Point3 Euler Angles value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.localEulerX (Local_Euler_X) : angle </code></pre><p>Returns the local Euler X rotation value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.localEulerY (Local_Euler_Y) : angle </code></pre><p>Returns the local Euler Y rotation value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.localEulerZ (Local_Euler_Z) : angle </code></pre><p>Returns the local Euler Z rotation value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldEuler (World_Euler_Rotation) : point3 </code></pre><p>Returns the world rotation as Point3 Euler Angles value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldEulerX (World_Euler_X) : angle </code></pre><p>Returns the world Euler X rotation value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldEulerY (World_Euler_Y) : angle </code></pre><p>Returns the world Euler Y rotation value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldEulerZ (World_Euler_Z) : angle </code></pre><p>Returns the world Euler Z rotation value.</p>\n\
<h2 id=\"local-and-world-position\">Local and World Position</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.localPosition (Local_Position) : point3 </code></pre><p>Returns the local position as Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.localPositionX (Local_Position_X) : world units </code></pre><p>Returns the X component of the local position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.localpositionY (Local_Position_Y) : world units </code></pre><p>Returns the Y component of the local position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.localPositionZ (Local_Position_Z) : world units </code></pre><p>Returns the Z component of the local position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldPosition (World_Position) : point3 </code></pre><p>Returns the world position as Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldPositionX (World_Position_X) : world units </code></pre><p>Returns the X component of the world position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldPositionY (World_Position_Y) : world units </code></pre><p>Returns the Y component of the world position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldPositionZ (World_Position_Z) : world units </code></pre><p>Returns the Z component of the world position.</p>\n\
<h2 id=\"bounding-box\">Bounding Box</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldBoundingBoxSize (World_Bounding_Box_Size) : point3 </code></pre><p>Returns the size of the world-oriented bounding box as a Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldBoundingBoxWidth (World_Bounding_Box_Width) : float </code></pre><p>Returns the X component of the size of the world-oriented bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldBoundingBoxLength (World_Bounding_Box_Length) : float </code></pre><p>Returns the Y component of the size of the world-oriented bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.worldBoundingBoxHeight (World_Bounding_Box_Height) : float </code></pre><p>Returns the Z component of the size of the world-oriented bounding box.</p>\n\
<h2 id=\"timing\">Timing</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.timeOffset (Time_Offset) : time </code></pre><p>Get/Set the time offset value. When the <code>*.useTimeOff set*</code> property is set to true, the values returned by the ExposeTM Helper will be calculated at a time which is offset from the current time by the <code>*.timeOffset*</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.useTimeOffset (Use_Time_Offset) : boolean </code></pre><p>Enable/Disable the use of the <code>*.timeOffset*</code> value.</p>\n\
<h2 id=\"distance-and-angle\">Distance and Angle</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.distance: float </code></pre><p>Returns the distance to the Reference node.If the reference node is set to Parent and there is no parent, this effectively returns the distance to the World origin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ExposeTm&gt;.angle: angle </code></pre><p>Returns the angle.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-Standard.html\">Helper - Standard</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Point-Helper.html\">Point : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Parameter-Wiring.html\">Parameter Wiring</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";