var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-54F44A51-D225-4B91-B87B-E60216B26F16\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Photometric Light Classes</h1></div><p>The Photometric Lights have been redesigned in <strong>3ds Max 2009</strong> to simplify the creation and conversion between types, as well as extended to support more options, preview Web Distribution and more.</p>\n\
<p>Internally, <strong>3ds Max 2009 and higher</strong> expose a multitude of Photometric Light Classes with unique ClassIDs. Some of these classes including the Point, Line and Area Lights (both Free and Targeted) provide backwards compatibility withPhotometric Lights from previous versions.</p>\n\
<p>In the <strong>3ds Max Command Panel</strong>, the creation has been reduced to only <strong>two basic types</strong> - <strong>Target Light</strong> and <strong>Free Light</strong> which can be converted into all other types via the &quot;Shape/Area Shadows&quot; rollout. The old &quot;Area&quot; type is now called &quot;Rectangle&quot; to distinguish between the various area light shapes that are now available.</p>\n\
<p>Several <strong>new Area Light types</strong> - <strong>Disc</strong>, <strong>Sphere</strong> and <strong>Cylinder</strong> have been added. Class instances of these light classes can be created directly by MAXScript or indirectly by setting a light&#39;s <code>.type</code> property to <code>#Free_Disc, #Target_Disc, #Free_Sphere, #Target_Sphere, #Free_Cylinder</code> or <code>#Target_Cylinder</code> .</p>\n\
<p>Also note that the User Interface of all Photometric Lights exposes a checkbox called &quot;Targeted&quot;. Changing the state of this checkbox using the mouse will implicitly convert the class of the object between #Target_* and #Free_* types. This property cannot be set directly with MAXScript, instead, the .type property has to be set to the desired #Free_* or #Target_* type.</p>\n\
<p>The table below lists all available Photometric Light types.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Type</th>\n\
<th>Class</th>\n\
<th>ClassID</th>\n\
<th>New in 3ds Max 2009</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>FREE TYPES</strong></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Point</td>\n\
<td><a href=\"Free_Point-Light.html\">Free_Light</a></td>\n\
<td>#(842489804, 184704240)</td>\n\
<td>No</td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Line</td>\n\
<td><a href=\"Free_Linear-Light.html\">Free_Linear</a></td>\n\
<td>#(2015392769, 897523032)</td>\n\
<td>No</td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Rectangle</td>\n\
<td><a href=\"Free_Area-Light.html\">Free_Area</a></td>\n\
<td>#(911244690, 274340423)</td>\n\
<td>No</td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Disc</td>\n\
<td><a href=\"Free_Disc-Light.html\">Free_Disc</a></td>\n\
<td>#(1540123970, 206521102)</td>\n\
<td>Yes</td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Sphere</td>\n\
<td><a href=\"Free_Sphere-Light.html\">Free_Sphere</a></td>\n\
<td>#(2091464066, 448490290)</td>\n\
<td>Yes</td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Cylinder</td>\n\
<td><a href=\"Free_Cylinder-Light.html\">Free_Cylinder</a></td>\n\
<td>#(1190540515, 171080367)</td>\n\
<td>Yes</td>\n\
</tr>\n\
<tr>\n\
<td><strong>TARGETED TYPES</strong></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Point</td>\n\
<td><a href=\"Target_Point-Light.html\">Target_Light</a></td>\n\
<td>#(1703759767, 1926054489)</td>\n\
<td>No</td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Line</td>\n\
<td><a href=\"Target_Linear-Light.html\">Target_Linear</a></td>\n\
<td>#(1158113413, 1081676873)</td>\n\
<td>No</td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Rectangle</td>\n\
<td><a href=\"Target_Area-Light.html\">Target_Area</a></td>\n\
<td>#(1903775645, 1890472690)</td>\n\
<td>No</td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Disc</td>\n\
<td><a href=\"Target_Disc-Light.html\">Target_Disc</a></td>\n\
<td>#(947069768, 538400947)</td>\n\
<td>Yes</td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Sphere</td>\n\
<td><a href=\"Target_Sphere-Light.html\">Target_Sphere</a></td>\n\
<td>#(872184553, 1413692869)</td>\n\
<td>Yes</td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Cylinder</td>\n\
<td><a href=\"Target_Cylinder-Light.html\">Target_Cylinder</a></td>\n\
<td>#(2089507600, 1272135302)</td>\n\
<td>Yes</td>\n\
</tr>\n\
</tbody></table>\n\
<p>All these light classes share the same <a href=\"Photometric-Lights-Common.html\">Photometric Lights Common Properties, Operators, and Methods</a> , thus their respective documentation pages contain no properties. There are some slight differences in the allowed ranges of a few common parameters, for example the Sphere and Cylinder lights support only a <code>.distribution</code> value of 0, while all other types support a range from 0 to 3. These specifics have been noted explicitly where applicable.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Photometric-Lights.html\">Photometric Lights</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";