var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D4AB6EC8-9034-4678-A130-7AEA96BA3834\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Point_Curve : Shape</h1></div><p><img src=\"./images/GUID-00296760-FE07-4B69-848F-0EE4392EEF93-low.gif\" alt></p>\n\
<p>Point_Curves are NURBS curve objects defined by interpolated points.</p>\n\
<p>All NURBS objects are created through the special NURBS descriptor classes (see <a href=\"./../../../../NURBS/Working-with-NURBS.html\">Working with NURBS</a> ) and the Point_Curve class is used typically in object class testing with the <code>classOf()</code> function.</p>\n\
<p>Scene objects created as Point Curve shape objects in the <strong>3ds Max</strong> user interface have the class <code>Point_Curve</code> .</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSNode&lt;nurbs_set&gt; ...      </code></pre><p>See <a href=\"./../../../../NURBS/Using-the-NURBS-Classes-and/Creating-New-NURBS-Objects.html\">Creating New NURBS Objects</a>for details.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Curve&gt;.angle Float default: 0.0 -- animatable   </code></pre><p>The rotational position of the cross-section in the renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Curve&gt;.thickness Float default: 1.0 -- animatable </code></pre><p>Diameter of the rendered curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Curve&gt;.sides Float default: 12.0 -- animatable </code></pre><p>Sets the number of sides for the curve mesh in the renderer. A value of 4 will give you a square cross section, for example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Curve&gt;.renderable Boolean default: true </code></pre><p>When on, the curve is displayed in the rendered scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Curve&gt;.mapCoords Boolean default: false </code></pre><p>Turn this on to apply mapping coordinates. The U coordinate wraps once around the thickness of the NURBS curve; the V coordinate is mapped once along the length of the curve.</p>\n\
<p>Additional properties for point curves are accessed through a NURBSSet descriptor object. See <a href=\"./../../../../NURBS/Working-with-NURBS.html\">Working with NURBS</a> for more details.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shapes-NURBS-Curves.html\">Shapes - NURBS Curves</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Shape-Common-Properties.html\">Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../NURBS/Using-the-NURBS-Classes-and/NURBS-Node-Properties-and.html\">NURBS Node Properties and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";