var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8B7E81F0-AC81-4518-8D8E-B0C9C6717645\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>XRefObject : Node</h1></div><p>An <strong>XRefObject</strong> value represents an XRef object in <strong>3ds Max</strong>. An XRefObject value is returned when the <code>*xrefs.addNewXRefObject()*</code> function is called. There are two objects associated with an XRef object in <strong>3ds Max</strong> - the non-proxy object and the proxy object. The proxy object is typically a lower resolution object that is used as a standin for the non-proxy object in the viewports.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> In <strong>3ds Max 8</strong> and newer, the <a href=\"./../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\">objXrefMgr</a> is the preferred way of working with XRefs in MAXScript. Scripts that use both <code>XRefObject</code> and <code>objXrefMgr</code> methods on the same XRefObject may not work correctly.</div>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefs.addNewXRefObject &lt;filename&gt; {&lt;objectname&gt; | &lt;objectname_array&gt;} [#proxy] \\\n\
 modifiers:{#xref | #merge | #drop}    manipulators: {        #xref | #merge }        \\\n\
dupMtlNameAction: {#prompt |    #useXRefed |    #useScene |    #autoRename} \\\n\
reparentAction: {#promptReparent|#alwaysReparent|#neverReparent}</code></pre><p>Loads the specified node object from the specified scene file as an XRef object. The case of <code>*objectname_string*</code> must match the object&apos;s name in the scene file.</p>\n\
<p>If an array of object names is specified, the return value will be an array of the XRef&apos;ed objects. Note that if a manipulator&apos;s name is specified in the array, and manipulator: <code>*#merge*</code> is specified, the merged manipulator is not included in the result array since it isn&apos;t an XRef Object.</p>\n\
<p>If <code>*#proxy*</code> is specified, the node object is loaded as the proxy object, otherwise it is loaded as the non-proxy object.</p>\n\
<p>The XRefObject is always loaded at world center.</p>\n\
<p>References between XRef objects brought in as a single operation are maintained, so that if you have a object parameter controlled by a manipulator, and you XRef in both the object and the manipulator, the manipulator will still control the object&apos;s parameter.</p>\n\
<p><strong>Modifiers:</strong></p>\n\
<ul>\n\
<li><strong>#xref</strong> - XRef Object contains any modifiers on object (default)</li>\n\
<li><strong>#merge</strong> - XRef Object contains base object, any modifiers on object are applied to the XRef Object</li>\n\
<li><strong>#drop</strong> - XRef Object contains base object, any modifiers on object are dropped</li>\n\
</ul>\n\
<p><strong>Manipulators:</strong></p>\n\
<ul>\n\
<li><p><strong>#xref</strong> - bring manipulator in as an xref</p>\n\
</li>\n\
<li><p><strong>#merge</strong> - bring in manipulator as a manipulator</p>\n\
</li>\n\
</ul>\n\
<p><strong>dupMtlNameAction:</strong> (available in <strong>3ds Max 2010 and higher</strong>)</p>\n\
<ul>\n\
<li><p><strong>#prompt</strong> - Prompts the user to define the duplicated material names action (default)</p>\n\
</li>\n\
<li><p><strong>#useXRefed</strong> - Uses the material from the XRef.</p>\n\
</li>\n\
<li><p><strong>#useScene</strong> - Uses the scene material.</p>\n\
</li>\n\
<li><p><strong>#autoRename</strong> - Rename the material to avoid dupilication.</p>\n\
</li>\n\
</ul>\n\
<p><strong>reparentAction:</strong> (available in <strong>3ds Max 2019.1 Update and higher</strong>)</p>\n\
<ul>\n\
<li><strong>#promptReparent</strong> - Prompt the user to re-parent the xref (the default).</li>\n\
<li><strong>#alwaysReparent</strong> - Always re-parent the xref, and do not prompt the user. This is the default if 3ds Max is running in quiet mode (for example, running as Max Batch).</li>\n\
<li><strong>#neverReparent</strong> - Never reparent the xref, and do not prompt the user.</li>\n\
</ul>\n\
<p>In <strong>3ds Max 6 and higher,</strong> <code>*xrefs.addNewXRefObject*</code> returns undefined when the argument is a file with DRF extension.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.proxyFileName String default: varies   </code></pre><p>The file name of the proxy object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.fileName String default: varies </code></pre><p>The file name of the non-proxy object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.currentFileName String default: varies </code></pre><p>The file name of the non-proxy object if the <code>*useProxy*</code> property is <code>*false*</code> , the file name of the proxy object if the <code>*useProxy*</code> property is <code>*true*</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.objectName String default: varies </code></pre><p>The name of the non-proxy object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.proxyObjectName String default: varies </code></pre><p>The name of the proxy object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.currentObjectName String default: varies </code></pre><p>The name of the non-proxy object if the <code>*useProxy*</code> property is <code>*false*</code> , the name of the proxy object if the <code>*useProxy*</code> property is <code>*true*</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.useProxy Boolean default: varies </code></pre><p>If <code>*true*</code> , the proxy object will be displayed in the viewports, otherwise the non-proxy object will be displayed.</p>\n\
<p>If the XRef object is added to the scene using the <code>*xrefs.addNewXRefObject()*</code> method, this parameters default value will be <code>*true*</code> if <code>*#proxy*</code> is specified, <code>*false*</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.renderProxy Boolean default: false </code></pre><p>If <code>*true*</code> , the proxy object will be rendered, otherwise the non-proxy object will be rendered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.updateMaterial Boolean default: false </code></pre><p>If <code>*true*</code> , sets the Update Material option on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.ignoreAnimation Boolean default: false </code></pre><p>If <code>*true*</code> , sets the Ignore Animation option on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefObject&gt;.actualBaseObject -- read-only </code></pre><p>Returns the actual base object of the referenced object as opposed to the base object of the XRefObject.</p>\n\
<p>If &apos;Use Proxy&apos; is turned on for the XRefObject, the proxy base object is returned if a proxy object is defined, otherwise a value of &apos;undefined&apos; is returned.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">updateXRef &lt;XRefObject&gt; </code></pre><p>Reloads the XRef object.</p>\n\
<p>The following XRefObject interfaces are available in <strong>3ds Max 8 and higher</strong>:</p>\n\
<h2 id=\"xrefobject-interfaces-\">XRefObject interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IXRefItem </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.srcFileName : filename : Read </code></pre><p>Contains the source file name.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.srcItemName : string : Read </code></pre><p>Contains the name of the source item.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.xrefRecord : Interface : Read </code></pre><p>Contains the XRef record Interface.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.unresolved : boolean : Read </code></pre><p>Contains true if the XRef is unresolved, false otherwise.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.nested : boolean : Read </code></pre><p>Contains true if the XRef is nested, false otherwise.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;GetSrcItem resolveNested:&lt;boolean&gt; \n\
\n\
resolveNested default value: false </code></pre><p>Returns the source item object of the XRef Object.</p>\n\
<p>If the object is being referenced from nested files (in other words, the object is referenced from a Max file containing an XRef of the object from another file instead of the actual object) and <code>resolveNested</code> is set to true, nested XRef files will be resolved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetParentItems &lt;&amp;maxObject array&gt;parentItems \n\
\n\
parentItems is Out parameter </code></pre><p>Returns an array of parent items in the by-reference Out parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetRootItems &lt;&amp;maxObject array&gt;rootItems \n\
\n\
rootItems is Out parameter </code></pre><p>Returns an array of root items in the by-reference Out parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetChildItems &lt;&amp;maxObject array&gt;childItems \n\
\n\
childItems is Out parameter </code></pre><p>Returns an array of child items in the by-reference Out parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GetNodes &lt;&amp;node array&gt;xrefNodes \n\
\n\
xrefNodes is Out parameter </code></pre><p>Returns an array of XRef nodes in the by-reference Out parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IXRefProxy </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.proxyFileName : filename : Read </code></pre><p>Contains the proxy file name.Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.proxyItemName : string : Read </code></pre><p>Contains the proxy item name.Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.proxyRecord : Interface : Read </code></pre><p>Contains the proxy record Interface.Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.displayProxy : boolean : Read|Write </code></pre><p>When set to True, the proxy will be used in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.renderProxy : boolean : Read|Write </code></pre><p>When set to True, the proxy will be used by the production renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.useLocal : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Enable/Use Local&quot;</strong> property in the <strong>&quot;Proxy Object&quot;</strong> rollout.</p>\n\
<p>When set to False (default), the Proxy Object will not be used and the XRef content will be loaded instead.</p>\n\
<p>When set to True, the local Proxy Object will be loaded.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IXRefObject </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.activeFileName : filename : Read </code></pre><p>Contains the active file name.Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.activeObjName : string : Read </code></pre><p>Contains the active object name.Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.activeRecord : Interface : Read </code></pre><p>Contains the active record Interface.Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;GetSourceObject &lt;boolean&gt;resolveNestedXRef modifiers:&lt;&amp;maxObject array&gt; \n\
\n\
modifiers default value: #() \n\
modifiers is Out parameter </code></pre><p>Returns the source object. The optional modifiers: by-reference parameter will return the array of modifiers applied to the source object.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../XRef-Objects-and-Scenes.html\">XRef Objects and Scenes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";