var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D714D070-AB50-41D4-B3AE-7BCFB4B18C5D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Render Effects Common Properties, Operators, and Methods</h1></div><p>Render Effects have the following common properties and methods:</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;renderEffect&gt;.name String default: varies</code></pre><p>The name as it appears in the Rendering/Effects dialog list. The class name is used as the default name when no <code>name:</code> creation parameter is supplied.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addEffect &lt;renderEffect&gt;</code></pre><p>Adds the render effect to the Rendering/Effects dialog list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setActive &lt;renderEffect&gt; &lt;boolean&gt;</code></pre><p>Sets the render effect active or inactive. If <code>&lt;boolean&gt;</code> is <code>true</code> the render effect is set to active; if <code>false</code> , inactive.</p>\n\
<p><strong>Associated Methods and Global Variables</strong></p>\n\
<p>You can use the following global variables and functions for maintaining the list of render effects in the Rendering/Effects dialog list:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IsActive &lt;renderEffect&gt;</code></pre><p>Returns <code>true</code> if the render effect is set to active; false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numEffects</code></pre><p>Global variable containing an Integer value that defines the number of current render effects defined in the Rendering/Effects dialog list. This variable is read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getEffect &lt;index_integer&gt;</code></pre><p>Retrieves the render effect at the indexed position in the Rendering/Effects dialog list. The index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editEffect &lt;renderEffect&gt; [ gizmo: &lt;node&gt; ]</code></pre><p>Opens the Rendering/Effects dialog, and opens the rollout for the specified render effect if it has been added to the Render Effects list.</p>\n\
<p>If the optional <code>gizmo:</code> argument is specified, and the specified node is a gizmo for the render effect, that gizmo is selected in the render effect&#x2019;s gizmo list.</p>\n\
<p>In <strong>3ds Max 6 and higher,</strong> calling <code>editEffect()</code> without an argument will open the Effects tab in the Environemnt and Effects dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setEffect &lt;index_integer&gt; &lt;renderEffect&gt;</code></pre><p>Sets the render effect at the indexed position in the Rendering/Effects dialog list to the specified render effect.</p>\n\
<p>If the Render Effects dialog is displayed when this method is called, the displayed Render Effects list is not updated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteEffect &lt;index_integer&gt;</code></pre><p>Deletes the indexed render effect from the Rendering/Effects dialog list.</p>\n\
<p>The index is 1-based.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Unlike most MAXWrapper objects, you can not copy a RenderEffect.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RenderEffect-MAXWrapper.html\">RenderEffect : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog.html\">Environment And Effects Dialog</a></li>\n\
          <li><a class=\"link\" href=\"Render-Effect-Types/Render-Effect-Types-1.html\">Render Effect Types</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";