var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A44E34C1-67CE-4E78-A399-F58736EBD4B3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Area_Shadows : Shadow</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Area_Shadows - superclass: Shadow; super-superclass:MAXWrapper - classID: #(388051038, 1754550945) </code></pre><p>This shadow generator class can be used to simulate shadows from an area light source.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Area_Shadows...      \n\
&apos;Area Shadows&apos;...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.shadow_Mode Integer default: 1 -- integer </code></pre><p>Controls the way the area shadows are generated</p>\n\
<p>0 - Simple</p>\n\
<p>1 - Rectangle Light</p>\n\
<p>2 - Disc Light</p>\n\
<p>3 - Box Light</p>\n\
<p>4 - Sphere Light</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.twoSidedShadows Boolean default: false -- boolean; Two_sided_Shadows </code></pre><p>When on, backfaces are not ignored when calculating shadows. Objects seen from the inside are not lit by lights from the outside. This costs a bit more render time. When off, backfaces are ignored. Rendering is quicker, but outside lights illuminate object interiors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.pass1 Integer default: 2 -- animatable; integer; Shadow_Integrity </code></pre><p>The number of rays cast from an illuminated surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.pass2 Integer default: 5 -- animatable; integer; Shadow_Quality </code></pre><p>The number of secondary rays cast from an illuminated surface</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.blur Float default: 1.0 -- animatable; float; Shadow_Spread </code></pre><p>The radius, in pixels, to blur the antialiased edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.ray_bias Float default: 0.5 -- animatable; world units; Shadow_Bias </code></pre><p>The minimum distance from the point being shaded that an object must be to cast a shadow. This prevents blurred shadows from affecting surfaces they shouldn&apos;t.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.jitter_amt Float default: 1.0 -- animatable; float; Jitter_Amount </code></pre><p>Adds randomness to the ray positions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.aa_threshold Color default: (color 25.5 25.5 25.5) -- RGB color; Antialiasing_Threshold </code></pre><p>The maximum color difference allowed between transparent object samples before antialiasing is triggered. Increasing the value of this color will make the shadow less sensitive to aliasing artifacts and improve speed, decreasing the value will increase the sensitivity, improving quality.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.shadow_length Float default: 10.0 -- animatable; world units </code></pre><p>Controls the length of the area shadow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.shadow_width Float default: 10.0 -- animatable; world units </code></pre><p>Controls the width of the area shadow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.shadow_height Float default: 10.0 -- animatable; world units </code></pre><p>Controls the height of the area shadow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.shadow_Transparent Boolean default: false -- animatable; boolean; Transparent_Shadows </code></pre><p>When checked, transparent surfaces will cast a colored shadow. Otherwise, all shadows are black and calculate faster.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.suppress_mat_aa Boolean default: true -- animatable; boolean; Suppress_Supersampling </code></pre><p>When checked, only Pass 1 is used during 2-Pass Antialiasing when shading a supersampled material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.suppress_reflt_aa Boolean default: true -- animatable; boolean; Suppress_Reflection_Antialiasing </code></pre><p>When checked, only Pass 1 is used during 2-Pass Antialiasing when shading reflections or refractions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.skip_coplanar Boolean default: true -- animatable; boolean </code></pre><p>Prevents adjacent faces from shadowing each other. This is of particular concern at the terminator on curved surfaces such as spheres.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Area_Shadows&gt;.coplanar_threshold Float default: 0.9 -- animatable; float </code></pre><p>The angle between adjacent faces. Range is from 0.0 (perpendicular) to 1.0 (parallel).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shadow-MAXWrapper.html\">Shadow : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ShadowMap-Shadow.html\">ShadowMap : Shadow</a></li>\n\
          <li><a class=\"link\" href=\"RaytraceShadow-Shadow.html\">RaytraceShadow : Shadow</a></li>\n\
          <li><a class=\"link\" href=\"Adv__Ray_traced-Shadow.html\">Adv__Ray_traced : Shadow</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions/Practical-Questions/Accessing-Object-Properties/How-do-I-change-the-Shadow-type.html\">How do I change the Shadow type of a Light?</a></li>\n\
          <li><a class=\"link\" href=\"../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";