var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-43EC5EED-F275-4325-8D99-819C51C11380\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TextureMap Common Properties, Operators, and Methods</h1></div><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureMap&gt;.name </code></pre><p>All the <a href=\"TextureMap-Types/TextureMap-Types-1.html\">TextureMap subclasses</a> can access the <code>name</code> property and specify it as a constructor parameter.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">assignNewName &lt;TextureMap&gt;   </code></pre><p>Modifies the name of the specified texture to make it unique.</p>\n\
<p>The name is of the form &quot;Map #1&quot; where the number is incremented as required to ensure it&#x2019;s unique.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderMap &lt;TextureMap&gt; [into:&lt;bitmap&gt;] [size:&lt;point2&gt;] [filename:&lt;string&gt;] [scale:&lt;float&gt;] \n\
   [filter:&lt;boolean&gt;] [display:&lt;boolean&gt;] [hdr:&lt;boolean&gt;] [time:&lt;time&gt;]\n\
   [range:&lt;point4&gt;] [disableBitmapProxies:&lt;boolean&gt;]</code></pre><p>Provides access to the Render Map function available in the Material Editor.</p>\n\
<p>The function returns a Bitmap value containing a rendering of the given texture map.</p>\n\
<p>If you specify the optional <code>into:</code> argument, the function renders the map into the supplied bitmap, taking size and other attributes from the existing bitmap. Otherwise, a new bitmap value is created using the <code>size:</code> and <code>fileName:</code> arguments in its creation. Default <code>size:</code> value is [200,200].</p>\n\
<p>The <code>scale:</code> argument is a scale factor applied to 3D TextureMaps. This is the scale of the surface in 3d space that is mapped to UV and controls how much of the texture appears in the bitmap representation. Default <code>scale:</code> value is 1.</p>\n\
<p>If the <code>filter:</code> argument is <code>true</code> , the bitmap is filtered. It is quite slower to rescale bitmaps with filtering on. Defaults <code>filter:</code> value is <code>false</code> .</p>\n\
<p>If the <code>display:</code> argument is <code>true</code> , the resulting bitmap is displayed using the virtual frame buffer; otherwise it is not. Default <code>display:</code> value is <code>false</code> .</p>\n\
<p>If the <code>hdr:</code> argument is true, the resulting bitmap is an HDR bitmap. The default <code>hdr:</code> value is <code>false</code>.</p>\n\
<p>If the <code>time:</code> argument available in <strong>3ds Max 2010 and higher</strong> is supplied, the map will be rendered at the specified time. If it is not supplied, the map will be rendered at the current time. Calling the function inside an <a href=\"./../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/at-time.html\">at time <code>&lt;time&gt;</code> context</a> will also evaluate the map at the specified time.</p>\n\
<p>If the <code>range</code>: argument is supplied, only that range is sampled instead of rendering the whole texture. Available in <strong>3ds Max 2019.2 Update and higher</strong>. By default <code>range:</code> is [0,0,1,1], which specifies the whole map.</p>\n\
<p>If the <code>disableBitmapProxies</code>: argument is <code>true</code>, the proxy system is disabled for this render, and only the full resolution bitmap is used. Available in <strong>3ds Max 2019.2 Update and higher</strong>. The default is <code>false</code>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rm = renderMap $foo.material.diffuseMap size:[640,480] \\\n\
   fileName:&quot;foodif.bmp&quot;\n\
   save rm\n\
   close rm\n\
</code></pre><p>   The above will render the diffuse map assigned to the material of object $foo to a bitmap of size 640x480 and save it to the file &quot;foodif.bmp&quot;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rm = renderMap meditmaterials[1].diffuseMap range:[0,0,0.8,0.8] size:[1024,1024] \\\n\
   fileName:&quot;foodifuvrange.bmp&quot;\n\
   save rm\n\
   close rm\n\
</code></pre><p>   The above will render only a sub-range of the material, and save it to the file &quot;foodifuvrange.bmp&quot;.</p>\n\
</blockquote>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showTextureMap &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt; </code></pre><p>This method provides control over the visibility of textures in the shaded viewport. You specify the material containing the texture map, optionally the texture map in that material to be controlled, and a boolean argument to turn the display on or off. For multi-materials, you need to specify the appropriate sub-material to be affected.</p>\n\
<p>If the second argument is omitted, the Show Map In Viewport checkbutton will be pressed at the level of the material specified as first argument, thus implicitly showing supported maps inside that material.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tm = checker()\n\
   mat = standardMaterial diffuseMap:tm\n\
   mm = multimaterial()\n\
   mm[1] = mat\n\
   showTextureMap mm[1] tm on\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showHWTextureMap &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt; </code></pre><p>This method provides control over the visibility of hardware textures in the shaded viewport. The Show Hardware Map in Viewports is a flyout of the Show Map In Viewports icon.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-205E793C-3A85-4890-B1AE-496D5AD1A806-low.gif\" alt></p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/showTextureMap-function.html\">Show Map In Viewports Function</a> for details.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Material.html\">TextureMap : Material</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";