var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F31D331A-D62B-4E31-8579-24911D35CD3D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>AdvancedWood : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AdvancedWood - superclass: textureMap; super-superclass:material - 47:0 - classID: #(2290417414L, 2683680373L)</code></pre><p>The AdvancedWood texturemap is a procedural texture map that creates highly realistic wood textures, with pre-sets for several common wood types. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<p>Connecting an AdvancedWood map to a Material will automatically create Map Output Selector nodes to connect both Diffuse Color and Bump ports on the Material, which are hidden by default in the Slate Material Editor. You can get the AdvancedWood object by looking at the sourceMap property. For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tpot = teapot()\n\
mat = StandardMaterial()\n\
advWood = AdvancedWood()\n\
\n\
-- doing this creates Map Output Selectors\n\
-- that connect the AdvancedWood Diffuse to Material Diffuse\n\
-- and AdvancedWood Roughness to Material Bump\n\
\n\
mat.diffuseMap = advWood\n\
tpot.material = mat\n\
\n\
-- but to get the wood we need to look at the sourceMap of the \n\
-- Output Selector:\n\
myAdvWood = mat.diffuseMap.sourceMap</code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AdvancedWood...       </code></pre><h2 id=\"properties\">Properties</h2><p>The properties are listed here organized in the order they appear on the AdvancedWood UI, with the exception of the Perlin Noise profile parameters, which are not viisble on the UI.</p>\n\
<h3 id=\"presets\">Presets</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.preset     Integer    default: 0   --  integer</code></pre><p>Gets or sets the preset profile, from 0 = &quot;3D Ash Glossy&quot; to 39 = &quot;3D Walnut - Unfinished&quot;.</p>\n\
<h3 id=\"general-properties\">General Properties</h3><p>These are parameters that appear in the <strong>General</strong> area of the AdvancedWood UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.scale     Float    default: 1.0   --  animatable; float</code></pre><p>Scales the texture map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.axis     Integer    default: 2   --  animatable; integer</code></pre><p>The axis of the wood grain where 0=X, 1=Y, and 2=Z.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.unit_dependent     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to use scene units for scaling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.roughness     Float    default: 0.16   --  animatable; float</code></pre><p>Specifies the amount of roughness, on a scale of 0.0 = 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.early_wood_color     Color    default: (color 182.444 131.937 75.9015)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1])</code></pre><p>The &quot;early&quot; (light) wood color in the grain.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.early_wood_color_map     UndefinedClass    default: undefined   --  texturemap</code></pre><p>The map applied to early wood color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_early_wood_color_perlin     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to apply perlin noise to the early wood color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_groove_roughness     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to create groove roughness.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.groove_roughness     Float    default: 0.22   --  animatable; float</code></pre><p>The groove roughness amount, when <code>.use_groove_roughness</code> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.late_wood_color_power     Float    default: 1.0   --  animatable; float; Late_Color_Power</code></pre><p>The amount to &quot;darken&quot; (if &gt; 1.0) or &quot;lighten&quot; (&lt;1.0) the early wood color to create the late wood color, if a late wood color or map is not specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_manual_late_wood_color     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to calculate late wood color based on the early wood color (false), or use a the specified <code>manual_late_wood_color</code> (true).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.manual_late_wood_color     Color    default: (color 147.784 105.863 55.0198)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1])</code></pre><p>The color to use for late wood, if <code>use_manual_late_wood_color</code> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.manual_late_wood_color_map     UndefinedClass    default: undefined   --  texturemap</code></pre><p>A map to use for late wood color, if defined and <code>use_manual_late_wood_color</code> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_late_wood_color_perlin     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to apply Perlin noise to the late wood color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_late_wood_bump     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to apply bump map to the late wood color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.late_wood_bump_depth     Float    default: 0.1   --  animatable; float</code></pre><p>The bump depth, if <code>use_late_wood_bump</code> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_diffuse_perlin     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to apply Perlin noise to the fiber.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.diffuse_perlin_scale_z     Float    default: 0.05   --  animatable; float</code></pre><p>Sets the scale of the Perlin noise applied to the diffuse color, if <code>use_diffuse_perlin</code> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.diffuse_lobe_weight     Float    default: 0.8   --  animatable; float</code></pre><p>The global diffuse lobe weight, which is a multiplier to the diffuse color output.</p>\n\
<h3 id=\"weights-and-ratios\">Weights and Ratios</h3><p>These parameters affect relationships between other parameters, as well as sharpness and noise settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_fiber_cosine     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to use the fiber cosline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_fiber_perlin     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to apply Perlin noise to the wood fiber.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.fiber_perlin_scale_z     Float    default: 0.1   --  animatable; float</code></pre><p>Specifies the amount of Perlin noise to apply to the wood fiber.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_growth_perlin     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to apply Perlin noise to the wood growth rings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.late_wood_ratio     Float    default: 0.098   --  animatable; float</code></pre><p>Specifies the ratio of early wood to late wood, where 1.0 is all early wood, 0.0 is all late wood, and 0.5 is half of each.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.early_wood_sharpness     Float    default: 0.395   --  animatable; float</code></pre><p>Defines the sharpness or amount of transition between the early wood and late wood rings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.late_wood_sharpness     Float    default: 0.668   --  animatable; float</code></pre><p>Specifies the sharpness of the transition between the late wood and the next growth ring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.ring_thickness     Float    default: 1.0   --  animatable; float</code></pre><p>Specifies the width or thickness of the wood growth rings, with 1.0 being the maximum ring size.</p>\n\
<h3 id=\"pores\">Pores</h3><p>These settings affect the apperance of &quot;pores&quot; in the wood, which are veins that appear as holes in the wood end grain, and stripes or streaks in the side grain.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_pores     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to generate pores.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.pore_type     Integer    default: 0   --  integer</code></pre><p>Specifies where to generate pores, where 0 = Both, 1 = Early Only, and 2 = Late Only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.pore_radius     Float    default: 0.04   --  animatable; float</code></pre><p>The radius of the pores.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.pore_cell_dim     Float    default: 0.15   --  animatable; float</code></pre><p>The dimension of the cell noise that makes pores. A smaller number increases the density of pores.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.pore_color_power     Float    default: 1.4   --  animatable; float</code></pre><p>The amount of darkening to apply to the early wood color to produce the pore color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.pore_depth     Float    default: 0.025   --  animatable; float</code></pre><p>The depth amount of the pores.</p>\n\
<h3 id=\"rays\">Rays</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.use_rays     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Specifies whether to use rays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.ray_color_power     Float    default: 1.25   --  animatable; float</code></pre><p>A color multiplier to apply to the early wood color to generate the ray color. Higher numbers produce darker rays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.ray_seg_length_z     Float    default: 5.0   --  animatable; float</code></pre><p>Ray segment length, higher numbers produce fewer rays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.ray_num_slices     Integer    default: 30   --  integer</code></pre><p>The number of ray slices. Higher numbers increase the ray density.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.ray_ellipse_z2x     Float    default: 10.0   --  animatable; float</code></pre><p>The ray ellipse shape ratio.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.ray_ellipse_scale_x     Float    default: 0.5   --  animatable; float</code></pre><p>The ray radius.</p>\n\
<h3 id=\"coordinates\">Coordinates</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.coords     StandardXYZGen    default: MtlBase:Placement   --  alias: Coordinates; SubAnim</code></pre><p>See StandardXYZGen for the coordinates properties.</p>\n\
<h3 id=\"profile-parameters\">Profile Parameters</h3><p>These parameters are exposed to MAXScript but do not appear in the Advanced Wood texture map UI. These are strings that set the profile used to generate Perlin noise for those parameters to which Perlin noise can be applied. Generally the default is sufficient to produce good results.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.diffuse_perlin_prof     String    default: &quot;0.1 0.1 0.4 0.15 5 0.2 0.01 0.4&quot;   --  string; Diffuse_Perlin_Profile</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.early_wood_color_perlin_prof     String    default: &quot;8 0.2 3 0.3 0.35 0.15&quot;   --  string; Early_Wood_Color_Perlin_Profile</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.fiber_cosine_prof     String    default: &quot;15 0.2 2 0.5&quot;   --  string; Fiber_Cosine_Profile</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.fiber_perlin_prof     String    default: &quot;23.5 1.25 8 0.75 2 0.15&quot;   --  string; Fiber_Perlin_Profile</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.growth_perlin_prof     String    default: &quot;0.5 0.5&quot;   --  string; Growth_Perlin_Profile</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AdvancedWood&gt;.late_wood_color_perlin_prof     String    default: &quot;4 0.25 1.5 0.15&quot;   --  string; Late_Wood_Color_Perlin_Profile</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";