var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ECE0A134-6C3A-42BF-8B34-C1D9ED486D07\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>OSLMap: textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OSLMap - superclass: textureMap; super-superclass:material - 11:2 - classID: #(2140830621L, 1875767309L) </code></pre><p>The OSLMap texturemap provides a container object to hold Open Shader Language shaders. Available in <strong>3ds Max 2019 and higher</strong>. All OSL shaders shipped with 3ds Max are instances of this class .</p>\n\
<p>The OSLMap container has some constant properties that are common to all instances of OSLMaps. Other properties, such as input and output ports, and shader options, are created dynamically by the shader code, and will vary depending on the instance.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OSLMap...   </code></pre><p><strong>Properties</strong></p>\n\
<p>These properties are common to all OSLMap instances.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.OSLAutoUpdate     BooleanClass    default: false   --  boolean; OSL_Auto_Update</code></pre><p>Specifies whether the OSL shader code is linked to the file on disk (true), or is held independently by the OSL Map in the scene. This parameter corresponds to the link icon next to the file name in the OSLMap UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.OSLCode     String      --  string; OSL_Code </code></pre><p>A string that contains the OSL shader code. The default is a simple shader that can be used as a starting point for creating a new shader.</p>\n\
<p>The default shader mixes two input colors (or maps) and produces a single output color:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">// Simple Example Shader with three inputs two outputs, to demo the syntax.\n\
// For more information read the OSL Language Specifictaion:\n\
//    https://github.com/imageworks/OpenShadingLanguage/blob/master/src/doc/osl-languagespec.pdf \n\
\n\
shader Example\n\
    [[ string help=&quot;Example shader with three inputs and two outputs&lt;br&gt;&quot; ]]\n\
(\n\
    // Inputs\n\
    color Input_A = 0.5 [[ string label = &quot;A&quot;]],\n\
    color Input_B = 0.5 [[ string label = &quot;B&quot;]],\n\
    float Mixer   = 0.5 [[ float min = 0.0, float max = 1.0 ]],\n\
    // Outputs\n\
    output color Out = 0.0,\n\
    output color Mix = 0.0)\n\
{\n\
    Out = Input_A + Input_B;            // Sum\n\
    Mix = mix(Input_A, Input_B, Mixer); // Mix\n\
}</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.OSLPath     String    default: &quot;&quot;   --  filename; OSL_Path</code></pre><p>If the OSL code is loaded from a file, this parameter holds the path to that file. This parameter is maintained even if the file is unlinked (by setting <code>.OSLAutoUpdate</code> to false).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.numIMultipleOutputChannels     Integer    default: 2   --  integer; Read-only</code></pre><p>Specifies the number of output ports for the shader.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.numInputs</code></pre><p>Specifies the number of input ports.</p>\n\
<p><strong>OSLMap Example Properties</strong></p>\n\
<p>These properties exist on the default example OSLMap, and are defined by the example <code>.OSLCode</code> string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.Input_A     Color    default: (color 127.5 127.5 127.5)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.Input_A_map     UndefinedClass    default: undefined   --  texturemap</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.Input_B     Color    default: (color 127.5 127.5 127.5)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.Input_B_map     UndefinedClass    default: undefined   --  texturemap</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.Mixer     Float    default: 0.5   --  animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OSLMap&gt;.Mixer_map     UndefinedClass    default: undefined   --  texturemap</code></pre><h2 id=\"oslmap-interfaces\">OSLMap interfaces</h2><h3 id=\"interface-imtlrender_compability_mtlbase\">Interface: IMtlRender_Compability_MtlBase</h3><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
<h3 id=\"interface-imultipleoutputchannelswithvalues\">Interface: iMultipleOutputChannelsWithValues</h3><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .numIMultipleOutputChannels : integer : Read          </code></pre><p>Gets the number of output ports for the OSLMap.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;getIMultipleOutputChannelLocalizedName &lt;index&gt;index \n\
           getIMultipleOutputChannelLocalizedName - no automatic redraw after invoked </code></pre><p>Returns the localized name string for the specified output channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;getIMultipleOutputChannelName &lt;index&gt;index \n\
           getIMultipleOutputChannelName - no automatic redraw after invoked </code></pre><p>Returns the name string for the specified output channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;enum&gt;getIMultipleOutputChannelType &lt;index&gt;index \n\
           getIMultipleOutputChannelType enums: {#float|#integer|#rgb|#point3|#string|#filename|#material|#texturemap|#bitmap|#node|#maxObject|#matrix3|#paramblock2|#point4|#frgba \n\
     getIMultipleOutputChannelType - no automatic redraw after invoked </code></pre><p>Returns the type of the specified output channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;value&gt;getIMultipleOutputChannelValue &lt;index&gt;index time:&lt;time&gt; \n\
           getIMultipleOutputChannelValue - no automatic redraw after invoked \n\
     time default value: 0f </code></pre><p>Returns the value of the specified output channel at the specified time.</p>\n\
<p><strong>Actions:</strong></p>\n\
<h3 id=\"interface-imultioutputconsumer\">Interface: iMultiOutputConsumer</h3><p>This interfaces is exposed to MAXScript, but the properties and methods listed here are not implemented and cannot be used.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .numInputs : integer : Read \n\
</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;SetOutputToInput &lt;index&gt;input_index &lt;maxObject&gt;output_rtarg &lt;index&gt;output_index \n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;maxObject&gt;GetOutputRefTargetFromInput &lt;index&gt;input_index \n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;index&gt;GetOutputIndexFromInput &lt;index&gt;input_index \n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;CanAssignOutputToInput &lt;index&gt;input_index &lt;maxObject&gt;output_rtarg &lt;index&gt;output_index \n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;GetInputName &lt;index&gt;input_index \n\
           GetInputName - no automatic redraw after invoked \n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;GetInputLocalizedName &lt;index&gt;input_index \n\
          GetInputLocalizedName - no automatic redraw after invoked \n\
</code></pre><p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";