var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C33EBE13-F68A-4003-A5C7-D3131D9788EC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TextureObjMask : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TextureObjMask - superclass: textureMap; super-superclass:material - 13:0 - classID: #(1398407114L, 2770506888L)</code></pre><p>This texture map can apply different textures based on a primitive control object (above/below a Plane, or inside/outside of a Box or Sphere). Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TextureObjMask...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.object     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the Control Object defining the texture mask color distribution.</p>\n\
<p>Possible objects are Plane (Above/Below), Box or Sphere (Inside/Outside).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.color0     Color    default: (color 0 0 0)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))</code></pre><p>Get/set the Above/Inside color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.subtex0     UndefinedClass    default: undefined   --  texturemap; SubMat0</code></pre><p>Get/set the Above/Inside texture map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.map1Enabled     BooleanClass    default: true   --  boolean; Map0Enable</code></pre><p>Get/set the enabled state of the Above/Inside texture map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.color1     Color    default: (color 255 255 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))</code></pre><p>Get/set the Below/Outside color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.subtex1     UndefinedClass    default: undefined   --  texturemap; SubMat1</code></pre><p>Get/set the Below/Outside texture map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.map2Enabled     BooleanClass    default: true   --  boolean; Map1Enable</code></pre><p>Get/set the enabled state of the Below/Outside texture map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.transitionrange     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the Transition Range value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.transitionbias     Float    default: 0.0   --  animatable; float</code></pre><p>Get/set the Transition Bias value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.displaceamount     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the Transition Displacement Amount value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.displacetex     UndefinedClass    default: undefined   --  texturemap</code></pre><p>Get/set the Transition Displacement texture map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.displaceEnabled     BooleanClass    default: true   --  boolean; DisplaceEnable</code></pre><p>Get/set the enabled state of the Transition Displacement texture map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextureObjMask&gt;.coords     StandardXYZGen    default: MtlBase:Placement   --  maxObject; Coordinates; SubAnim</code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/StandardXYZGen-Material.html\">XYZGenClass</a> for default coords properties.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   resetMaxFile #noprompt --reset the scene\n\
\n\
   local s = sphere radius:50 segs:32 --create a sphere (note that geosphere is NOT supported!)\n\
   local p = plane width:200 length:200 --create a plane\n\
\n\
   local tom = TextureObjMask() --create a object mask texture \n\
   tom.object = s --assign the sphere as the control object of the texture\n\
\n\
   local ct = cellular() --create a cellular map\n\
   ct.cellColor = red --set the 3 colors of the map to bright colors\n\
   ct.divColor1 = yellow\n\
   ct.divColor2 = blue\n\
   tom.subtex0 = ct --assign the cellular map to the Outside texture\n\
\n\
   tom.subtex1 = noise size:5.0 --assign a Noise to the Inside texture\n\
   tom.transitionrange = 25.0 --set the Transition range to more than zero to create a smooth transition\n\
\n\
   local pmat = standard() --create a standard material for the plane\n\
   pmat.diffusemap = tom --assign the texture to the diffuse map slot\n\
   p.material = pmat --assign the material to the plane\n\
\n\
   local smat = standard diffuse:red --create a standard material for the sphere\n\
   s.material = smat --assign it to the sphere\n\
   smat.opacity = 25.0 --set it to 1/4 opacity\n\
   smat.wire = true --set the material to wire so we can peek inside the sphere\n\
\n\
   meditMaterials[1] = pmat --set the first slot of the Material Editor to the plane&apos;s material\n\
   render() --render the scene\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";