var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AB3E5673-9872-4CE8-97BB-42DBD1660D9C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What is Scope of variables?</h1></div><p>The following chapters provide detailed explanation of variable scope:</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope.html\">Variables - Assignment and Scope</a></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\"#local-variables-as--private-global--variables\">Local Variables As Private Global Variables</a></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\"#implicit-variable-declaration\">Implicit Variable Declaration</a></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\"#lexical-scoping\">Lexical Scoping</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Accessing-Locals-and-Other-Items.html\">Accessing Locals and Other Items in a Rollout from External Code</a></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Changes-to-Undeclared-Implicit.html\">Changes to Undeclared Implicit Global Variables</a></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Definition-Constructs-Can.html\">Definition Constructs Can Include Global Variable Declarations At Top Level</a></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">Persistent Global Variables</a></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Specifying-Global-Variables-As.html\">Specifying Global Variables As Global Using ::</a></p>\n\
<h2 id=\"why-do-i-define-variables-outside-of-a-scope-so-i-can-access-them-inside-the-scope-\">Why do I define variables outside of a scope so I can access them inside the scope?</h2><p>You could imagine the scopes as an onion with nested &quot;layers&quot;. When a local variable is created at a certain level, it is visible only at this level and all scopes nested inside of it.</p>\n\
<p>In the special case of MacroScripts, Rollouts and Utilities, a local variable defined in the outer-most scope is visible to any code inside of the macroScript, rollout or utility but not visible to any other macroScript, rollout or utility. This can be seen as a kind of &quot;private global&quot; variable which is just how it works and not a technical name for a new kind of scope. For more info, see <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\"#local-variables-as--private-global--variables\">Local variables as private global variables</a></p>\n\
<p>In addition, a variable can be only accessed if it has been already defined. This means that the order of functions and rollout definitions does matter as you cannot access a function or rollout which is defined later in the source code. This case can be solved by pre-defining the variable used to store the function or rollout in the same or higher scope before the actual function or rollout definition.</p>\n\
<p>For example, if you have multiple rollout definitions in a Utility and want to access a user interface element of the second rollout from inside the first rollout, you will have to pre-define the variable storing the second rollout before the first one.</p>\n\
<p>If you would not pre-define the variable and try to access a UI control from the second rollout, MAXScript would show you an error because when evaluating the first rollout it has no knowledge of the second one - it has not been evaluated yet!</p>\n\
<p>If you have declared the variable name of the second rollout as local in the beginning of the Utility, it will first be set to the value &quot;undefined&quot;, but will be seen as defined by any code that references it. In other words, MAXScript will find the name of the variable, ignore the fact there is still no rollout value inside and keep going with the evaluation. Once it finds the definition of the second rollout, it will &quot;fill in&quot; the rollout information and when you actually try to use code in the first rollout referencing the second one, everything will be ok.</p>\n\
<h2 id=\"why-do-i-declare-local-and-global-variables-\">Why do I declare local and global variables?</h2><p>Local variables let you encapsulate values for &quot;local use&quot; without interfering with other parts of the script, or even worse, with other scripts. Imagine if every single script out there would use only global variables. If a user would write a script that uses the variable &quot;i&quot; in a loop and another users would write another that uses &quot;i&quot; for an index to a vertex somewhere, chances are these two scripts would have troubles running in the same scene unless the programmers have taken extra care to explicitly declare and initialize every variable before using it. All in one, it would be a real pain!</p>\n\
<p>Luckily, MAXScript will keep the variables inside the respective scopes and the one script will never access variables from the other one unless you want it to by using explicit global definitions.</p>\n\
<p>By default, any variable used without declaration inside of a scope becomes local for that scope so you usually don&#39;t really have to explicitly write &quot;local&quot; in front of every variable. While it would be a good programming practice to declare variables explicitly, MAXScript does not force you to do this most of the time. See <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\"#implicit-variable-declaration\">Implicit Variable Declaration</a> for more info.</p>\n\
<p>You would define global variables in all those cases where multiple scripts have to access the same value, or share a value. Any MAXScript code could read that value. So you could have a macroScript storing some preferences in a variable, a Utility using these preferences, and both do not have to know about each-other, except for the name of the common global variables.</p>\n\
<p>In some cases, you want to declare a local variable explicitly if a variable with the same name already exists in a higher scope, but you really want to use the same name in a nested scope. If you don&#39;t declare the variable as explicitly local, the value of the outer one would be accessed instead, which could lead to logical problems...</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript Syntax and Terminology</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";