var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-34D853AE-9747-4AD8-B587-9311D3320F02\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What is the difference between &apos;assignment&apos; and &apos;equality&apos; operators</h1></div><p>In MAXScript, there is a VERY BIG difference between these two operators!</p>\n\
<p>The &apos;=&apos; is the so-called <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Variable-Assignment.html\">assignment operator</a> and is used to assign the result of the expression on the right side of the operator to the variable on the left side.</p>\n\
<p>The &apos;==&apos; is the so-called <a href=\"./../../MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Comparison-Expressions.html\">equality comparison operator</a> and is used to check whether the two expressions on both sides are equal or not. It returns <code>true</code> of they are equal, and <code>false</code> if they are not.</p>\n\
<p>It is a common error to mistype &apos;==&apos; as &apos;=&apos; which can lead to errors in IF comparisons, non-initialized variables etc.</p>\n\
<p>In the following example, the variable a is set to 1. In the IF expression, &apos;a&apos; should be compared to 0, but it is assigned by mistake the value 0 instead. The result of the expression is not a boolean value (true or false) and an error message is generated to inform you about the problem:</p>\n\
<blockquote>\n\
<p>   <strong>TYPICAL ERROR:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = 1\n\
   if a = 0 then print &quot;A is Zero!&quot; else print &quot;A is not Zero!&quot;\n\
   -- Type error: if-test requires BooleanClass, got: 0\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>CORRET CODE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = 1\n\
   if a == 0 then print &quot;A is Zero!&quot; else print &quot;A is not Zero!&quot;\n\
   --&gt;&quot;A is not Zero!&quot;\n\
</code></pre></blockquote>\n\
<p>In the second version, the variable &apos;a&apos; is set to 1. In the IF expression, &apos;a&apos; is correctly compared to 0. The result of the expression is a boolean value (false) and the expected result is printed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript Syntax and Terminology</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Variable-Assignment.html\">Variable Assignment</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Comparison-Expressions.html\">Comparison Expressions</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";