var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DC5B0A00-8EE5-4290-A150-C9D72F9B59D7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>When do I use () after a function?</h1></div><p>A user-defined MAXScript function is stored in a variable which points at a location in memory where the function definition is stored.</p>\n\
<p>Some functions take no arguments (parameters, values passes to the function to operate on), others can expect one or more arguments.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   Let&apos;s define a custom function that prints &quot;Hello World!&quot;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn printHello = ( format &quot;Hello World!\\n&quot;)\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   printHello()\n\
</code></pre><p>   MAXScript is telling us that we have defined a new function and shows us how to call the function.</p>\n\
</blockquote>\n\
<p>If we type in only the name of the function, we are not actually calling the function but asking MAXScript to print the function value itself.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   Let&apos;s type in only the name of the function without ()</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   printHello\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   printHello()\n\
</code></pre><p>   MAXScript is showing us that the variable printHello points at a definition of a function that can be called as shown.</p>\n\
</blockquote>\n\
<p>Since our function does not take any arguments to operate on, we can just do as instructed and call the function:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   Let&apos;s type the function name with ()</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   printHello()\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Hello World!\n\
   OK\n\
</code></pre><p>   MAXScript executed the function, resulting in the string &quot;Hello World!&quot; being printed to the Listener, followed by the return value of the function which is OK.</p>\n\
</blockquote>\n\
<p>If we would define a function that expects one argument, we could still use the parentheses around the argument. In some other languages, the parentheses around the arguments are mandatory. In such languages, the () form is a special case of the argument passing, just without any arguments.</p>\n\
<p>In the case of MAXScript though, the parentheses are optional except when no arguments are passed to the function:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   Let&apos;s define a custom function that prints &quot;Hello World&quot;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn printAValue theValue = ( format &quot;The Value Is %\\n&quot; theValue)\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   printAValue()\n\
</code></pre><p>   MAXScript is telling us that we have defined a new function and shows us how to call the function, but it does not tell us anything about the number of arguments yet. The return value only shows that a MAXScript function was defined.</p>\n\
</blockquote>\n\
<p>Now if we would try to call the function like before with () but no argument, the function will tell us what it expects in an error message:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   Let&apos;s type the function name with ()</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   printAValue()\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Argument count error: printAValue wanted 1, got 0\n\
</code></pre><p>   MAXScript tries to execute the function, but finds that the arguments are not enough and complains.</p>\n\
</blockquote>\n\
<p>We can put the argument value inside the parentheses to make the function work as desired:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   Let&apos;s provide the argument inside the parentheses:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   printAValue(pi)\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   The Value Is 3.14159\n\
   OK\n\
</code></pre><p>   MAXScript executes the function and finds that the arguments are enough, so the function produces the correct result.</p>\n\
</blockquote>\n\
<p>But as mentioned, MAXScript does not mandate the parentheses around an argument, so we can omit them.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   Let&apos;s provide the argument without the parentheses:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   printAValue pi\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   The Value Is 3.14159\n\
   OK\n\
</code></pre><p>   As we can see, the result is the same.</p>\n\
</blockquote>\n\
<p>The same applies to functions implemented by plugins and by MAXScript itself, like for example the constructor functions of geometry primitives.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   Type in the constructor of a Box without ()</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   box\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Box\n\
</code></pre><p>   MAXScript is telling us that &apos;box&apos; contains the constructor function Box which, when called without parameters would make a new box object.</p>\n\
</blockquote>\n\
<p>In order to call the function without any arguments, we have to tell the function that no parameters are going to be passed to it.</p>\n\
<p>To do this, we add the pair of parentheses to the end of the function name like we did with the user-defined function above.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   Type in the constructor of a Box with ()</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   box()\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Box:Box01 @ [0.000000,0.000000,0.000000]\n\
</code></pre><p>   MAXScript executes the Box constructor function without parameters, thus using defaults for all properties like position, size etc.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript Syntax and Terminology</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Function-Calls.html\">Function Calls</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Function-Calls/Special-Notes-About-Function.html\">Special Notes About Function Calls</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";