var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-83E779EA-03B6-4785-B610-9A6EE574E10A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I keep a Plane aligned to 3 Point Helpers?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I have 3 Point Helpers which determines a plane in 3d space and I animated all of them randomly.</p>\n\
<p>How can I keep a Plane object always oriented exactly to the plane determined by the Points?</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>This is a good place to use a <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/transform_script-superclass.html\">Transform Script controller</a> because we can control both the rotation (orientation) and position of the plane with it.</p>\n\
<p>The following script</p>\n\
<ul>\n\
<li><p>Creates a Plane primitive</p>\n\
</li>\n\
<li><p>Creates 3 Point Helpers</p>\n\
</li>\n\
<li><p>Assigns a Transform Script and calculates a Matrix3 value which keeps the plane in the plane defined by the three points and centers it in the middle point between the helpers.</p>\n\
</li>\n\
</ul>\n\
<p>If you would move or animate the points, the Plane should follow.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a plane and 3 point helper\n\
   thePlane = Plane()\n\
   p1 = point pos:[40,-10,30]\n\
   p2 = point pos:[20,30,40]\n\
   p3 = point pos:[-10,-20,30]\n\
   --Create a Transform Script and assign it to the Plane\n\
   ctrl = transform_script()\n\
   thePlane.transform.controller = ctrl\n\
   --Create three Node variables and assign the Helpers to them\n\
   ctrl.addNode&quot;p1&quot; p1\n\
   ctrl.addNode&quot;p2&quot; p2\n\
   ctrl.addNode&quot;p3&quot; p3\n\
   --We create a variable to hold the expression\n\
   --We calculate the vector from Point01 to Point02\n\
   txt =&quot;v1 = normalize (p2.pos-p1.pos)\\n&quot;\n\
   --and the vector from Point01 to Point03\n\
   txt +=&quot;v2 = normalize (p3.pos-p1.pos)\\n&quot;\n\
   --The cross productof the two vectors is the normal to the plane\n\
   txt +=&quot;nv1 = normalize (cross v1 v2)\\n&quot;\n\
   --Thecross product ofthenormal and vector 1gives us a third axis\n\
   txt +=&quot;nv2=normalize(cross nv1 v1)\\n&quot;\n\
   --We create a matrix3 value using he first vector,\n\
   --and the two cross products which are all orthogonal to each-other.\n\
   --The translation part .row4 is the middle point\n\
   --of the 3 points&apos; positions:\n\
   txt +=&quot;matrix3 v1 nv2 nv1 ((p1.pos+p2.pos+p3.pos)/3)&quot;\n\
   --Assign the expression to the script controller\n\
   ctrl.setExpression txt\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Animation.html\">Working with Animation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\">Script Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/transform_script-superclass.html\">transform_script - superclass: Matrix3Controller</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";