var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AC180C77-E45A-4E6E-B1CF-40E2CA049CFC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I link the rotation of an object to the scene time?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I want to create a simple expression that will rotate an object based on the current time.</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>You can assign a Float Script Controller to the respective rotation sub-controller and use the current Time global variable to get the time.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   if you want to rotate the object about its X axis, you should assign a Float Script controller to the .rotation.x_rotation.controller property:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Teapot()\n\
   obj.rotation.x_rotation.controller = Float_Script()\n\
   obj.rotation.x_rotation.controller.script = &quot;currentTime&quot;\n\
</code></pre></blockquote>\n\
<p>This will rotate the object, but the rotation will be very fast because the time value is taken as radians, causing a full 360 degrees rotation every 6.28 frames!</p>\n\
<p>To take the time as degrees,</p>\n\
<blockquote>\n\
<p>   <strong>YOU CAN USE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj.rotation.x_rotation.controller.script = &quot;degToRad currentTime&quot;\n\
</code></pre></blockquote>\n\
<p>This will rotate the object 360 degrees in 360 frames. You can of course multiply the result by any factor to control the exact speed,</p>\n\
<blockquote>\n\
<p>   <strong>LIKE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj.rotation.x_rotation.controller.script = &quot;0.1 * degToRad currentTime&quot;\n\
</code></pre></blockquote>\n\
<p>will rotate the object at 360 degrees in 3600 frames...</p>\n\
<p>Another way to do the same is using the Float Expression controller. Unfortunately, it is not completely scriptable.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Box()\n\
   obj.rotation.x_rotation.controller = Float_Expression()\n\
</code></pre></blockquote>\n\
<p>will assign a float expression controller to the X rotation track.</p>\n\
<p>Now you can open the Expression window by going to the Motion tab, right-clicking the controller and selecting Properties...</p>\n\
<blockquote>\n\
<p>   <strong>ENTER THE EXPRESSION</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   degToRad(F)\n\
</code></pre></blockquote>\n\
<p>and press the <strong>Evaluate</strong> button.</p>\n\
<p>The result should be the same as the Flot Script controller version.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Animation.html\">Working with Animation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";