var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A02EECAD-E33B-40C0-BC32-FF5C1C6E8289\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I Get Faces With Normals Facing Away?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>Can anyone tell me how to get faces that have normals pointing outside of the current viewport?</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>You can get the face normal in viewspace, then you just have to check the sign of the Z component. If it is negative, it is facing away from the camera!</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   theObj = Teapot segs:10 --create ateapot\n\
   convertToMesh theObj --convert to EMesh\n\
   theMeshCount = theObj.numfaces --get the number of faces in the object\n\
   selArray = #() --init. an array to collect faces\n\
   for f = 1 to theMeshCount do --loop through all faces\n\
   (\n\
     in coordsys (inverse (viewport.GetTM())) theFN = getFaceNormal theObj f\n\
     if theFN.z &lt; 0 then append selArray f -- if Z is negative, add to array\n\
   )\n\
   setFaceSelection theObj selArray --set the face selection in the EMesh\n\
   max modify mode --go to modify mode\n\
   select theObj --select the mesh\n\
   subObjectLevel = 3 --go to Face SO level\n\
   modPanel.addModToSelection (deleteMesh()) --add a delete mesh, preserving the SO selection\n\
   )\n\
</code></pre></blockquote>\n\
<p><strong>Result</strong>:All triangles facing away from the camera will be deleted!</p>\n\
<p><img src=\"./images/GUID-326CD86E-222B-4C56-9AE3-0821E4F32D39-low.gif\" alt> <img src=\"./images/GUID-C5FC6976-CE4C-4DED-93FB-B51EC4F9E7CC-low.gif\" alt></p>\n\
<p>The image on the left shows the teapot with deleted backfaces as seen from a camera viewport. The image on the right shows the teapot and the camera as seen from the side. Note that for the screenshot, the backface culling was disabled (you can see the backfaces on the right image), but the left image looks just like it would with backface culling enabled! This is because the script deletes the same faces the viewport backface culling would skip!</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Editable-Meshes.html\">Working with Editable Meshes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";