var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-887D3A2C-64CB-4AAA-A6E9-FFC73455CDAD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I Get the Local Rotation of a Face?</h1></div><p>Here is how to obtain the rotation value displayed in the Rotate Transform Type-In box when in the local coordinate system from a face in an Editable Mesh.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Face-Methods.html\">GetFaceNormal</a> returns the face normal in local coordinates as a Point3 value.</p>\n\
<p>Multiplied by the transformation matrix of the object, we get the face normal in world space.</p>\n\
<p>Using <a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">matrixFromNormal</a>, we create a new matrix3 value using the face normal as the local Z axis. This matrix3 value is rotated relatively to the identity matrix exactly by the values we are searching for.</p>\n\
<p>By converting the matrix3 value to<a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/EulerAngles-Values.html\">eulerAngles</a>, we retrieve exactly the same 3 values displayed in the Transform Type-In when a face is selected while in Local coordinate system.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn getLocalFaceRotation mesh index =\n\
   (\n\
     (matrixFromNormal (getFaceNormal mesh index)*mesh.transform ) as eulerAngles\n\
   )\n\
\n\
   obj = sphere() --create a GeoSphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   setFaceSelection obj #{38..40, 49, 50, 59, 60, 70, 80} -- select some faces\n\
   for f in getFaceSelection obj  do\n\
     format &quot;Face: % - Rotation: % \\n&quot; f (getLocalFaceRotation obj f)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Editable-Meshes.html\">Working with Editable Meshes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";