var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F3FDF49D-C48B-4B2D-BD4B-8DBCDE39081A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I Select Edges Between Material IDs?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I want to select the edges between different Material IDs in an Editable Poly object.</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>The following code implements a possible solution:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SelMatIDEdges category: &quot;MXS Help&quot;\n\
   (\n\
   --The ActionItem will only be enabled when a single object with\n\
   --Editable_Poly base object is selected:\n\
   on isEnabled return\n\
    selection.count == 1 and classof selection[1].baseobject == Editable_Poly\n\
   --When executed,\n\
   on execute do\n\
   (\n\
    theEP = selection[1].baseobject --get the base object of the selected object\n\
    edgeSelArray = #() --init. an empty array to collect the edges\n\
    eCount = polyOp.getNumEdges theEP --get the total number of edges\n\
    for edge = 1 to eCount do --loop through all edges\n\
    (\n\
     --get the faces sharing the current edge\n\
     theFaces = (polyOp.getFacesUsingEdge theEP #(edge)) as array\n\
     --if there are two faces sharing the edge,\n\
     if theFaces.count == 2 do\n\
     (\n\
      --compare their Material IDs. If different, collect the edge\n\
      if polyOp.getFaceMatID theEP theFaces[1] != polyOp.getFaceMatID theEP theFaces[2] do\n\
       append edgeSelArray edge\n\
     )--end if\n\
    )--end loop\n\
    --After checking all edges, select the collected ones\n\
    polyOp.setEdgeSelection theEP edgeSelArray\n\
    max Modify Mode-- switch to modify panel\n\
    modPanel.setCurrentObject theEP-- go to the BaseObject level\n\
    subObjectLevel = 2--and go to Edge SubObject level to show the result\n\
   )--end on execute\n\
   )--end macroScript\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-3A1D7003-DF7F-406E-95AA-F5C90E82C864-low.gif\" alt></p>\n\
<p>A Box primitive has 6 Material IDs assigned to its 6 sides. In this example, a box with 4x4x4 segments was converted to Editable Poly. Then the above script was executed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Editable-Polys.html\">Working with Editable Polys</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";