var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9D9CB9CD-5F2C-4AF6-8A55-54D933A8457A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I build Unconnected Edges Selections from EPoly Edge Selection?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I want to filter the edge selection and create arrays containing connected edges, something like &quot;edge selection elements&quot;. Edges from two arrays will never be connected, in other words will not share vertices.</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>The following pseudo-code describes a possible approach:</p>\n\
<ul>\n\
<li><p>Get the current edge selection into a main selection array.</p>\n\
</li>\n\
<li><p>Create an empty array to hold the unconnected selections.</p>\n\
</li>\n\
<li><p>(A) Append a new empty array to it as a sub-array.</p>\n\
</li>\n\
<li><p>Note the index of the current sub-array.</p>\n\
</li>\n\
<li><p>Get the first edge from the main selection array.</p>\n\
</li>\n\
<li><p>Delete it from the main selection array, append to the current sub-array of the unconnected selections array.</p>\n\
</li>\n\
<li><p>For every edge in the new sub-array, get its corresponding vertices that define the edge.</p>\n\
</li>\n\
<li><p>For each of the two vertices, get their edges - this gives you all neighbor edges sharing a vertex with the current edge.</p>\n\
</li>\n\
<li><p>Loop through the neighbors and see if they appear in the main selection array.</p>\n\
</li>\n\
<li><p>If an edge is in the main selection array, delete it from there and append it to the current sub-array.</p>\n\
</li>\n\
<li><p>Finish the loop when you have checked all edges from the sub-array.</p>\n\
</li>\n\
<li><p>At this point, if all edges are connected, the main array will be empty. If it is not empty, there are edges unconnected to the selections you already collected.</p>\n\
</li>\n\
<li><p>Add a new empty sub-array to the collection array.</p>\n\
</li>\n\
<li><p>Repeat starting with (A).</p>\n\
</li>\n\
</ul>\n\
<p>The function is ready when there are no edges left in the main array.</p>\n\
<p>This will give you as many sub-arrays as there are unconnected edge selections.</p>\n\
<p>The following function implements the pseudo-code in MAXScript code:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn getEPolyUnconnectedEdgesSelections thePoly =\n\
   (\n\
   --get the edge selection\n\
   mainSelection = (polyOp.getEdgeSelection thePoly) as array\n\
   --init. an array to collect sub-arrays with selections &quot;elements&quot;\n\
   unconnectedSelections = #()\n\
   --repeat until the main selection array is empty\n\
   while mainSelection.count &gt; 0 do\n\
   (\n\
   --append a new empty sub-array:\n\
   append unconnectedSelections #()\n\
   --remember the current sub-array&apos;s index:\n\
   currentSelCount = unconnectedSelections.count\n\
   --append the first edge from the main selectionarray to the sub-array:\n\
   append unconnectedSelections[currentSelCount] mainSelection[1]\n\
   --and remove the first edge from the main selectionarray:\n\
   deleteItem mainSelection 1\n\
   --initialize a counter:\n\
   cnt = 0\n\
   --while the counter is less than the edges in the sub-array\n\
   while cnt &lt; unconnectedSelections[currentSelCount].count do\n\
   (\n\
    cnt += 1--increase the counter by 1\n\
    --get the vertices of the current edge in the current sub-array:\n\
    currentEdgeVerts = (polyOp.GetVertsUsingEdge thePoly  unconnectedSelections[currentSelCount][cnt]) as array\n\
    neigborEdges = #()--init. an array to collect neighbor\n\
    --for every vertex in the current edge,\n\
    for v in currentEdgeVerts do\n\
    --add the edges used by the vertex to the neighbors array\n\
     join neigborEdges ((polyOp.GetEdgesUsingVert thePoly v) as array)\n\
    --for each neighbor edge,\n\
    for edge in neigborEdges do\n\
    (\n\
     --see if the edge is in the main selection array\n\
     checkInSelection = findItem mainSelection edge\n\
     --if it is,\n\
     if checkInSelection &gt; 0 do\n\
     (\n\
      --delete the edge from the main array\n\
      deleteItem mainSelection checkInSelection\n\
      --and add it to the current sub-array\n\
      append unconnectedSelections[currentSelCount] edge\n\
     )--end if\n\
    )--end for edge loop\n\
   )--end while cnt\n\
   )--end while mainSelection.count\n\
   --finally, return the array containing the sub-arrays of connected edges:\n\
   unconnectedSelections\n\
   )--end fn\n\
\n\
   -- create box and mesh:\n\
   b = box()\n\
   convertTo b editable_poly\n\
   select b\n\
   getEPolyUnconnectedEdgesSelections $Box001--call the function\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Editable-Polys.html\">Working with Editable Polys</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";