var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FF89F3FF-DB8D-4AB3-BA98-3AD42E3C061B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I remove mid-edge EPoly Vertices?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I want to filter the edge selection and create arrays containing connected edges, something like &quot;edge selection elements&quot;. Edges from two arrays will never be connected, in other words will not share vertices.</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>The following code implements a possible solution:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript KillMidEdgeVerts category: &quot;MXS Help&quot;\n\
   (\n\
   --make sure a single EPoly object is selected\n\
   on isEnabled return\n\
    selection.count == 1 and classof selection[1].baseobject == Editable_Poly\n\
   on execute do\n\
   (\n\
    thePoly = selection[1] --get the selected object\n\
    select thePoly --select it\n\
    max modify mode --switch to modify panel\n\
    --set the base object as current level:\n\
    modPanel.setCurrentObject selection[1].baseobject\n\
    subObjectLevel = 1 --set sub-*object level to vertex level\n\
    numVerts = (polyop.getNumVerts thePoly) --get the total vertex count\n\
    undo on &quot;KillMidEdgeVerts&quot; --enable undo context\n\
    (\n\
     --loop backwards from the last to the first vertex\n\
     for v = numVerts to 1 by -1 do\n\
     (\n\
      --get the edges using the vertex to check the count\n\
      nVerts = (polyop.getEdgesUsingVert thePoly v) as array\n\
      if nVerts.count == 2 do --if only two edges found, then\n\
      (\n\
       --get the verts of the first egde\n\
       edge1verts = (polyop.getVertsUsingEdge thePoly nVerts[1]) as array\n\
       --calculate the vector defined by the two vertices in the first edge\n\
       vector1 = (polyop.getVert thePoly edge1verts[1]) - (polyop.getVert thePoly edge1verts[2])\n\
       --get the verts of the second edge\n\
       edge2verts = (polyop.getVertsUsingEdge thePoly nVerts[2] as array)\n\
       --calculate the vector defined by the two vertices in the second edge\n\
       vector2 = (polyop.getVert thePoly edge2verts[1]) - (polyop.getVert thePoly edge2verts[2])\n\
       --calculate the angle between the two normalized vectors\n\
       angle = acos (dot (normalize vector1) (normalize vector2))\n\
       --if the angle is less than the threashold (change 0.01 to whatever threashold you want!)\n\
       if angle &lt; 0.01 do\n\
       (\n\
        select thePoly.verts[v]--then select the current vertex\n\
        thePoly.EditablePoly.buttonOp #Remove--and hit the remove button\n\
       )\n\
      )--end if\n\
     )--end v loop\n\
    )--end undo\n\
   )--end on\n\
   )--end macro\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Editable-Polys.html\">Working with Editable Polys</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";