var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E26199AC-496C-42C4-BCB4-52A3C4DEF411\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I check if a string contains only numbers?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I want to check whether the text in an edit text UI element contains numbers or letters.</p>\n\
<p>If it contains numbers, I want it to return the numbers. If it contains letters, I want it to display a message &quot;You may only type numbers, try again&quot;.</p>\n\
<p>How do I do that?</p>\n\
<h2 id=\"answer-\">Answer:</h2><blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout MicroListener &quot;MicroListener&quot;\n\
   (\n\
   edittext myEditText text:&quot;&quot;\n\
   label theLabel &quot;Ready.&quot;\n\
   on myEditText changed txt do\n\
   (\n\
    if txt != &quot;&quot; then\n\
    (\n\
     try\n\
     (\n\
      val = execute txt\n\
      theLabel.text = &quot;You typed in &quot;+ (val as string )\n\
     )\n\
     catch \n\
      theLabel.text = &quot;Invalid Expression!&quot;\n\
    )\n\
    else\n\
     theLabel.text = &quot;Ready.&quot;\n\
   )\n\
   on myEditText entered txt do myEditText.text = &quot;&quot;\n\
   )\n\
   createDialog MicroListener 300 60\n\
</code></pre></blockquote>\n\
<p>This simple script implements a kind of &quot;micro-listener&quot;. It uses the <a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">Execute</a> method to turn the string typed in the edit text field into a MAXScript expression. It lets you not only enter numbers, but also constants like Pi, or global variables that you have defined. Not only this, you can define global variables inside the script, and even create objects on the fly.</p>\n\
<blockquote>\n\
<p>   <strong>HERE ARE SOME EXAMPLES:</strong></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-0D2756A1-2B84-4BA7-A9AC-4126BE75AB29-low.gif\" alt></p>\n\
<p>125.1 is a valid expression - it is a constant and evaluates to itself (125.1).</p>\n\
<p><img src=\"./images/GUID-D31DA20A-A205-4AA3-9005-90A898CCEDD1-low.gif\" alt></p>\n\
<p>On the other hand, d returns undefined as it is undefined.</p>\n\
<p><img src=\"./images/GUID-1FA5C720-463D-4E94-873B-C7A58E06A292-low.gif\" alt></p>\n\
<p>Surprisingly, e does not return undefined - it is a reserved keyword in MAXScript!</p>\n\
<p><img src=\"./images/GUID-6C20FFE6-926B-43CF-8F9C-C8DFAAE5E136-low.gif\" alt></p>\n\
<p>Same with pi -as expected, it returns 3.14149....</p>\n\
<p><img src=\"./images/GUID-6FB2927D-E795-4273-9437-CBB32A61B4E4-low.gif\" alt></p>\n\
<p>Trying to add two undefined values results in an invalid expression.</p>\n\
<p><img src=\"./images/GUID-1F59E8CF-562B-43CB-B43E-0F498823AE8E-low.gif\" alt></p>\n\
<p>This variable is also undefined.</p>\n\
<p><img src=\"./images/GUID-A5FF195E-2FCB-4EBE-B358-AD9BCB0F727F-low.gif\" alt></p>\n\
<p>Until we define it. Now it is equal to 10.</p>\n\
<p><img src=\"./images/GUID-AB9244A9-1DF5-4729-89C3-64E73BA72725-low.gif\" alt></p>\n\
<p>So, you can write an expression containing constants and variables.</p>\n\
<p><img src=\"./images/GUID-CCCFF6AD-C7C8-4999-9A32-E90E8693112E-low.gif\" alt></p>\n\
<p>Typing in a function name, in this case the constructor of a box, you get the function back.</p>\n\
<p><img src=\"./images/GUID-207977D7-8C5B-428C-860C-50B941904B8B-low.gif\" alt></p>\n\
<p>By calling the function, you can create objects just like in the &quot;real&quot; Listener.</p>\n\
<p><img src=\"./images/GUID-CA6EF5B7-6AD9-4A42-B1B3-56F79F1F6AD3-low.gif\" alt></p>\n\
<p>This box is created 100 units to the right because the position is specified.</p>\n\
<p>And, so on.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-MAXScript-Values.html\">Working with MAXScript Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">String Values</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";