var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2E27412E-89E3-41F5-A4C2-B9E809255390\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I filter a string including empty entries?</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>In <strong>3ds Max 8 and higher</strong>, a keyword parameter <strong>splitEmptyTokens:</strong> can be passed to the <a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">filterString</a> function to perform this kind of filtering.</p>\n\
<h2 id=\"a-user-asked-\">A user asked:</h2><p>The filterString function does not return empty entries. For example, if I am filtering by tabs a string containing two tabs in a row, no empty entry will be returned.</p>\n\
<p>For example,</p>\n\
<p><code>filterString &quot;One\\\\t\\\\tThree Four,,Five &quot;&quot;\\\\t, &quot;</code> <code>#(&quot;One&quot;, &quot;Three&quot;, &quot;Four&quot;, &quot;Five&quot;)</code></p>\n\
<h2 id=\"answer-\">Answer:</h2><p>The following scripted function behaves as requested.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPTED FUNCTION:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn filterString2 theString theDelimiters =\n\
   (\n\
    theTokens = #() --array of tokens to return\n\
    ready = false\n\
    while not ready do --repeat until no more delimiters can be found\n\
    (\n\
     ready = true --raise a flag that we are done\n\
     thePosArray = #() --init. an array to hold possible split positions\n\
     for i = 1 to theDelimiters.count do --go through all delimiters\n\
     (\n\
      checkPos = findString theString theDelimiters[i] --check if the delimiter is in the string\n\
      if checkPos != undefined do append thePosArray checkPos --if it is, add to the split positions array\n\
     ) --end i loop \n\
     if thePosArray.count &gt; 0 then --if the array has any splitpositions,\n\
     (\n\
      sort thePosArray --sort the array in ascending order\n\
      checkPos = thePosArray[1] --grab the first position\n\
      aToken = substring theString 1 (checkPos-1) --take the token from start to the split pos. - 1\n\
      append theTokens aToken --add the token to the array of tokens\n\
      theString = substring theString (checkPos+1) theString.count --remove the token and the delimiter from the string\n\
      ready = false --lower the flag because we are not ready yet\n\
     ) --end if\n\
    ) --end while loop\n\
    append theTokens theString --add what is left of the string to the array\n\
    theTokens --return the array of tokens\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   filterString2 &quot;One\\t\\tThree,Four,,Five &quot; &quot;\\t,&quot;\n\
   #(&quot;One&quot;, &quot;&quot;, &quot;Three&quot;, &quot;Four&quot;, &quot;&quot;, &quot;Five &quot;)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   filterString2 &quot;One\\t\\tThree Four,,Five &quot; &quot;\\t, &quot;\n\
   #(&quot;One&quot;, &quot;&quot;, &quot;Three&quot;, &quot;Four&quot;, &quot;&quot;, &quot;Five&quot;, &quot;&quot;)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-MAXScript-Values.html\">Working with MAXScript Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";