var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-496852FB-9EEB-4D04-A6D4-1BB0E68DE4D5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I remove duplicate arrays from an array?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I have an array of arrays like this:</p>\n\
<p><code>#(#(1, 5), #(6, 10), #(6, 10), #(14, 18), #(14, 18))</code></p>\n\
<p>How can I search for, and get rid of, the duplicates, which in this case would be items at indices 2 &amp; 3 (#(6,10)), and 4 &amp; 5 (#(14,18)).</p>\n\
<p>If I use find Item, it just returns the first instance and does not continue searching. I have also tried comparing the first and second numbers using nested &apos;for&apos; loops, but I cannot set it up to work like I want. Mainly, there seems to be problems when deleting items from an array while it is going through a loop.</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>Here is a long version with some debug prints so you can see what is happening.</p>\n\
<p>The key is to always count backwards when deleting elements from an array you are looping through. Otherwise, the loop gets confused as deleting elements renumbers the array items.</p>\n\
<blockquote>\n\
<p>   <strong>LONG VERSION</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   theArray = #(#(1, 5), #(6, 10), #(6, 10), #(14, 18), #(14, 18))\n\
   print &quot;Before:&quot;\n\
   print theArray\n\
   fn compareSubArrays first second =\n\
   (\n\
     result = true\n\
     if first.count != second.count then\n\
       result = false\n\
     else\n\
       for i = 1 to first.count do\n\
     if first[i] != second[i] do result = false\n\
     result\n\
   )\n\
   for i = 1 to theArray.count do\n\
   (\n\
     for j = theArray.count to i+1 by -1 do\n\
     (\n\
       format &quot;Comparing %:% to %:% \\n&quot; i theArray[i] j theArray[j]\n\
       test = (compareSubArrays theArray[i] theArray[j])\n\
       print test\n\
       if test do\n\
       (\n\
         deleteItem theArray j\n\
         format&quot;Deleting %\\n&quot;j\n\
       )\n\
     )--end j loop\n\
   )--end i loop\n\
   print&quot;After:&quot;\n\
   print theArray\n\
   )\n\
</code></pre><p>   <strong>RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;Before:&quot;\n\
   #(1, 5)\n\
   #(6, 10)\n\
   #(6, 10)\n\
   #(14, 18)\n\
   #(14, 18)\n\
   Comparing 1:#(1, 5) to 5:#(14, 18)\n\
   false\n\
   Comparing 1:#(1, 5) to 4:#(14, 18)\n\
   false\n\
   Comparing 1:#(1, 5) to 3:#(6, 10)\n\
   false\n\
   Comparing 1:#(1, 5) to 2:#(6, 10)\n\
   false\n\
   Comparing 2:#(6, 10) to 5:#(14, 18)\n\
   false\n\
   Comparing 2:#(6, 10) to 4:#(14, 18)\n\
   false\n\
   Comparing 2:#(6, 10) to 3:#(6, 10)\n\
   true\n\
   Deleting 3\n\
   Comparing 3:#(14, 18) to 4:#(14, 18)\n\
   true\n\
   Deleting 4\n\
   &quot;After:&quot;\n\
   #(1, 5)\n\
   #(6, 10)\n\
   #(14, 18)\n\
   OK\n\
   OK\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>COMPACT VERSION WITH COMMENTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   theArray = #(#(1, 5), #(6, 10), #(6, 10), #(14, 18), #(14, 18))\n\
   --Function to compare the content of two arrays\n\
   fn compareSubArrays first second =\n\
   (\n\
     result = true --init. return value to true\n\
     if first.count != second.count then --if the count of the two subarrays is different,\n\
       result = false--return false\n\
     else --otherwise\n\
       for i = 1 to first.count do --go through all elements in the arrays\n\
     if first[i] != second[i] do result = false --and see if two elements are different\n\
     result --return the result - true if identical, false if not\n\
   )\n\
   for i= 1 to theArray.count do --go through all elements of the main array\n\
   for j = theArray.count to i+1 by -1 do --go backwards from the last to the current+1\n\
     if compareSubArrays theArray[i] theArray[j] do\n\
       deleteItem theArray j --if identical, delete the one with the higher index\n\
   format &quot;%\\n&quot; theArray --print the result to the Listener\n\
   )\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #(#(1, 5), #(6, 10), #(14, 18))\n\
   OK\n\
   OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-MAXScript-Values.html\">Working with MAXScript Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Values</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";