var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F82B9FF1-2B52-4DA6-B9D3-627742690462\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To Make It Better?</h1></div><h2 id=\"avoid-using-persistent-global-variables\">Avoid using persistent global variables</h2><p>A good idea gone bad.</p>\n\
<p>Initially added to support scripted controllers and xrefs.</p>\n\
<p><strong>Problems:</strong></p>\n\
<ul>\n\
<li><p>No control over whether they are loaded</p>\n\
</li>\n\
<li><p>Overwriting previous values</p>\n\
</li>\n\
</ul>\n\
<p><strong>Solutions:</strong></p>\n\
<ul>\n\
<li><p>Use the new scripted controllers in <strong>3ds Max 8</strong></p>\n\
</li>\n\
<li><p>Use scripted CAs for persistent data storage (see below)</p>\n\
</li>\n\
</ul>\n\
<h2 id=\"using-scripted-cas-for-persistent-data-storage\">Using scripted CAs for persistent data storage</h2><p>Scripted Custom Attributes can be used instead of persistent global variables to store data with the scene file, avoiding the problems mentioned above.</p>\n\
<blockquote>\n\
<p>   <strong>A scripted CA can be placed on the scene root:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sceneDataCADef =attributes sceneDataCADef version:1 attribID:#(0x61e9ff5f, 0x63784819)\n\
   (\n\
   parameters main rollout:params\n\
   ( note type:#string ui:et_note default:&quot;&quot;)\n\
   rollout params &quot;Scene Data Parameters&quot;\n\
   ( edittext et_note &quot;Note: &quot;)\n\
   )\n\
\n\
   thescene = (refs.dependents rootnode)[1]\n\
   rootNodeDataCA = undefined\n\
   if (custattributes.add rootnode sceneDataCADef) do\n\
    rootNodeDataCA = rootnode.custAttributes[rootnode.custAttributes.count]\n\
   sceneDataCA = undefined\n\
   if (custattributes.add thescene sceneDataCADef) do\n\
    sceneDataCA = thescene.custAttributes[thescene.custAttributes.count]\n\
   rootNodeDataCA.note\n\
   sceneDataCA.note\n\
   rootNodeDataCA.note = &quot;rootnode&quot;\n\
   sceneDataCA.note = &quot;thescene&quot;\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>If the file is saved and reloaded, you can access the CAs:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rootNodeDataCA = undefined\n\
   if(rootnode.custAttributes.count != 0) do\n\
    rootNodeDataCA = rootnode.custAttributes[rootnode.custAttributes.count]\n\
   sceneDataCA = undefined\n\
   if(thescene.custAttributes.count != 0) do\n\
    sceneDataCA = thescene.custAttributes[thescene.custAttributes.count]\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>If the file is brought in as an XRef scene, you can still access the CAs:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   xr = xrefs.getXRefFile 1\n\
   xr_root = xr.tree\n\
   xr_rootNodeDataCA = undefined\n\
   if (xr_root.custAttributes.count != 0) do\n\
    xr_rootNodeDataCA = xr_root.custAttributes[xr_root.custAttributes.count]\n\
</code></pre></blockquote>\n\
<h2 id=\"building-ui-on-script-expression-controller\">Building UI on Script/Expression Controller</h2><p>By placing a scripted Custom Attributes definition on a script or expression controller, you can provide a custom UI for the controller.</p>\n\
<ul>\n\
<li><p>Define the CA to contain animatable parameters and rollout for UI.</p>\n\
</li>\n\
<li><p>Create a script controller.</p>\n\
</li>\n\
<li><p>Apply the CA to the script controller.</p>\n\
</li>\n\
<li><p>Apply the script controller.</p>\n\
</li>\n\
<li><p>Create variables in the script controller.</p>\n\
</li>\n\
<li><p>Assign Target values to the variables, specifying the CA parameters as the targets.</p>\n\
</li>\n\
<li><p>Display the CA&#x2019;s UI using createDialog or newRolloutFloater &amp; addrollout</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   floatDataCADef = attributes floatDataCADef version:1\n\
   (\n\
   parameters main rollout:params\n\
   ( prop1 type:#float ui:s_prop1 )\n\
   rollout params &quot;Parameters&quot;\n\
   ( spinner s_prop1 &quot;Prop1: &quot;)\n\
   fn getRollout = params\n\
   )\n\
\n\
   sc = float_Script()\n\
   custattributes.add sc floatDataCADef\n\
   floatCA = sc.custattributes[1]\n\
   sc.addTarget &quot;prop1&quot; floatCA[#prop1]\n\
\n\
   displayControlDialog sc &quot;&quot;\n\
\n\
   mscas =for ca in sc.custattributes where isMSCustAttrib ca collect ca\n\
   rollouts =for ca in mscas where isproperty ca #getrollout collect ca.getrollout()\n\
   if rollouts.count == 1 then\n\
    createdialog rollouts[1]\n\
   else if rollouts.count &gt; 1 do\n\
   (\n\
    width = rollouts[1].width\n\
    for ro in rollouts do\n\
     width = amax width ro.width\n\
    rof = newrolloutfloater &quot;&quot; (width+13) 0 0 0\n\
    for ro in rollouts do addrollout ro rof\n\
    height = 6\n\
    for ro in rollouts do\n\
     height += ro.height + 24\n\
    rof.size = [rof.size.x,height]\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Writing-Better-and-Faster.html\">Writing Better and Faster Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"How-To-Make-It-Faster-.html\">How To Make It Faster?</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";