var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7C1FC5F5-58C3-48FA-84F8-B6F4B4A70239\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Only calculate once if possible</h1></div><p>MAXScript does no code optimization. You must do your own optimizations.</p>\n\
<p>Try to avoid running the same calculation more than once, or interrogating the same value in the same node more than once.</p>\n\
<blockquote>\n\
<p>   <strong>TEST CASE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test4a inVal =\n\
   (\n\
   local res = 0\n\
   for i = 1 to 100 do res += ((inVal * 10) + i)\n\
   res\n\
   )\n\
   --show the same nice black-red gradient\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test4b inVal =\n\
   (\n\
   local res = 0\n\
   local temp = inVal * 10\n\
   for i = 1 to 100 do res += (temp + i)\n\
   res\n\
   )\n\
</code></pre><p>   <strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   test4a 0   -- 20562 msec.\n\
   test4b 0   -- 17797 msec.\n\
</code></pre></blockquote>\n\
<p>In another example, a typical example of a script that you want to be as fast as possible is a Particle Flow Script Operator. In a typical Script Operator, you usually go through all particles in the Particle Container of the current Event and perform some operations on each one of them.</p>\n\
<p>The Proceed handler typically looks like the following:</p>\n\
<blockquote>\n\
<p>   <strong>GOOD CODE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on Proceed pCont do\n\
   (\n\
   count = pCont.NumParticles()\n\
   for i in 1 to count do\n\
   (\n\
   pCont.particleIndex = i\n\
   pCont.particleVector = pCont.ParticlePosition\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<p>Note that the &apos;count&apos; variable containing the number of particles to be processed is evaluated only once and then used as the top limit of the i loop.</p>\n\
<p>Writing the same as the following:</p>\n\
<blockquote>\n\
<p>   <strong>BAD CODE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on Proceed pCont do\n\
   (\n\
   for i in 1 to pCont.NumParticles() do\n\
   (\n\
   pCont.particleIndex = i\n\
   pCont.particleVector = pCont.ParticlePosition\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<p>This will be <strong>a bad idea</strong> because in the case of 1 million particles, the expression <code>pCont.NumParticles()</code> will be evaluated 1 million times instead of just once.</p>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\"Never-get-a-single-pixel-when.html\">Never get a single pixel when you can get a whole line</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\"Cache-frequently-used-functions.html\">Cache freqeuntly used functions and objects</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Make-It-Faster-.html\">How To Make It Faster?</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";