var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-046BA8F9-DE6C-475F-8641-7F9A5952FF0B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Recursive functions can be faster</h1></div><p>A recursive function is a function that calls itself to perform repetitive tasks.</p>\n\
<p>The following scripted function returns a list of the animated subAnims of the object passed as the parameter. The script works well and is not too slow.</p>\n\
<blockquote>\n\
<p>   <strong>NON-RECURSIVE VERSION</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn getAllAnimatedProperties theObject =\n\
   (\n\
     scan_properties = #(theObject)\n\
     animated_props = #()\n\
     cnt = 0\n\
     while cnt &lt; scan_properties.count do\n\
     (\n\
       cnt +=1\n\
       currentObj = scan_properties[cnt]\n\
       if try (currentObj.isAnimated) catch (false) do\n\
         append animated_props currentObj\n\
       for i = 1 to currentObj.numSubs do\n\
         append scan_properties currentObj[i]\n\
     )\n\
     animated_props\n\
   )\n\
   s=sphere isSelected:true\n\
   getAllAnimatedProperties $\n\
</code></pre></blockquote>\n\
<p>Now, take a look at this code:</p>\n\
<blockquote>\n\
<p>   <strong>RECURSIVE VERSION</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   animated_props = #()\n\
   fn getAnimatedProps theObject =\n\
   (\n\
     if try (theObject.isAnimated) catch (false) do\n\
       append animated_props theObject\n\
     for i = 1 to theObject.numSubs do\n\
       getAnimatedProps theObject[i]\n\
   )\n\
   getAnimatedProps $\n\
</code></pre></blockquote>\n\
<p>The recursive code does the same job, but is much shorter and almost 25% faster. To get some usable measurement, both scripts were executed 100,000 times. The first took 13.875 seconds, and the recursive version took only 10.656 seconds.</p>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\"Pre-initialize-arrays-when-final.html\">Pre-initialize arrays when final size is known</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\"matchPattern-is-faster-than.html\">matchPattern is faster than findString</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Make-It-Faster-.html\">How To Make It Faster?</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";