var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5E5E1A71-24E2-4605-9720-2178B941DECC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Create a MonoChrome RenderEffect</h1></div><p>MAXScript lets you create scripted plug-ins which function similar to plug-ins written in MSVC++ using the Max SDK. One of the scriptable plug-in classes is the RenderEffect class. We will write a very simple plug-in which will simply remove the color from the rendering.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a> and <a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\">RenderEffects</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Getting and Setting Pixel values</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/RenderEffect-Progress-Callback.html\">RenderEffect Progress Callback Mechanism</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Create a scripted RenderEffect to change the rendered image after rendering.</p>\n\
<p>   Go through all lines in the image and through all pixels in each line</p>\n\
<p>   Replace the color information in each pixel with the monochrome value, keep alpha</p>\n\
<p>   Update the renderer progress bar based on the current line and total number of lines</p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-30243C03-E118-4E03-B096-D44DAFDF1CB4-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-6E2356E0-8F2A-4443-B734-B215D2C8BB3E-low.gif\" alt> <img src=\"./images/GUID-87EBDA27-CC7D-4706-B34C-7FF237D0D036-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin RenderEffect MonoChrome\n\
   name:&quot;MonoChrome&quot;\n\
   classID:#(0x9e6e9e77, 0xbe815df4)\n\
   (\n\
   rollout about_rollout &quot;About...&quot;\n\
   (\n\
     label about_label &quot;MonoChrome Filter&quot;\n\
   )\n\
   on apply r_image progressCB: do\n\
   (\n\
     progressCB.setTitle &quot;MonoChrome Effect&quot;\n\
     local oldEscapeEnable = escapeEnable\n\
     escapeEnable = false\n\
     bmp_w = r_image.width\n\
     bmp_h = r_image.height\n\
     for y = 0 to bmp_h-1 do\n\
     (\n\
       if progressCB.progress y (bmp_h-1) then exit\n\
       pixel_line = getPixels r_image [0,y] bmp_w\n\
       for x = 1 to bmp_w do\n\
       (\n\
         p_v = pixel_line[x].value\n\
         pixel_line[x] = color p_v p_v p_v pixel_line[x].alpha\n\
       )--end x loop\n\
       setPixels r_image [0,y] pixel_line\n\
     )--end y loop\n\
     escapeEnable = oldEscapeEnable\n\
   )--end on apply\n\
   )--end plugin\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step-\">Step-By-Step:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin RenderEffect MonoChrome\n\
name:&quot;MonoChrome&quot;\n\
classID:#(0x9e6e9e77, 0xbe815df4)\n\
(</code></pre><p>A scripted plug-in starts with the constructor <code>plugin</code> followed by the superclass of the scripted plug-in ( <code>renderEffect</code> ) and the class name of the plug-in ( <code>MonoChrome</code> ). In addition, we have to provide the <code>name</code> which will appear in the effects list, and a unique <code>classID</code> .</p>\n\
<p>The <code>classID</code> is used by <strong>3ds Max</strong> to recognize the plug-in class when loading the scene. To generate a new unique ID, you can use the <code>GenclassID()</code> method in the Listener and copy the result into the script.</p>\n\
<p>To keep all versions of this plug-in compatible around the world, it is recommended to copy the above classID though.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\">Scripted RenderEffect Plug-ins</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">classID</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rollout about_rollout &quot;About...&quot;\n\
(\n\
label about_label &quot;MonoChrome Filter&quot;\n\
)</code></pre><p>The plug-in will have no controls. We will create a very simple rollout containing a single line of text just to show the user he has loaded something.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\">Rollout Clauses</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Label-UI-Control.html\">Label</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on apply r_image progressCB: do\n\
(</code></pre><p>A renderEffect plug-in has a main handler which will be executed each time the effect is applied to the image. The image buffer of the renderer will be passed as the only parameter to the handler - we use a user variable named <code>r_image</code> which will contain the image we will work on. Also, we define a progress callback object in order to update the main renderer progress bar while processing the image.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\">Scripted RenderEffect Plug-ins</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/RenderEffect-Progress-Callback.html\">RenderEffect Progress Callback Mechanism</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">progressCB.setTitle &quot;MonoChrome Effect&quot;</code></pre><p>Using the <code>setTitle</code> method in the <code>progressCB</code> object, we define the name to be displayed in the Rendering Effect progress window resp. the Renderer Progress window during processing. In the former case, the line will read &quot;Currently Updating: MonoChrome Effect&quot;. In the latter case, the line will read &quot;Current Task: MonoChrome Effect&quot;.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/RenderEffect-Progress-Callback.html\">RenderEffect Progress Callback Mechanism</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local oldEscapeEnable = escapeEnable\n\
escapeEnable = false</code></pre><p>In order to be able to capture and process the pressing of the Escape key during the main loop of the effect without actually breaking the script execution, we will have to disable the MAXScript Escape key handling. For this purpose we will store the current state of the Escape handling ( <code>true</code> or <code>false</code> ) in a temporary user variable and then assign <code>false</code> to the <a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\">MAXScript System Global variable controlling the Escape handling</a>. Later on, after the main loop, we will set it back to its original state stored in the <code>oldEscapeEnable</code> user variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bmp_w = r_image.width</code></pre><p>We will need the <code>width</code> of the rendered image. We store the <code>.width</code> property of the image in the user variable <code>bmp_w</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bmp_h = r_image.height</code></pre><p>We will also need the <code>height</code> of the rendered image. We store the <code>.height</code> property of the image in the user variable <code>bmp_h</code> .</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">bitmap.height</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for y = 0 to bmp_h-1 do\n\
(</code></pre><p>We will loop through all lines in the image. Image pixel access requires 0-based indexing, this means the upper left pixel of a 640x480 image has coordinates [0,0] and the bottom right pixel has coordinates [639,479]. The variable <code>y</code> will be assigned the values from 0 to the height of the image minus 1 each time the for loop repeats itself.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if progressCB.progress y (bmp_h-1) then exit</code></pre><p>This line does two things:</p>\n\
<p>Since the <code>.progress</code> method of the progress callback object returns <code>true</code> when the user has pressed Escape and <code>false</code> otherwise, we check the return value and exit the loop when <code>true</code> is returned. This will bring us to the line after the end of the <code>y</code> loop.</p>\n\
<p>The same method also accepts two arguments &#x2013; the current value and the max. value needed to calculate the progress percentage. In our case, we supply the current line and the total number of lines. For example, if we are on line 300 and the bitmap has 600 lines, the progress bar will show 50% done...</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/RenderEffect-Progress-Callback.html\">RenderEffect Progress Callback Mechanism</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/Loop-Exit.html\">Loop Exit</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pixel_line = getPixels r_image [0,y] bmp_w</code></pre><p>The <code>getpixels</code> function reads pixels from the specified file starting at the position supplied by the Point2 value and reads the number of pixels specified by the last value. The result will be assigned as array to the user variable <code>pixel_line</code> . We start reading at the first pixel to the left and read all <code>bmp_w</code> pixels - a whole scanline contains as many pixels as the width of the image.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">getPixels</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for x = 1 to bmp_w do\n\
(</code></pre><p>Now we can loop through all values in the array of pixel values. Because arrays in MAXScript are 1-Based, we count from 1 to the width of the image.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p_v = pixel_line[x].value\n\
pixel_line[x] = color p_v p_v p_v pixel_line[x].alpha</code></pre><p>This is the actual core of the code - we get the .Value property of the color (its greyscale intensity) and generate a new color value with Red, Green and Blue values equal to the .Value of the original pixel. To keep the alpha channel untouched, we just add the original alpha value to the RGBA color. We store the result at the same position in the array and thus overwrite the color information with a grayscale version!</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Basic-Data-Values/Color-Values.html\">Color Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end x loop\n\
setPixels r_image [0,y] pixel_line</code></pre><p>After processing all pixels of a scanline, the <code>setpixels</code> function writes the array <code>pixel_line</code> containing the new grayscale values back into the image starting at the same position. This overwrites the colors in the current line <code>y</code> .</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">setPixels</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end y loop</code></pre><p>We are ready with the loops and the whole bitmap has been changed. The <code>on apply</code> handler will return the resulting bitmap to the system and it will be shown in the Virtual Frame Buffer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">escapeEnable = oldEscapeEnable</code></pre><p>As mentioned before, we will have to set the MAXScript Escape key handling to its original state before the render effect loop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end on apply\n\
)--end plugin</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>After evaluating the script, a new plug-in effect called &quot;MonoChrome&quot; will appear on the Renderer &gt; Effects... &gt; Add... list. Add it to the effects queue and render the scene. The result will be a monochrome version of the rendering. Note that scripted renderEffects are relatively slow compared to &quot;real&quot; plug-ins written with the SDK, but are very flexible and fast to prototype.</p>\n\
<p>In the Virtual Frame Buffer, you can take a look at the Alpha and Monochrome version of the image - the Alpha should be unchanged, and the Monochrome version should be identical to the RGB image generated by the renderEffect.</p>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>A relatively easy change to this basic script would be the change of only every Nth line of the bitmap. By just adding a <code>by 2</code> option to the for y loop you will affect only every second line!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for y = 0 to bmp_h-1 by 2 do</code></pre><p>Adding <code>by 2</code> to the x loop too will affect only a grid of pixels! You could play with values higher than 2, or even add UI controls for user-defined line and pixel steps.</p>\n\
<p>A more complex change to the script would be the tinting of the monochrome image by using different proportions of the monochrome value in the R, G and B channels. To do this, you could add a rollout and a paramBlock defining 3 Float values and let the user specify how much of each channel to be used. Then multiply the p_v value by the 3 values while assigning them to the R, G and B values of the image.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";