var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-333382D0-57AF-4797-98F2-C2BE09442607\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Create a Quick Preview</h1></div><p>The following macroScript will implement a highly simplified version of the Preview Animation feature of <strong>3ds Max</strong>. We will access the content of the viewport directly and build an AVI file which will be then automatically loaded in the RAM player.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining MacroScripts</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Accessing Active Viewport Info, Type, and Transforms</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\"#dib--device-independent-bitmap--methods\">Device_Independent_Bitmap_access</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/RAMPlayer/ramplayer.html\">RAMPlayer</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package the code as macroScript to be able to use as a button, menu item or shortcut.</p>\n\
<p>   Define an AVI output path name in the Previews system directory.</p>\n\
<p>   Get the size of the current viewport.</p>\n\
<p>   Create a bitmap with the size of the viewport and set the file name to the output path .</p>\n\
<p>   Loop through all animation frames in the current segment.</p>\n\
<p>   Set the slider to the time from the loop.</p>\n\
<p>   Capture the viewport Device Independent Bitmap.</p>\n\
<p>   Copy the DIB to the pre-defined bitmap.</p>\n\
<p>   Save the current frame to disk.</p>\n\
<p>   When ready with all frames, close the bitmap.</p>\n\
<p>   Force garbage collection manually to clear any used memory.</p>\n\
<p>   Load the ready animation in the RAM player.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript QuickPreview category: &quot;HowTo&quot;\n\
   (\n\
    preview_name = (getDir #preview)+&quot;/quickpreview.avi&quot;\n\
    view_size = getViewSize()\n\
    anim_bmp = bitmap view_size.x view_size.y filename:preview_name\n\
    for t = animationrange.start to animationrange.end do\n\
    (\n\
     sliderTime = t\n\
     dib = gw.getViewportDib()\n\
     copy dib anim_bmp\n\
     save anim_bmp\n\
    )\n\
    close anim_bmp\n\
    gc()\n\
    ramplayer preview_name &quot;&quot;\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript QuickPreview category:&quot;HowTo&quot;\n\
(</code></pre><p>The macroScript will be called <code>QuickPreview</code> . To use the script, you can go to Customize... and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preview_name = (getDir #preview)+&quot;/quickpreview.avi&quot;</code></pre><p>Now we define the output path for the preview AVI file. Using the <code>getDir</code> function we access the current preview path specified in <strong>3ds Max</strong>&#x2019; Customize&gt;Configure Paths. We add the file name to the path separated with a slash. (we could also use double-backslash &quot;\\&quot; as directory delimiter). The resulting path will be stored in a user variable called preview_name.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\">3ds MaxSystem Directories</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">view_size = getViewSize()</code></pre><p>Next we check the size of the currently active viewport. The result of the <code>getViewSize</code> function is a Point2 value containing the width and height of the viewport in pixels. We will store this value in another user variable called <code>view_size</code> .</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Accessing Active Viewport Info, Type, and Transforms</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">anim_bmp = bitmap view_size.x view_size.y filename:preview_name</code></pre><p>Using these two user variables, we can define a bitmap to store the preview. We supply the x and y component of the viewport size as the width and height parameters of the bitmap constructor, and set the filename to the already defined preview path.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for t = animationrange.start to animationrange.end do\n\
(</code></pre><p>A for loop will iterate through all frames in the current animation segment. The variable t will contain the frame number of each frame, starting with the start value of the animation range interval and ending with the end value.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">animationRange_System_Global</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sliderTime = t</code></pre><p>Using the t variable, we move the time slider from frame to frame.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds MaxSystem Globals</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dib = gw.getViewportDib()</code></pre><p>On each frame, we capture the viewport bitmap (Device Independent Bitmap, DIB) in a temporary variable.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\"#dib--device-independent-bitmap--methods\">Device_Independent_Bitmap_access</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy dib anim_bmp</code></pre><p>Then we copy the content of the dib variable (which is the bitmap showing the viewport&#x2019;s content) into the preview bitmap we created. This adds a new frame to the AVI preview animation.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">save anim_bmp</code></pre><p>Before repeating the same on the next frame, we save the current content of the bitmap to disk.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end t loop\n\
close anim_bmp</code></pre><p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gc()</code></pre><p>When all frames have been stored, we can close the animation file and manually force garbage collection to ensure the memory used while copying bitmaps around has been released.</p>\n\
<p>In <strong>3ds Max 5</strong>, you can use <code>gc light:true</code> to free up memory.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage/Manual-Garbage-Collection.html\">Manual Garbage Collection</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ramplayer preview_name &quot;&quot;</code></pre><p>Finally, we call the RAM Player and provide the path of the preview animation as first parameter, and an empty string as the second. The two parameters tell the RAM player which two files to load. The empty string is a place holder for a non-existing animation &#x2013; we want to preview just one file.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/RAMPlayer/ramplayer.html\">RAMPlayer</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Evaluate the script. To use it, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut.</p>\n\
<p>Select the viewport you want to preview (you can drag the viewport division to make it smaller for faster results) and start the script. The animation will be played once, then the RAM Player should open and load the preview animation.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";