var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8EB13535-72B4-439C-94D3-E93434BA163B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop A Transform Lock Script</h1></div><p>This simple tutorial is based on an actual real-world case &#x2013; a <strong>3ds Max</strong> user wanted to create a button to check all 9 checkboxes in the Hierarchy Panel&gt;Link Info &gt; Locks. Unfortunately, he discovered that the MacroRecorder does not output any code for this operation.</p>\n\
<p>Below are the steps required to solve this case including searching the index of this Online Help...</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macroscripts</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">General Node Properties</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Open a new Script Editor by going to MAXScript&gt;New Script in the Main menu.</p>\n\
<p>   Search the Online Help and locate a method that affects the Transformation locks.</p>\n\
<ul>\n\
<li><p>Open the Online Help</p>\n\
</li>\n\
<li><p>Go to the &quot;Search&quot; tab of the Help System</p>\n\
</li>\n\
<li><p>Enter in the search field: &quot;lock all transform&quot; and press Enter</p>\n\
</li>\n\
<li><p>The first result (Rank 1) returned is &quot;Node Common Properties, Operators and Methods&quot;.</p>\n\
</li>\n\
<li><p>Note that all occurrences of the search words will be highlighted in the help page.</p>\n\
</li>\n\
<li><p>Scroll down until you see the &quot;setTransformLockFlags&quot;.</p>\n\
</li>\n\
<li><p>Copy the line and paste it into a new script editor.</p>\n\
</li>\n\
<li><p>Keep the Help file open for further reference.</p>\n\
</li>\n\
</ul>\n\
<p>   Create a macroScript to be able to use the script as a button, menu item or shortcut.</p>\n\
<p>   Call the method for the current scene selection.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript LockAllTransforms category: &quot;HowTo&quot;\n\
   (\n\
   setTransformLockFlags selection #all\n\
   ) \n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step-\">Step-By-Step:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript LockAllTransforms category:&quot;HowTo&quot; (</code></pre><p>The macroScript will be called <code>LockAllTransforms</code>. To use the script, you can go toMain Menu &gt; Customize &gt; Customize User Interface..., locate the category &quot;HowTo&quot;and drag the script to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setTransformLockFlags selection #all</code></pre><p>The Help definition of this method lists it as --mapped. This means that it can be applied directly to a collection of objects without an additional MAXScript <a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">for</a> loop. In our case we will use the current scene selection &#x2013; the method will be called for each object in the selection.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">General Node Properties</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Evaluate the script. To use it, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut. Select some objects and launch the script &#x2013; all checkboxes under Hierarchy Panel&gt;Link Info &gt; Locks will be checked.</p>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>As already mentioned, by just replacing the <strong>#all</strong> keyword with <strong>#none</strong>, the script can be altered to uncheck all boxes instead. Feel free to write a second macroScript (probably called UnlockAllTransforms) for this operation...</p>\n\
<p>Also note that in <strong>3ds Max 4</strong>, the <code>setTransformLockFlags</code> method wasn&#x2019;t mappable. In case you want your script to be backwards compatible with that version, you could use a for loop to change each object separately. The code would look like</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i in selection do setTransformLockFlags i #all</code></pre><h2 id=\"update\">Update</h2><p>Some users who did this tutorial in <strong>3ds Max 5</strong> actually went even further and tried to use the general BitArray access to the Lock Flags. Here are some details about the usage of <a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\">BitArrays</a> in this case.</p>\n\
<p>The <code>setTransformLockFlags</code> method description under <a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">General Node Properties</a> explains that there are 9 bits in the BitArray corresponding to the position, rotation and scale locks.</p>\n\
<p>A BitArray is a list of binary values (bits) which can be either True or False. A BitArray is defined by # followed by curly braces {} containing the indices of the True bits separated by commas. For example, #{1,4,7} will set only the X-axis locks of all 3 categories to True.</p>\n\
<p>When multiple bits are set to True, they can be written as the first and last index separated by .., for example #{1..9} defines a BitArray of 9 elements all of which are set to True. It would be equivalent to the <code>#all</code> flag when using with the <code>setTransformLockFlags</code> method. #{} would be equivalent to the <code>#none</code> flag. #{1..3} would only check the first 3 Locks while turning the other 6 off and so on.</p>\n\
<p>Feel free to experiment with the BitArray values and define further macroScripts to set only the Position, the Rotation or the Scale locks.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";