var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DB82F222-B77F-4F85-865F-A4D54B53107D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Call a MAXScript Function Periodically using DotNet</h1></div><p>The following tutorials demonstrate the use of the System.Windows.Forms.Timer dotNetObject as alternative to the MAXScript Timer UI Control. Other than the latter, the DotNet object version does not require a MAXScript User Interface to be created and opened to run a MAXScript function at given time intervals.</p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet In MAXScript</a></p>\n\
<p><a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/dotnetobject.html\">dotNetObject</a></p>\n\
<p><a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/Selected-DotNet-Classes-and/dotNetObject-System-Windows.html\">dotNetObject:System.Windows.Forms.Timer</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Create a DotNet Timer Object.</p>\n\
<p>   Define a MAXScript function to be called periodically by the timer.</p>\n\
<p>   Register an Event Handler to call the function</p>\n\
<p>   Start the Timer.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theTimer = dotNetObject &quot;System.Windows.Forms.Timer&quot;\n\
   fn printTime = (print localTime)\n\
   dotnet.addEventHandler theTimer &quot;tick&quot; printTime\n\
   theTimer.interval = 1000\n\
   theTimer.start()\n\
   --theTimer.stop()\n\
</code></pre><p>   <strong>SAMPLE LISTENER OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   dotNetObject:System.Windows.Forms.Timer \n\
   printTime() \n\
   OK \n\
   1000 \n\
   undefined \n\
   &quot;10/20/2007 1:11:28 PM&quot; \n\
   &quot;10/20/2007 1:11:29 PM&quot; \n\
   &quot;10/20/2007 1:11:30 PM&quot; \n\
   &quot;10/20/2007 1:11:31 PM&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theTimer = dotNetObject &quot;System.Windows.Forms.Timer&quot;</code></pre><p>Create a Timer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn printTime = (print localTime)</code></pre><p>Define a MAXScript function to be called by the Timer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotnet.addEventHandler theTimer &quot;tick&quot; printTime</code></pre><p>Add ON TICK event handler to call the function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theTimer.interval = 1000</code></pre><p>Set the tick interval to 1 second (1000 milliseconds).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theTimer.start()</code></pre><p>Start the Timer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--theTimer.stop()</code></pre><p>Remove the remark and call this method to stop the Timer.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-Tools-Using.html\">How To ... Develop Tools Using DotNet</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";