var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5A63220F-1C0E-4916-B9F5-905BE92C4673\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Print Using DotNet</h1></div><p>The following tutorials shows the basics of displaying and printing a text file using DotNet.</p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet In MAXScript</a></p>\n\
<p><a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/dotnetobject.html\">dotNetObject</a></p>\n\
<p><a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly.html\">MaxCustomControls Assembly</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Define a MaxForm using the MaxCustomControls assembly containing a text box and two buttons.</p>\n\
<p>   Implement a function to print a text file to be called by the Print button&apos;s event handler.</p>\n\
<p>   Implement a function to open a text file when the event handler of the Open File button is called.</p>\n\
<p>   Register the event handlers.</p>\n\
<p>   Ensure the event handlers will not be garbage collected.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Example code provided by Artur Le&#xE3;o\n\
   (\n\
   dotNet.loadAssembly &quot;MaxCustomControls.dll&quot;\n\
   local filetoprint = &quot;&quot;\n\
   local printFont = dotnetobject &quot;System.Drawing.Font&quot; &quot;Arial&quot; 10\n\
   local streamReader\n\
\n\
   hForm = dotNetObject &quot;MaxCustomControls.MaxForm&quot;\n\
   hForm.Size = dotNetObject &quot;System.Drawing.Size&quot; 640 480\n\
   hForm.FormBorderStyle = (dotnetclass &quot;System.Windows.Forms.FormBorderStyle&quot;).FixedToolWindow\n\
   hForm.Text = &quot;Printing with dotNet&quot;\n\
   hForm.ShowInTaskbar = False\n\
\n\
   txtTextBox = dotNetObject &quot;System.Windows.Forms.TextBox&quot;\n\
   txtTextBox.MultiLine = True\n\
   txtTextBox.WordWrap = False\n\
   txtTextBox.Size = dotNetObject &quot;System.Drawing.Size&quot; 500 430\n\
   txtTextBox.Location = dotNetObject &quot;System.Drawing.Point&quot; 10 10\n\
   txtTextBox.ScrollBars = txtTextBox.ScrollBars.Both\n\
\n\
   btnOpenFile = dotNetObject &quot;System.Windows.Forms.Button&quot;\n\
   btnOpenFile.Location = dotNetObject &quot;System.Drawing.Point&quot; 520 10\n\
   btnOpenFile.Text = &quot;Open File&quot;\n\
\n\
   btnPrint = dotNetObject &quot;System.Windows.Forms.Button&quot;\n\
   btnPrint.Location = dotNetObject &quot;System.Drawing.Point&quot; 520 40\n\
   btnPrint.Text = &quot;Print&quot;\n\
\n\
   frmOpenFileDialog = dotNetObject &quot;System.Windows.Forms.OpenFileDialog&quot;\n\
   frmOpenFileDialog.Filter = &quot;txt files (*.txt)|*.txt|Script Files (*.ms)|*.ms|ini files (*.ini)|*.ini|XML files (*.xml)|*.xml|All files (*.*)|*.*&quot;\n\
\n\
   fn btnOpenFile_Click = (\n\
     dlgResult = dotNetClass &quot;System.Windows.Forms.DialogResult&quot;\n\
     if frmOpenFileDialog.ShowDialog() == dlgResult.OK do (\n\
       IOFile = dotNetClass &quot;System.IO.File&quot;\n\
       txtTextBox.Text = IOFile.ReadAllText frmOpenFileDialog.Filename\n\
       filetoprint = frmOpenFileDialog.Filename\n\
     )--end if\n\
   )--end fn\n\
\n\
   fn pd_PrintPage sender ev = (\n\
     count = 0\n\
     linesperpage = ev.MarginBounds.Height / printFont.GetHeight(ev.Graphics)\n\
     yPos = 0\n\
     leftMargin = ev.MarginBounds.Left\n\
     topMargin = ev.MarginBounds.Top\n\
     currentline = &quot;&quot;\n\
     brush = dotnetobject &quot;System.Drawing.Solidbrush&quot; (dotnetclass &quot;System.Drawing.Color&quot;).black\n\
     stringformat = dotnetobject &quot;System.Drawing.StringFormat&quot;\n\
     while count &lt; linesperpage do(\n\
       currentline = streamReader.ReadLine()\n\
       if currentline == undefined do exit\n\
       yPos = topMargin + count * printFont.GetHeight(ev.Graphics)\n\
       ev.Graphics.DrawString currentline printFont brush leftMargin yPos stringformat\n\
       count += 1\n\
     )--end while loop\n\
     if currentline != undefined then\n\
       ev.HasMorePages = true\n\
     else\n\
       ev.HasMorePages = false\n\
   )--end fn\n\
\n\
   fn btnPrint_Click = (\n\
     if filetoprint != &quot;&quot; then (\n\
       try (\n\
         streamReader = dotnetobject &quot;System.IO.Streamreader&quot; filetoprint\n\
         pd = dotnetobject &quot;System.Drawing.Printing.PrintDocument&quot;\n\
         dotnet.addeventhandler pd &quot;PrintPage&quot; pd_PrintPage\n\
         pd.Print()\n\
         streamReader.Close()\n\
       )catch print (getCurrentException())\n\
     )--end if\n\
   )--end fn\n\
\n\
   dotNet.AddEventHandler btnOpenFile &quot;Click&quot; btnOpenFile_Click\n\
   dotNet.AddEventHandler btnPrint &quot;Click&quot; btnPrint_Click\n\
\n\
   hForm.Controls.Add(txtTextBox)\n\
   hForm.Controls.Add(btnOpenFile)\n\
   hForm.Controls.Add(btnPrint)\n\
\n\
   dotnet.setLifetimeControl btnOpenFile #dotnet\n\
   dotnet.setLifetimeControl btnPrint #dotnet\n\
\n\
   hForm.ShowModeless()\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">(\n\
dotNet.loadAssembly &quot;MaxCustomControls.dll&quot;</code></pre><p>We load a custom assembly containing <strong>3ds Max</strong> specific controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local filetoprint = &quot;&quot;</code></pre><p>This variable will store the name of the file to print.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local printFont = dotnetobject &quot;System.Drawing.Font&quot; &quot;Arial&quot; 10</code></pre><p>We create an object instance of the System.Drawing.Font class with font name Arial and size of 10 and store the object in the user variable for later use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local streamReader</code></pre><p>This user variable will hold the stream reader.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hForm = dotNetObject &quot;MaxCustomControls.MaxForm&quot;</code></pre><p>Let&apos;s create our main form.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hForm.Size = dotNetObject &quot;System.Drawing.Size&quot; 640 480</code></pre><p>We set the size of the form to 640 x 480 using the System.Drawing.Size object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hForm.FormBorderStyle = (dotnetclass &quot;System.Windows.Forms.FormBorderStyle&quot;).FixedToolWindow</code></pre><p>We also set the border style of the form to the predefined value FixedToolWindow which is exposed by the System.Windows.Forms.FormBorderStyle class.</p>\n\
<p>Alternatively, we could use the fact that the left-hand-side hForm.FormBorderStyle value is the same class we are assigning from at the right-hand-size, so we could say</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hForm.FormBorderStyle = hForm.FormBorderStyle.FixedToolWindow\n\
hForm.Text = &quot;Printing with dotNet&quot;</code></pre><p>We set the title of the form to the string...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hForm.ShowInTaskbar = False</code></pre><p>...and we make sure the new form does not appear in the Windows Taskbar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txtTextBox = dotNetObject &quot;System.Windows.Forms.TextBox&quot;</code></pre><p>Now we need a textbox to display the content of the file to print.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txtTextBox.MultiLine = True\n\
txtTextBox.WordWrap = False</code></pre><p>The textbox will allow multiple lines of text and no word wrapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txtTextBox.Size = dotNetObject &quot;System.Drawing.Size&quot; 500 430\n\
txtTextBox.Location = dotNetObject &quot;System.Drawing.Point&quot; 10 10</code></pre><p>The textbox will have a size of 500x430 pixels and its upper left corner will be placed at coordinates 10,10 relatively to the upper left corner of the form.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txtTextBox.ScrollBars = txtTextBox.ScrollBars.Both</code></pre><p>We will allow both horizontal and vertical scrollbars.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">btnOpenFile = dotNetObject &quot;System.Windows.Forms.Button&quot;\n\
btnOpenFile.Location = dotNetObject &quot;System.Drawing.Point&quot; 520 10\n\
btnOpenFile.Text = &quot;Open File&quot;</code></pre><p>We will need a button to open a file to print.</p>\n\
<p>We create a new button object and set its position to coordinates 520,10 inside the form. Its caption will read &quot;Open File&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">btnPrint = dotNetObject &quot;System.Windows.Forms.Button&quot;\n\
btnPrint.Location = dotNetObject &quot;System.Drawing.Point&quot; 520 40\n\
btnPrint.Text = &quot;Print&quot;</code></pre><p>We will need another button to start printing.</p>\n\
<p>We create a new button object and set its position to coordinates 520,40 inside the form. Its caption will read &quot;Print&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">frmOpenFileDialog = dotNetObject &quot;System.Windows.Forms.OpenFileDialog&quot;\n\
frmOpenFileDialog.Filter = &quot;txt files (*.txt)|*.txt|Script Files (*.ms)|*.ms|ini files (*.ini)|*.ini|XML files (*.xml)|*.xml|All files (*.*)|*.*&quot;</code></pre><p>In order to select a file for printing, we will need an OpenFileDialog object set to filter the typical file types.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn btnOpenFile_Click = (</code></pre><p>We will need an even handler function to be called when the Open File button is pressed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dlgResult = dotNetClass &quot;System.Windows.Forms.DialogResult&quot;</code></pre><p>We will be using the OpenFileDialog we pre-defined earlier, so we need a user variable containing the class DialogResult to compare the result of the dialog with the predefined results.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if frmOpenFileDialog.ShowDialog() == dlgResult.OK do (</code></pre><p>We call the ShowDialog() method of the OpenFileDialog object which displays the dialog and lets the user pick a file. Once it returns, we compare the return value of the dialog with the OK value of the DialogResult class to see if the operation finished successfully (as opposed to being canceled by the user).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IOFile = dotNetClass &quot;System.IO.File&quot;\n\
txtTextBox.Text = IOFile.ReadAllText frmOpenFileDialog.Filename</code></pre><p>If a valid file was picked, we will use the System.IO.File class to read the file and assign its content to the textbox in the form. We simply call the method ReadAllText in the System.IO.File class and pass the filename returned by the OpenFileDialog as argument. The result from this method gets assigned to the text of the textBox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filetoprint = frmOpenFileDialog.Filename</code></pre><p>At this point, we can store the selected filename in the local variable filetoprint so we can use it when printing the file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end if\n\
)--end fn\n\
\n\
fn pd_PrintPage sender ev = (</code></pre><p>Before we define an even handler function for the Print button, will will need a function to perform the whole printing operation. It gets two arguments - the sender and the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local count = 0</code></pre><p>We will need a count variable to increment the line count as we process the text.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">linesperpage = ev.MarginBounds.Height / printFont.GetHeight(ev.Graphics) </code></pre><p>To calculate the number of lines per page, we have to divide the height of the printed document page between the margins by the height of the printing font.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">yPos = 0</code></pre><p>This variable will be used to calculate and store the vertical position to print at.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">leftMargin = ev.MarginBounds.Left\n\
topMargin = ev.MarginBounds.Top</code></pre><p>We grab the left and top margins into user variables, too.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">currentline = &quot;&quot;</code></pre><p>This variable will hold the current line.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">brush = dotnetobject &quot;System.Drawing.Solidbrush&quot; (dotnetclass &quot;System.Drawing.Color&quot;).black</code></pre><p>We create a solid brush object with black color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">stringformat = dotnetobject &quot;System.Drawing.StringFormat&quot;</code></pre><p>This variable will contain an object required by the DrawString method later on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">while count &lt; linesperpage do (</code></pre><p>While the counter is less than the number of lines per page, we repeat the following</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">currentline = streamReader.ReadLine()</code></pre><p>We read a line from the streamreader - the variable was initialized in the beginning and will be assigned in the event handler of the Print button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if currentline == undefined do exit</code></pre><p>If the currentline variable contains undefined (which means we read past the end of the file), we exit the loop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">yPos = topMargin + count * printFont.GetHeight(ev.Graphics)</code></pre><p>We now calculate the vertical position to print at by adding the height of the font multiplier by the current line counter to the top margin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ev.Graphics.DrawString currentline printFont brush leftMargin yPos stringformat</code></pre><p>Finally, we can draw the string of the current line using the current font and brush at horizontal position equal to the left margin, vertical position according to the yPos value calculated in the previous step and format based on the string format object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">count += 1</code></pre><p>We increment the counter by one and the loop repeats unless we have reached the end of the page or the end of the file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end while loop</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if currentline != undefined then ev.HasMorePages = true else ev.HasMorePages = false </code></pre><p>We check to see why the loop exited - if the current line is not undefined, then there are more pages to print and we set the corresponding property of the PrintDocument object to notify it whether it should keep on printing or not.</p>\n\
<p>Note that the same can be written shorter as</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ev.HasMorePages = currentline != undefined\n\
)--end fn\n\
\n\
fn btnPrint_Click = (</code></pre><p>Now we can define the event handler of the Print button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if filetoprint != &quot;&quot; do (\n\
try (</code></pre><p>If the file name selected to print is not an empty string, we try to perform the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">streamReader = dotnetobject &quot;System.IO.Streamreader&quot; filetoprint</code></pre><p>We set the streamReader variable initialized in the beginning of the script to a dotNetObject instance of the class System.IO.Streamreader. It is similar to the fileStream values of MAXScript and provides file IO access to files on disk.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pd = dotnetobject &quot;System.Drawing.Printing.PrintDocument&quot;</code></pre><p>We also create a PrintDocument object which will handle the actual printing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotnet.addeventhandler pd &quot;PrintPage&quot; pd_PrintPage</code></pre><p>We add an event handler to the PrintDocument object which will call the MAXScript function we defined previously.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pd.Print()</code></pre><p>Now we can call the Print() method in the PrintDocument object to start printing. This will call out print event handler function once for each page until the hasMorePages property of the PrintDocument is set to false at which point it will return here.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">streamReader.Close()</code></pre><p>Once we are back, we close the stream.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) catch print (getCurrentException())</code></pre><p>If there was any problem within the printing code, we catch the error and print the last exception.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end if\n\
)--end fn\n\
\n\
dotNet.AddEventHandler btnOpenFile &quot;Click&quot; btnOpenFile_Click\n\
dotNet.AddEventHandler btnPrint &quot;Click&quot; btnPrint_Click</code></pre><p>Now we can add the two event handler functions we defined previously to the two buttons.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hForm.Controls.Add(txtTextBox)\n\
hForm.Controls.Add(btnOpenFile)\n\
hForm.Controls.Add(btnPrint)</code></pre><p>We can also add the textbox and the two buttons to the form.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotnet.setLifetimeControl btnOpenFile #dotnet\n\
dotnet.setLifetimeControl btnPrint #dotnet</code></pre><p>Since we are adding scripted event handlers to the DotNet controls and placing those controls in a form whose lifetime is longer than the MAXScript values wrapping the controls, we set the lifetime control of the buttons to be controlled by DotNet</p>\n\
<p>You might ask:</p>\n\
<p>Is there any reason this isn&#x2019;t the default behavior when creating event handlers?</p>\n\
<p>Yes, the above approach is only applicable to DotNet objects that are placed in other DotNet objects.</p>\n\
<p>An example of when you have an event handler and you do not want the object&#x2019;s lifetime control to change is a timer object. You want the timer object to be deleted when the MAXScript value wrapping the object is deleted. If you set the timer object&#x2019;s lifetime control to #dotnet, then at some random point in the future the timer object will be deleted by the DotNet garbage collector since no DotNet object holds a reference to the timer object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hForm.ShowModeless()</code></pre><p>Finally, we show the form.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end script</code></pre><h2 id=\"result\">Result</h2><p><img src=\"./images/GUID-8722123C-7F7E-432F-87C0-90CD03D49D48-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-Tools-Using.html\">How To ... Develop Tools Using DotNet</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";