var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-89495341-DEA2-41D9-BFBB-543006E64CA2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Bitmap Painting Tool - Strokes Support</h1></div><p>In this step of the Bitmap Painting tool development, we will add some better stroke drawing code to avoid the dotted appearance.</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   We will extend the existing MacroScript by adding a new function.</p>\n\
<p>   The new function will be passed the old and the new position of the mouse and a line will be drawn between the two points to define a continuous stroke.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript MicroPaint category: &quot;HowTo&quot;\n\
   (\n\
   global MicroPaint_CanvasRollout\n\
   try (destroyDialog MicroPaint_CanvasRollout) catch()\n\
   local isDrawing = false\n\
   local bitmapX = bitmapY = 512\n\
   local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
   local currentPos = lastPos = [0,0]\n\
\n\
   rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
   (\n\
     bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
     fn paintBrush pos = ( setPixels theCanvasBitmap pos #(color 0 0 0) )\n\
     fn drawStroke lastPos pos =\n\
     (\n\
       currentPos = lastPos\n\
       deltaX = pos.x - lastPos.x\n\
       deltaY = pos.y - lastPos.y\n\
       maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
       deltaStepX = deltaX / maxSteps\n\
       deltaStepY = deltaY / maxSteps\n\
       for i = 0 to maxSteps do\n\
       (\n\
         paintBrush currentPos\n\
         currentPos += [deltaStepX, deltaStepY]\n\
       ) \n\
       theCanvas.bitmap = theCanvasBitmap\n\
     )\n\
     on MicroPaint_CanvasRollout lbuttondown pos do\n\
     (\n\
       lastPos = pos\n\
       isDrawing = true\n\
       drawStroke lastPos pos\n\
     )\n\
     on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
     on MicroPaint_CanvasRollout mousemove pos do\n\
     (\n\
       if isDrawing do drawStroke lastPos pos\n\
       lastPos = pos\n\
     )\n\
   )\n\
   createDialog MicroPaint_CanvasRollout bitmapX bitmapY\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Code in italic has no changes since the previous version. macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog CanvasRollout)catch()\n\
local isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white local currentPos = lastPos = [0,0]</code></pre><p>The first change we will have to do is to define the current and the last known position variables that will be used to keep track of the current stroke. We initialize both to [0,0].</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rolloutMicroPaint_CanvasRollout &quot;MicroPaint&quot; ( bitmap theCanvas pos:[0,0] width:400 height:400 bitmap:theCanvasBitmap fn paintBrush pos = ( setPixels theCanvasBitmap pos #(black) )</code></pre><p>We will simplify the paintbrush function. It will only draw the point, but will not update the canvas. This is necessary because the stroke will contain a large number of brush points, but will have to be updated just once after the stroke to maintain interactivity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn drawStroke lastPos pos =\n\
(</code></pre><p>This will be the stroke drawing function called by the mouse handlers. Two arguments are passed to it - the last mouse position (beginning of the stroke) and the current mouse position (the end of the stroke).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">currentPos = lastPos</code></pre><p>The current position variable is initialized to the beginning of the stroke. It will be used to draw the line from the start to the end point of the stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y</code></pre><p>To draw a straight line from the last to the new position, we must know how far these two points are from each other along both X and Y.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxSteps = amax #(abs(deltaX),abs(deltaY))</code></pre><p>Then, we compare the absolute values along X and Y to see which one is larger. MaxSteps will be equal to either the number of pixels between the two along X or along Y.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps</code></pre><p>Now, we calculate the increment per step we will need for the X and Y axis. If maxSteps is equal to the distance along X, then deltaStepX will be +1 or -1, while deltaStepY will be a number less than 1.0. If maxSteps is equal to the distance along Y, then deltaStepY will be +1 or -1, and deltaStepX will be &lt; 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i = 0 to maxSteps do\n\
(</code></pre><p>Now, we loop from 0 to the number of steps,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">paintBrush currentPos</code></pre><p>paint a black dot at the current position by calling our custom paintbrush function,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">currentPos += [deltaStepX, deltaStepY]</code></pre><p>and then increment the current position with the deltaStep values until the current mouse position is reached.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
theCanvas.bitmap = theCanvasBitmap</code></pre><p>Finally, when the stroke is done, we update the bitmap in the rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) on MicroPaint_CanvasRollout lbuttondown pos do\n\
(  \n\
lastPos = pos</code></pre><p>If the user pressed the mouse button, we will have to reset the stroke to the currently clicked point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isDrawing = true drawStroke lastPos pos</code></pre><p>Instead of calling the PaintBrush function, we call the drawStroke function and pass the last and the current position (which are equal at this point) to it. This will create a single dot at the clicked point (the stroke has length 0, both deltaX and deltaY are 0, thus maxSteps is 0, but since the for i loop starts counting at 0, we get at least one iteration to draw the point).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) on MicroPaint_CanvasRollout mousemove pos do ( if isDrawing do drawStroke lastPos pos on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false</code></pre><p>Instead of calling the PaintBrush function, we call the drawStroke function again. At this point, the lastPos and the pos values are different and require a longer stroke to be drawn.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lastPos = pos</code></pre><p>After the stroke is drawn, we record the current mouse position into the lastPos variable to be used as the starting point of the next stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)\n\
createDialog MicroPaint_CanvasRollout bitmapX bitmapY\n\
)</code></pre><h2 id=\"result\">Result</h2><p><img src=\"./images/GUID-7E7978E1-C49D-4644-85E8-0B26A37CE643-low.gif\" alt></p>\n\
<p><strong>Previous Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-1.html\">How To ... Develop a Bitmap Painting Tool - Basic Utility</a></p>\n\
<p><strong>Next Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-3.html\">How To ... Develop a Bitmap Painting Tool - Brush Size and Color</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";