var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-78460DD3-5FA4-4F68-990A-54D8D6092802\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Bitmap Painting Tool - Airbrush and Shapes</h1></div><p>In this step of the Bitmap Painting tool development, we will add an airbrush option to the tool and a brush shape option to draw both rectangular and circular brushes.</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   The existing rollout will be enhanced by adding a dropdown list to define the Brush shape, a checkbutton to enable the AirBrush, and a spinner to control its strength.</p>\n\
<p>   We will extend the existing code by drawing random points for the AirBrush option.</p>\n\
<p>   The drawStroke function will be enhanced to draw a circle with the Size as the radius.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript MicroPaint category: &quot;HowTo&quot;\n\
   (\n\
   global MicroPaint_CanvasRollout\n\
   try (destroyDialog MicroPaint_CanvasRollout) catch()\n\
   local isDrawing = false\n\
   local bitmapX = bitmapY = 512\n\
   local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
   local currentPos = lastPos = [0,0]\n\
\n\
   rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
   (\n\
     bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
     colorpicker inkColor height:16 modal:false color:black across:4\n\
     checkbutton airBrush &quot;AirBrush&quot; width:50\n\
     spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:40\n\
     spinner BrushSize &quot;Size&quot; range:[1,50,10] type:#integer fieldwidth:40\n\
     listbox BrushShape items:#(&quot;Circle&quot;,&quot;Box&quot;) pos:[bitmapX+5,0]width:90\n\
\n\
     fn paintBrush pos =\n\
     (\n\
       case BrushShape.selection of\n\
       (\n\
         1: (\n\
           if distance pos currentPos &lt;= BrushSize.value/2 do\n\
             setPixels theCanvasBitmap pos #(inkColor.color)\n\
         )\n\
         2:  setPixels theCanvasBitmap pos #(inkColor.color)\n\
        )\n\
     )\n\
\n\
     fn drawStroke lastPos pos =\n\
     (\n\
       currentPos = lastPos\n\
       deltaX = pos.x - lastPos.x\n\
       deltaY = pos.y - lastPos.y\n\
       maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
       deltaStepX = deltaX / maxSteps\n\
       deltaStepY = deltaY / maxSteps\n\
       for i = 0 to maxSteps do\n\
       (\n\
         if airBrush.checked then\n\
         (\n\
           for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
           paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
         )\n\
         else\n\
           for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
             for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
               paintBrush (currentPos + [c,b])\n\
         currentPos += [deltaStepX, deltaStepY]\n\
       ) \n\
       theCanvas.bitmap = theCanvasBitmap\n\
     )\n\
\n\
     on MicroPaint_CanvasRollout lbuttondown pos do\n\
     (\n\
       lastPos = pos\n\
       isDrawing = true\n\
       drawStroke lastPos pos\n\
     )\n\
     on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
     on MicroPaint_CanvasRollout mousemove pos do\n\
     (\n\
       if isDrawing do drawStroke lastPos pos\n\
       lastPos = pos\n\
     )\n\
   )\n\
   createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30)\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Code in italic has no changes since the previous version. \n\
macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog CanvasRollout)catch()\n\
local isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap colorpicker inkColor height:16 modal:false color:black across:4 </code></pre><p>To accommodate automatically all new controls in the bottom row, we will have to increase the across: parameter to 4.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">checkbutton airBrush &quot;AirBrush&quot; width:50</code></pre><p>When checked, this checkbutton will enable the Airbrush feature.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:40</code></pre><p>This value will control the strength of the Airbrush feature.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spinner BrushSize &quot;Size&quot; range:[1,50,10] type:#integer fieldwidth:40 listbox BrushShape items:#(&quot;Circle&quot;, &quot;Box&quot;) width:90 pos:[bitmapx+5,0]</code></pre><p>This listbox controls the shape of the brush. In the future versions, we will add additional tools to it.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Listbox-UI-Control.html\">Listbox</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn paintBrush pos = ( case BrushShape.selection of (</code></pre><p>Depending on the setting of the Brush Shape dropdown list, the pixels will be limited inside a circle, or will be drawn as before.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/Case-Expression.html\">Case Expression</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">1: (\n\
if distance pos currentPos &lt;= BrushSize.value/2 do\n\
setPixels theCanvasBitmap pos #(inkColor.color)\n\
)</code></pre><p>If the Circle shape is selected, the distance from the position to be drawn to the center of the brush will be compared to the radius value (the size divided by 2). Only if the point is at a distance less than the radius, it will be drawn. This defines a circular brush.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">2: setPixels theCanvasBitmap pos #(inkColor.color)</code></pre><p>This is the original function used in the previous step. It will be used when the dropdown list selection is 2 - &quot;Box&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) ) \n\
fn drawStroke lastPos pos =\n\
(\n\
currentPos = lastPos\n\
deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y\n\
maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps\n\
for i = 0 to maxSteps do\n\
( if airBrush.checked then (</code></pre><p>When the Airbrush option is checked, the following code will be executed:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for b = 1 to (BrushSize.value / AirBrushSpeed.value) do</code></pre><p>We will repeat a number of times. The actual number will be dependent on the size of the brush and the Airbrush speed value. The higher the Speed value, the lower the number of samples in the brush.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))</code></pre><p>For every iteration, we will draw a random point between the lower left and upper right corners of the box brush. If circular brush is selected, some of the points will be filtered out by the new code in the paintbrush function above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
else</code></pre><p>Otherwise, the original brush code below will be executed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
paintBrush (currentPos + [c,b])\n\
currentPos += [deltaStepX, deltaStepY]\n\
) \n\
theCanvas.bitmap = theCanvasBitmap\n\
)\n\
on MicroPaint_CanvasRollout lbuttondown pos do\n\
(\n\
lastPos = pos\n\
isDrawing = true\n\
drawAPoint lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
on MicroPaint_CanvasRollout mousemove pos do\n\
(\n\
if isDrawing do drawAPoint lastPos pos\n\
lastPos = pos\n\
) createDialog MicroPaint_CanvasRollout (bitmapX+100)(bitmapY+30)</code></pre><p>In order to accommodate the new User Interface controls for the color and brush size, we have to increase the horizontal size of the dialog by 100 pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p><strong>Result</strong></p>\n\
<p><img src=\"./images/GUID-8CF6215A-55E6-43C1-BDF7-E0DB958BCE8A-low.gif\" alt></p>\n\
<p><strong>Previous Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-3.html\">How To ... Develop a Bitmap Painting Tool - Brush Size and Color</a></p>\n\
<p><strong>Next Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-5.html\">How To ... Develop a Bitmap Painting Tool - Smooth Brushes</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";