var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2A6DF478-2707-4D8B-A9CE-8E4E90D6FD1C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Bitmap Painting Tool - Erase Changes</h1></div><p>In this step of the Bitmap Painting tool development, we will add an eraser option to the existing brushes. When the user is drawing with the right mouse button pressed, the background image will be revealed.This mode will support all available brushes including the Airbrush mode, allowing the user to erase smoothly.</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   We will add a new flag variable to control the Erase mode.</p>\n\
<p>   We will change the paintbrush function to support reading of pixels from the background image.</p>\n\
<p>   We will implement right mouse button handlers to enable erasing of the existing pixels with the original pixels from the background.</p>\n\
<p>   We will add a commit change option to the Edit menu to copy the foreground painting canvas into the background and &quot;bake in&quot; all changes.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript MicroPaint category: &quot;HowTo&quot;\n\
   (\n\
   global MicroPaint_CanvasRollout\n\
   try (destroyDialog MicroPaint_CanvasRollout) catch()\n\
   local isErasing =isDrawing = false\n\
   local bitmapX = bitmapY = 512\n\
   local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
   local theBackgroundBitmap = bitmap bitmapX bitmapY color:white\n\
   local currentPos = lastPos = [0,0]\n\
\n\
   rcMenu CanvasMenu\n\
   (\n\
     subMenu &quot;File&quot;\n\
     (\n\
       menuItem new_menu &quot;New&quot;\n\
       menuItem open_menu &quot;Open...&quot;\n\
       menuItem save_as &quot;Save As...&quot;\n\
       separator file_menu_1\n\
       menuItem quit_tool &quot;Quit&quot;  \n\
     )\n\
     subMenu &quot;Edit&quot;\n\
     (\n\
        menuItem commit_menu &quot;Commit Changes&quot;\n\
     )\n\
     on commit_menu picked do copy theCanvasBitmap theBackgroundBitmap\n\
\n\
     subMenu &quot;Help&quot;\n\
     (\n\
       menuItem about_tool &quot;About MicroPaint...&quot; \n\
     )\n\
\n\
     on new_menu picked do\n\
     (\n\
       theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color\n\
       MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
     )\n\
\n\
\n\
     on open_menu picked do\n\
     (\n\
       theOpenBitmap= selectBitmap()\n\
       if theOpenBitmap != undefined do\n\
       (\n\
         copy theOpenBitmap theCanvasBitmap\n\
         copy theOpenBitmap theBackgroundBitmap\n\
         close theOpenBitmap\n\
         MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
       )\n\
     )\n\
\n\
     on save_as picked do\n\
     (\n\
       theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
       if theSaveName != undefined do\n\
       (\n\
         theCanvasBitmap.filename = theSaveName\n\
         save theCanvasBitmap\n\
       )\n\
     )\n\
     on about_tool picked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
     on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
   )\n\
\n\
   rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
   (\n\
     bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
     colorpicker inkColor height:16 modal:false color:black across:5\n\
     colorpicker paperColor height:16 modal:false color:white\n\
     checkbutton airBrush &quot;AirBrush&quot; width:50\n\
     spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30\n\
     spinner BrushSize &quot;Size&quot; range:[1,50,10] type:#integer fieldwidth:40\n\
     listbox BrushShape items:#(&quot;Circle&quot;,&quot;Box&quot;,&quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
     fn paintBrush pos =\n\
     (\n\
       if isErasing then\n\
         thePaintColor = (getPixels theBackgroundBitmap pos 1)[1]\n\
       else\n\
         thePaintColor = inkColor.color\n\
       if thePaintColor == undefined do thePaintColor = white\n\
\n\
       case BrushShape.selection of\n\
       (\n\
         1: (\n\
           if distance pos currentPos &lt;= BrushSize.value/2 do\n\
             setPixels theCanvasBitmap pos #(thePaintColor)\n\
         )\n\
         2: setPixels theCanvasBitmap pos #(thePaintColor)\n\
         3: (\n\
           theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
           if theFactor &lt;= 1.0 do\n\
           (\n\
             theFactor = sin ( 90.0 * theFactor)\n\
             thePixels = getPixels theCanvasBitmap pos 1\n\
             if thePixels[1] != undefined do\n\
             (\n\
               thePixels[1] = (thePixels[1] * theFactor) + (thePaintColor * (1.0 - theFactor))\n\
                 setPixels theCanvasBitmap pos thePixels\n\
             )\n\
           )\n\
         )--end case 3\n\
       )--end case\n\
     )--end fn\n\
\n\
     fn drawStroke lastPos pos =\n\
     (\n\
       currentPos = lastPos\n\
       deltaX = pos.x - lastPos.x\n\
       deltaY = pos.y - lastPos.y\n\
       maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
       deltaStepX = deltaX / maxSteps\n\
       deltaStepY = deltaY / maxSteps\n\
       for i = 0 to maxSteps do\n\
       (\n\
         if airBrush.checked then\n\
         (\n\
           for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
             paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
         )\n\
         else\n\
           for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
             for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
               paintBrush (currentPos + [c,b])\n\
         currentPos += [deltaStepX, deltaStepY]\n\
       )\n\
       theCanvas.bitmap = theCanvasBitmap\n\
     )\n\
\n\
     on MicroPaint_CanvasRollout lbuttondown pos do\n\
     (\n\
       lastPos = pos\n\
       isDrawing = true\n\
       isErasing = false\n\
       drawStroke lastPos pos\n\
     )\n\
     on MicroPaint_CanvasRollout rbuttondown pos do\n\
     (\n\
       lastPos = pos\n\
       isErasing = isDrawing = true\n\
       drawStroke lastPos pos\n\
     )\n\
     on MicroPaint_CanvasRollout lbuttonup pos do isErasing =isDrawing = false\n\
     on MicroPaint_CanvasRollout rbuttonup pos do isErasing =isDrawing = false\n\
\n\
     on MicroPaint_CanvasRollout mousemove pos do\n\
     (\n\
       if isDrawing do drawStroke lastPos pos\n\
       lastPos = pos\n\
     )\n\
   )\n\
   createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu\n\
   MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Code in green has no changes since the previous version. macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog MicroPaint_CanvasRollout)catch() local isErasing = isDrawing = false</code></pre><p>We add a new variable isErasing that will be set to true when the right mouse button is pressed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local bitmapX = bitmapY = 512\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
local theBackgroundBitmap = bitmap bitmapX bitmapY color:white\n\
local currentPos = lastPos = [0,0]\n\
\n\
rcMenu CanvasMenu\n\
(\n\
subMenu &quot;File&quot;\n\
(\n\
menuItem new_menu &quot;New&quot;\n\
menuItem open_menu &quot;Open...&quot;\n\
menuItem save_as &quot;Save As...&quot;\n\
separator file_menu_1\n\
menuItem quit_tool &quot;Quit&quot;\n\
)\n\
subMenu &quot;Edit&quot;\n\
( menuItem commit_menu &quot;Commit Changes&quot;</code></pre><p>We add a new menu item to the Edit dialog. It will be used to commit the editing changes and make them &quot;unerasable&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) on commit_menu picked do copy theCanvasBitmap theBackgroundBitmap</code></pre><p>This is the event handler for the commit changes option. When selected, the foreground image we are painting on will be copied into the background image, thus &quot;baking&quot; all the changed pixels into it. Using the eraser from this point on will reveal the new pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subMenu &quot;Help&quot;\n\
(\n\
menuItem about_tool &quot;About MicroPaint...&quot; \n\
)\n\
\n\
on new_menu picked do\n\
(\n\
theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
)\n\
\n\
on open_menu picked do\n\
(\n\
theOpenBitmap= selectBitmap()\n\
if theOpenBitmap != undefined do\n\
(\n\
copy theOpenBitmap theCanvasBitmap\n\
copy theOpenBitmap theBackgroundBitmap\n\
close theOpenBitmap\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
)\n\
)\n\
\n\
on save_as picked do\n\
(\n\
theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
if theSaveName != undefined do\n\
(\n\
theCanvasBitmap.filename = theSaveName\n\
save theCanvasBitmap\n\
)\n\
)\n\
\n\
on about_tool picked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
)\n\
\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
colorpicker inkColor height:16modal:false color:black across:5\n\
colorpicker paperColor height:16 modal:false color:white\n\
checkbutton airBrush &quot;AirBrush&quot; width:50\n\
spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30\n\
spinner BrushSize &quot;Size&quot; range:[1,50,10] type:#integer fieldwidth:40\n\
listbox BrushShape items:#(&quot;Circle&quot;, &quot;Box&quot;, &quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
fn paintBrush pos =\n\
( if isErasing then</code></pre><p>If the eraser mode is active (that means, the user is holding down the right mouse button), then</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePaintColor = (getPixels theBackgroundBitmap pos 1)[1]</code></pre><p>we get the color of the pixel from the background as the ink color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">else\n\
thePaintColor = inkColor.color</code></pre><p>Otherwise, we use the ink color defined by the User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if thePaintColor == undefined do thePaintColor = white</code></pre><p>If the pixel was outside the bitmap, it might contain undefined. To avoid errors, we reset it back to white.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">case BrushShape.selection of\n\
(\n\
1: (\n\
if distance pos currentPos &lt;= BrushSize.value/2 do setPixels theCanvasBitmap pos #(thePaintColor) ) 2: setPixels theCanvasBitmap pos #(thePaintColor)</code></pre><p>In both cases, we replace the explicit use of the InkColor.color with thepaintColor that contains the correct color to paint with.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">3: (\n\
theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
if theFactor &lt;= 1.0 do\n\
(\n\
theFactor = sin ( 90.0 * theFactor)\n\
thePixels = getPixels theCanvasBitmap pos 1\n\
if thePixels[1] != undefined do\n\
( thePixels[1] = (thePixels[1] * theFactor) + (thePaintColor * (1.0 - theFactor)) </code></pre><p>Again, we replace the explicit use of the InkColor.color with thePaintColor that contains the correct color to paint with.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setPixels theCanvasBitmap pos thePixels\n\
)\n\
)\n\
)--end case 3\n\
)--end case\n\
)--end fn\n\
\n\
fn drawStroke lastPos pos =\n\
(\n\
currentPos = lastPos\n\
deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y\n\
maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps\n\
for i = 0 to maxSteps do\n\
(\n\
if airBrush.checked then\n\
(\n\
for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
)\n\
else\n\
for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
paintBrush (currentPos + [c,b])\n\
currentPos += [deltaStepX, deltaStepY]\n\
)\n\
theCanvas.bitmap = theCanvasBitmap\n\
)\n\
\n\
on MicroPaint_CanvasRollout lbuttondown pos do\n\
(\n\
lastPos = pos\n\
isDrawing = true isErasing = false</code></pre><p>The isErasing flag is set to false whenever the user presses the left mouse button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">drawStroke lastPos pos\n\
) on MicroPaint_CanvasRollout rbuttondown pos do\n\
(\n\
lastPos = pos\n\
isErasing = isDrawing = true\n\
drawStroke lastPos pos\n\
)</code></pre><p>This new handler is called whenever the right mouse button is pressed. It is identical to the left mouse button handler except for the isErasing flag that is set to true this time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on MicroPaint_CanvasRollout lbuttonup pos do isErasing = isDrawing = false\n\
on MicroPaint_CanvasRollout rbuttonup pos do isErasing = isDrawing = false</code></pre><p>The lbuttonup and the new rbuttonup handlers will stop drawing and erasing by setting both the flags to false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on MicroPaint_CanvasRollout mousemove pos do\n\
(\n\
if isDrawing do drawStroke lastPos pos\n\
lastPos = pos\n\
)\n\
)\n\
createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap\n\
) </code></pre><p><strong>Previous Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-6.html\">How To ... Develop a Bitmap Painting Tool - Load and Save</a></p>\n\
<p><strong>NextTutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-8.html\">How To ... Develop a Bitmap Painting Tool - Unwrap UV Coordinates</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";