var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CE10C843-DBC1-4FFF-94CE-BCD79F8FF31C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part One</h1></div><p>This tutorial will demonstrate how to set up an ActiveX Control in a MAXScript rollout to display details about selected scene objects.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>Please see the topic <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\">Converting ActiveX ListView Control to DotNet ListView Control</a></p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control.html\">ListView ActiveX Control</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control/Listview-ActiveX-functions.html\">Listview ActiveX functions</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control/ListView-ActiveX-Control-Example.html\">ListView ActiveX Control Example</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Create a simple macroScript.</p>\n\
<p>   Define a rollout which will be used to create a floating dialog.</p>\n\
<p>   The only UI control in the rollout will be a Listview ActiveX Control.</p>\n\
<p>   Create a function to define the layout and appearance of the Listview.</p>\n\
<p>   Create another function to fill in the data of selected objects into the list</p>\n\
<p>   The two functions will be called by the on open event handler whenever the dialog is created (and thus the rollout is opened).</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SceneListView category:&quot;HowTo&quot;\n\
   (\n\
   rollout listview_rollout &quot;ListView Selected&quot;\n\
   (\n\
   fn initListView lv =\n\
   (\n\
   lv.gridLines = true  \n\
   lv.View = #lvwReport  \n\
   lv.fullRowSelect = true \n\
\n\
   layout_def = #(&quot;Object Name&quot;,&quot;Object Class&quot;,&quot;Verts&quot;,&quot;Faces&quot;,&quot;Material&quot;)\n\
\n\
   for i in layout_def do\n\
   (\n\
   column = lv.ColumnHeaders.add()\n\
   column.text = I\n\
   ) \n\
   ) \n\
\n\
   fn fillInSpreadSheet lv =\n\
   (\n\
   for o in selection do\n\
   (\n\
   li = lv.ListItems.add()\n\
   li.text = o.name\n\
   sub_li = li.ListSubItems.add()\n\
   sub_li.text = (classof o) as string\n\
   sub_li = li.ListSubItems.add()\n\
   sub_li.text =try((o.mesh.numverts) as string)catch(&quot;--&quot;)\n\
   sub_li = li.ListSubItems.add()\n\
   sub_li.text =try((o.mesh.numfaces) as string)catch(&quot;--&quot;)\n\
   sub_li = li.ListSubItems.add()\n\
   sub_li.text = (o.material)as string\n\
   )\n\
   ) \n\
\n\
   activeXControl lv_objects &quot;MSComctlLib.ListViewCtrl&quot; width:490 height:190 align:#center\n\
   on listview_rollout open do\n\
   (\n\
   initListView lv_objects\n\
   fillInSpreadSheet lv_objects\n\
   ) \n\
   )\n\
   createDialog listview_rollout500 200\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>RESULT:</strong></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-A15CE4AA-D1DE-4220-8E01-7308DCA73F7B-low.gif\" alt></p>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript SceneListView category:&quot;HowTo&quot; (</code></pre><p>We start by defining a simple MacroScript with the name SceneListview which will appear in the category &quot;HowTo&quot;. Simple (old-style) macroScripts do not have on execute do or on isEnabled event handlers. The code inside the MacroScript definition is executed immediately when the ActionItem (button, menu item or keyboard shortcut) representing the MacroScript is activated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rollout listview_rollout &quot;ListView Selected&quot; (</code></pre><p>This is the rollout to be created when the MacroScript is executed. It will display the title &quot;ListView Selected&quot;. The variable listview_rollout will be local to the macroScript and will be used later on to create a dialog out of the rollout definition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn initListView lv = (</code></pre><p>This is the function which will perform the initialization of the ListView ActiveX control we will create. The control itself will be passed as argument to the function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lv.gridLines = true</code></pre><p>We want the ListViewControl to display grid lines.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lv.View = #lvwReport</code></pre><p>We also want to see the column headers, so we define the view type as lvwReport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lv.fullRowSelect = true </code></pre><p>By setting this property to true, we ensure that selecting a row will select across all columns.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">layout_def = #(&quot;Object Name&quot;,&quot;Object Class&quot;,&quot;Verts&quot;,&quot;Faces&quot;,&quot;Material&quot;)</code></pre><p>This user variable is assigned an array containing the names of the columns to be created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i in layout_def do (</code></pre><p>The i loop will go through all elements of the array defined above. Inside the loop, a new column will be created for each entry in the array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">column = lv.ColumnHeaders.add()</code></pre><p>By calling the function add() in the ColumnHeaders property of the listview, we add a new column to the list. A reference to the column is returned and written in the user variable &quot;column&quot;, so we can now access properties of the column.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">column.text =i </code></pre><p>For example, we can set the text in the column header to the string stored in the array we are looping through.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p>This is the end of the i loop..</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p>This is the end of the function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn fillInSpreadSheet lv =\n\
(</code></pre><p>This is the function which will fill in the data of the selected scene objects into the Listview ActiveX control. The control itself will be passed as argument to the function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for o in selection do\n\
(</code></pre><p>This loop will iterate through all objects currently selected in the scene. The variable o will contain one object at a time, the loop will repeat as ofter as there are objects in the selection set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">li = lv.ListItems.add()</code></pre><p>We add a new row to the Listview.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">li.text = o.name</code></pre><p>Then we set the text displayed in the first column of the list to the name of the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sub_li = li.ListSubItems.add()</code></pre><p>Now we add a new sub-item (which is basically the following column) by calling the <code>.add()</code> method in the ListSubItems property of the current listItem (which represents the first column). The result is written into the user variable sub_li</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sub_li.text = (classof o) as string</code></pre><p>We can now set the .text property of the new column to the class of the current object. Since the result of <code>classof()</code> is not a string, we have to explicitly convert it to string before assigning it to the <code>.text</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sub_li = li.ListSubItems.add()\n\
sub_li.text = try((o.mesh.numverts) as string)catch(&quot;--&quot;)</code></pre><p>We create a third column the same way as above and assign the number of vertices in the mesh of the current object to the .text property of the new column. Since the number of vertices is returned as an integer, we have to convert it to a string before assigning it to the <code>.text</code> property.</p>\n\
<p>Some of the selected objects might not have a <code>.mesh</code> property (for example lights, helpers, cameras, targetObjects etc.) In these cases, trying to access <code>o.mesh.numverts</code> would cause an error. For these cases, we put the <code>try()catch()</code> error trap. If the attempt to read the vertex count fails, we assign the string &quot;--&quot; to the <code>.text</code> property of the sub-list item instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sub_li = li.ListSubItems.add()\n\
sub_li.text = try((o.mesh.numfaces) as string)catch(&quot;--&quot;)</code></pre><p>We create another column the same way as above and assign the number of f aces in the mesh of the current object to the <code>.text</code> property of the new column. Since the number of faces is returned as an integer, we have to convert it to a string before assigning it to the <code>.text</code> property.</p>\n\
<p>Some of the selected objects might not have a .mesh property (for example lights, helpers, cameras, targetObjects etc.) In these cases, trying to access <code>o.mesh.numfaces</code> would cause an error. For these cases, we put the <code>try()catch()</code> error trap. If the attempt to read the face count fails, we assign the string &quot;--&quot; to the <code>.text</code> property of the sub-list item instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sub_li = li.ListSubItems.add()\n\
sub_li.text = (o.material) as string</code></pre><p>Finally, we create another column the same way as above and assign the material of the current object to the <code>.text</code> property of the new column. Objects without a material will display &quot;undefined&quot; in the column.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
)\n\
\n\
activeXControl lv_objects &quot;MSComctlLib.ListViewCtrl&quot; width:490 height:190 align:#center</code></pre><p>This is it - the ActiveX control we have been processing in the above functions! It is the only user interface element in the rollout. It is centered to the rollout and slightly smaller than the dialog dimensions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on listview_rollout open do\n\
(</code></pre><p>When the rollout is opened for display as a dialog, this event handler will be called.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">initListView lv_objects\n\
fillInSpreadSheet lv_objects</code></pre><p>We can use the event to both initialize and fill in the listview with the currently selected objects&apos; data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) </code></pre><p>This is the end of the on open event handler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p>This is the end of the rollout definition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">try(destroyDialog listview_rollout)catch()</code></pre><p>Before creating the dialog, we try to close it. Since the variable <code>listview_rollout</code> is local to the MacroScript, calling the MacroScript multiple times will always access the same variable and will be able to close a previously opened dialog before creating a new one.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">createDialog listview_rollout 500 200</code></pre><p>At the end, we create the dialog using the rollout we defined above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>After evaluating the script, you will find a new ActionItem in the &quot;HowTo&quot; category of the Customize User Interface dialog. Assign it to a toolbar, menu, QuadMenu or keyboard shortcut to be able to access it quickly.</p>\n\
<p>Select some scene objects and press the button/select the menu item or press the keyboard shortcut - a new dialog with a listView ActiveX control displaying the name, class, vertex and face count and assigned material should appear.</p>\n\
<p>Select some other object and call the script again - the old dialog will be closed, a new one will be opened and will display the data of the new selection.</p>\n\
<h2 id=\"what-39-s-next-\">What&apos;s Next?</h2><p>This is a very basic version of the script. To see how it can be further improved and customized, see <a href=\"How-To-Develop-a-Selected-2.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part Two</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Selected.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control.html\">ListView ActiveX Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";