var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-33391123-6956-49B8-9535-37A87754BA32\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop A Face Area XView Checker - Part 3</h1></div><p>The following tutorial extends the scripted xView Check created in Part 1 and 2 with sticky settings using an INI file.</p>\n\
<p>The xView Checker is available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xViewChecker Access</a></p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">Interface:xViewChecker</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Add saving of each configuration dialog setting to the INI file.</p>\n\
<p>   Create a list of all settings to be loaded from the INI file.</p>\n\
<p>   Load each setting from the INI file when the script is evaluated.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   global FaceAreaChecker\n\
   struct FaceAreaCheckerStruct\n\
   (\n\
   FaceAreaThresholdMin = 1,\n\
   FaceAreaThresholdMax = 10,\n\
   FaceAreaMode = 1,\n\
   faceAreaDialog = undefined,\n\
   InteractiveUpdates = true,\n\
   iniFileName = (getDir #plugcfg +&quot;\\\\FaceAreaXViewChecker.ini&quot;),\n\
   resultColors = #(green, blue+green*0.5, red+yellow*0.5, blue, yellow, red),\n\
\n\
   fn geomCheck theTime theNode theResults =\n\
   (\n\
     local theCount =case classof theNode of\n\
     (\n\
       Editable_Poly: getNumFaces theNode\n\
       Editable_Mesh: theNode.numfaces\n\
     )\n\
     local theAreaMethod =case classof theNode of\n\
     (\n\
       Editable_Poly: polyOp.getFaceArea\n\
       Editable_Mesh: meshOp.getFaceArea\n\
     )\n\
\n\
     for f = 1 to theCount do\n\
     (\n\
       local theArea = theAreaMethod theNode f\n\
       case FaceAreaChecker.FaceAreaMode of\n\
       (\n\
         default: if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMin and theArea &lt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
         2: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMin do append theResults f\n\
         3: if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMin do append theResults f\n\
         4: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
         5: if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
         6: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMin or theArea &gt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
       ) \n\
     ) \n\
   3\n\
   ),\n\
\n\
   fn supportedCheck theNode =\n\
   (\n\
     classof theNode == Editable_Mesh or classof theNode == Editable_Poly\n\
   ),\n\
\n\
   fn configDlg =\n\
   (\n\
     try(destroyDialog FaceAreaChecker.faceAreaDialog)catch()\n\
     rollout faceAreaDialog &quot;Face Area Checker&quot;\n\
     (\n\
       dropdownlist ddl_FaceAreaMode width:150 align:#left offset:[-10,-3] items:#(&quot;Between Min. and Max&quot;,&quot;Less Than Min.&quot;,&quot;Greater Than Min.&quot;,&quot;Less Than Max.&quot;,&quot;Greater Than Max.&quot;,&quot;Not Between Min. and Max&quot;) selection:FaceAreaChecker.FaceAreaMode across:2\n\
       colorpicker clr_resultsColor fieldwidth:10 align:#right offset:[7,-3] color:FaceAreaChecker.resultColors[FaceAreaChecker.FaceAreaMode]\n\
       spinner spn_FaceAreaThresholdMin &quot;Min. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMin] offset:[7,-3] type:#worldUnits\n\
       spinner spn_FaceAreaThresholdMax &quot;Max. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMax] offset:[7,-3] type:#worldUnits\n\
       checkbox chk_InteractiveUpdates &quot;Interactive&quot; checked:FaceAreaChecker.InteractiveUpdates offset:[0,-3] across:2\n\
       button btn_selectResults &quot;Selection&quot; align:#right width:72 height:18 offset:[7,-3]\n\
\n\
       fn updateDisplay =\n\
       (\n\
         if FaceAreaChecker.InteractiveUpdates do\n\
         (\n\
           XViewChecker.runCheck CurrentTime\n\
           max views redraw\n\
         )\n\
       )\n\
       on ddl_FaceAreaMode selected itm do\n\
       (\n\
         FaceAreaChecker.FaceAreaMode = itm\n\
         updateDisplay()\n\
         setIniSetting FaceAreaChecker.iniFileName &quot;Settings&quot; &quot;FaceAreaMode&quot; (itm as string)\n\
         clr_resultsColor.color = FaceAreaChecker.resultColors[itm]\n\
       )\n\
       on clr_resultsColor changed val do\n\
       (\n\
         FaceAreaChecker.resultColors[ddl_FaceAreaMode.selection] = val\n\
         updateDisplay()\n\
         setIniSetting FaceAreaChecker.iniFileName&quot;Colors&quot; (&quot;Color_&quot;+ddl_FaceAreaMode.selection as string) (val as string)\n\
       )\n\
       on chk_InteractiveUpdates changed state do\n\
       (\n\
         FaceAreaChecker.InteractiveUpdates = state\n\
         updateDisplay()\n\
         setIniSetting FaceAreaChecker.iniFileName &quot;Settings&quot; &quot;InteractiveUpdates&quot; (state as string)\n\
       ) \n\
       on spn_FaceAreaThresholdMin changed val do\n\
       (\n\
         FaceAreaChecker.FaceAreaThresholdMin = val\n\
         updateDisplay()\n\
         setIniSetting FaceAreaChecker.iniFileName &quot;Settings&quot; &quot;FaceAreaThresholdMin&quot; (val as string)\n\
       ) \n\
       on spn_FaceAreaThresholdMax changed val do\n\
       (\n\
         FaceAreaChecker.FaceAreaThresholdMax = val\n\
         updateDisplay()\n\
         setIniSetting FaceAreaChecker.iniFileName &quot;Settings&quot; &quot;FaceAreaThresholdMax&quot; (val as string)\n\
       )   \n\
       on btn_selectResults pressed do\n\
       (\n\
         XViewChecker.selectResults CurrentTime\n\
         max views redraw\n\
       ) \n\
       on faceAreaDialog moved pos do setIniSetting FaceAreaChecker.iniFileName &quot;Dialog&quot; &quot;Position&quot; (pos as string)\n\
     )--end rollout\n\
\n\
     local thePos = execute (getIniSetting FaceAreaChecker.iniFileName &quot;Dialog&quot; &quot;Position&quot;)\n\
     if classof thePos != Point2 do thePos = mouse.screenpos\n\
     createDialog faceAreaDialog 170 82 thePos.x thePos.y\n\
     FaceAreaChecker.faceAreaDialog = faceAreaDialog\n\
   ),\n\
\n\
   fn textOverride =\n\
   (\n\
     case FaceAreaChecker.FaceAreaMode of\n\
     (\n\
       1: &quot;Between &quot;+FaceAreaChecker.FaceAreaThresholdMin as string +&quot; and &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
       2: &quot;Less Than &quot;+FaceAreaChecker.FaceAreaThresholdMin as string\n\
       3: &quot;Greater Than &quot;+FaceAreaChecker.FaceAreaThresholdMin as string\n\
       4: &quot;Less Than &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
       5: &quot;Greater Than &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
       6: &quot;Not Between &quot;+FaceAreaChecker.FaceAreaThresholdMin as string +&quot; and &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
     )\n\
   ),\n\
\n\
   fn dispOverride theTime theNode theHwnd theResults =\n\
   (\n\
     local theColor = FaceAreaChecker.resultColors[FaceAreaChecker.FaceAreaMode]\n\
     XViewChecker.displayResults theColor theTime theNode theHwnd 3 theResults\n\
   )\n\
   )--end struct\n\
\n\
   try(destroyDialog FaceAreaChecker.faceAreaDialog)catch()\n\
   FaceAreaChecker = FaceAreaCheckerStruct()\n\
\n\
   local valuesToLoad = #(\n\
     #(&quot;Settings&quot;,&quot;FaceAreaMode&quot;, &amp;FaceAreaChecker.FaceAreaMode,0),\n\
     #(&quot;Settings&quot;,&quot;InteractiveUpdates&quot;, &amp;FaceAreaChecker.InteractiveUpdates,0), \n\
     #(&quot;Settings&quot;,&quot;FaceAreaThresholdMin&quot;, &amp;FaceAreaChecker.FaceAreaThresholdMin,0), \n\
     #(&quot;Settings&quot;,&quot;FaceAreaThresholdMax&quot;, &amp;FaceAreaChecker.FaceAreaThresholdMax,0), \n\
     #(&quot;Colors&quot;,&quot;Color_1&quot;, FaceAreaChecker.resultColors, 1), \n\
     #(&quot;Colors&quot;,&quot;Color_2&quot;, FaceAreaChecker.resultColors, 2), \n\
     #(&quot;Colors&quot;,&quot;Color_3&quot;, FaceAreaChecker.resultColors, 3), \n\
     #(&quot;Colors&quot;,&quot;Color_4&quot;, FaceAreaChecker.resultColors, 4), \n\
     #(&quot;Colors&quot;,&quot;Color_5&quot;, FaceAreaChecker.resultColors, 5), \n\
     #(&quot;Colors&quot;,&quot;Color_6&quot;, FaceAreaChecker.resultColors, 6)\n\
   )\n\
   for i in valuesToLoad do\n\
   (\n\
     local theVal = execute (getIniSetting FaceAreaChecker.iniFileName i[1] i[2])\n\
     if theVal != OK do\n\
       if i[4] &gt; 0 then i[3][i[4]] = theVal else *i[3] = theVal\n\
   )--end i loop \n\
\n\
   xViewChecker.unRegisterChecker &quot;Face Area Checker&quot;\n\
   xViewChecker.registerChecker FaceAreaChecker.geomCheck FaceAreaChecker.supportedCheck #Faces &quot;Face Area Checker&quot; FaceAreaChecker.configDlg FaceAreaChecker.textOverride FaceAreaChecker.dispOverride\n\
   )--end script\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--code in italic has not changed since Part 2 (\n\
global FaceAreaChecker\n\
struct FaceAreaCheckerStruct\n\
(\n\
FaceAreaThresholdMin = 1,\n\
FaceAreaThresholdMax = 10,\n\
FaceAreaMode = 1,\n\
faceAreaDialog = undefined,\n\
InteractiveUpdates = true,\n\
iniFileName = (getDir #plugcfg +&quot;\\\\FaceAreaXViewChecker.ini&quot;),\n\
resultColors = #(green, blue+green*0.5, red+yellow*0.5, blue, yellow, red),\n\
fn geomCheck theTime theNode theResults =\n\
(\n\
local theCount = case classof theNode of\n\
(\n\
Editable_Poly: getNumFaces theNode\n\
Editable_Mesh: theNode.numfaces\n\
)\n\
local theAreaMethod = case classof theNode of\n\
(\n\
Editable_Poly: polyOp.getFaceArea\n\
Editable_Mesh: meshOp.getFaceArea\n\
)\n\
for f = 1 to theCount do\n\
(\n\
local theArea = theAreaMethod theNode f\n\
case FaceAreaChecker.FaceAreaMode of\n\
(\n\
default: if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMin and theArea &lt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
2: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMin do append theResults f\n\
3: if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMin do append theResults f\n\
4: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
5: if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
6: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMin or theArea &gt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
) \n\
) \n\
3\n\
),\n\
\n\
fn supportedCheck theNode =\n\
(\n\
classof theNode == Editable_Mesh or classof theNode == Editable_Poly\n\
),\n\
\n\
fn configDlg =\n\
(\n\
try (destroyDialog FaceAreaChecker.faceAreaDialog)catch()\n\
rollout faceAreaDialog &quot;Face Area Checker&quot;\n\
(\n\
dropdownlist ddl_FaceAreaMode width:150 align:#left offset:[-10,-3] items:#(&quot;Between Min. and Max&quot;,&quot;Less Than Min.&quot;, &quot;Greater Than Min.&quot;,&quot;Less Than Max.&quot;, &quot;Greater Than Max.&quot;,&quot;Not Between Min. and Max&quot;) selection:FaceAreaChecker.FaceAreaMode across:2\n\
colorpicker clr_resultsColor fieldwidth:10 align:#right offset:[7,-3] color:FaceAreaChecker.resultColors[FaceAreaChecker.FaceAreaMode]\n\
spinner spn_FaceAreaThresholdMin &quot;Min. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMin] offset:[7,-3] type:#worldUnits\n\
spinner spn_FaceAreaThresholdMax &quot;Max. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMax] offset:[7,-3] type:#worldUnits\n\
checkbox chk_InteractiveUpdates &quot;Interactive&quot; checked:FaceAreaChecker.InteractiveUpdates offset:[0,-3] across:2\n\
button btn_selectResults &quot;Selection&quot; align:#right width:72 height:18 offset:[7,-3]  \n\
\n\
fn updateDisplay =\n\
(\n\
if FaceAreaChecker.InteractiveUpdates do\n\
(\n\
XViewChecker.runCheck CurrentTime\n\
max views redraw\n\
)\n\
)\n\
on ddl_FaceAreaMode selected itm do\n\
(\n\
FaceAreaChecker.FaceAreaMode = itm\n\
updateDisplay() setIniSetting FaceAreaChecker.iniFileName &quot;Settings&quot; &quot;FaceAreaMode&quot; (itm as string)</code></pre><p>When the mode is changed, we now save the current selection in the INI file under the category &quot;Settings&quot; and the key &quot;FaceAreaMode&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clr_resultsColor.color = FaceAreaChecker.resultColors[itm]\n\
)\n\
on clr_resultsColor changed val do\n\
(\n\
FaceAreaChecker.resultColors[ddl_FaceAreaMode.selection] = val\n\
updateDisplay() setIniSetting FaceAreaChecker.iniFileName &quot;Colors&quot; (&quot;Color_&quot;+ddl_FaceAreaMode.selection as string) (val as string)</code></pre><p>When the color is changed, we now save the new color in the INI file under the category &quot;Colors&quot; and the key &quot;Color_N&quot;, where N is the current mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
on chk_InteractiveUpdates changed state do\n\
(\n\
FaceAreaChecker.InteractiveUpdates = state\n\
updateDisplay() setIniSetting FaceAreaChecker.iniFileName &quot;Settings&quot; &quot;InteractiveUpdates&quot; (state as string)</code></pre><p>When the interactive mode checkbox is changing state, we save the current state in the INI file under the category &quot;Settings&quot; and the key &quot;InteractiveUpdates&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
on spn_FaceAreaThresholdMin changed val do\n\
(\n\
FaceAreaChecker.FaceAreaThresholdMin = val\n\
updateDisplay() setIniSetting FaceAreaChecker.iniFileName &quot;Settings&quot; &quot;FaceAreaThresholdMin&quot; (val as string)</code></pre><p>When the min. threshold spinner is changing value, we save the current value in the INI file under the category &quot;Settings&quot; and the key &quot;FaceAreaThresholdMin&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
on spn_FaceAreaThresholdMax changed val do\n\
(\n\
FaceAreaChecker.FaceAreaThresholdMax = val\n\
updateDisplay() setIniSetting FaceAreaChecker.iniFileName &quot;Settings&quot; &quot;FaceAreaThresholdMax&quot; (val as string)</code></pre><p>When the min. threshold spinner is changing value, we save the current value in the INI file under the category &quot;Settings&quot; and the key &quot;FaceAreaThresholdMax&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)   \n\
on btn_selectResults pressed do\n\
(\n\
XViewChecker.selectResults CurrentTime\n\
max views redraw\n\
) \n\
on faceAreaDialog moved pos do setIniSetting FaceAreaChecker.iniFileName &quot;Dialog&quot; &quot;Position&quot; (pos as string)\n\
)--end rollout\n\
\n\
local thePos = execute (getIniSetting FaceAreaChecker.iniFileName &quot;Dialog&quot; &quot;Position&quot;)\n\
if classof thePos != Point2 do thePos = mouse.screenpos\n\
createDialog faceAreaDialog 170 82 thePos.x thePos.y\n\
FaceAreaChecker.faceAreaDialog = faceAreaDialog\n\
),\n\
\n\
fn textOverride =\n\
(\n\
case FaceAreaChecker.FaceAreaMode of\n\
(\n\
1: &quot;Between &quot;+FaceAreaChecker.FaceAreaThresholdMin as string +&quot; and &quot; +FaceAreaChecker.FaceAreaThresholdMax as string\n\
2: &quot;Less Than &quot;+FaceAreaChecker.FaceAreaThresholdMin as string\n\
3: &quot;Greater Than &quot;+FaceAreaChecker.FaceAreaThresholdMin as string\n\
4: &quot;Less Than &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
5: &quot;Greater Than &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
6: &quot;Not Between &quot;+FaceAreaChecker.FaceAreaThresholdMin as string +&quot; and &quot; +FaceAreaChecker.FaceAreaThresholdMax as string\n\
)\n\
),\n\
\n\
fn dispOverride theTime theNode theHwnd theResults=\n\
(\n\
local theColor = FaceAreaChecker.resultColors[FaceAreaChecker.FaceAreaMode]\n\
XViewChecker.displayResults theColor theTime theNode theHwnd 3 theResults\n\
)\n\
)--end struct\n\
\n\
try (destroyDialog FaceAreaChecker.faceAreaDialog)catch()\n\
FaceAreaChecker = FaceAreaCheckerStruct()\n\
\n\
local valuesToLoad = #(</code></pre><p>To simplify the loading of the INI file settings, we declare an array of arrays to define the category, key, property to set, and in the case of colors, the index of the color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(&quot;Settings&quot;, &quot;FaceAreaMode&quot;, &amp;FaceAreaChecker.FaceAreaMode,0),\n\
#(&quot;Settings&quot;, &quot;InteractiveUpdates&quot;, &amp;FaceAreaChecker.InteractiveUpdates,0),\n\
#(&quot;Settings&quot;, &quot;FaceAreaThresholdMin&quot;, &amp;FaceAreaChecker.FaceAreaThresholdMin,0), \n\
#(&quot;Settings&quot;, &quot;FaceAreaThresholdMax&quot;, &amp;FaceAreaChecker.FaceAreaThresholdMax,0), </code></pre><p>To load these settings, we define an array containing the category name, the key name, a reference to the property, and the index 0, which means that we do not use sub-indexing. We take the property by-reference with the &amp; operator to store the pointer to the property instead of its value. This way, the property is not evaluated and we can write back a value into it using its pointer and the de-referencing operator *.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(&quot;Colors&quot;, &quot;Color_1&quot;, FaceAreaChecker.resultColors, 1), \n\
#(&quot;Colors&quot;, &quot;Color_2&quot;, FaceAreaChecker.resultColors, 2), \n\
#(&quot;Colors&quot;, &quot;Color_3&quot;, FaceAreaChecker.resultColors, 3), \n\
#(&quot;Colors&quot;, &quot;Color_4&quot;, FaceAreaChecker.resultColors, 4), \n\
#(&quot;Colors&quot;, &quot;Color_5&quot;, FaceAreaChecker.resultColors, 5), \n\
#(&quot;Colors&quot;, &quot;Color_6&quot;, FaceAreaChecker.resultColors, 6)</code></pre><p>To load these color settings, we define an array containing the category name, the key name, a reference to the property, and the corresponding color index into the array of colors. We do not need to use by-reference here because the property is an array and arrays are always handled by-reference implicitly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
for i in valuesToLoad do\n\
(</code></pre><p>We loop through the list of settings to load.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local theVal = execute (getIniSetting FaceAreaChecker.iniFileName i[1] i[2])</code></pre><p>We load the value from the INI file based on the category and the key name and evaluate the string to convert to the correct MAXScript value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if theVal != OK do\n\
if i[4] &gt; 0 then i[3][i[4]] = theVal else *i[3] = theVal</code></pre><p>If the result of the evaluation is not the value OK (which is returned if the string returned by the getIniSetting is empty), we check to see whether the 4 th element of the sub-array is greater than zero. If it is, we assign the value to the corresponding indexed item of the colors array. Otherwise, we just assign the value to the de-referenced property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> )--end i loop \n\
\n\
\n\
xViewChecker.unRegisterChecker &quot;Face Area Checker&quot;\n\
xViewChecker.registerChecker FaceAreaChecker.geomCheck FaceAreaChecker.supportedCheck #Faces &quot;Face Area Checker&quot; FaceAreaChecker.configDlg FaceAreaChecker.textOverride FaceAreaChecker.dispOverride\n\
)--end script</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Our Face Area xView Checker is now feature-complete. In the last <a href=\"How-To-Develop-A-Face-Area-XView-3.html\">Part 4 of the tutorial</a>, we will look at how it can be integrated into the Viewport Menus for easier access.</p>\n\
<p>The settings in the Configuration Dialog will now be sticky between sessions. The rest of the features are the same as in the previous Part 2.</p>\n\
<p><strong>Previous</strong></p>\n\
<p><a href=\"How-To-Develop-A-Face-Area-XView-1.html\">How To ... Develop A Face Area XView Checker - Part2</a></p>\n\
<p><strong>Next</strong></p>\n\
<p><a href=\"How-To-Develop-A-Face-Area-XView-3.html\">How To ... Develop A Face Area XView Checker - Part4</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-an-XView-Geometry.html\">How To ... Develop an XView Geometry Checker</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xView Geometry Checker Access</a></li>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">Interface: xViewChecker</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";