var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8385056C-4105-485F-B9AE-4280F87E366A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop A Face Area XView Checker - Part 4</h1></div><p>The following tutorial extends the scripted xView Check created in <a href=\"How-To-Develop-A-Face-Area-XView.html\">Part 1</a>, <a href=\"How-To-Develop-A-Face-Area-XView-1.html\">Part 2</a>, and <a href=\"How-To-Develop-A-Face-Area-XView-2.html\">Part 3</a> with a <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Macro-Scripts/Macro-Scripts-1.html\">MacroScript</a> that can be added to the Viewport Menus for easier access.</p>\n\
<p>The xView Checker is available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xViewChecker Access</a></p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">Interface:xViewChecker</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Create a MacroScript to toggle the Face Area Checker on and off.</p>\n\
<p>   Create an &apos;on Checked do()&apos; handler to show when the Checker is enabled.</p>\n\
<p>   Create an &apos;on Execute do()&apos; handler to turn the Checker on and off depending on the current state of the system.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   MacroScript xView_Face_Area_Checker\n\
   enabledIn:#(&quot;max&quot;)\n\
   buttonText:&quot;Face Area&quot;\n\
   category:&quot;xView&quot;\n\
   internalCategory:&quot;xView&quot;\n\
   tooltip:&quot;Face Area Checker Display Mode&quot;\n\
   (\n\
   on isChecked return\n\
     xViewChecker.getCheckerName xViewChecker.activeIndex == &quot;Face Area Checker&quot; and xViewChecker.on == true\n\
   on execute do\n\
     if (xViewChecker.getCheckerName xViewChecker.activeIndex == &quot;Face Area Checker&quot; and xViewChecker.on == true) then\n\
       xViewChecker.on = false\n\
     else\n\
     ( \n\
       local theIndex = 0\n\
       for i = 1 to xViewChecker.getNumCheckers() do\n\
         if xViewChecker.getCheckerName i == &quot;Face Area Checker&quot; do theIndex = i\n\
       if theIndex &gt; 0 do  \n\
       (\n\
         xViewChecker.setActiveCheckerID(xViewChecker.getCheckerID theIndex)\n\
         xViewChecker.on =true\n\
       )\n\
     )\n\
   )--end MacroScript\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MacroScript xView_Face_Area_Checker\n\
enabledIn:#(&quot;max&quot;)\n\
buttonText:&quot;Face Area&quot;\n\
category:&quot;xView&quot;\n\
internalCategory:&quot;xView&quot;\n\
tooltip:&quot;Face Area Checker Display Mode&quot;\n\
(</code></pre><p>Based on the existing xView MacroScripts already shipping with <strong>3ds Max 2010 and higher</strong>, we can create a new MacroScript header for our Face Area Checker.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on isChecked return\n\
xViewChecker.getCheckerName xViewChecker.activeIndex == &quot;Face Area Checker&quot; and xViewChecker.on</code></pre><p>When <strong>3ds Max</strong> wants to see whether an ActionItem in the UI has to be checked (when displayed as a button, a menu item, or a Quad menu item), it calls the isChecked handler. Here, we return true if the name of the currently active checker matches our checker&apos;s name and checking is generally enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on execute do\n\
(</code></pre><p>When the MacroScript is actually invoked, the execute handler will be called.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if (xViewChecker.getCheckerName xViewChecker.activeIndex == &quot;Face Area Checker&quot; and xViewChecker.on) then</code></pre><p>We perform the same check as in the isChecked handler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xViewChecker.on = false</code></pre><p>If our checker is the active one and checking is enabled, we simply disable the xView checking.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">else\n\
( </code></pre><p>Otherwise, we will have to enable the checking, but first we have to find out the ID of our checker to set it as the active one.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local theIndex = 0</code></pre><p>We initialize a user variable to zero,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i = 1 to xViewChecker.getNumCheckers() do\n\
if xViewChecker.getCheckerName i == &quot;Face Area Checker&quot; do theIndex = i</code></pre><p>and loop from one to the number of existing checkers, comparing their names with our checker&apos;s name. If we find a match, we record its index in the variable theIndex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if theIndex &gt; 0 do   \n\
(\n\
xViewChecker.setActiveCheckerID(xViewChecker.getCheckerIDtheIndex)\n\
xViewChecker.on = true</code></pre><p>If after looping through all checkers registered with the xView system, the variable theIndex contains a value higher than zero, our checker is actually available and we can access it.</p>\n\
<p>We set theactive checker ID to the ID of the checker with the index we detected.</p>\n\
<p>Then, we enable the xView system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)\n\
)\n\
)--end MacroScript</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Now, that we have an xView checked and a MacroScript to control it, we can customize the Viewport Menus to add our checker to the list of available xView Checkers.</p>\n\
<p>Evaluate the script by pressing <strong>Ctrl+E</strong> to create an ActionItem. A copy of the MacroScript code will be saved automatically in the \\usermacros folder of <strong>3ds Max</strong> and will be available in future <strong>3ds Max</strong> sessions. It is <strong>NOT</strong> necessary to put the MacroScript source code in a \\Startup or \\Plugins folder.</p>\n\
<p>At this point you can go to Main Menu &gt; Customize &gt; Customize User Interface and select the Menus tab in the <strong>Customize User Interface</strong> dialog.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Color</th>\n\
<th>Action</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Red</td>\n\
<td>Select the <strong>xView Category</strong> in the left drop-down list.</td>\n\
</tr>\n\
<tr>\n\
<td>Green</td>\n\
<td>Select <strong>Views - xView</strong> Menu in the right drop-down list.</td>\n\
</tr>\n\
<tr>\n\
<td>Purple</td>\n\
<td>Drag two <strong>Separator</strong> lines to the menu.</td>\n\
</tr>\n\
<tr>\n\
<td>Yellow</td>\n\
<td>Drag the <strong>Face Area Checker Display Mode</strong> ActionItem between the two lines.</td>\n\
</tr>\n\
<tr>\n\
<td>Blue</td>\n\
<td><strong>Save</strong> the Custom Interface to disk to make the changes permanent. Confirm the overwriting of the CUI file.</td>\n\
</tr>\n\
</tbody></table>\n\
<p><img src=\"./images/GUID-2FDE4446-078E-42E8-AC24-AEF7CAF1FFB5-low.gif\" alt></p>\n\
<p><strong>Previous</strong></p>\n\
<p><a href=\"How-To-Develop-A-Face-Area-XView-2.html\">How To ... Develop A Face Area XView Checker - Part3</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-an-XView-Geometry.html\">How To ... Develop an XView Geometry Checker</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xView Geometry Checker Access</a></li>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">Interface: xViewChecker</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";