var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-68E7C8BE-E2A1-4C0A-A5A9-A9A122DE7A66\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Flatten a SplineShape</h1></div><p>The following tutorial shows how to access and modify the splines and their knots (vertices) and tangents in a SplineShape. The resulting macroScript will move all knots to the Z height defined by the shape&#x2019;s Z position, thus aligning them to a plane parallel to the ground XY world construction plane.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining MacroScripts</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape : Shape</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Spline-Shape-Common-Properties.html\">Spline Shape Common Properties, Operators, and Methods</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package the code as macroScript to be able to use as a button, menu item or shortcut.</p>\n\
<p>   Enable the script only when a single Editable Spline without modifiers has been selected.</p>\n\
<p>   When executed, go through all splines in the shape</p>\n\
<p>   For each spline, go through all knots (vertices)</p>\n\
<p>   For each knot, set the Z coordinate of the In and Out tangent to the shape&#x2019;s Z position</p>\n\
<p>   For each knot, set knot&#x2019;s Z coordinate to the shape&#x2019;s Z position</p>\n\
<p>   When ready with all splines and knots, update the shape.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroscript FlattenSpline category:&quot;HowTo&quot; tooltip:&quot;Flatten Spline&quot;\n\
   (\n\
   on isEnabled return\n\
   (\n\
     selection.count == 1 and \\\n\
     (classof selection[1] == SplineShape or\\\n\
     classof selection[1] == Line) \\\n\
     and selection[1].modifiers.count == 0\n\
   )\n\
   on execute do\n\
   (\n\
     new_z = $.pos.z\n\
     for s = 1 to (numSplines $) do\n\
     (\n\
       for k = 1 to (numKnots $ s) do\n\
       (\n\
         knt = getKnotPoint $ s k\n\
         in_vec = getInVec $ s k\n\
         out_vec = getOutVec $ s k\n\
         knt.z = in_vec.z = out_vec.z = new_z\n\
         setInVec $ s k in_vec\n\
         setOutVec $ s k out_vec\n\
         setKnotPoint $ s k knt\n\
       )--end k loop\n\
     )--end s loop\n\
     updateshape $\n\
   )--end execute\n\
   )--end script\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroscript FlattenSpline category:&quot;HowTo&quot; tooltip:&quot;Flatten Spline&quot; (</code></pre><p>The macroScript will be called <code>FlattenSpline</code> . To use the script, you can go to Customize... and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on isEnabled return\n\
(\n\
selection.count == 1 and \\\n\
(classof selection[1] == SplineShape or \\\n\
classof selection[1] == Line) \\\n\
and selection[1].modifiers.count == 0\n\
)</code></pre><p>The macroScript ActionItem (button, menu item, shortcut) will only be enabled when the scene selection contains a single object AND this one object is either a SplineShape class (in other words an EditableSpline) without any modifiers as MAXScript cannot modify a spline with modifiers on top. The result of the expression after the return statement evaluates to true or false. When true, the script becomes enabled.</p>\n\
<p>In these lines we compare the count of the current scene selection with 1, then the class of the first selected object to the class SplineShape. Then once again we compare the class of the first selected object with the class Line as a newly drawn line would be an exception &#x2013; we can modify it, but the class is not SplineShape until collapsed to EditableSpline. Lastly, we check the number of modifiers and compare to 0.</p>\n\
<p>If the first AND either the second OR the third, AND the fourth condition are true, the selected object is valid and can be modified by the script!</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Macroscript_Body_Event_Handlers</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">ClassOf</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/ModifierArray-Values.html\">ModifierArray Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on execute do\n\
(</code></pre><p>The <code>on execute</code> handler contains the actual code. It will be executed whenever the script is started by clicking the button, selecting the item from a menu, using the keyboard shortcut etc.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Macroscript_Body_Event_Handlers</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">new_z = $.pos.z</code></pre><p>We will need the Z coordinate of the splineShape in order to move all Knots and Tangents to that position. We store the Z component of the position of the scene selection in the user variable new_z. Because we already checked in the isEnabled handler that there is only one object selected, we don&#x2019;t need to use selected[1] to access the first selected object &#x2013; we are completely sure the $ representing the current selection is actually a single object!</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Transform-Properties.html\">Node Transform Properties</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for s = 1 to (numSplines $) do\n\
(</code></pre><p>A splineShape can contain any number of splines (a Donut shape for example contains two circles!). To change every single spline, we will create a for loop which counts from 1 to the number of splines in the selected object.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape : Shape</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for k = 1 to (numKnots $ s) do\n\
(</code></pre><p>Each spline in the shape can contain any number of knots. To change every single knot, we will create another for loop which counts from 1 to the number of knots in the s-th spline &#x2013; the index of the spline is controlled by the outer for loop. Note that the for k... loop will be executed again and again for each repetition of the for s loop. So these are nested loops!</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape : Shape</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">knt = getKnotPoint $ s k</code></pre><p>Using getKnotPoint, we read the K-th knot in the S-th spline in the selected splineShape. We store its Point3 world coordinates in the user variable knt.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape : Shape</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">in_vec = getInVec $ s k</code></pre><p>Then we read the in vector of the K-th knot in the S-th spline in the selected splineShape. We store its Point3 world coordinates in the user variable in_vec.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape : Shape</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">out_vec = getOutVec $ s k</code></pre><p>We read the out vector of the K-th knot in the S-th spline in the selected splineShape. We store its Point3 world coordinates in the user variable out_vec.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape : Shape</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">knt.z = in_vec.z = out_vec.z = new_z</code></pre><p>Now we can set the Z coordinate of both vectors and the knot to the new value stored in the new_z variable. Note we can assign the same value to multiple variables as MAXScript processes the expression by evaluating the right-hand side of the assignment first then assigning the result to the left-hand side and so on.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Variable-Assignment.html\">Variable Assignment</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setInVec $ s k in_vec\n\
setOutVec $ s k out_vec</code></pre><p>Now we can assign the new in and out vectors back to the respective knot and spline.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape : Shape</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setKnotPoint $ s k knt</code></pre><p>Then we assign the new knot position back to the respective knot and spline.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape : Shape</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end k loop\n\
)--end s loop\n\
updateshape $\n\
)--end execute</code></pre><p>Finally, it is very important to update the splineShape. This makes all changes visible by updating the internal data structures. Failing to do so could cause instabilities in <strong>3ds Max</strong>.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape : Shape</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end script</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Evaluate the script. To use it, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut.</p>\n\
<p>Select a single spline in the scene and execute the script. All knots should move to become aligned to the XY plane in the height of the spline&#x2019;s pivot.</p>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>You could add an UI with options to align to other construction planes or to move the knots to the ground plane (by just using 0.0 instead of new_Z)</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";