var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-676FB825-84C1-4708-A398-993266E4D2AD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To - Introduction to the Tutorials</h1></div><p>The &quot;How To&quot; topics present some simple programming tasks as extended MAXScript examples. All of them are based on actual real-world cases, include detailed explanations and tips and tricks from the scripting practice. In addition, most of the scripts are not longer than 30 lines so they are perfectly suited for beginners.</p>\n\
<h2 id=\"objectives-\">Objectives:</h2><p>The main objective of these tutorials is to teach the MAXScript user some possible approaches for developing scripted solutions to practical problems - from the original idea through a concept expressed in a natural language (English) down to the actual MAXScript code and ideas for potential future enhancements.</p>\n\
<h2 id=\"structure-\">Structure:</h2><p>The &quot;How To&quot; tutorials provide</p>\n\
<p>A <strong>list of related topics</strong> the user might want to read before trying the actual tutorial;</p>\n\
<p>The <strong>complete uncommented code</strong> – the user can cut &amp; paste it and use immediately;</p>\n\
<p>The same <strong>code with detailed explanations;</strong></p>\n\
<p><strong>Links to definitions</strong> of the used functions and methods;</p>\n\
<p>Some info about the <strong>usage of the script</strong> in the practice;</p>\n\
<p>Things to try – <strong>ideas for improvements</strong> that the user could try alone.</p>\n\
<h2 id=\"topics-\">Topics:</h2><h4 id=\"how-to-develop-a-transform-lock-script\">How To ... Develop A Transform Lock Script</h4><p>Developing a simple script for checking all Transformation locks.</p>\n\
<h4 id=\"how-to-remove-all-materials\">How To ... Remove All Materials</h4><p>Creating a very simple script removing all materials from the scene.</p>\n\
<h4 id=\"how-to-quickly-rename-selected-objects\">How To ... Quickly Rename Selected Objects</h4><p>Developing a simple renaming utility to change the names of selected objects</p>\n\
<h4 id=\"how-to-select-non-quad-polygons\">How To ... Select Non-Quad Polygons</h4><p>Example of accessing and selecting Polygons in an EditablePoly object.</p>\n\
<h4 id=\"how-to-assign-materials-automatically\">How To ... Assign Materials Automatically</h4><p>Shows how to use MAXScript callbacks to automate material assignment.</p>\n\
<h4 id=\"how-to-move-objects-to-a-surface\">How To ... Move Objects to a Surface</h4><p>Shows how to use the intersectRay function to find surface points on objects.</p>\n\
<h4 id=\"how-to-output-object-data-to-file\">How To ... Output Object Data To File</h4><p>Shows the basic of writing object data to an external text file.</p>\n\
<h4 id=\"how-to-output-geometry-data-to-text-file-part-one\">How To ... Output Geometry Data To Text File - Part One</h4><p>Shows the basic of writing mesh geometry data to an external text file.</p>\n\
<h4 id=\"how-to-read-geometry-data-from-text-file-part-one\">How To ... Read Geometry Data From Text File - Part One</h4><p>Shows the basic of reading object data from an external text file.</p>\n\
<h4 id=\"how-to-output-geometry-data-to-text-file-part-two\">How To ... Output Geometry Data To Text File - Part Two</h4><p>Enhances the mesh geometry output script with support of smoothing groups, material ids and edge visibility.</p>\n\
<h4 id=\"how-to-read-geometry-data-from-text-file-part-two\">How To ... Read Geometry Data From Text File - Part Two</h4><p>Enhances the input script developed in Part One to support the new data added by the preceding tutorial.</p>\n\
<h4 id=\"how-to-create-a-quick-preview\">How To ... Create a Quick Preview</h4><p>Implements a simple viewport preview and automatic RAMplayer loading</p>\n\
<h4 id=\"how-to-access-the-z-depth-channel\">How To ... Access the Z-Depth channel</h4><p>A small experiment creating objects based on the Z-Depth of the camera.</p>\n\
<h4 id=\"how-to-create-a-monochrome-rendereffect\">How To ... Create a MonoChrome RenderEffect</h4><p>A simple example of a scripted RenderEffect plug-in.</p>\n\
<h4 id=\"how-to-create-custom-mesh-object\">How To ... Create Custom Mesh Object</h4><p>Shows how to create a custom mesh object.</p>\n\
<h4 id=\"how-to-create-scripted-geometry-plug-in\">How To ... Create Scripted Geometry Plug-in</h4><p>An example of a scripted geometry plug-in.</p>\n\
<h4 id=\"how-to-create-a-dalmatian-texturemap-plug-in\">How To ... Create a Dalmatian TextureMap Plug-in</h4><p>An example of a scripted texture map plug-in in the famous polka-dot dog look.</p>\n\
<h4 id=\"how-to-access-windows-system-data\">How To ... Access Windows System Data</h4><p>Shows an approach to access system data that is not directly exposed to MAXScript.</p>\n\
<h4 id=\"how-to-sort-trackview-alphabetically\">How To ... Sort TrackView Alphabetically</h4><p>Shows an approach to sort the objects in the TrackView.</p>\n\
<h4 id=\"how-to-flatten-a-splineshape\">How To ... Flatten a SplineShape</h4><p>Example of modifying a slineShape by moving knots and bezier vectors.</p>\n\
<h4 id=\"how-to-draw-a-freehand-spline\">How To ... Draw a Freehand Spline</h4><p>Example of drawing a spline with the mouse in the ground plane.</p>\n\
<h4 id=\"how-to-enhance-the-morpher-modifier-with-floating-controls\">How To ... Enhance the Morpher Modifier With Floating Controls</h4><p>Example of dynamic UI creation, time and change callbacks usage to create a floater with controls linked interactively to a Morpher modifier.</p>\n\
<h4 id=\"how-to-change-objects-at-render-time\">How To ... Change Objects At Render Time</h4><p>An example of changing object properties at render time using callback scripts.</p>\n\
<h4 id=\"how-to-develop-a-vertex-renderer\">How To ... Develop a Vertex Renderer</h4><p>An example of a scripted vertex realtime renderer.</p>\n\
<h3 id=\"how-to-script-particle-flow\">How To ... Script Particle Flow</h3><h4 id=\"how-to-transfer-particleflow-particle-motion-to-scene-objects\">How To ... Transfer ParticleFlow Particle Motion To Scene Objects</h4><p>An example of moving scene objects using Particle Flow particles.</p>\n\
<h4 id=\"how-to-affect-particle-flow-particles-by-mass\">How To ... Affect Particle Flow Particles by Mass</h4><p>An example of applying a Force to particles based on their mass.</p>\n\
<h3 id=\"how-to-develop-a-bitmap-painting-tool-in-nine-easy-steps\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</h3><h4 id=\"how-to-develop-a-bitmap-painting-tool-basic-utility\">How To ... Develop a Bitmap Painting Tool - Basic Utility</h4><p>The first step of the tool creation - The basic tool with a single point brush without strokes support.</p>\n\
<h4 id=\"how-to-develop-a-bitmap-painting-tool-strokes-support\">How To ... Develop a Bitmap Painting Tool - Strokes Support</h4><p>The second iteration of the tool adds continuous stroke drawing.</p>\n\
<h4 id=\"how-to-develop-a-bitmap-painting-tool-brush-size-and-color\">How To ... Develop a Bitmap Painting Tool - Brush Size and Color</h4><p>The third iteration of the tool adds control over the size and color of the brush.</p>\n\
<h4 id=\"how-to-develop-a-bitmap-painting-tool-airbrush-and-shapes\">How To ... Develop a Bitmap Painting Tool - Airbrush and Shapes</h4><p>The fourth iteration of the tool adds circular brush shape support and an Airbrush option with variable strength.</p>\n\
<h4 id=\"how-to-develop-a-bitmap-painting-tool-smooth-brushes\">How To ... Develop a Bitmap Painting Tool - Smooth Brushes</h4><p>The fifth iteration of the tool adds a brush with smooth falloff</p>\n\
<h4 id=\"how-to-develop-a-bitmap-painting-tool-load-and-save\">How To ... Develop a Bitmap Painting Tool - Load and Save</h4><p>The sixth iteration of the tool adds bitmap file loading and saving. Finally, you can store your work of art to disk and continue on painting later in a new session...</p>\n\
<h4 id=\"how-to-develop-a-bitmap-painting-tool-erase-changes\">How To ... Develop a Bitmap Painting Tool - Erase Changes</h4><p>The seventh iteration of the tool adds an eraser option to the right mouse button and a Commit Changes menu option to permanently bake the changes to the image.</p>\n\
<h4 id=\"how-to-develop-a-bitmap-painting-tool-unwrap-uv-coordinates\">How To ... Develop a Bitmap Painting Tool - Unwrap UV Coordinates</h4><p>The eight iteration of the tool adds UV texture coordinates unwrapping and realtime updates of the bitmap as diffusemap on a selected object.</p>\n\
<h4 id=\"how-to-develop-a-bitmap-painting-tool-3d-painting\">How To ... Develop a Bitmap Painting Tool - 3D Painting</h4><p>The ninth iteration of the tool adds 3D Painting on a selected object in the viewport.</p>\n\
<h3 id=\"how-to-develop-a-selected-objects-inspector-using-listview-activex-control\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control</h3><h4 id=\"how-to-develop-a-selected-objects-inspector-using-listview-activex-control-part-one\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part One</h4><p>This tutorial will demonstrate how to set up an ActiveX Control in a MAXScript rollout to display details about selected scene objects</p>\n\
<h4 id=\"how-to-develop-a-selected-objects-inspector-using-listview-activex-control-part-two\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part Two</h4><p>This second tutorial will demonstrate how to customize the ListView ActiveX Control defined in Part One and update the display automatically when the selection set changes</p>\n\
<h3 id=\"how-to-develop-a-scene-browser-using-treeview-activex-control\">How To ... Develop a Scene Browser using TreeView ActiveX Control</h3><h4 id=\"how-to-develop-a-scene-browser-using-treeview-activex-control-part-one\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part One</h4><p>This tutorial will demonstrate how to set up an ActiveX Control in a MAXScript rollout to display the hierarchy of the <em>3ds Max</em> scene nodes.</p>\n\
<h4 id=\"how-to-develop-a-scene-browser-using-treeview-activex-control-part-two\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</h4><p>The second tutorial will demonstrate how to customize the TreeView ActiveX Control defined in Part One by adding icons, colors and checkboxes to display and control the hidden state of scene nodes.</p>\n\
<h3 id=\"how-to-develop-tools-using-dotnet\">How To ... Develop Tools Using DotNet</h3><h4 id=\"how-to-copy-the-last-rendered-image-to-the-windows-clipboard\">How To ... Copy The Last Rendered Image To The Windows Clipboard</h4><p>This tutorial demonstrates how to use a DotNet class to put the last rendered image into the Windows Clipboard.</p>\n\
<h4 id=\"how-to-call-a-maxscript-function-periodically-using-dotnet\">How To ... Call a MAXScript Function Periodically using DotNet</h4><p>This tutorial demonstrates how to use a DotNet Timer object to call a MAXScript function at given intervals without the need for a rollout.</p>\n\
<h4 id=\"how-to-generate-hash-checksums-using-dotnet\">How To ... Generate Hash Checksums using DotNet</h4><p>This tutorial demonstrates how to use a DotNet Timer object to call a MAXScript function at given intervals without the need for a rollout.</p>\n\
<h4 id=\"how-to-print-using-dotnet\">How To ... Print Using DotNet</h4><p>This tutorial demonstrates how to use a DotNet form to display a file from disk and then print it as multiple pages to the printer.</p>\n\
<h3 id=\"how-to-develop-an-xview-geometry-checker\">How To ... Develop An XView Geometry Checker</h3><h4 id=\"how-to-develop-a-face-areaxviewchecker-part-1\">How To ... Develop A Face AreaXViewChecker - Part 1</h4><p>This tutorial demonstrates how to define and register MAXScript functions with the XView Checker interface introduced in <em>3ds Max 2010</em> to perform a Face Area test on geometry objects.</p>\n\
<h4 id=\"how-to-develop-a-face-areaxviewchecker-part2\">How To ... Develop A Face AreaXViewChecker - Part2</h4><p>This tutorial expands on the previous example by adding multiple checker modes and custom text and display override functions.</p>\n\
<h4 id=\"how-to-develop-a-face-areaxviewchecker-part3\">How To ... Develop A Face AreaXViewChecker - Part3</h4><p>This tutorial continues the development of the Face Area Geometry Checker by implementing sticky settings via an INI file.</p>\n\
<h4 id=\"how-to-develop-a-face-areaxviewchecker-part4\">How To ... Develop A Face AreaXViewChecker - Part4</h4><p>This tutorial finishes the development of the Face Area Geometry Checker by implementing a MacroScript to place in the Viewport Menus.</p>\n\
<h3 id=\"how-to-develop-an-svg-polygon-renderer\">How To ... Develop An SVG Polygon Renderer</h3><h4 id=\"how-to-develop-an-svg-polygon-renderer-part-1\">How To ... Develop An SVG Polygon Renderer - Part 1</h4><p>This tutorial demonstrates how to use the Vector_Map TextureMap introduced in <em>3ds Max 2014</em> to render polygons of scene geometry objects.</p>\n\
<h4 id=\"how-to-develop-an-svg-polygon-renderer-part2\">How To ... Develop An SVG Polygon Renderer - Part2</h4><p>The second part of this tutorial expands on the previous example by adding depth sorting to avoid incorrectly overlapping polygons.</p>\n\
<h4 id=\"how-to-develop-an-svg-polygon-renderer-part3\">How To ... Develop An SVG Polygon Renderer - Part3</h4><p>The third part of the tutorial implements material color and lighting support using Facets Shading with Blinn Specular Highlights.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";