var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2DB3A775-776F-4D63-BDFB-D99523ECB69D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Output Object Data To File</h1></div><p>MAXScript lets you create text files on disk and output custom data. The following example will create a macroScript that will output the speed of the current object selection on each frame and its average speed to a text file.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macroscripts</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\">Save File Dialog</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\">Text Files Creation and Output</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package the code as macroScript to be able to use as a button, menu item, or shortcut.</p>\n\
<p>   Let the user specify an output filename to save the information.</p>\n\
<p>   Write out the list of all selected objects as the file header.</p>\n\
<p>   Go through all frames in the current animation segment, get the selection&#x2019;s position on the current frame and the frame before, and calculate the units per frame speed.</p>\n\
<p>   Write out the result for each frame.</p>\n\
<p>   Collect all frame speed values and divide by the length of the animation segment to get the average speed.</p>\n\
<p>   Write out the average speed result.</p>\n\
<p>   Show the user the result by opening the file in an Editor.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SpeedSheet category:&quot;HowTo&quot;\n\
   (\n\
   if selection.count &gt; 0 then\n\
   (\n\
     output_name = getSaveFileName caption:&quot;SpeedSheet File&quot; types:&quot;SpeedSheet (*.ssh)|*.ssh|All Files (*.*)|*.*|&quot;\n\
     if output_name != undefined then\n\
    (\n\
     output_file = createfile output_name\n\
     at time animationrange.start format &quot;Object(s): %\\n&quot; (selection as array) to:output_file\n\
     average_speed = 0\n\
     for t = animationrange.start to animationrange.end do\n\
     (\n\
     at time t current_pos = selection.center\n\
     at time(t-1f) last_pos = selection.center\n\
     frame_speed = (distance current_pos last_pos)*FrameRate\n\
     average_speed += frame_speed\n\
     format &quot;Frame %: %\\n&quot; t frame_speed to:output_file\n\
     )\n\
     average_speed /= (animationrange.end-animationrange.start)\n\
     format &quot;Average Speed: %\\n&quot; average_speed to:output_file\n\
     close output_file\n\
     edit output_name\n\
    )--end if\n\
   )--end if\n\
   )--end macroScript\n\
\n\
\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step-\">Step-By-Step:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MacroScript SpeedSheet category:&quot;HowTo&quot;\n\
(</code></pre><p>We create a new macroScript called SpeedSheet that will appear in the &quot;HowTo&quot; category.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if selection.count &gt; 0 then\n\
(</code></pre><p>The script will function only if there is at least one object selected. We check the number of objects in the current scene selection and execute the code only if the number is higher than 0.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/ObjectSet-Values.html\">ObjectSet Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">output_name = getSaveFileName caption:&quot;SpeedSheet File&quot; types:&quot;SpeedSheet (*.ssh)|*.ssh|All Files (*.*)|*.*|&quot;</code></pre><p>Then, we present the user with a standard windows File Saving dialog box. The dialog title bar will show the custom caption string &quot;SpeedSheet File&quot;. We specify the default file type as .SSH (SpeedSheet) file. If the user types in a file name, the extension specified in the dialog is being added automatically.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\">Standard Open and Save File Dialogs</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if output_name != undefined then\n\
(</code></pre><p>If the user canceled the file selection in the Save File Name dialog, the output_name variable will contain undefined. In such a case, we will have to skip the whole output code. If the file name is valid, we can go on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">output_file = createfile output_name</code></pre><p>Then, we create a new file for output using the specified file name. If the file already exists, it will be overwritten.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">at time animationrange.start format &quot;Object(s): %\\n&quot; (selection as array) to:output_file</code></pre><p>Right after creating the file, we write out the names of the selected objects. The <code>at time</code> context ensures that position data of the objects is printed out for the first frame in the animation. The <code>format</code> method uses a formatting string where variables are denoted with <strong>%</strong>. <code>&quot;\\\\n&quot;</code> forces a new line.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/at-time.html\">at time</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds MaxSystem Globals</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">average_speed = 0</code></pre><p>To calculate the average speed, we initialize a variable to store all speed values for all frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for t = animationrange.start to animationrange.end do\n\
(</code></pre><p>Now, we go through all frames in the current animation segment. The variable <code>t</code> will contain a frame value which will change from the first to the last frame of the scene animation range.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">AnimationRange_Time_Configuration</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">at time t current_pos = selection.center</code></pre><p>Using the current time from the <code>for</code> loop variable <code>t</code> , we read the position of the center of the object selection.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/at-time.html\">at time</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/ObjectSet-Values.html\">ObjectSet Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">at time (t-1f) last_pos = selection.center</code></pre><p>Then, we read the position of the selection center one frame before the current frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">frame_speed = (distance current_pos last_pos)*FrameRate</code></pre><p>The frame speed on the current frame is equal to the distance traveled by the selection center since the last frame, multiplied by the frame number in a second. This gives us a speed in Generic Units per second.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Basic-Data-Values/Point3-Values.html\">Distance_Point3</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">Mid Topic ID: FrameRate_Time_Configuration</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">average_speed += frame_speed</code></pre><p>The average speed variable collects all frame speed values. Note that the same can be expressed in the full form as <code>average_speed = average_speed + frame_speed</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Format &quot;Frame %: %\\n&quot; t frame_speed to:output_file</code></pre><p>The frame speed is written together with the frame number to the output file.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
average_speed /= (animationrange.end - animationrange.start)</code></pre><p>After the loop is over, the average speed can be calculated by dividing the sum of all frame speed values through the number of frames. The same can be written as <code>average_speed = average_speed / (animationrange.end-animationrange.start)</code> .</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">AnimationRange_Time_Configuration</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">format &quot;Average Speed: %\\n&quot; average_speed to:output_file</code></pre><p>The result is printed out to the output file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Close output_file</code></pre><p>The file is ready. We must close it before we can open it for reading.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">close_fileStream</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">edit output_name</code></pre><p>Using the <code>edit</code> method, we open the file in a MAXScript editor window.</p>\n\
<p><a href=\"./../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Legacy-Editor-Windows/The-MAXScript-Legacy-Editor.html\">edit_MAXScript_Editor</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end if\n\
)--end if\n\
)--end macroScript</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Evaluate the script and customize a toolbar by dragging the SpeedSheet button from the &quot;HowTo&quot; category. You can create any number of objects and animate their position. While the objects are selected, press the SpeedSheet button, specify the name of the output file and the result appears in a second.</p>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>If you want to see the content of the text file in an external editor, for example in Windows Notepad, you can replace the line,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">edit output_name</code></pre><p>with the line,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">shellLaunch &quot;notepad.exe&quot; output_name</code></pre><p>which will launch the external application notepad.exe with the file name of the file as parameter.</p>\n\
<p>You might want to improve the script by calculating real-world units (inches, feet, meters, and so on) instead of generic units.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";