var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8C394F51-48FF-4605-B7C5-F3E62AABB5F9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Affect Particle Flow Particles by Mass</h1></div><p>Particle Flow allows the user to control the influence of certain Force-related Operators using MAXScript-generated particle channels. This is called Particle Wiring and is a hidden option in the Particle Flow User Interface.</p>\n\
<p>The following tutorial shows how to calculate a mass value for each particle and control the influence of a Wind force to get a more realistic behavior where light particles are blown away while heavy ones stay almost unaffected.</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE - SETUP</strong></p>\n\
<p>   Generate Particles on a surface without any speed or rotation, just position.</p>\n\
<p>   Add a Scale Operator to vary the size of the particles.</p>\n\
<p>   Add a Script Operator which will read the size of the particles generated by the Scale Operator.</p>\n\
<p>   Add a Force Operator.</p>\n\
<p>   Create a Wind Space Warp, add to the Force Operator.</p>\n\
<p>   Enable Script Wiring (see below).</p>\n\
<p>   Edit the script of the Script Operator to calculate the influence value for the Force Operator.</p>\n\
<p>   <strong>NATURAL LANGUAGE - SCRIPT</strong></p>\n\
<p>   Enable the Scale and Force channels.</p>\n\
<p>   For each particle, get the Scale value (the size of the particle).</p>\n\
<p>   Calculate the influence value.</p>\n\
<p>   Assign to the Force channel.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>PARTICLE VIEW SETUP</strong> <strong>:</strong></p>\n\
<p>   The Particle View setup features a Scale operator that defines variable sizes for the particles.</p>\n\
<p>   To get the <strong>Script Wiring</strong>, you have to do the following:</p>\n\
<ul>\n\
<li><strong>A:</strong> Add a Script Operator <strong>before</strong> the Force Operator to generate the Particle Float channel values needed to control the Force Influence.</li>\n\
</ul>\n\
<ul>\n\
<li><strong>B:</strong> Right-click the Force Operator and check the &quot;Use Script Wiring&quot; option.</li>\n\
</ul>\n\
<ul>\n\
<li><strong>C:</strong> This enables a new additional rollout in the Force Operator that lets you enable the Influence Control through the Float channel.</li>\n\
</ul>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-EE212018-61C6-4731-986B-30396E5B34D9-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT OPERATOR CODE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on ChannelsUsed pCont do\n\
   (\n\
    pCont.useScale = true\n\
    pCont.useFloat = true\n\
   )\n\
   on Init pCont do ()\n\
   on Proceed pCont do\n\
   (\n\
    count = pCont.NumParticles()\n\
    for i in 1 to count do\n\
    (\n\
     pCont.particleIndex = i\n\
     pCont.particleFloat = 1.0/(pCont.particleScale^3)\n\
    )\n\
   )\n\
   on Release pCont do ( )\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-83FCC767-E850-4732-AFF3-638A1C61C571-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-B0295D2A-F96A-4EEA-8681-C203413D075D-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-7D36634C-7298-4327-95DF-5D09719EE2AB-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-3DC70E05-4EB5-4D6A-82AC-1F12262B9B53-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-C6551527-EDAB-4F9A-9A8A-B6B3EAC8E484-low.gif\" alt></p>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on ChannelsUsed pCont do\n\
(</code></pre><p>The <code>ChannelsUsed</code> handler defines the channels to be used by the Script Operator. You cannot get or set particle related values from the particle container without specifying which properties you need access to. This way, Particle Flow does not have to provide the Script Operator with all possible channels (and there can be an arbitrary number of channels in Particle Flow), but only with those that are actually needed. This conserves memory.</p>\n\
<p>The parameter pCont contains  the Particle Container.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pCont.useScale = true</code></pre><p>As we want to read the size of the particles to calculate the mass, we will need access to the Scale channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pCont.useFloat = true</code></pre><p>We will also need the Float channel, which is an all-purpose data channel used to store floating point values. </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> )\n\
\n\
on Init pCont do\n\
(</code></pre><p>The <strong>Init</strong>  handler is used to initialize the Script Operator. Usually, you define variables and acquire initial values or create objects to be used by the <strong>Proceed</strong> handler. In our case, we will not use this handler. The parameter <strong>pCont</strong> contains  the Particle Container.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
\n\
on Proceed pCont do\n\
(</code></pre><p>The <strong>Proceed</strong> handler is called every time the Script Operator is evaluated by Particle Flow. It contains the actual body of the script. The parameter <strong>pCont</strong> contains the Particle Container that contains all particles the Operator is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">count = pCont.NumParticles()</code></pre><p>Here, we read the current number of particles in the particle container. We will access every one of them in the following loop. The reason we assign the value to a variable is that in the for loop that follows, the to limit is evaluated after each cycle of the loop to decide whether the i variable is greater than the limit. Using the pCont.NumParticles() method call inside the for loop calls the method n times, where n is the number of particles. With the current code, the method will be called just once and this will make the script faster.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i in 1 to count do\n\
(</code></pre><p>Now, we repeat the following code block for every single particle by using a for loop that counts from 1 to the number of particles. The variable i will contain the current particle index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pCont.particleIndex = i</code></pre><p>To work with multiple particles, we have to specify the current particle to access. Setting the .particleIndex property of the Particle Container to the i variable will make the i-th particle the current one. Any subsequent particle property access calls will be directed to that particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pCont.particleFloat = 1.0/(pCont.particleScale^3)</code></pre><p>This is the actual code line that calculates an influence value, which is reverse-proportional to the mass of the particle. The result is assigned to the particleFloat channel of the current particle and will be accessed by the Force Operator that has its Script Wiring enabled to accept the Float values from the particleFloat channel.</p>\n\
<blockquote>\n\
<p>   <strong>THIS LINE REQUIRES SOME MORE EXPLANATION:</strong></p>\n\
<p>   In general, the mass of an object depends on its volume and its density. As we assume that all particles in this system are made of the same material, we do not need the density. We will use just the Bounding Sphere of the particles. The volume of a sphere can be calculated using the following expression:</p>\n\
<p>   4/3*Pi*R^3</p>\n\
<p>   Where, R is the radius of the sphere. As 4, 3, and Pi are constants, we do not need them. They just scale the final value a bit and make the calculation slower. What we have now is Radius to the power of 3. The influence must decrease as the volume (and mass) increases, so we divide 1.0 by R^3.</p>\n\
<p>   This is not completely realistic. When using Wind, the influence of the Wind is also proportional on the cross-section of the blown object. The smaller the object, the lower the cross-section and thus lower the influence. As the cross-section of a sphere is a circle (Pi*R^2), we can reduce R^3/R^2 to just R (which is the particleScale in our case).</p>\n\
<p>   <strong>SO, WE CAN ACTUALLY USE THE LINE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   pCont.particleFloat = 1.0/pCont.particleScale</code></pre><p>   to be more realistic. Both functions provide a nice effect. You can use whatever suits your needs better.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)</code></pre><p>These are the end of the i loop and the end of the on Proceed... handler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> on Release pCont do ( ) </code></pre><p>The Release handler is usually needed to do cleanup work, but we do not need it this time.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Script-Particle-Flow.html\">How To ... Script Particle Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";