var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E4E93BC6-C0C2-435B-BE00-DC6C5406A0A7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Copy To and From Clipboard</h1></div><p>The following methods allow the copying of text and bitmap values to and from the Windows Clipboard.</p>\n\
<p>These methods are available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>They were previously available in the <a href=\"./../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getclipboardText()\n\
setclipboardText &lt;string&gt;</code></pre><p>Get/Set the text string in Window&apos;s clipboard. <strong><code>getclipboardText()</code> returns a string value, or undefined if the clipboard does not contain a string. <code>setclipboardText()</code></strong> returns true if the string was successfully placed in the clipboard, an integer error code if failed. Error code meanings are:</p>\n\
<p><strong>-1:</strong>memory could not be allocated</p>\n\
<p><strong>-2:</strong>clipboard could not be opened</p>\n\
<p><strong>-3:</strong>clipboard could not be cleared</p>\n\
<p><strong>-4:</strong>clipboard could not be set</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setclipboardBitmap &lt;bitmap&gt;\n\
getclipboardBitmap()</code></pre><p>Get/Set the bitmap in Window&apos;s clipboard. <strong><code>getclipboardBitmap()</code> returns a bitmap value, or undefined if the clipboard does not contain a bitmap. <code>setclipboardBitmap()</code></strong> returns true if the bitmap was successfully placed in the clipboard, an integer error code if failed. Error code meanings are:</p>\n\
<p><strong>-1:</strong>memory could not be allocated</p>\n\
<p><strong>-2:</strong>clipboard could not be opened</p>\n\
<p><strong>-3:</strong>clipboard could not be cleared</p>\n\
<p><strong>-4:</strong>clipboard could not be set</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   local str = &quot;Sorry For The Inconveniences!&quot;\n\
   retCode = setclipboardText str\n\
   format &quot;Return Code: %\\n&quot; retCode\n\
   local result = getclipboardText()\n\
   if (result != str) then\n\
   throw &quot;Clipboard functions didn&apos;t work&quot;\n\
   else \n\
   format &quot;%\\n&quot; result\n\
\n\
   local bm1 = bitmap 100 100 color:red\n\
   retCode = setclipboardBitmap bm1\n\
   format &quot;Return Code: %\\n&quot; retCode\n\
   local bm2 = getclipboardBitmap()\n\
   display bm2\n\
   OK\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interaction-With-The-Operating.html\">Interaction With The Operating System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interaction-With-The-Operating.html\">Interaction With The Operating System</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";