var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-30E85745-916B-4D41-8618-B92465A414FC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>HKey Values</h1></div><p><strong>HKey</strong> class instances are used to access registry keys.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a> .</p>\n\
<h2 id=\"constructors\">Constructors</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HKey &lt;HKey parentKey&gt; &lt;string keyName&gt; &lt;int writeAccess&gt;      </code></pre><p>Opens existing subkey of parentKey.</p>\n\
<p>This constructor is not typically used, instead the method <code>registry.openKey()</code> is used.</p>\n\
<h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HKey&gt;.parentKey : HKey - read-only - parent HKey   </code></pre><p>Contains the parent HKey of the sub key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HKey&gt;.name  : String - read-only - subKey name </code></pre><p>Contains the name of the sub key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HKey&gt;.accessRights : Integer - read-only - access rights flags </code></pre><p>Contains the access rights of the sub key (see tables below)</p>\n\
<p><strong>writeAccess values are as follows (see platform SDK help file for more info):</strong></p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>STANDARD_RIGHTS_READ</code></td>\n\
<td>0x00020000</td>\n\
</tr>\n\
<tr>\n\
<td><code>STANDARD_RIGHTS_WRITE</code></td>\n\
<td>0x00020000</td>\n\
</tr>\n\
<tr>\n\
<td><code>STANDARD_RIGHTS_ALL</code></td>\n\
<td>0x001F0000</td>\n\
</tr>\n\
<tr>\n\
<td><code>KEY_QUERY_VALUE</code></td>\n\
<td>0x00000001</td>\n\
</tr>\n\
<tr>\n\
<td><code>KEY_SET_VALUE</code></td>\n\
<td>0x00000002</td>\n\
</tr>\n\
<tr>\n\
<td><code>KEY_CREATE_SUB_KEY</code></td>\n\
<td>0x00000004</td>\n\
</tr>\n\
<tr>\n\
<td><code>KEY_ENUMERATE_SUB_KEYS</code></td>\n\
<td>0x00000008</td>\n\
</tr>\n\
</tbody></table>\n\
<p><strong>writeAccess values for common access types are:</strong></p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#readOnly</code></td>\n\
<td>0x00020019</td>\n\
</tr>\n\
<tr>\n\
<td><code>#writeOnly</code></td>\n\
<td>0x00020006</td>\n\
</tr>\n\
<tr>\n\
<td><code>#all</code></td>\n\
<td>0x000f003f</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Registry-Access.html\">Registry Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Registry-Structure.html\">Registry Structure</a></li>\n\
          <li><a class=\"link\" href=\"../../Interaction-With-The-Operating.html\">Interaction With The Operating System</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";