var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-95AD6CEA-8A88-4D54-834B-3FB89945DFAC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>System Tools</h1></div><p>This group of functions lets you gather various pieces of information about the system <strong>3ds Max</strong> is running on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.NumberOfProcessors()   </code></pre><p>Returns the number of processors (cores) available according to the operating system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.GetScreenWidth [ removeUIScaling:&lt;true&gt; ]</code></pre><p>Returns the screen width including multiple monitors the desktop might be extended to.</p>\n\
<p>The optional <code>removeUIScaling</code> parameter indicates whether to remove scaling on high-DPI displays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.GetScreenHeight [ removeUIScaling:&lt;true&gt; ]</code></pre><p>Returns the screen height including multiple monitors the desktop might be extended to.</p>\n\
<p>The optional <code>removeUIScaling</code> parameter indicates whether to remove scaling on high-DPI displays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.IsWindows98or2000() </code></pre><p>In versions <strong>prior to 3ds Max 2017</strong>, returned True if the Operating System is Windows98, Windows2000, Windows XP, Windows Vista or Windows 7.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.IsWindows9x() </code></pre><p>In versions <strong>prior to 3ds Max 2017</strong>, returned True if the OS is a Win9x flavor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.GetOSVersion() </code></pre><p>Returns the OS version as a three part array representing the major version, the minor version, and the build number. This function works for all versions of Windows that 3ds Max supports.</p>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; systemTools.IsDebugging() </code></pre><p>Returns True if running in a Debugger.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; systemTools.GetBuildNumber() </code></pre><p>Returns string in the form &quot;#.#.#.#&quot; where the numbers are the major version, the update version, the hot fix number, and the build number. This is the same string displayed as Product Version for 3dsmax.exe in <strong>File Properties</strong> and at the top of the <strong>About 3ds Max</strong> dialog.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.DebugPrint &lt;string&gt; </code></pre><p>Prints the specified string to the debug output window of Visual Studio.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.sceneIODebugEnabled &lt;boolean&gt; </code></pre><p>Specifies whether scene IO debugging is enabled. If true, information on scene load is sent to the log system.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; systemTools.isDebugBuild </code></pre><p>Returns true if this is a debug build of 3ds Max, false otherwise.</p>\n\
<p>Available in <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.getEnvVariable &lt;string&gt; </code></pre><p>Returns the contents of specified environment variable. If the specified environment variable does not exist, returns a value of undefined.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   systemTools.getEnvVariable &quot;PATH&quot;\n\
   &quot;C:\\WINDOWS\\system32;C:\\WINDOWS;C:\\WINDOWS\\System32\\Wbem;C:\\Program Files\\Common Files\\Autodesk Shared\\;C:\\Program Files\\backburner 2\\;&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;systemTools.setEnvVariable &lt;string&gt; { &lt;string&gt; | undefined } </code></pre><p>Sets the contents of specified environment variable.</p>\n\
<p>Returns True if the set occurred, False if not.</p>\n\
<p>If the second argument is the value undefined, the environment variable is deleted.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.GetRegistryKeyBase()</code></pre><p>Returns the base product registry key in the form: &quot;SOFTWARE\\<company name>\\<product name>\\<version>&quot;. The application uses this key as the base for storing registry settings.</version></product></company></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.GetRegistryKeyBase()\n\
--&gt; &quot;SOFTWARE\\Autodesk\\3dsMax\\21.0&quot;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int&gt;systemTools.getmaxstdio()</code></pre><p>Returns the number of simultaneously open files permitted at the stdio level (i.e. via fopen).</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int&gt;systemTools.setmaxstdio &lt;int newmax&gt;</code></pre><p>Sets the maximum number of simultaneously open files at the stdio level (i.e. via fopen).</p>\n\
<p>The valid range for the <code>newmax</code> argument is between 512 and 2048.</p>\n\
<p>Returns the new maximum value if successful.</p>\n\
<p>Currently, only increasing the value is allowed.</p>\n\
<p>Returns -1 if attempting to reduce the maximum count.</p>\n\
<p>This could be used for example to allow more Point Cache files to be read in parallel at the same time.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int&gt;systemTools.getSystemMetrics &lt;int&gt;</code></pre><p>Calls the win32 <code>GetSystemMetrics()</code> function, passing in the specified value. The return value is the return value from <code>GetSystemMetrics()</code>. See the Win32 documentation for <code>getSystemMetrics</code> for parameter values. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- get client window width\n\
   systemTools.getSystemMetrics 16\n\
   --&gt;1920\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;systemTools.isAeroEnabled()</code></pre><p>Returns True if the Windows Aero theme is enabled, False if using the Windows Classic theme on Windows 7. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;systemTools.IsGpuPresent()</code></pre><p>Returns true if at least one GPU is present on the current system, false otherwise.</p>\n\
<p>Available in <strong>in 3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array&gt;systemTools.EnumDisplayDevices [ removeUIScaling:&lt;true&gt; ]</code></pre><p>Returns an array of arrays, where each element in the outer array corresponds to a display device. For each display device, the array contains the device ID, the device name, the device string, the device state flags, and the device key. If the device is attached to the desktop, the array also contains the device&apos;s top left x and y pixel coordinates and its width and height. The pixel coordinates are 0-based. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p>See MSDN documentation of <code>EnumDisplayDevices</code> for more information on display devices.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   devices= systemTools.EnumDisplayDevices removeUIScaling:true\n\
        for d in devices do print d #nomap\n\
        #(&quot;\\\\.\\DISPLAY1&quot;, &quot;NVIDIA Quadro FX 4800&quot;, 5, &quot;PCI\\VEN_10DE&amp;DEV_05FE&amp;SUBSYS_059410DE&amp;REV_A1&quot;, &quot;\\Registry\\Machine\\System\\CurrentControlSet\\Control\\Video{8A328D59-1288-485D-821D-7DA906E41335}\\0000&quot;, 0, 0, 1920, 1080)\n\
        #(&quot;\\\\.\\DISPLAY2&quot;, &quot;NVIDIA Quadro FX 4800&quot;, 1, &quot;PCI\\VEN_10DE&amp;DEV_05FE&amp;SUBSYS_059410DE&amp;REV_A1&quot;, &quot;\\Registry\\Machine\\System\\CurrentControlSet\\Control\\Video{8A328D59-1288-485D-821D-7DA906E41335}\\0001&quot;, 1920, 0, 1920, 1080)\n\
        #(&quot;\\\\.\\DISPLAYV1&quot;, &quot;RDPDD Chained DD&quot;, 2097160, &quot;&quot;, &quot;\\Registry\\Machine\\System\\CurrentControlSet\\Control\\Video{DEB039CC-B704-4F53-B43E-9DD4432FA2E9}\\0000&quot;)\n\
        #(&quot;\\\\.\\DISPLAYV2&quot;, &quot;RDP Encoder Mirror Driver&quot;, 2097160, &quot;&quot;, &quot;\\Registry\\Machine\\System\\CurrentControlSet\\Control\\Video{42cf9257-1d96-4c9d-87f3-0d8e74595f78}\\0000&quot;)\n\
        #(&quot;\\\\.\\DISPLAYV3&quot;, &quot;RDP Reflector Display Driver&quot;, 2097160, &quot;&quot;, &quot;\\Registry\\Machine\\System\\CurrentControlSet\\Control\\Video{b043b95c-5670-4f10-b934-8ed0c8eb59a8}\\0000&quot;)\n\
        OK\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; GenerateMiniDumpAndContinue sendDump:&lt;false&gt; </code></pre><p>Available <strong>in 3ds Max 2018.2 Update and higher</strong>: Generate a MiniDump file and continue executing. If <strong>sendDump</strong> is true, the minidump file is sent to Autodesk.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This method, and in particular the <strong>sendDump</strong> argument is primarily for testing of minidump generation, and should not generally be used.</div>\n\
<p>The MiniDump file generated is located at C:\\Users\\<username>\\AppData\\Local\\temp\\3dsmax_minidump.dmp.</username></p>\n\
<p>If a big MiniDump file is generated, it is located at C:\\Users\\<username>\\AppData\\Local\\temp\\3dsmax_minidump_big.dmp.</username></p>\n\
<p>See also: &quot;Using 3ds Max Generated Minidump Files&quot; in the 3ds Max Developer Guide.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; SetMiniDumpContents {#default | #basic | #medium | #full | &lt;int&gt;}</code></pre><p>Available <strong>in 3ds Max 2018.2 Update and higher</strong>: Sets the contents of generated minidumps. The <code>#default</code> and <code>#medium</code> flags are equivalent.</p>\n\
<p>The MiniDump flags set for each level are as follows (see link below for description of the MiniDump flag values) :</p>\n\
<ul>\n\
<li><code>#basic</code> - MiniDumpNormal</li>\n\
<li><code>#medium</code> - MiniDumpNormal | MiniDumpWithIndirectlyReferencedMemory</li>\n\
<li><code>#full</code> - MiniDumpNormal | MiniDumpWithDataSegs | MiniDumpWithFullMemory | MiniDumpWithHandleData | MiniDumpWithUnloadedModules | MiniDumpWithIndirectlyReferencedMemory | MiniDumpWithProcessThreadData | MiniDumpWithPrivateReadWriteMemory | MiniDumpIgnoreInaccessibleMemory</li>\n\
</ul>\n\
<p>If <code>&lt;int&gt;</code> is specified, the bits set correspond to the MiniDump flag values.</p>\n\
<p>See also: &quot;Using 3ds Max Generated Minidump Files&quot; in the 3ds Max Developer Guide.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">systemTools.SetBigMiniDumpContents {#default | #basic | #medium | #full | #off | &lt;int&gt;</code></pre><p>Available <strong>in 3ds Max 2018.2 Update and higher</strong>: Sets the contents of generated big minidumps. Normally this is set to <code>#off</code>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Big minidump files at <code>#full</code> setting can be quite large, sometimes more than 2GB. Use with caution.</div>\n\
<p>See also: &quot;Using 3ds Max Generated Minidump Files&quot; in the 3ds Max Developer Guide.</p>\n\
<p><strong>For internal use only:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;systemTools.PB2_AllNoRefSafePointersTestingDisable &lt;boolean&gt;disable</code></pre><p>For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;systemTools.PB2_AllNoRefSafePointersTestingDisables()</code></pre><p>For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;systemTools.allocateMemory()</code></pre><p>For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;systemTools.releaseMemory()</code></pre><p>For internal use only.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interaction-With-The-Operating.html\">Interaction With The Operating System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interaction-With-The-Operating.html\">Interaction With The Operating System</a></li>\n\
          <li><a class=\"link\" href=\"System-Information.html\">System Information</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";