var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-282F32AC-5A80-4FDB-B8C0-275D2CC15845\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Windows Structure</h1></div><p>The <strong>Windows struct</strong> provides methods to access the Windows OS&apos; User Interface elements.</p>\n\
<p>Unless noted otherwise, these methods are available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<p>They were previously available in the <a href=\"./../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.getMAXHWND()</code></pre><p>This method returns the HWND of the main <strong>3ds Max</strong> window as an integer (Pointer value).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.getDesktopHWND()</code></pre><p>This method returns the HWND of the MS Window&apos;s desktop as an integer (Pointer value).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.sendMessage &lt;int HWND&gt; &lt;int message&gt; &lt;int messageParameter1&gt; &lt;int messageParameter2&gt;</code></pre><p>Sends a Win32 message to the HWND specified in the first argument.</p>\n\
<p>The second argument is the message ID, usually specified as hexadecimal number.</p>\n\
<p>The third and fourth arguments are the message parameters. When no parameters are expected, pass 0 as a placeholder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.postMessage &lt;int HWND&gt; &lt;int message&gt; &lt;int messageParameter1&gt; &lt;int messageParameter2&gt; </code></pre><p>Calls the Window&apos;s PostMessage function passing the argument values.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.processPostedMessages()</code></pre><p>Runs a message pump that retrieves any pending Window&apos;s messages and dispatches them to <strong>3ds Max</strong>.</p>\n\
<p>Calling this method will process all pending messages. It can be used inside a MAXScript loop which would otherwise cause a &quot;white screen&quot; in Windows 7 due to <strong>3ds Max</strong> being unresponsive while performing long calculations.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.getChildrenHWND {&lt;int HWND&gt;|#max} parent:{&lt;int HWND&gt;| #max}</code></pre><p>This method returns an array of the children windows of the specified HWND, recursively.</p>\n\
<p>If the specified HWND is 0, only the top level desktop windows are returned (not recursively).</p>\n\
<p>If the parent HWND is specified, only windows whose immediate parent is the specified window are returned.</p>\n\
<p>If <code>#max</code> is specified as the HWND, the HWND associated with the <strong>3ds Max</strong> main window is used.</p>\n\
<p>If the specified HWND does not exist, the value <code>undefined</code> is returned.</p>\n\
<p>Otherwise, an array is returned.</p>\n\
<p>Each element of the array corresponds to a window, and contains an 8 elements array (originally, only the first 5 elements were returned in <strong>3ds Max 2008</strong>)</p>\n\
<p><strong>The elements of these arrays represent the window&apos;s:</strong></p>\n\
<p>1: HWND</p>\n\
<p>2: the parent HWND. This does not include the owner (GetAncestor(hWnd,GA_PARENT))</p>\n\
<p>3: the parent or owner HWND. If the window is a child window, the return value is a handle to the parent window. If the window is a top-level window, the return value is a handle to the owner window. (GetParent(hWnd))</p>\n\
<p>4: class name as a string (GetClassName(hWnd, className, bufSize)) - limit of 255 characters</p>\n\
<p>5: window text as a string (GetWindowText(hWnd, windowText, bufSize)) - limit of 255 characters</p>\n\
<p>6: the owner&apos;s HWND (GetWindow(hWnd,GW_OWNER))</p>\n\
<p>7: root window HWND. The root window as determined by walking the chain of parent windows (GetAncestor(hWnd,GA_ROOT))</p>\n\
<p>8: owned root window HWND. The owned root window as determined by walking the chain of parent and owner windows returned by GetParent (GetAncestor(hWnd,GA_ROOTOWNER))</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE, A PARTIAL RESULT FROM THE CALL</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   print (windows.getChildrenHWND #max)\n\
</code></pre><p>   looks like</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ...\n\
   #(16990604P, 25827408P, 25827408P, &quot;#32770&quot;, &quot;Main Toolbar&quot;, 25827408P, 25827408P, 25827408P)\n\
   #(2048768P, 16990604P, 16990604P, &quot;CustToolbar&quot;, &quot;&quot;, 0P, 25827408P, 25827408P)\n\
   #(8794706P, 2048768P, 2048768P, &quot;CustSeparator&quot;, &quot;&quot;, 0P, 25827408P, 25827408P)\n\
   #(33762226P, 2048768P, 2048768P, &quot;CustButton&quot;, &quot;&quot;, 0P, 25827408P, 25827408P)\n\
   #(34615562P, 2048768P, 2048768P, &quot;CustButton&quot;, &quot;&quot;, 0P, 25827408P, 25827408P)\n\
   #(999632P, 2048768P, 2048768P, &quot;CustButton&quot;, &quot;&quot;, 0P, 25827408P, 25827408P)\n\
   #(5908980P, 2048768P, 2048768P, &quot;CustSeparator&quot;, &quot;&quot;, 0P, 25827408P, 25827408P)\n\
   #(19083138P, 2048768P, 2048768P, &quot;ComboBox&quot;, &quot;All&quot;, 0P, 25827408P, 25827408P)\n\
   ...\n\
</code></pre><p>   In this case, the Main Toolbar of <strong>3ds Max</strong> is a docked window which has a HWND of 16990604, the <strong>3ds Max</strong> main window&apos;s HWND is 25827408, the class name of the Main Toolbar is &quot;#32770&quot; and the window text of the toolbar is &quot;Main Toolbar&quot;. It is owned by and rooted at the <strong>3ds Max</strong> window with HWND 25827408, which explains elements 6,7 and 8.</p>\n\
<p>   The next element is the toolbar window itself which has a HWND of 2048768 and is parented to the Main Toolbar window with HWND 16990604. The class of the toolbar is &quot;CustToolbar&quot; and it does not display any text. It is not owned by a window (so the HWND is 0), but it is rooted at the <strong>3ds Max</strong> window with HWND 25827408.</p>\n\
<p>   The next element is the first separator in the toolbar. It has a HWND of 8794706 and is parented to the custom toolbar with HWND of 2048768. Its class is &quot;CustSeparator&quot; and has no text associated with it. It has no owner and is rooted at the 3ds Max window.</p>\n\
<p>   After that we get the first icon in the Main Toolbar with HWND 33762226. It is also parented to the custom toolbar with HWND of 2048768 and has the class &quot;CustButton&quot; and no text. It has no owner and is rooted at the 3ds Max window.</p>\n\
<p>   After that come more buttons and separators. The one with HWND 19083138P is the Selection Filter ComboBox which displays &quot;All&quot; by default.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.getChildHWND {&lt;int HWND&gt;| #max} &lt;string&gt; parent:{&lt;int HWND&gt;|#max}</code></pre><p>The mehod returns the child window of the specified HWND with the given child window&apos;s text. Child windows are recursively searched.</p>\n\
<p>If the specified HWND is 0, only the top level desktop windows are searched (not recursively).</p>\n\
<p>If the parent HWND is specified, only windows whose immediate parent is the specified window are searched.</p>\n\
<p>If <code>#max</code> is specified as the HWND, the HWND associated with <strong>3ds Max</strong> main window is used.</p>\n\
<p>If the specified HWND does not exist, the value <code>undefined</code> is returned.</p>\n\
<p>If a child window with the specified text is not found, <code>undefined</code> is returned.</p>\n\
<p>The text comparison is <strong>case insensitive</strong>.</p>\n\
<p>If a match is found, an 8 element array is returned. See the documentation of the <strong><code>windows.getChildrenHWND()</code></strong> method above for details on their meaning.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE, A PARTIAL RESULT FROM THE CALL</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   max file xref object -- open xref object dialog\n\
   xro_hwnd = windows.getChildHWND 0 &quot;XRef Objects&quot; parent:#max -- find xref object dialog\n\
   if xro_hwnd != undefined do windows.sendMessage xro_hwnd[1] 0x0010 0 0 -- if found, send close message\n\
   max file xref scene -- open xref sceen dialog\n\
   xrs_hwnd = windows.getChildHWND 0 &quot;XRef Scenes&quot; parent:#max -- find xref scene dialog\n\
   if xrs_hwnd != undefined do windows.sendMessage xrs_hwnd[1] 0x0010 0 0 -- if found, send close message\n\
</code></pre><p>   <strong>LISTENER OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   OK\n\
   #(25961156P, 65552P, 25827408P, &quot;#32770&quot;, &quot;XRef Objects&quot;, 25827408P, 25961156P, 25827408P)\n\
   1\n\
   OK\n\
   #(26813124P, 65552P, 25827408P, &quot;#32770&quot;, &quot;XRef Scenes&quot;, 25827408P, 26813124P, 25827408P)\n\
   1\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.getHWNDData {&lt;int HWND&gt;|#max}</code></pre><p>Returns data associated with the specified HWND.</p>\n\
<p>If <code>#max</code> is specified as the HWND, the HWND associated with the <strong>3ds Max</strong> main window is used.</p>\n\
<p>If the specified HWND does not exist, the value undefined is returned.</p>\n\
<p>If a match is found, a 8 element array is returned. See the documentation of the <strong><code>windows.getChildrenHWND()</code></strong> method above for details on their meaning.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>Note that in <strong>3ds Max 2011 and higher</strong>, rollouts and rollout controls expose a read-only <code>.hwnd</code> property.</p>\n\
<p>In the case of a rollout, the property contains the Window&apos;s HWND associated with the rollout, or 0 if the rollout is not open.</p>\n\
<p>In the case of a rollout User Interface control, the property contains an array of the Window&apos;s HWND of the rollout containing the rollout, or an empty array of the rollout is not open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.setWindowPos &lt;int HWND&gt; &lt;int x&gt; &lt;int y&gt; &lt;int width&gt; &lt;int height&gt; &lt;bool repaint&gt; [ applyUIScaling:&lt;true&gt; ]</code></pre><p>]</p>\n\
<p>Set the position of the window specified by the HWND to the X and Y coordinates specified by the second and third arguments.</p>\n\
<p>Also set the Width and Height of the window to the values passed as fourth and fifth arguments.</p>\n\
<p>When the sixth argument is set to True, the window will also be repainted.</p>\n\
<p>The <code>applyUIScaling</code> parameter indicates whether to apply scaling required on high DPI displays.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.setWindowPos &lt;int HWND&gt; &lt;Box2 rect&gt; &lt;bool repaint&gt; [ applyUIScaling:&lt;true&gt; ]</code></pre><p>Set the position of the window specified by the HWND to the coordinates and size given by the second Box2 argument.</p>\n\
<p>When the third argument is set to True, the window will also be repainted.</p>\n\
<p>The <code>applyUIScaling</code> parameter, when set to true, applies any scaling required on HDPI displays.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box2 rect&gt;windows.getWindowPos &lt;int HWND&gt; [ removeUIScaling:&lt;true&gt; ]</code></pre><p>Returns the position of the upper left corner and the width and height of the window specified by the HWND argument.</p>\n\
<p>The position is expressed in screen coordinates relative to the upper-left corner of the screen.</p>\n\
<p>The <code>removeUIScaling</code> parameter, when true, removes any scaling applied on HDPI displays.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test1 &quot;Test&quot; ( button btn &quot;PRESS ME&quot; ) --a test rollout\n\
   createDialog test1 200 50 120 140 --rollout, width, height, x, y\n\
   windows.getWindowPos test1.hwnd --get the resulting position and size\n\
</code></pre><p>   <strong>LISTENER OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Rollout:test1\n\
   true\n\
   (Box2 120 140 206 75)\n\
   --Note that the width and height include the borders and the title bar \n\
   --and can vary depending on the Windows Theme used.\n\
</code></pre><p>   <strong>NOW LET&apos;S MOVE AND RESIZE IT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   windows.setWindowPos test1.hwnd 220 240 206 55 true</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2&gt;windows.clientToScreen &lt;int HWND&gt; &lt;int x&gt; &lt;int y&gt; [ applyUIScaling:&lt;true&gt; ]</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2&gt;windows.clientToScreen &lt;int HWND&gt; &lt;Point2 clientCoord&gt; [ applyUIScaling:&lt;true&gt; ]</code></pre><p>Converts the coordinates from the Client space of the window specified by the first argument to coordinates relative to the upper left corner of the Screen.</p>\n\
<p>The <code>applyUIScaling</code> parameter, when set to true, applies any scaling required on HDPI displays.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2&gt;windows.screenToClient &lt;int HWND&gt; &lt;int x&gt; &lt;int y&gt; [ applyUIScaling:&lt;true&gt; ]</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2&gt;windows.screenToClient &lt;int HWND&gt; &lt;Point2 screenCoord&gt; [ applyUIScaling:&lt;true&gt;] </code></pre><p>Converts the coordinates from Screen space relative to the upper left corner into Client space of the window specified by the first argument.</p>\n\
<p>The <code>applyUIScaling</code> parameter, when set to true, applies any scaling required on HDPI displays.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tv = trackviews.getTrackView 1\n\
   --&gt;&lt;MixinInterface:TrackView&gt;\n\
\n\
   windows.getWindowPos tv.ui.hwnd\n\
   --&gt;(Box2 244 242 1200 400)\n\
\n\
   screenPos = windows.clientToScreen tv.ui.hwnd 10 20 \n\
   --&gt;[262,312]\n\
\n\
   windows.screenToClient tv.ui.hwnd screenPos.x screenPos.y\n\
   --&gt;[10,20]\n\
\n\
   windows.getWindowPos tv.ui.hwnd \n\
   --&gt;(Box2 244 242 1200 400)\n\
\n\
   windows.setWindowPos tv.ui.hwnd 0 0 1200 400 \n\
   --&gt;true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.snapshot {&lt;int_HWND&gt;|#max} captureAlpha:&lt;boolean&gt; gammaCorrect:&lt;boolean&gt; captureScreenPixels:&lt;boolean&gt; </code></pre><p>Creates a Bitmap snapshot of the specified HWND.</p>\n\
<p>If the specified HWND is 0, a snapshot of the Windows Desktop will be taken.</p>\n\
<p>If the argument is set to <code>#max</code> , the HWND associated with the 3ds Max main window will be used.</p>\n\
<p>If the <code>captureAlpha:</code> optional keyword argument is specified and set to True, the viewport Alpha will also be captured. If not specified or set to False, the returned image will contain no Alpha and only the RGB channels.</p>\n\
<p>If the <code>gammaCorrect:</code> optional keyword argument is not specified or set to True, gamma correction will be performed on the returned Bitmap value. If set to False, no gamma correction will be performed.</p>\n\
<p>If the <code>captureScreenPixels:</code> optional keyword argument is set to True, the window desktop pixels will be captured within the region of the specified window.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Get a snapshot of the Windows Desktop:\n\
   ssBitmap1 = windows.snapshot 0\n\
   display ssBitmap1 caption:&quot;Desktop Snapshot&quot;\n\
\n\
   --Get a snapshot of the 3ds Max Main Window without gamma correction:\n\
   ssBitmap2 = windows.snapshot #max gammaCorrect:False\n\
   display ssBitmap2 caption:&quot;3ds Max Main Window&quot;\n\
\n\
   --Get a snapshot of the active viewport:\n\
   ssBitmap3 = windows.snapshot (viewport.getHWnd()) \n\
   display ssBitmap3 caption:&quot;Active Viewport&quot;\n\
</code></pre></blockquote>\n\
<p>See also <a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Viewport.GetViewportDib()</a> and <a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\"#dib--device-independent-bitmap--methods\">gw.getViewportDib()</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">windows.addChild &lt;int_HWND&gt; &lt;int_HWND&gt;</code></pre><p>Makes an ActiveX control whose HWND is passed as first argument the child of the window with HWND passed as second argument.</p>\n\
<p>The first argument cannot be a MAXScript control or rollout, it must be an ActiveX control.</p>\n\
<p>Given that ActiveX controls are considered obsolete since <strong>3ds Max 9</strong>, this method can also be considered <strong>obsolete</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interaction-With-The-Operating.html\">Interaction With The Operating System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interaction-With-The-Operating.html\">Interaction With The Operating System</a></li>\n\
          <li><a class=\"link\" href=\"../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Sending-Windows-Message.html\">Sending Windows Message</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";