var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-11F1DD52-A99E-4537-90EC-8DFE9547F21E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Converting ActiveX TreeView Control to DotNet TreeView Control</h1></div><p>TreeView Controls are among the most widely used ActiveX controls in scripted 3ds Max tools. Converting such scripts to use DotNet TreeView controls is a relatively straightforward process.</p>\n\
<p>Let&apos;s take as the base for our conversion example the simple script available in the topic <a href=\"./../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-1.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part One</a></p>\n\
<p>In the following script, you can compare the original ActiveX code which is now remarked and in green to the new commented DotNet code.</p>\n\
<blockquote>\n\
<p>   <strong>CONVERSION OF THE SCRIPT - PART ONE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SceneTreeView category:&quot;DotNet&quot;\n\
   (\n\
   rollout treeview_rollout &quot;TreeView Scene Browser&quot;\n\
   (\n\
   /* ActiveXVersion:\n\
   fn initTreeView tv =\n\
   (\n\
   tv.Indentation = 28*15\n\
   tv.LineStyle = #tvwRootLines\n\
   )\n\
   */\n\
\n\
   fn initTreeView tv =\n\
   (\n\
   tv.Indent= 28 --property name is different and value is in pixels\n\
   --the default style already has root lines.\n\
   ) \n\
\n\
   /* ActiveXVersion:\n\
   fn addChildren tv theNode theChildren =\n\
   (\n\
   for c in theChildren do\n\
   (\n\
   newNode = tv.Nodes.add theNode.index 4 &quot;&quot; c.name 0\n\
   addChildren tv newNode c.children\n\
   )\n\
   )\n\
   */\n\
\n\
   fn addChildren theNode theChildren =\n\
   (\n\
   for c in theChildren do\n\
   (\n\
   newNode = theNode.Nodes.add c.name --add to the parent!\n\
   newNode.tag = dotNetMXSValue c --.tag can contain a MXS value\n\
   addChildren newNode c.children --recursive call for new node\n\
   )\n\
   )\n\
\n\
   /* ActiveX Version:\n\
   fn fillInTreeView tv =\n\
   (\n\
   theRoot = tv.Nodes.add()\n\
   theRoot.text = &quot;WORLD ROOT&quot;\n\
   rootNodes = for o in objects where o.parent == undefined collect o\n\
   addChildren tv theRoot rootNodes\n\
   )\n\
   */\n\
\n\
   fn fillInTreeView tv =\n\
   (\n\
   theRoot = tv.Nodes.add &quot;WORLD ROOT&quot; --add parent node\n\
   rootNodes = for o in objects where o.parent == undefined collect o\n\
   addChildren theRoot rootNodes --no need to pass theTreeView\n\
   )\n\
\n\
   /*ActiveX Version:\n\
   activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; width:190 height:290 align:#center\n\
   */\n\
\n\
   dotNetControl tv &quot;TreeView&quot; width: 190 height:290 align:#center\n\
   spinner spn_indent &quot;Indentation&quot; range:[0,100,28] type:#integer fieldwidth:40\n\
\n\
   /*ActiveX Version:\n\
   on tv nodeClick theNode do try(select (getNodeByName theNode.text))catch()\n\
   */\n\
\n\
   on tv Click arg do\n\
   (\n\
   --First get theTreeView node below the mouse cursor\n\
   --The arg argument has properties .x and .y with the current pos.\n\
   --Use showProperties arg to see what is available...\n\
   --We use the TreeView method GetNodeAt to see what was clicked:\n\
   hitNode = tv.GetNodeAt (dotNetObject &quot;System.Drawing.Point&quot; arg.x arg.y)\n\
   if hitNode != undefined do --if a TreeView node was clicked,\n\
   try(select hitNode.tag.value)catch(max select none)\n\
   --...we try to select the object stored as value in the .tag\n\
   )\n\
   --We change the .indentation to .indent:\n\
   on spn_indent changed val do tv.indent = val\n\
   --The rest of the script does not require changes:\n\
   on treeview_rollout open do\n\
   (\n\
   initTreeView tv\n\
   fillInTreeView tv\n\
   )\n\
   )\n\
   try(destroyDialog treeview_rollout)catch()\n\
   createDialog treeview_rollout200 320\n\
   )\n\
</code></pre></blockquote>\n\
<p>Now let&apos;s take a look at the second part of the TreeView example found in the topic <a href=\"./../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-2.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - PartTwo</a>. In this example, we will convert the ActiveX ImageList control to a DotNet ImageList object, will add icons to the TreeView, set the node&apos;s color to the wireframe color of the scene object and also add checkboxes to control the hidden state of the objects.</p>\n\
<blockquote>\n\
<p>   <strong>CONVERSION OF THE SCRIPT - PART TWO</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SceneTreeView category:&quot;DotNet&quot;\n\
   (\n\
   --We create an ImageList object to hold all icons for the TreeView\n\
   --in the local scope of the MacroScript. In he case of ActiveX,\n\
   --the ImageList had to be a UI control inside the rollout.\n\
   --It is possible to create a local DotNet object inside the rollout\n\
   --and pass the ImageList as parameter to the functions, but it is\n\
   --more convoluted. In this version, all functions &quot;see&quot; the\n\
   --ImageList DotNet object in the higher scope:\n\
   ilTv = dotNetObject &quot;System.Windows.Forms.ImageList&quot;\n\
   ilTv.imageSize = dotNetObject &quot;System.Drawing.Size&quot; 16 15\n\
   rollout treeview_rollout &quot;TreeView Scene Browser&quot;\n\
   (\n\
   /* ActiveX Version:\n\
   fn getIconFromBitmap thePath number =\n\
   (\n\
   tempBmp = openBitmap thePath\n\
   iconBmp = bitmap 16 15\n\
   for v = 0 to 14 do\n\
   setPixels iconBmp [0,v] (getPixels tempBmp [(number-1)*16, v] 16)\n\
   iconBmp.filename = getDir #image +&quot;/_temp.bmp&quot;\n\
   save iconBmp\n\
   close iconBmp\n\
   close tempBmp\n\
   getDir #image +&quot;/_temp.bmp&quot;\n\
   )\n\
   */\n\
   --When creating icons for DotNet, it is necessary to create\n\
   --one bitmap for each icon, because the DotNet image list will\n\
   --lock the file for the duration of the script execution.\n\
   --The original script used a single file to write temporarily\n\
   --all icon bitmaps. This version writes a separate bitmap with the\n\
   --name passed as third argument. The function only creates bitmaps\n\
   --if they do not exist yet to avoid bitmap access errors.\n\
   fn getIconFromBitmap thePath number iconFileName =\n\
   (\n\
   theFileName = getDir #image +&quot;\\\\icon_&quot;+ iconFileName +&quot;.bmp&quot;\n\
   if not doesFileExist theFileName do\n\
   (\n\
   tempBmp = openBitmap thePath\n\
   iconBmp = bitmap 16 15\n\
   for v = 0 to 14 do\n\
   setPixels iconBmp [0,v] (getPixels tempBmp [(number-1)*16, v] 16)\n\
   iconBmp.filename = theFileName\n\
   save iconBmp\n\
   close iconBmp\n\
   close tempBmp\n\
   )\n\
   img = dotNetClass &quot;System.Drawing.Image&quot; --create an image\n\
   ilTv.images.add (img.fromFile theFileName) --add to the list\n\
   )\n\
   /* ActiveX Version:\n\
   fn initTreeView tv ilTv =\n\
   (\n\
   tv.Indentation = 28*15\n\
   tv.LineStyle = #tvwRootLines\n\
   tv.checkboxes = true\n\
   tv.sorted = true\n\
   ilTv.imagewidth = 16\n\
   ilTv.imageheight = 15\n\
   iconDir = (getDir #ui) + &quot;\\\\icons&quot;\n\
   ilTv.listImages.add 1 #root (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Standard_16i.bmp&quot;) 2))\n\
   ilTv.listImages.add 2 #geomnode (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Standard_16i.bmp&quot;) 1))\n\
   ilTv.listImages.add 3 #light (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Lights_16i.bmp&quot;) 3))\n\
   ilTv.listImages.add 4 #camera (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Cameras_16i.bmp&quot;) 2))\n\
   ilTv.listImages.add 5 #helper (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Helpers_16i.bmp&quot;) 1))\n\
   tv.imageList = ilTv\n\
   )\n\
   */\n\
   fn initTreeView tv =\n\
   (\n\
   tv.Indent= 28\n\
   tv.CheckBoxes = true --same as in ActiveX\n\
   --This is the icons directory.\n\
   --We could also use the new colorman.resolveIconFolder() method\n\
   --to get the path to the actual system icons...\n\
   iconDir = (getDir #ui_ln) + &quot;icons\\\\&quot;\n\
   --We call our function for each icon, this time also passing a\n\
   --third argument with the icon name suffix.\n\
   getIconFromBitmap (iconDir + &quot;Standard_16i.bmp&quot;) 2 &quot;Sphere&quot;\n\
   getIconFromBitmap (iconDir + &quot;Standard_16i.bmp&quot;) 1 &quot;Box&quot;\n\
   getIconFromBitmap (iconDir + &quot;Lights_16i.bmp&quot;) 3 &quot;Light&quot;\n\
   getIconFromBitmap (iconDir + &quot;Cameras_16i.bmp&quot;) 2 &quot;Camera&quot;\n\
   getIconFromBitmap (iconDir + &quot;Helpers_16i.bmp&quot;) 1 &quot;Helper&quot;\n\
   --At the end, we assign the ImageList to the TreeView.\n\
   tv.imageList = ilTv\n\
   )\n\
   /* ActiveX Version:\n\
   fn addChildren tv theNode theChildren =\n\
   (\n\
   for c in theChildren do\n\
   (\n\
   theIcon = case superclassof c of\n\
   (\n\
   GeometryClass: 2\n\
   Light: 3\n\
   Camera: 4\n\
   Helper: 5\n\
   Default:2\n\
   )\n\
   newNode = tv.Nodes.add theNode.index 4 &quot;&quot; c.name theIcon\n\
   theNode.sorted = true\n\
   newNode.checked = not c.isHidden\n\
   newNode.forecolor = color c.wirecolor.b c.wirecolor.g c.wirecolor.r\n\
   addChildren tv newNode c.children\n\
   )\n\
   )\n\
   */\n\
   fn addChildren theNode theChildren =\n\
   (\n\
   for c in theChildren do\n\
   (\n\
   newNode = theNode.Nodes.add c.name\n\
   newNode.tag = dotNetMXSValue c\n\
   --By default, all nodes will use icon 0 (the first one) unless\n\
   --specified otherwise via the .iconIndex and .selectedIconIndex\n\
   --properties.We set both of them to the icon corresponding to\n\
   --the superclass of the scene object:\n\
   newNode.imageIndex = newNode.selectedImageIndex = case superclassof c of\n\
   (\n\
   Default: 1\n\
   Light: 2\n\
   Camera: 3\n\
   Helper: 4\n\
   )\n\
   newNode.checked = not c.isHidden--same as in ActiveX\n\
   --For the color, we create a DotNet color class from the\n\
   --wirecolor of the object and assign to the .forecolor of\n\
   --the TreeView node:\n\
   newNode.forecolor = (dotNetClass &quot;System.Drawing.Color&quot;).fromARGB c.wirecolor.r c.wirecolor.g c.wirecolor.b\n\
   addChildren newNode c.children\n\
   )\n\
   )\n\
   --Since every node uses icon with index 0 unless specified otherwise\n\
   --the Root Node will use the first icon by default.\n\
   fn fillInTreeView tv =\n\
   (\n\
   theRoot = tv.Nodes.add &quot;WORLD ROOT&quot;\n\
   rootNodes =for o in objects where o.parent == undefined collect o\n\
   addChildren theRoot rootNodes\n\
   )\n\
   dotNetControl tv &quot;TreeView&quot; width:290 height:490 align:#center\n\
   on tv Click arg do\n\
   (\n\
   hitNode = tv.GetNodeAt (dotNetObject &quot;System.Drawing.Point&quot; arg.x arg.y)\n\
   if hitNode != undefined do\n\
   try(select hitNode.tag.value)catch(max select none)\n\
   )\n\
   /*\n\
   on tv NodeCheck theNode do\n\
   (\n\
   theSceneNode = (getNodeByName theNode.text)\n\
   if theSceneNode != undefined do\n\
   theSceneNode.isHidden = not theNode.checked\n\
   )\n\
   */\n\
   --NOTE that in the case of ActiveX controls, we were using the name\n\
   --displayed by the TreeView node. In the case of DotNet, we are\n\
   --using the actual MAXScript value pointing at the scene object.\n\
   --The arg argument provides a .node property containing the node\n\
   --that was checked. We use the .tag property to access the\n\
   --DotNetMXSValue stored in the TreeView node and then the .value to\n\
   --get the MAXScript value stored in it. Then we set the isHidden\n\
   --property of the scene object to the inverse of the checked state\n\
   --of the TreeView node:\n\
   on tv AfterCheck arg do\n\
   try (arg.node.tag.value.isHidden = not arg.node.checked)catch()\n\
   on treeview_rollout open do\n\
   (\n\
   initTreeView tv\n\
   fillInTreeView tv\n\
   )\n\
   )\n\
   try (destroyDialog treeview_rollout)catch()\n\
   createDialog treeview_rollout 300 500\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Converting-ActiveX-Controls-To.html\">Converting ActiveX Controls To DotNet Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-1.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part One</a></li>\n\
          <li><a class=\"link\" href=\"../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-2.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";