var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BADB0C21-6628-4205-B326-71F38DABE06F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>OLE Automation</h1></div><p>The OLE Automation capability in MAXScript allows <strong>3ds Max</strong> to act as an OLE Automation server for applications such as, Visual Basic, Excel, Paradox, and others. With it, you can publish MAXScript functions that can be called from OLE Automation clients like VB and Excel to generate models or animations, return data from the current scene, and so on. There is an example provided in the script samples that defines a set of simple business graphing MAXScript functions and an Excel spreadsheet with some Excel VB-scripted menus, which pass a selection of cells across to these MAXScript functions to generate an animated bar chart.</p>\n\
<p>This facility has the following features and limitations:</p>\n\
<ul>\n\
<li><p>It exposes a <strong>single</strong> server object to which you can attach a list of MAXScript functions that appear as the methods of that object to an OLE Automation client.</p>\n\
</li>\n\
<li><p>It is registered as a separate process, local server supporting multiple use of its exposed object.</p>\n\
</li>\n\
<li><p>It does not support in-place activation or object linking and embedding, and provides no containers for other OLE objects.</p>\n\
</li>\n\
<li><p>It supports only the IDispatch form of interface with no accessible type information. Clients need to declare their reference to the <strong>3ds Max</strong> server object as an untyped generic object.</p>\n\
</li>\n\
<li><p>It supports the following method argument and result data types:</p>\n\
<ul>\n\
<li>integers</li>\n\
<li>reals (floats)</li>\n\
<li>currency (floats)</li>\n\
<li>string</li>\n\
<li>boolean</li>\n\
<li>empty (for example, an empty spreadsheet cell)</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<p>The equivalent MAXScript value for empty is <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OLE Objects (interfaces)\n\
</code></pre><ul>\n\
<li><p>You need to have <strong>3ds Max</strong> running and MAXScript activated before OLE Clients can access <strong>3ds Max</strong>. MAXScript is activated (and the <code>startup.ms</code> script run) when you first access its Utility panel rollout. Alternatively, you can use launch script facilities described in <a href=\"./../MAXScript-Introduction/General-MAXScript-Topics/Running-Scripts-from-the-Command.html\">Running Scripts from the Command Line</a> to establish an OLE server interface as soon as <strong>3ds Max</strong> runs.</p>\n\
</li>\n\
<li><p>You must register <strong>3ds Max</strong> with Windows as an OLE server using the registration script supplied with this release. See the instructions in <a href=\"OLE-Automation/Setting-Up-MAXScript-OLE.html\">Setting Up MAXScript OLE Automation</a> for details.</p>\n\
</li>\n\
</ul>\n\
<h2 id=\"ole-client\">OLE Client</h2><p>With the MAXScript OLE Automation Client system, you can use MAXScript to create OLE Automation (now called Active-X) objects within <strong>3ds Max</strong> and control the associated OLE Automation Servers with MAXScript such as, making an Excel spreadsheet and inserting <strong>3ds Max</strong> object information directly into cells there.</p>\n\
<p>The function,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   createOLEObject()</code></pre><p>is used for establishing a connection to OLE Auto Servers. The return value of <code>createOLEObject()</code> is an instance of the <code>OLEObject</code> class.</p>\n\
<p><strong>For example,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xl = createOLEObject &quot;Excel.Sheet&quot;\n\
</code></pre><p>opens a connection to Excel and creates a sheet object and puts it in the variable xl. The single argument to this function is an OLE progID string. You can then access properties and call methods on the new OLE object.</p>\n\
<p><strong>For example,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xl.application.name\n\
</code></pre><p>will return</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;Microsoft Excel&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xl.application.visible = true\n\
</code></pre><p>will make Excel visible on the desktop. You get properties on OLE objects with the dot &apos;.&apos; notation, just as you do in MAXScript. You also refer to OLE object methods as properties of the OLE object. For example, the Sheet has a method &apos;cells&apos; that takes a cell coordinate and returns a Cell OLE object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xlc = xl.application.cells 1 1\n\
</code></pre><p>puts the top-left-hand cell into xlc. Set its value like this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xlc.value = 123.45\n\
</code></pre><p>The server application that was attached with <code>createOLEObject()</code> is released and terminated when the created MAXScript OLE object is eventually garbage-collected. You can explicitly disconnect from an OLE server application with the <code>releaseOLEObject()</code> function.</p>\n\
<p>The form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">releaseOLEObject &lt;ole_object&gt;\n\
</code></pre><p>The OLE object becomes disabled once <code>releaseOLEObject()</code> has been called on it and further attempts to use it results in a descriptive error message.</p>\n\
<p>You can explicitly disconnect from all active OLE server applications with the <code>releaseAllOLEObjects()</code> function.</p>\n\
<p>Its form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> () \n\
                   releaseAllOLEObjects</code></pre><p>After calling this function, all existing OLE objects become disabled and any attempt to use them further will generate a runtime error.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"OLE-Automation/Setting-Up-MAXScript-OLE.html\">Setting Up MAXScript OLE Automation</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"OLE-Automation/Exposing-MAXScript-Functions.html\">Exposing MAXScript Functions</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"OLE-Automation/3ds-Max-Specific-Errors.html\">3ds Max Specific Errors</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"OLE-Automation/Running-the-OLE-Demo.html\">Running the OLE Demo</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"OLE-Automation/SafeArrayWrapper-Class.html\">SafeArrayWrapper Class</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interaction-with-Other.html\">Interaction with Other Programming Languages and Environments</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";