var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9CEB4477-35B7-45F1-907A-9F31DF9325D2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Defining Custom Functions</h1></div><p>MAXScript&#x2019;s built-in functions are very powerful. They provide access to objects, allowing you to read and set their properties. However, scripting in <strong>3ds Max</strong> normally entails going beyond simple object creation. Fortunately, MAXScript allows you to make your own functions, giving you the ability to streamline and customize your work.</p>\n\
<p>In MAXScript, you can use functions to perform almost any of the software&#x2019;s operations. Start with a simple function definition that subtracts two variables:</p>\n\
<p> <img src=\"./images/GUID-A149D177-B559-4C7B-A2F0-FA288180DEF2-low.gif\" alt></p>\n\
<p>MAXScript returns <code>subtract()</code> to let you know that it has defined the function, subtract.</p>\n\
<p>The definition contains the keyword <code>function</code> (you can also use the word <code>fn</code> in place of <code>function</code>), followed by the name of the function (<code>subtract</code>), followed by the list of variables (<code>x</code> and <code>y</code>). The equal sign signifies the start of the body of the function. The body is the series of statements that the function executes. Even if there is only one statement, the body of the function must be in parentheses.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Any variables created in the body of a function are local variables unless otherwise specified.</p>\n\
<p>Once a function has been defined, it can be used anywhere throughout the script. Therefore, it is useful to place function definitions at the beginning of your scripts.</p>\n\
<p>In order to use a function, you simply enter the function name and the values for its variables:</p>\n\
<p> <img src=\"./images/GUID-39E0D9F5-1013-41E8-B395-31236C69BC6F-low.gif\" alt></p>\n\
<p>This example uses what are known as <em>positional arguments</em>. When you call the function, you must supply both arguments, and you must supply them in the proper order for the function to execute properly.</p>\n\
<p>The second type of arguments you can use are <em>keyword</em> arguments. This is what is used for all of the object constructors in MAXScript. The function definition is the same, with the exception of declaring the keyword arguments, or default values for the variables in a function.</p>\n\
<p>The following example determines whether a number is positive, negative, or equal to zero.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   function sign val:0 =\n\
   (\n\
   if val == 0\n\
   then messagebox (&quot;Equal to 0&quot;)\n\
   else if val &gt; 0\n\
   then messagebox (&quot;Greater than 0&quot;)\n\
   else messagebox (&quot;Less than 0&quot;)\n\
   )\n\
</code></pre></blockquote>\n\
<p>The <code>messagebox</code> command causes a message box to pop up on the screen, displaying the argument in the parentheses that follow the command.</p>\n\
<p>In this example, a parameter called <code>val</code> has been declared in the function definition. The value after the colon is the parameter&#x2019;s default value. When the function definition contains parameters like this, they are optional in the function call. If you enter <code>sign()</code>, without specifying any parameters in the function call, MAXScript uses the default value:</p>\n\
<p> <img src=\"./images/GUID-957CAB61-2B26-433D-84C1-61562FCA80FB-low.gif\" alt></p>\n\
<p>The &quot;Equal to 0&quot; message box appears, since the default value for <code>val</code> (0) will be used. However, if you do define <code>val</code>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sign val:-5\n\
</code></pre><p> <img src=\"./images/GUID-CC7F11DE-8A08-433A-B477-62332E4B411F-low.gif\" alt></p>\n\
<p>the &quot;Less than 0&quot; message appears. You can include as many keyword arguments in a function as you need, and they can be entered in any order when calling the function. This is useful when you consider functions such as object-creation functions, where the new object might have 20 or 30 parameters associated with it. If you wanted to use positional argument functions to create the same objects, you would have to provide all of these parameters, in the right order, each time you wanted to call the function.</p>\n\
<p>It is also possible to use both positional and keyword arguments in the same function call. In this case, you must use positional arguments first, followed by the keyword arguments,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   function mycube side position:[0, 0, 0] =\n\
   (\n\
   box length:side width:side height:side pos:position\n\
   )\n\
</code></pre></blockquote>\n\
<p>This function requires you to enter the size of the cube, but the position is optional.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"Structure-Definitions.html\">Structure Definitions</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-Your-Own-Scripts.html\">Creating Your Own Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";