var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A35C74C5-1721-4B19-9FC4-E1CD6563505B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Structure Definitions</h1></div><p>In addition to custom functions, you can also create custom compound values in MAXScript using &quot;structure definitions&quot;. Structure definitions are a flexible data type, built of simpler data types. They let you define the layout of a new structured type of value that you can then create and work with in your code.</p>\n\
<p>The syntax for a structure definition is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">struct &lt;struct_name&gt; ( &lt;member&gt; , &lt;member&gt; )</code></pre><p>where each <code>&lt;member&gt;</code> can be one of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;name&gt; [ = &lt;expr&gt; ]  --name and optional initial value\n\
&lt;function_definition&gt;\n\
</code></pre><p>Create a new structure, called person:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Struct person (name, height, age, sex)</code></pre><p> <img src=\"./images/GUID-6699AC72-91A6-44E1-B2D6-063851912A98-low.gif\" alt></p>\n\
<p>Now create an instance of this structure using the &#x2018;person&#x2019; constructor:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Bill = person name:&quot;Bill&quot; height:72 age:34 sex:#male</code></pre><p>This stores an instance of the person structure in the variable Bill. Member <code>name</code> is initialized to the string value &quot;Bill&quot;, <code>height</code> to the integer value 72, <code>age</code> to the integer value 34, and <code>sex</code> to the name value <code>#male</code>. Create another instance:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Joe = person name:&quot;Joseph&quot; sex:#male</code></pre><p>In this example, another &#x2018;person&#x2019; is created. However, this person does not have initialized values for the <code>height</code> and <code>age</code> members. Since you did not provide these members with an optional default value in our structure definition, they will default to a value of <code>undefined</code>.</p>\n\
<p> <img src=\"./images/GUID-FAB7C955-F221-475C-946A-3185A8C08C38-low.gif\" alt></p>\n\
<p>Structure definitions are a good alternative to arrays when you have a fixed, small number of components. The code for these types of values is easier to work with since you can reference property names rather than index numbers in arrays.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"MAX-Commands-in-MAXScript.html\">3ds Max Commands in MAXScript</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-Your-Own-Scripts.html\">Creating Your Own Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";