var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BEFD6E9D-65BF-4C0B-B217-8604DC48200B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mathematical Operations in MAXScript</h1></div><p>Besides strings which we looked at in the <a href=\"Assigning-Variables.html\">previous lesson</a>, you can enter other types of data into MAXScript.</p>\n\
<p>MAXScript not only recognizes numeric characters as numbers, it can also perform mathematical operations with them.</p>\n\
<p>As with strings, if you just enter a number by itself, MAXScript echoes it back to you; it evaluates the number and displays its value.</p>\n\
<p>Mathematical operations are more interesting.</p>\n\
<h2 id=\"basic-mathematical-operations\">Basic Mathematical Operations</h2><p>MAXScript has many built-in functions that let you use MAXScript as a calculator.</p>\n\
<p>Enter <code>36.5 * 2</code>, for example, to see what a certain dimension needs to be if you want to double it.</p>\n\
<p> <img src=\"./images/GUID-6D35D90C-F807-4049-85BA-6DE498F47E57-low.gif\" alt></p>\n\
<p>MAXScript returns the result of the calculation. This is useful for quick calculations where loading an external calculator program doesn&#x2019;t seem worth the trouble.</p>\n\
<p>MAXScript also recognizes several mathematical constants. Enter <code>pi</code>.</p>\n\
<p> <img src=\"./images/GUID-433C403F-D81F-48F3-B3E3-B624A024459F-low.gif\" alt></p>\n\
<p>MAXScript knows the value of <code>pi</code> and returns it.</p>\n\
<p>You can use this value in more complex operations. For example, if you want to know the volume of a sphere with a 2.5-inch radius, multiply the cube of the radius by <code>pi</code>, then multiply by 4.0 and divide by 3.0. Enter <code>4.0/3.0 * pi * 2.5^3</code>.</p>\n\
<p>  <img src=\"./images/GUID-15B339BF-01E4-4D66-BCED-A48AA065ED12-low.png\" alt></p>\n\
<h3 id=\"operations-with-strings\">Operations with Strings</h3><p>You can also perform some simple mathematical operations with strings. For example, if you have defined <code>a=&quot;MAXScript&quot;</code> and <code>b=&quot; is fun!&quot;</code>, entering <code>a+b</code> returns <code>&quot;MAXScript is fun!&quot;</code></p>\n\
<p> <img src=\"./images/GUID-52CE0B66-6EDC-4AC7-B22B-83F4DAE52F2B-low.gif\" alt></p>\n\
<p>For more string operations, see the <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">String Values</a> topic in the MAXScript reference.</p>\n\
<h3 id=\"additional-mathematical-operations\">Additional Mathematical Operations</h3><p>MAXScript is able to perform many mathematical operations, including most trigonometric functions (sin, cosh, atan) and transcendental functions (exp, log, sqrt). This topic introduces two of the most useful operations: random numbers and incrementing. For a complete list of the operations supported by MAXScript, see the <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Number-Values.html\">Number Values</a> topic in the MAXScript reference.</p>\n\
<h4 id=\"creating-random-numbers\">Creating Random Numbers</h4><p>One very useful mathematical operation in MAXScript is the random number function. It returns a pseudo-random number selected inclusively between two user-specified arguments.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   random 1 100</code></pre><p>   returns a random integer between 1 and 100.</p>\n\
<p>   The return value type (Float or Integer) is the same as the type of the first argument in the function, therefore if you enter</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   random 1.0 100</code></pre><p>   MAXScript returns a random float between 1.0 and 100.0</p>\n\
</blockquote>\n\
<p> <img src=\"./images/GUID-FE754FB5-474D-4A72-A45D-F9AC6010A29D-low.gif\" alt></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>For reasons beyond the scope of this tutorial, the <code>random</code> command will generate the same &quot;random&quot; numbers each time a script is run. This happens if you restart the software and run the script, but not if you run the script over and over. If you want the values created by the <code>random</code> function to change each time you start the software, you can use the <code>seed</code> command:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">seed &lt;number&gt;</code></pre><p>where <code>&lt;number&gt;</code> is any float or integer. Each time you change the <code>seed</code> value, MAXScript generates a new set of &quot;random&quot; numbers.</p>\n\
<h4 id=\"incrementing\">Incrementing</h4><p>Another useful mathematical operation that MAXScript provides is <strong>incrementing</strong>. This is a shorthand form of assignment that can be used to modify a value in place, as shown in the following long form examples:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">x = x + 1</code></pre><p>There are assignment operators corresponding to the four math operations (+,-,*, and /) that apply the operation to the assignment&#x2019;s destination with the result. Their syntax is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;destination&gt; += &lt;expr&gt; -- add &lt;expr&gt; to destination\n\
&lt;destination&gt; -= &lt;expr&gt; -- subtract &lt;expr&gt; from destination\n\
&lt;destination&gt; *= &lt;expr&gt; -- multiply destination by &lt;expr&gt;\n\
&lt;destination&gt; /= &lt;expr&gt; -- divide destination by &lt;expr&gt;\n\
</code></pre><p>Using this shorthand form of assignment, the previous example can be written as:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">x += 1</code></pre><p><strong>Next Topic</strong></p>\n\
<p><a href=\"./../Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\">Drawing a Box with MAXScript</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Getting-Started.html\">Getting Started</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";