var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-208C9C90-45C4-4267-A161-0D9D59D44F4D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Drawing a Box with MAXScript</h1></div><p>In the <a href=\"./../Getting-Started/Mathematical-Operations-in.html\">previous lessons</a> you have seen some of MAXScript&#x2019;s useful capabilities; however, nothing that is visible in the interface. MAXScript is also useful for working with regular objects, such as boxes or cylinders. You can draw a box in MAXScript just by entering the <code>box()</code> command:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">box()</code></pre><p>This creates a box with the default parameters. It is generally better practice to assign an object to a variable, so you can later refer to it by name and manipulate it using that name:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mybox = box()</code></pre><p>When you use MAXScript to create an object without specifying any parameters, it is important to use empty parentheses, &quot;<code>()</code>&quot;. This tells MAXScript to use the default parameters for the object. If you want to specify any of the parameters during creation, such as the size or location of the object, you do not need parentheses.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mybox = box length:20 width:20 height:20</code></pre></blockquote>\n\
<p>MAXScript returns the box object name and the position of the box:</p>\n\
<p> <img src=\"./images/GUID-5FDDA070-6661-4F33-B6CD-D742197F4814-low.gif\" alt></p>\n\
<p>This example creates a box, and supplies three <code>parameters</code>: the length, width, and height of the box. The parameter names are followed by a colon and then by the value for that parameter. You can enter all parameters, without any punctuation between them.</p>\n\
<p>MAXScript returns the following statement:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$Box:Box001 @ [0.000000,0.000000,0.000000].</code></pre><ul>\n\
<li><p>The first part of the statement is called a pathname.</p>\n\
<ul>\n\
<li>A pathname in MAXScript is similar to a pathname in Windows, such as <code>c:\\\\3dsmax\\\\examples\\\\file.max</code>, which represents a path through a hierarchy of directories pointing to a particular file. In MAXScript, a similar path concept is used. However paths in MAXScript end up pointing to objects, not files. Pathnames in MAXScript always begin with the &quot;$&quot; character. For more information on Pathnames, see the <a href=\"./../../MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\">Pathname Literals</a> topic in the MAXScript reference.</li>\n\
</ul>\n\
</li>\n\
<li><p>The second part of the statement is the object name:<code>Box01</code>, in this case.</p>\n\
<ul>\n\
<li>This name appears in the Select Object dialog when you use the<img src=\"./images/GUID-E5AF59C7-4FE3-40E8-B95F-7F4C150D5226-low.gif\" alt> Select by Name toolbar button in <strong>3ds Max</strong>. It is <em>not</em> the name of your box variable, which is <code>mybox</code>. This variable is merely a placeholder that points to the object, <code>Box01</code>.</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<p>The values inside the brackets represent the x, y, and z coordinates of the center of the box.</p>\n\
<p>MAXScript also draws the box in the viewports, as shown in this perspective viewport:</p>\n\
<p> <img src=\"./images/GUID-C5612F82-AC96-4F00-9C00-DA20EA95FCD2-low.gif\" alt></p>\n\
<p>Notice that you can use<img src=\"./images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\" alt> Undo (as you can with most MAXScript creation and modification commands) to remove the box from the scene.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"Modifying-the-Box.html\">Modifying the Box</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Manipulating-The-Box-First-Steps.html\">Manipulating The Box - First Steps in MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";