var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-22A56B6C-CB64-49BA-8C15-0354378EB575\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>More Box Transformations</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> This is a continuation of the <a href=\"./../Manipulating-The-Box-First-Steps.html\">&quot;Manipulating The Box - First Steps in MAXScript&quot;</a> tutorial&apos;s previous lesson <a href=\"Drawing-a-Box-with-MAXScript.html\">&quot;Drawing a Box with MAXScript&quot;</a>, <a href=\"Modifying-the-Box.html\">&quot;Modifying the Box&quot;</a>, and <a href=\"Applying-Standard.html\">&quot;Applying Standard Transformations&quot;</a>. It requires the variable <code>mybox</code> to be already defined with an instance of a Box primitive. If you are <strong>not</strong> continuing directly from these previous lessons, you must at least evaluate the line</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mybox = box()</code></pre><p>to apply the following examples to the <strong>3ds Max</strong> scene.</p>\n\
<p>The following lines prepare our box for more complex transformations. They change the number of box segments on all sides, and put a check mark into the Generate Mapping Coords. box in the Parameters rollout:</p>\n\
<blockquote>\n\
<p>   <strong>ENTER THE FOLLOWING FOUR LINES OF CODE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mybox.lengthsegs = 10\n\
   mybox.widthsegs = 10\n\
   mybox.heightsegs = 10\n\
   mybox.mapCoords = true</code></pre></blockquote>\n\
<p>MAXScript has changed the appropriate settings in the Parameters rollout:</p>\n\
<p> <img src=\"./images/GUID-3F997663-F8AE-49B0-8738-6F1EF9DD14BE-low.gif\" alt></p>\n\
<p>Any time you change a property of a <strong>3ds Max</strong> object, MAXScript immediately reflects the change in the scene and in the user interface.</p>\n\
<p><img src=\"./images/GUID-E64E1B7B-57FC-4A00-8AAC-3E6D1D141F36-low.gif\" alt></p>\n\
<p>You can also create modifiers and add them to an object.</p>\n\
<h2 id=\"creating-and-assigning-modifiers\">Creating and Assigning Modifiers</h2><h2 id=\"creating-a-modifier\">Creating a Modifier</h2><p>Creating a modifier is pretty simple. You use the <code>addModifier</code> command and specify the name of the modifier you want to use and its appropriate parameters.</p>\n\
<p>To create a Twist modifier set to 30 degrees and apply it to your box,</p>\n\
<blockquote>\n\
<p>   <strong>ENTER</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   addModifier mybox (twist angle:30)</code></pre></blockquote>\n\
<p> <img src=\"./images/GUID-9CEA05A7-1098-442E-A7A6-FE862CB0BD91-low.gif\" alt></p>\n\
<p>The box in your Perspective viewport is now twisted and the interface shows the new Twist modifier in the modifier stack display, together with its parameters:</p>\n\
<p> <img src=\"./images/GUID-8A833A77-FD4B-40F5-9991-02EDA62350A9-low.gif\" alt></p>\n\
<h2 id=\"changing-a-modifier\">Changing a Modifier</h2><p>Changing a modifier is similar to changing a creation parameter. Again, because you used a variable name for your object, and you added a modifier to that object variable, you now have easy access to the new modifier properties of your object.</p>\n\
<p>To change the angle of the twist modifier to 60 degrees,</p>\n\
<blockquote>\n\
<p>   <strong>ENTER</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mybox.twist.angle = 60</code></pre></blockquote>\n\
<p> <img src=\"./images/GUID-A8CF0897-0F2C-4EC7-A4FE-89CB97E61E16-low.gif\" alt></p>\n\
<p>The twist of your box is now more pronounced and the Angle parameter of the Twist modifier displays the new value:</p>\n\
<p> <img src=\"./images/GUID-521BCD82-318E-4A55-A30C-28C9C97FCD36-low.gif\" alt></p>\n\
<p>Now, you can add and change other modifiers as you like. The syntax is the same for all modifiers. To find out the names of other modifiers, search for the &quot;Modifier : MAXWrapper&quot; topic in the MAXScript Reference.</p>\n\
<p>If you entered the above commands, click <img src=\"./images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\" alt>Undo twice to bring the box back to its original state.</p>\n\
<h2 id=\"animating-the-box\">Animating the Box</h2><p>MAXScript has several syntax forms that mirror the main UI tools such as, the Auto Key button, the time slider, and the active coordinate system.</p>\n\
<p>In the following example, you turn on the Auto Key button, set the slider to several different values, and adjust the properties of your box, just as you would do using the software&#x2019;s UI:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   animate on\n\
   (\n\
     at time 0 (mybox.pos = [-100, 0, 0]; mybox.scale = [1, 1, 0.25])\n\
     at time 100 (mybox.pos = [100, 0, 0]; mybox.scale = [1, 1, 3])\n\
   )\n\
</code></pre></blockquote>\n\
<p>Drag the slider around, and you will see that MAXScript has animated the box, and placed keyframes at 0 and 100.</p>\n\
<p><img src=\"./images/GUID-A415CD53-3D19-438D-9AE9-681C81D21546-low.gif\" alt></p>\n\
<p>When you use MAXScript to animate objects, the actual Auto Key button in the UI does not come on, nor does the time slider move; these things happen within MAXScript.</p>\n\
<p>In this example, the time was given as a simple number. If no unit is specified, MAXScript interprets this as a frame number. You can also use one of the various time literals in the following manner:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   2.5s-- 2.5 seconds\n\
   20f-- 20 frames\n\
   4800t-- 4800 ticks = 1 sec\n\
   1m3s5f-- 1 min, 3 seconds, 5 frames\n\
   1:15.5-- SMPTE: 1 min, 15 seconds, 5 frames\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>All times are automatically converted to frames.</p>\n\
<blockquote>\n\
<p>   <strong>HISTORY:</strong></p>\n\
<p>   In the early versions of<strong>3ds Max</strong>, the User Interface featured a button called <strong>Animate</strong>, which performed the same function as the current <strong>Auto Key</strong> button. For this reason, the MAXScript context for creating animations is called <strong>Animate</strong> and not Autokey.</p>\n\
</blockquote>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"./../Creating-Your-Own-Scripts/The-Script-Editor.html\">The Script Editor</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Manipulating-The-Box-First-Steps.html\">Manipulating The Box - First Steps in MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";