var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8FCABE2E-664A-4A82-9FAC-2C5694DC8B4C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Vector Arithmetic</h1></div><p>This topic is a quick review for readers who need a reminder about vector arithmetic. If you’re familiar with vectors and vector calculations, you can skip this topic. If this topic is difficult to follow, you might consult a more basic reference on mathematics.</p>\n\
<p>A vector expresses a length and a direction in a particular space. The vector is expressed as a point; for example, [5, 5, 7]. The length is the distance from the origin to that point, and the direction is similarly from the origin to (and through) the point.</p>\n\
<p>In <strong>3ds Max</strong>, vectors have three values and describe positions in three-dimensional space. They can also represent percent scaling in X, Y, and Z; and—more abstractly—describe locations in RGB color space.</p>\n\
<p><strong>Unit Vectors and Basic Vectors</strong></p>\n\
<p>A unit vector has a length of one. Unit vectors are often used to express direction only. The three basic vectors are unit vectors that describe the three axes (X, Y, and Z) of 3D space.</p>\n\
<p><img src=\"./images/GUID-29CE477A-7F8A-4BAD-8EAB-75EDA60CC5F8-low.gif\" alt=\"\"></p>\n\
<p>Basic vectors and the XYZ axes</p>\n\
<p><strong>Adding and Subtracting Vectors</strong></p>\n\
<p>Adding two vectors creates a new vector that combines the length and direction of the original two. Vector addition is commutative: V+W = W+V.</p>\n\
<p><img src=\"./images/GUID-12C70F4A-B45F-4251-8935-4A671A484361-low.gif\" alt=\"\"></p>\n\
<p>Adding two vectors</p>\n\
<p><img src=\"./images/GUID-2DB06E23-FC8B-4DBB-BDBC-2EB3D2DDE0C6-low.gif\" alt=\"\"></p>\n\
<p>Subtracting two vectors gives the vector between the two points.</p>\n\
<p><img src=\"./images/GUID-955E7E5A-F384-4E9B-B0CE-4D6CBD537057-low.gif\" alt=\"\"></p>\n\
<p>Subtracting two vectors</p>\n\
<p><img src=\"./images/GUID-8F26451F-5497-4E9F-9743-53F7688D7DB4-low.gif\" alt=\"\"></p>\n\
<p><strong>Scalar Multipliation and Division</strong></p>\n\
<p>Multiplying a vector by a scalar changes the vector’s length, as does dividing the vector by a scalar.</p>\n\
<p><img src=\"./images/GUID-D519729D-A4A3-47F9-B71E-4ED8D5681D0F-low.gif\" alt=\"\"></p>\n\
<p><strong>Vector Length and Direction</strong></p>\n\
<p>The length of a vector is obtained from the Pythagorean theorem.</p>\n\
<p><img src=\"./images/GUID-846F406B-F0D2-4998-B1F7-BC274DAA3C99-low.gif\" alt=\"\"></p>\n\
<p>In MAXScript, the <code>length()</code> function returns this value.</p>\n\
<p>The direction of the vector is the vector divided by its length; this gives you a unit vector with the same direction.</p>\n\
<p><img src=\"./images/GUID-F428FADA-1175-4CC0-B027-F971D4A67873-low.gif\" alt=\"\"></p>\n\
<p>The distance between two points is the length of the vector between them.</p>\n\
<p><img src=\"./images/GUID-E988A3B4-4C4C-4838-ABCD-3AE67288F863-low.gif\" alt=\"\"></p>\n\
<p>Subtracting vectors to obtain a distance</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Learning-MAXScript.html\">Learning MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";