var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F039181A-C072-4469-A329-AE60FF7535E7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Introduction</h1></div><p><strong>Welcome to the MAXScript Reference!</strong></p>\n\
<p>MAXScript is the built-in scripting language for <strong>Autodesk</strong> ® <strong>3ds Max</strong> ® .</p>\n\
<h2 id=\"for-fast-access-to-some-often-used-topics-please-follow-the-link-below-\">For fast access to some often used topics, please follow the link below:</h2><h2 id=\"if-you-have-used-maxscript-in-previous-versions-of-the-software-\">If you have used MAXScript in previous versions of the software,</h2><p>the following topic will give you an overview of the changes and additions to the MAXScript language in <strong>3ds Max 2020</strong>:</p>\n\
<p><img src=\"images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds.html\">What is New in MAXScript in 3ds Max 2020</a></p>\n\
<p>The following index page provides links to all topics dealing with changes to MAXScript in previous versions: <a href=\"What-is-New-in-MAXScript/What-was-New-in-MAXScript-in.html\">What Was New in MAXScript</a></p>\n\
<h2 id=\"if-you-are-new-to-maxscript-\">If you are new to MAXScript,</h2><p>the following topics will provide information about the structure of this document and the concepts of the MAXScript scripting language.</p>\n\
<p>See <a href=\"MAXScript-Introduction/What-is-MAXScript-.html\">What is MAXScript?</a> for a short overview of the areas MAXScript can enhance your workflow and productivity.</p>\n\
<p>See <a href=\"MAXScript-Introduction/MAXScript-Overview.html\">MAXScript Overview</a> for a more detailed introduction to the possibilities of MAXScript.</p>\n\
<p>The following topics are an introduction to the MAXScript Reference:</p>\n\
<ul>\n\
<li><p><a href=\"MAXScript-Introduction/Using-the-MAXScript.html\">Using the MAXScript Documentation</a></p>\n\
</li>\n\
<li><p><a href=\"MAXScript-Introduction/Syntax-Definitions-in-This/Syntax-Definitions-in-This-1.html\">Syntax Definitions in This Document</a></p>\n\
</li>\n\
</ul>\n\
<p>The following topics provide quick access to learning resources, tutorials and Frequently Asked Questions:</p>\n\
<ul>\n\
<li><p>Learning MAXScript - Topics Index</p>\n\
</li>\n\
<li><p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\">MAXScript for New and Casual Users</a></p>\n\
</li>\n\
<li><p><a href=\"How-To-Practical-Examples/How-To-Introduction-to-the.html\">How To - Tutorials</a></p>\n\
</li>\n\
<li><p><a href=\"Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/What-is-MAXScript-.html\">What is MAXScript?</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/MAXScript-Overview.html\">MAXScript Overview</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/The-SDK-and-MAXScript.html\">The SDK and MAXScript</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/Using-the-MAXScript.html\">Using the MAXScript Documentation</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/Accessing-MAXScript.html\">Accessing MAXScript</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/The-MAXScript-Editor.html\">The MAXScript Editor</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/The-MAXScript-Debugger.html\">The MAXScript Debugger</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/General-MAXScript-Topics.html\">General MAXScript Topics</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/Syntax-Definitions-in-This.html\">Syntax Definitions in This Document</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/Objects-and-Classes-in-Object.html\">Objects and Classes in Object-Oriented Programming</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual.html\">MAXScript for New and Casual Users</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";