var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1FAB9988-C24A-44DF-87F8-0739D50CF444\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Controlling the Listener Contents and the Insertion Point</h1></div><p>The Listener output pane&#x2019;s content and insertion point placement can be controlled with the following methods:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clearListener()</code></pre><p>Clears all text from the Listener output pane.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setListenerSel #(&lt;start_integer&gt;,&lt;end_integer&gt;)</code></pre><p>Sets the current text selection in Listener.</p>\n\
<p>The start and end values are the character offsets in the Listener output pane text, starting at <code>0</code> .</p>\n\
<p>If the start and end values are the same, no text is selected and the insertion point is placed at the specified point.</p>\n\
<p>You can specify <code>-1</code> for the start or end values, which specifies the end of the Listener output pane text.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<p>   the following would put the insertion point at the end of the text:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setListenerSel #(-1,-1)\n\
</code></pre><p>   while the following would select all of the text in the Listener output pane text:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setListenerSel #(0,-1)\n\
</code></pre></blockquote>\n\
<p><code>&lt;start_integer&gt;</code> and <code>&lt;end_integer&gt;</code> are integer literals, or expressions that evaluate to an integer.</p>\n\
<p>In versions prior to <strong>3ds Max 2014</strong>, this function was unusable because it would return OK printing this value destroyed the newly set text selection.</p>\n\
<p>this function returns the predefined global value <code>silentValue</code>, which does not print anything, and so the text selection in the Listener is not destroyed. Available in <strong>3ds Max 2019.2 Update and higher</strong>.</p>\n\
<p>From <strong>3ds Max 2014</strong> to <strong>3ds Max 2019.1 Update</strong>, this function returned the value <code>noValue</code>, which did not print anything, but was not defined as a global variable .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getListenerSel()</code></pre><p>Returns the current text selection indexes as a two-element array, <code>#(start, end)</code> . These values are the character offsets in the Listener output pane text, starting at <code>0</code> . If there is no selection, but only an insertion point, the start and end values are equal. Only the selections set using the <code>setListenerSel()</code> method are recognized by this method. If no selection has been set using the <code>setListenerSel()</code> method, the start and end values returned are the offset to the end of the Listener output pane text.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getListenerSelText()</code></pre><p>Returns the currently selected text, or an empty string if no text is selected and only the insertion point is showing. Only the selections set using the <code>setListenerSel()</code> method are recognized by this method. If no selection has been set using the <code>setListenerSel()</code> method, an empty string is returned.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<p>   the following lines would capture the entire contents of the Listener output pane to variable <code>ListenerText</code>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ( \n\
   global ListenerText -- Declare variable to capture the Listener to\n\
   setListenerSel #(0,-1) -- Select all the text\n\
   ListenerText=getListenerSelText() -- Get selected text\n\
   setListenerSel #(-1,-1) -- Set insertion point at end of output pane\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setListenerSelText &lt;replacement_string&gt;</code></pre><p>Replaces the currently selected text with the replacement string. If no text is selected and only the insertion point is showing, <code>setListenerSelText()</code> inserts the replacement string at the insertion point. Only the selections set using the <code>setListenerSel()</code> method are recognized by this method. If no selection has been set using the <code>setListenerSel()</code> method, the insertion point is the end of the Listener output pane text. &lt; <code>replacement_string</code> &gt; is a string literal or an expression that evaluates to a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">include &lt;filename_string&gt;</code></pre><p>Inserts the specified file&#x2019;s content into the Listener output pane. The inserted text is not evaluated. You can use this method to load a script and then step through it, executing any selected text with SHIFT+ENTER. <code>&lt;filename_string&gt;</code> is a string literal or an expression that evaluates to a string, and specifies the name of the file to insert.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE USAGES ARE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   include &quot;my_script.ms&quot;\n\
</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scriptfile=&quot;c:\\\\my_scripts\\\\my_script.ms&quot;\n\
   include scriptfile\n\
</code></pre></blockquote>\n\
<p>If you don&#x2019;t explicitly specify a directory in the file name, the file will be searched for in the following directories, in the order listed:</p>\n\
<ul>\n\
<li><p>The current MAXScript directory</p>\n\
</li>\n\
<li><p>The <strong>3ds Max</strong> executable main directory</p>\n\
</li>\n\
<li><p>The Windows NT 32-bit system directory (system32)</p>\n\
</li>\n\
<li><p>The Windows 16-bit system directory (system)</p>\n\
</li>\n\
<li><p>The Windows directory</p>\n\
</li>\n\
<li><p>The directories that are listed in the PATH environment variable</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">Accessing MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Using-the-MAXScript-Listener.html\">Using the MAXScript Listener</a></li>\n\
          <li><a class=\"link\" href=\"Turning-On-the-Listener-Log.html\">Turning On the Listener Log</a></li>\n\
          <li><a class=\"link\" href=\"Using-the-Symbol.html\">Using the &#x27;?&#x27; Symbol</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";