var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-86D82FCE-B88F-4487-9B34-B6222EDA1C71\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Running Scripts</h1></div><p>To run an existing script file, press the &quot;Run Script&quot; button on the MAXScript utility rollout, <strong>File &gt; Run Script</strong> in the Listener menu bar, or <strong>MAXScript &gt; Run Script</strong> in the <strong>3ds Max</strong> menu bar. This opens a common File Open dialog for choosing the script. MAXScript then reads and executes the selected script. Any output is printed to the Listener output pane.</p>\n\
<p>You can also run a script from Listener or from within other scripts using  <code>fileIn()</code> or  <a href=\"#executescriptfile\"><code>executeScriptFile()</code></a>.</p>\n\
<h2 id=\"filein\">fileIn</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileIn &lt;filename_string&gt; [ quiet:&lt;boolean&gt; ]</code></pre><p>where <code>&lt;filename_string&gt;</code> is a string literal or an expression that evaluates to a string, and specifies the name of the script file whose content is executed. The script file content is executed one expression at a time, and halts processing if an error is encountered at any point. By default, the file is not listed as it is loaded; use <code>quiet:false</code> to have the file contents printed to the Listener.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE USAGES ARE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fileIn &quot;my_script.ms&quot;\n\
</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scriptfile=&quot;my_script.ms&quot;\n\
   fileIn scriptfile\n\
</code></pre></blockquote>\n\
<p>The script file content is compiled in a global scope context, as opposed to the scope in effect when the <code>filein()</code> method is executed. For more information, see <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope_of_Variables</a>.</p>\n\
<p>The <code>fileIn()</code> method looks for scripts in the specified directory if <code>&lt;filename_string&gt;</code> contains a path as part of the file name, or in the current working directory if only the file name is supplied. If no matching file is found, it then looks in the following locations, in order:</p>\n\
<ul>\n\
<li>The user scripts directory</li>\n\
<li>The 3ds Max system scripts directory</li>\n\
<li>The 3ds Max main directory</li>\n\
<li>The Windows system32 directory</li>\n\
<li>The Windows system directory</li>\n\
<li>The Windows directory</li>\n\
<li>Directories in the PATH environment variable.</li>\n\
</ul>\n\
<h2 id=\"executescriptfile\">executeScriptFile</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;executeScriptFile &lt;filename_string&gt; [errormessage:&lt;&amp;variable&gt;]</code></pre><p>The <code>executeScriptFile()</code> function is similar to <code>fileIn()</code>, and  takes the following parameters:\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<ul>\n\
<li><em>filename_string</em>: a fully qualified file path and filename.  This function does not search in 3ds Max and system directories for a file, the filename cannot be relative.</li>\n\
<li><em>errormessage</em>:  specifies an optional by-reference parameter that will contain any errors generated by the script, or undefined if there are none.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">Accessing MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";