var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9A814C11-A966-4661-BE14-1A4F0193895E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The Macro Recorder</h1></div><p>The MAXScript Macro Recorder captures many of the actions performed by the user, and generates the MAXScript commands that correspond to those actions.</p>\n\
<p>Output from Macro Recorder is displayed in the pink Macro Recorder pane of the MAXScript Listener window:</p>\n\
<p><img src=\"./images/GUID-E9C2339F-9DAF-402A-80A0-B8B76CE4C2A9-low.gif\" alt></p>\n\
<h2 id=\"macrorecorder-listener-menu\">MacroRecorder Listener Menu</h2><p>Several filtering options are available that control what types of user actions are recorded, whether the generated MAXScript commands contain explicit object references or are selection-relative, and whether the generated MAXScript commands contain explicit or relative transforms and coordinates.</p>\n\
<p>These options are set using the MacroRecorder menu in the Listener window:</p>\n\
<p><img src=\"./images/GUID-4417F7B9-AB23-4F15-A02F-0755455ECF78-low.gif\" alt></p>\n\
<h2 id=\"macro-recorder-preferences\">Macro Recorder Preferences</h2><p>The default option settings are specified in the MAXScript page of the <strong>3ds Max</strong> Preferences dialog, as described in the MAXScript Preferences Settings topic in the <strong>3ds Max</strong> User Reference.</p>\n\
<p><img src=\"./images/GUID-2FA71B2C-07D3-4457-BD9D-A00FB84FF8C0-low.gif\" alt></p>\n\
<p>These settings can also be changed or set by editing the [MAXScript] section of the <em>3dsmax.ini</em> file.</p>\n\
<h2 id=\"macro-recorder-limitations\">Macro Recorder Limitations</h2><p>While many areas in <strong>3ds Max</strong> generate Macro Recorder output, there are also many areas that do not.</p>\n\
<p>In general, most of the buttons on the <strong>3ds Max</strong> menu bar, toolbars, status bar, Create panel, and Modify panel will generate Macro Recorder output.</p>\n\
<p>If the button invokes a secondary dialog, changing setting or performing actions in the secondary dialog typically will not generate Macro Recorder output.</p>\n\
<p>In the Create and Modify panels, Macro Recorder output will be generated if the object or modifier can be created by MAXScript.</p>\n\
<p>In some cases, the plug-in implementing an object or modifier has not been updated to support Macro Recorder, so that object or modifier will not generate Macro Recorder output.</p>\n\
<h2 id=\"macro-recorder-drag-and-drop-onto-toolbars\">Macro Recorder Drag And Drop Onto Toolbars</h2><p>MAXScript supports text drag-and-drop onto toolbars to create Macro Script buttons.</p>\n\
<p>You can select and drag text from any text window, such as Listener window panes or Editor windows, onto any visible toolbar.</p>\n\
<p>The cursor changes to an arrow with a + sign when it is OK to drop the text.</p>\n\
<p>If you drop it, a Macro Script button is added to the toolbar with the dropped text as the body of the Macro Script.</p>\n\
<p>The classic case here would be to drag text from the Macro Recorder pane onto a toolbar to make a button that does the sequence of events just recorded. For more information, see <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a>.</p>\n\
<h2 id=\"macro-recorder-options\">Macro Recorder Options</h2><p>The following Macro Recorder menu commands are available in the Listener:</p>\n\
<h4 id=\"enable\">Enable</h4><p>When <em>Enable</em> is selected the Macro Recorder will generate MAXScript commands.</p>\n\
<h4 id=\"explicit-scene-object-names-selection-relative-scene-object-names\">Explicit Scene Object Names/Selection-Relative Scene Object Names</h4><p>Specifies whether to use explicit scene object names or the selection set token in the generated commands if only one object is selected.</p>\n\
<p>If more than one object is selected, the selection set token is always used.</p>\n\
<blockquote>\n\
<p><em>FOR EXAMPLE,</em></p>\n\
<p>if <em>Explicit Scene Object Names</em> is enabled, a typical generated command would be:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move $Sphere03 [55.6739,23.5,0]</code></pre><p>If <em>Selection-Relative Scene Object Names</em> is enabled, a typical generated command would be:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move $ [0,-47.8044,0]</code></pre></blockquote>\n\
<p>By using Selection-Relative Scene Object Names, you can apply the recorded script to a different selection, thereby making it somewhat general.</p>\n\
<p>Use Explicit Scene Object Names if you want the script to always work on the same objects regardless of the current scene selection.</p>\n\
<blockquote>\n\
<p><em>PERFORMANCE Note:</em></p>\n\
<p>In releases prior to <em>3ds Max 2009</em>, selecting many nodes with Macro Recorder enabled resulted in a significant slowdown. This slowdown has been removed in _3ds Max 2009 and higher_- selection times for 10000 objects with and without Macro Recorder are now practically identical.</p>\n\
</blockquote>\n\
<h4 id=\"absolute-transform-assignments-relative-transform-operations\">Absolute Transform Assignments/Relative Transform Operations</h4><p>Specifies whether to use absolute or relative transform commands in the generated commands.</p>\n\
<blockquote>\n\
<p><em>FOR EXAMPLE,</em></p>\n\
<p>if <em>Absolute Transform Assignments</em> is enabled, a typical generated command when you move a selection in a viewport would be:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$.position = [55.6739,23.5,0]</code></pre><p>If <em>Relative Transform Operations</em> is enabled, a typical generated command would be:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move $ [0,-47.8044,0]</code></pre></blockquote>\n\
<p>When the Absolute Transform Assignments option is selected, absolute transform assignments are output only if a single object is transformed.</p>\n\
<p>If multiple objects are selected, relative transform operations are output.</p>\n\
<h4 id=\"explicit-sub-object-sets-selection-relative-sub-object-sets\">Explicit Sub-object Sets/Selection-Relative Sub-object Sets</h4><p>Specifies whether to use explicit sub-object identifiers or the sub-object selection set property in the generated commands.</p>\n\
<blockquote>\n\
<p><em>FOR EXAMPLE,</em></p>\n\
<p>if <em>Explicit Sub-object Sets</em> is enabled, a typical generated command would be:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move $Sphere02.verts[#{20..32, 51..65}] [40.0986,10.3648,0]</code></pre><p>If <em>Selection-Relative Sub-object Sets</em> is enabled, a typical generated command would be:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move $Sphere02.selectedVerts [40.0986,10.3648,0]</code></pre></blockquote>\n\
<p>By using Selection-Relative Sub-object Sets, you can apply the recorded script to a different selection, thereby making it somewhat general. Use Explicit Sub-object Sets if you want the script to always work on the same sub-objects regardless of the current sub-object selection.</p>\n\
<h4 id=\"command-panel-switching\">Command Panel Switching</h4><p>When Command Panel Switching is selected, the Macro Recorder will generate MAXScript commands for command panel switches.</p>\n\
<p>In most cases, recording command panel switches is superfluous as most scripts are not dependent on the user interface mode to work.</p>\n\
<h4 id=\"tool-selections\">Tool Selections</h4><p>When Tool Selections is selected, the Macro Recorder will generate MAXScript commands for the selection of tools in the <em>3ds Max</em> toolbar.</p>\n\
<p>In most cases, recording the selection of tools is superfluous as most scripts are not dependent on the tool selection to work.</p>\n\
<h4 id=\"menu-item-selections\">Menu Item Selections</h4><p>When Menu Item Selections is selected, the Macro Recorder will generate MAXScript commands for the selection of menu items from the <em>3ds Max</em> menu bar.</p>\n\
<h2 id=\"macro-recorder-and-scripted-rollouts\">Macro Recorder and Scripted Rollouts</h2><p>When a scripted rollout performs parameter block value changes from its event handlers, the Macro Recorder is disabled automatically.</p>\n\
<p>A <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Macro-Recorder-Emission-From.html\">special MAXScript context</a> was introduced in <strong>3ds Max 2013</strong> to re-enable the Macro Recorder output explicitly in scripted rollouts&apos; event handlers.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">Accessing MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXScript-for-New-and-Casual/MacroScripts-for-New-Users.html\">MacroScripts for New Users</a></li>\n\
          <li><a class=\"link\" href=\"Customizing-MacroScript-Buttons.html\">Customizing MacroScript Buttons</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts/Creating-Icon-Bitmap-Files.html\">Creating Icon Bitmap Files</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";