var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6736979B-D33A-4968-8BD2-FE2365A3A539\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Encrypting Script Files</h1></div><p>MAXScript lets you create an encrypted copy of a specified script file with the same name prefix, but with the suffix .mse, in the same directory as the source script file. The encryption uses a fixed hidden key that lets it run on any <strong>3ds Max</strong> system, but effectively hides the source of the script. Encrypted script files have the suffix .mse.</p>\n\
<p>To encrypt a script, use the following MAXScript method:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">encryptScript &lt;filename_string&gt; [version:&lt;int&gt;]</code></pre><p>where <code>&lt;filename_string&gt;</code> is a string literal or an expression that evaluates to a string specifying the name of the script file whose contents are encrypted.</p>\n\
<p>The optional <code>version:</code> keyword can be either 0 or 1.</p>\n\
<ul>\n\
<li><p>When set to 0, the method uses the old encryption scheme of <strong>3ds Max 2 to 9</strong>.</p>\n\
</li>\n\
<li><p>When set to 1 or not specified, the method uses the new encryption scheme introduced in <strong>3ds Max 9 SP 1</strong>. Note that files encrypted with the new scheme cannot be run in previous versions of <strong>3ds Max</strong>. If an encrypted script has to be used in an older version of <strong>3ds Max</strong>, use the <strong>version:0</strong> option.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE USES ARE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   encryptScript &quot;my_script.ms&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --create file compatible with old versions:\n\
   encryptScript &quot;my_script.ms&quot; version:0\n\
</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scriptfile= &quot;my_script.ms&quot;\n\
   encryptScript scriptfile\n\
</code></pre></blockquote>\n\
</li>\n\
<li><p>The encrypted script file from the previous examples would be named <em>my_script.mse</em>.</p>\n\
<p>The Run Script button in the MAXScript rollout and the <code>fileIn()</code> method described in <a href=\"./../Accessing-MAXScript/Running-Scripts.html\">Running Scripts</a> automatically support .mse encrypted scripts.</p>\n\
<p>You can couple this script source code encryption with the <code>hardwareLockID</code> variable and the encrypted file I/O functions to provide authorization-based protection for your scripts.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-MAXScript-Topics.html\">General MAXScript Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";