var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1CF90959-B604-45F9-8552-7680F535BF50\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Including Scripts Within Scripts</h1></div><p>MAXScript provides a compile-time source-file include mechanism, allowing you to break up large scripts into smaller files that can be included at nearly any point in a script. You can use the <code>include &lt;file&gt;</code> construct at any point in your code to effectively insert the contents of a file at that point in your code.</p>\n\
<p>By convention, scripts that are only included in other scripts, and not intended to run on their own, use the .mxs extension. This extension an extension that is supported by the MAXScript editor&apos;s file open/save dialog, but not the <strong>Scripting &gt; Run Script</strong> dialog. Colorization and autocomplete are supported in the MAXScript editor for .mxs files.</p>\n\
<p>The form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">include &quot;filename_string&quot;</code></pre><p>If <code>filename_string</code> contains a path, the file is looked for in that path.  If not, the file is searched for in the following places:</p>\n\
<ul>\n\
<li>The current working directory</li>\n\
<li>The user scripts directory</li>\n\
<li>The 3ds Max system scripts directory</li>\n\
<li>The 3ds Max main directory</li>\n\
<li>The Windows system32 directory</li>\n\
<li>The Windows system directory</li>\n\
<li>The Windows directory</li>\n\
<li>Directories in the <code>PATH</code> environment variable.</li>\n\
</ul>\n\
<p>This is a compile-time construct, therefore the file name specification must be a string literal, and not a variable or an expression.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   utility foo &quot;Baz&quot;\n\
   (\n\
   local a, b, c\n\
   include &quot;foo-ui.ms&quot;\n\
   rollout bar &quot;Bar&quot;\n\
   (\n\
   include &quot;bar-rollout.ms&quot;\n\
   )\n\
   include &quot;foo-handlers.ms&quot;\n\
   )\n\
</code></pre></blockquote>\n\
<p>The <code>include &lt;file&gt;</code> construct is effectively replaced in the source code at that point with the contents of the named file.</p>\n\
<p>You can nest included files as deeply as needed (included files can include other files, and so on).</p>\n\
<p>Because <code>include</code> is a compile-time construct, the current MAXScript scope is maintained within the included file. This is opposed to the <code>fileIn()</code> method described in <a href=\"./../Accessing-MAXScript/Running-Scripts.html\">Running Scripts</a>, whose script file content is compiled in a global scope context. For more information, see <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope_of_Variables</a>.</p>\n\
<p>The <code>include &lt;file&gt;</code> can appear at any point a new token is expected such as a name, literal, or punctuation. This means that you can complete a partial expression with an included file.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   include &quot;op1.ms&quot;+ include &quot;op2.ms&quot;\n\
   if include &quot;test2.ms&quot; then print a else print b</code></pre></blockquote>\n\
<p>You cannot place an <code>include &lt;file&gt;</code> within a token. For example, the following is not valid:</p>\n\
<blockquote>\n\
<p>   <strong>NOT VALID:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   timeval = 2:include &quot;framenum.ms&quot;.0</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-MAXScript-Topics.html\">General MAXScript Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";