var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-615D14FB-0F2D-4801-B381-1128C4128C70\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Startup Scripts</h1></div><p>When <strong>3ds Max</strong> is first started, MAXScript searches for any startup script files that it then automatically loads and runs. This feature is useful if you have function libraries you always use and want preloaded, or if you want to establish custom UI settings, define scripted plug-ins, or load scripted utility rollouts.</p>\n\
<p>When <strong>3ds Max</strong> starts up, it will always follow the script loading order described below. Certain parts of the software will still not be up and running at different stages of the startup process. Understanding the order and the reasons for it will help you organize your code and have all functions and UI auto-loading and working correctly together.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> 3ds Max looks for scripts of type <code>.ms</code>, <code>.mcr</code>, <code>.mse,</code> and <code>.mzp</code>. If you have scripts that you don&apos;t want to load automatically, for example library scripts you explicitly load in other scripts, you can give them the <code>.mxs</code> extension. This extension is still recognized as executable by the MAXScript Editor.</div>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You can use the <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\"><code>getMaxscriptStartupState()</code></a> function to determine if standard or startup scripts are currently loading, or are loaded.</div>\n\
<h2 id=\"hidden-scripts\">Hidden Scripts</h2><p>To enhance system security, startup scripts that have the hidden file or system attribute set are not loaded.  Scripts that are in a hidden or system folder (other than <code>%LocalAppData%</code> and <code>%ProgramData%</code>) are also not loaded.  If a script is discovered that meets one of these criteria, it is logged to the system log with the script path and name, the file attributes, and &quot;Action: not loaded&quot;.\n\
 <strong>Available in 3ds Max 2021.3 Update and higher.</strong></p>\n\
<h2 id=\"launching-3ds-max-without-a-file\">Launching 3ds Max Without a File</h2><h3 id=\"step-1-standard-scripts\">STEP 1 - Standard Scripts</h3><p><strong>3ds Max</strong> will evaluate the shipping scripts found in <em>stdplugs\\stdscripts</em>. These define functions needed by several scripted elements of the base <strong>3ds Max</strong> software.</p>\n\
<p>If you need to have some functions/global variables defined for use by your own MacroScript, those should go into an .ms file in <em>stdplugs\\stdscripts</em>. This will ensure that they will be defined first.</p>\n\
<h3 id=\"step-2-user-defined-plug-in-paths\">STEP 2 - User-Defined Plug-in Paths</h3><p>Next, <strong>3ds Max</strong> will load script files in directories and plug-in packages defined in <strong>Customize... &gt; Configure Paths... &gt; Plug-Ins</strong> <em>and their subdirectories</em>. Note that this is different from the way regular plug-ins are loaded. Plug-ins will only load from the specified path and not search sub-directories. Here you can define functions, methods, and structures used by other scripts, particularly MacroScripts.  </p>\n\
<p>The <strong>3ds Max</strong> scene has not been created and the viewports have not been created at this point. You cannot create scene objects or do anything UI related in these scripts. Of course you can define functions that do these operations, you just can&apos;t call these functions at this point.</p>\n\
<p>In this pass, any script files with the name <em>startup.ms</em> are ignored. This allows you to place your scripted plug-in scripts in the plug-in folders for automatic loading. They can be managed like DLL plug-ins, and used to organize your startup scripts into groups in their own directories for easier management. You can prevent a nested directory from being scanned by placing its name in parentheses, for example &quot;(old-versions)&quot;, allowing you to enable and disable scripts in handy directory-based groupings.</p>\n\
<h3 id=\"step-3-plug-in-packages\">STEP 3 - Plug-in Packages</h3><p>Next, scripts found in plug-in packages are evaluated (such as appbundles from the Autodesk App Store).  When found in a plug-in package, only scripts that are specified as a <strong>PreStartupScript</strong> (&quot;pre-start-up scripts parts&quot; in the <code>PackageContents.xml</code> file) are run during this step.  Note that the <strong>3ds Max</strong> UI is not yet present at this step.</p>\n\
<h3 id=\"step-4-macroscripts\">STEP 4 - MacroScripts</h3><p>Next, MacroScript .mcr files in <em>ui\\macroscripts</em> will be evaluated - they define Action Items that can be displayed in the UI. At this point, UI has not been built yet, the MacroScripts will be needed to fill in their related buttons.</p>\n\
<h3 id=\"step-5-startup-scripts\">STEP 5 - Startup Scripts</h3><p>Finally, the <em>startup.ms</em> and then any scripts found in the startup folders will be evaluated. At this point, scene, viewports, and UI are up. You can do anything here you want.</p>\n\
<p>In <strong>3ds Max 9 and higher</strong>, startup scripts in the <strong>3ds Max system startup scripts</strong> directory are run first, then the startup scripts in the <strong>user startup scripts</strong> directory are run, providing that the user startup scripts directory is different than the max system startup scripts directory.  Finally, any scripts from plug-in packages that are specified as <strong>PostStartupScript</strong> (&quot;post-start-up scripts parts&quot; in the PackageContents.xml file)\n\
are run.</p>\n\
<p>MAXScript first searches for a file named <em>startup.ms</em> in the following directories, in the order listed:</p>\n\
<ul>\n\
<li>The user scripts directory    </li>\n\
<li>The user startup scripts directory    </li>\n\
<li>The 3ds Max system scripts directory    </li>\n\
<li>The 3ds Max system startup scripts directory    </li>\n\
<li>The 3ds Max executable main directory    </li>\n\
<li>The Windows NT 32-bit system directory (system32)    </li>\n\
<li>The Windows 16-bit system directory (system)    </li>\n\
<li>The Windows directory    </li>\n\
<li>The directories that are listed in the PATH environment variable</li>\n\
</ul>\n\
<p>MAXScript stops searching when it finds the first occurrence of <em>startup.ms</em>.</p>\n\
<p>The automatic loading of startup script files can be deactivated by turning off the Auto Start MAXScript option in the MAXScript page of the Preferences dialog, as described in the MAXScript Preferences Settings topic in the main product online help.</p>\n\
<h2 id=\"launching-3ds-max-with-a-file\">Launching 3ds Max With a File</h2><p>Consider the following two use cases:</p>\n\
<ol>\n\
<li><p>Starting <strong>3ds Max</strong> from the command line, eventually with a <a href=\"Running-Scripts-from-the-Command.html\">command line script</a>:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   3dsmax.exe somefile.max\n\
   3dsmax.exe somefile.max -U MAXScript somescript.ms</code></pre></blockquote>\n\
</li>\n\
<li><p>Dragging a <code>.MAX</code> file onto a <strong>3ds Max</strong> shortcut on your desktop</p>\n\
</li>\n\
</ol>\n\
<p>In both cases, <strong>3ds Max</strong> boots up as described above and then loads the file.</p>\n\
<p>The order of script folders and callbacks getting executed is as follows:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Folder / Callback Processed</th>\n\
<th>Comments</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>stdplugs\\stdscripts\\</code></td>\n\
<td>3ds Max scene and UI not created yet.</td>\n\
</tr>\n\
<tr>\n\
<td><code>plugin paths</code></td>\n\
<td>3ds Max scene and UI not created yet.</td>\n\
</tr>\n\
<tr>\n\
<td><code>MacroScripts</code></td>\n\
<td>UI not created yet.</td>\n\
</tr>\n\
<tr>\n\
<td><code>\\Startup</code></td>\n\
<td>UI Created. Startup scripts loaded before callbacks.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#filePreOpenProcess</code></td>\n\
<td>Scene created.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#filePreOpen</code></td>\n\
<td>File objects not accessible yet.</td>\n\
</tr>\n\
<tr>\n\
<td><code>.MAX File</code></td>\n\
<td>Loading the command line / dropped file</td>\n\
</tr>\n\
<tr>\n\
<td><code>#filePostOpen</code></td>\n\
<td>Scene objects are accessible from here on.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#filePostOpenProcess</code></td>\n\
<td>File has finished loading.</td>\n\
</tr>\n\
<tr>\n\
<td><code>Command Line -U MAXScript script</code></td>\n\
<td>Executing the command line script (if any)</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-MAXScript-Topics.html\">General MAXScript Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">Miscellaneous Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a></li>\n\
          <li><a class=\"link\" href=\"Running-Scripts-from-the-Command.html\">Running Scripts from the Command Line</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";