var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4A7F7C48-6724-4063-9562-7E2D63EA4D1D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Objects and Classes in Object-Oriented Programming</h1></div><p>To understand the terminology associated with MAXScript, a basic understanding of object-oriented programming is required.</p>\n\
<p>All of the values you work with in MAXScript have a well-defined type, such as <em>integer</em>, <em>matrix3</em>, or <em>twist</em>. The type of a value is also known as its <em>class</em>, following the convention of modern object-oriented languages. We&apos;ve been using a somewhat neutral convention so far of calling the things you compute with <em>values</em>. The term for these things in object-oriented languages is, not surprisingly, <em>object</em>. The terms <em>object</em> and <em>value</em> are synonymous in this document. An <em>object</em> is a particular instance of a <em>class</em>.</p>\n\
<p>For example, in MAXScript <em>Box</em> is a class. It is not a box as shown in <strong>3ds Max</strong>, but rather defines the characteristics such a box has. These characteristics include the ways to create an instance of the Box class (a box object); the properties of a box object (such as Height, Width, and Length); and operations you can perform on a box object (such as move, copy, and delete).</p>\n\
<p>To create a box object, you would say:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box()</code></pre></blockquote>\n\
<p>In this line <code>box()</code> is a constructor - it causes a box object to be created, and returns a reference to the box object. This reference is then stored in variable <code>b</code> . No parameters (such as Height, Width, and Length) were supplied for the constructor, so the default values specified by the Box class are used. In the <strong>3ds Max</strong> viewports, the box object is displayed, and can be manipulated like any other object you create in <strong>3ds Max</strong>.</p>\n\
<p>If parameters are supplied for the constructor, these parameters replace the &quot; <code>()</code> &quot;.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box width:10 length:100</code></pre></blockquote>\n\
<p>creates a box object with the supplied parameters. All unsupplied parameters will use their default values.</p>\n\
<p>MAXScript is internally object-oriented. All the built-in classes are arranged in an <em>inheritance hierarchy</em> and most of the built-in functions are <em>polymorphic</em>, terms we&apos;ll explore below. You cannot, however, create new classes in MAXScript and the functions you can script are not polymorphic. This may change in later versions of MAXScript, but it is an advanced refinement that is not really necessary in an application scripting language, where the most important abstractions are the features of the host application and are already built-in.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Objects-and-Classes-in-Object.html\">Objects and Classes in Object-Oriented Programming</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Inheritance-and-Polymorphism.html\">Inheritance and Polymorphism</a></li>\n\
          <li><a class=\"link\" href=\"Properties-Methods-Operators-and.html\">Properties, Methods, Operators, and Literals</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";