var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D3754952-893E-4ECB-A77B-83DC89684EE5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Syntax Definitions in This Document</h1></div><p>The ways you can write MAXScript tokens and clauses are given using a set of shorthand rules as shown in the following example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[-]{&lt;digit&gt;}[.{&lt;digit&gt;}][(e|E)[+|-]{&lt;digit&gt;}+]</code></pre><p>These rules, or <em>syntax definitions</em>, follow the standard EBNF notation (Extended Backus-Naur Form).</p>\n\
<p>The previous example shows the syntax for a decimal number in MAXScript. The rules typically contain a number of characters with special meanings. For example, brackets enclose optional items, such as the minus sign in front of the number. Braces enclose items you can use repeatedly, and bars separate multiple items from which you can choose one. Sometimes, rules are given names so they can be referred to in the documentation or as parts of other rules. The special characters in the rules have the following meaning:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Characters</th>\n\
<th>Meaning</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>[...]</code></td>\n\
<td>items inside the brackets are optional</td>\n\
</tr>\n\
<tr>\n\
<td>`(...</td>\n\
<td>...</td>\n\
</tr>\n\
<tr>\n\
<td><code>{...}</code></td>\n\
<td>you can specify the braced item ZERO or more times</td>\n\
</tr>\n\
<tr>\n\
<td><code>{...}+</code></td>\n\
<td>you can specify the braced item ONE or more times</td>\n\
</tr>\n\
<tr>\n\
<td><code>::=</code></td>\n\
<td>define a name for a syntax rule</td>\n\
</tr>\n\
<tr>\n\
<td><code>&lt;rule&gt;</code></td>\n\
<td>you can insert what is defined by the named rule</td>\n\
</tr>\n\
<tr>\n\
<td><code>bold_characters</code></td>\n\
<td>characters or token as written</td>\n\
</tr>\n\
</tbody></table>\n\
<p>The previous number syntax example is interpreted as follows:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Syntax</th>\n\
<th>Definition</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>[<code>-</code>]<code>{&lt;digit&gt;}</code></td>\n\
<td>an optional minus sign (the sign), followed by 0 or more digits (the integer part), followed by</td>\n\
</tr>\n\
<tr>\n\
<td>[<code>.</code>{<digit>}]</digit></td>\n\
<td>an optional sequence (the fraction part) comprised of: a period character, followed by 0 or more digits, followed by</td>\n\
</tr>\n\
<tr>\n\
<td>[(<code>e</code></td>\n\
<td><code>E</code>)[<code>+</code></td>\n\
</tr>\n\
</tbody></table>\n\
<p>Examples of valid numbers are:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   123\n\
   1.456\n\
   -0.89e-7\n\
   1.536E23\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>THE FOLLOWING NUMBERS ARE NOT VALID:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   12x34\n\
   -0.45x10^3\n\
   0e\n\
</code></pre></blockquote>\n\
<p>The syntax definitions in <a href=\"./../../MAXScript-Language-Reference/MAXScript-Grammar.html\">MAXScript Grammar</a> are in the form of named rule definitions.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   number ::= [-]{&lt;digit&gt;}[.{&lt;digit&gt;}](e|E)[+|-]{&lt;digit&gt;}+]</code></pre><p>   allowing the rule to be referred to by name in other rules in the grammar.</p>\n\
<p>   <strong>AN EXAMPLE OF SUCH RULE IS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mod &lt;number1&gt; &lt;number2&gt;</code></pre><p>   modulo arithmetic, the remainder when <code>&lt;number1&gt;</code> is divided by <code>&lt;number2&gt;</code></p>\n\
</blockquote>\n\
<p>Some definitions throughout this document also use the convention of showing alternative definitions for a rule on consecutive lines instead of separating them with the &apos; <code>|</code> &apos; symbol.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Syntax-Definitions-in-This.html\">Syntax Definitions in This Document</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Index-vs-Integer-Function.html\">Index vs Integer Function Arguments</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";