var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7E5D71C5-50AA-4A2B-9B1B-73C8723CDB4B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Editor - Customizing Syntax Color Schemes</h1></div><p>The <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> lets you define your own custom color schemes to highlight lexical components of the MAXScript language.</p>\n\
<h2 id=\"global-definition-\">Global Definition:</h2><p>Custom colors can be defined in the file <strong>MAXScript.properties</strong> , which is easily accessible through the <strong>Tools &gt; Open MAXScript. properties</strong> menu item. See <a href=\"MAXScript-Editor-Properties-File.html\">MAXScript Editor - Properties File Settings</a> for Lexer options.</p>\n\
<blockquote>\n\
<p>   <strong>A COLOR SCHEME SIMILAR TO 3DS MAX 9 COLORS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   # MAXScript styles\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   # Default\n\
   style.MAXScript.32=$(font.base)\n\
   # White space\n\
   style.MAXScript.0=fore:#808080\n\
   # Comment: /* */.\n\
   style.MAXScript.1=fore:#009900\n\
   # Line Comment: --.\n\
   style.MAXScript.2=fore:#009900,eolfilled\n\
   # Number\n\
   style.MAXScript.3=fore:#000000\n\
   # String\n\
   style.MAXScript.4=fore:#800000\n\
   # Verbatim strings\n\
   style.MAXScript.5=fore:#FF0000,$(font.monospace),eolfilled\n\
   # End of line where string is not closed\n\
   style.MAXScript.6=fore:#000000,$(font.monospace),back:#E0C0E0,eolfilled\n\
   # Identifiers\n\
   style.MAXScript.7=\n\
   # Operators\n\
   style.MAXScript.8=fore:#406060\n\
   # Keyword arg name\n\
   style.MAXScript.9=fore:#000080\n\
   # Name value\n\
   style.MAXScript.10=fore:#600080\n\
   # Pathname\n\
   style.MAXScript.11=fore:#005000\n\
   # Keywords1 - Keywords\n\
   style.MAXScript.12=fore:#0000C0\n\
   # Keywords2 - Rollout controls\n\
   style.MAXScript.13=fore:#202080\n\
   # Keywords3 - Functions\n\
   style.MAXScript.14=fore:#3060A0\n\
   # Keywords4 - MXS Classes\n\
   style.MAXScript.15=fore:#6030A0\n\
   # Keywords5 - MAXClasses\n\
   style.MAXScript.16=fore:#60A030\n\
   # Keywords6 - MAXSuperClasses\n\
   style.MAXScript.17=fore:#0040B0\n\
   # Keywords7 - Core interfaces\n\
   style.MAXScript.18=fore:#00B040\n\
   # Keywords8 - Object sets\n\
   style.MAXScript.19=fore:#D0B080\n\
   # Keywords9 - StructDefs\n\
   style.MAXScript.20=fore:#804020\n\
   # Keywords10 - Const reserved globals\n\
   style.MAXScript.21=fore:#3060A0\n\
   # Keywords11 - Reserved globals\n\
   style.MAXScript.22=fore:#B00040\n\
   # Keywords12 - User defined\n\
   style.MAXScript.23=fore:#FF0000\n\
</code></pre></blockquote>\n\
<p>See bottom of this page for the result.</p>\n\
<h2 id=\"local-directory-overrides-\">Local Directory Overrides:</h2><p>If you have set the property,</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   properties.directory.enable=1\n\
</code></pre></blockquote>\n\
<p>in the Global Options File <strong>&quot;MXS_Editor.properties&quot;</strong>, you can create local property files called <strong>&quot;SciTEDirectory.properties&quot;</strong> in any directories containing MAXScript files. If you open a MAXScript file from a directory containing such a local property file, the lexer settings in it will override the global properties.</p>\n\
<p>This allows for project-specific color configurations.</p>\n\
<p>Here is the shipping <code>\\\\Ui\\\\MacroScripts\\\\Macro_BakeTextures.mcr</code> file using the default color scheme:</p>\n\
<p><img src=\"./images/GUID-9AF651D1-85E0-4B0E-8BC9-4839164982F2-low.gif\" alt></p>\n\
<p>After saving a new <strong>&quot;SciTEDirectory.properties&quot;</strong> file containing the color definitions listed in the beginning of this topic to <strong>\\Ui\\MacroScripts\\</strong> and setting <strong>properties.directory.enable=1</strong> in the file <strong>&quot;MXS_Editor.properties&quot;</strong>, the same script looks like this:</p>\n\
<p><img src=\"./images/GUID-B2C801FD-ED28-4CF9-8718-DEC87CE377E8-low.gif\" alt></p>\n\
<p>Changing the property <strong>properties.directory.enable=0</strong> and saving the <strong>&quot;MXS_Editor.property&quot;</strong> file to disk will <em>instantly</em> change the color coding back to the default color scheme in all currently opened tabs showing MAXScript files located in the <strong>\\Ui\\MacroScripts</strong> folder.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">MAXScript Editor Configuration And Customization</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";