var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BC77ED4A-66B5-4958-876D-DBBBBD486A52\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Editor - Defining Custom Keyboard Shortcuts</h1></div><p>The <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> lets you define your own custom keyboard shortcuts in addition to the hard-coded shortcuts listed in the topic <a href=\"./../MAXScript-Tabbed-Editor-Keyboard.html\">MAXScript Editor - Keyboard Shortcuts</a></p>\n\
<h2 id=\"definition-\">Definition:</h2><p>Custom keyboard shortcuts can be defined in the file <strong>MXS_Editor.properties</strong> which is easily accessible via the <strong>Tools &gt; Open Global Options File</strong> menu item. See <a href=\"MAXScript-Editor-Properties-File.html\">MAXScript Editor - Properties File Settings</a> for all options.</p>\n\
<p>Scroll down and locate the section remarked as</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"># User defined key commands</code></pre><p>This section contains some existing keyboard shortcut definitions.</p>\n\
<p><strong>The definition starts with</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">user.shortcuts=\\</code></pre><p>and is a &apos;|&apos; delimited list of keys and the commands they produce.</p>\n\
<p>To place each command on a new line, add a backslash \\ at the end of each line.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   user.shortcuts=\\\n\
   Ctrl+Shift+V|IDM_PASTEANDDOWN|\\\n\
   Ctrl+PageUp|IDM_PREVFILE|\\\n\
   Ctrl+PageDown|IDM_NEXTFILE|</code></pre></blockquote>\n\
<p>The commands are either strings or numeric IDs - see <a href=\"List-of-Editor-Key-Commands.html\">List of Editor Key Commands</a> and <a href=\"List-of-Editor-Menu-Commands.html\">List of Editor Menu Commands</a>.</p>\n\
<ul>\n\
<li><p>Numeric IDs above 2000 are Scintilla commands and are sent to the focussed pane.</p>\n\
</li>\n\
<li><p>Named IDs and numeric IDs below 2000 are SciTE menu commands.</p>\n\
</li>\n\
<li><p>The modifier keys are Ctrl, Shift, and Alt</p>\n\
</li>\n\
<li><p>The named keys are <strong>Left</strong>, <strong>Right</strong>, <strong>Up</strong>, <strong>Down</strong>, <strong>Insert</strong>, <strong>End</strong>, <strong>Home</strong>, <strong>Enter</strong>, <strong>Space</strong>, <strong>Tab</strong>, <strong>KeypadPlus</strong>, <strong>KeypadMinus</strong>, <strong>KeypadMultiply</strong>, <strong>KeypadDivide</strong>, <strong>Escape</strong>, <strong>Delete</strong>, <strong>PageUp</strong>, <strong>PageDown</strong>, <strong>Slash</strong>, <strong>Question</strong>, <strong>Equal</strong>, <strong>Win</strong>.</p>\n\
</li>\n\
</ul>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Changes to user-defined keyboard shortcut definitions will become active <strong>only</strong> after a restart of <strong>3ds Max</strong>!</div>\n\
<h2 id=\"adding-a-new-user-defined-keyboard-shortcut\">Adding a new user-defined keyboard shortcut</h2><p>Let&#x2019;s assume you want to add a keyboard shortcut for the editor feature &quot;Clear All Bookmarks&quot;. This feature is listed in the Search menu but does not have a keyboard shortcut assigned.</p>\n\
<ul>\n\
<li><p>Locate in the <a href=\"List-of-Editor-Menu-Commands.html\">List of Named IDs</a> the one called &quot;<strong>IDM_BOOKMARK_CLEARALL</strong>&quot;. Since all existing Bookmark-related shortcuts use the Function Key <strong>F2</strong> , let&apos;s assign the keyboard shortcut <strong>Ctrl+SHIFT+F2</strong> to the Clear All Bookmarks feature by adding to the user.shortcuts definition in the <strong>MXS_Editor.properties</strong> file:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   user.shortcuts=\\\n\
   Ctrl+Shift+V|IDM_PASTEANDDOWN|\\\n\
   Ctrl+PageUp|IDM_PREVFILE|\\\n\
   Ctrl+PageDown|IDM_NEXTFILE|\\ Ctrl+Shift+F2|IDM_BOOKMARK_CLEARALL|</code></pre></blockquote>\n\
</li>\n\
<li><p>Press <strong>CTRL+S</strong> to save the <strong>MXS_Editor.properties</strong> file.</p>\n\
</li>\n\
<li><p>Restart <strong>3ds Max</strong>.</p>\n\
</li>\n\
<li><p>Open the Editor, load a script file and set several bookmarks using <strong>Ctrl+F2</strong>.</p>\n\
</li>\n\
<li><p>Hold down <strong>Ctrl</strong> and <strong>SHIFT</strong> and press <strong>F2</strong> - all bookmarks will be cleared!</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">MAXScript Editor Configuration And Customization</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";