var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-85AD190F-1A65-4BF2-8AE8-9688960B1ACC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Editor - Defining Custom Keywords</h1></div><p>The MAXScript-specific language settings of the <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> can be customized by editing the file <em>MAXScript.properties</em> located in the <strong>3ds Max</strong> root folder to include user-defined keywords that are not part of the MAXScript language.</p>\n\
<p>This could be used for example to highlight project-specific variable names etc.</p>\n\
<h2 id=\"global-settings\">Global Settings</h2><p>To define custom keywords to be colorized in the source code of MAXScript files, follow these steps:</p>\n\
<ul>\n\
<li><p>Open the MAXScript Editor.</p>\n\
</li>\n\
<li><p>Create a new Script and enter in it: &quot;So long and thanks for all the fish.[New Line] Earth is mostly harmless&quot;</p>\n\
</li>\n\
<li><p>The result should looks like this:</p>\n\
<p><img src=\"./images/GUID-67E606C8-9FC7-4559-8751-CB0A786B9AE6-low.gif\" alt></p>\n\
</li>\n\
<li><p>In the Tools menu of the Editor, select the item &quot;Open MAXScript.properties&quot;</p>\n\
</li>\n\
<li><p>In the MAXScript.properties file, locate the section remarked with</p>\n\
<p>#keywords12 is for user defined words to be colorized. Keywords are checked for in this list first.</p>\n\
</li>\n\
<li><p>You can add keywords to the keywords12.$(file.pattern.MAXScript)= definition. Make sure to use \\ at the end of each new line.</p>\n\
</li>\n\
<li><p>For example, enter the following words: <strong>so long thanks all the fish mostly harmless</strong></p>\n\
</li>\n\
<li><p>Press <strong>Ctrl+S</strong> to save the file MAXScript.properties.</p>\n\
</li>\n\
</ul>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If you don&#39;t have enough access rights to save the file to the root folder of <strong>3ds Max</strong> due to the User Account Control (UAC) settings of your Windows OS, please see the <a href=\"./../MAXScript-Editor-Configuration.html\">Local User Settings</a> section further on this page.</div>\n\
<p>The resulting formatting should look something like this:</p>\n\
<p><img src=\"./images/GUID-B72345D1-E1E3-4581-849E-7557BB49F7AE-low.gif\" alt></p>\n\
<h2 id=\"modifying-the-color-and-style-of-custom-keywords\">Modifying The Color And Style Of Custom Keywords</h2><p>As you can see, the default color for user-defined keywords is red and the style is bold italic.</p>\n\
<ul>\n\
<li><p>This can be changed in the color definition of Keywords12 which can be found in the same MAXScript.properties file.</p>\n\
</li>\n\
<li><p>Scroll down in the MAXScript.properties file and locate the lines</p>\n\
<p># Keywords12 - User defined</p>\n\
<p>style.MAXScript.23=fore:#FF0000,bold,italics</p>\n\
</li>\n\
<li><p>You can change this definition to give your own keywords the desired color and style.</p>\n\
</li>\n\
<li><p>For example, remark the existing line using # and enter the following instead:</p>\n\
<p>style.MAXScript.23=fore:#0040F0,bold</p>\n\
</li>\n\
<li><p>Then press <strong>Ctrl+S</strong> to save. The result will be something like:</p>\n\
</li>\n\
</ul>\n\
<p><img src=\"./images/GUID-7B10324F-3063-4E19-9D72-37567D513164-low.gif\" alt></p>\n\
<p>As mentioned in the remark to the keywords12 definition in the MAXScript.properties file, keywords are ALWAYS checked for in the user-defined list before checking the language-specific definitions (which in the case of MAXScript are exported automatically).</p>\n\
<p>In the above example, the keywords &quot;and&quot; and &quot;for&quot; are colorized as part of the language (logical AND operation and FOR loop). If we would include them in our custom keywords list, they would be colorized in brighter blue instead of dark blue and would override the language-specific settings:</p>\n\
<p><img src=\"./images/GUID-8CDC46CC-7EB0-4DE1-BEB7-67E4C7D277DF-low.gif\" alt></p>\n\
<h2 id=\"local-user-settings\">Local User Settings</h2><p>On modern Operating Systems like Vista and Windows 7 with User Account Control (UAC) enabled it might be impossible to modify the factory settings provided by the MAXScript.properties file becase the file is located in the root of <strong>3ds Max</strong>. For that reason, it is advisable to provide the custom settings using the &quot;User Options File&quot; also available through the Tools menu of the Editor.</p>\n\
<ul>\n\
<li><p>If the file does not exist, it will be created automatically in the Local settings folders of the current user&#39;s account. The name of the file will be &quot;MXS_EditorUser.properties&quot; and it can override any settings normally found in the global &quot;MAXScript.properties&quot; file.</p>\n\
</li>\n\
<li><p>Copy the custom keywords definition and the color definition for keywords12 into this file and save it by pressing <strong>Ctrl+S</strong>:</p>\n\
<p><img src=\"./images/GUID-311CEDE0-7C6F-4D04-8CBC-8B4376E7A402-low.gif\" alt></p>\n\
</li>\n\
<li><p>The resulting colorization of user-defined keywords will be the same as in the examples above, but independent of the <strong>3ds Max</strong> installation. For example, reinstalling <strong>3ds Max</strong> but preserving the Local User settings will also preserve all overrides entered in the MXS_EditorUser.properties file.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">MAXScript Editor Configuration And Customization</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";