var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-55B19ED6-0E18-4BED-B23D-856178AA874B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Editor - MAXScript-Specific Language Settings</h1></div><p>The MAXScript-specific language settings of the <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> can be customized by editing the file <strong>MAXScript.properties</strong> located in the <strong>3ds Max</strong> root folder.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>On modern Windows OS such as, Vista and Windows 7 with User Account Control (UAC) enabled, modifying the factory defaults stored in files located in the 3ds Max root folder is not allowed. In this case, you can provide your custom overrides by copying the relevant settings into the User Options file also available through the Tools menu of the Editor.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> There is also language-specific settings for Python in the <strong>python.properties</strong> file.</div>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#lexer-settings\">Lexer Settings</a></li>\n\
<li><a href=\"#keyword-settings\">Keyword Settings</a></li>\n\
<li><a href=\"#file-extension-settings\">File Extension Settings</a></li>\n\
<li><a href=\"#character-settings\">Character Settings</a></li>\n\
<li><a href=\"#style-settings\">Style Settings</a></li>\n\
<li><a href=\"#autocomplete-settings\">Autocomplete Settings</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"lexer-settings\">Lexer Settings</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lexer.&lt;filepattern&gt; (MAXScript default: see below)</code></pre><p>A lexer splits a file up into syntactic pieces. The Editor can then display these pieces in different visual styles.</p>\n\
<p>Several lexers are available.</p>\n\
<p>Often several file extensions (.ms, .mcr) can map to one language (MAXScript) and can use one lexer.</p>\n\
<p>These settings associate a file name with a lexer.</p>\n\
<blockquote>\n\
<p>   <strong>The MAXScript shipping default setting in the fileMAXScript.propertiesfile is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   lexer.$(file.patterns.MAXScript)=MAXScript</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lexerpath.&lt;filepattern&gt; (MAXScript default: not set)</code></pre><p>This property specifies the path to an external lexer module that will be loaded into the Editor.</p>\n\
<h2 id=\"keyword-settings\">Keyword Settings</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords is for <strong>keywords</strong>,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>and animate attributes by collect else exit for from function rollout struct set then</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords2.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords2 is for <strong>rollout controls</strong>,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <strong>label button edittext combobox</strong></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords3.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>displaycontroldialog skipspace readfloat</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords4.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords4 is for <strong>MAXScript Classes</strong>,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>maxtvutility moflow trackviewpick array matrix3 integer</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords5.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords5 is for <strong>MAX Classes</strong>,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>box ffd_2x2x2 cameramap spacewarp</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords6.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords6 is for <strong>MAX Super Classes</strong>,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords10.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>camera shape colorpicker soundclass texturemap</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords7.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords7 is for <strong>Core Interfaces</strong>,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>assemblymgr channelinfo iparserloader trackselectionsets pluginmanager</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords8.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords8 is for <strong>Object Sets</strong>,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>objects geometry lights cameras helpers shapes systems spacewarps selection</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords9.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords9 is for internal MAXScript Structure Defs,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>meshops mouse dof cui camerafov xrefs</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords10.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords10 is for <strong>const reserved globals</strong>,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>red pi true undefined meditmaterials x_axis</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords11.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords11 is for <strong>reserved globals</strong>,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>animationrange slidertime backgroundcolor rootnode</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords12.&lt;filepattern&gt; (MAXScript default: empty)</code></pre><p>keywords12 is for <strong>user defined words</strong> to be colorized. Keywords are checked for in this list first.</p>\n\
<p>See the topic <a href=\"MAXScript-Editor-Defining-Custom-1.html\">MAXScript Editor - Defining Custom Keywords</a> for an example of generating user-defined keywords and styles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywords13.&lt;filepattern&gt; (MAXScript default: set internally)</code></pre><p>keywords13 is for <strong>internal MAXScript Structure Defs and FPS properties</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <em>IsolateSelection.zoomExtents TCBDefaultParams.easeFrom</em></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keywordclass.&lt;lexer&gt; (MAXScript default: not set)</code></pre><p>Most of the lexers differentiate between names and keywords and use the keyword variables to do so.</p>\n\
<p>To avoid repeating the keyword list for each file extension, where several file extensions are used for one language, a keyword class variable is defined in the distributed properties file although this is just a convention.</p>\n\
<p>Some lexers define a second set of keywords that will be displayed in a different style to the first set of keywords. This is used in the HTML lexer to display JavaScript keywords in a different style to HTML tags and attributes.</p>\n\
<p>Keywords can be prefix based so ^GTK_ will treat all words that start with GTK_ as keywords.</p>\n\
<h2 id=\"file-extension-settings\">File Extension Settings</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">default.file.ext (MAXScript default: .ms)</code></pre><p>Defines the language mode used before the file. For example, if <code>default.file.ext=.ms</code>, then when the New command is used to create a new file, the MAXScript syntax styling is used.</p>\n\
<h2 id=\"character-settings\">Character Settings</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">word.characters.&lt;filepattern&gt; (MAXScript default: see below)</code></pre><p>Defines which characters can be parts of words.</p>\n\
<p>The default value here is all the alphabetic and numeric characters, and the underscore which is a reasonable value for most languages.</p>\n\
<p><strong>The shipping default definition in the file MAXScript.properties is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">word.characters.$(file.patterns.text)=$(chars.alpha)$(chars.numeric)$(chars.accented)-&apos;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">whitespace.characters.&lt;filepattern&gt; (MAXScript default: not set)</code></pre><p>Defines which characters are considered whitespace.</p>\n\
<p>The default value is space and all chars less than 0x20.</p>\n\
<p>Setting this property allows you to force the Editor to consider other characters as whitespace (for example, punctuation) during such activities as cursor navigation (ctrl+left/right).</p>\n\
<h2 id=\"style-settings\">Style Settings</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">style.*.&lt;stylenumber&gt; (MAXScript default: not set)\n\
style.&lt;lexer&gt;.&lt;stylenumber&gt; (MAXScript default: see below)</code></pre><p>The lexers determine a style number for each lexical type such as, keyword, comment, or number. These settings determine the visual style to be used for each style number of each lexer.</p>\n\
<p>The value of each setting is a set of &apos;,&apos; separated fields, some of which have a sub-value after a &apos;:&apos;.</p>\n\
<p>The fields are font, size, fore, back, italics, notitalics, bold, notbold, eolfilled, noteolfilled, underlined, notunderlined, and case.</p>\n\
<p>The font field has a sub-value that is the name of the font, the fore and back have color sub-values, the size field has a numeric size sub-value, the case field has a sub-value of &apos;m&apos;, &apos;u&apos;, or &apos;l&apos; for mixed, upper, or lower case, and the bold, italics, and eolfilled fields have no sub-value.</p>\n\
<p>The value &quot;fore:#FF0000,font:Courier,size:14&quot; represents 14 point, red Courier text.</p>\n\
<p>A global style can be set up using style.*. <code>stylenumber</code> .</p>\n\
<p>Any style options set in the global style will be inherited by each lexer style unless overridden.</p>\n\
<blockquote>\n\
<p>   <strong>The shipping properties and values set in the file MAXScript.properties are:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   # Default\n\
   style.MAXScript.32=$(font.base)\n\
   # White space\n\
   style.MAXScript.0=fore:#808080\n\
   # Comment: /* */.\n\
   style.MAXScript.1=$(colour.code.comment.box),$(font.code.comment.box)\n\
   # Line Comment: --.\n\
   style.MAXScript.2=$(colour.code.comment.line),$(font.code.comment.line),eolfilled\n\
   # Number\n\
   style.MAXScript.3=$(colour.number)\n\
   # String\n\
   style.MAXScript.4=$(colour.string)\n\
   # Verbatim strings\n\
   style.MAXScript.5=fore:#007F00,$(font.monospace),back:#E0FFE0,eolfilled\n\
   # End of line where string is not closed\n\
   style.MAXScript.6=fore:#000000,$(font.monospace),back:#E0C0E0,eolfilled\n\
   # Identifiers\n\
   style.MAXScript.7=\n\
   # Operators\n\
   style.MAXScript.8=$(colour.operator),bold\n\
   # Keyword arg name\n\
   style.MAXScript.9=fore:#804080\n\
   # Name value\n\
   style.MAXScript.10=$(colour.char)\n\
   # Pathname\n\
   style.MAXScript.11=fore:#3F7F3F,$(font.monospace),back:#E0F0FF\n\
   # Keywords1 - Keywords\n\
   style.MAXScript.12=$(colour.keyword),bold\n\
   # Keywords2 - Rollout controls\n\
   style.MAXScript.13=$(colour.preproc),bold\n\
   # Keywords3 - Functions\n\
   style.MAXScript.14=fore:#3060A0\n\
   # Keywords4 - MXS Classes\n\
   style.MAXScript.15=fore:#6030A0\n\
   # Keywords5 - MAXClasses\n\
   style.MAXScript.16=fore:#60A030\n\
   # Keywords6 - MAXSuperClasses\n\
   style.MAXScript.17=fore:#0040B0\n\
   # Keywords7 - Core interfaces\n\
   style.MAXScript.18=fore:#00B040,italics\n\
   # Keywords8 - Object sets\n\
   style.MAXScript.19=fore:#D0B080,italics\n\
   # Keywords9 - StructDefs\n\
   style.MAXScript.20=fore:#804020,italics\n\
   # Keywords10 - Const reserved globals\n\
   style.MAXScript.21=fore:#3060A0,italics\n\
   # Keywords11 - Reserved globals\n\
   style.MAXScript.22=fore:#B00040\n\
   # Keywords12 - User defined\n\
   style.MAXScript.23=fore:#FF0000,bold,italics\n\
   # Keywords13 - structure and FPS properties\n\
   style.MAXScript.24=fore:#000080,italics\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">style.&lt;lexer&gt;.32 (MAXScript default:see below)\n\
style.&lt;lexer&gt;.33 (MAXScript default:see below)\n\
style.&lt;lexer&gt;.34 (MAXScript default:see below)\n\
style.&lt;lexer&gt;.35 (MAXScript default:see below)\n\
style.&lt;lexer&gt;.36 (MAXScript default:see below)\n\
style.&lt;lexer&gt;.37 (MAXScript default:see below)</code></pre><p>In addition to the styles generated by the lexer, these numbered styles are used:</p>\n\
<p><strong>32</strong> - default style and its features will be inherited by all other styles unless overridden.</p>\n\
<p><strong>33</strong> -- display line numbers in the margin.</p>\n\
<p><strong>34</strong> and <strong>35</strong> - used to display matching and non-matching braces respectively.</p>\n\
<p><strong>36</strong> - used for displaying control characters. This is not a full style as the foreground and background colors for control characters are determined by their lexical state rather than this style.</p>\n\
<p><strong>37</strong> - used for displaying indentation guides. Only the fore and back fields are used.</p>\n\
<p>A * can be used instead of a lexer to indicate a global style setting.</p>\n\
<blockquote>\n\
<p>   <strong>The shipping properties and values set in the file MXS_Editor.properties are:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   # Global default styles for all languages\n\
   # Default\n\
   style.*.32=$(font.base)\n\
   # Line number\n\
   style.*.33=back:#C0C0C0,$(font.small)\n\
   # Brace highlight\n\
   style.*.34=fore:#0000FF,bold\n\
   # Brace incomplete highlight\n\
   style.*.35=fore:#FF0000,bold\n\
   # Control characters\n\
   style.*.36=\n\
   # Indentation guides\n\
   style.*.37=fore:#C0C0C0,back:#FFFFFF\n\
</code></pre></blockquote>\n\
<p>See the topic <a href=\"MAXScript-Editor-Customizing.html\">MAXScript Editor - Customizing Syntax Color Schemes</a> for an example of a custom color scheme.</p>\n\
<p>See the topic <a href=\"MAXScript-Editor-Defining-Custom-1.html\">MAXScript Editor - Defining Custom Keywords</a> for an example of generating user-defined keywords and styles using Keywords12 / style.MAXScript.23.</p>\n\
<h2 id=\"autocomplete-settings\">Autocomplete Settings</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autocomplete.MAXScript.ignorecase (MAXScript default: 1)</code></pre><p>When set to 1 the API file is searched in a case insensitive way to find elements for auto-completion lists.</p>\n\
<p>Otherwise, matches only occur if case also matches.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autocomplete.MAXScript.start.characters (MAXScript default: $(chars.alpha)$(chars.numeric)_#. )</code></pre><p>If this setting is not empty, typing any of the characters will cause auto completion to start.</p>\n\
<p>The default setting is to trigger auto complete for any alpha-numeric character, as well as the special characters _, #, and .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autocomplete.MAXScript.useautogeneratedapi (MAXScript default: 1)</code></pre><p>Indicates whether for MAXScript, the editor should use the API keyword file automatically generated on 3ds Max startup. This setting is used in addition to any API file specified in MAXScript_Editor.properties.</p>\n\
<p>Set this setting to 0 to disable autocomplete for MAXScript.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">MAXScript Editor Configuration And Customization</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";