var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-41D1A7F6-4AA9-4691-9EE3-F50D72505885\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The MAXScript Legacy Editor Windows</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> This topic describes the MAXScript Legacy Editor Windows used in versions prior to <strong>3ds Max 2008</strong>. Some areas of MAXScript in <strong>3ds Max 2008 and higher</strong> such as, Particle Flow Script Operators and the <code>newScript()</code> method still open instances of the Legacy Editors. For documentation of the new MAXScript Editor, see <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">MAXScript Tabbed Editor Window</a>.</div>\n\
<p>MAXScript Editor windows are text editor windows that you can open within <strong>3ds Max</strong> and use to create or edit text files, notably MAXScript script files. Press Open Script on the MAXScript rollout, File &gt; Open Script in the Listener menu bar, or MAXScript &gt; Open Script in the <strong>3ds Max</strong> menu bar to open an existing script file. MAXScript opens the selected script in a modeless MAXScript Editor window like the one shown.</p>\n\
<p><img src=\"./images/GUID-5E34E535-E715-4E27-83A3-60BFC8361A60-low.gif\" alt></p>\n\
<p>To create a new script, press New Script on the MAXScript rollout, File &gt; New Script in the Listener menu bar, or MAXScript &gt; New Script in the <strong>3ds Max</strong> menu bar to open a new empty MAXScript Editor window. You can write and edit text including drag-and-drop editing in the MAXScript Editor as you can in other editors like WordPad. The menus are similar to those in many standard Windows text editors. You can have any number of MAXScript Editor windows open at the same time.</p>\n\
<p>MAXScript Editor is suited to developing longer scripts or code fragments you want to keep. You can edit and test parts of them until they are complete, then save your code in a script file for later use. This is a common method for developing large scripts, utilities, and function libraries.</p>\n\
<p>You can select one or more text lines and drag them to a <strong>3ds Max</strong> toolbar to create a Macro Script containing the selected lines. For more information, see <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a>.</p>\n\
<p>You can open a MAXScript Editor window from within the Listener or from other running scripts by calling the <code>edit()</code> method.</p>\n\
<p>The syntax for the <code>edit()</code> method is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">edit &lt;filename_string&gt;</code></pre><p>Where, <code>&lt;filename_string&gt;</code> is a string literal or an expression that evaluates to a string, and specifies the name of the file whose contents are to be loaded into the new MAXScript Editor window.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   edit&quot;my_script.ms&quot;\n\
</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scriptfile=&quot;my_script.ms&quot;\n\
   edit scriptfile\n\
</code></pre></blockquote>\n\
<p><strong>The file will be searched in the following directories in the order listed:</strong></p>\n\
<ul>\n\
<li><p>The current MAXScript directory</p>\n\
</li>\n\
<li><p>The <strong>3ds Max</strong> executable main directory</p>\n\
</li>\n\
<li><p>The Windows NT 32-bit system directory (system32)</p>\n\
</li>\n\
<li><p>The Windows 16-bit system directory (system)</p>\n\
</li>\n\
<li><p>The Windows directory</p>\n\
</li>\n\
<li><p>The directories that are listed in the PATH environment variable</p>\n\
</li>\n\
</ul>\n\
<p>You can create an empty MAXScript Editor window from within the Listener or from other running scripts by calling the <code>newScript()</code> method.</p>\n\
<p>The syntax for the <code>newScript()</code> method is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">newScript()</code></pre><p>Opens an empty MAXScript Editor window and returns a <code>WindowStream</code> value that can be used as the target for print and format operations. This is useful for directing output to a separate window for ease of inspection or editing, or later saving to a file. Output to a <code>WindowStream</code> is inserted at the current cursor position in that window.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> In <strong>3ds Max 2008 and higher</strong>, the <code>newScript()</code> method still creates a Legacy Editor and not a new tab in the new Editor.</div>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box()\n\
   debug = newScript()\n\
   -- ...\n\
   print b to:debug\n\
   -- ...\n\
   format &quot;name is %\\n&quot; b.name t:debug\n\
</code></pre></blockquote>\n\
<h2 id=\"the-legacy-maxscript-editor-window-has-the-following-features-\">The Legacy MAXScript Editor window has the following features:</h2><ul>\n\
<li><p><strong>Titles that display only the current script&apos;s file name</strong>, rather than its full path name, so minimized MAXScript Editor windows can be easily distinguished.</p>\n\
</li>\n\
<li><p><strong>A line selection margin at the left window border</strong>. When you move the cursor into the left margin, it changes to a right-pointing arrow. A single-click selects an entire line and click-dragging selects multiple lines.</p>\n\
</li>\n\
<li><p><strong>Drag-and-drop for moving and copying text</strong> to and from other MAXScript Editor windows, the Listener window, or any other text editor window that supports Window&#x2019;s drag-and-drop. Simply dragging the text will move it. Holding down Ctrl while dragging will copy the text.</p>\n\
</li>\n\
<li><p><strong>Selected text is loaded automatically into the search text dialog field</strong> when you choose Search &gt; Find or Search &gt; Replace. This is useful for quickly finding other occurrences of the selected text.</p>\n\
</li>\n\
<li><p><strong>Selected text is loaded automatically into the Index field of this Online Reference</strong> - highlight a keyword in the MAXScript Editor and press the F1 button to open the Online Reference and search for information on the selected keyword.</p>\n\
</li>\n\
<li><p><strong>Syntax Coloring</strong> - manual syntax coloring is supported. Additionally, in <strong>3ds Max 5 and higher</strong>, automatic syntax coloring will be performed when opening files and for the current line while typing in the Editor.</p>\n\
</li>\n\
<li><p><strong>Bracket Balancing</strong> - place the cursor next to a bracket and press Ctrl+B to select all the text between this bracket and its corresponding counterpart.</p>\n\
</li>\n\
<li><p><strong>Quick source code navigation</strong> - hold down the Ctrl key and right-click in the MAXScript editor to display a context menu listing all major building blocks of the currently loaded script including functions, rollouts, event handlers, UI elements, and more.</p>\n\
</li>\n\
<li><p><strong>Variable text size</strong> - hold down the Ctrl key and turn the mouse wheel (if available) to adjust the size of the source code text.</p>\n\
</li>\n\
</ul>\n\
<p>For commands used within the MAXScript Editor window, see <a href=\"./../MAXScript-Tabbed-Editor-Commands.html\">MAXScript Editor Commands</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Legacy-Editor-Windows.html\">MAXScript Legacy Editor Windows</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";