var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A1C19386-A8B0-45F9-B4E5-37C2BA270E5E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Tabbed Editor Overview</h1></div><p>The following topic describes the highlights of the Scintilla-based MAXScript Editor.</p>\n\
<h2 id=\"the-maxscript-editor-provides-the-following-main-features-\">The MAXScript Editor provides the following main features:</h2><p><img src=\"./images/GUID-4A23C421-8F92-4FAF-88B6-EF1D199346C1-low.gif\" alt=\"\"></p>\n\
<ul>\n\
<li><p><strong>Tabbed Display</strong> - multiple Editor Windows can be opened in the same time within the same user interface.</p>\n\
<ul>\n\
<li><p>By default, up to 10 files can be opened either one by one or by selecting multiple files in the Open File dialog. The Editor supports up to 100 files opened at once - it can be customized to do so, but only the first 10 tabs will be directly accessible via the Alt+number key described below.</p>\n\
</li>\n\
<li><p>The first 10 tabs are numbered as 1,2,3,4,5,6,7,8,9 and 0 - you can <strong>switch to a tab directly</strong> by holding down the <strong>Alt</strong> key and pressing the number of the tab from 1 to 0.</p>\n\
</li>\n\
<li><p>If there are more opened tabs than possible to fit in the tab bar at the same time, two <strong>scroll arrows</strong> will appear at the right side of the tab strip allowing you to scroll the tabs. Also, clicking on the left-most or right-most tab will attempt to center it and thus shift the tabs to reveal more tabs that might be eventually outside the view.</p>\n\
</li>\n\
<li><p>You can <strong>cycle</strong> the tabs using the <strong>CTRL+Tab</strong> keys or <strong>CTRL+SHIFT+Tab</strong> for cycling backwards.</p>\n\
</li>\n\
<li><p>Scripts that <strong>require saving</strong> because of editing changes will be <strong>marked with a * star</strong> in both the tab and in the title bar.</p>\n\
</li>\n\
<li><p><strong>Right-clicking a tab</strong> displays a <strong>context menu</strong> with the options to Close, Save, Save As and Print the document represented by the tab.</p>\n\
<p><img src=\"./images/GUID-24D64CF2-1AA1-4258-84B3-423DA333971B-low.gif\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>Middle-clicking a tab closes it</strong> immediately if the file does not require saving or prompts for saving if it has been modified.</p>\n\
</li>\n\
</ul>\n\
</li>\n\
<li><p><strong>Full file name display</strong> - by default, the full path of the currently edited script will be displayed in the title bar of the window. This feature can be disabled and enabled by setting the system global variable <code>editorShowPath</code> introduced in <strong>3ds Max 9</strong> to <code>false</code> or <code>true</code> .</p>\n\
</li>\n\
<li><p><strong>Line Numbering</strong> - all code lines will be numbered, making it easier to debug errors which are reported with a line number in the MAXScript Listener and MAXScript Debugger. Pressing <strong>CTRL+G</strong> opens the <strong>Go To</strong> dialog (the keyboard shortcut for this feature in the legacy Editor in <strong>3ds Max 8</strong> and <strong>9</strong> was Ctrl+J) which allows a jump to a line or character offset.</p>\n\
<p><img src=\"./images/GUID-75FDEEF2-9F2D-45D2-8BB2-4EBF961F1249-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>Automatic Dynamic Syntax Coloring</strong> - the full list of reserved keywords, built-in methods, global variables, special values and many more are passed directly from MAXScript to the Editor, enabling it to correctly highlight almost every word understood by MAXScript. In addition, all colors can be <a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\">customized</a> to match the user preferences and support local directory overrides, so different MAXScripting projects can use different color schemes.The color coding is extremely fast compared to the legacy editor and is performed over the whole document over the fly. Thus, if an opening quotation mark does not have a closing one, the complete file after the opening quote will be dynamically painted in the current string color and signal that a closing quote is missing.</p>\n\
</li>\n\
<li><p><strong>Automatic Indentation</strong> - new lines will be automatically indented based on the context. For example, typing the code <code>for i = 1 to 10 do</code> and pressing <strong>Enter</strong> will indent the following line automatically, expecting a single line of body code. But if you type in an opening parenthesis to start a multi-line body, the indentation is automatically removed to align to the for loop&#39;s head.</p>\n\
</li>\n\
<li><p><strong>Automatic Bracket Balancing</strong> - the opening and closing parentheses, brackets and braces will be automatically highlighted by simply clicking near either the opening or the closing one.</p>\n\
</li>\n\
<li><p><strong>Visual guides</strong> (dotted lines) also help with balancing parentheses.</p>\n\
<ul>\n\
<li><p>If a closing or opening parenthesis, bracket or brace is missing, the existing one will turn red as a warning.</p>\n\
</li>\n\
<li><p>Pressing <strong>CTRL+B</strong> near a bracket, brace or parenthesis will jump the cursor to the other one in the pair if existing.</p>\n\
</li>\n\
<li><p>Pressing <strong>CTRL+SHIFT+B</strong> while near a bracket, brace or parenthesis will select the code block enclosed by it and its counterpart.</p>\n\
<p><img src=\"./images/GUID-C814249B-F415-410E-ACCF-C81D64105940-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>Folding Code Blocks</strong> - portions of the code between parentheses can be collapsed by clicking on the minus sign to the left of the opening parenthesis. Alternatively, press <strong>Ctrl+SHIFT+Plus</strong> on the top numeric row (next to the Backspace key) to toggle the folding of the code block the cursor is currently in.</p>\n\
<p><img src=\"./images/GUID-5127D0F0-42EB-4A44-BA80-4114DB8796ED-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>Bookmarks</strong> - an arbitrary number of bookmarks can be placed at any number of lines using <strong>CTRL+F2</strong>. To jump to the next bookmark, press <strong>F2</strong> , for the previous bookmark, press <strong>SHIFT+F2</strong>.</p>\n\
<p><img src=\"./images/GUID-E79B384B-7642-4725-84E8-184920B73BC2-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>Multiple Status Bars</strong> - multiple status bars can be customized to display various aspects of the loaded code like word and character count, file modification time, current time and more. To switch between the multiple status bars, simply click the status bar at the bottom of the Editor.See <a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-3.html\">MAXScript Editor - Defining Custom Status Bars</a>for details.</p>\n\
<p><img src=\"./images/GUID-39F7A360-C4A2-4309-9115-0FA8D7BE808B-low.gif\" alt=\"\"> <img src=\"./images/GUID-EC081F1B-92B2-4EF8-9BE5-8A360B5B15DF-low.gif\" alt=\"\"> <img src=\"./images/GUID-DB200715-8EB8-4163-BB3B-5B2DD17DE496-low.gif\" alt=\"\"> <img src=\"./images/GUID-624CCAE5-CCD1-4DC2-9188-CD9C85FEDAF7-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>Right-click context menu</strong> - some often used commands are hard-coded in the context menu which appears when right-clicking in the Editor window. This menu is customizable and can be extended by the user - See <a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-2.html\">MAXScript Editor - Defining Custom Context Menu Items</a> for details.</p>\n\
<p><img src=\"./images/GUID-02CFEF47-D27C-45B6-9987-453DE84CEB9A-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>Jump to code blocks</strong> - like in the legacy Editor, holding down the <strong>CTRL key and right-clicking</strong> in the Editor opens a context dialog listing various code blocks like function definitions, rollout definitions, event handlers, UI controls and so on. Selecting any of them repositions the cursor to that definition:</p>\n\
<p><img src=\"./images/GUID-8B91DF62-E7C5-4CDC-AD9D-41679C9FB6A7-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>Freely Resizable Fonts</strong> - like in the legacy Editor, holding down the <strong>CTRL</strong> key, pressing the mouse wheel and turning the wheel will change the font size. Alternatively, use the <strong>CTRL++</strong> key and <strong>CTRL+</strong> -  key on the Numpad to increase and decrease the font size.</p>\n\
</li>\n\
<li><p><strong>Auto-Complete and Abbreviation Support</strong> - already used words from the same document can be expanded manually or automatically thanks to the Auto-Complete feature. <a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Defining-And.html\">Abbreviations</a> can be defined by the user and expanded into full words or even whole pieces of prototype code.</p>\n\
</li>\n\
<li><p><strong>Powerful Search including Regular Expressions support</strong> - the <a href=\"MAXScript-Editor-Menu-Options/MAXScript-Editor-Search-Menu.html\">Find and the Replace</a> features support <a href=\"Regular-Expressions-Find-and.html\">Regular Expressions</a> for ultimate flexibility.</p>\n\
</li>\n\
<li><p><strong>Extremely Customizable</strong> - the Editor can be <a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">extensively customized</a> by the user to fit a specific workstyle or visual appearance.</p>\n\
</li>\n\
<li><p><strong>Side-by-Side Views</strong> - you can open a second view of the current script (a &quot;cloned view&quot;) to edit different areas concurrently, which can be useful when working on longer scripts. You can also have two tabs side-by-side, for example to compare two similar scripts. To do so, drag the tab to an empty spot in the editor, and pick either <strong>Move to another view</strong> or <strong>Clone to another view</strong>.</p>\n\
</li>\n\
</ul>\n\
<p><strong>For Details on Usage, Commands, Customization etc. see:</strong></p>\n\
<p><a href=\"MAXScript-Tabbed-Editor-Commands.html\">MAXScript Editor Commands</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../The-MAXScript-Editor.html\">The MAXScript Editor</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";