var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F561FC1E-CFF8-4FF6-874C-95EC4B9CD2CD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Tabbed Editor Window</h1></div><p>The MAXScript Editor is a built-in editor you can open within <strong>3ds Max</strong> and use to create or edit text files, notably MAXScript and Python script files. Scripts can be executed from the editor. The editor also provides syntax highlighting for other common text formats, like HTML and XML.</p>\n\
<p><strong>To open the Editor,</strong></p>\n\
<ul>\n\
<li><p>Click <strong>MAXScript &gt; MAXScript Editor...</strong> in the <strong>3ds Max</strong> Main Menu to toggle the new Editor window. Any scripts that have been open for editing will be kept in the Editor, even between <strong>3ds Max</strong> sessions.</p>\n\
</li>\n\
<li><p>Click <strong>MAXScript &gt; New Script</strong> in the <strong>3ds Max</strong> Main Menu to start a new script, or</p>\n\
</li>\n\
<li><p>Click <strong>MAXScript &gt; Open Script</strong> in the <strong>3ds Max</strong> Main Menu and select an existing script from disk to load in the Editor, or</p>\n\
</li>\n\
<li><p>Press the <strong>New Script</strong> or <strong>Open Script</strong> buttons in the <strong>MAXScript Utility</strong> rollout, or</p>\n\
</li>\n\
<li><p>Select <strong>File &gt; New Script</strong> or <strong>File &gt; Open Script</strong> in the <strong>MAXScript Listener&apos;s menu bar</strong> or</p>\n\
</li>\n\
<li><p>Right-click the <strong>Mini-Listener</strong> and select <strong>Open Editor Window</strong>.</p>\n\
</li>\n\
</ul>\n\
<p>MAXScript opens the selected script in a tab inside the modeless MAXScript Editor window:</p>\n\
<p><img src=\"./images/GUID-C31A7862-398F-450E-B406-8A9874CEFD65-low.gif\" alt></p>\n\
<p>The MAXScript Editor is suited for developing longer scripts or code fragments you want to keep. You can edit and test parts of them until they are complete, then save your code in a script file for later use. This is a common method for developing large scripts, utilities, and function libraries.</p>\n\
<p>You can select one or more text lines and drag them to a <strong>3ds Max</strong> toolbar to create a Macro Script containing the selected lines. For more information, see <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a>.</p>\n\
<p>You can open a MAXScript Editor tab from within the Listener or from other running scripts by calling the <code>edit()</code> method. The syntax for the <code>edit()</code> method is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">edit &lt;filename_string&gt;</code></pre><p>where <code>&lt;filename_string&gt;</code> is a string literal or an expression that evaluates to a string, and specifies the name of the file whose contents are to be loaded into the new MAXScript Editor window.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   edit &quot;my_script.ms&quot;</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scriptfile=&quot;my_script.ms&quot;\n\
   edit scriptfile</code></pre></blockquote>\n\
<p><strong>The file will be searched for in the following directories, in the order listed:</strong></p>\n\
<ul>\n\
<li><p>The current MAXScript directory</p>\n\
</li>\n\
<li><p>The <strong>3ds Max</strong> executable main directory</p>\n\
</li>\n\
<li><p>The Windows NT 32-bit system directory (system32)</p>\n\
</li>\n\
<li><p>The Windows 16-bit system directory (system)</p>\n\
</li>\n\
<li><p>The Windows directory</p>\n\
</li>\n\
<li><p>The directories that are listed in the PATH environment variable</p>\n\
</li>\n\
</ul>\n\
<p>The <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\">MAXScript System Global Variable</a> <code>editorShowPath</code> controls whether the MAXScript Editor will display the full path of the edited script (true) or only the file name in the title bar (false).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../The-MAXScript-Editor.html\">The MAXScript Editor</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";