var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-52C211F5-CD4E-4F4C-9C31-08A0611BBEEF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Regular Expressions Find and Replace in the MAXScript Editor</h1></div><p>The following topic is based on the public domain document located on <a href=\"https://www.scintilla.org/SciTERegEx.html\" target=\"_blank\">http://www.scintilla.org/SciTERegEx.html</a></p>\n\
<h2 id=\"purpose\">Purpose</h2><p><strong>Regular Expressions</strong> (RegEx) can be used for searching for patterns rather than literals.</p>\n\
<p>For example, using the following posix-mode Regular Expression, it is possible to <strong>search</strong> for variables in property files which look like $(name.subname)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\\$([a-z.]+)</code></pre><p>This Regular Expression can be read like this:</p>\n\
<ul>\n\
<li><p>Find a string which matches the following rules:</p>\n\
<ul>\n\
<li><p>Starts with <code>$</code> , denoted as the special character <code>\\\\$</code></p>\n\
</li>\n\
<li><p>Is followed by a lower case character between <strong>a</strong> and <strong>z</strong> followed by <strong>any character</strong> specified by a period <strong>.</strong></p>\n\
</li>\n\
<li><p>The above set repeated one or more times, as denoted by the <code>\\+</code> sign after the <code>\\[\\]</code> set definition.</p>\n\
</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<p><strong>Replacement</strong> with regular expressions allows for complex transformations with the use of tagged expressions.</p>\n\
<p>For example, pairs of numbers separated by a comma could be reordered by replacing the posix-mode regular expression</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">([0-9]+),([0-9]+)</code></pre><p>with:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\\2,\\1</code></pre><p>The first RegEx means: Match one or more digits between 0 and 9 before the comma and one or more digits between 0 and 9 after the comma.</p>\n\
<p>In non-posix mode, the same would be written as</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\\([0-9]+\\),\\([0-9]+\\)</code></pre><p>The replacement RegEx <code>\\\\2, \\\\1</code> means: Take the second matched expression and put it before the comma, then place the first matched expression after the comma.</p>\n\
<p>The first posix mode RegEx could even be written as</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">(\\d+),(\\d+))</code></pre><p>which also means any number of digits before the comma and any number of digits after the comma.</p>\n\
<h2 id=\"syntax-styles-posix-vs-old-unix-style\">Syntax Styles - Posix vs. Old Unix Style</h2><p>Regular expression syntax depends on the parameter</p>\n\
<p><code>find.replace.regexp.posix</code></p>\n\
<p>If set to 0 (default), the Regular Expression syntax uses the old Unix style where <strong>\\(</strong> and <strong>\\)</strong> mark capturing sections while <strong>(</strong> and <strong>)</strong> represent themselves.</p>\n\
<p>If set to 1, the RegEx syntax uses the more common style where opening and closing parentheses <strong>(</strong> and <strong>)</strong> mark capturing sections while <strong>\\(</strong> and <strong>\\)</strong> are plain parentheses.</p>\n\
<h2 id=\"syntax-rules\">Syntax Rules</h2><h4 id=\"-1-char\">[1] char</h4><p>A character matches itself, unless it is a special character (metachar): . \\ [ ] * + ^ $ and( ) in posix mode.</p>\n\
<h4 id=\"-2-\">[2] .</h4><p>matches any character.</p>\n\
<h4 id=\"-3-\">[3] \\</h4><p>matches the character following it, except:</p>\n\
<ul>\n\
<li><p>\\a,\\b,\\f,\\n,\\r,\\t,\\v match the corresponding C escape char, respectively BEL, BS, FF, LF, CR, TAB and VT; Note that \\r and \\n are never matched because in Scintilla, regular expression searches are made line per line (stripped of end-of-line chars).</p>\n\
</li>\n\
<li><p>if not in posix mode, when followed by a left or right round bracket (see [7]);</p>\n\
</li>\n\
<li><p>when followed by a digit 1 to 9 (see [8]);</p>\n\
</li>\n\
<li><p>when followed by a left or right angle bracket (see[9]);</p>\n\
</li>\n\
<li><p>when followed by d, D, s, S, w or W (see [10]);</p>\n\
</li>\n\
<li><p>when followed by x and two hexa digits (see [11]);</p>\n\
</li>\n\
</ul>\n\
<p>Backslash is used as an escape character for all other meta-characters, and itself.</p>\n\
<h4 id=\"-4-set-\">[4] [set]</h4><p>matches one of the characters in the set.</p>\n\
<p>If the first character in the set is ^, it matches the characters NOT in the set, i.e. complements the set.</p>\n\
<p>A shorthand S-E (start dash end) is used to specify a set of characters S up to E, inclusive.</p>\n\
<p>The special characters ]and-have no special meaning if they appear as the first chars in the set. To include both, put - first: [-]A-Z], or just add a backslash before each of them, like [A-Z\\]\\-]</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>example</th>\n\
<th>match</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>`[-]</td>\n\
<td>]`</td>\n\
</tr>\n\
<tr>\n\
<td>`[]-</td>\n\
<td>]`</td>\n\
</tr>\n\
<tr>\n\
<td><code>[a-z]</code></td>\n\
<td>any lowercase alpha</td>\n\
</tr>\n\
<tr>\n\
<td><code>[^-]]</code></td>\n\
<td>any char except - and ]</td>\n\
</tr>\n\
<tr>\n\
<td><code>[^A-Z]</code></td>\n\
<td>any char except uppercase alpha</td>\n\
</tr>\n\
<tr>\n\
<td><code>[a-zA-Z]</code></td>\n\
<td>any alpha</td>\n\
</tr>\n\
</tbody></table>\n\
<h4 id=\"-5-\">[5] *</h4><p>any regular expression form [1] to [4] (except [7] , [8] and [9] forms of [3] ), followed by closure char ( * ) matches <em>zero or more</em> matches of that form.</p>\n\
<p>For example, [a-z]* means &quot;Zero or more occurrences of a lower case alpha character&quot;.</p>\n\
<h4 id=\"-6-\">[6] +</h4><p>same as [5] , except it matches <em>one or more</em>.</p>\n\
<p>Both [5] and [6] are _greedy_- they match as many characters as possible, until a mismatch is encountered.</p>\n\
<h4 id=\"-7-\">[7]</h4><p>a regular expression in the form [1]to[12], enclosed as \\(form\\)(or(form)with posix flag) matches what form matches. The enclosure creates a set of tags, used for[8]and for pattern substitution. The tagged forms are numbered starting from 1.</p>\n\
<h4 id=\"-8-\">[8]</h4><p>a \\ followed by a digit 1 to 9 matches whatever a previously tagged regular expression ([7]) matched.</p>\n\
<h4 id=\"-9-lt-gt-\">[9] \\&lt; \\&gt;</h4><p>a regular expression <em>starting with a</em> \\&lt; construct and/or <em>ending with a</em> \\&gt; construct, restricts the pattern matching to the beginning of a word, and/or the end of a word. A word is defined to be a character string beginning and/or ending with the characters A-Z a-z 0-9 and _. The Editor extends this definition by user setting. The word must also be preceded and/or followed by any character outside those mentioned.</p>\n\
<h4 id=\"-10-l\">[10] \\l</h4><p>a <em>backslash</em> followed by <em>d</em>, <em>D</em>, <em>s</em>, <em>S</em>, <em>w</em> or <em>W</em>, becomes a character class (both inside and outside <em>[]</em> sets).</p>\n\
<ul>\n\
<li><p><em>d</em>: decimal digits</p>\n\
</li>\n\
<li><p><em>D</em>: any char <em>except decimal digits</em></p>\n\
</li>\n\
<li><p><em>s</em>:<em>whitespace</em> (space, \\t \\n \\r \\f \\v)</p>\n\
</li>\n\
<li><p><em>S</em>: any char <em>exceptwhitespace</em> (anything but space, \\t \\n \\r \\f \\v)</p>\n\
</li>\n\
<li><p><em>w</em>:<em>alphanumeric</em> and <em>underscore</em> (changed by user setting)</p>\n\
</li>\n\
<li><p><em>W</em>: any char <em>except alphanumeric</em> and <em>underscore</em> (see above)</p>\n\
</li>\n\
</ul>\n\
<h4 id=\"-11-xhh\">[11] \\xHH</h4><p>a <em>backslash</em> followed by <em>x</em> and <em>two hexadecimal digits</em>, becomes the character whose Ascii code is equal to these digits. If not followed by two digits, it represents the character &apos;x&apos; itself.</p>\n\
<h4 id=\"-12-\">[12]</h4><p>a composite regular expression xy where x and y are in the form [1] to [10] matches the <em>longest match of x</em> followed by a <em>match for y</em>.</p>\n\
<h4 id=\"-13-\">[13] ^ $</h4><p>a regular expression starting with a ^ character and/or ending with a $ character, restricts the pattern matching to the beginning of the line, or the end of line. Elsewhere in the pattern, ^ and $ are treated as ordinary characters.</p>\n\
<h2 id=\"acknowledgments\">Acknowledgments</h2><p>Most of this documentation was originally written by Ozan S. Yigit. Additions by Neil Hodgson and Philippe Lhoste. All of this document is in the public domain.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../The-MAXScript-Editor.html\">The MAXScript Editor</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";