var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3F328EC6-88EF-4EE9-AE79-ADC3F629716D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Using the MAXScript Documentation</h1></div><p>This reference is written primarily for artists learning MAXScript.</p>\n\
<p>The topics are organized with the introductory material presented first, then descriptions of the MAXScript syntax and grammar, followed by a description of creating, accessing, and modifying the various <strong>3ds Max</strong> objects. These <strong>3ds Max</strong> objects include geometry objects, modifiers, controllers, materials, textures, and render effects.</p>\n\
<p>The MAXScript tools are then described, followed by descriptions of the methods for interacting with the <strong>3ds Max</strong> user interface, accessing external files, and establishing notifications to a script when an object or <strong>3ds Max</strong> state changes. Throughout these topics, the purpose and syntax of the commands in the MAXScript language are described.</p>\n\
<h2 id=\"for-new-users\">For New Users</h2><p>Although it’s helpful to have programming experience, the basic aspects of MAXScript do not require this or an in-depth understanding of the structure underlying <strong>3ds Max</strong>. Concepts presented in one topic do assume a basic understanding of the concepts presented in earlier topics.</p>\n\
<p>At the very least, the topics in the &quot;Learning MAXScript&quot; chapter and the topics up to and including <a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/Controlling-Program-Flow-1.html\">Controlling Program Flow</a> in the &quot;MAXScript Language Reference&quot; chapter should be read in order. By reading the topics in order, you will learn the MAXScript language starting with the basics, and work your way toward writing full-featured MAXScript utilities.</p>\n\
<p>In the later sections, features and techniques are presented for programmers with more advanced programming experience.</p>\n\
<p>For those new to MAXScript, <a href=\"./../Learning-MAXScript.html\">Learning MAXScript</a> provides an introduction to the features, syntax, and practical applications of MAXScript.</p>\n\
<p>Users who only intend to use MAXScript tools written by 3rd parties without learning the language itself will find the <a href=\"MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\">MAXScript for New and Casual Users</a> topics useful.</p>\n\
<h2 id=\"for-existing-users\">For Existing Users</h2><p>The index topic <a href=\"./../What-is-New-in-MAXScript.html\">New in MAXScript</a> provides links to topics documenting the changes to MAXScript in the current and previous releases.</p>\n\
<h2 id=\"tutorials-examples-faqs\">Tutorials, Examples, FAQs</h2><p>This document also features a set of <a href=\"./../How-To-Practical-Examples/How-To-Introduction-to-the.html\">How To - Practical Examples</a> which can be used as tutorials or as starting point for own script development, and an index of <a href=\"./../Script-Examples-In-This-Help.html\">Online Help Script Examples</a> listing useful scripts located inside of various topics.</p>\n\
<p>The <a href=\"./../Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a> chapter provides links to relevant topics and solutions to real-world problems based on questions by users.</p>\n\
<h2 id=\"maxscript-extensions\">MAXScript Extensions</h2><p>Several chapters have been dedicated to MAXScript Extensions incl. <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in.html\">character studio</a>, <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-and-MAXScript.html\">Particle Flow</a>, <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth.html\">Cloth</a>, <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair.html\">Hair&amp;Fur</a>, <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/ProBoolean-Extension.html\">ProBoolean</a>, <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-2/ProSound-Extension.html\">ProSound</a> etc.</p>\n\
<p>Although these plugins are now part of the shipping version of <strong>3ds Max</strong>, they all started as add-ons and were often developed by external teams, leading to some individual flavors of the MAXScript exposure and own internal logic and structure of classes and interfaces.</p>\n\
<p>For that reason, their documentation is provided in separate chapters under &quot;MAXScript Extensions&quot; that are mostly self-contained and can be seen as mini-help files within the large one.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Introduction.html\">MAXScript Introduction</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";