var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B28D7100-1F5F-4A0F-BFA3-17ABADD13580\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Definitions for MAXScript internal organization</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MAXScriptFunction Const Generic Const MappedGeneric Const NodeGeneric Const Primitives Const StructDef Const Class</code></pre><p>When you use something like &apos;fn test val = ...&quot;, a <code>MAXScriptFunction</code> value is created and stored in variable <strong>test</strong>. If variable <strong>test</strong> was passed into another method, for example as a filter function, that method would test the class of the value to make sure it&apos;s a MAXScriptFunction and then call it using apply().</p>\n\
<p>The <code>&apos;Const&apos;</code> preceding the following simply says that it is a value that is created during MAXScript initialization.</p>\n\
<p>A <code>Generic</code> is one or more methods with the same name, but defined for different classes. Which method is called depends on the class of the first argument to the method. For example, &apos;random&apos; is declared as a Generic, and there are methods implementing &apos;random&apos; in several classes - Integer, Float, Point3, Color, Quat, etc. When MAXScript sees &apos;random v1 v2&apos; in a script, it looks at the class of v1, and then calls the &apos;random&apos; method for that class. So if v1 were a float, MAXScript would call the Float::random() method.</p>\n\
<p>A <code>MappedGeneric</code> is the same as a Generic, but the first argument can be a collection. If it is a collection, the the method is called individually on each member of the collection. For example, &apos;deleteTime $box* 10f 10f&apos; deletes 10f at frame 10 in all keys in all objects named $box*. deleteTime can also be used on controllers, that&apos;s why it is a Generic</p>\n\
<p>A <code>NodeGeneric</code> is the same as a MappedGeneric, but its first argument has to be a node or a collection of nodes. But given the definition of Generic, that doesn&apos;t make much sense. If the first argument is a collection, and the method is applied to each member of the collection.</p>\n\
<p><code>Primitives</code> are methods that aren&apos;t class specific. The method is responsible for checking the types of its arguments (if any) and throwing an error if one isn&apos;t correct. There is only one definition of the Primitive.</p>\n\
<p>A <code>StructDef</code> is a structure value. If the structure value is created by a script, its class is StructDef. If MAXScript creates the structure during initialization, its class is Const StructDef. So, for example, my meshop methods are defined to exist in a structure called meshop. Since this structure is created during initialization, the class of meshop is Const StructDef.</p>\n\
<p><code>Const Class</code> is just a class that is defined in MAXScript itself. So, for example, BitArray is a Const Class. MAXScript also scans the classes registered with <strong>3ds Max</strong> - these classes will be created in MAXScript as Const MAXClass.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Const-and-MAXScript-Functions.html\">Const and MAXScript Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";