var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-798DBAF9-7171-457A-95EE-FC8F2062CCBD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Controlling Program Flow</h1></div><p>MAXScript has several <code>&lt;expr&gt;</code> expression forms used for explicitly controlling the flow of execution. They are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;if_expr&gt;\n\
&lt;case_expr&gt;\n\
&lt;do_loop&gt;\n\
&lt;while_loop&gt;\n\
&lt;for_loop&gt;\n\
&lt;loop_exit&gt;\n\
&lt;try_expr&gt;\n\
</code></pre><p>These expression forms correspond to the standard control constructs found in many programming languages. Each is described in its own topic:</p>\n\
<p><a href=\"If-Expression.html\">If Expression</a></p>\n\
<p><a href=\"Case-Expression.html\">Case Expression</a></p>\n\
<p><a href=\"While-and-Do-Loops.html\">While and Do Loops</a></p>\n\
<p><a href=\"For-Loop.html\">For Loop</a></p>\n\
<p><a href=\"Loop-Exit.html\">Loop Exit</a></p>\n\
<p><a href=\"Try-Expression.html\">Try Expression</a></p>\n\
<p>Additionally, there are several constructs for implicitly controlling the program flow.</p>\n\
<p>The <code>when</code> construct is used for scripting general change handlers, so you can write scripts that respond to user operations such as, object moves, vertex edits, object deletions, name changes, and so on. Callback mechanisms are used to have a function called when certain specific events occur. See <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\">Change Handlers and When Constructs</a> for more information.</p>\n\
<p>The <code>on</code> construct is used when scripting rollouts, tools, or plugins, so the script can respond to events that are often user-generated in those constructs. See <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">Utility and Rollout Properties, Methods, and Event Handlers</a> for more information.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controlling-Program-Flow.html\">Controlling Program Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";