var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-378F3155-6001-43A7-9E0D-6D98E0823F6F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>For Loop</h1></div><p>The <code>for</code> loop iterates through a range of numbers, time values, or a sequenced collection of values such as, an array or object set.</p>\n\
<p>The syntax for the <code>for</code> loop is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for &lt;var_name&gt; [, &lt;index_name&gt;[, &lt;filtered_index_name&gt;]] ( in | = )&lt;sequence&gt; ( do | collect ) &lt;expr&gt;</code></pre><p>where <code>&lt;var_name&gt;</code> is the name of the loop item variable that holds the loop value, and <code>&lt;sequence&gt;</code> is the source of values for the loop.</p>\n\
<p>The <code>&lt;index_name&gt;</code> and <code>&lt;filtered_index_name&gt;</code> are optional variables that hold the loop&apos;s index. The <code>&lt;index_name&gt;</code> is unaffected by any filtering expressions (where), and corresponds to the value&apos;s position in the original list. The <code>&lt;filtered_index_name&gt;</code> is the position of the value in the filtered list. See the examples below for an illustration of the difference between these two indices.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong>\n\
The <code>&lt;sequence&gt;</code> can be one of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;expr&gt; to &lt;expr&gt; [ by &lt;expr&gt; ] [while &lt;expr&gt;] [where &lt;expr&gt; ]\n\
&lt;expr&gt; [while &lt;expr&gt;] [ where&lt;expr&gt; ]</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;expr&gt; to &lt;expr&gt; [ by &lt;expr&gt; ] [where &lt;expr&gt; ]\n\
&lt;expr&gt; [where &lt;expr&gt;]</code></pre><blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i = 1 to 10 do print i -- sequence numbers</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for item in table1 do x = x + item.height -- sequence an array</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for t in 0f to 100f by 5f do sliderTime=t -- sequence time (given as frames, here)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bigones = for obj in $box* -- you can sequence pathnames!\n\
   where obj.height &gt; 100 collect obj -- collect the big boxes into an array</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i,j,k = 12 to 24 where (mod i 3 == 0) do ( -- filter numbers divisible by 3\n\
     format &quot;val:% index:% filtered index:%\\n&quot; i j k\n\
   )\n\
   --&gt; produces this output:\n\
   val:12 index:1 filtered index:1\n\
   val:15 index:4 filtered index:2\n\
   val:18 index:7 filtered index:3\n\
   val:21 index:10 filtered index:4\n\
   val:24 index:13 filtered index:5\n\
</code></pre></blockquote>\n\
<p>The first <code>&lt;sequence&gt;</code> form is the standard number loop, the first <code>&lt;expr&gt;</code> value is the start value, the <code>to &lt;expr&gt;</code> value is the limit value and the optional <code>by &lt;expr&gt;</code> value is the loop value increment. The allowable value types are <strong>integer</strong>, <strong>float</strong>, and <strong>time</strong>. If the <code>by</code> value is not given, it defaults to 1.</p>\n\
<p>The second form of <code>&lt;sequence&gt;</code> takes a sequencable collection such as, an <a href=\"./../Names-Literal-Constants-and/Literal-Constants/Array-Literals.html\">array</a> or <a href=\"./../Collections/Collection-Types/ObjectSet-Values.html\">ObjectSet</a>, and iterates through all its values assigning successive elements in the collection to the loop value each time through the loop. MAXScript contains several sequence collections including <a href=\"./../Collections/Collection-Types/PathName-Values.html\">PathName values</a>, the current selection set, the children of a node, and the stack of modifiers on an object. See also <a href=\"./../Collections/Collections-1.html\">Collections</a> for caveats when using a collection in a <code>for</code> loop.</p>\n\
<p>If an optional <code>while &lt;expr&gt;</code> test is specified, the <code>for</code> loop terminates if the test evaluates to <code>false</code> . The <code>while</code> test expression must evaluate to a boolean ( <code>true</code> / <code>false</code> ).</p>\n\
<blockquote>\n\
<p>   <strong>PERFORMANCE WARNING</strong></p>\n\
<p>   Breaking out of a loop using an <code>exit</code> construct is implemented internally using try/catch, which is <strong>extremely slow</strong>.</p>\n\
<p>   This is why the use of the <code>while</code> test is recommended over the use of <code>exit</code> for performance reasons. The <code>while</code> expression is evaluated before the <code>where</code> expression.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   function findByClass _obj _className =\n\
   (\n\
   local notFound = true\n\
   local res = 0\n\
   local searchName = _className as name\n\
   for i = 1 to _obj.NumBakeElements() while notFound do\n\
   (\n\
   local myElement = _obj.GetBakeElement i\n\
   if myElement.enabled do\n\
   (\n\
   local eleName = (classof myElement as string) as name\n\
   if eleName == searchName do\n\
   (\n\
   res = i\n\
   notFound = false\n\
   )\n\
   )\n\
   )\n\
   return res\n\
   )\n\
</code></pre></blockquote>\n\
<p>Each <code>&lt;sequence&gt;</code> source form takes an optional <code>where &lt;expr&gt;</code> that must evaluate to <code>true</code> or <code>false</code> . The <code>where</code> expression is evaluated at the beginning of each loop and only executes the loop body for that loop value if the <code>where</code> expression is <code>true</code> .</p>\n\
<p>The <code>do &lt;expr&gt;</code> form simply evaluates the body expression once for each value in the sequence. The loop variable is visible to the code in the body expression as though it was declared locally and initialized to the successive loop values each time. When the <code>do &lt;expr&gt;</code> form of a <code>for</code> loop is used as an expression, its return value is always <code>OK</code> .</p>\n\
<p>The <code>collect &lt;expr&gt;</code> form gathers the expression values from the loop iterations and stores them in an array, which is then yielded as the value of the overall <code>for</code> loop. For example, this is a good way to gather procedural selections of objects from a scene. If the <code>where</code> expression is used with the <code>collect</code> form of the <code>for</code> loop, only the values from those iterations for which the <code>where</code> expression is <code>true</code> are collected. This can be used to collect a filtered sub-set of the iterated values. You can also achieve this collection filtering in a <code>for</code> loop that does not use a <code>where</code> expression by yielding the special value <code>dontCollect</code> for those iterations that must not be added to the collection.</p>\n\
<p>As described in <a href=\"./../Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a>, a <code>for</code> loop creates a new scope context. The <code>for</code> loop index variable&apos;s scope is always the extent of the <code>for</code> loop, even if another variable of the same name already exists. Once the <code>for</code> loop exits, the <code>for</code> loop index variable is no longer accessible. The scope of any variables created in a <code>for</code> loop is always the extent of the <code>for</code> loop. This is shown in the following example:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj=box()\n\
   avg_pos=[0,0,0]\n\
   offset_pos=[100,100,0]\n\
   -- new for loop index variable obj created even though\n\
   -- a variable named obj already exists, scope is for loop\n\
   for obj in $* do\n\
   (\n\
   -- new variable pos created, scope is for\n\
   -- loop offset_pos already exists outside\n\
   -- for loop, its value will be used\n\
   pos=obj.pos-offset_pos\n\
   -- avg_pos already exists outside for loop,\n\
   -- its value will be used for loop index since variable\n\
   -- obj goes out of scope\n\
   avg_pos += pos\n\
   )\n\
   avg_pos /= $*.count\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controlling-Program-Flow.html\">Controlling Program Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Skipping-Loop-Iterations.html\">Skipping Loop Iterations</a></li>\n\
          <li><a class=\"link\" href=\"Loop-Exit.html\">Loop Exit</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";