var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EAD55DDE-6C7C-44CB-8BC8-34905BC05BE5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>While and Do Loops</h1></div><p><code>while</code> and <code>do</code> loops are used to repeatedly execute an expression until a test expression evaluates as <code>false</code> . The <code>while</code> loop and <code>do</code> loop are simple variants of one another.</p>\n\
<p>The syntax is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">do &lt;expr&gt; while &lt;expr&gt;\n\
\n\
while &lt;expr&gt; do &lt;expr&gt;</code></pre><p>Both loops repeat the <code>do &lt;expr&gt;</code> as long as the <code>while &lt;expr&gt;</code> evaluates to the value <code>true</code> . The <code>do</code> form evaluates the <code>do &lt;expr&gt;</code> at least once, evaluating the test expression at the end of each loop. The <code>while</code> form evaluates the test expression at the start of each loop and may not loop at all.</p>\n\
<p>Both forms return as their value the result of the <code>do &lt;expr&gt;</code> from the last successful loop iteration. The <code>while</code> form will return the value <code>undefined</code> if the test expression immediately returns <code>false</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   while x &gt; 0 do\n\
   ( print x\n\
   x -= 1\n\
   )</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   while not eof f do print (read_value f)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   do\n\
   (\n\
   exchanged=false\n\
   for i=1 to imax do\n\
   (\n\
   j=i+gap\n\
   if (compare array[j] array[i]) do\n\
   (swap array[j] array[i]; exchanged=true)\n\
   )\n\
   )\n\
   while exchanged\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controlling-Program-Flow.html\">Controlling Program Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Skipping-Loop-Iterations.html\">Skipping Loop Iterations</a></li>\n\
          <li><a class=\"link\" href=\"Loop-Exit.html\">Loop Exit</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";