var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6CF536D8-B90A-4998-AA16-71F23E710B47\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Creating Functions</h1></div><p>Functions are defined in MAXScript using the function definition expression.</p>\n\
<p>The <strong>syntax</strong> for <code>&lt;function_def&gt;</code> is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[mapped] ( function | fn) &lt;name&gt; { &lt;parameter&gt; } = &lt;expr&gt; </code></pre><p>Here, <code>&lt;name&gt;</code> is the name of the function.</p>\n\
<p>The optional sequence of <code>&lt;parameter&gt;</code> can be one of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;name&gt;\n\
&lt;name&gt;: [&lt;operand&gt;] --keyword parameter with optional default value   </code></pre><p>The <code>&lt;expr&gt;</code> after the <code>&apos;=&apos;</code> (equal sign) is the body of the function.</p>\n\
<p>The function <code>&lt;name&gt;</code> is actually used to name a variable into which a value representing the function is placed.</p>\n\
<p>When you call a function by using its name, you are accessing its definition in a variable of that name.</p>\n\
<p>The scope of the function name variable is the current MAXScript scope.</p>\n\
<p>The parameters for a function are either <strong>positional</strong> or <strong>keyword</strong>.</p>\n\
<p><em>Positional parameters</em> are defined with a simple <code>&lt;name&gt;</code> and must be placed before any keyword parameters.</p>\n\
<p><em>Keyword parameters</em> have a &apos;:&apos; (colon) after the name and an optional default value. The caller of the function can optionally supply keyword arguments in any order. Those not supplied is set to the given default value, or the special value <code>unsupplied</code> if a default value is not given.</p>\n\
<p>Using the <code>mapped</code> prefix on a function definition marks this function to be automatically mapped over collections.</p>\n\
<p>This means the function is automatically called repeatedly on the elements of a collection if the collection is given as the first argument to the function.</p>\n\
<p>This allows you to define scripted functions that behave in a similar manner to the <strong>mapped</strong> built-in functions such as, copy, delete, move, and so on, which can be applied to an object set, path name pattern, or array.</p>\n\
<p>See <a href=\"./../Collections/Collections-1.html\">Collections</a> for more information.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   function my_add a b = a + b\n\
   fn factorial n = if n &lt;= 0 then 1 else n * factorial (n - 1)\n\
   mapped function rand_color x =\n\
   x.wireColor = random (color 0 0 0) (color 255 255 255)\n\
   fn starfield count extent:[200,200,200] pos:[0,0,0] =\n\
   (\n\
   local f = pos - extent / 2,\n\
   t = pos + extent / 2\n\
   for i = 1 to count do\n\
   sphere name: &quot;star&quot;\\\n\
   radius:(random 0.1 2.0) \\\n\
   position:(random f t) \\\n\
   segs:4 smooth:false\n\
   )\n\
</code></pre></blockquote>\n\
<p>A scripted function returns as its value the value of the body <code>&lt;expr&gt;</code> . If the body is a block-expression, the function evaluates to the value of the last expression in the block.</p>\n\
<p>A function can be called recursively (that is, the function can call itself), as is the <code>factorial</code> function in the previous examples.</p>\n\
<p>If you need to locate the source of a scripted function, you can use the <code>showSource()</code> function. It displays a script Editor containing the source file in which the function was defined and positioned at the function&apos;s definition.</p>\n\
<p>The form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showSource &lt;fn&gt; </code></pre><p>This is useful for browsing definitions if you are working on many scripted functions that were defined in several script files.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-Functions.html\">Creating Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Function-Variables.html\">Function Variables</a></li>\n\
          <li><a class=\"link\" href=\"Function-Parameters.html\">Function Parameters</a></li>\n\
          <li><a class=\"link\" href=\"The-Return-Expression.html\">The Return Expression</a></li>\n\
          <li><a class=\"link\" href=\"../Names-Literal-Constants-and/Simple-Expressions/Function-Calls/Special-Notes-About-Function.html\">Special Notes About Function Calls</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";