var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-07D714FC-B207-4BBF-9590-16C93C631F50\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The Return Expression</h1></div><p>As with the loop constructs, you can break out of a function body block-expression prematurely in MAXScript and return a result without evaluating the remaining portion of the block.</p>\n\
<p>For this purpose, you can use the <code>return</code> expression:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">return &lt;expr&gt;      </code></pre><p>If a <code>return</code> expression is evaluated in the course of running a function body, the function exits immediately and yields the value given in the <code>return &lt;expr&gt;</code> .</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn find_root twod_fn =\n\
   (\n\
   local root, last_root\n\
   while true do\n\
   (\n\
   --...\n\
   if abs(root - last_root) &lt; epsilon then return root\n\
   --...\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> It is unnecessary to place a <code>return</code> expression at the end of a function body to return an expression value. Instead, simply place the result expression at the end of a function body.</div>\n\
<p>If a <code>return &lt;expr&gt;</code> is used in a mapped function and a collection is passed as the first argument to the function, the value returned will be <code>OK</code> rather than <code>&lt;expr&gt;</code> .</p>\n\
<p>As a special case, you can exit a script controller&#x2019;s script using a <code>return &lt;expr&gt;</code> .</p>\n\
<p><strong>In 3ds Max 6 and higher</strong></p>\n\
<p>You can call <code>return()</code> in macroScripts whose body is a single expression (old style MacroScripts that do not implement &apos;on execute do ...&apos; handler) to exit the MacroScript.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The <code>return</code> expression is <strong>very slow</strong>. If your function will be called very often, try to avoid using it. See <a href=\"./../../Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Do-not-use-return-break-exit-or.html\">Do not use return, break, exit or continue</a> for details.</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-Functions.html\">Creating Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";