var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CC2D2450-AECD-4732-BF93-4AA91ED0BC56\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>animate</h1></div><p>The <code>\\[ with \\] animate` &lt;boolean_expr&gt;` context corresponds to setting the Auto Keybutton in the **3ds Max** user interface. Placing an expression, operation, or block-expression within an</code>animate on<code>context causes keyframes to be generated whenever an animatable property of a **3ds Max** object is changed, regardless of the actual state of the **Auto Key** button. Likewise, placing an expression within an</code>animate off`` context prevents keyframes from being generated whenever an animatable property of a <strong>3ds Max</strong> object is changed. Expressions that change an animatable property of a <strong>3ds Max</strong> object, and are not within an <code>animate</code> context, will generate keyframes only if the <strong>Auto Key</strong> button is on.</p>\n\
<p>Setting the <code>animate</code> context on or off does not affect the state of the <strong>Auto Key</strong> button. The state of the <strong>Auto Key</strong> button can be queried and set using the <code>animButtonState</code> global variable. The user can be prevented from changing the state of the <strong>Auto Key</strong> button using the <code>animButtonEnabled</code> global variable.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj=box()\n\
   liftHeight=50\n\
   tStart=0\n\
   tEnd=60\n\
   loadheight=obj.pos.z\n\
   -- lift object, no key generated\n\
   animate off\n\
   obj.pos.z=loadheight+liftHeight\n\
   -- Create key at time tStart to keep object lifted until that time.\n\
   -- If tStart != 0, a key will also automatically be created at frame 0.\n\
   -- Then create a key at time tEnd to drop the object\n\
   with animate on\n\
   (\n\
     at time tStart obj.pos.z=loadheight+liftHeight\n\
     at time tEnd obj.pos.z=loadheight\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>HISTORICAL NOTE FOR NEW USERS:</strong></p>\n\
<p>   In <strong>3ds Max</strong> prior to versions 5, the <strong>Auto Key</strong> button was called <strong>Animate</strong>. Since MAXScript has been first introduced back in <strong>3ds Max 2</strong> when there were no Auto Key and Set Key buttons, the MAXScript terminology remains the same for compatibility reasons, including the name of the <code>animate</code> context and the name of the global variable <code>animButtonEnabled</code> . Changing their names to reflect the new <strong>3ds Max</strong> UI would break old scripts and is thus not a good idea.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Context-Expressions.html\">Context Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";