var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-715B1CA8-B27D-495B-964D-1826EAE7030C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>at level; in</h1></div><p>The <code>at level &lt;node&gt;</code> and <code>in &lt;node&gt;</code> contexts set the specified node to be the effective root for any specified pathnames or scene objects created in the context. These contexts automatically prefix the specified node to any pathnames in the context. They also set the specified node to be the parent for any scene objects created in the context.</p>\n\
<p>To be able to use pathnames within level contexts to name objects anywhere in the scene, you can override the current working level by using a <em>rooted pathname</em>. A rooted pathname has an extra &quot;/&quot; before the first-level name and indicates &quot;start at the actual root of the object tree&quot;.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scale $/baz/* [1,1,2]\n\
</code></pre><p>   operates on the object <code>baz</code> in the actual top level, not just as a child of the current working level.</p>\n\
</blockquote>\n\
<p>You can also use this rooted pathname form to force a pathname to only consider top-level objects when you name a single object.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo\n\
</code></pre><p>   looks throughout the whole scene at all levels for an object named <code>foo</code> ,</p>\n\
<p>   <strong>BUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $/foo\n\
</code></pre><p>   will only look for a top-level object named <code>foo</code> .</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   in $mannequin01...LClav...hand --set context to hand\n\
   $mannequin01.spine.LClav.arm.hand\n\
   (\n\
   rotate $thumb1 15 y_axis --rotate hand&apos;s child thumb\n\
   rotate $finger11 10 y_axis --rotate hand&apos;s child first finger\n\
   PalmCenter=$finger21.parent.pos --get hand&apos;s position\n\
   PalmCenter+=(LHandPos-$finger21.pos)/2.--calculate center of palm\n\
   --create a dummy there, dummy is a child of the hand:\n\
   dummy name:&quot;palmLink&quot; pos:PalmCenter\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   in $dummy\n\
   (\n\
   -- create automatically as children of $dummy:\n\
   sphere name:&quot;ear1&quot; pos:[10,10,10]\n\
   sphere name:&quot;ear2&quot; pos:[-10,10,10]\n\
   scale $foo/* [1,1,2] --look for &apos;foo&apos; as a child of $dummy\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Context-Expressions.html\">Context Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";