var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B93647B2-8BC7-4D83-BA90-0105DAB3591C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Expressions</h1></div><p>MAXScript is an <em>expression-based</em> language. Every construct in the language is an expression and yields a result. This includes constructs that other languages consider as statements. The simplified syntax of the language allows you to build very expressive code. Anywhere you can write an <code>&lt;expr&gt;</code> expression, and you can write any construct in MAXScript.</p>\n\
<p>A good example of this is the <code>if</code> construct. In statement-based languages, there is usually one syntax for <code>if</code> statements and another for conditional expressions. In MAXScript, a single syntax is used for both cases.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   The following two lines of code are both valid and their meaning is obvious:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if a &gt; b then print c else print d\n\
   x = if a &gt; b then c else d\n\
</code></pre><p>   You can also write the following line with a nested <code>if</code> expression and a nested assignment, which itself is an expression:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   x = if (if a &gt; b then c else d) &lt; e then f else (g = 23)\n\
</code></pre></blockquote>\n\
<p>Another example is the block-expression, denoted by <code>&lt;block_expr&gt;</code>. It contains a series of <code>&lt;expr&gt;</code> expressions enclosed in parentheses.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = 2\n\
   b = 1\n\
   (\n\
   print a\n\
   print b\n\
   if a &gt; b then print &quot;the big a&quot;\n\
   )\n\
</code></pre></blockquote>\n\
<p>Each expression in the block is separated by a line break. You can also write several expressions in one line using a &quot;;&quot; (semicolon) to separate them.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (print a; print b; if a &gt; b then print &quot;the big a&quot;)\n\
</code></pre></blockquote>\n\
<p>Block-expressions are themselves <code>&lt;expr&gt;</code> expressions. They evaluate their component expressions in sequence and their value is the value of the last expression in the block.</p>\n\
<p>To create classic block-structured statements:</p>\n\
<blockquote>\n\
<p>   <strong>YOU MIGHT WRITE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   c = 3\n\
   d = 4\n\
   if a &gt; b then\n\
   (\n\
   print c\n\
   x = sqrt (c)\n\
   )\n\
   else\n\
   (\n\
   print d\n\
   x = sin (e)\n\
   )\n\
</code></pre><p>   <strong>OR</strong></p>\n\
<p>   Use a nested block-expression to compute a comparison operand.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if a &gt; (y = sin b; sqrt(y * z)) then print c\n\
</code></pre></blockquote>\n\
<p>At its simplest, a MAXScript program is made up of <code>&lt;expr&gt;</code> expressions.</p>\n\
<p>An <code>&lt;expr&gt;</code> is defined as any of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;simple_expr&gt;\n\
&lt;variable_decls&gt;\n\
&lt;assignment&gt;\n\
&lt;context_expr&gt;\n\
&lt;if_expr&gt;\n\
&lt;while_loop&gt;\n\
&lt;do_loop&gt;\n\
&lt;for_loop&gt;\n\
&lt;loop_exit&gt;\n\
&lt;case_expr&gt;\n\
&lt;try_expr&gt;\n\
&lt;function_def&gt;\n\
&lt;function_return&gt;\n\
&lt;struct_def&gt;\n\
&lt;max_command&gt;\n\
&lt;utility_def&gt;\n\
&lt;rollout_def&gt;\n\
&lt;tool_def&gt;\n\
&lt;rcmenu_def&gt;\n\
&lt;plugin_def&gt;\n\
</code></pre><p>These expressions constitute the main constructs in MAXScript.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Names-Literal-Constants-and.html\">Names, Literal Constants, and Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Simple-Expressions/Simple-Expressions-1.html\">Simple Expressions</a></li>\n\
          <li><a class=\"link\" href=\"Context-Expressions.html\">Context Expressions</a></li>\n\
          <li><a class=\"link\" href=\"../Controlling-Program-Flow/Controlling-Program-Flow-1.html\">Controlling Program Flow</a></li>\n\
          <li><a class=\"link\" href=\"../Creating-Functions/Creating-Functions-1.html\">Creating Functions</a></li>\n\
          <li><a class=\"link\" href=\"../Structure-Definition/Structure-Definition-1.html\">Structure Definition</a></li>\n\
          <li><a class=\"link\" href=\"Literal-Constants/Literal-Constants-1.html\">Literal Constants</a></li>\n\
          <li><a class=\"link\" href=\"../Variables-Assignment-and-Scope.html\">Variables - Assignment and Scope</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\">3ds MAX Commands</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-Clauses.html\">Utility Clauses</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools.html\">Scripted Mouse Tools</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus.html\">Scripted Right-Click Menus</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";