var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1C428A1F-3638-4DAC-812C-C6EBAE2100A8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Names</h1></div><p>Names are used in MAXScript to identify variables, functions, parameters, properties, and so on. Names start with an alphabetic character or &quot;<strong>_</strong>&quot; (underscore), and can contain any number of alphanumeric characters or &quot;<strong>_</strong>&quot;.</p>\n\
<p><strong>EXAMPLES OF VALID NAMES ARE:</strong></p>\n\
<ul>\n\
<li><code>foo</code></li>\n\
<li><code>bar123</code></li>\n\
<li><code>this_is_a_very_long_identifier</code></li>\n\
<li><code>_heresOneWithStudlyCaps</code></li>\n\
</ul>\n\
<p><strong>THE FOLLOWING NAMES ARE NOT VALID:</strong></p>\n\
<ul>\n\
<li><code>1object</code> - First character not an alphabetic character </li>\n\
<li><code>pressed?</code> - ? is not a valid alphanumeric character</li>\n\
<li><code>a big number</code> - spaces not allowed in names</li>\n\
<li><code>seven(7)</code> - ( and ) are not valid alphanumeric characters</li>\n\
</ul>\n\
<p>In contrast to most general purpose programming languages, MAXScript names are <strong>not case-sensitive</strong>. For example,the names in the following list refer to the same variable in MAXScript:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BitMapTexture\n\
bitmaptexture\n\
BITMAPtexture</code></pre><p>In syntax descriptions, name identifiers are specified as:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;var_name&gt;</code></pre><p>An example of a syntax where a name identifier is specified is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for &lt;var_name&gt; ( in | = )&lt;sequence&gt; ( do | collect ) &lt;expr&gt;</code></pre><p>In this example, <code>&lt;var_name&gt;</code> specifies the <code>for</code> loop variable.</p>\n\
<p>A name in a program is always interpreted as the name of a variable or parameter and it effectively stands for the current value of that variable or parameter in any expression in which it is used.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE, CONSIDER THE FOLLOWING SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   i=10\n\
   j=i+5\n\
   print j\n\
</code></pre></blockquote>\n\
<p>In this script, <code>i</code> and <code>j</code> are variable names. In the first line, the value 10 is assigned to variable <code>i</code> . In the second line, the value 5 is added to the value stored in variable <code>i</code> , and then the result is stored in variable <code>j</code> . In the third line, the value 15 is printed, which is the value stored in variable <code>j</code> .</p>\n\
<p>MAXScript also allows you to work directly with names as values at runtime, as you can with numbers and strings. To write a name value in MAXScript, you preface the name with a &quot;#&quot;:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#&lt;var_name&gt;</code></pre><p>In syntax descriptions, name values are specified as:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;name&gt;</code></pre><p>Name values are primarily used for symbolic parameters in function calls, and many of the built-in functions use them as such. The allowed values specified for symbolic parameters are defined by the function, and are documented with the function.</p>\n\
<p>As an example, consider the <code>setBeforeORT()</code> function. Its syntax is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setBeforeORT &lt;controller&gt; &lt;ORT_type_name&gt;</code></pre><p>Sets the Out-of-Range (ORT) type for the controller for the time <strong>before</strong> the <strong>first</strong> key. The <code>&lt;ORT_type_name&gt;</code> must be one of the following name values:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#constant #cycle #loop #pingPong #linear #relativeRepeat</code></pre><blockquote>\n\
<p>   <strong>AN EXAMPLE USAGE OF THIS FUNCTION IS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setBeforeORT $box01.position.controller #pingPong\n\
</code></pre></blockquote>\n\
<p>Name values can also be used as an index in certain <a href=\"./../Collections/Collections-1.html\">Collections</a>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   the index for a <a href=\"./../Collections/Collection-Types/ModifierArray-Values.html\">ModifierArray</a> can be an integer, name, or string:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- access modifier on object loft01 called Optimize:\n\
   $loft01.modifiers[#Optimize]\n\
</code></pre></blockquote>\n\
<p><strong>Quoted Names</strong></p>\n\
<p>Names set in single quotes allow you to write names that contain illegal identifier characters, such as spaces and other punctuation. They are primarily intended for specifying <strong>3ds Max</strong> object classes and properties that have special characters in their names.</p>\n\
<p><strong>The form is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&apos;&lt;any_char_except_quote&gt;&apos; -- for an identifier or property name\n\
#&apos;&lt;any_char_except_quote&gt;&apos; -- for a name literal\n\
&apos;&lt;any_char_except_quote&gt;&apos;: -- for a keyword parameter label\n\
</code></pre><blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   snow &apos;starttime(start)&apos;:5\n\
   b.&apos;lifetime(life)&apos;\n\
   $box01.modifiers[#&apos;FFD 4x4x4&apos;]\n\
</code></pre></blockquote>\n\
<p><strong>Spaces in Names</strong></p>\n\
<p>Because of the large amount of names in <strong>3ds Max</strong> that include spaces, the underscore character (&quot; <code>_</code> &quot;) can be used instead of a space in a name.</p>\n\
<p>The following is equivalent to the last line of the above example:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $box01.modifiers[#FFD_4x4x4]\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Names-Literal-Constants-and.html\">Names, Literal Constants, and Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Values/Basic-Data-Values/Name-Values.html\">Name Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";