var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D06B671D-5FE9-4673-8664-493F64B36FEB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Math Expressions</h1></div><p>The math expressions in MAXScript correspond to the common operator expressions in mathematics, such as add, subtract, multiply, divide, and so on. The <code>&lt;math_expr&gt;</code> constructs in MAXScript are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;math_operand&gt; + &lt;math_operand&gt; -- standard arithmetic addition \n\
&lt;math_operand&gt; - &lt;math_operand&gt; -- standard arithmetic subtraction\n\
&lt;math_operand&gt; * &lt;math_operand&gt; -- standard arithmetic multiplication\n\
&lt;math_operand&gt; / &lt;math_operand&gt; -- standard arithmetic division\n\
&lt;math_operand&gt; ^ &lt;math_operand&gt; -- exponential, raise to the power\n\
&lt;math_operand&gt; as &lt;class&gt; -- conversion between types</code></pre><p>where <code>&lt;math_operand&gt;</code> can be one of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;operand&gt;\n\
&lt;function_call&gt;\n\
&lt;math_expr&gt;</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> A math operand can be another nested math expression. This is another instance of a recursive syntax definition which lets you create arbitrary sequences of operands and operators. Note also that the math unary minus is not defined here, it is one of the <code>&lt;operand&gt;</code> types described in <a href=\"Operands.html\">Operands</a>.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   42\n\
   2 + 2\n\
   2 * a - sin x / b -- using a function call\n\
   (a + b) * -c\n\
   2 ^ n\n\
   (n + 1) as string -- converts result to a string value</code></pre></blockquote>\n\
<p>The conversion operator, <strong>as</strong>, works between selected sets of source and destination value types. Only certain kinds of values can be converted into certain other kinds of values. These allowed conversions are defined for each type of value, and are documented with the value type descriptions.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Math-Expressions/Math-Assignment.html\">Math Assignment</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Math-Expressions/Precedence-and-Association-Rules.html\">Precedence and Association Rules</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Math-Expressions/polymorphism.html\">polymorphism</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Simple-Expressions.html\">Simple Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Math-Expressions/Math-Assignment.html\">Math Assignment</a></li>\n\
          <li><a class=\"link\" href=\"Math-Expressions/Precedence-and-Association-Rules.html\">Precedence and Association Rules</a></li>\n\
          <li><a class=\"link\" href=\"Math-Expressions/polymorphism.html\">polymorphism</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";