var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E6FD6664-B41B-4FF4-9086-D0EAAC6BD6A8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Language Reserved Keywords</h1></div><p>Keywords begin or separate portions of MAXScript commands.</p>\n\
<p>For example, one form of the <code>if</code> expression is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if &lt;expr&gt; then &lt;expr&gt; [else&lt;expr&gt;]</code></pre><p>In order for MAXScript to easily identify the various portions of the <code>if</code> expression, the words <code>if</code> , <code>then</code> and <code>else</code> are reserved keywords and can not be used as variable names or identifiers. So, for example, you cannot declare a variable or function called <code>if</code> .</p>\n\
<p>The following table lists all MAXScript reserved keywords. Click a reserved keyword to go to a description of its usage. In some cases, a keyword may have more additional meanings, depending on its context. This information is also summarized in <a href=\"./../MAXScript-Grammar.html\">MAXScript Grammar</a>.</p>\n\
<h3 id=\"reserved-keywords\">Reserved Keywords</h3><p><a href=\"./../Names-Literal-Constants-and/Context-Expressions/about.html\">about</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">and</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Context-Expressions/animate.html\">animate</a></p>\n\
<p><a href=\"./../Values/Value-Common-Properties.html\">as</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Context-Expressions/at-time.html\">at</a></p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Scripted-Custom-Attributes.html\">attributes</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/For-Loop.html\">by</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/Case-Expression.html\">case</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/Try-Expression.html\">catch</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/For-Loop.html\">collect</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/Skipping-Loop-Iterations.html\">continue</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Context-Expressions/coordsys.html\">coordsys</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/While-and-Do-Loops.html\">do</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/If-Expression.html\">else</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/Loop-Exit.html\">exit</a></p>\n\
<p><a href=\"./../Creating-Functions/Creating-Functions-1.html\">fn</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/For-Loop.html\">for</a></p>\n\
<p><code>from</code></p>\n\
<p><a href=\"./../Creating-Functions/Creating-Functions-1.html\">function</a></p>\n\
<p><a href=\"./../Variables-Assignment-and-Scope/Scope-of-Variables.html\">global</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/If-Expression.html\">if</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/For-Loop.html\">in</a></p>\n\
<p><a href=\"./../Variables-Assignment-and-Scope/Scope-of-Variables.html\">local</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">macroscript</a></p>\n\
<p><a href=\"./../Creating-Functions/Creating-Functions-1.html\">mapped</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\">max</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">not</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/Case-Expression.html\">of</a></p>\n\
<p><a href=\"Predefined-Globals.html\">off</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\">on</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">or</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">parameters</a></p>\n\
<p><a href=\"./../Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">persistent</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">plugin</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus.html\">rcmenu</a></p>\n\
<p><a href=\"./../Creating-Functions/The-Return-Expression.html\">return</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-Clauses.html\">rollout</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Context-Expressions/Sticky-Contexts.html\">set</a></p>\n\
<p><a href=\"./../Structure-Definition/Structure-Definition-1.html\">struct</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/If-Expression.html\">then</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/Try-Expression.html\">throw</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/For-Loop.html\">to</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools.html\">tool</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/Try-Expression.html\">try</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Context-Expressions/undo.html\">undo</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts.html\">utility</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\">when</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/For-Loop.html\">where</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/While-and-Do-Loops.html\">while</a></p>\n\
<p><a href=\"./../Controlling-Program-Flow/Loop-Exit.html\">with</a></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>from</code> keyword is reserved, but not currently used.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Reserved-Keywords-Symbols.html\">Reserved Keywords, Symbols, Punctuation and Variables</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";