var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-49BE2F03-7AC0-41B3-9B82-EF2D2B094BDE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ArrayParameter Values</h1></div><p>Certain plug-ins in <strong>3ds Max</strong> store parameter data in a form that is accessible by MAXScript as <strong>ArrayParameters</strong>. As such, you can access the parameter data by index and iterate over the parameter data.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXWrapper&gt;.parameter</code></pre><p>Where the parameter contains an ArrayParameter.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ArrayParameter&gt;.count</code></pre><p>Returns the number of values in the ArrayParameter. Read-only in most cases with exceptions noted in the MAXWrapper object description where an adjustable ArrayParameter is used.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ArrayParameter&gt;[&lt;integer&gt;]</code></pre><p>Returns the element of ArrayParameter. Indexes start at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ArrayParameter&gt;[&lt;integer&gt;] = &lt;value&gt;</code></pre><p>Sets the element of ArrayParameter to a value.</p>\n\
<p>Each ArrayParameter can only contain data of a certain type (for example, Float), or a controller that matches that data type. The <code>showProperties()</code> function indicates these array parameters as <code>&lt;type&gt; array</code> , for example, <code>int array</code> , <code>texmap array</code> , and so on.</p>\n\
<p>A plug-in can also define parameter names that point to specific entries in one of its ArrayParameters. For example, <code>mapAmounts</code> is a property of Standard materials containing an ArrayParameter. Each element in this ArrayParameter contains the map amount for one of the map channels. For easier access in a script, the Standard <code>.ambientMapAmount</code> property is provided as an alias for <code>mapAmounts\\[1\\]</code> (along with aliases for all the other common maps). You can access the controller for the <code>ambientMapAmount</code> alias either through the <code>.controller</code> property on the alias or on the <code>.mapAmounts\\[1\\]</code> property.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   either</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.material.ambientMapAmount.controller\n\
</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.material.mapAmounts[1].controller\n\
</code></pre><p>   will get the controller on the ambient map amount material property.</p>\n\
</blockquote>\n\
<p>ArrayParameter values can be coerced to Array in <strong>3ds Max 6 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mtl = standard()\n\
   mapsArray = mtl.maps as array\n\
</code></pre></blockquote>\n\
<p>The following script shows the use of <code>showProperties()</code> to show the data type for elements of ArrayParameters, access to ArrayParameter elements, and a case of a plug-in defining parameter names that point to a specific entry in one of its ArrayParameters.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   m=CompositeMaterial() -- create a Composite material\n\
   showproperties m -- show the properties for the material\n\
   m.amount -- show value of parameter amount\n\
   m.amount[1] *= .5 -- reduce the value for one element\n\
   m=standard() -- create a Standard material\n\
   showproperties m -- show it&#x2019;s properties\n\
   m.ambientMapAmount=13 -- set the value for one element via its alias\n\
   m.mapAmounts[1] -- and show the element was changed\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   compositematerial:Composite -- result line 1\n\
   .materialList (Material : material array -- output line 2\n\
   .mixType (Composite Type) : int array -- ArrayParameter elements are integer\n\
   .mapEnables (Map Enable) : boolean array -- ArrayParameter elements are boolean\n\
   .amount : float array -- ArrayParameter elements are float\n\
   OK -- result line 2\n\
   #(100, 100, 100, 100, 100, 100, 100, 100, 100, 100) -- result line 3\n\
   50.0 -- result line 4\n\
   Standardmaterial:Standard -- result line 5\n\
   .mapEnables (Map Enables) : boolean array -- pruned output line 6\n\
   .maps : texmap array\n\
   .mapAmounts (Map Amounts) : percent array\n\
   .ambientMap (alias for maps[0])\n\
   .ambientMapAmount (alias for mapAmounts[0])\n\
   .ambientMapEnable (alias for mapEnables[0])\n\
   .bumpMap (alias for maps[8])\n\
   .bumpMapAmount (alias for mapAmounts[8])\n\
   .bumpMapEnable (alias for mapEnables[8])\n\
   13 -- result line 7\n\
   13.0 -- result line 8\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ArrayParameter-Values.html\">ArrayParameter Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";