var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CBC09FDC-52DD-4D05-9C7E-E2923DBCC4BA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BigMatrix Values, BigMatrixRowArray Values</h1></div><p>The <code>BigMatrix</code> class implements an MxN matrix for situations and calculations where the usual 4x3 Matrix3 class is not adequate.</p>\n\
<p>The <code>BigMatrixRowArray</code> class implements an N element vector.</p>\n\
<p>Each row in a BigMatrix value is a <code>BigMatrixRowArray</code> value.</p>\n\
<p>Only Float values can be stored in the elements of a <code>BigMatrixRowArray</code>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Both <code>BigMatrix</code> and <code>BigMatrixRowArray</code> values can be coerced to strings, but will be truncated to the first 20 items if the <a href=\"./../PrintAllElements-Variable-and.html\">PrintAllElements</a> context is off.</div>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BigMatrix &lt;rows&gt; &lt;columns&gt;</code></pre><p>Constructs a BigMatrix value with the given number of rows and columns.</p>\n\
<p>All elements will be initially filled with 0.0 values.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BigMatrix&gt;.rows: Integer, read-only\n\
&lt;BigMatrix&gt;.columns: Integer, read-only</code></pre><p>Get the number of rows and number of columns in the BigMatrix value.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BigMatrix&gt; + &lt;BigMatrix&gt;</code></pre><p>Adds the two BigMatrix values together.</p>\n\
<p>Both BigMatrix values must have the same size</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BigMatrix&gt;[&lt;int_row&gt;] </code></pre><p>Returns the BigMatrixRowArray value of the indexed row. This value is not independent of the BigMatrix, so for example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bm = BigMatrix 3 3\n\
row1 = bm[1]\n\
row1[1]=2.0\n\
bm\n\
--&gt; #BigMatrix(\n\
    [2.00,0.00,0.00],\n\
    [0.00,0.00,0.00],\n\
    [0.00,0.00,0.00]\n\
)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BigMatrix&gt;[&lt;int_row&gt;]= &lt;float_array&gt;</code></pre><p>Sets the value of the BixMatrixRowArray at the specified index to the specified float array. The array does not need to have the same number of elements as the row. If it has fewer elements, those corresponding elements are set in the row. If there are more elements, the first <em>n</em> elements are copied, where <em>n</em> is the size of the BixMatrixRowArray.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BigMatrixRowArray&gt;[&lt;int_column&gt;]</code></pre><p>Returns the float value of the indexed column stored in the BigMatrixRowArray value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BigMatrixRowArray&gt;[&lt;int_column&gt;]= &lt;float_value&gt;</code></pre><p>Sets the value in the indexed column in the BigMatrixRowArray value.</p>\n\
<p>Because accessors are themselves operands, these definitions are recursive, which means that you can string accessors together:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BigMatrix&gt;[&lt;int_row&gt;][&lt;int_column&gt;]</code></pre><p>Returns the float value of the indexed row and column.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BigMatrix&gt;[&lt;int_row&gt;][&lt;int_column&gt;]= &lt;float_value&gt;</code></pre><p>Sets the float value of the indexed row and column in the matrix.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">invert &lt;BigMatrix&gt;</code></pre><p>Inverts the matrix in place (the input BigMatrix is modified).</p>\n\
<p>The return value is also the inverted matrix.</p>\n\
<p><strong>Note</strong> that this method only works if this matrix is &quot;square&quot; (if m = n).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">transpose &lt;BigMatrix&gt;</code></pre><p>Returns the transpose of <code>&lt;BigMatrix&gt;</code> (result <code>BigMatrix\\[i\\]\\[j\\]</code> = <code>BigMatrix\\[j\\]\\[i\\]</code> ).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clear &lt;BigMatrix&gt;</code></pre><p>Frees all the elements and sets the matrix size to be 0x0</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setSize &lt;BigMatrix&gt; &lt;rows&gt; &lt;columns&gt;</code></pre><p>Deletes the current elements and sets the size of the matrix to <code>&lt;rows&gt;</code> x <code>&lt;columns&gt;</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">identity &lt;BigMatrix&gt; -- mapped function</code></pre><p>If the number of rows and columns are not equal, this method does nothing.</p>\n\
<p>If the number of rows and columns are equal, this method sets the matrix to the identity (diagonal elements = 1, all other elements = 0).</p>\n\
<p>If the parameter is an array of matrices, this function returns the value <code>OK</code> .</p>\n\
<p>In both cases, the input BigMatrix values are set to the identity.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>A BigMatrix object is a compound object, similar to an array of arrays. All of the BigMatrix methods operate directly on the components of the input BigMatrix. As described in <a href=\"./../../Variables-Assignment-and-Scope/Reference-Assignment.html\">Reference Assignment</a>, this can cause complications if a BigMatrix object is referenced by more than one variable. If you assign a new value to an element of the matrix, or use any of the BigMatrix methods, the same object is still referenced by the variables.</p>\n\
<p>This can be seen in the following example:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bm1=bigmatrix 2 2\n\
   for i=1 to 2 do for j=1 to 2 do bm1[i][j]=random 0 10\n\
   bm2=bm1\n\
   invert bm1\n\
   bm2\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #BigMatrix( --result of line 1, contents of bm1\n\
   [0.00,0.00],\n\
   [0.00,0.00]\n\
   )\n\
   OK -- result of line 2\n\
   #BigMatrix( --result of line 3, contents of bm2\n\
   [4.00,6.00],\n\
   [4.00,9.00]\n\
   )\n\
   #BigMatrix( --result of line 4, contents of bm1\n\
   [0.75,-0.50],\n\
   [-0.33,0.33]\n\
   )\n\
   #BigMatrix( --result of line 5, contents of bm2\n\
   [0.75,-0.50],\n\
   [-0.33,0.33]\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"AngleAxis-Values.html\">AngleAxis Values</a></li>\n\
          <li><a class=\"link\" href=\"EulerAngles-Values.html\">EulerAngles Values</a></li>\n\
          <li><a class=\"link\" href=\"Quat-Values.html\">Quat Values</a></li>\n\
          <li><a class=\"link\" href=\"Matrix3-Values.html\">Matrix3 Values</a></li>\n\
          <li><a class=\"link\" href=\"../PrintAllElements-Variable-and.html\">PrintAllElements Variable and Context</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";