var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BCAFBD54-CE0D-40D0-8424-99E1FE1518CC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BooleanClass Values</h1></div><p>The <strong>BooleanClass</strong> class defines the characteristics of values that can only have one of two states.</p>\n\
<p><strong>Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">true false on --equivalent to true\n\
off --equivalent to false\n\
&quot;true&quot; as booleanClass\n\
&quot;false&quot; as booleanClass\n\
&quot;on&quot; as booleanClass\n\
&quot;off&quot; as booleanClass</code></pre><p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">not &lt;boolean&gt;</code></pre><p><code>true</code> if boolean= <code>false</code> , <code>false</code> if boolean= <code>true</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; and &lt;boolean&gt;</code></pre><p><code>true</code> if both boolean values are <code>true</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; or &lt;boolean&gt;</code></pre><p><code>true</code> if either boolean value is <code>true</code></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The boolean <code>and</code> and <code>or</code> evaluations are non-strict. This means that only the first boolean might be evaluated to determine the overall result:</p>\n\
<ul>\n\
<li><p>If the first operand is <code>false</code> in an <code>and</code> expression, the result <code>must</code> be false, so the second operand is not evaluated.</p>\n\
</li>\n\
<li><p>If the first operand is <code>true</code> in an <code>or</code> expression, the result <strong>must</strong> be <code>true</code> , so the second operand is not evaluated.</p>\n\
</li>\n\
</ul>\n\
<p>This saves execution time and enables useful shorthand notation. For example, if you want to calculate <code>&apos;sin a&apos;</code> and if the value of variable <code>&apos;a&apos;</code> is not <code>undefined</code> , you can use the example below:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if a != undefined and sin a &gt; 0 then...\n\
</code></pre><p>The following script shows the use of various literals and operators of the BooleanClass class.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- boolean test bed\n\
   bool1=true-- set variables to boolean literals\n\
   bool2=on\n\
   if bool1 and bool2 do print &quot;booleans are equal&quot;-- compare the booleans\n\
   -- define an &quot;exclusive or&quot; function\n\
   -- returns true if only one of the\n\
   -- inputs is true\n\
   fn xor b1 b2 = (not (b1 and b2)) and (b1 or b2)\n\
   xor false false-- evaluate 4 combinations of inputs to xor\n\
   xor false true\n\
   xor true false\n\
   xor true true\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   true-- result of line 2\n\
   true-- result of line 3\n\
   &quot;booleans are equal&quot;-- output from line 4\n\
   &quot;booleans are equal&quot;-- result of line 4\n\
   xor()-- function definition\n\
   false-- result of line 8\n\
   true-- result of line 9\n\
   true-- result of line 10\n\
</code></pre></blockquote>\n\
<p><strong>Comparing / Coercing to Integers</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher:</strong><code>BooleanClass</code> values can be compared to <code>Integer</code> values, where 0 is equivalent to false, and all other values are true.</p>\n\
<blockquote>\n\
<p>   <strong>Example:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   0 as BooleanClass --&gt; false\n\
   1 as BooleanClass --&gt; true\n\
   true as Integer --&gt; 1\n\
   false as Integer --&gt; 0\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";