var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6185357B-C725-4E04-9619-FA0A31F73525\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Box2 Values</h1></div><p>The <strong>Box2</strong> class describes a 2D rectangular region using integer coordinates. The Box2 class provides methods that return individual coordinates of the box, scale and translate it, retrieve its center, modify its size, and determine if points are inside the box. Box2 values are primarily used in the viewport graphics methods described in <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">Viewport Drawing Methods</a>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Box2 &lt;x_integer&gt; &lt;y_integer&gt; &lt;w_integer&gt; &lt;h_integer&gt;</code></pre><p>Constructs a Box2 with the upper left corner at <code>\\[x,y\\]</code> with width <code>w</code> and height <code>h</code> .</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The y-axis is positive in the <em>down</em> direction.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Box2 &lt;upperleft_point2&gt; &lt;lowerRight_point2&gt;</code></pre><p>Constructs a Box2 object from the specified corners.</p>\n\
<p><strong>Example</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">upperLeft = [0, 0]\n\
width = 60\n\
height = 30\n\
mybox1 = Box2 upperLeft.x upperLeft.y width height\n\
\n\
upperLeft = [0, 0]\n\
lowerRight = [59, 29]\n\
mybox2 = Box2 upperLeft lowerRight \n\
</code></pre><p>This will result in a box that looks like:</p>\n\
<p><img src=\"./images/box2.png\" alt></p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box2&gt;.x: Integer\n\
&lt;Box2&gt;.y: Integer\n\
&lt;Box2&gt;.w: Integer\n\
&lt;Box2&gt;.h: Integer\n\
&lt;Box2&gt;.left: Integer, alias of x property\n\
&lt;Box2&gt;.right: Integer\n\
&lt;Box2&gt;.top: Integer, alias of y property\n\
&lt;Box2&gt;.bottom: Integer\n\
&lt;Box2&gt;.center: Point2, read-only</code></pre><p>The <code>right</code> property is calculated as <code>right = x + w - 1</code> . The <code>bottom</code> property is calculated as <code>bottom = y + h - 1</code> . Setting the <code>right</code> or <code>bottom</code> property will normally change the <code>w</code> and <code>h</code> properties, respectively. However, if <code>right</code> is set less than <code>left</code> , the <code>right</code> and <code>left</code> values will be swapped, and then the new value will be used as the <code>left</code> value. Likewise, if <code>bottom</code> is set less than <code>top</code> , the <code>bottom</code> and <code>top</code> values will be swapped, and then the new value will be used as the <code>top</code> value.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box2&gt; == &lt;Box2&gt;\n\
&lt;Box2&gt; != &lt;Box2&gt;</code></pre><p>Standard comparison operators. Two Box2 values are equal if all of their component values are equal.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box2&gt; + (&lt;Box2&gt; | &lt;point2&gt; | &lt;point2 array&gt;)</code></pre><p>New in <em>3ds Max 2022*</em>: Expands the Box2 value to include the argument value.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scale &lt;Box2&gt; &lt;float&gt;</code></pre><p>Scales the coordinates of the box about the center of the box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">translate &lt;Box2&gt; &lt;point2&gt;</code></pre><p>Translates the coordinates of the box by the distance specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">contains &lt;Box2&gt; &lt;point2&gt;</code></pre><p>Determines if the point2 value is contained within the Box2. Returns <code>true</code> if the point is inside the Box2 or on the Box2 edge; otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rectify &lt;Box2&gt;</code></pre><p>Adjusts the coordinates of the box such that <code>top</code> &lt; <code>bottom</code> and <code>left</code> &lt; <code>right</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">empty &lt;Box2&gt;</code></pre><p>Sets the Box2 to a special &quot;empty&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isEmpty &lt;Box2&gt;</code></pre><p>Returns <code>true</code> if the Box2 contains the special &quot;empty&quot; value, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enlargeBy &lt;Box2&gt; &lt;integer&gt;</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong>: Makes the Box2 larger in each direction by the specified value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;box2&gt; expandToInclude &lt;box2&gt; (&lt;box2&gt; | &lt;point2&gt; | &lt;point2 array&gt;)</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong>: Expands the Box2 to include the specified value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bool&gt; intersects &lt;Box2&gt; &lt;Box2&gt;</code></pre><p>Returns true if the two boxes intersect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box2&gt; copy &lt;Box2&gt;</code></pre><p>Returns a copy of the Box2 value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Box3-Values.html\">Box3 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point2-Values.html\">Point2 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point3-Values.html\">Point3 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point4-Values.html\">Point4 Values</a></li>\n\
          <li><a class=\"link\" href=\"Ray-Values.html\">Ray Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";