var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DC4992FA-05CC-4376-B1B5-666B9A00CBFF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Point2 Values</h1></div><p>The <strong>point2</strong> class defines the characteristics of points in 2D space.</p>\n\
<p>This class is a 2D version of Point3 and is used in utility rollout positioning parameters and for accessing Bitmap values, etc.</p>\n\
<p>See also <a href=\"./../../Names-Literal-Constants-and/Literal-Constants/2D-and-3D-Point-Literals.html\">2D and 3D Point Literals</a>.</p>\n\
<p><strong>Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[&lt;expr&gt;, &lt;expr&gt;] </code></pre><blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   [x, y]\n\
   [10, 20]\n\
   [sin x, cos x]\n\
</code></pre></blockquote>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">point2 &lt;x&gt; &lt;y&gt;-- x and y are numbers \n\
&lt;point3&gt; as point2-- created from the x and y components of the point3   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;.x: Float \n\
&lt;point2&gt;.y: Float </code></pre><p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt; == &lt;point2&gt; \n\
&lt;point2&gt; != &lt;point2&gt;   \n\
&lt;point2&gt; + &lt;point2_or_number&gt; \n\
&lt;point2&gt; - &lt;point2_or_number&gt; \n\
&lt;point2&gt; * &lt;point2_or_number&gt; \n\
&lt;point2&gt; / &lt;point2_or_number&gt; </code></pre><p>Standard vector arithmetic. If the second operand is a number it does scalar arithmetic on vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-&lt;point2&gt; </code></pre><p>unary minus</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;[&lt;integer&gt;]</code></pre><p>Returns a component of the Point2 as a float. Valid range on the index is 1 to 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;[&lt;integer&gt;]=&lt;float&gt; </code></pre><p>Sets a component of the Point2 to the float. Valid range on the index is 1 to 2.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;point2&gt; </code></pre><p>Creates a new copy of the point2 value.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   newPoint = copy oldPoint\n\
</code></pre></blockquote>\n\
<p>The new value contains a copy of the input point2 value, and is independent of the input point2 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">random &lt;point2&gt; &lt;point2&gt; </code></pre><p>Generates a pseudo-random point between the given points.</p>\n\
<p><strong>length</strong><point2></point2></p>\n\
<p>Returns the length of the vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">distance &lt;point2&gt; &lt;point2&gt; </code></pre><p>Returns the distance between the points - length of (point 2 - point 1).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">normalize &lt;point2&gt; </code></pre><p>Returns the <code>point2</code> value normalized such that the vector length equals 1.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Point3-Values.html\">Point3 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point4-Values.html\">Point4 Values</a></li>\n\
          <li><a class=\"link\" href=\"Box2-Values.html\">Box2 Values</a></li>\n\
          <li><a class=\"link\" href=\"Ray-Values.html\">Ray Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";