var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-31C598AB-B3BE-4965-996E-0CD59C0EC018\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Point4 Values</h1></div><p>The <strong>Point4</strong> class defines the characteristics of points in 4D space (for example RGBA color space).</p>\n\
<p>These values contain 4 component floating point numbers and can be used to express floating point color values where the components are the Red, Green, Blue and Alpha values.</p>\n\
<p>Several Point4 controllers were also introduced to store animation of parameters containing Point4 values.</p>\n\
<p><strong>Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[&lt;expr&gt;, &lt;expr&gt;, &lt;expr&gt;, &lt;expr&gt;]</code></pre><p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">point4 &lt;x&gt; &lt;y&gt; &lt;z&gt; &lt;w&gt;\n\
&lt;color&gt; as point4</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;.x: Float --the x component\n\
&lt;point4&gt;.y: Float --the y component\n\
&lt;point4&gt;.z: Float --the z component\n\
&lt;point4&gt;.w: Float --the w component</code></pre><p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt; == &lt;point4&gt;\n\
&lt;point4&gt; != &lt;point4&gt;\n\
\n\
&lt;point4&gt; + &lt;point4_or_number&gt;\n\
&lt;point4&gt; - &lt;point4_or_number&gt;\n\
&lt;point4&gt; * &lt;point4_or_number&gt;\n\
&lt;point4&gt; / &lt;point4_or_number&gt;</code></pre><p>Standard vector arithmetic.</p>\n\
<p>If the second operand is a number, the operation is performed on each component of the value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">- &lt;point4&gt;</code></pre><p>Unary minus</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;[&lt;integer&gt;]</code></pre><p>Returns a component of the Point4 as a float.</p>\n\
<p>Valid range on the index is 1 to 4.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;[&lt;integer&gt;] = &lt;float&gt;</code></pre><p>Sets a component of the Point4 to the float.</p>\n\
<p>Valid range on the index is 1 to4.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;point4&gt;</code></pre><p>Creates a new copy of the Point4 value.</p>\n\
<p>The new value contains a copy of the input Point4 value, and is independent of the input Point4 value.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   oldValue = Point4 1.0 2.0 3.0 4.0--define a Point4 value\n\
   [1,2,3,4]\n\
   newValue1 = copy oldValue--create a copy of the value\n\
   [1,2,3,4]\n\
   newValue2 = oldValue--variable newValue2 points at the same value!\n\
   [1,2,3,4]\n\
   newValue2.x = 10.0--set the x component of the instance to 10\n\
   10.0\n\
   newValue2--see the result\n\
   [10,2,3,4]\n\
   oldValue--note that the original value was also changed!\n\
   [10,2,3,4]\n\
   newValue1--but the copy was independent and did not change!\n\
   [1,2,3,4]\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">random &lt;point4&gt; &lt;point4&gt;</code></pre><p>Generates a pseudo-random point between the given points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">length &lt;point4&gt;</code></pre><p>Returns the length of the 4D vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">distance &lt;point4&gt; &lt;point4&gt;</code></pre><p>Returns the distance between the points in 4D space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">normalize &lt;point4&gt;</code></pre><p>Returns the <code>point4</code> value normalized such that the 4D vector length equals 1.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Point2-Values.html\">Point2 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point3-Values.html\">Point3 Values</a></li>\n\
          <li><a class=\"link\" href=\"Box2-Values.html\">Box2 Values</a></li>\n\
          <li><a class=\"link\" href=\"Ray-Values.html\">Ray Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";