var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9F6ABEE1-0728-4B39-8903-D909634C1304\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bitmap Values</h1></div><blockquote>\n\
<p>   <a href=\"./../Values-1.html\">Value</a>&gt; Bitmap Value</p>\n\
</blockquote>\n\
<p>The <strong>Bitmap</strong> class provides storage of <strong>3ds Max</strong> bitmaps and low-level access to them.</p>\n\
<p>Bitmaps can be temporary objects that are resident only in memory, or they can be associated with a file on the disk.</p>\n\
<p>Those bitmaps associated with files have a non-null <code>.fileName</code> property and are either load-only or save-only, but not both (this is with respect to file I/O; all bitmaps in memory can have their pixels modified by the <code>setPixel()</code> functions).</p>\n\
<p>You can make load-only bitmaps with the <code>openBitmap()</code> and <code>selectBitmap()</code> functions.</p>\n\
<p>You can make temporary or save-only bitmaps with the <code>bitmap()</code> constructor, or with the <code>render()</code> , <code>copy()</code> , or <code>getChannelAsMask()</code> functions. To make them savable, they must have a valid file name, supplied either on the constructor with a <code>fileName:</code> parameter or by setting the <code>.fileName</code> property.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bitmap &lt;width &lt;height&gt; [filename:&lt;filename_string&gt;] \\ \n\
[numframes:&lt;integer&gt;] \\\n\
[color:&lt;color&gt;] \\ \n\
[gamma:&lt;float&gt;] \\ \n\
[pixelAspect:&lt;float&gt;] \\ \n\
[channels:&lt;channel_name array&gt;]\\ \n\
[hdr:&lt;boolean&gt;] \\\n\
[iconName:&lt;filename&gt;]\\\n\
[iconSize:&lt;point2&gt;]\n\
</code></pre><p>Creates an empty bitmap. The bitmap value returned is a savable bitmap.</p>\n\
<p>The <code>filename:</code> parameter allows you to set the name of the file in which the bitmap will be saved using the <code>save</code> method. Specifying an existing bitmap file name does not load the contents of the bitmap file into the bitmap value.</p>\n\
<p>The <code>numframes:</code> parameter allows you to create a multi-frame bitmap.</p>\n\
<p>The <code>color:</code> parameter allows you to set the initial color of all pixels in the bitmap.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = bitmap 320 240 color:white\n\
</code></pre></blockquote>\n\
<p>The <code>gamma:</code> parameter allows you to set the gamma for the newly created bitmap.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = bitmap 320 240 gamma:1.9\n\
   render camera:c to:b\n\
</code></pre></blockquote>\n\
<p>The <code>pixelAspect:</code> parameter allows you to set the pixel aspect for the newly created bitmap.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Once created, it is <strong>not</strong> possible to change the gamma or pixel aspect of a bitmap, though you can copy one bitmap into a newly created one that has a different gamma or pixel aspect to achieve this effect.</p>\n\
<p>The <code>channels:</code> parameter lets you specify the channels to be created. It is also available as a property. For a list of valid names, see the <a href=\"Bitmap-Values-1.html\">getChannel</a> method documentation.</p>\n\
<p>When the optional <strong>hdr:</strong> parameter introduced in <strong>3ds Max 8</strong> is set to true, the constructor creates a 32 bit per channel bitmap value instead of an 8 bit per channel bitmap value.</p>\n\
<p>The <code>iconName:</code> parameter allows you to specify an icon file to load. The <code>iconSize:</code> parameter specifies the icon&apos;s size at 100% DPI scaling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">openBitMap &lt;filename_string&gt; </code></pre><p>Returns a bitmap value containing the contents of the specified bitmap file. The bitmap value returned is a load-only bitmap.</p>\n\
<p>If the specified bitmap file does not exist, a runtime error is generated in <strong>3ds Max 9 and earlier</strong>.</p>\n\
<p>If the specified bitmap does not exist, a value of <code>undefined</code> is returned in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectBitMap [caption:&lt;open_dialog_title_string&gt;] </code></pre><p>This method displays an Image Input selection browser for the user to select a bitmap file. Returns a bitmap value containing the contents of the selected bitmap file, or the value <code>undefined</code> if the user presses <strong>Cancel</strong> in the browser. The bitmap value returned is a load-only bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;copy &lt;bitmap&gt; </code></pre><p>Copies an existing bitmap, creating an unique instance of the bitmap.</p>\n\
<p>If the source bitmap is load-only, the bitmap value returned is a temporary bitmap value with a null filename and just one frame.</p>\n\
<p>If the source is a multi-frame file, it snaps the current frame into the new copy, which becomes frame 0.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.filename : String </code></pre><p>Lets you get or set the file name associated with the bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.palette : Array </code></pre><p>Yields an array of 256 colors (a bug in the current <strong>3ds Max</strong> SDK prevents working with paletted files of other than 256 entries). Take care accessing this array with color indexes retrieved by the <code>getIndexedPixels()</code> function described below because these indexes are 0-based and MAXScript array indexes are 1-based. Yields <code>undefined</code> if the bitmap is not paletted. Currently, you cannot create a paletted bitmap in MAXScript. However, you can read and write to a pre-existing paletted bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.frame : Integer </code></pre><p>Get and set the current frame number in a multi-frame file. Setting this property is permitted only on load-only bitmaps. The frame number is 0-based for inherently multi-frame files such as, .avi and .mov.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.numframes : Integer </code></pre><p>The number of frames in a multi-frame file, yields 1 for a single image file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.height : Integer, read-only </code></pre><p>Returns bitmap&apos;s height in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.width : Integer, read-only </code></pre><p>Returns bitmap&apos;s width in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.gamma : Float</code></pre><p>Get and set the gamma value of the bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.inputGamma : {#auto | #default | Float}</code></pre><p>Returns the input gamma mode of the bitmap.</p>\n\
<p>This value reflects the Gamma mode that was set when a bitmap value was loaded from an image file.</p>\n\
<p>See <a href=\"Bitmap-Gamma-and-MAXScript.html\">Bitmap Gamma and MAXScript</a> for details.</p>\n\
<p>Available in <strong>3ds Max 2014</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.inputGammaValue : Float</code></pre><p>Returns the actual input gamma value of the bitmap.</p>\n\
<p>See <a href=\"Bitmap-Gamma-and-MAXScript.html\">Bitmap Gamma and MAXScript</a> for details.</p>\n\
<p>Available in <strong>3ds Max 2014</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.aspect : Float, read-only </code></pre><p>Returns the bitmap&apos;s pixel aspect. Note that this is the aspect of the pixel, not the aspect of the bitmap image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.channels : Array </code></pre><p>This property lets you get and set the bitmap channels available in the bitmap. For a list of valid names, see the <a href=\"Bitmap-Values-1.html\">getChannel</a> method documentation.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = bitmap 100 100 channels:#(#weight)\n\
   --&gt; BitMap:\n\
   b.channels\n\
   --&gt; #(#weight)\n\
   b.channels = #(#zDepth)\n\
   --&gt; #(#zDepth)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.hasAlpha : Boolean, read-only </code></pre><p>This property contains true if the bitmap has an alpha channel and false if it does not.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">display &lt;bitmap&gt; caption:&lt;string&gt;</code></pre><p>Opens a virtual frame buffer (VFB) displaying the image.</p>\n\
<p>Changes to the bitmap are not automatically displayed to the VFB.</p>\n\
<p>To update the VFB, you need to call this function again.</p>\n\
<p>Setting the <code>frame</code> property of the bitmap value updates the VFB.</p>\n\
<p>Each bitmap has its own VFB (if you display two different bitmaps, two VFBs will be displayed).</p>\n\
<p>Since <strong>3ds Max 2015</strong>, if the optional keyword argument <code>caption:</code> is specified as string, it will be displayed as the caption in the title bar of the VFB.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unDisplay &lt;bitmap&gt; </code></pre><p>Close the VFB associated with the bitmap if open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;save &lt;bitmap&gt; [frame:&lt;integer&gt;] [gamma:{#auto|#default|&lt;float&gt;}] [quiet:&lt;boolean&gt;] </code></pre><p>Saves the current state of the bitmap. Make sure that the file name is set first.</p>\n\
<p>When saving multi-frame image files, the effect of the <code>frame:</code> keyword parameter is different depending on the type of output file.</p>\n\
<p>Inherently multi-frame files such as, .avi and .mov ignore the <code>frame:</code> parameter and always write to the next output file frame in sequence on each <code>save()</code> . You cannot randomly write frames or rewrite frames that are already saved.</p>\n\
<p>Saving image sequences (such as, .bmp, .jpg, and .tga) requires supplying the <code>frame:</code> parameter and causes the frame number to be appended to the output file name for each frame saved. This effectively generates a sequence of image files suitable for building an IFL.</p>\n\
<p>The output file remains open until you call <code>close</code> on the bitmap.</p>\n\
<p>The <code>save()</code> function can only be called on a savable bitmap. You will get a runtime error if you attempt to save a bitmap opened with <code>openBitmap()</code> or <code>selectBitmap()</code> .</p>\n\
<p>The <code>gamma:</code> keyword parameter can be used in <strong>3ds Max 2014 and higher</strong> to set the Gamma mode or Gamma Override value:</p>\n\
<ul>\n\
<li><code>#auto</code> is the new, intelligent mode. It uses the file information when present, or intelligently chooses gamma based on whether the file is Floating point or not. This is the default behavior.</li>\n\
<li><code>#default</code> is actually the <strong>old legacy mode</strong> which only exists for backwards compatibility.</li>\n\
<li>If set to a floating point value, the Gamma will be overridden by that value.</li>\n\
</ul>\n\
<p>For details on the <code>quiet:</code> option that was added to this method in <strong>3ds Max 8</strong>, please see <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a></p>\n\
<p>The method will return True on success or False if the saving failed (for example, if attempting to overwrite an existing read-only file) in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">close &lt;bitmap&gt; </code></pre><p>Closes the bitmap file associated with the bitmap if it is open for output. A bitmap file is opened for output when you call <code>save</code> on the bitmap value the first time. If a Virtual Frame Buffer (Rendered Frame Window) associated with the bitmap is open, it will be closed. This function also frees all memory allocated by the bitmap, including the internal pixel frame buffer. If you are generating many bitmaps, say in a rendering loop, you can use the <code>close()</code> function to free these large amounts of memory, which is otherwise not released until the next garbage collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">free &lt;bitmap&gt;</code></pre><p>Frees the memory used by the bitmap value without waiting for garbage collection.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;source_bitmap&gt; &lt;dest_bitmap&gt; </code></pre><p>Copies the source bitmap to the destination bitmap. If the size of the two bitmaps is different, the image will be scaled to fit the destination bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gotoFrame &lt;bitmap&gt; &lt;frame&gt;</code></pre><p>Position multi-frame file (avi, flc, and so on) to frame <code>frame</code> . This method is permitted only on load-only bitmaps. The frame number is 0-based for inherently multi-frame files such as, .avi and .mov. Updates VFB if open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPixels &lt;bitmap&gt; &lt;coord_point2&gt; &lt;num_pixels&gt; linear:&lt;boolean&gt;</code></pre><p>Retrieve a sequence of pixels from a row in the bitmap as an array of color values.</p>\n\
<p>The coord_point2 argument specifies the starting pixel coordinate with [0,0] at the top-left-hand pixel.</p>\n\
<p>The <code>.x</code> component of the Point2 coordinate is the column, and the <code>.y</code> component is the row.</p>\n\
<p>The sequence must come from one row only. You cannot retrieve a sequence of pixels that spans multiple rows.</p>\n\
<p>Using any out of-bounds coordinates or retrieving over row boundaries will fail and yield an empty array.</p>\n\
<p>The optional <code>linear:</code> keyword parameter introduced in <strong>3ds Max 2014</strong> can be set to True to access linear values with Gamma of 1.0, or False to access raw data (default, old behavior prior to <strong>3ds Max 2014</strong>).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setPixels &lt;bitmap&gt; &lt;coord_point2&gt; &lt;color_value_array&gt; </code></pre><p>Sets the sequence of pixels in a row in the bitmap starting at the Point2 coordinate to the values in the given array. The <code>.x</code> component of the Point2 coordinate is the column and the <code>.y</code> component is the row. The number of pixels to set is taken from the size of the array. As with <code>getPixels()</code> , you cannot set pixel sequences across a row boundary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getIndexedPixels &lt;bitmap&gt; &lt;coord_point2&gt; &lt;num_pixels&gt; </code></pre><p>Retrieve a row of pixels as an array of palette index numbers. The coord_point2 argument specifies the starting pixel coordinate with 0,0 at the top-left-hand pixel. The index numbers are origin 0.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This is in keeping with indexed color conventions, but <strong>not</strong> MAXScript&apos;s. Take care accessing any retrieved palette array using these numbers because the retrieved palette is returned as a MAXScript array and these arrays use 1-based indexes. You cannot get pixels sequences that cross row boundaries.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setIndexedPixels &lt;bitmap&gt; &lt;coord_point2&gt; &lt;number_array&gt; </code></pre><p>Sets the row of pixels starting at the Point2 coordinate to the color indexes in the given array. The number of pixels to set is taken from the size of the array. The color indexes are zero-based. You cannot set pixels sequences that cross row boundaries.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getChannel &lt;bitmap&gt; &lt;coord_point2&gt; &lt;chan_name&gt; </code></pre><p>Retrieves the g-buffer channel data for the named channel for the pixel specified by 2D coordinate. The <code>chan_name</code> argument specifies the channel identifier, chosen from the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#zDepth \n\
#matID\n\
#objectID \n\
#UVCoords \n\
#normal \n\
#unClamped \n\
#coverage \n\
#node \n\
#mask \n\
#shaderColor \n\
#shaderTransparency \n\
#velocity \n\
#weight </code></pre><p>If the bitmap contains the requested channel, the returned value is always an array of values, one for each layer present in the channel at that pixel, ordered from front to back. If the bitmap does not contain the requested channel, the function returns the value <code>undefined</code> . Typically, you get bitmaps containing channels by opening .rla files or using the MAXScript <code>render()</code> function with the <code>channels:</code> parameter supplied. You will get multiple values in the array if the front objects have any transparency.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getChannel bm [x,y] #zDepth\n\
</code></pre><p>   might return:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #(-354.413, -354.467, -355.271, -1e+030)\n\
</code></pre><p>   indicating there is a front surface with non-zero transparency at depth -354.413, another at -354.467, and a final one at -355.271. The -1e+30 value represents the background image plane.</p>\n\
<p>   You can retrieve the <code>#node</code> channel (if it was generated) to get the actual scene objects at those depths,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getChannel bm [x,y] #node\n\
</code></pre><p>   might return:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #($Sphere:Sphere02 @ [-4.7,24.3,0.0], $Sphere:Sphere02 @ [-4.7,24.3,0.0],$Sphere:Sphere01 @ [-8.3,56.2,5.7])\n\
</code></pre></blockquote>\n\
<p>The type of values returned in the array depend on the channel, as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#zDepth: &lt;float&gt; \n\
#matID: &lt;integer&gt; \n\
#objectID: &lt;integer&gt; \n\
#UVCoords: &lt;point2&gt; \n\
#normal: &lt;point3&gt; \n\
#unClamped: &lt;color&gt; \n\
#coverage: &lt;float&gt; \n\
#node: &lt;node&gt; \n\
#shaderColor: &lt;color&gt; \n\
#shaderTransparency: &lt;color&gt; \n\
#velocity: &lt;point2&gt; \n\
#weight: &lt;color&gt; </code></pre><p>See the <strong>3ds Max</strong> Software Development Kit Help file for information on the data stored in the g-buffer channels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getChannelAsMask&lt;bitmap&gt; &lt;chan_name&gt; [to:&lt;bitmap&gt;] \\ \n\
[fileName:&quot;filename_string&quot;] [pixelAspect:&lt;float&gt;] \\ \n\
[gamma:&lt;float&gt;] [layer:&lt;integer&gt;] [invert:&lt;boolean&gt;] \\ \n\
[node:&lt;node&gt; |objectID:&lt;integer&gt; |matID:&lt;integer&gt;] \\ \n\
[velocity:#angle | #magnitude] | [angle:&lt;float&gt;] </code></pre><p>Builds and returns a separate 8-bit gray-level bitmap suitable for use as a mask in materials, maps, effects, and so on. This bitmap corresponds roughly to the display you see in the visual frame buffer if you select a g-buffer channel to view. In addition, you can cause this mask to be masked itself to a selected node, object ID, or material ID. The parameters are as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;</code></pre><p>The source bitmap containing the source g-buffer channel data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;chan_name&gt;</code></pre><p>The channel from which to generate a mask. The <code>chan_name</code> values are as described for the <code>getChannel()</code> method.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The mask is a single 8 bit value while the channel might be a complex value of some kind. In each case, a mapping to 8 bits is performed.</p>\n\
<p>Unless noted differently below, this mapping is the same mapping used by <strong>3ds Max</strong> to generate monochrome images in the Virtual Frame Buffer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">to:&lt;bitmap&gt; </code></pre><p>Specifies an existing bitmap to write the mask into. Its width and height must match the source bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileName:&quot;filename_string&quot; </code></pre><p>Specifies the file name associated with the generated bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gamma:&lt;float&gt; </code></pre><p>Specifies the generated bitmap&apos;s gamma value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pixelAspect:&lt;float&gt; </code></pre><p>Specifies the generated bitmap&apos;s pixel aspect. Note that this is the aspect of the pixel, not the aspect of the bitmap image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">layer: &lt;integer&gt; </code></pre><p>Specifies the channel layer of the source bitmap to extract data from. Defaults to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">invert:&lt;boolean&gt; </code></pre><p>If <code>true</code> , inverts the generated bitmap. Defaults to . <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">node:&lt;node&gt; objectID:&lt;integer&gt; matID:&lt;integer&gt; </code></pre><p>Specifies a sub-mask. If one of these parameters is supplied, the generated mask is clipped to contain data only in pixels where the given node, objectID, or materialID is visible. To use this sub-masking, you must ensure the <code>#node</code> , <code>#objectID</code> , or <code>#matID</code> channel is present in the source bitmap. Further, if the <code>#coverage</code> channel is present in the source bitmap, the sub-mask is anti-aliased by the coverage data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">velocity:#angle | #magnitude angle:&lt;float&gt; </code></pre><p>These parameters can only be specified if the selected channel is <code>#velocity</code> . The default <code>velocity</code> parameter value is <code>#magnitude</code> . These parameters control the generated bitmap as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">velocity:#angle </code></pre><p>Generated bitmap pixel values are proportional to angle of pixel movement direction with an angle of direction of 0 degrees (horizontal to the right) mapping to a luminance value of 0, 180 degrees mapping to a luminance value of 127, and 360 degrees mapping to a luminance value of 255.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">velocity:#magnitude </code></pre><p>Generated bitmap pixel values are proportional to velocity magnitude. High velocities are darker than low velocities.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">angle:&lt;float&gt; </code></pre><p>Generated bitmap pixel values are proportional to movement direction deviation from the given angle with a luminance value of 255 at the exact angle and falling off to a luminance value of 0 at 10 degrees from the specified angle. The specified angle is relative to 0 being horizontal to the right.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CompareBitmaps {&lt;filename&gt;File1 | &lt;bitmap&gt;bitmap1} {&lt;filename&gt;File2 | &lt;bitmap&gt;bitmap2}\\ \n\
&lt;int&gt;tolerance(# different pixels) &lt;int&gt;variation(0-255)\\\n\
useAlpha:&lt;boolean&gt;errorMsg:&lt;&amp;string&gt; </code></pre><p>In <strong>3ds Max 9</strong> and higher, returns true if the bitmaps compare as the same, false if not.</p>\n\
<p>More than&apos;tolerance&apos; number of pixels must be different before the comparison fails.</p>\n\
<p>Two pixels are considered the same if the difference in each component value is less than or equal to &apos;variation&apos;.</p>\n\
<p>If <code>useAlpha</code> is true, the alpha component value is also tested. If false (the default), the alpha component is not tested.</p>\n\
<p>If specified, the <code>errorMsg</code> keyword variable (passed by reference) will contain an error message.</p>\n\
<p>The potential messages are:</p>\n\
<ul>\n\
<li><p>&quot;Passed.&quot;</p>\n\
</li>\n\
<li><p>&quot;Different Pixels: #&quot; (where # is the number of pixels that are different)</p>\n\
</li>\n\
<li><p>&quot;One or both Bitmaps not found&quot;</p>\n\
</li>\n\
<li><p>&quot;Bitmaps have different sizes&quot;</p>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pasteBitmap &lt;src_bitmap&gt; &lt;dest_bitmap&gt; (&lt;src_box2&gt; | &lt;src_point2&gt;) &lt;dest_point2&gt; \\\n\
[maskColor:&lt;color&gt;type:{#paste|#composite|#blend|#function}] \\\n\
[function:&lt;composite_fn&gt;] [alphaMultiplier:&lt;float&gt;] </code></pre><p>Copies a block of pixels from the source bitmap to the destination bitmap.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<ul>\n\
<li><p>The position of the source block is specified by src_box2 or src_point2, and the destination by dest_point2.</p>\n\
</li>\n\
<li><p>The width and height of the block is specifed by src_box2 or, if src_point2 is specified, by the remaining size of the source bitmap.</p>\n\
</li>\n\
<li><p>The width and height will be clamped to prevent either source or target overruns.</p>\n\
</li>\n\
<li><p>If <code>maskColor:</code> is supplied, pixels with this color in src_bitmap are not copied to dest_bitmap.</p>\n\
</li>\n\
<li><p>If <code>type:</code> is <code>#paste</code> (the default), the source is pasted on the destination ignoring all alpha.</p>\n\
</li>\n\
<li><p>If <code>type:</code> is <code>#composite</code> , the source alpha of the source is used: <code>clamp (R = S + D * (1-S.alpha))</code> .</p>\n\
</li>\n\
<li><p>If <code>type:</code> is <code>#blend</code> , the source alpha of the source is used: <code>R = S * S.alpha + D * (1-S.alpha)</code> .</p>\n\
</li>\n\
<li><p>For both <code>type:#composite</code> and <code>type:#blend</code> , <code>R.alpha = S.alpha + D.alpha * (1-S.alpha)</code> .</p>\n\
</li>\n\
<li><p>The <code>type:#composite</code> is typically used for pre-multiplied alpha images.</p>\n\
</li>\n\
<li><p>If <code>type:</code> is <code>#composite</code> or <code>#blend</code> , the source alpha is multiplied by the <code>alphaMultiplier:</code> value, which defaults to a value of 1.0 if not supplied.</p>\n\
</li>\n\
<li><p>If <code>type:</code> is <code>#function</code> , an optional <code>function:</code> parameter can specify a user-defined function taking 4 arguments - the source pixel color, the source pixel location, the second source pixel color, and second source pixel location. The second source is the destination bitmap. The return result of the function is stored in the destination bitmap&apos;s pixel.</p>\n\
</li>\n\
<li><p>Only RGBA information is copied - no channel data is copied.</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bm1=bitmap 100 100 color:red \n\
   bm2=bitmap 100 100 color:green \n\
   bm3=bitmap 100 100 color:blue \n\
   pasteBitmap bm2 bm1 (box2 0 0 25 50) [50,50] \n\
   display bm1 \n\
   pasteBitmap bm1 bm3 [25,25] [25,50] maskColor:green\n\
   display bm3 \n\
</code></pre><p>   <strong>RESULTS:</strong></p>\n\
<p>   <img src=\"./images/GUID-00558997-9D51-426E-A83E-D26D379EA62F-low.bmp\" alt> <img src=\"./images/GUID-EBD168FA-3C37-48A5-A1E8-133B9E7E44A0-low.bmp\" alt></p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>CUSTOM COMPOSITING EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   resetMaxFile #noPrompt--start a new scene\n\
   --Create a teapot and two slightly offset target cameras\n\
   theTeapot = teapot wirecolor:white segs:10\n\
   theTarget1 = targetObject pos:[-1,0,10]\n\
   theCamera1 = TargetCamera pos:[-10,-130,30] target:theTarget1\n\
   theTarget2 = targetObject pos:[1,0,10]\n\
   theCamera2 = TargetCamera pos:[10,-130,30] target:theTarget2\n\
\n\
   --Create two bitmaps to render and process\n\
   b1 = bitmap 320 240\n\
   b2 = bitmap 320 240\n\
   --Render the two cameras into the two bitmaps\n\
   render camera:theCamera1 to:b1 vfb:off\n\
   render camera:theCamera2 to:b2 vfb:off\n\
\n\
   --This is the custom compositing function:\n\
   fn compfn c1 p1 c2 p2 =\n\
   (\n\
   res = c2--the result will contain the G and B of b2\n\
   res.r = c1.r--but the R from b1\n\
   res--then we return the resulting color value\n\
   )\n\
\n\
   --Perform the compositing using the above function:\n\
   pastebitmap b1 b2 [0,0] [0,0] type:#function function:compfn\n\
   display b2\n\
</code></pre><p>   <img src=\"./images/GUID-C4589BE0-DC94-4377-B2ED-2AF47E423C0F-low.gif\" alt></p>\n\
<p>   This method is typically 3 to 5 times faster than using getPixels/SetPixels in a MAXScript loop depending on the complexity of the custom function.</p>\n\
<p>   For an example of modifying a single bitmap using this method, see the third example in the <a href=\"./../../../Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Never-get-a-single-pixel-when.html\">Never get a single pixel when you can get a whole line</a> topic of the MAXScript Frequently Asked Questions.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBitmapInfo {&lt;filename&gt; | &lt;bitmap&gt;} </code></pre><p>Returns information on the specified bitmap file as a 13 element array. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p><strong>Array elements are:</strong></p>\n\
<p>1. Expanded bitmap file name as String</p>\n\
<p>2. Device name as String</p>\n\
<p>3. Bitmap width as Integer</p>\n\
<p>4. Bitmap height as Integer</p>\n\
<p>5. Number of bits for each RGB component value as Integer</p>\n\
<p>6. Number of bits for alpha component as Integer.</p>\n\
<p>7. The aspect ratio of the bitmap as Float</p>\n\
<p>8. The gamma of the bitmap as Float</p>\n\
<p>9. Whether the bitmap has alpha as a Boolean</p>\n\
<p>10. First frame as Integer</p>\n\
<p>11. Last frame as Integer</p>\n\
<p>12. The bitmap type (from BitmapInfo::Type()) as Integer. See topic &quot;Bitmap Types&quot; in the SDK help file for more info on the bitmap types.</p>\n\
<p>13. The bitmap flags (from BitmapInfo::Flags()) as Integer. See topic &quot;Bitmap Flags&quot; in the SDK help file for more info on the meaning of each bit.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   print (getBitmapInfo (getDir #maxroot +&quot;\\\\maps\\\\OAKLEAF.TGA&quot;))\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;C:\\Program Files\\Autodesk\\3ds Max 2015\\maps\\OAKLEAF.TGA&quot;\n\
   &quot;Targa Image File&quot;\n\
   152\n\
   256\n\
   8\n\
   8\n\
   1.0\n\
   2.2\n\
   false\n\
   0\n\
   0\n\
   3\n\
   0\n\
   OK\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">forceReloadBitmapFile &lt;bitmap&gt;</code></pre><p>Forces the reloading of the Bitmap File associated with the specified bitmap.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;registerFileChangedFunction &lt;bitmap&gt; &lt;callback_functions&gt;</code></pre><p>Registers a File Change Callback Function for the bitmap specified by the first argument.</p>\n\
<p>The second argument must be a MAXScript function expecting one argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = bitmap 100 100 --Create a new bitmap value\n\
   b.filename = @&quot;c:\\temp\\testme.bmp&quot; --Give it a file name\n\
   save b --Save it to file\n\
\n\
   --Now open the file for reading\n\
   b1 = openbitmap @&quot;c:\\temp\\testme.bmp&quot;\n\
\n\
   --Define and register a callback function to monitor bitmap file changes\n\
   fn onFileChanged arg = format &quot;Bitmap Value File Modified: %\\n&quot; arg\n\
   registerFileChangedFunction b1 onFileChanged\n\
\n\
   setPixels b [50,50] #(red) --Write a pixel into the original bitmap value...\n\
   save b --...and save it to disk\n\
   --The change to the file on disk will trigger the callback function!\n\
   --&gt; Bitmap Value File Modified: BitMap:c:\\temp\\testme.bmp\n\
</code></pre></blockquote>\n\
<p><strong>Related Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setSilentMode &lt;boolean&gt; </code></pre><p>Sets Silent mode on or off. If Silent mode is off, any errors occurring during bitmap input or output will result in an error message dialog being displayed by the <strong>3ds Max</strong> bitmap I/O routines. If Silent mode is on, error message dialogs are not displayed. Returns a boolean signifying the prior Silent mode state.</p>\n\
<p>The Silent mode state is an internal <strong>3ds Max</strong> state, and other <strong>3ds Max</strong> plug-ins can turn this state on or off. If you use this method, it is recommended that you turn the state on or off saving the return value, perform the bitmap input or output, and then restore the state to its original value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">silentMode() </code></pre><p>Returns a boolean signifying the Silent mode state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectSaveBitMap [caption:&lt;open_dialog_title_string&gt; ] [gamma:&amp;gama_value] [metadata:&amp;dataArray]</code></pre><p>Displays a <strong>3ds Max</strong> bitmap save dialog and returns the fully-specified file path name as a string.</p>\n\
<p>Returns <code>undefined</code> if the user cancels out of the bitmap save dialog.</p>\n\
<p>If the optional <code>gamma:</code> keyword is provided in <strong>3ds Max 2014 and higher</strong>, the by-reference variable passed as parameter will be set to the gamma mode value: <code>#auto</code> , <code>#default</code> , or a Float gamma override value.</p>\n\
<p>If the optional <code>metadata:</code> keyword is provided in <strong>3ds Max 2014 and higher</strong>, the by-reference variable passed as parameter will be set to the BitmapInfo expressed as an array of values that can be passed to the <code>save()</code> function&apos;s <code>metadata:</code> optional keyword. See <a href=\"Bitmap-Gamma-and-MAXScript.html\">Bitmap Gamma and MAXScript</a> for details.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bitmap.filename = SelectSaveBitmap caption:&quot;Select a file&quot; gamma:&amp;gma metadata:&amp;data\n\
   if (bitmap.filename) do save bitmap gamma:gma metadata:data</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">freeSceneBitmaps() </code></pre><p>Frees up all the memory used by the image file bitmap caches. This is useful if memory is fragmented with a lot of different bitmaps and you want to have just the ones currently active reloaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBitmapOpenFileName [caption:&lt;title&gt;] [filename:&lt;seed_filename_string&gt;]  [metadata:&amp;dataArray]\n\
\n\
getBitmapSaveFileName [caption:&lt;title&gt;] [filename:&lt;seed_filename_string&gt;] [metadata:&amp;dataArray]</code></pre><p>Displays the bitmap file selection dialog.</p>\n\
<p>Both functions return a fully-specified file path name or undefined if the user cancels out.</p>\n\
<p>If an existing file name is selected using the <code>getBitmapSaveFileName()</code> function, a File Exists/Confirm Overwrite dialog will be displayed.</p>\n\
<p>If the optional <code>metadata:</code> keyword is provided in <strong>3ds Max 2014 and higher</strong>, the by-reference variable passed as parameter will be set to the BitmapInfo expressed as an array of values that can be passed to the <code>save()</code> function&apos;s <code>metadata:</code> optional keyword. See <a href=\"Bitmap-Gamma-and-MAXScript.html\">Bitmap Gamma and MAXScript</a> for details.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <code>getBitmapOpenFileName()</code> function does not require that an existing file name be selected. A file name is returned if the user types a file name that does not exist. If necessary, you should check the file name that is returned to ensure the file exists.</p>\n\
<p>When you open a bitmap file, an entire frame is loaded into memory. When you are finished processing a bitmap, it is a good idea to either call <code>close()</code> on the bitmap or assign the value <code>undefined</code> to the variable storing the bitmap value, and then manually run garbage collection ( <code>gc light:true</code> ) so that memory can be released. Another technique for conserving memory when using the <code>render()</code> or <code>getChannelAsMask()</code> functions repeatedly is to use the <code>to:&lt;bitmap&gt;</code> keyword argument which allows those functions to overwrite an existing bitmap&#x2019;s pixel image with the new rendering or mask.</p>\n\
<p>There is currently no access to the properties associated with some of the bitmap output plug-ins. This means that you cannot set the codec used for .avi files. The properties used are the properties that were last used when saving that file type in <strong>3ds Max</strong>.</p>\n\
<p>The following script shows how to properly create and save a multi-frame image file in AVI format.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theTeapot=teapot()--something to render\n\
   animate on at time 10 \\--set animate and time context\n\
   rotate theTeapot 180 z_axis--rotate the teapot\n\
   cam=targetcamera pos:[200,0,100] \\--camera pointed at teapot\n\
   target:theTeapot\n\
   renderFrames=#{1,3,5..12}-- specify frames to render\n\
   b=bitmap 160 120 filename:@&quot;c:\\temp\\testme.bmp&quot;--create a new bitmap\n\
   for i= 1 to renderFrames.count do--loop though renderFrames\n\
   (\n\
   if renderFrames[i] then--if supposed to render frame...\n\
   (\n\
   at time i--set time context\n\
   render 160 120 camera:cam to:b-- render to bitmap frame\n\
   save b frame:i-- save each frame as you advance\n\
   )-- if you save AFTER the loop,\n\
   -- just the last frame is saved.\n\
   )\n\
   close b-- close the output file - this will also get rid of\n\
   --the reference to the bitmap value and free its memory.\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Teapot:Teapot004 @ [0.000000,0.000000,0.000000]-- result of line 1\n\
   OK-- result of lines 2 and 3\n\
   $Target_Camera:Camera005 @ [200.000000,0.000000,100.000000]-- result of lines 4 and 5\n\
   #{1, 3, 5..12}-- result of line 6\n\
   BitMap:c:\\temp\\testme.bmp-- result of line 7\n\
   OK-- result of for loop, lines 8 to 15\n\
   OK-- result of line 16\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>While the <code>frame:i</code> keyword argument to the <code>save()</code> method is optional for AVI files (they would advance automatically after each frame), Quicktime MOV files <strong>require</strong> it to save correctly. Otherwise, each rendered frame will overwrite the first frame in the file and the MOV would end up only one frame long.</p>\n\
<p>The following script reads a bitmap file and outputs a script to Listener that implements a function to recreate the same bitmap. This function can then be copied into your script. This is useful for building button images in MAXScript so that you do not need to distribute bitmap files along with your script.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   b=selectbitmap()-- open image file browser\n\
   bname=&quot;bitmap_&quot;+(getfilenamefile b.filename)-- build name from filename\n\
   w=b.width-- get properties of bitmap\n\
   h=b.height\n\
   format &quot;----------\\nfn load_% = (\\n&quot; bname -- start defining function\n\
   format &quot;local %=bitmap % %\\n&quot; bname w h -- create bitmap in function\n\
   -- write out a function that unpacks an integer into a pixel color\n\
   format &quot;fn unpack val = for p in val collect (r=p/256^2; g=p/256-r*256; b=mod p 256; color r g b)\\n&quot;\n\
   for r = 0 to h-1 do-- for each row in the bitmap\n\
   -- have function write the column of pixels to the bitmap\n\
   ( format &quot;setpixels % [0,%] (unpack #(&quot;bname r\n\
   pixels=getpixels b [0,r] w-- read in the column of pixels\n\
   for c = 1 to w do-- loop through each pixel\n\
   ( p = pixels[c]-- get the pixel\n\
   -- pack the pixel into an integer and write it out\n\
   format &quot;%&quot; (((p.r as integer)*256+(p.g as integer))*256+(p.b as integer))\n\
   if c != w then-- if not at end of data\n\
   format &quot;, &quot;-- write a comma\n\
   else\n\
   format &quot;))\\n&quot;-- else close out the line\n\
   )\n\
   )\n\
   format &quot;return %\\n&quot; bname-- function returns the bitmap\n\
   format &quot;)\\n----------\\n&quot;-- finish off function definition\n\
   )\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ----------\n\
   fn load_bitmap_convert = (\n\
   local bitmap_convert=bitmap 4 4\n\
   fn unpack val = for p in val collect (r=p/256^2; g=p/256-r*256; b=mod p 256; color r g b)\n\
   setpixels bitmap_convert [0,0] (unpack #(12632256, 12632256, 12632256, 12632256))\n\
   setpixels bitmap_convert [0,1] (unpack #(255, 255, 255, 255))\n\
   setpixels bitmap_convert [0,2] (unpack #(255, 255, 255, 255))\n\
   setpixels bitmap_convert [0,3] (unpack #(255, 12632256, 12632256, 12632256))\n\
   return bitmap_convert\n\
   )\n\
   ----------\n\
</code></pre></blockquote>\n\
<p>Also see the example in<a href=\"./../Basic-Data-Values/Point3-Values.html\">Point3 Values</a> for another usage of class Bitmap.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Bitmap-Values.html\">Bitmap Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Accessing-the-Last-Rendered.html\">Accessing the Last Rendered Image</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";