var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E035EAA8-BDF4-486F-B19E-9E0FFB9990C9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>DataPair Values</h1></div><p>The <strong>DataPair</strong> class is simply a wrapper around two values.</p>\n\
<p>The values can be of any value type.</p>\n\
<p>The class is available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<p>It was previously available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p>Available in <strong>3ds Max 2017.1 Update and higher</strong>: DataPair values can be specified in a <a href=\"./../../Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">persistent global variable</a>. Both values in the DataPair must be specifiable as a persistent global variable in order for the DataPair to be fully restored on scene file load.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DataPair ()\n\
DataPair &lt;value1&gt; &lt;value2&gt;\n\
DataPair &lt;value1_name&gt;:&lt;value1&gt; &lt;value2_name&gt;:&lt;value2&gt;</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dataPair&gt;.v1 : Value</code></pre><p>Get/set the first value in the DataPair.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dataPair&gt;.v2 : Value</code></pre><p>Get/set the second value in the DataPair.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dataPair&gt;.&lt;value1_name&gt; : Value</code></pre><p>Get/set the first value in the DataPair by name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dataPair&gt;.&lt;value2_name&gt; : Value</code></pre><p>Get/set the second value in the DataPair by name.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPropNames &lt;dataPair&gt;</code></pre><p>Returns array of names values where first two values are #v1 and #v2, remaining 2 values are <code>&lt;value1_name&gt;</code> and <code>&lt;value2_name&gt;</code> if that form of the constructor is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deepCopy &lt;dataPair&gt;</code></pre><p>Creates a deep copy of the dataPair. Available in <strong>3ds Max 2019 and higher</strong>. The dataPair is recursively traversed, and new copies are generated of all items it contains. Note that if the dataPair contains multiple references to a single value, the deep copy will contain multiple references to a single, new value.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Define a new value consisting of a Point3 value and an Integer\n\
   theVal = DataPair [10,20,30] 40\n\
   --&gt; (DataPair [10,20,30] 40)\n\
   theVal.v1 --get the first value in the pair\n\
   --&gt; [10,20,30]\n\
   theVal.v2 --get the second value in the pair\n\
   --&gt; 40\n\
\n\
   --Define a new DataPair value with names values\n\
   theVal2 = DataPair question:&quot;Life,Universe,And Everything&quot; answer:42\n\
   --&gt;(DataPair question:&quot;Life,Universe,And Everything&quot; answer:42)\n\
   theVal2.question\n\
   --&gt; &quot;Life,Universe,And Everything&quot;\n\
   theVal2.answer\n\
   --&gt; 42\n\
   --You can use the properties too:\n\
   theVal2.v1\n\
   --&gt; &quot;Life,Universe,And Everything&quot;\n\
   theVal2.v2\n\
   --&gt; 42\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DataPair-Values.html\">DataPair Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Values-1.html\">Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";