var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-423269A5-B395-4A90-8058-F96C0A24115F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BinStream Value for Binary Reading and Writing</h1></div><p>The BinStream methods can be used to read and write binary files. The methods are very similar to the ones provided by the <a href=\"FileStream-Values.html\">FileStream Values</a></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BinStream&gt;fopen &lt;String fileName&gt; &lt;String mode&gt;</code></pre><p>Opens a file for reading or writing based on the mode parameter. The function will return a BinStream value.</p>\n\
<p>The <code>fopen</code> method parses the mode string looking for exactly one of {rwa}, at most one &apos;+&apos;, at most one of {tb}, at most one of {SR}, at most one &apos;T&apos;, and at most one &apos;D&apos;.</p>\n\
<p><strong>In other words, a mode string is valid if</strong></p>\n\
<ul>\n\
<li><p>First mode character is &apos;r&apos;, &apos;w&apos;, or &apos;a&apos;</p>\n\
</li>\n\
<li><p>There can be up to six more optional mode characters:</p>\n\
<ul>\n\
<li><p>One &apos;+&apos; character,</p>\n\
</li>\n\
<li><p>One of &apos;t&apos; and &apos;b&apos;, and</p>\n\
</li>\n\
<li><p>One of &apos;c&apos; and &apos;n&apos;, and</p>\n\
</li>\n\
<li><p>One of &apos;S&apos; and &apos;R&apos;, and</p>\n\
</li>\n\
<li><p>One of &apos;T&apos;,</p>\n\
</li>\n\
<li><p>One of &apos;D&apos;.</p>\n\
</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<p><code>r</code> - read-only text - file must exist</p>\n\
<p><code>rt</code> - read-only text - file must exist</p>\n\
<p><code>rb</code> - read-only binary - file must exist</p>\n\
<p><code>r+</code> - read/write text - file must exist</p>\n\
<p><code>a</code> - write-only text, append writes - <strong>in 3ds Max 2013</strong> the file will be created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, file must exist)</p>\n\
<p><code>at</code> - write-only text, append writes - <strong>in 3ds Max 2013</strong> the file will be created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, file must exist)</p>\n\
<p><code>ab</code> - write-only binary, append writes - <strong>in 3ds Max 2013</strong> the file will be created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, file must exist)</p>\n\
<p><code>a+</code> - read/write text, append writes - <strong>in 3ds Max 2013</strong> the file will be created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, file must exist)</p>\n\
<p><code>w</code> - write-only text - deletes file contents if it exists</p>\n\
<p><code>wt</code> - write-only text - deletes file contents if it exists</p>\n\
<p><code>wb</code> - write-only binary - deletes file contents if it exists</p>\n\
<p><code>w+</code> - read/write text - deletes file contents if it exists</p>\n\
<p><code>S</code> - access is primarily sequential</p>\n\
<p><code>R</code> - access is primarily random</p>\n\
<p><code>T</code> - temporary storage file, try not to flush</p>\n\
<p><code>D</code> - file is deleted when last handle is closed</p>\n\
<p><code>c</code> - enable the commit flag for the associated filename so that the contents of the file buffer are written directly to disk if flush or fflush is called.</p>\n\
<p><code>n</code> - reset the commit flag for the associated filename to &quot;no-commit&quot; - contents of the file buffer are written to operating system buffers.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>These modes are actual string and should always be written in quotation marks!</p>\n\
<p>They are also CASE SENSITIVE!</p>\n\
<p>When a file is opened with one of the <code>&quot;a&quot;</code> access types, all write operations occur at the end of the file. The file pointer can be repositioned using seek, but is always moved back to the end of the file before any write operation is carried out. Thus, existing data cannot be overwritten.</p>\n\
<p>The <code>&quot;a&quot;</code> mode does not remove the EOF marker before appending to the file. After appending has occurred, the MS-DOS TYPE command only shows data up to the original EOF marker and not any data appended to the file.</p>\n\
<p>The <code>&quot;a+&quot;</code> mode does remove the EOF marker before appending to the file. After appending, the MS-DOS TYPE command shows all data in the file. The <code>&quot;a+&quot;</code> mode is required for appending to a stream file that is terminated with the <strong>CTRL+Z</strong> EOF marker.</p>\n\
<p>When the <code>&quot;r+&quot;</code> , <code>&quot;w+&quot;</code> , or <code>&quot;a+&quot;</code> access type is specified, both reading and writing are allowed (the file is said to be open for &quot;update&quot;). However, when you switch between reading and writing, there must be an intervening <code>fflush</code> or <code>fseek</code> operation. The current position can be specified for the <code>fseek</code> operation, if desired.</p>\n\
<p>Having any character not listed above, having any repeats of characters listed above, or having both of a &apos;one of&apos; pair will result in a runtime error being thrown.</p>\n\
<p>If the mode string does not include &apos;t&apos; or &apos;b&apos;, &apos;b&apos; is automatically appended to the mode string so that the file is opened in binary mode. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fflush &lt;binStream&gt;</code></pre><p>Ensure all output to file is on disk, flushes the memory buffers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Boolean&gt;FClose &lt;BinStream&gt;</code></pre><p>Close a BinStream value. Returns True if it successfully closed the BinStream.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Boolean&gt;fseek &lt;BinStream&gt; &lt;Integer&gt; &lt;#seek_set | #seek_cur | #seek_end&gt;</code></pre><p>Move the file pointer to the specified location based off the seek parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#seek_set -- base off start of file.\n\
#seek_cur  -- base off current position.\n\
#seek_end  -- base off end of file.</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Integer&gt;ftell &lt;BinStream&gt;</code></pre><p>Returns the current file pointer position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Boolean&gt;WriteByte &lt;BinStream&gt; &lt;Integer&gt; [#signed | #unsigned]</code></pre><p>Writes a Integer to the file as one byte. Returns True if write was successful.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Boolean&gt;WriteShort &lt;BinStream&gt; &lt;Integer&gt; [#signed | #unsigned]</code></pre><p>Writes a Integer to the file as two bytes. Returns True if write was successful.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Boolean&gt;WriteLong &lt;BinStream&gt; &lt;Integer&gt; [#signed | #unsigned]</code></pre><p>Writes a Integer to the file as four bytes. Returns True if write was successful.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Boolean&gt;WriteFloat &lt;BinStream&gt; &lt;Float&gt;</code></pre><p>Writes a Float to the file as four bytes. Returns True if write was successful.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Boolean&gt;WriteString &lt;BinStream&gt; &lt;String&gt;</code></pre><p>Writes a string to the file. Returns True if write was successful.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Boolean&gt;WriteLongLong &lt;BinStream&gt; &lt;Integer64&gt; [#signed | #unsigned]</code></pre><p>Writes an Integer64 to the file as eight bytes. Returns True if write was successful.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions.</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Boolean&gt;WriteDouble &lt;BinStream&gt; &lt;Double&gt;</code></pre><p>Writes a Double to the file as eight bytes. Returns True if write was successful.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions.</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Boolean&gt;WriteFloatAsDouble &lt;BinStream&gt; &lt;float&gt;</code></pre><p>Writes a float value as a double precision (eight bytes) float to the BinStream. Returns True if write was successful.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions.</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Integer&gt;ReadByte &lt;BinStream&gt; [#signed | #unsigned]</code></pre><p>Read a one byte value and return as an Integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Integer&gt;ReadShort &lt;BinStream&gt; [#signed | #unsigned]</code></pre><p>Read a two byte value and return as an Integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Integer&gt;ReadLong &lt;BinStream&gt; [#signed | #unsigned]</code></pre><p>Read a four byte value and return as an Integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Float&gt;ReadFloat &lt;BinStream&gt;</code></pre><p>Read a four byte value and return as an Float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;String&gt;ReadString &lt;BinStream&gt;</code></pre><p>Read a string from the file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Float&gt;ReadDoubleAsFloat &lt;BinStream&gt;</code></pre><p>Reads a double precision (eight byte) float from the BinStream and returns as a float.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions.</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Integer64&gt;ReadLongLong &lt;BinStream&gt; [#signed | #unsigned]</code></pre><p>Read an eight byte value and return as an Integer64. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Previously available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions.</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Double&gt;ReadDouble &lt;BinStream&gt;</code></pre><p>Read an eight byte value and return as a Double. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Previously available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions.</a></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f=fopen &quot;c:\\\\test.bin&quot; &quot;wb&quot;\n\
   WriteString f &quot;String&quot;\n\
   WriteByte f 64\n\
   WriteShort f 128\n\
   WriteLong f 256\n\
   WriteFloat f 512.0\n\
   WriteString f &quot;gnirtS&quot;\n\
   WriteLong f (ftell f)\n\
   fclose f\n\
   f=fopen &quot;c:\\\\test.bin&quot; &quot;rb&quot;\n\
   ReadString f\n\
   ReadByte f\n\
   ReadShort f\n\
   ReadLong f\n\
   ReadFloat f\n\
   ReadString f\n\
   ftell f\n\
   ReadLong f\n\
   fclose f\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Stream-Values.html\">Stream Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"FileStream-Values.html\">FileStream Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";