var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BB041082-3EEF-4576-9D69-5B258A59065E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>FileStream Values</h1></div><p>A <strong>FileStream</strong> class implements text file input and output in MAXScript. A FileStream value represents an open text file in MAXScript. Text file I/O is performed by calling functions on the FileStream value.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> createFile &lt;filename_string&gt;\n\
[encoding:{ &lt;#current&gt; | &lt;#English&gt; | &lt;#German&gt; | &lt;#French&gt; | &lt;#Japanese&gt; | &lt;#Korean&gt; | &lt;#Chinese&gt; | &lt;#utf8&gt; | &lt;#utf16LE&gt; | &lt;#utf16BE&gt; | &lt;int codepage&gt; } ] \\\n\
[writeBOM:&lt;boolean&gt;]\n\
</code></pre><p>Creates a new file and returns a <code>&lt;filestream&gt;</code> value. If the specified file cannot be created, the value <code>undefined</code> is returned.</p>\n\
<p>The <strong>encoding:</strong> keyword option can be used to enforce a specific character encoding. If not supplied, it defaults to <strong><code>#current</code></strong> encoding.</p>\n\
<p>The <strong>writeBOM:</strong> keyword option can be used to control whether the Byte-Order-Mark of UTF-8 files will be written.</p>\n\
<p>See the <a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/Character-Encoding.html\">Character Encoding</a> topic for details on Unicode and BOM usage in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> openFile &lt;filename_string&gt;\n\
[mode:&lt;mode_string&gt;]\n\
[encoding:{ &lt;#current&gt; | &lt;#English&gt; | &lt;#German&gt; | &lt;#French&gt; | &lt;#Japanese&gt; | &lt;#Korean&gt; | &lt;#Chinese&gt; | &lt;#utf8&gt; | &lt;#utf16LE&gt; | &lt;#utf16BE&gt; | &lt;int codepage&gt; } ] \\\n\
[writeBOM:&lt;boolean&gt;]\n\
</code></pre><p>Opens a file and returns a <code>&lt;filestream&gt;</code> value. If the specified file cannot be opened, the value <code>undefined</code> is returned. The optional <code>&lt;mode_string&gt;</code> can be:</p>\n\
<p><code>r</code> - read-only text - file must exist</p>\n\
<p><code>rt</code> - read-only text - file must exist</p>\n\
<p><code>rb</code> - read-only binary - file must exist</p>\n\
<p><code>r+</code> - read/write text - file must exist</p>\n\
<p>The default is &quot;rt&quot;.</p>\n\
<p><code>a</code> - write-only text, append writes - <strong>in 3ds Max 2013</strong> the file is created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, the file must exist)</p>\n\
<p><code>at</code> - write-only text, append writes - <strong>in 3ds Max 2013</strong> the file is created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, the file must exist)</p>\n\
<p><code>ab</code> - write-only binary, append writes - <strong>in 3ds Max 2013</strong> the file is created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, the file must exist)</p>\n\
<p><code>a+</code> - read/write text, append writes - <strong>in 3ds Max 2013</strong> the file is created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, the file must exist)</p>\n\
<p><code>w</code> - write-only text - deletes the file contents if it exists</p>\n\
<p><code>wt</code> - write-only text - deletes the file contents if it exists</p>\n\
<p><code>wb</code> - write-only binary - deletes the file contents if it exists</p>\n\
<p><code>w+</code> - read/write text - deletes the file contents if it exists</p>\n\
<p><strong>S</strong> - access is primarily sequential</p>\n\
<p><strong>R</strong> - access is primarily random</p>\n\
<p><strong>T</strong> - temporary storage file (try not to flush)</p>\n\
<p><strong>D</strong> - file is deleted when the last handle is closed</p>\n\
<p><strong>c</strong> - enable the commit flag for the associated filename so that the contents of the file buffer are written directly to the disk if close or flush is called.</p>\n\
<p><strong>n</strong> - reset the commit flag for the associated filename to &quot;no-commit&quot; - contents of the file buffer are written to operating system buffers.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> These modes are <strong>actual string</strong> and must be always written in quotation marks. They are also <strong>case sensitive</strong>.</p>\n\
\n\
</div></div>\n\
\n\
<p>When a file is opened with one of the <code>&quot;a&quot;</code> access types, all write operations occur at the end of the file. The file pointer can be repositioned using seek, but is always moved back to the end of the file before any write operation is carried out. Thus, existing data cannot be overwritten.</p>\n\
<p>The <code>&quot;a&quot;</code> mode does not remove the EOF marker before appending to the file. After appending, the MS-DOS TYPE command only shows data up to the original EOF marker and not any data appended to the file.</p>\n\
<p>The <code>&quot;a+&quot;</code> mode does remove the EOF marker before appending to the file. After appending, the MS-DOS TYPE command shows all data in the file. The <code>&quot;a+&quot;</code> mode is required for appending to a stream file that is terminated with the CTRL+Z EOF marker.</p>\n\
<p>When the <code>&quot;r+&quot;</code> , <code>&quot;w+&quot;</code> , or <code>&quot;a+&quot;</code> access type is specified, both reading and writing are allowed (the file is said to be open for &quot;update&quot;). However, when you switch between reading and writing, there must be an intervening <code>flush()</code> or <code>seek()</code> operation. The current position can be specified for the <code>seek()</code> operation, if desired.</p>\n\
<p>The <strong>encoding:</strong> keyword option can be used to enforce a specific character encoding. If not supplied, it defaults to <code>#current</code> encoding.</p>\n\
<p>See the <a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/Character-Encoding.html\">Character Encoding</a> topic for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> openEncryptedFile &lt;filename&gt; &lt;key&gt;\n\
[encoding:{ &lt;#current&gt; | &lt;#English&gt; | &lt;#German&gt; | &lt;#French&gt; | &lt;#Japanese&gt; | &lt;#Korean&gt; | &lt;#Chinese&gt; | &lt;#utf8&gt; | &lt;#utf16LE&gt; | &lt;#utf16BE&gt; | &lt;int codepage&gt; } ] \\\n\
[writeBOM:&lt;boolean&gt;]\n\
</code></pre><p>Opens the encrypted file using the given integer key and returns a FileStream value that you can then do read calls on, exactly as you can on FileStreams returned from the <code>openFile()</code> function. See <a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/Text-and-Binary-File-Input-and/Encrypted-Files.html\">Encrypted Files</a> for details on encrypted files.</p>\n\
<p>The <strong>encoding:</strong> keyword option can be used to enforce a specific character encoding. If not supplied, it defaults to <strong><code>#current</code></strong> encoding.</p>\n\
<p>The <strong>writeBOM:</strong> keyword option can be used to control whether the Byte-Order-Mark of UTF-8 files will be written.</p>\n\
<p>See the <a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/Character-Encoding.html\">Character Encoding</a> topic for details on Unicode and BOM usage in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readLine &lt;filestream&gt;</code></pre><p>Read next line, return as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readChar &lt;filestream&gt;</code></pre><p>Read next char, return as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readChars &lt;filestream&gt; &lt;char_count&gt; errorAtEOF:&lt;boolean&gt;</code></pre><p>Reads the specified number of characters and returns them in a string.</p>\n\
<p>When the <code>errorAtEOF</code> parameter is <strong>false</strong>, this method does not throw an exception when it attempts to read past the end of the filestream. As well, setting this parameter to <strong>false</strong> and <code>&lt;char_count&gt;</code> to -1 causes this method to read to the end of the file. The default is <strong>true</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readDelimitedString &lt;filestream&gt; &lt;string&gt;</code></pre><p>Takes a delimiter character (as a string) and reads in characters until the delimiter is found (or end-of-file is reached) and returns the characters in a string.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the delimiter string is more than one character, every single character in the string is treated as a delimiter, rather than the string itself. For example, with a filestream that contains &quot;This is an abc string&quot; and a delimiter of &quot;abc&quot;, this function will return &#x201C;This is &quot; rather than &quot;This is an&quot;.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skipToString &lt;filestream&gt; &lt;string&gt;</code></pre><p>Takes a character string and scans forward in the file until it finds an occurrence of the string and positions the file just after that string.</p>\n\
<p>If the string is not found, the function returns the value <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skipToNextLine &lt;filestream&gt;</code></pre><p>Positions the input file at the beginning of the next line.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filePos &lt;filestream&gt;</code></pre><p>Retrieves the current offset into the file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">seek &lt;filestream&gt; &lt;integer&gt;</code></pre><p>Positions the file at the given offset so that the subsequent I/O starts there.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>seek</code> methods accept <code>#eof</code> as an argument. Specifying this places you at the end of the file/string stream. A <code>filePos</code> at this point tells you the length of the file. The <code>readChars</code> method now also accepts a Boolean keyword parameter called <code>errorAtEOF</code> . The default value for this keyword parameter is <code>True</code> to match current behavior. If <code>False</code> , and an attempt is made to read across the end of the file, no error message is generated and the return string contains the contents up to the end of the file.</div>\n\
<blockquote>\n\
<p>   <strong>So, you can use:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   seek fin #eof\n\
   maxlen=filepos fin\n\
   seek fin 0\n\
   res = readChars fin maxlen errorAtEOF:false\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">eof &lt;filestream&gt;</code></pre><p>Returns <strong>true</strong> if there is no more data in the file, <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flush &lt;filestream&gt;</code></pre><p>Ensure all output to file is on the disk, flushes the memory buffers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">close &lt;filestream&gt;</code></pre><p>Flushes the memory buffers and closes the file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">free &lt;filestream&gt;</code></pre><p>Frees the memory used by the filestream value without waiting for garbage collection.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>For the following methods, see the description of the <code>execute()</code> method in <a href=\"./../Basic-Data-Values/String-Values.html\">String Values</a> for information on the scope of variables used in the evaluated expressions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readValue &lt;filestream&gt; [ ignoreStringEscapes:&lt;boolean&gt; ]</code></pre><p>Read and evaluate the next MAXScript <code>&lt;operand&gt;</code> from the file.</p>\n\
<p>If the optional <code>ignoreStringEscapes:</code> keyword argument is not supplied or supplied as false and the value read is a string, &apos;\\&apos; characters in the string are handled as escape characters. If true, &apos;\\&apos; characters in the string are not handled as escape characters. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readExpr &lt;filestream&gt;</code></pre><p>Read and evaluate the next MAXScript <code>&lt;expr&gt;</code> from the file.</p>\n\
<p>Note that the scope of the evaluation is the <strong>global</strong> scope, and not the current scope.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">execute &lt;filestream&gt;</code></pre><p>Read and evaluate all the expressions left in the file. Note that the scope of the evaluation is the <strong>global</strong> scope, and not the current scope.</p>\n\
<p>The differences between the above methods can be seen in the following example. In this example, a stringstream value is created that contains a string containing two expressions - <code>random 0. 1.</code> and <code>random red blue</code> . The <code>readValue</code> , <code>readExpr</code> , and <code>execute</code> methods are then used with the stringstream as the argument.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s=stringstream &quot;random 0. 1.;random red blue&quot;\n\
   readvalue s -- read and evaluate the first value\n\
   readvalue s -- read and evaluate the second value\n\
   seek s 0 -- position at beginning of stringstream\n\
   readexpr s -- read and evaluate the first expression\n\
   readexpr s -- read and evaluate the second expression\n\
   seek s 0 -- position at beginning of stringstream\n\
   execute s -- evaluate all expressions\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   StringStream: &quot;random 0. 1.;random red blue&quot; -- result line 1\n\
   random() -- result line 2 (evaluated &quot;random&quot;)\n\
   0.0 -- result line 3 (evaluated &quot;0.&quot;)\n\
   OK -- result line 4\n\
   0.448042 -- result line 5 (evaluated &quot;random 0. 1. &quot;)\n\
   (color 86.476 0 163.24) -- result line 6 (evaluated &quot;random red blue&quot;)\n\
   OK -- result line 7\n\
   (color 30.2417 0 143.636) -- result line 7 (evaluated all expressions,\n\
   -- returns result of last expression)\n\
</code></pre></blockquote>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">print &lt;value&gt; to:&lt;filestream&gt;</code></pre><p>Prints the value to the specified file stream.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">format &lt;fmt_string&gt; { &lt;value&gt; } to:&lt;filestream&gt;</code></pre><p>Formats the value to the specified file stream.</p>\n\
<p>See <a href=\"./../Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a> for detailed description of these methods.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Stream-Values.html\">Stream Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"BinStream-Value-for-Binary.html\">BinStream Value for Binary Reading and Writing</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">External File Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/File-Name-Parsing.html\">File Name Parsing</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\">Standard Open and Save File Dialogs</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";