var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-51429B01-2FC6-4746-9E88-5EB5D93056CC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Time Values</h1></div><p>The <strong>Time</strong> class implements animation time in MAXScript.</p>\n\
<p>Time values reflect the properties of animation time in <strong>3ds Max</strong>.</p>\n\
<p>Resolution is in <a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\">ticks</a>, with <strong>4800 ticks per second</strong>.</p>\n\
<p>You can work with time as ticks, frames, h.m.s, or normalized time.</p>\n\
<p>You can intermix numbers and time values in time computations defined below.</p>\n\
<p>The rule is that numbers are always interpreted as <strong>frame</strong> counts, with floating point numbers specifying fractional frames.</p>\n\
<p>The numbers are always converted to tick-based time values internally and so have an ultimate resolution of 4800 ticks per second.</p>\n\
<p>You can do time arithmetic and comparisons using numbers as well as time values and convert between time and (frame) numbers using the <code>as</code> operator. See also <a href=\"./../../Names-Literal-Constants-and/Literal-Constants/Time-Literals.html\">Time Literals</a>.</p>\n\
<p><strong>Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[-]{&lt;decimal_number&gt;[m | s | f | t]}+ </code></pre><p>minutes/sec/frames/<a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\">ticks</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[-]{&lt;digit&gt;}:{&lt;digit&gt;}[.{&lt;digit&gt;}]</code></pre><p>SMPTE mins:secs.frame</p>\n\
<p><strong>Example Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">2.5s -- 2.5 seconds\n\
1m15s -- 1 minute 15 seconds\n\
2m30s5f2t -- 2 minutes 30 seconds 5 frames 2 ticks\n\
125f -- 125 frames\n\
17.25f -- 17.25 frames\n\
1f20t -- 1 frame 20 ticks\n\
2:10.0 -- 2 minutes 10 seconds 0 frames (SMPTE)\n\
0:0.29 -- 29 frames (SMPTE)\n\
</code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">normTime &lt;float&gt;</code></pre><p>Time from normal fraction based on the current scene animation range:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   animationRange --check out the current animation range:\n\
   (interval 0f 100f)\n\
   theHalfTime = normTime 0.5 --get the middle of the range:\n\
   50f\n\
   animationRange = interval 42f 1024f --set new scene range:\n\
   (interval 42f 1024f)\n\
   theHalfTime = normTime 0.5 --get the middle of the new range:\n\
   533f\n\
   theTenth = normTime 0.1 --get the frame at 1/10 of the range:\n\
   140.2f\n\
</code></pre></blockquote>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;.ticks</code></pre><p>Time as <a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\">ticks</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;.frame</code></pre><p>Time as frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;.normalized</code></pre><p>Time as normalized fraction of active segment (scene animation range):</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   animationRange --check out the current animation range:\n\
   (interval 0f 100f)\n\
   theHalfTime = 50f --the middle of the range:\n\
   50f\n\
   normalizedTime = theHalfTime.normalized --the normalized time:\n\
   0.5\n\
</code></pre></blockquote>\n\
<p>This is the inverse of the <code>normTime</code> constructor described earlier.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt; + &lt;time&gt;</code></pre><p>Time values addition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt; - &lt;time&gt;</code></pre><p>Time values subtraction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">- &lt;time&gt;</code></pre><p>Invert time value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt; * &lt;number&gt;\n\
&lt;time&gt; / &lt;number&gt;</code></pre><p>Scale time</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt; == &lt;time&gt;</code></pre><p>Compare time values for equality. Returns true if the two time values are equal, false if they are not.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if sliderTime == 42f then &quot;It is time!&quot; else &quot;Not yet!&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt; != &lt;time&gt;</code></pre><p>Compare time values for non-equality. Returns true if the two time values are not equal, false if they are equal.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt; &gt; &lt;time&gt;</code></pre><p>Returns true if the first time value is greater than the second time value, false if it is less or equal to the second time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt; &gt;= &lt;time&gt;</code></pre><p>Returns true if the first time value is greater or equal to the second time value, false if it is less than the second time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt; &lt; &lt;time&gt;</code></pre><p>Returns true if the first time value is less than the second time value, false if it is greater than or equal to the second time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt; &lt;= &lt;time&gt;</code></pre><p>Returns true if the first time value is less than or equal to the second time value, false if it is greater than the second time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt; as &lt;class&gt;</code></pre><p>You can coerce a time value to an Integer or Float number - you get the time in <a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\">ticks</a>:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sliderTime = 35\n\
   35\n\
   currentTime\n\
   35f\n\
   currentTime as integer\n\
   5600\n\
   currentTime as float\n\
   5600.0\n\
   (currentTime as integer)/TicksPerFrame\n\
   35\n\
   (currentTime as float)/TicksPerFrame\n\
   35.0\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To coerce a Time Value to Frames integer, you can use the <code>.frame</code> property documented above:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">currentTime\n\
35f\n\
currentTime as integer\n\
5600\n\
currentTime.frame\n\
35\n\
</code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">random &lt;time&gt; &lt;time&gt;</code></pre><p>Generates a random time value in the range defined by the two time values.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   random 10f 100f\n\
</code></pre><p>   <strong>POSSIBLE OUTPUT VALUES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   70.9813f\n\
   78.175f\n\
   59.225f\n\
   ...\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To generate full frame random values, use Integers instead of Time Values instead. Integers are always assumed to represent full frames when used in place of Time Values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">random 10 100</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">abs &lt;time&gt;</code></pre><p>Returns the absolute value of the time value.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theTime = -100f\n\
   -100f\n\
   abs theTime\n\
   100f\n\
</code></pre></blockquote>\n\
<p>Some of the examples above refer to system global variables. See <a href=\"./../../Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max System Globals</a> for more details.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Time-Data-Values.html\">Time Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";