var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2D8606DF-EF5D-4F5B-A00C-B10D29A14947\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>File Notifications</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePreOpen:(integer | undefined) </code></pre><p>Sent before a new file is opened.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns an integer value of 2 if a render preset file is being opened, undefined otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostOpen: (integer |undefined) </code></pre><p>Sent after a new file is opened successfully.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns an integer value of 2 if a render preset file is being opened, undefined otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePreOpenProcess: #(integer, string) </code></pre><p>Sent before the file open process starts. This event is sent immediately after <code>#filePreOpen</code>, and it sends additional information not sent by <code>#filePreOpen</code>.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns an array with two elements:</p>\n\
<p>The first element is 1 if doing a normal file load, 2 if doing an <strong>Edit&gt;Fetch</strong> .</p>\n\
<p>The second element is the scene file name being loaded.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   callbacks.removeScripts id:#testCallback\n\
   callbacks.addScript #filePreOpenProcess &quot;print (callbacks.notificationParam())&quot; id:#testCallback\n\
</code></pre><p>   <strong>PERFORM A FETCH - THE CALLBACK WILL PRINT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   2\n\
   &quot;C:\\Documents and Settings\\user\\My Documents\\3dsmax\\autoback\\maxhold.mx&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#fileOpenFailed: integer </code></pre><p>Sent after a file open fails.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns an integer indicating the file type, where 0 is a 3ds Max file, and 1 is a material library.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostOpenProcess: #(integer, string) </code></pre><p>Sent after the file open process has finished. This callback is sent immediately after <code>#filePostOpen</code>, and it sends additional information not sent by <code>#filePostOpen</code>.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns a 2 element array:</p>\n\
<ul>\n\
<li>The first element is an integer that indicates the type of file open, where 1 indicates a normal scene file load, and 2 indicates an <strong>Edit&gt;Fetch</strong> operation.</li>\n\
<li>The second element is a string containing the opened filename.</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostOpenProcessFinalized: undefined </code></pre><p>Sent after #filePostOpenProcess is sent and all animatables created by the load process but no longer used are deleted. Available in <strong>3ds Max 2018</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePreSave: string </code></pre><p>Sent before a file is saved.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns a String containing the file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostSave: string </code></pre><p>Sent after a file is saved.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns a String containing the file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePreSaveProcess: #(integer, string) </code></pre><p>Sent before the save process has started.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns a 2 element array:</p>\n\
<p>Element 1 is</p>\n\
<p>1 if doing a normal file save,</p>\n\
<p>2 if doing an Edit&gt;Hold</p>\n\
<p>3 if doing an Autobackup</p>\n\
<p>Element 2 is the scene file name being saved.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   Evaluate the following code:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   callbacks.removeScripts id:#testCallback\n\
   callbacks.addScript #filePreSaveProcess &quot;print (callbacks.notificationParam())&quot; id:#testCallback\n\
</code></pre><p>   Save the file to &quot;TestingCallback.max&quot; - the callback will print:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   1\n\
   &quot;C:\\Documents and Settings\\user\\My Documents\\3dsmax\\scenes\\testingcallback.max&quot;\n\
</code></pre><p>   Perform an Edit&gt;Fetch at this point - the callback will print:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   2\n\
   &quot;C:\\Documents and Settings\\user\\My Documents\\3dsmax\\autoback\\maxhold.mx&quot;\n\
</code></pre><p>   Wait fro the Autobackup to kick in - the callback will print:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   3\n\
   &quot;C:\\Documents and Settings\\user\\My Documents\\3dsmax\\autoback\\AutoBackup01.max&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostSaveProcess: #(integer, string) </code></pre><p>Sent after the save process has finished.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the same 2-element array as <code>#filePreSaveProcess</code> - please see above for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePreSaveOld: undefined </code></pre><p>Sent before an old version file is saved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostSaveOld: undefined </code></pre><p>Sent after an old version file is saved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePreMerge: integer </code></pre><p>Sent before a file is merged.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns an integer value of 1 if object or scene Xref merged, undefined otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostMerge: integer </code></pre><p>Sent after a file is merged successfully.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns an integer value of 1 if object or scene Xref merged, undefined otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostMerge2: #(integer, integer) </code></pre><p>Sent after a file is merged successfully, right after <strong>#filePostMerge</strong>.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns an array with two elements, with the first element being the file save version, and the second element the file save as version.</p>\n\
<p>For example, if loading a file saved from 3ds Max 2017, where a Save As Type was set to 3ds Max 2016, the values would be 19000 (MAX_RELEASE_R19) and 18000 (MAX_RELEASE_R189). See the plugapi.h file in the 3ds Max SDK for possible values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostMerge3: #(string, boolean, integer, integer, boolean) </code></pre><p>Sent after a file is merged successfully, right after <strong>#filePostMerge2</strong>. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns an array with five elements:</p>\n\
<ol>\n\
<li>The full path of the file being merged or XRefed</li>\n\
<li>A boolean indicating whether the merge was successful (true) or failed (false)</li>\n\
<li>An integer indicating file save version. See the plugapi.h file in the 3ds Max SDK for possible values.</li>\n\
<li>An integer indicating file save as version. See the plugapi.h file in the 3ds Max SDK for possible values.</li>\n\
<li>A boolean indicating whether the operation was an XRef (true) or merge (false)</li>\n\
</ol>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This callback notification contains all the information from <code>#filePostMerge</code> and <code>#filePostMerge2</code>, as well as additional information, and should be used as a replacement for those notifications.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostMergeProcess: undefined </code></pre><p>Sent after the merge process has finished.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#filePostMergeProcessFinalized: undefined </code></pre><p>occurs after #filePostMerge2 is sent and all animatables created by merge process but no longer used are deleted. Available in <strong>3ds Max 2018</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preImport: undefined </code></pre><p>Sent before a file is imported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postImport: filename </code></pre><p>Sent after a file is imported successfully.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the name of the file being imported. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#importFailed: undefined </code></pre><p>Sent if import fails.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preExport: undefined </code></pre><p>Sent before a file is exported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postExport: filename </code></pre><p>Sent after a file is exported successfully.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the name of the file being exported. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#exportFailed: undefined </code></pre><p>Sent if export fails.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";