var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-962137D0-2937-4A31-A3E0-2BBF8C365577\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Time Change Callback Mechanism</h1></div><p>You can register one or more functions to be called whenever the current <strong>3ds Max</strong> animation time is changed, such as when the user drags the time slider or plays the animation. The following methods let you register and unregister these callbacks:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registerTimeCallback &lt;fn&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unRegisterTimeCallback &lt;fn&gt; | undefined )</code></pre><p>You can register as many functions as you like. Each one is individually called whenever the time changes. The functions you register must take no arguments. They can access the updated current time through the MAXScript system variable <code>currentTime</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn time_p = print currentTime\n\
   registerTimeCallback time_p\n\
</code></pre><p>   In the above example, the registered function causes the current time to be printed in the Listener window whenever the user moves the time slider or plays the animation.</p>\n\
</blockquote>\n\
<p>You can also enable or disable time change callbacks globally.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; timeCallbacksEnabled()</code></pre><p>Returns whether time change callbacks are enabled.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; enableTimeCallbacks()\n\
&lt;boolean&gt; disableTimeCallbacks()</code></pre><p>Enables or disables time change callbacks. These functions return the current time change callbacks enabled state. So, for example, calling <code>disableTimeCallbacks()</code> when callbacks are already disabled will return <strong>false</strong>.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showregisteredTimeCallbacks [to:stream] [asArray:&lt;boolean&gt;]</code></pre><p>Returns a list of registered time change callbacks, listing the function name, source file (if applicable) and line number in the source file where the function is defined. If the optional <strong>to</strong> argument is specified, the output is sent to that output stream. If the optional <strong>asArray</strong> argument is specified, the return value is formatted as an array of arrays, where for each registered callback function the first element is the callback function name, the second element is the source file name and line number where the callback function is defined (or an empty string if the function was not defined in a file), and the third element is the actual function value which can be used to de-register the callback.<br><strong>Special Considerations</strong></p>\n\
<ul>\n\
<li><p>If a runtime error occurs in a callback function while it is being executed, an error message is displayed and that callback function is permanently disabled.</p>\n\
</li>\n\
<li><p>The time callback is <strong>not</strong> called during rendering, even if multiple frames are rendered.</p>\n\
</li>\n\
<li><p>The registered function is executed in a special context and not in the context of the code that created it. This means that the function cannot contain references to local variables in outer code nestings surrounding the function definition since those variables are on an execution stack that does not exist at the time the function is called. An important exception to this is utility and rollout panel locals, such as local functions, rollout variables and nested rollouts. You can refer to them in change handler code inside rollout code as they are associated directly with their rollout or utility object.</p>\n\
</li>\n\
<li><p>Note that it is the <strong>function value</strong> that is being registered, not the function name or global variable. This means that redefining the same-named function after registering it does <strong>not</strong> change the callback. You either need to unregister, re-define the function and then register it again, or make the registered function an intermediary which calls another function,</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn time_cb = print currentTime\n\
   fn tcb = time_cb()\n\
   registerTimeCallback tcb\n\
</code></pre><p>   In this case, the registered callback function, <code>tcb</code> , calls the real call back, <code>time_cb</code> , (by referencing the global variable it is defined in), meaning you can redefine <code>time_cb()</code> as often as you need and the callback will always invoke the latest definition. This is a useful technique to employ while you are developing and debugging a callback.</p>\n\
</blockquote>\n\
<ul>\n\
<li>Callback functions remain registered after loading a new file or performing a <strong>3ds Max</strong> Reset.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Change-Handlers-and-Callbacks.html\">Change Handlers and Callbacks</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Change-Handlers-and-Callbacks.html\">Change Handlers and Callbacks</a></li>\n\
          <li><a class=\"link\" href=\"Change-Handlers-and-When.html\">Change Handlers and When Constructs</a></li>\n\
          <li><a class=\"link\" href=\"Viewport-Redraw-Callback.html\">Viewport Redraw Callback Mechanism</a></li>\n\
          <li><a class=\"link\" href=\"General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";