var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6EBDE243-E457-4B92-AB9E-1E2303B735BA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ActiveX Controls in MAXScript Rollouts</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>Starting with <strong>3ds Max 4</strong>, MAXScript lets the user embed ActiveX Controls in rollouts, thus expanding the number of available User Interface control types.</p>\n\
<p>Examples include:</p>\n\
<p><strong>Simple controls</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ActiveMovieControl Object,Calendar Control,Microsoft TreeView</code></pre><p><strong>Compound controls</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Microsoft Excel,Microsoft Internet ExplorerAdobe Acrobat</code></pre><p>This provides numerous possibilities in MAXScript which include:</p>\n\
<ul>\n\
<li><p>Embed a web browser into a rollout and then navigate the user to a web site.</p>\n\
</li>\n\
<li><p>Embed an Excel spreadsheet into a rollout, extract the user entered values from cells and then create animation in Max.</p>\n\
</li>\n\
<li><p>Create an ActiveMovie player through MAXScript, load an Avi file and then synchronize the animation between the rendered Avi in ActiveMovie player to animation in Max.</p>\n\
</li>\n\
</ul>\n\
<p>The technology behind this feature is a MAXScript extension plug-in (MxsActiveX.dlx) making it MAXScript capable. It does not use ParamBlock2. The plug-in adds a new type of rollout control.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">activeXControl &lt;name&gt; [ &lt;control_type&gt; ] [    setupEvents:&lt;boolean&gt; ] [    releaseOnClose:&lt;boolean&gt;    ] [    prop1:&lt;value&gt; ] [    prop2:&lt;value&gt; ] &amp;ldots;      </code></pre><p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control_type&gt;   </code></pre><p>A string to create the control.</p>\n\
<p>The string <strong>must</strong> be formatted in one of the following ways:</p>\n\
<ul>\n\
<li><p>A Program ID such as &quot;MSCAL.Calendar.7&quot;</p>\n\
</li>\n\
<li><p>A Class ID such as &quot;{8E27C92B-1264-101C-8A2F-040224009C02}&quot;</p>\n\
</li>\n\
<li><p>A URL such as &quot;<a href=\"http://www.microsoft.com&quot;\" target=\"_blank\">http://www.microsoft.com&quot;</a></p>\n\
</li>\n\
<li><p>A reference to an Active document such as &quot;file://\\\\Documents\\MyDoc.doc&quot;</p>\n\
</li>\n\
<li><p>A fragment of HTML such as &quot;MSHTML:<html><body>This is a line of text</body></html>&quot;</p>\n\
</li>\n\
</ul>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>&quot;MSHTML:&quot; must precede the HTML fragment so that it is designated as being a MSHTML stream.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">prop1:&lt;value&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">prop2:&lt;value&gt; </code></pre><p>These are control specific keyword arguments. You can get a list of properties and their types by calling <code>showProperties</code> on the control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setupEvents:&lt;boolean&gt; </code></pre><p>When set to <code>true</code> (default), event support for activeX controls will be enabled. When set to <code>false</code> , none of the event handlers will be called. This is useful when a control fires too many events but you are not interested in any.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">releaseOnClose:&lt;boolean&gt; </code></pre><p>Every activeX control creates two hidden controls. Passing <code>true</code> here (default) will free them up and also any resources taken up by the control, and the activex properties cannot be accessed after the rollout has been closed. This is the case for window&apos;ed controls like listview, treeview etc.</p>\n\
<p>If you need to access the properties of the control after you close the rollout, then you need to pass <code>false</code> . This is helpful for windowless control like XML parser, FTP controls etc. See <strong>xmlio.ms</strong> for an example.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   activeXControl ax &quot;{05589FA1-C356-11CE-BF01-00AA0055595A}&quot; \\ height:200 width:300 align:#left\n\
</code></pre></blockquote>\n\
<h2 id=\"activex-controls-topics-\">ActiveX Controls Topics:</h2><p><a href=\"ActiveX-Control-Properties.html\">ActiveX Control Properties</a></p>\n\
<p><a href=\"Active-X-Controls-Methods.html\">Active X Controls Methods</a></p>\n\
<p><a href=\"Active-X-Inspector-Functions.html\">Active X Inspector Functions</a></p>\n\
<p><a href=\"Accessing-ActiveX-Controls.html\">Accessing ActiveX Controls Indexed Properties</a></p>\n\
<p><a href=\"ActiveX-Controls-Cursor-Access.html\">ActiveX Controls Cursor Access</a></p>\n\
<p><a href=\"ActiveX-Array-Properties.html\">ActiveX Array Properties</a></p>\n\
<p><a href=\"ActiveX-Disable-3ds-Max-keyboard.html\">ActiveX - Disable3ds Maxkeyboard accelerators</a></p>\n\
<p><a href=\"ActiveX-COM-Enums-Represented-as.html\">ActiveX COM Enums Represented as MAXScript Names</a></p>\n\
<p><a href=\"ActiveX-by-reference-arguments.html\">ActiveX by-reference arguments for methods and events</a></p>\n\
<p><a href=\"loadpicture.html\">loadPicture for ActiveX Controls</a></p>\n\
<p><a href=\"updatewindow.html\">updateWindow for ActiveX Controls</a></p>\n\
<h3 id=\"typical-activex-controls-and-examples\">Typical ActiveX Controls And Examples</h3><p><a href=\"Typical-ActiveX-Controls/ListView-ActiveX-Control.html\">ListView ActiveX Control</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/ListView-ActiveX-Control/Listview-ActiveX-functions.html\">ListView ActiveX Helper Functions</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/ListView-ActiveX-Control/ListView-ActiveX-Control-Example.html\">ListView ActiveX Control Example</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-1.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part One</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-2.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part Two</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/TreeView-ActiveX-Control.html\">TreeView ActiveX Control</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-1.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part One</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-2.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\">ImageList ActiveX Control</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/TabStrip-ActiveX-Control.html\">TabStrip ActiveX Control</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/Windows-Media-Player-ActiveX.html\">Windows Media Player ActiveX Control</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/Windows-Media-Player-ActiveX/Windows-Media-Player-ActiveX-1.html\">Windows Media Player ActiveX Control Example</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/Adobe-Acrobat-ActiveX-Control.html\">Adobe Acrobat ActiveX Control</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/Internet-Explorer-ActiveX.html\">Internet Explorer ActiveX Control</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/Excel-Spreadsheet-in-Internet.html\">Excel Spreadsheet in Internet Browser Control as Extended Viewport</a></p>\n\
<p><a href=\"Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/Shockwave-Flash-ActiveX-Object.html\">Shockwave Flash ActiveX Object Events</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ActiveX-Controls-in-MAXScript.html\">ActiveX Controls in MAXScript Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Visual-MAXScript.html\">Visual MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts/MAXScript-Dialogs-and-Rollout.html\">MAXScript Dialogs and Rollout Floaters as Extended Viewports</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";