var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0C6E7C77-A065-4602-9930-4FE275AE3B9A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ListView ActiveX Control</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;Microsoft ListView Control 6.0 (SP4)&quot; &quot;MSComctlLib.ListViewCtrl.2&quot; &quot;{BDD1F04B-858B-11D1-B16A-00C0F0283628}&quot; </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>See the topic <a href=\"./../../../../Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\">Converting ActiveX ListView Control to DotNet ListView Control</a> for an example of switching existing ActiveX code to DotNet.</p>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>ListView ActiveX Control</strong> is one of the most often user ActiveX Controls in MAXScript rollouts. It is very flexible and customizable and is thus discussed in detail in this chapter. It can be used to create lists and spreadsheet-like user interface controls.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">activeXControl lv &#x201C;MSComctlLib.ListViewCtrl&quot; </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"listitems\">ListItems</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ListItems : IListItems   </code></pre><p>This property provides access to the ListItems. ListItems represent the rows in the Listview and have the following properties and methods:</p>\n\
<p><strong>.ListItems Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ListItems.Count : integer </code></pre><p>Get/Set the number of ListItems in the ListView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ListItems[IndexList] : IListItem, read-only </code></pre><p>Returns the Indexed ListItem. The index is 1-based.</p>\n\
<p><strong>.ListItems Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ListItems.Add Index:undefined Key:undefined Text:undefined Icon:undefined SmallIcon:undefined </code></pre><p>Adds a new ListItem to the ListView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ListItems.Clear() </code></pre><p>Clears the ListItems. All ListItems will be removed from the ListView.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ListItems.Remove Index:undefined </code></pre><p>Removes the indexed ListItem.The index is 1-based.</p>\n\
<h2 id=\"columnheaders\">ColumnHeaders</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ColumnHeaders : IColumnHeaders </code></pre><p>This property provides access to the column headers of the ListView.</p>\n\
<p><strong>.ColumnHeaders Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Count : integer </code></pre><p>Get/Set the number of Column Headers in the ListView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Item[Index:undefined] : IColumnHeader, read-only </code></pre><p>Get the indexed Column Header from the ListView control. The index is 1-based!</p>\n\
<p>See <a href=\"#columnheader-properties-and-methods\">ColumnHeader Properties and Methods</a> for a list of properties of single Column Headers.</p>\n\
<p><strong>.ColumnHeaders Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Clear() </code></pre><p>Clears the ColumnHeaders. All Column Headers will be removed from the ListView.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Remove Index:undefined </code></pre><p>Removes the indexed Column Header. The index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">._NewEnum() </code></pre><p>Not accessible through MAXScript, return type is not supported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Add Index:undefined Key:undefined Text:undefined Width:undefined Alignment:undefined Icon:undefined </code></pre><p>Adds a new Column to the ListView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HideColumnHeaders : Boolean </code></pre><p>This property lets you enable and disable the column headers. When set to true, the column headers will be hidden. When set to false, the column headers will be displayed. Note that column headers are only available when the <code>.View</code> property is set to <code>#lvwReport</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AllowColumnReorder : Boolean </code></pre><p>When set to true, the user can drag the columns to define their order. When set to false (default), the columns order is locked and cannot be changed interactively.</p>\n\
<h2 id=\"listview-layout-\">ListView Layout:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.View: ListViewConstants( #lvwIcon | #lvwSmallIcon | #lvwList | #lvwReport ) </code></pre><p>Get/Set the view type of the ListView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Appearance : AppearanceConstant( #ccFlat | #cc3D ) </code></pre><p>Get/Set the appearance of the ListView control. #cc3D is default.</p>\n\
<p><img src=\"./images/GUID-040B44BC-C6D8-4200-A331-B77EE3FB8BD1-low.gif\" alt> <img src=\"./images/GUID-3E820A2B-D204-42BD-A655-52EDF07C057A-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.BorderStyle : BorderStyleConstants( #ccNone | #ccFixedSingle ) </code></pre><p>Controls the border style when <code>.Appearance</code> is set to <code>#ccFlat</code> . When set to <code>#ccFixedSingle</code> , a single pixel border will be drawn around the ListView.</p>\n\
<p><img src=\"./images/GUID-040B44BC-C6D8-4200-A331-B77EE3FB8BD1-low.gif\" alt> <img src=\"./images/GUID-A720A4FE-50A8-475D-9914-73623EE1B423-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Arrange : ListArrangeConstants( #lvwNone | #lvwAutoLeft | #lvwAutoTop ) </code></pre><p>Controls the arrangement of the ListView control. Default is <code>#lvwNone</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.DropHighlight : IListItem </code></pre><p>If a ListItem is assigned to this property, the ListItem will be displayed as highlighted (appearing to be selected, but without having the selected state flag set). The highlight will not be affected by the selection highlight, leaving the specified ListItem highlighted until the DropHighlight is set to undefined again.</p>\n\
<p>In the screenshot below, the ListItem representing Teapot01 was assigned to DropHighlight, while the ListItem representing Box01 was selected with the mouse.</p>\n\
<p><img src=\"./images/GUID-987DBF48-4E18-44A3-AD09-D46B1D3A9E4E-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LabelEdit: ListLabelEditConstants( #lvwAutomatic | #lvwManual ) </code></pre><p>Controls the editing of the label (this is the text in the first column of a ListItem). Default is <code>#lvwAutomatic</code> .</p>\n\
<p>When set to <code>#lvwAutomatic</code> , the user can click to select the item, then click again at the label location to open the text field to type in custom text.</p>\n\
<p>When set to <code>#lvwManual</code> , the label editing can only be initiated by the developer by using the <code>.StartLabelEdit()</code> method.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   </p>\n\
<p>   The <strong>3ds Max</strong> keyboard shortcuts (accelerators) have to be disabled to be able to type in the label text field! See <a href=\"./../ActiveX-Disable-3ds-Max-keyboard.html\">ActiveX - Disable3ds Max keyboard accelerators</a> for details!</p>\n\
\n\
</div></div>\n\
\n\
<p><img src=\"./images/GUID-0BCC8E6F-9B53-4F92-BDC3-007D3F17D025-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LabelWrap : Boolean </code></pre><p>Controls the label wrapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Checkboxes : Boolean </code></pre><p>When set to true, checkboxes will be displayed in the first column for each ListItem. When set to false (default), only the ListItem label will be displayed.</p>\n\
<p><img src=\"./images/GUID-06CFC64F-320C-43DD-948D-773378DFFA1D-low.gif\" alt> <img src=\"./images/GUID-656E5D8E-E3E8-484B-AB95-4277DA8B829E-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Enabled : Boolean </code></pre><p>When set to true (default), the ListItems can be selected, labels can be edited, checkboxes can be checked, column widths can be adjusted etc. When set to false, the ListItems will be &quot;frozen&quot; and cannot be changed in any way.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ForeColor : OLE_COLOR </code></pre><p>Controls the foreground (text) color used to draw the ListView.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.BackColor : OLE_COLOR </code></pre><p>Controls the background color used to draw the ListView.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>OLE_COLOR values used by ActiveX Controls are BGR and not RGB!</p>\n\
<p>The following screenshots show the default white background (.BackColor property not set), .BackColor = color 225 215 210, .BackColor = color 215 225 210 and .BackColor = color 210 215 225</p>\n\
<p><img src=\"./images/GUID-3B611969-C036-4E9C-BF24-DEFE7F3A9A16-low.gif\" alt> <img src=\"./images/GUID-577CC127-A842-4FBB-9796-C089E4120F42-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-CF9B1B53-A047-4BFC-8D99-B39C0C5C083A-low.gif\" alt> <img src=\"./images/GUID-940ED2AE-A16E-4D8E-B53F-54470862B69B-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.GridLines : Boolean </code></pre><p>When set to false (default), no grid lines will be drawn. When set to true, lines will be drawn to delimit the rows and columns:</p>\n\
<p><img src=\"./images/GUID-7BF9DCB6-E45A-41FD-874B-B359E0255B9D-low.gif\" alt> <img src=\"./images/GUID-3B611969-C036-4E9C-BF24-DEFE7F3A9A16-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.FlatScrollBar : Boolean </code></pre><p>When set to false (default), the scrollbar will be displayed. When set to true, no scrollbar will be drawn. You can still scroll down by moving the selection using the arrow keys, but cannot scroll horizontally.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Picture : IPictureDisp </code></pre><p>Lets you assign a picture to the background. See <a href=\"./../loadpicture.html\">loadPicture</a> for details on passing pictures as IPuctureDisp values to ActiveX controls.</p>\n\
<p>In the example below, a yellow-red gradient with the size 500x200 pixels was created in Photoshop, saved as 24 bit BMP to disk and passed to the .Picture property using the line</p>\n\
<p>lv.picture = loadPicture &quot;c:/3dsmax6/images/activex_gradient.bmp&quot;</p>\n\
<p><img src=\"./images/GUID-98B47A37-98D8-4269-82B0-92DD9EDD3F95-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.PictureAlignment : ListPictureAlignmentConstants( #lvwTopLeft | #lvwTopRight | #lvwBottomLeft | #lvwBottomRight | #lvwCenter | #lvwTile ) </code></pre><p>Controls the alignment of the picture assigned to the .Picture property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.TextBackground : ListTextBackgroundConstants( #lvwTransparent | #lvwOpaque ) </code></pre><p>Controls the appearance of the text background. When set to #lvwOpaque, the above example will appear as</p>\n\
<p><img src=\"./images/GUID-84C89F97-3AF4-40EF-B5CE-F166A7FEB64A-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Font : IFontDisp </code></pre><p>Returns an MSDisplatch value controlling the font used.Cannot be set by MAXScript.</p>\n\
<h2 id=\"selection\">Selection</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SelectedItem : IListItem, read-only, default:undefined </code></pre><p>Returns the selected item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.FullRowSelect : boolean </code></pre><p>When set to true, selecting an item or sub-item will select the complete row. When set to false, only the ListItem (first column) will be selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MultiSelect : Boolean </code></pre><p>When set to true, the user can select multiple ListItems simultaneously. When set to false (default), only one ListItem at a time can be selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HideSelection : Boolean </code></pre><p>When set to true, the selection will not be displayed.When set to false, the selection will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HotTracking : Boolean </code></pre><p>When set to true, the ListItems will be highlighted as the mouse moves over them. When set to false (default), there will be no effect when the mouse is moving over ListItems.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HoverSelection : Boolean </code></pre><p>When set to true, the ListItems will be selected automatically when the mouse hovers over them. When set to false (default), ListItems will only be selected if the user clicks with the mouse.</p>\n\
<h2 id=\"mouse-access\">Mouse Access</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MouseIcon : IPictureDisp </code></pre><p>Returns the mouse icon as IPictureDisp value. Cannot be set by MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MousePointer : MousePointerConstants( #ccDefault | #ccArrow | #ccCross | #ccIBeam | #ccIcon | #ccSize | #ccSizeNESW | #ccSizeNS | #ccSizeNWSE | #ccSizeEW | #ccUpArrow | #ccHourglass | #ccNoDrop | #ccArrowHourglass | #ccArrowQuestion | #ccSizeAll | #ccCustom ) </code></pre><p>Get/Set the mouse pointer type when over the ListView Control. The script developer could use the mouse events described further on this page to change the mouse pointer depending on the underlying content or the allowed actions...</p>\n\
<h2 id=\"sorting\">Sorting</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Sorted : Boolean </code></pre><p>When set to false (default), the ListItems will be displayed in the order they have been added to the ListView.ListItems array.</p>\n\
<p>When set to true, the ListItems will be sorted alphabetically. By default, the sorting will be ascending based on the text in the first column</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SortOrder : ListSortOrderConstants( #lvwAscending | #lvwDescending ) </code></pre><p>When <code>.Sort</code> is set to true, this property controls the direction of sorting.</p>\n\
<p>The following screenshots show the same objects displayed Unsorted, Sorted in Ascending and Descending order:</p>\n\
<p><img src=\"./images/GUID-BE2D38D8-BC71-40DA-93E3-7EB5E36E6739-low.gif\" alt> <img src=\"./images/GUID-CF376559-D0D1-4522-BF15-C5E57D3B645B-low.gif\" alt> <img src=\"./images/GUID-3192D367-38E0-4B60-9188-EF892885327B-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SortKey : integer </code></pre><p>Cannot be set by MAXScript.</p>\n\
<h2 id=\"icons\">Icons</h2><p>The following properties lets you assign an <a href=\"Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\">ImageList ActiveX Control</a> to provide images to be used as icons by the ListView Control.</p>\n\
<p>Note that icons are only visible when the <code>.View</code> property is set to <code>#lvwIcon</code> resp. <code>#lvwSmallIcon</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Icons : IVBDataObject </code></pre><p>The property lets you assign icons to the ListView Control.The IVBDataObject containing the images to be used as icons is provided by an <a href=\"Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\">ImageList ActiveX Control</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SmallIcons : IVBDataObject, read-only, default:undefined </code></pre><p>The property lets you assign small icons to the ListView Control. The IVBDataObject containing the images to be used as icons is provided by an <a href=\"Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\">ImageList ActiveX Control</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ColumnHeaderIcons : IVBDataObject, read-only, default:undefined </code></pre><p>The property lets you assign icons to the column headers of the ListView Control. The IVBDataObject containing the images to be used as icons is provided by an <a href=\"Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\">ImageList ActiveX Control</a>.</p>\n\
<h2 id=\"drag-and-drop\">Drag and Drop</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.OLEDragMode : OLEDragConstants( #ccOLEDragManual | #ccOLEDragAutomatic ) </code></pre><p>Controls the OLE Drag mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.OLEDropMode : OLEDropConstants( #ccOLEDropNone | #ccOLEDropManual ) </code></pre><p>Controls the OLE Drop mode.</p>\n\
<h2 id=\"ole-windows-messaging\">OLE Windows Messaging</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.hWnd : OLE_HANDLE </code></pre><p>This is the ActiveX handle needed to send Windows Messages to the ActiveX Control. See <a href=\"./../Sending-Windows-Message.html\">Sending Windows Message</a> for details.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.FindItem sz:string Where:undefined Index:undefined fPartial:undefined </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.GetFirstVisible() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HitTest x:float y:float applyUIScaling:&lt;true&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.StartLabelEdit() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.OLEDrag() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Refresh() </code></pre><p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; BeforeLabelEdit Cancel:integer do ( ... ) </code></pre><p>Called before the Label Editing starts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; AfterLabelEdit Cancel:integer NewString:string do ( ... ) </code></pre><p>Called after the Label Editing ends.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; ColumnClick ColumnHeader:ColumnHeader do ( ... ) </code></pre><p>Called when the user clicked a Column Header. The ColumnHeader argument will contain the ColumnHeader that has been clicked. The ColumnHeader has its own properties including index, alignment controls etc. See <a href=\"#columnheader-properties-and-methods\">ColumnHeader Properties and Methods</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; ItemClick Item:ListItem do ( ... ) </code></pre><p>Called when the user clicked a ListItem. The Item argument will contain the 0-based index of the row that has been clicked.</p>\n\
<h2 id=\"keyboard-and-mouse-click-events\">Keyboard and Mouse Click Events</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyDown KeyCode:integer Shift:integer do ( ... ) </code></pre><p>Called when the user pressed a key. The KeyCode argument will contain the integer code of the key that has been pressed, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - bit 1 represents Shift, bit 2 represents Control, bit 3 represents Alt.</p>\n\
<p>0 - No modifier keys pressed</p>\n\
<p>1 - Left or Right Shift key pressed</p>\n\
<p>2 - Left or Right Control key pressed</p>\n\
<p>3 - Control + Shift keys pressed simultaneously</p>\n\
<p>4 - Left or Right Alt key pressed</p>\n\
<p>6 - Control + Alt keys pressed simultaneously</p>\n\
<p>7 - Control, Alt and Shift keys pressed simultaneously</p>\n\
<blockquote>\n\
<p>   <strong>An example of the MAXScript syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on lv_objects keyDown theKeyCode theShiftState do\n\
   (\n\
   format &quot;Key Code is %, Shift State is %\\n&quot; theKeyCode theShiftState\n\
   )\n\
   --where lv_objects is the name of the ActiveX ListView,\n\
   --theKeyCode and theShiftState are user-defined variable names.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyUp KeyCode:integer Shift:integer do ( ... ) </code></pre><p>Called when the user releases a key. The KeyCode argument will contain the integer code of the key that has been released, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - see above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyPress KeyAscii:integer do ( ... ) </code></pre><p>Called when the user pressed a key. The KeyAscii argument will contain the ASCII integer code of the key that has been pressed. For example, pressing Space Bar will return 32, pressing Shift+A will return 65 etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user clicked the ListView with the mouse.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in ListView pixel coordinates (NOT Twips!), where 0,0 is the upper left corner of the ListView Control.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot;\n\
   (\n\
   activeXControl lv &quot;MSComctlLib.ListViewCtrl&quot; height:100 width:100\n\
   on lv MouseDown Button Shift x y do\n\
   format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y\n\
   )\n\
   createDialog test\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user moves the mouse inside the ListView control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in ListView pixel coordinates (NOT Twips!), where 0,0 is the upper left corner of the ListView Control.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --This script will print the mouse values\n\
   --while you move the mouse inside the ListView control\n\
   rollout test &quot;Test&quot;\n\
   (\n\
   activeXControl lv &quot;MSComctlLib.ListViewCtrl&quot; height:100 width:100\n\
   on lv MouseMove Button Shift x y do\n\
   format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y\n\
   )\n\
   createDialog test\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user released the mouse over the ListView control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in ListView pixel coordinates (NOT Twips!), where 0,0 is the upper left corner of the ListView Control.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot;\n\
   (\n\
   activeXControl lv &quot;MSComctlLib.ListViewCtrl&quot; height:100 width:100\n\
   on lv MouseUp Button Shift x y do\n\
   format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y \n\
   )\n\
   createDialog test\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; Click do ( ... ) </code></pre><p>Called when the user clicked inside the ListView control. This event does not return specific ListItems, but it could be used to query the selection state or other properties of all ListItems. It is a general notification that the user clicked the ListView, the actual actions performed by the event are up to the script developer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; DblClick do ( ... ) </code></pre><p>Called when the user double-clicked inside the ListView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; ItemCheck Item:ListItem do ( ... ) </code></pre><p>Called when the user changed the state of a ListItem&apos;s checkbox (if available because of property .checkboxes = true).</p>\n\
<p>The Item argument will contain ListItem whose checkbox has been changed. You can then access the new state by accessing the .checked property of the item. You can also access any other ListItem property.</p>\n\
<h2 id=\"ole-drag-and-drop-events\">OLE Drag and Drop Events</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEStartDrag &amp;Data:DataObject &amp;AllowedEffects:integer do ( ... ) </code></pre><p>Called when the user started dragging from the ListView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEGiveFeedback &amp;Effect:integer &amp;DefaultCursors:boolean do ( ... ) </code></pre><p>Called when the user started dragging from the ListView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLESetData &amp;Data:DataObject &amp;DataFormat:integer do ( ... ) </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLECompleteDrag &amp;Effect:integer do ( ... ) </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEDragOver &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float &amp;State:integer do ( ... ) </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEDragDrop &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float do ( ... ) </code></pre><h2 id=\"listitem-properties-and-methods\">ListItem Properties and Methods</h2><p>A ListItem is created by using the <code>.ListItems.Add()</code> method and can be accessed using 1-based indexed access as described above. Every ListItem has the following properties and methods:</p>\n\
<h3 id=\"listitem-properties-\">ListItem Properties:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Text : string </code></pre><p>Get/Set the Text of the ListItem.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Ghosted : Boolean </code></pre><p>Get/Set the Ghosted state of the ListItem.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Height : float </code></pre><p>Returns the Height of the ListItem in <a href=\"./../Point2-Values-as-Twips-in.html\">Twips</a>. Cannot be set by MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Icon : undefined </code></pre><p>Get/Set the Icon of the ListItem.The icon is a 1-based index into the .icons array which in turn is managed by an <a href=\"Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\">ImageList ActiveX Control</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Index : integer </code></pre><p>Returns the Index of the ListItem. Cannot be set by MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Key : string </code></pre><p>Returns the Key of the ListItem. Cannot be set by MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Selected : Boolean </code></pre><p>Get/Set the Selected state of the ListItem. When true, the item is selected, when false, it is not. Depending on the state of the .MultiSelect property of the ListView, only one or multiple ListItems can be selected at the same time. Settings the .selected property of one ListItem to true while .MultiSelect is set to false will automatically deselect any other selected ListItems.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SmallIcon : undefined </code></pre><p>Get/Set the SmallIcon of the ListItem.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Tag : undefined </code></pre><p>Get/Set the Tag of the ListItem.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Top : float </code></pre><p>Returns the Top coordinates of the ListItem in <a href=\"./../Point2-Values-as-Twips-in.html\">Twips</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Left : float </code></pre><p>Returns the Left coordinates of the ListItem in <a href=\"./../Point2-Values-as-Twips-in.html\">Twips</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Width : float </code></pre><p>Returns the Width of the ListItem in <a href=\"./../Point2-Values-as-Twips-in.html\">Twips</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ListSubItems : IListSubItems </code></pre><p>Provides access to the array of Sub-Items of the ListItem. Sub-Items represent the columns after the first column. Sub-Items</p>\n\
<p>SubItems can be accessed through indexed access to the <code>.ListSubItems</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --to access the second sub-item of the first item in\n\
   --a ListView Control stored in the variable lv,\n\
   --you could use:\n\
   lv.listItems[1].listSubItems[2]\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Checked : Boolean </code></pre><p>Get/Set the checked state of the List Item. See also the <code>on ItemCheck do</code> event handler further on this page.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ForeColor : OLE_COLOR </code></pre><p>Get/Set the Text color of the ListItem.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>OLE_COLOR values used by ActiveX Controls are BGR and not RGB!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ToolTipText : string </code></pre><p>Get/Set the Tooltip Text of the ListItem.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Bold : Boolean </code></pre><p>Get/Set the Bold Text property of the ListItem. When set to true, the text will be displayed in Bold characters.</p>\n\
<h3 id=\"-listitem-methods-\">.ListItem Methods:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CreateDragImage() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.EnsureVisible() </code></pre><p>Ensures that the ListItem is visible in the ListView by scrolling the view as needed.</p>\n\
<h2 id=\"listsubitem-properties-and-methods\">ListSubItem Properties and Methods</h2><p>A ListSubItem is created by using the <code>.ListItems.Add()</code> method and can be accessed using 1-based indexed access as described above. Every ListItem has the following properties:</p>\n\
<h3 id=\"listsubitem-properties-\">ListSubItem Properties:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Text : string </code></pre><p>Get/Set the Text of the ListSubItem.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ForeColor : OLE_COLOR </code></pre><p>Get/Set the Text color of the ListSubItem.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>OLE_COLOR values used by ActiveX Controls are BGR and not RGB!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Bold : boolean </code></pre><p>Get/Set the Bold Text property of the ListSubItem. When set to true, the text will be displayed in Bold characters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ToolTipText : string </code></pre><p>Get/Set the Tooltip Text of the ListSubItem.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Index : integer </code></pre><p>Returns the Index of the ListSubItem. Cannot be set by MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Key : string </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Tag : undefined </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ReportIcon : undefined </code></pre><h3 id=\"listsubitem-methods-\">ListSubItem Methods:</h3><p>No methods exposed.</p>\n\
<h2 id=\"columnheader-properties-and-methods\">ColumnHeader Properties and Methods</h2><p>Every ColumnHeader has the following properties:</p>\n\
<h3 id=\"columnheader-properties-\">ColumnHeader Properties:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Text : string </code></pre><p>Get/Set the text displayed by the Column Header.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Alignment : ListColumnAlignmentConstants( #lvwColumnLeft | #lvwColumnRight | #lvwColumnCenter ) </code></pre><p>Get/Set the alignment of the Column Header&apos;s text.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Index : integer </code></pre><p>Get the index of the Column Header.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Key : string </code></pre><p>Get the key of the Column Header.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Left : float </code></pre><p>Get the left margin of the Column Header in <a href=\"./../Point2-Values-as-Twips-in.html\">Twips</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SubItemIndex : integer </code></pre><p>Get the sub item index of the Column Header.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Tag : undefined </code></pre><p>Get/Set the tag of the Column Header.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Width : float </code></pre><p>Get/Set the width of the Column in <a href=\"./../Point2-Values-as-Twips-in.html\">Twips</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Icon : undefined </code></pre><p>Get/Set the icon of the Column Header.The icon is a 1-based index into the .icons array which in turn is managed by an <a href=\"Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\">ImageList ActiveX Control</a>. When no icon is assigned, the property returns 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Position : integer </code></pre><p>Get/Set the position of the Column Header. The position controls the order of the columns. By default, .Position is set to be equal to the .Index property. Setting .Position to a different value effectively changes the order of the columns, placing the column at the desired position.</p>\n\
<h3 id=\"columnheader-methods-\">ColumnHeader Methods:</h3><p>No methods exposed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"ListView-ActiveX-Control/Listview-ActiveX-functions.html\">Listview ActiveX functions</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"ListView-ActiveX-Control/ListView-ActiveX-Control-Example.html\">ListView ActiveX Control Example</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Typical-ActiveX-Controls.html\">Typical ActiveX Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ListView-ActiveX-Control/Listview-ActiveX-functions.html\">Listview ActiveX functions</a></li>\n\
          <li><a class=\"link\" href=\"TabStrip-ActiveX-Control.html\">TabStrip ActiveX Control</a></li>\n\
          <li><a class=\"link\" href=\"../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
          <li><a class=\"link\" href=\"../../../../How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-1.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part One</a></li>\n\
          <li><a class=\"link\" href=\"../../../../How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-2.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part Two</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";