var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6E21C768-7256-4500-AB1F-B144F492F055\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Defining Macro Scripts</h1></div><p><strong>MacroScripts</strong> are scripts that are associated with Customize User Interface ActionItems (toolbar buttons, Menu or QuadMenu items, and keyboard shortcuts) and are executed when the corresponding ActionItem is invoked.</p>\n\
<p>MacroScripts have to be defined with the <code>macroScript</code> definition construct and can then be associated with a toolbar button by right-clicking a Shortcut toolbar or Tab and choosing Customize. The Customize User Interface dialog is displayed, which lets you choose from either Command shortcuts or MacroScripts. MacroScripts are essentially pieces of MAXScript code that have a name and category, and optionally a tooltip and icon.</p>\n\
<p>MacroScripts do not automatically create user interface items. If you want a MacroScript to display a dialog, you need to create a rollout floater window and rollout(s) as described in <a href=\"Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\">Rollout Floater Windows</a>, and create and install the user-interface items in the rollout(s) as described in <a href=\"Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a>.</p>\n\
<p><strong>A MacroScript is defined using the following syntax:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript &lt;name&gt; \n\
[category:&lt;string&gt;] \n\
[buttonText:&lt;string&gt;] \n\
[toolTip:&lt;string&gt;] \n\
[icon:#(&lt;string&gt;, &lt;index&gt;) | iconName:&lt;string&gt;] \n\
[silentErrors:&lt;boolean&gt;] \n\
[autoUndoEnabled:boolean&gt;] \n\
(&lt;macro_script_body&gt;)</code></pre><blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Free_Camera category:&quot;Cameras&quot; tooltip:&quot;Free Camera&quot;\n\
   Icon:#(&quot;Cameras&quot;,2)\n\
   (\n\
     StartObjectCreation FreeCamera\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Target_Camera category:&quot;Cameras&quot;\n\
   tooltip:&quot;Targeted Camera&quot; Icon:#(&quot;Cameras&quot;,1)\n\
   (\n\
     StartObjectCreation TargetCamera\n\
   )\n\
</code></pre></blockquote>\n\
<p>Since <strong>3ds Max 2011</strong>, the strings defining the name properties of the MacroScript definition can be replaced with localized Resources strings whose definitions are enclosed in tildes. Please see the <a href=\"Defining-Macro-Scripts/Resource-String-Replacement.html\">Resources String Replacement topic</a> for details.</p>\n\
<p>After MAXScript evaluates a <code>macroScript</code> construct, the MacroScript definition shows up in the appropriate category list in the Customize User-Interface dialog. The following figure shows a Customize User Interface dialog containing the previous two MacroScripts.</p>\n\
<p><img src=\"./images/GUID-214A2746-EF3D-436C-8DE4-9F65752957AB-low.gif\" alt></p>\n\
<p>If a tooltip is specified, that tooltip is the name shown in the Customize User Interface dialog. If a tooltip is not specified, <code>&lt;name&gt;</code> is the name shown. Unlike other similar constructs (Scripted Utilities, Functions, and right-click menus), <code>macroScript</code> does not create a variable with this name. Rather, MacroScripts are stored as pointers into files, as described below.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You can use non-alpha numeric characters to define any of the argument strings. This includes support for escaped double quote characters: \\&quot;.</p>\n\
<p>The <code>category:</code> argument specifies in which category of the Customize User-Interface dialog the MacroScript name is listed. The use of categories is intended to help you organize your MacroScripts into groupings so that the MacroScript names are less likely to clash. If you do not specify a category, a default category of &quot;unknown&quot; is used.</p>\n\
<p>The <code>internalCategory</code> argument is intended to identify operations in <strong>.cui</strong>, <strong>.mnu</strong>, and <strong>.kbd</strong> files.</p>\n\
<p>The <code>toolTip:</code> argument specifies the tooltip for the button. If no tooltip is specified, <code>&lt;name&gt;</code> is displayed for the button.</p>\n\
<p>The <code>buttonText:</code> argument specifies the text that appears in the button, and the <code>icon:</code> argument specifies the icon that appears in the button. You can choose in the Customize User Interface dialog whether the <code>buttonText</code> or <code>icon</code> appears in the button. If no <code>buttonText:</code> argument is specified, the MacroScript name is used as the <code>buttonText</code> .</p>\n\
<p>The <code>silentErrors:</code> parameter controls whether the MAXScript runtime error messages are displayed while executing the MacroScript. If this parameter is set to True , error messages are not displayed. This is useful for distributed MacroScripts that might confuse the user with MAXScript error messages. The default value is False.</p>\n\
<p>The <code>autoUndoEnabled:</code> parameters controls whether the MacroScript body is automatically wrapped in a <a href=\"./../Miscellaneous-Functions/thehold.html\">theHold</a> begin/accept calls internally.</p>\n\
<p>When set to False , the execution of the MacroScript body does not generate an undo record for the whole MacroScript.</p>\n\
<p>When set to True or not specified, the whole MacroScript body creates an undo record when executed.</p>\n\
<p>The default value is <code>true</code> .</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   MacroScript MacroScript_autoUndoEnabled_test1\n\
   category:&quot;MacroScript_autoUndoEnabled_test&quot;\n\
   buttontext:&quot;test1&quot;\n\
   autoUndoEnabled:false\n\
   (\n\
     format &quot;test1\\n&quot;\n\
     format &quot;expecting theHold.holding == false, got: %\\n&quot; (theHold.holding())\n\
     format &quot;expecting theHold.IsSuspended == false, got: %\\n&quot; (theHold.IsSuspended())\n\
     format &quot;expecting theHold.Restoring == false, got: %\\n&quot; (theHold.Restoring())\n\
     format &quot;expecting theHold.Redoing == false, got: %\\n&quot; (theHold.Redoing())\n\
     format &quot;expecting theHold.RestoreOrRedoing == false, got: %\\n&quot; (theHold.RestoreOrRedoing())\n\
     format &quot;expecting theHold.SuperLevel == 0, got: %\\n&quot; (theHold.SuperLevel())\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"icons\">Icons</h2><p>In <strong>3ds Max 2017</strong> a new method of loading icons was introduced to support high-DPI display scaling. The <code>iconName:</code> argument uses this method. This argument can specify an icon in one of these locations:</p>\n\
<ol>\n\
<li>Baseline 3ds Max icons located in the compiled resource files IconsDark.rcc and IconsLight.rcc (for the dark and light themes, respectively), located under &lt;3ds Max&gt;\\UI_ln. See the <strong>Icon Reference Guide</strong> in the 3ds Max Developer&apos;s Guide for full paths to these icons. All icons are loaded by 3ds Max on startup, and are referred to by &lt;internal_path&gt;/&lt;base_name&gt;, where <code>internal_path</code> is the path to the icon inside the rcc file (see the Icon Reference) and the <code>base_name</code> is the icon name minus the _xx.png suffix, where <strong>_xx</strong> is the resolution of the icon. Typically 4 resolutions are supplied, and the system picks the best one for the current display resolution.</li>\n\
<li>Custom icons compiled into .rcc resource files placed in &lt;3ds Max&gt;\\UI_ln\\Icons. Any .rcc file found in this location is loaded by 3ds Max on startup. These files must be compiled with the Qt resource compiler; see <a href=\"https://doc.qt.io/qt-5/resources.html\" target=\"_blank\">The Qt Resource System</a>. You should include both light and dark versions to support both themes, and four resolutions to support high-DPI displays. As with baseline icons, these are referred to by &lt;internal_path&gt;/&lt;base_name&gt;. For more information on creating your own .rcc files, see the <strong>Using Multi-Res Icons in Max and Qt</strong> topic in the Developer&apos;s Guide.</li>\n\
<li>PNG files from disk located in the &lt;3ds Max&gt;\\UI_ln\\Icons\\[Dark|Light]\\ - depending on the active theme (you need a copy of the icon in each location). For example, an icon with four resolutions (my_icon_24.png, my_icon_30.png, my_icon_36.png, my_icon_48.png) placed in both &lt;3ds Max&gt;\\UI_ln\\Icons\\Dark\\MyIcons\\ and &lt;3ds Max&gt;\\UI_ln\\Icons\\Light\\MyIcons\\ would be referred to in the macroScript as <code>iconName: &quot;MyIcons/my_icon&quot;</code>. <strong>Note:</strong> &lt;3ds Max&gt;\\UI_ln\\Icons\\[Dark|Light]\\ do not exist by default, you will have to create these directories.</li>\n\
<li>The location pointed to by <code>#userIcons</code>, and the current theme name under <code>#userIcons</code>, a directory named &quot;Light&quot; or &quot;Dark&quot;. See <a href=\"./../File-Access/3ds-Max-System-Directories.html\">3ds Max System Directories</a> for information about <code>#userIcons</code>.</li>\n\
</ol>\n\
<p>Prior to <strong>3ds Max 2017</strong>, the <code>icon:</code> argument is used.</p>\n\
<div class=\"note note:\"><strong>Note</strong>: this is now considered a &quot;legacy&quot; method of specifying icons, and is supported for backwards compatibility. As of <strong>3ds Max 2017</strong>, this method no longer supports .bmp files, icons must be .png format.</div>\n\
<p>The <code>icon:</code> argument specifies the icon bitmap file and the icon image within the icon bitmap file. The icon bitmap file must be located in the current <strong>3ds Max</strong> user-interface directory. Icon bitmap files have a base name such as, &quot;MyToolbar&quot;, followed by a suffix such as, &quot;_24i.bmp&quot; that specifies the individual icon size and icon bitmap file type. The <code>icon:</code> argument string is just the base name with no extensions. This base name is the name shown in the Image Group list in the Customize User-Interface dialog. Each icon bitmap file can have any number of individual icons, lined up side-by-side in the file. If the icon bitmap file contains multiple icons, <code>&lt;index&gt;</code> specifies which icon in the icon bitmap file to use. The left-most icon has an <code>&lt;index&gt;</code> of 1. The <strong>3ds Max</strong> internal icons (Image Group Internal in the Customize User-Interface dialog) are not stored in an icon file, and are referenced by using an empty string as the <code>icon:</code> argument.</p>\n\
<p>So, the <code>icon:</code> argument is a two-element array containing the icon bitmap file&#x2019;s base name as a string and the icon&#x2019;s index in that file.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Box category:&quot;Objects&quot; tooltip:&quot;Box&quot;\n\
   icon:#(&quot;standard&quot;, 1) -- use first icon in standard\n\
   (\n\
     StartObjectCreation Box\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Sphere category:&quot;Objects&quot; tooltip:&quot;Sphere&quot;\n\
   icon:#(&quot;&quot;, 2) -- use second icon in internal icons\n\
   (\n\
     StartObjectCreation Sphere\n\
   )\n\
</code></pre></blockquote>\n\
<p>See <a href=\"Defining-Macro-Scripts/Creating-Icon-Bitmap-Files.html\">Creating Icon Bitmap Files</a> for more information.</p>\n\
<p>The <code>&lt;macro_script_body&gt;</code> can be one of two forms.</p>\n\
<p>The body can be either a single MAXScript expression, or a set of event handlers.</p>\n\
<p>An <code>&lt;event_handler&gt;</code> is a special function definition local to the MacroScript that handles events generated by <strong>3ds Max</strong>.</p>\n\
<p>The valid <code>&lt;event_name&gt;</code> are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on isChecked do &lt;expr&gt;   </code></pre><p>If <code>&lt;expr&gt;</code> returns True and the MacroScript item is in a menu or quad menu, a check mark is placed next to the MacroScript item. If the MacroScript is a toolbar button, the button appears as &quot;pressed in&quot;. The <code>do</code> is optional for this event handler. If this event handler is not specified, the item is not checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on isIndeterminate do &lt;expr&gt;   </code></pre><p>If <code>&lt;expr&gt;</code> returns True and the MacroScript item is in a menu or Quad menu, a horizontal dash symbol is placed next to the MacroScript item. If the MacroScript is a toolbar button, this handler has no effect. This handler is independent from the <code>on isChecked do</code> handler and sets the Indeterminate symbol even if <code>isChecked</code> returns False.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on isEnabled do &lt;expr&gt; </code></pre><p>If <code>&lt;expr&gt;</code> returns False and the macroscript item is in a menu or quad menu, the MacroScript item does not appear in the menu or quad menu. If the MacroScript is a toolbar button, the button is disabled. The <code>do</code> is optional for this event handler. If this event handler is not specified, the item is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on isVisible do &lt;expr&gt; </code></pre><p>If <code>&lt;expr&gt;</code> returns False and the macroscript item is in a menu or quad menu, the MacroScript item does not appear in the menu or quad menu. If the MacroScript is a toolbar button, this handler has no affect. The <code>do</code> is optional for this event handler. If this event handler is not specified, the item is visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on execute do &lt;expr&gt; </code></pre><p>The expression evaluated when the menu or quad menu item is chosen, or the toolbar button clicked. A runtime error is generated if this event handler is not specified.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Free_Camera\n\
   category:&quot;Lights and Cameras&quot;\n\
   internalcategory:&quot;Lights and Cameras&quot;\n\
   tooltip:&quot;Free Camera&quot;\n\
   buttontext:&quot;Free Camera&quot;\n\
   Icon:#(&quot;Cameras&quot;,2)\n\
   (\n\
     on execute do StartObjectCreation FreeCamera\n\
     on isChecked return (mcrUtils.IsCreating FreeCamera)\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SubObject_Vertex\n\
   buttonText:&quot;Vertex&quot;\n\
   category:&quot;Modifier Stack&quot;\n\
   internalCategory:&quot;Modifier Stack&quot;\n\
   tooltip:&quot;Vertex Sub-object Mode&quot;\n\
   icon:#(&quot;SubObjectIcons&quot;,1)\n\
   (\n\
     on isChecked do (subObjectLevel == 1 and filters.canSwitchTo_Vertex())\n\
     on isEnabled do Filters.canSwitchTo_Vertex()\n\
     on isVisible do Filters.canSwitchTo_Vertex()\n\
     on execute do\n\
     (\n\
       if subObjectLevel == undefined then max modify mode\n\
       if subObjectLevel != 1 then subObjectLevel = 1 else subObjectLevel = 0\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on altExecute &lt;type&gt; do &lt;expr&gt; </code></pre><p>If a MacroScript implements the <code>altExecute</code> event handler, then a mouse icon (with a dark click button) appears in the quad menu item that corresponds to the MacroScript. When the icon is clicked, the event handler is executed with <code>&lt;type&gt;</code> being <code>#default</code> .</p>\n\
<p>For example, the following adds alternative execute functionality to the standard &quot;Wire Parameters&quot; quad menu. When you click the icon, it pops the Param Wiring Editor instead of putting into the Wiring mode.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript paramWire\n\
   category:&quot;Parameter Wire&quot;\n\
   internalcategory:&quot;Parameter Wire&quot;\n\
   buttonText:&quot;Wire Parameters&quot;\n\
   tooltip:&quot;Start Parameter Wiring&quot;\n\
   Icon:#(&quot;MAXScript&quot; ,1)\n\
   (\n\
     on isEnabled return selection.count == 1\n\
     on execute do(paramWire.start())\n\
     on altExecute type do\n\
     (\n\
       paramWire.OpenEditor()\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on closeDialogs do &lt;expr&gt; </code></pre><p>The <code>closeDialogs</code> handler is called instead of the <code>on Execute</code> handler whenever the <code>isChecked</code> handler returns True (the button/icon/item is checked). It can be used to TOGGLE back to the unchecked state. This handler must implement any cleanup code that closes any open dialogs and basically returns the MacroScript to a pre-executed state.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>closeDialogs</code> handler depends on the existence of the <code>isChecked</code> handler. If an <code>on closeDialogs</code> handler is defined without an <code>isChecked</code> handler to be defined, a compile-time error is thrown.</div>\n\
<p>Here is a test for a MacroScript that toggles its rollout on and off:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript testCloseDialogs category:&quot;MXS Help&quot;\n\
   (\n\
   rollout testCloseRollout &quot;Test&quot; --define a rollout\n\
   (\n\
   label lb_test &quot;testing CloseDialogs handler...&quot;\n\
   )\n\
   on isChecked do testCloseRollout.open --return true if rollout is open --if isChecked returns false (the rollout is not open in a dialog), --the on execute handler will be called and will create the dialog.\n\
\n\
   on execute do createDialog testCloseRollout\n\
\n\
     --If isChecked returns true and the user pressed the button again, --instead of calling the on execute handler, the macroScript will call --the on closeDialogs handler and destroy the dialog.\n\
\n\
   on closeDialogs do destroyDialog testCloseRollout\n\
   )\n\
\n\
     --If you drag the macroScript to a toolbar and click the button, --a dialog should appear and the button should be checked. --Click it again and the dialog will disappear. --Repeat as often as you want - the dialog will be toggled on and off! </code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on droppable &lt;window&gt; node:point:do... </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on drop &lt;window&gt; node:point:do... </code></pre><p>These optional MacroScript event handlers are used to define the so-called DropScripts that are used in conjunction with the i-Drop technology.</p>\n\
<p>The <code>&lt;macro_script_body&gt;</code> can contain global and local variables, functions, and structure definitions. The <code>&lt;macro_script_body&gt;</code> is compiled in its own local scope, and the locals are only visible inside the scope of the MacroScript. MacroScript locals are heap-based locals, which are slightly different from normal (stack-based) locals.</p>\n\
<p>Normal locals are visible in the current scope and have a lifetime of one execution of that scope. Heap-based locals are also visible only in the current scope, but have a lifetime equal to the lifetime of the top-level expression where they are defined. A MacroScript&#x2019;s locals are created the first time you execute the MacroScript, initialized to a value of <code>undefined</code> , or to their specified initialization value. These values are stored in a separate memory stack. On entry to each function (or top level script) in the MacroScript, a &#x2019;r;frame&#x2019; in the memory stack is marked and when the function (or top level script) exits, all of the values in the frame are freed from the memory.</p>\n\
<p>Because a MacroScript&#x2019;s name is not created as a variable, you cannot access a MacroScript&#x2019;s locals outside the scope of the MacroScript. So, for example, you can create a rollout in a MacroScript, and the rollout&#x2019;s event handlers can access the locals defined in the MacroScript because the rollout is executing within the scope of the MacroScript. However, you cannot access the MacroScript&#x2019;s locals from another utility or from the Listener because they are not executing within the scope of the MacroScript. See <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a> for more information.</p>\n\
<p>When you execute a <code>macroScript</code> definition, the return value is an integer MacroScript ID value. MAXScript internally stores information about each MacroScript in an array, and the returned MacroScript ID value is the array index for that MacroScript. The information stored for each MacroScript consists of the file in which that MacroScript is defined and a pointer into that file specifying where the MacroScript definition begins. The MacroScript definition is only compiled when you first press a toolbar button that contains the script, or execute the MacroScript using the <code>macros.run()</code> method.</p>\n\
<h2 id=\"there-are-five-ways-a-macroscript-can-be-defined-\">There are five ways a MacroScript can be defined:</h2><ul>\n\
<li><p>The default user-interface directory and its subdirectories are automatically scanned at startup for files of type .mcr, which are parsed for MacroScript definitions.</p>\n\
</li>\n\
<li><p>A MacroScript definition is executed in an Editor window, in a script file that you execute, or in a startup script file.</p>\n\
</li>\n\
<li><p>If you evaluate a MacroScript definition in the Listener window, a file is automatically created to contain the MacroScript definition. This file is stored in the MacroScripts directory under the current user-interface directory.</p>\n\
</li>\n\
<li><p>MAXScript supports text drag onto toolbars to create MacroScript buttons. You can select and drag text from any text window such as, Listener window panes or Editor windows onto any visible toolbar. The cursor changes to an arrow with + sign when it is OK to drop the text. If you drop it, a MacroScript button is added to the toolbar with the dropped text as the body of the MacroScript. The classic case here is to drag some text from the Macro Recorder pane in the Listener window onto a toolbar to make a button that does the sequence of events just recorded. Remember that tabbed elements on the Shelf are toolbars and can accept dropped text. MAXScript automatically encloses the text in a MacroScript definition with a MacroScript name of <code>DragAndDrop-MacroN</code> , where <code>N</code> is a number that makes the MacroScript name unique. The category is DragAndDrop and no tooltip is specified. As with MacroScripts defined in the Listener window, a file is automatically created to contain the MacroScript definition. This file is stored in the MacroScripts directory under the current user-interface directory.</p>\n\
</li>\n\
<li><p>A MacroScript can be defined using the <code>macros.new()</code> method that is described next. As with MacroScripts defined in the Listener window, a file is automatically created to contain the MacroScript definition. This file is stored in the MacroScripts directory under the current user-interface directory.</p>\n\
</li>\n\
</ul>\n\
<p>If you move or delete a file that contains a MacroScript definition that has been loaded, and try to execute the MacroScript, an error message appears. Further, if you edit a file containing MacroScript definitions, make sure to save and re-evaluate the entire file so that any other MacroScripts defined in the file have their file pointer updated. If you do not do this, you might get an error message indicating that the currently loaded definition no longer matches its file.</p>\n\
<p>If you reevaluate a MacroScript definition, any button using that MacroScript can see any changes that you make.</p>\n\
<p>Any macroScript definition evaluated in MAXScript or created by dropping text onto a toolbar has a separate definition .mcr file created in the MacroScripts directory under the current user-interface directory (typically UI\\MacroScripts). The name of the file is <code>&lt;category_name&gt;-&lt;macro_name&gt;.mcr</code>.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>FOR EXAMPLE:</th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>DragAndDrop-Macro12.mcr</td>\n\
<td>for macroScript Macro12 category:&quot;DragAndDrop&quot;</td>\n\
</tr>\n\
<tr>\n\
<td>NURBS-Map_Updater.mcr</td>\n\
<td>for macroScript Map_Updater category:&quot;NURBS&quot;</td>\n\
</tr>\n\
</tbody></table>\n\
<p>If you evaluate a macroScript definition in the Listener or drop text on a toolbar, its recorded <strong>definition file</strong> is this backing file in UI\\MacroScripts. This definition file is the one that gets opened if you hit Edit MacroScript in the CUI customize menus or dialogs. For macroScript definitions evaluated in Listener, this means the same definition is updated each time you evaluate it, rather than having separate backing file for each evaluation.</p>\n\
<p>If you evaluate macroScript definitions in a .ms or .mcr file that does not already reside in the UI\\MacroScripts directory, a copy for each is placed in a separate file in UI\\MacroScripts, but the recorded definition file is the original source file, so that hitting Edit MacroScript goes to that file.</p>\n\
<p>This means that if any buttons containing such macroScript definitions are added to toolbars in the <strong>startup.cui</strong> file, the backing .mcr file in UI\\MacroScripts is used as its definition at the next <strong>3ds Max</strong> startup. When you start <strong>3ds Max</strong>, the macroScript definitions are taken from the backing files in UI\\MacroScripts. If these MacroScripts are also defined in MAXScript startup script files, they are re-defined at MAXScript startup and so the definition file of record is updated to point to the script file.</p>\n\
<h2 id=\"macroscripts-access-\">MacroScripts Access:</h2><p>MAXScript provides several methods that allow you to access and run MacroScripts from within a script. These MacroScript functions are in a structure package named <code>macros</code> . For a description of the available methods, see the <a href=\"./../Interacting-with-the-3ds-Max/Macro-Scripts/Macro-Scripts-1.html\">Macro Scripts</a> topic.</p>\n\
<p>The following MacroScript allows you to render directly to the RAMPlayer. This MacroScript shows the use of rollouts and rollout floater windows in MacroScripts.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- MacroScript to Render to RamPlayer\n\
   -- Author: Alexander Bicalho\n\
   --**\\*****\\*****\\*****\\*****\\*****\\*****\\*****\\*****\\*****\\*****\\*****\\*******\n\
   -- MODIFY THIS AT YOUR OWN RISK\n\
   -- This utility will allow you to render directly to the RamPlayer\n\
\n\
   MacroScript RAM_Render category:&quot;Tools&quot; tooltip:&quot;Render to Ram&quot;\n\
   (\n\
   --declare local variables and define some functions\n\
   local r_dialogue\n\
   local get_names existFile\n\
   function get_names name a = append a name\n\
   function existFile fname = (getfiles fname).count != 0\n\
   --create the rollout definition\n\
   rollout r_size&quot;Render Parameters&quot;\n\
   (\n\
   local p = 95\n\
   local p2 = p+78\n\
   group &quot;Time Output&quot;\n\
   (\n\
   radiobuttons r_time columns:1 align:#left labels:#(&quot;Single&quot;,&quot;Active Time Segment&quot;,&quot;Range:&quot; )\n\
   spinner nth &quot;Every Nth Frame:&quot; pos:[215,24] fieldwidth:50 type:#integer range:[0,10000,1] enabled:false\n\
   spinner r_from fieldwidth:60 pos:[75,56] type:#integer range:[0,10000,1] enabled:false\n\
   spinner r_to &quot;To:&quot; fieldwidth:60 pos:[152,56] type:#integer range:[0,10000,100] enabled:false\n\
   )\n\
   group &quot;Render Size&quot;\n\
   (\n\
   spinner rw &quot;Width &quot; fieldwidth:60 pos:[15,p+08] type:#integer range:[0,10000,320]\n\
   spinner rh &quot;Height &quot; fieldwidth:60 pos:[12,p+32] type:#integer range:[0,10000,240]\n\
   spinner aspect &quot;Aspect &quot; fieldwidth:60 pos:[10,p+56] type:#float range:[0,20,1.0]\n\
   button s160 &quot;160x120&quot; pos:[125,p+06] width:75 height:19\n\
   button s256 &quot;256x243&quot; pos:[125,p+30] width:75 height:19\n\
   button s320 &quot;320x240&quot; pos:[205,p+06] width:75 height:19\n\
   button s512 &quot;512x486&quot; pos:[205,p+30] width:75 height:19\n\
   button s640 &quot;640x480&quot; pos:[285,p+06] width:75 height:19\n\
   button s720 &quot;720x486&quot; pos:[285,p+30] width:75 height:19\n\
   button conf_render &quot;Configure&quot; pos:[125,p+54] width:115 height:19\n\
   button wipe &quot;Purge Files&quot; pos:[245,p+54] width:115 height:19\n\
   button go &quot;Render&quot; pos:[125,p+78] width:235 height:19\n\
   )\n\
   label abt0 &quot;Render to RAM&quot; pos:[8,p2+31]\n\
   label abt1 &quot;Version 0.2a&quot; pos:[8,p2+46]\n\
   label abt2 &quot;Alexander Esppeschit Bicalho&quot; pos:[225,p2+31]\n\
   label abt3 &quot;abicalho@brasilmail.com&quot; pos:[249,p2+46]\n\
   --define the rollout event handlers\n\
   on wipe pressed do\n\
   (\n\
   local tempfilename_a = (getdir #image) + &quot;\\\\ramplayertemp_a.avi&quot;\n\
   local tempfilename_b = (getdir #image) + &quot;\\\\ramplayertemp_b.avi&quot;\n\
   if existfile tempfilename_a then deletefile tempfilename_a\n\
   if existfile tempfilename_b then deletefile tempfilename_b\n\
   )\n\
   on r_time changed state do\n\
   (\n\
   case state of\n\
   (\n\
   1: nth.enabled = r_from.enabled = r_to.enabled = false\n\
   2: (\n\
   nth.enabled = true\n\
   r_from.enabled = r_to.enabled = false\n\
   )\n\
   3: nth.enabled = r_from.enabled = r_to.enabled = true\n\
   )\n\
   )\n\
   on s160 pressed do (rw.value=160; rh.value=120; aspect.value=1.0)\n\
   on s320 pressed do (rw.value=320; rh.value=240; aspect.value=1.0)\n\
   on s256 pressed do (rw.value=256; rh.value=243; aspect.value=1.266)\n\
   on s512 pressed do (rw.value=512; rh.value=486; aspect.value=1.266)\n\
   on s640 pressed do (rw.value=640; rh.value=480; aspect.value=1.0)\n\
   on s720 pressed do (rw.value=720; rh.value=486; aspect.value=0.9)\n\
   on conf_render pressed do (max render scene)\n\
   on go pressed do\n\
   (\n\
   local tempfilename_a = (getdir #image) + &quot;\\\\ramplayertemp_a.avi&quot;\n\
   local tempfilename_b = (getdir #image) + &quot;\\\\ramplayertemp_b.avi&quot;\n\
   if existfile tempfilename_b then\n\
   (\n\
   deletefile tempfilename_a\n\
   copyfile tempfilename_b tempfilename_a\n\
   tempfilename = tempfilename_b\n\
   )\n\
   else\n\
   (\n\
   if existfile tempfilename_a then\n\
   tempfilename = tempfilename_b\n\
   else\n\
   (\n\
   tempfilename = tempfilename_a\n\
   tempfilename_b = &quot;&quot;\n\
   )\n\
   )\n\
   case r_time.state of\n\
   (\n\
   1: ( render outputheight:rh.value outputwidth:rw.value pixelaspect:aspect.value outputfile:tempfilename vfb:off)\n\
   2: ( render outputheight:rh.value outputwidth:rw.value pixelaspect:aspect.value outputfile:tempfilename vfb:off nthframe:nth.value framerange:#active )\n\
   3: ( render outputheight:rh.value outputwidth:rw.value pixelaspect:aspect.value outputfile:tempfilename vfb:off nthframe:nth.value fromframe:r_from.value toframe:r_to.value )\n\
   )\n\
   ramplayer tempfilename_a tempfilename_b\n\
   closerolloutfloater r_dialogue\n\
   )--end of on go pressed\n\
   )--end of rollout r_size\n\
   --close the old rollout floater if it exists\n\
   try(closerolloutfloater r_dialogue)catch()\n\
   --put up new rollout floater and add rollout to it.\n\
   r_dialogue = newrolloutfloater &quot;Render to RAM&quot; 400 300\n\
   addrollout r_size r_dialogue\n\
   --end of MacroScript, rollout takes over...\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Defining-Macro-Scripts/macroScript-Localization-Support.html\">macroScript Localization Support for CUI and menu files</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Defining-Macro-Scripts/Resource-String-Replacement.html\">Resource String Replacement</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Defining-Macro-Scripts/Creating-Icon-Bitmap-Files.html\">Creating Icon Bitmap Files</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Defining-Macro-Scripts/Context-Filters.html\">Context Filters</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-MAXScript-Tools.html\">Creating MAXScript Tools</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Introduction/MAXScript-for-New-and-Casual/MacroScripts-for-New-Users.html\">MacroScripts for New Users</a></li>\n\
          <li><a class=\"link\" href=\"Defining-Macro-Scripts/Resource-String-Replacement.html\">Resource String Replacement</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";