var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-23013A3F-2F69-4970-9ECE-D53A8A3DED28\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>macroScript Localization Support for CUI and menu files</h1></div><p>In order to make the menu and CUI files more easily localized, a keyword argument, <code>InternalCategory:</code> , has been added to the macroScript facility.</p>\n\
<p>Previously, when a macroScript is assigned to a CUI button or menu item, it is identified in the CUI or MNU file using the macroScript name and category, like this (from the menu file):</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Item6_Action=647394:Isolate`Tools</code></pre><p>&quot;Isolate&quot; is the name of the macro and &quot;Tools&quot; is the category.</p>\n\
<p>The macroScript that defines this operation looks like:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MacroScript Isolate\n\
Category:&quot;Tools&quot;\n\
ToolTip:&quot;Isolate Tool&quot;\n\
Icon:#(&quot;ViewPortNavigationControls&quot;,7)</code></pre><p>The problem is when the macroScript is localized, the category is localized but the macroScript name &quot;Isolate&quot; should not be localized. When it is localized, then the MNU file entry of &quot;Isolate`Tools&quot; no longer works.</p>\n\
<p>A non-localized category name is needed that would be used to write the operation to MNU and CUI files.</p>\n\
<p>In this case the macroScript now looks like:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MacroScript Isolate\n\
Category:&quot;Tools&quot;\n\
InternalCategory:&quot;Tools&quot; -- This is the new keyword\n\
ToolTip:&quot;Isolate Tool&quot;\n\
Icon:#(&quot;ViewPortNavigationControls&quot;,7)</code></pre><p>When this macroScript is localized the Category would be translated, but the <code>InternalCategory</code> would not.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Defining-Macro-Scripts.html\">Defining Macro Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";