var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5FC5036F-E2D7-46C9-9AFA-7B3550B9F254\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>RolloutCreator Functions</h1></div><p><strong>RolloutCreator</strong> is a structure of functions for dynamically creating rollouts. The functions are implemented by a script located under <strong>stdplugs\\stdscripts\\baseLib\\rolloutCreator.ms</strong></p>\n\
<p><strong>Here are the implemented functions and their usage:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rolloutCreator &lt;rollout_name&gt; &lt;rollout_caption&gt;      </code></pre><p>Creates an instance of rolloutCreator, assign it to a variable,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rci = rolloutCreator &quot;myRollout&quot; &quot;My Rollout&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout_creator&gt;.begin()   </code></pre><p>This function needs to be called immediately after the instance is created, this does the initialization</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout_creator&gt;.addControl &lt;control_type&gt; &lt;control_name&gt; &lt;control_caption&gt; [  paramStr:&lt;string&gt;] </code></pre><p>Adds a control to the rollout:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control_type&gt; </code></pre><p>can be any of named rolloutControls eg: #button, #spinner, #activeXControl etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control_name&gt; </code></pre><p>variable name of the control by which it is referred eg: #btnButton</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control_caption&gt; </code></pre><p>caption of the control &quot;My Button&quot;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[paramStr:] </code></pre><p>an optional string representation of all the keyword parameters that needs to be passed to the control, for example: &quot;width:100 height:20 align:#right&quot;</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rci.addControl #button #myButton &quot;My Button&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout_creator&gt;.addHandler &lt;control_name&gt; &lt;event_type&gt; [paramStr:&lt;string&gt;] [codeStr:&lt;string&gt;] [filter:&lt;boolean&gt;] </code></pre><p>Adds an event handler for the controls previously added:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control_name&gt; </code></pre><p>the variable passed during the control creation</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;event_type&gt; </code></pre><p>any of the events supported by the control, eg: #changed, #pressed, #selected</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[paramStr:&lt;string&gt;] </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[codeStr:&lt;string&gt;] </code></pre><p>a string representation of the event handler code, if the string contains sub-strings, enclose them in two &apos;@&apos; characters and pass on\\true to the filter: parameter</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rci.addHandler #myButton #pressed codeStr: &quot;MessageBox @Hey@&quot; filter:on\n\
</code></pre><p>   This will add an event handler for button named &quot;myButton&quot;. When the button is clicked, a messagebox pops up with the text &quot;hey&quot; in it. The final result inside the rollout definition will look like this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on myButton presseddoMessageBox &quot;Hey&quot;\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>ANOTHER EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rci.addHandler #myCheckbox #changed paramStr:&quot;val&quot; codeStr:&quot;myOtherCheckbox.state = not val&quot;\n\
</code></pre><p>   This will add an event handler for checkbox named &quot;myCheckbox&quot;. When the state of the checkbox is changed, the state of another previously defined checkbox called &quot;myOtherCheckbox&quot; will also be changed to the inverted boolean value of the argument variable &quot;val&quot; which is passed the actual state of &quot;myCheckbox&quot;. The final result inside the rollout definition will look like this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on myCheckbox changed val do myOtherCheckbox.state = not val\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout_creator&gt;.end() </code></pre><p>This function has to be called whenever all the required controls and their event handlers are called. This function forms the rollout string, evaluates it and returns the definition which can be passed to createDialog and addRollout functions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout_creator&gt;.addLocal &lt;string&gt; [init:&lt;value&gt;] </code></pre><p>This function can be used to add local variables to the rollout definitions. The variable&#x2019;s value can be initialized by passing the <code>init:</code> value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; </code></pre><p>Name of local variable</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">init: </code></pre><p>Specifies initialization value of local</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout_creator&gt;.addText &lt;string&gt; [filter:&lt;boolean&gt;] </code></pre><p>This function is useful for adding functions to the rollout definitions. If the string contains sub-strings, enclose them in two &apos;@&apos; characters and pass true to the <code>filter</code> : parameter</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; </code></pre><p>String added to rollout definition.</p>\n\
<blockquote>\n\
<p>   <strong>COMPLETE EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rci = rolloutCreator &quot;myRollout&quot; &quot;My Rollout&quot;\n\
   rci.begin()\n\
   rci.addControl #button #myButton &quot;My Button&quot;\n\
   rci.addHandler #myButton #pressed filter:on codeStr:&quot;MessageBox @Isn&apos;t this cool@ title:@Wow@&quot;\n\
   createDialog (rci.end())\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>ANOTHER EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rfTest = rolloutCreator &quot;rfTestN&quot; &quot;rfTestC&quot;\n\
   -- Start creating the rollout\n\
   rfTest.begin()\n\
   rfTest.addControl #button #myButton &quot;My Button&quot; -- add a button\n\
   rfTest.addHandler #myButton #pressed filter:on codeStr:&quot;MessageBox @Look to the \\@Light\\@ thing@&quot;\n\
   rfTest.end()\n\
   createDialog rfTest.def\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Dynamic-Rollout-Creation.html\">Dynamic Rollout Creation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";