var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8A9EEAEF-DDD7-40E2-875A-D344BF1DB991\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>cui.RegisterDialogBar and cui.UnRegisterDialogBar</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.RegisterDialogBar &lt;RolloutFloater_or_Rollout&gt; \\ \n\
[minSize:&lt;Point2&gt;] [maxSize:&lt;Point2&gt;] \\\n\
[parent:&lt;HWND&gt;] \\\n\
[style:&lt;Array&gt;]     </code></pre><p>This method registers a MAXScript window (either a Rollout Floater or a Rollout) as a dockable CUI window in <strong>3ds Max</strong>.</p>\n\
<p><strong>Parameters</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RolloutFloater_or_Rollout&gt;   </code></pre><p>This parameter must be a RolloutFloater created with NewRolloutFloater or a Rollout that has been installed in a dialog using CreateDialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[minSize:&lt;Point2&gt;] -- default: size of the floater or dialog that was passed. </code></pre><p>Minimum size the dialog bar can be.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[maxSize:&lt;Point2&gt;] -- default: size of the floater or dialog that was passed. </code></pre><p>Maximum size that the dialog bar can be. Values of -1 passed mean that the dialog bar can size and stretch.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: This property is deprecated and no longer has any effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[parent:&lt;HWND&gt;] -- default: 3dsMax Window Handle. </code></pre><p>Parents the dialog bar to the specified window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[style:&lt;Array&gt;] -- default:#(#cui_dock_all, #cui_floatable, #cui_handles) </code></pre><p>Array of style flags, can be one or more of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cui_dock_all</code></pre><p>Dialog bar can dock on all 4 edges of the frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cui_dock_horz</code></pre><p>Can dock horizontally (top and bottom)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cui_dock_vert</code></pre><p>Can dock vertically (left and right)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cui_dock_left </code></pre><p>Can dock to the left</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cui_dock_top</code></pre><p>Can dock to the top</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cui_dock_right</code></pre><p>Can dock to the right</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cui_dock_bottom</code></pre><p>Can dock to the bottom</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cui_floatable</code></pre><p>Dialogbar can float</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cui_handles</code></pre><p>Show gripper handles when docked</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cui_max_sized</code></pre><p>When this flag is specified, docking the dialogbar on the top causes the dialogbar to expand to the full window width, docked to bottom it expands to full window width minus command panel width.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>\n\
A rollout that has been registered as a dialog bar cannot be destroyed using <code>destroyDialog</code> , or moved using <code>setDialogPos</code> . The rollout must be unregistered first.</p>\n\
<p>A rollout floater that has bee registered as a dialog bar cannot be closed using <code>closeRolloutFloater</code> , its position cannot be changed using the rollout floater&apos;s pos property, its size cannot changed with the rollout floater&apos;s size property. The rollout floater must be unregistered first.</p>\n\
\n\
</div></div>\n\
\n\
<p>A new read-only property has been added to the Rollout and RolloutFloater classes: <code>dialogBar</code> . This property will return true if the rollout or rollout floater has been registered using this method:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.UnRegisterDialogBar &lt;RolloutFloater_or_Rollout&gt; </code></pre><p>This method un-registers a dockable MAXScript window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RolloutFloater_or_Rollout&gt; </code></pre><p>This parameter must be a RolloutFloater created with NewRolloutFloater or a Rollout that has been installed in a dialog using CreateDialog, and has been registered using <code>cui.RegisterDialogBar</code> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Dialogs.html\">Scripted Dialogs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"CreateDialog.html\">CreateDialog</a></li>\n\
          <li><a class=\"link\" href=\"DestroyDialog.html\">DestroyDialog</a></li>\n\
          <li><a class=\"link\" href=\"cui-DockDialogBar-and-cui.html\">cui.DockDialogBar and cui.FloatDialogBar</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";