var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-80E8ADDC-F8A0-46F4-B909-4F39D5F37A29\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Mouse Tools</h1></div><p>Scripted Mouse Tools are used to perform a set of actions based on mouse clicks in the <strong>3ds Max</strong> viewports. Tools are useful for scripted object creation plug-ins, as described in <a href=\"Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a>.</p>\n\
<blockquote>\n\
<p>   <strong>HERE IS A SIMPLE EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tool foo\n\
   (\n\
   local b\n\
   on mousePoint clickno do\n\
   if clickno == 1 then b = box pos:worldPoint else #stop\n\
   on mouseMove clickno do b.pos = worldPoint\n\
   )\n\
</code></pre><p>   This tool allows the user to click in a viewport at which point a box is created. Dragging the mouse positions the box and releasing the mouse button stops the tool.</p>\n\
<p>   <strong>YOU WOULD START THIS TOOL BY EXECUTING:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   startTool foo\n\
</code></pre></blockquote>\n\
<p>The syntax for tools is similar to that for utility definition constructs. They have local variables, functions, and event handlers, but tools have no user-interface items.</p>\n\
<p>A tool is created using the <code>tool</code> definition construct in MAXScript. The top-level syntax is as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tool &lt;tool_name&gt; [ prompt:&lt;string&gt; ] [ numPoints:&lt;number&gt; ]( &lt;tool_body&gt; )</code></pre><p>where <code>&lt;tool_name&gt;</code> is the name of an automatically created variable to hold the value that represents the tool. The scope of this variable is the current MAXScript scope. This value is also returned as a result of the <code>tool</code> declaration. The class of this value is <code>MouseTool</code> .</p>\n\
<p>The optional <code>prompt:</code> keyword argument specifies the prompt string displayed in the <strong>3ds Max</strong> Prompt Line while the tool is executing.</p>\n\
<p>The optional <code>numPoints:</code> keyword argument specifies the maximum number of points (mouse clicks) the tool will use. If the tool is still executing when you reach the <code>numPoints</code> number of mouse clicks, the tool will stop and return a value of <code>#stop</code> .</p>\n\
<p><code>&lt;tool_body&gt;</code> is enclosed in the required parentheses and is a sequence of clauses that define the functions and event handlers that process mouse clicks. These clauses are defined in detail in <a href=\"Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\">Mouse Tool Clauses</a>.</p>\n\
<p>The following method invokes a tool:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">startTool &lt;tool_name&gt; [prompt:&lt;string&gt;] [snap:#3D|#2D] [numPoints:&lt;number&gt;]</code></pre><p>where <code>&lt;tool_name&gt;</code> is the tool name used in a tool definition.</p>\n\
<p>The optional <code>prompt:</code> keyword argument specifies the prompt string displayed in the <strong>3ds Max</strong> Prompt Line while the tool is executing. If specified, this string overrides the prompt string specified in the tool definition.</p>\n\
<p>The optional <code>snap:</code> keyword argument specifies the upper limit on snapping. Specifying a <code>snap</code> parameter does not turn on snap, only the user can turn it on in the interface. When 2.5D or 3D snapping is turned on by the user, the <code>snap</code> parameter restricts snapping to the specified level.</p>\n\
<p>The optional <code>numPoints:</code> keyword argument specifies the maximum number of points (mouse clicks) the tool will use. If specified, this value overrides the number of points specified in the tool definition.</p>\n\
<p>The return value from <code>startTool()</code> will be either <code>#stop</code> if a called change handler returns the value <code>#stop</code> or the <code>numPoints</code> value is reached, or <code>#abort</code> if the user aborts the tool using a right-click or presses the ESC key.</p>\n\
<p>A currently executing tool can also be aborted using the following method:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">stopTool &lt;tool_name&gt;</code></pre><p>where:</p>\n\
<p><code>&lt;tool_name&gt;</code> is the tool name used in a tool definition.</p>\n\
<p>This method would typically be called in a callback function or change handler (see <a href=\"./../Change-Handlers-and-Callbacks.html\">Change Handlers and Callbacks</a>), or in a timer event handler in a rollout (see <a href=\"Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Timer-UI-Control.html\">Timer</a>).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\">Mouse Tool Clauses</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-MAXScript-Tools.html\">Creating MAXScript Tools</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";