var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ADDDDBA8-D07F-4B1B-A614-274719165B9F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Animation Controller Plug-ins</h1></div><p>Controllers are plug-ins that handle the animation tasks in 3ds Max. They are typically assigned to object in Track View or on the Motion panel, though they can also be assigned programmatically (see the examples later in this section).</p>\n\
<p>Scripted animation controllers in MAXScript support parameter blocks and rollouts.</p>\n\
<p>Scripted animation plug-in controllers are defined for the following superclasses:</p>\n\
<ul>\n\
<li><p><a href=\"Scripted-Animation-Controller.html\"\">FloatController</a></p>\n\
</li>\n\
<li><p><a href=\"Scripted-Animation-Controller.html\"\">Point3Controller</a></p>\n\
</li>\n\
<li><p><a href=\"Scripted-Animation-Controller.html\"\">Point4Controller</a></p>\n\
</li>\n\
<li><p><a href=\"Scripted-Animation-Controller.html\"\">ColorController</a></p>\n\
</li>\n\
<li><p><a href=\"Scripted-Animation-Controller.html\"\">PositionController</a></p>\n\
</li>\n\
<li><p><a href=\"Scripted-Animation-Controller.html\"\">RotationController</a></p>\n\
</li>\n\
<li><p><a href=\"Scripted-Animation-Controller.html\"\">ScaleController</a></p>\n\
</li>\n\
<li><p><a href=\"Scripted-Animation-Controller.html\"\">TransformController</a></p>\n\
</li>\n\
</ul>\n\
<h2 id=\"event-handlers\">Event Handlers</h2><p>Scripted animation controller plug-ins require at least a <code>getValue</code> event handler. All other event handlers are optional. Handlers associated with the hold/restore system are not normally implemented. See the discussion in <a href=\"#hold-and-restore-system\">Hold and Restore System</a></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If an unhandled runtime error is thrown while evaluating any of these handlers, the plug-in instance is disabled.</div>\n\
<h3 id=\"on-create-do-expr-\">on create do <expr></expr></h3><p>Called with an instance of the controller is created in a scene. This handler is used to set state variables for the controller (see <a href=\"#local-variables\">Local Variables</a> below). For more information about the <code>on create</code> handler, see the Event Handlers section in <a href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses_TOPIC_740</a>.</p>\n\
<h3 id=\"on-getvalue-do-expr-\">on getValue do <expr></expr></h3><p>Returns a value, the type depending upon the controller type.</p>\n\
<h3 id=\"on-setvalue-absval-relval-commit-do-expr-\">on setValue absVal relVal commit do <expr></expr></h3><p>Called when the controller is set to a value, either via UI, MAXScript, or other max code. This handler is optional.</p>\n\
<p>If the <code>setValue</code> was made in relative mode (this can be tested with <code>method == #relative</code>), then <code>relVal</code> contains the delta from the current value while <code>absVal</code> is an absolute value pre-computed for your convenience. If the <code>setValue</code> was made in absolute mode (<code>method == #absolute</code>), then <code>relVal</code> is the same as <code>absVal.</code></p>\n\
<p>The <code>commit</code> parameter specifies whether the controller should persist or simply cache the setting of the value. If false, the <code>commitValue</code> and <code>restoreValue</code> handlers are required. However, as far as is known, no current plug-ins ever pass this value as false, and so these handlers are not required. See <a href=\"#hold-and-restore-system\">Hold and Restore System</a> below for more information.</p>\n\
<h3 id=\"on-mousecyclestarted-do-expr-\">on mouseCycleStarted do <expr></expr></h3><p>Called when the user is beginning to modify the controller with the mouse in a viewport. For example, when moving a node in a viewport, this is called on each transform-related controller.</p>\n\
<p>This handler is optional, and primarily supports the hold/restore system.</p>\n\
<h3 id=\"on-mousecyclecompleted-do-expr-\">on mouseCycleCompleted do <expr></expr></h3><p>Called when the user is finishing modifying the controller with the mouse in a viewport. For example, when moving a node in a viewport, this is called on each transform-related controller.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  in some cases <code>mouseCycleCompleted</code> can be called without an associated <code>mouseCycleStarted</code>. An example of this is when moving a controller&apos;s keys in TrackView.</div>\n\
<p>This handler is optional, and primarily supports the hold/restore system.</p>\n\
<h3 id=\"on-holdbegin-do-expr-\">on holdBegin do <expr></expr></h3><p>Called when the controller&apos;s value is beginning to be modified.</p>\n\
<p>This handler is optional, and primarily supports the hold/restore system.</p>\n\
<h3 id=\"on-holdend-do-expr-\">on holdEnd do <expr></expr></h3><p>Called when the controller&apos;s value has finished being modified.</p>\n\
<p>This handler is optional, and primarily supports the hold/restore system.</p>\n\
<h3 id=\"on-holdrestore-do-expr-\">on holdRestore do <expr></expr></h3><p>Called when a controller is reset to an earlier value by the undo system, such as when a user performs an undo of a controller set value.</p>\n\
<p>This handler is optional, and primarily supports the hold/restore system.</p>\n\
<h3 id=\"on-holdredo-do-expr-\">on holdRedo do <expr></expr></h3><p>Called when a controller is set to a later value by the undo system. This is called when a user performs a redo of a controller set value.</p>\n\
<p>This handler is optional, and primarily supports the hold/restore system.</p>\n\
<h3 id=\"on-commitvalue-do-expr-\">on commitValue do <expr></expr></h3><p>Called when the <code>commit</code> parameter for the <code>setValue</code> handler is false, which means the controller isto persist the setting of the value from the cached value.</p>\n\
<p>This handler is optional, and primarily supports the hold/restore system.</p>\n\
<h3 id=\"on-restorevalue-do-expr-\">on restoreValue do <expr></expr></h3><p>Called when the <code>commit</code> parameter for the <code>setValue</code> handler is false, which means the controller is to not use the cached value.</p>\n\
<p>This handler is optional, and primarily supports the hold/restore system.</p>\n\
<h3 id=\"hold-and-restore-system\">Hold and Restore System</h3><p>The commit parameter for <code>setValue</code> and the <code>commitValue</code>/<code>restoreValue</code> handlers is part of an &quot;inner&quot; hold and restore mechanism. When the controller&apos;s SetValue() method is called, if the commit parameter is true, then the controller should save the value of the controller at the current time into its cache and also &apos;commit&apos; the value. For example, this stores a key in the case of a keyframe controller. If the set value was not committed then <code>RestoreValue()</code> may be called to restore the previous value. This restores the current cache value to the value that was set before <code>SetValue()</code> was last called.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The commit parameter to <code>setValue</code>, as far as is known, is never passed as false by any current plug-in, and may be removed in future iterations of controller scripted plug-in types. However, the controller framework does provide this inner hold and restore mechanism, and may be used by third-party plug-ins.</div>\n\
<p>The example script for <code>FloatController</code> below includes detection and information display if this mechanism is used.</p>\n\
<h2 id=\"local-variables\">Local Variables</h2><p>The following local variables are available to scripted animation plug-in controllers.</p>\n\
<h4 id=\"isleaf-read-write-bool-value-\">isLeaf - read/write - bool value.</h4><p>Indicates whether the controller is a leaf controller. If a controller is a leaf controller, then it <em>must not by definition</em> have any sub-controllers or references. The controller should return TRUE if it has no sub-controllers. For example, a PRS controller is not a leaf controller (because it has sub-controllers for Position, Rotation and Scale), but a simple keyframed float controller is a leaf controller.</p>\n\
<p>Ease/Multiplier curves and Out-Of-Range Types can only be applied to Leaf controllers. Various filtering in TreeView depends on whether the controller is a Leaf controller or not. This variable defaults to false. This variable is typically set in the &apos;on create&apos; handler.</p>\n\
<h4 id=\"iskeyable-read-write-bool-value\">isKeyable - read/write - bool value</h4><p>Indicates whether UI elements (a spinner or slider) linked to the parameter the controller is applied to is enabled. If this variable is false, the UI element is disabled. This variable defaults to false if a setValue handler is not defined, true if defined. If you want to set this variable, it would typically be set in the &apos;on create&apos; handler.</p>\n\
<h4 id=\"method-read-only-name-value\">method - read-only - name value</h4><p>For use within thesetValue handler. Specifies whether the call occurred with method type #relative or #absolute.</p>\n\
<h4 id=\"parenttransform-read-only-matrix3-value\">parentTransform - read-only - Matrix3 value</h4><p>This variable is for transform-related scripted plug-in controllers, and is &apos;undefined&apos; for other scripted plug-in controllers. For use within the on getValue handlers. This variable contains the (modified) parent node transform when evaluating the on getValue handler for transform-related scripted plug-in controllers (positionController, rotationController, scaleController, transformController) when method == #relative. A copy of the parent&apos;s transform matrix is passed to the node&apos;s transform controller, and the transform controller and its sub-controllers can operate on and modify the Matrix3 value. This value represents the current transform value as it passes through the controller pipeline.</p>\n\
<p>For example, in a PRS controller, the Position controller typically translates the Matrix3 value by its Point3 value, and then the modified Matrix3 value is passed to the Rotation controller, which typically rotates the Matrix3 value, and then the modified Matrix3 value is passed to the Scale controller. This value is read-only - the C++ implementation of the scripted plug-in operates on this Matrix3 value based on the value returned from the getValue handler.</p>\n\
<p>If method == #absolute in the on getValue handler of a transform-related controller, the controller is being directly evaluated (for example, via <controller>.value in MaxScript), and the parentTransform will be an identity matrix.</controller></p>\n\
<h4 id=\"usesparenttransform-read-write-bool-value\">usesParentTransform - read/write - bool value</h4><p>This variable controls the caching of the current value of the scripted plug-in controllers. Normally, the controller caches its validity interval and current value of the controller. If the time value of a getValue call occurs is within the validity interval, the cached current value is returned without evaluating the getValue handler. If the return value of getValue handler call is dependent on the parent&apos;s transform value, this will cause incorrect results if the parent node is transformed, because no notification is sent from the parent node to all the child node transform-related controllers, invalidating those controllers. When this variable is true, the cached current value will never be used, and the getValue handler call is always called. This will cause more evaluations to occur, so it should only be set to true for transform-related scripted plugin controllers whose result are dependent on the parent&apos;s transform. This variable defaults to false. This variable is typically set in the create handler.</p>\n\
<h2 id=\"floatcontroller\">FloatController</h2><p>The float controller plug-in type controls floating point values. The example below adds an offset value to a float, and the test case controls the x position of an object. Note that this sample illustrates implementing a param block and rollout UI, which is visible on the Motion panel when the controlled object is selected. It also illustrates how to use the hold/restore/redo system by implementing on <code>commitValue</code>, <code>restoreValue</code>, and the <code>holdBegin</code>/<code>holdEnd</code>/<code>holdRestore</code>/<code>holdRedo</code> handlers. As noted in the Hold and Restore System above, these handlers are not believed to be required, since no current shipped plug-in uses this mechanism. However, there may be 3rd-party plug-ins that do.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin FloatController FloatController_example\n\
name:&quot;FloatController Example&quot;\n\
classID:#(0x47db14fe, 0x4e9b5f90)\n\
(\n\
    local first = true -- used for debug tracing of &apos;commit&apos; handling\n\
    local useCachedValue = false -- set when have SetValue with commit == false\n\
    local cachedValue = undefined -- set when have SetValue with commit == false\n\
    local inMouseCycle = false -- true when within mouseCycleStarted/mouseCycleCompleted\n\
    local inMouseCycleControllerAssigned = false -- true when controller assigned within mouseCycleStarted/mouseCycleCompleted\n\
    local inMouseCycleSetValue = false -- true when setValue w/o holdRestore occurred within mouseCycleStarted/mouseCycleCompleted\n\
\n\
    parameters pblock rollout:params\n\
    (\n\
        value type:#float animatable:true ui:value\n\
        valueController type:#maxobject\n\
    )\n\
    rollout params &quot;FloatController Test Parameters&quot;\n\
    (\n\
        Spinner value &quot;Value:&quot; \n\
    )\n\
    on getValue do \n\
    (\n\
        format &quot;getValue - useCachedValue: %; value: %; cachedValue: %\\n&quot; useCachedValue value cachedValue\n\
        if useCachedValue then cachedValue else value\n\
    )\n\
    on setValue val relVal commit do \n\
    (\n\
        format &quot;setValue - val: %; commit: %; useCachedValue: %; value: %; cachedValue: %\\n&quot; val commit useCachedValue value cachedValue\n\
        if not commit and first do\n\
        (\n\
            print (CaptureCallStack())\n\
            first = false\n\
            messagebox &quot;setValue called with commit = false - see listener for stack trace&quot;\n\
        )\n\
        if commit then\n\
        (\n\
            useCachedValue = false\n\
            cachedValue = undefined\n\
            if inMouseCycle do\n\
                inMouseCycleSetValue = true\n\
            value = val\n\
        )\n\
        else\n\
        (\n\
            useCachedValue = true\n\
            cachedValue = val\n\
        )\n\
        SetControllerValue valueController val commit #absolute\n\
    )\n\
    on commitValue do\n\
    (\n\
        format &quot;commitValue - useCachedValue: %; value: %; cachedValue: %\\n&quot; useCachedValue value cachedValue\n\
        if first do\n\
        (\n\
            print (CaptureCallStack())\n\
            first = false\n\
            messagebox &quot;commitValue called - see listener for stack trace&quot;\n\
        )\n\
        useCachedValue = false\n\
        value = cachedValue\n\
        cachedValue = undefined\n\
        CommitControllerValue valueController\n\
    )\n\
    on restoreValue do\n\
    (\n\
        format &quot;restoreValue - useCachedValue: %; value: %; cachedValue: %\\n&quot; useCachedValue value cachedValue\n\
        if first do\n\
        (\n\
            print (CaptureCallStack())\n\
            first = false\n\
            messagebox &quot;restoreValue called - see listener for stack trace&quot;\n\
        )\n\
        useCachedValue = false\n\
        cachedValue = undefined\n\
        RestoreControllerValue valueController\n\
    )\n\
    on mouseCycleStarted do \n\
    (\n\
        format &quot;mouseCycleStarted - holding: %; value.controller: %\\n&quot; (theHold.Holding()) value.controller\n\
        inMouseCycle = true\n\
        inMouseCycleControllerAssigned = false\n\
    )\n\
    on mouseCycleCompleted do \n\
    (\n\
        format &quot;mouseCycleCompleted - holding: %; value.controller: %\\n&quot; (theHold.Holding()) value.controller\n\
        inMouseCycle = false\n\
        inMouseCycleControllerAssigned = false\n\
    )\n\
    on holdBegin do \n\
    (\n\
        format &quot;holdBegin\\n&quot; \n\
        if inMouseCycle and animateMode and value.controller == undefined and (currenttime != 0) do\n\
        (\n\
            inMouseCycleControllerAssigned = true\n\
            with undo off value.controller = NewDefaultFloatController()\n\
        )\n\
    )\n\
    on holdEnd do \n\
    (\n\
        format &quot;holdEnd - inMouseCycleControllerAssigned: %; inMouseCycleSetValue: %\\n&quot; inMouseCycleControllerAssigned inMouseCycleSetValue\n\
        if inMouseCycleControllerAssigned and not inMouseCycleSetValue do\n\
            with undo off value.controller = undefined\n\
    )\n\
    on holdRestore do \n\
    (\n\
        format &quot;holdRestore\\n&quot; \n\
        if inMouseCycle do\n\
            inMouseCycleSetValue = false\n\
    )\n\
    on holdRedo do format &quot;holdRedo\\n&quot; \n\
\n\
    on create do\n\
    (\n\
        valueController = NewDefaultFloatController()\n\
        isLeaf=true\n\
    )\n\
)\n\
/*  Test case:\n\
t = teapot isselected:true\n\
t.radius.controller = FloatController_test()\n\
t.pos.controller.x_position.controller = FloatController_example()\n\
*/</code></pre><p>This is a more typical version of the same float controller that does not implement the Hold/Restore system. It also shows how you can make a procedural controller - in this case, modifying the controlled float value with the current time as well as an offset. Note the use of <code>usePBValidity:false</code> in the plug-in definition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin FloatController FloatController_simplified_example\n\
name:&quot;Simplified FloatController Example&quot;\n\
usePBValidity:false -- false because time dependent\n\
classID:#(0xc1dbcd6, 0x70ecb08a)\n\
(    \n\
    parameters pblock rollout:params\n\
    (\n\
        offset_value type:#float animatable:true ui:offset_value\n\
  valueController type:#maxobject subAnim:true\n\
    )\n\
    rollout params &quot;FloatController Test Parameters&quot;\n\
    (\n\
        Spinner offset_value &quot;Offset Value:&quot; range:[0, 1e9, 40]\n\
    )\n\
    on getValue do \n\
    (\n\
        valueController.value +offset_value + currentTime as integer / framerate\n\
    )\n\
    on setValue val relVal commit do \n\
    (\n\
        val -= ( offset_value+ currentTime as integer / framerate)\n\
        SetControllerValue valueController val commit #absolute\n\
    )    \n\
    on create do\n\
    (\n\
        valueController = NewDefaultFloatController()\n\
        isLeaf=true\n\
    )\n\
)\n\
/*  Test case:\n\
t = teapot isselected:true\n\
t.radius.controller = c = FloatController_simplified_example()\n\
c.isKeyable = true\n\
c.isleaf = false\n\
*/</code></pre><h2 id=\"point3controller\">Point3Controller</h2><p>A Point3Controller plug-in type controls a Point3 value. Note that this does not control a position value, a <code>PositionController</code> (see below) should be used for that purpose. This controller can be used for things such as coordinate offsets. In the example below, the controller is applied to a material&#x2019;s diffusemap coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin Point3Controller Point3Controller_example\n\
name:&quot;Point3Controller Example&quot;\n\
classID:#(0x47db14ff, 0x4e9b5f9f)\n\
(\n\
    parameters pblock \n\
    (\n\
        offset_value type:#point3 animatable:true \n\
        valueController type:#maxobject subAnim:true\n\
    )\n\
    on getValue do \n\
    (\n\
        valueController.value + offset_value\n\
    )\n\
    on setValue val relVal commit do \n\
    (\n\
        val -= offset_value\n\
        SetControllerValue valueController val commit #absolute\n\
    )\n\
\n\
    on create do\n\
    (\n\
        valueController = NewDefaultPoint3Controller()\n\
        isLeaf=true\n\
    )\n\
)\n\
/*  Test case:\n\
t = teapot isselected:true\n\
t.material = standard diffusemap:(cellular())\n\
t.material.diffusemap.coords.offset.controller = Point3Controller_example()\n\
c = t.material.diffusemap.coords.offset.controller\n\
meditmaterials[1] = t.material.diffusemap\n\
max mtledit\n\
t.pos.controller = Point3Controller_example()  -- will give: -- Runtime error: Incompatible controller type for property: position\n\
*/</code></pre><h2 id=\"point4controller\">Point4Controller</h2><p>This plug-in controller type controls Point4 values, such as 4D color space values in shaders.</p>\n\
<p>This example adds an offset value to a Point4 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin Point4Controller Point4Controller_example\n\
name:&quot;Point4Controller Example&quot;\n\
classID:#(0x47db14ff, 0x4e9b5f9f)\n\
(\n\
    parameters pblock \n\
    (\n\
        offset_value type:#point4 animatable:true \n\
        valueController type:#maxobject subAnim:true\n\
    )\n\
    on getValue do \n\
    (\n\
        valueController.value + offset_value\n\
    )\n\
    on setValue val relVal commit do \n\
    (\n\
        val -= offset_value\n\
        SetControllerValue valueController val commit #absolute\n\
    )\n\
\n\
    on create do\n\
    (\n\
        valueController = NewDefaultPoint4Controller()\n\
        isLeaf=true\n\
    )\n\
)\n\
/*  Test case:\n\
c = Point4Controller_example()\n\
at time 100 with animate on c.offset_value =[100,200,300,400]\n\
slidertime = 50f\n\
c.offset_value \n\
c.value += [10,20,30,40]\n\
c.offset_value \n\
c.value \n\
c.valueController.value\n\
*/</code></pre><h2 id=\"colorcontroller\">ColorController</h2><p>The ColorController plugin type controls the animation of a color value. In this example, the controller adds an offset to a color value, and the controller is applied to a material&apos;s diffuse color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin ColorController ColorController_example\n\
name:&quot;ColorController Example&quot;\n\
classID:#(0x47db14ba, 0x4e9b5f9f)\n\
(\n\
    parameters pblock \n\
    (\n\
        offset_value type:#color animatable:true \n\
        valueController type:#maxobject subAnim:true\n\
    )\n\
    on getValue do \n\
    (\n\
        valueController.value + offset_value\n\
    )\n\
    on setValue val relVal commit do \n\
    (\n\
        val -= offset_value\n\
        SetControllerValue valueController val commit #absolute\n\
    )\n\
    on create do\n\
    (\n\
        valueController = NewDefaultColorController()\n\
        isLeaf=true\n\
    )\n\
)\n\
/*  Test case:\n\
t = teapot isselected:true\n\
t.material = standard ()\n\
t.material.diffuse.controller = ColorController_example()\n\
c = t.material.diffuse.controller\n\
meditmaterials[1] = t.material\n\
max mtledit\n\
*/</code></pre><h2 id=\"positioncontroller\">PositionController</h2><p>PositionController plug-in types control animatable positions. In the example below, the controller adds an offset to the controlled Point3 value, and is applied to a teapot object&apos;s position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin PositionController PositionController_example\n\
name:&quot;PositionController Example&quot;\n\
classID:#(0x47db14fa, 0x4e9b5f9f)\n\
(\n\
    parameters pblock \n\
    (\n\
        offset_value type:#point3 animatable:true \n\
        valueController type:#maxobject subAnim:true\n\
    )\n\
    on getValue do \n\
    (\n\
        res = valueController.value + offset_value\n\
        res\n\
    )\n\
    on setValue val relVal commit do \n\
    (\n\
        val -= offset_value\n\
        format &quot;committing val: %\\n&quot; val\n\
        SetControllerValue valueController val commit #absolute\n\
    )\n\
\n\
    on create do\n\
    (\n\
        valueController = NewDefaultPositionController()\n\
        isLeaf=true\n\
    )\n\
)\n\
\n\
/*  Test case:\n\
t = teapot isselected:true\n\
t.pos.controller = PositionController_example()\n\
c = t.pos.controller \n\
\n\
*/</code></pre><h2 id=\"rotationcontroller\">RotationController</h2><p>Rotation controller plug-in types control a rotation value for a scene object. In the example controller below, the rotation value is stored as the rotation part of a Matrix3 value. The controller adds an offset to the controlled value, and is applied to an object&apos;s rotation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin RotationController RotationController_example\n\
name:&quot;RotationController Example&quot;\n\
classID:#(0x47db14ac, 0x4e9b5f9f)\n\
(\n\
    parameters pblock \n\
    (\n\
        offset_value type:#matrix3 animatable:true \n\
        valueController type:#maxobject subAnim:true\n\
    )\n\
    on getValue do \n\
    (\n\
        res = valueController.value + offset_value.rotationpart\n\
        res\n\
    )\n\
    on setValue val relVal commit do \n\
    (\n\
        val -= offset_value.rotationpart\n\
        SetControllerValue valueController (val as matrix3) commit #absolute\n\
    )\n\
\n\
    on create do\n\
    (\n\
        valueController = NewDefaultRotationController()\n\
        isLeaf=true\n\
    )\n\
)\n\
\n\
/*  Test case:\n\
t = teapot isselected:true \n\
t.rotation.controller = RotationController_example()\n\
c = t.rotation.controller \n\
*/</code></pre><h2 id=\"scalecontroller\">ScaleController</h2><p>A ScaleController type plug-in controls a scale value as a Point3. In the example below, the controller adds an offset to the controlled value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin ScaleController ScaleController_example\n\
name:&quot;ScaleController Example&quot;\n\
classID:#(0x7fa4db14, 0x4e5f9b9f)\n\
(\n\
    parameters pblock \n\
    (\n\
        offset_value type:#point3 animatable:true \n\
        valueController type:#maxobject subAnim:true\n\
    )\n\
    on getValue do \n\
    (\n\
        res = valueController.value + offset_value\n\
        res\n\
    )\n\
    on setValue val relVal commit do \n\
    (\n\
        val -= offset_value\n\
        SetControllerValue valueController val commit #absolute\n\
    )\n\
\n\
    on create do\n\
    (\n\
        valueController = NewDefaultScaleController()\n\
        isLeaf=true\n\
    )\n\
)\n\
\n\
/*  Test case:\n\
t = teapot isselected:true\n\
t.scale.controller = ScaleController_example()\n\
c = t.scale.controller \n\
c.value = [.9,.9,.9]\n\
\n\
*/</code></pre><h2 id=\"transformcontroller\">TransformController</h2><p>The TransformController plug-in controls a transform value (a Matrix3). In this example, it adds an offset to the controlled value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin TransformController TransformController_example\n\
name:&quot;TransformController Example&quot;\n\
classID:#(0x47db1cad, 0x4e9b5f9c)\n\
(\n\
    parameters pblock \n\
    (\n\
        offset_value type:#matrix3\n\
        valueController type:#maxobject subAnim:true\n\
    )\n\
    on getValue do \n\
    (\n\
        res = valueController.value * offset_value\n\
        res\n\
    )\n\
    on setValue val relVal commit do \n\
    (\n\
        val = val * inverse offset_value\n\
        SetControllerValue valueController val commit #absolute\n\
    )\n\
    on create do\n\
    (\n\
        valueController = NewDefaultMatrix3Controller()\n\
        isLeaf=true\n\
    )\n\
)\n\
\n\
/*  Test case:\n\
t = teapot isselected:true\n\
t.transform.controller = TransformController_example()\n\
c = t.transform.controller \n\
\n\
at time 100 c.value\n\
c.value = matrix3 1\n\
\n\
\n\
*/</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";