var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9383EF8E-819E-4C4A-B60B-D69C1FEAC54F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Geometry Plug-ins</h1></div><p>A scripted Geometry plug-in is declared by specifying the <code>&lt;superclass&gt;</code> as <code>geometry</code> .</p>\n\
<p>Scripted Geometry plug-ins require a <code>create</code> tool unless they are invisible, temporary, or extend another plug-in.</p>\n\
<p>If the plug-in extends another plug-in, and a <code>create</code> tool is specified, it will override the delegate&apos;s create tool.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin geometry foo_plugin_def\n\
   name:&quot;FooBar&quot;\n\
   category:&quot;Scripted Primitives&quot;\n\
   (\n\
   local boxes = #()\n\
   local clickAt\n\
   tool create\n\
   (\n\
   on mousePoint click do\n\
   (\n\
   clickAt = worldPoint\n\
   boxes =for i in 1 to 10 collect box pos:([i*20,0,0] + clickAt)\n\
   #stop\n\
   )\n\
   )\n\
   rollout frab &quot;Parameters&quot;\n\
   (\n\
   spinner frab_value &quot;Frabulate&quot; range:[-1000,1000,20]\n\
   on frab_value changed val do\n\
   for i in 1 to boxes.count do\n\
   boxes[i].pos = [i*val,0,0] + clickAt\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<p>This adds a new geometry category with one button to the Create panel. Pressing the FooBar button starts a mouse command mode that creates a row of 10 boxes where you click and adds a rollout to the command panel with one spinner that lets you adjust the separation of the boxes. This is very similar to a System object like the RingArray, except it lives in the Geometry tab. This is the simplest type of scripted of plug-in; it has no specific scene object and no storable parameters.</p>\n\
<p>In the tool handlers, you can set the delegate properties as needed.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin geometry Cuboid\n\
   name:&quot;Cuboid&quot;\n\
   classID:#(0x133067, 0x54374)\n\
   category:&quot;Scripted Primitives&quot;\n\
   extends:Box\n\
   (\n\
   fn fmax val1 val2 = if val1 &gt; val2 then val1 else val2\n\
   tool create\n\
   (\n\
   on mousePoint click do\n\
   case click of\n\
   (\n\
   1: nodeTM.translation = gridPoint\n\
   2: #stop\n\
   )\n\
   on mouseMove click do\n\
   if click == 2 then\n\
   delegate.width = delegate.length =\n\
   delegate.height = 2 * fmax (abs gridDist.x) (abs gridDist.y)\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"../Scripted-Mouse-Tools.html\">Scripted Mouse Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";