var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2B1DAC46-F27F-44A1-91F9-6E6C426AAAF1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Manipulators</h1></div><p>Manipulators are a type of helper object designed to support direct manipulation of parameters in the 3D viewports. They can be set up to manipulate parameters on objects, modifiers, controllers and nodes.</p>\n\
<p>There is a &quot;Manipulate&quot; button on the main toolbar. When pressed, the system will show all the manipulators for selected objects. As the mouse passes over a manipulator, it turns red, and a tool tip pops up with the name of the current value of the parameter that is affected by that manipulator. To manipulate the value, you click down on the gizmo with the left mouse button and drag it. Most manipulators are designed so that the gizmo will track under the current mouse position, if possible.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> &quot;Manipulate&quot; is <strong>not</strong> a separate mode - it <strong>modifies</strong> whatever mode you are currently in (select, move, create, etc.) to show manipulators and allow manipulation. If you are in move mode, for example, you can still move things around as usual. The only difference is that if you click down on a manipulator, you will manipulate, instead of move.</div>\n\
<p>There are two flavors of manipulators. The first are manipulators that are automatically created when you enter &quot;Manipulate&quot; mode. The hotspot manipulator is like that. The second kind is standalone objects, like the slider manipulator. These are usually used in conjunction with parameter wiring to get make them useful.</p>\n\
<p>To create a standalone manipulator, you go to the &quot;Helpers&quot; section of the create panel, and select &quot;Manipulators&quot; in the drop-down list.</p>\n\
<p>Standalone manipulators do not need to be selected in order to be manipulated. However, the automatically created manipulators, like the hotspot manipulator, are only displayed for selected objects.</p>\n\
<p>Manipulators support both 3d gizmos and 2d (screen space) gizmos. The hotspot manipulator is an example of a 3d gizmo, and the slider is an example of a 2d gizmo.</p>\n\
<h2 id=\"scripted-manipulators\">Scripted Manipulators</h2><p>Manipulators can be created either as standard MAX plug-ins in C++, or they can be implemented in MAXScript. In MAXScript, they are a type of <a href=\"Scripted-Plug-ins-1.html\">Scripted Plug-in object</a>, so if you want to write your own manipulator, it would be a good idea to read about <a href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a> first. They are very similar to scripted geometry objects.</p>\n\
<p>3 scripted manipulators that you can use as sample code can be found in the &quot;..\\stdplugs\\stdscripts&quot; folder.</p>\n\
<ul>\n\
<li><p>RadiusManip.ms -- Generic &quot;radius&quot; manipulator</p>\n\
</li>\n\
<li><p>SliderManip.ms -- A 2d viewport slider. A standalone manipulator</p>\n\
</li>\n\
<li><p>UVWManip.ms -- A set of manipulators for the UVW modifier</p>\n\
</li>\n\
</ul>\n\
<h3 id=\"radius-manipulator\">Radius Manipulator</h3><p>The radius manipulator is fairly simple, so it makes a good example to describe the scripted manipulator system.</p>\n\
<p>The code for the manipulator is included below, followed by a detailed description of how it works.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --------------------------------------------------------------------\n\
   -- Generic radius manipulator\n\
   -- Written by Scott Morrison\n\
   -- This manipulator sets the radius on any object or modifier with\n\
   -- a parameter named &quot;radius&quot;. It creates a circle gizmo of the appropriate\n\
   -- radius centered at the origin in the XY plane.\n\
   plugin simpleManipulator radiusManip\n\
   name:&quot;RadiusManip&quot;\n\
   invisible:true\n\
   (\n\
   -- Create the green and red colors for the gizmo\n\
   local g = [0, 1, 0], r = [1, 0, 0]\n\
   -- This manipulator manipulates any node with a &quot;radius&quot; property\n\
   on canManipulate target return (findItem (getPropNames target) #radius) != 0\n\
   -- Create the manipulator gizmo.\n\
   -- This is called initially and whenever the manipulator target changes\n\
   on updateGizmos do\n\
   (\n\
   -- Clear the current gizmo cache\n\
   this.clearGizmos()\n\
   -- Set the radius of circle gizmo a little bigger than the target radius\n\
   giz = manip.makeCircle [0,0,0] (target.radius * 1.01) 28\n\
   -- Add the circle to the manipulator\n\
   this.addGizmoShape giz 0 g r\n\
   -- return the ToolTip string\n\
   return node.name + &quot; radius = &quot; + target.radius as string\n\
   )\n\
   -- mouseMove is called on every mouse move when dragging the manip\n\
   -- It needs to convert the mouse position &apos;m&apos; into a new value for the radius\n\
   on mouseMove m which do\n\
   (\n\
   -- Create the XY plane.\n\
   -- manip.makePlaneFromNormal takes a normal vector and a point\n\
   -- and creates a plane passing through the point with the given normal\n\
   local pl = manip.makePlaneFromNormal z_axis [0, 0, 0],\n\
   projectedPoint = [0,0,0]\n\
   -- Compute the hit-ray in local coordinates\n\
   viewRay = this.getLocalViewRay m\n\
   -- Intersect the plane with the view ray\n\
   res = pl.intersect viewRay &amp;projectedPoint\n\
   -- If the intersection worked, set the radius\n\
   if (res) then target.radius = (length projectedPoint) / 1.01\n\
   )\n\
   )\n\
   -------------------------------------------------------------------- </code></pre></blockquote>\n\
<p><strong>The header:</strong></p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin simpleManipulator radiusManip\n\
   name:&quot;RadiusManip&quot;\n\
   invisible:true\n\
</code></pre></blockquote>\n\
<p>Indicates to MAXScript that this is a scripted manipulator plug-in called &quot;RadiusManip&quot;. The &quot;invisible:true&quot; tells the system not to make a creation button for the manipulator in the create panel.</p>\n\
<p><strong>The body:</strong></p>\n\
<p>A set of handlers for various events.</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on canManipulate target return (findItem (getPropNames target) #radius) != 0</code></pre></blockquote>\n\
<p>&quot; <code>canManipulate</code> &quot; is called on every manipulator, for every node that is selected when the &quot;Manipulate&quot; button is pressed. The &quot; <code>target</code> &quot; parameter is the object that we might potentially manipulate. It is called on the base object, all the modifiers on the object, and transform controllers on the object&apos;s node. Also, if the transform controller is a PRS controller, it calls &quot; <code>canManipulate</code> &quot; on the position, rotation and scale controllers.</p>\n\
<p>In the case of the radius manipulator, it can manipulate any object that has a property named &quot; <code>radius</code> &quot;.</p>\n\
<p>If you want to create a manipulator that works on a specific object type, say a sphere, you can say:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on canManipulate target return classOf target == sphere</code></pre></blockquote>\n\
<p>There is an alternative handler that may be needed in some cases called &quot; <code>canManipulateNode n</code> &quot;. This is called passing in the each selected node to the handler. This is not normally needed, but available if your manipulator wants to manipulate property of a node other than the ones that are passed as the &quot; <code>target</code> &quot; to &quot; <code>canManipulate</code> &quot;.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>While a Scripted Manipulator Plug-in could implement both handlers at the same time, the resulting behavior could confuse the user. It is a good idea to implement only the one handler that suits your needs.</p>\n\
<p>The next handler is called &quot; <code>updateGizmos</code> &quot;, and this is called whenever a manipulator need to build its gizmos. This happens when the manipulator is created, and whenever the target that it is manipulating changes.</p>\n\
<p>When MAXScript creates a manipulator, it sets up some variables that are available inside the calls to its handlers. One of these is called &quot; <code>target</code> &quot; and it is the object, modifier or controller that is being manipulated. Another is called &quot; <code>this</code> &quot; and it is the manipulator itself. It also sets up some constant values that can be used as flags on gizmos. These will be described later. There is also a &quot; <code>node</code> &quot; value available which is the node that owns the target.</p>\n\
<p>The first thing every manipulator must to in the &quot; <code>updateGizmos</code> &quot; handler is call &quot; <code>this.clearGizmos()</code> &quot;. This clears any currently cached gizmos.</p>\n\
<p>Next it creates a set of gizmos that will be displayed in the viewport. In the case of the radius manipulator, it creates a single circle that represents the radius being manipulated.</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   giz =manip.makeCircle [0,0,0] (target.radius * 1.01) 28</code></pre></blockquote>\n\
<p>&quot; <code>manip</code> &quot; is a exported set of utility interface functions that manipulators can use. See the &quot;<strong>Reference</strong>&quot; section below for full details. In this case we are creating a circle, centered at the origin, with radius 1.01 times the radius we are manipulating, and 28 segments. The &quot;1.01&quot; factor was added so that the gizmo will stick out a little bit from the object it is manipulating. If we used the radius directly, then it might not be visible in the viewport, because it co-exists with the object it is manipulating.</p>\n\
<p>Note that 3d gizmos are defined in the local coordinate system of the node that owns the manipulator target. The system will automatically compensate if the node is moved, rotated or scaled when displaying or hit-testing the manipulator.</p>\n\
<p>Next, we add the gizmo to the manipulator:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   this.addGizmoShapegiz 0 g r</code></pre></blockquote>\n\
<p>This tells the manipulator to add the shape gizmo to the manipulator, with no special flags values ie. the &quot;0&quot;. All of the flags will be described below. Additionally, the command indicates to use green (&quot;g&quot;) as the unselected color and red (&quot;r&quot;) as the selected color. The selected color is used when the mouse passes over it, and the unselected color is used when the mouse isn&apos;t over it.</p>\n\
<p>Finally, this method returns a string value that will be used as the tool tip when the mouse passes over the gizmo.</p>\n\
<p>In general, gizmos can be made from meshes, shapes (wire frame), text and markers. The details are covered in the reference section below.</p>\n\
<p>The next handler is called &quot; <code>mouseMove m which</code> &quot;. This is called on every mouse movement when the target is being manipulated. The &quot; <code>m</code> &quot; parameter holds the screen coordinates of the mouse location, and the &quot; <code>which</code> &quot; parameter is an index that indicates which gizmo is being dragged. The gizmos are numbered in the order of their creation in &quot; <code>updateGizmos</code> &quot;, starting at 0.</p>\n\
<p>The <code>mouseMove</code> handler is usually the trickiest part of the manipulator to implement. It needs to update the value of the parameter being manipulated in such a way that the manipulator gizmo tracks under the mouse, if possible.</p>\n\
<p>For manipulators that exist in 3d space, this is normally done by computing a &quot; <code>hit-ray</code> &quot;, which is a ray in 3d space that passes through the mouse position, and travels in the direction of the view.</p>\n\
<p>This is computed as follows:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   viewRay = this.getLocalViewRaym</code></pre></blockquote>\n\
<p>This view ray is then intersected with some plane, and the new parameter value is computed using the intersection point.</p>\n\
<p>In the case of the radius manipulator, the plane we use is the XY plane, because the radius circle lies on the XY plane, in local coordinate space.</p>\n\
<p>This plane is computed as follows:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   local pl = manip.makePlaneFromNormalz_axis [0, 0, 0],</code></pre></blockquote>\n\
<p>This create &quot;pl&quot; which is a plane whose normal is the Z axis, and which passes through the origin ([0,0,0]).</p>\n\
<p>To intersect this with the view ray, we use the &quot;intersect&quot; operation on planes:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   projectedPoint= [0,0,0]\n\
   res =pl.intersect viewRay &amp;projectedPoint</code></pre></blockquote>\n\
<p>We set up &quot; <code>projectedPoint</code> &quot; first at the holder of the result of the intersection. The return value &quot; <code>res</code> &quot; is a boolean value that tells us if the intersection worked or not. If it returns true, the intersection worked, if it returns false, it failed. It can fail if the plane is parallel to the view ray.</p>\n\
<p>Once we have the intersection point, in &quot; <code>projectedPoint</code> &quot;, then we use that to determine a new value for the radius. In this case we use the distance from the origin (&quot; <code>length projectedPoint</code> &quot;) as the new radius. We scale it by dividing by 1.01 to compensate for the fact that we made the gizmo 1.01 time bigger than the actual radius being manipulated.</p>\n\
<p>That&apos;s it! Generally, you will need to use some trigonometry and linear algebra in your &quot;mouseMove&quot; handler. The idea behind direct manipulation is that the gizmo should track directly under the mouse.</p>\n\
<p>For a more complicated example of a 3d manipulator, check the code in <code>UVWManip.ms</code> .</p>\n\
<h2 id=\"standalone-manipulators\">Standalone Manipulators</h2><p>Standalone manipulators, like the 2d slider, require a bit more work.</p>\n\
<p>The code in SliderManip.ms will be used for this discussion.</p>\n\
<p>The header has a bit more information:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugins simpleManipulator sliderManipulator\n\
   name:&quot;Slider&quot;\n\
   classID:#(0x47db14ef, 0x4e9b5990)\n\
   category:&quot;Manipulators&quot;\n\
</code></pre></blockquote>\n\
<p>Since standalone manipulators can be saved in the MAX file, it needs a <a href=\"The-Super-Class-ID-and-the-Class.html\">class ID</a>. See the MAXScript reference for more information about that. It also does not include the &quot; <code>invisible:true</code> &quot; line, which means that the system will create a button for it in the &quot; <code>Create</code> &quot; panel. It will be placed in the &quot; <code>Manipulators</code> &quot; section of the helper create panel.</p>\n\
<p>We also need to define a parameter block and rollout UI for the object. This is done in the same way as other scripted plug-ins.</p>\n\
<p>Standalone manipulators manipulate themselves, so the &quot; <code>canManipulate</code> &quot; handler looks like this:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on canManipulate target return (classOf target) == sliderManipulator</code></pre></blockquote>\n\
<p>We also need to provide a creation tool that handles mouse interaction when creating the manipulator. This is handle exactly like other scripted plug-ins.</p>\n\
<p>A standalone manipulator also needs some special code in its &quot; <code>updateGizmos</code> &quot; handler. For the slider this looks like:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- If this is not a standalone manip, get values from the manip target\n\
   if (target != undefined) then\n\
   (\n\
   this.value = target.value\n\
   this.minVal = target.minVal\n\
   this.maxVal = target.maxVal\n\
   this.xPos = target.xPos\n\
   this.yPos = target.yPos\n\
   this.width = target.width\n\
   this.hide = target.hide\n\
   this.sldName = target.sldName\n\
   this.snapToggle = target.snapToggle\n\
   this.snapVal = target.snapVal\n\
   unselColor = greenColor\n\
   )\n\
   else\n\
   (\n\
   unselColor = yellowColor\n\
   )\n\
</code></pre></blockquote>\n\
<p>The test of &quot; <code>target != undefined</code> &quot; is to see if this if this is a manipulator, or standalone object. When the object is standalone, the value of &quot; <code>target</code> &quot; is undefined, and it uses the value of the parameters from its own parameter block. It target is defined, then this means it is manipulating. In that case, we want to copy the values of the parameters from the target that we are manipulating.</p>\n\
<h2 id=\"reference\">Reference</h2><p>Scripted manipulators can have the following handlers:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on canManipulate target</code></pre><p>This returns a value that says whether this manipulator manipulate the given target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on canManipulateNode n</code></pre><p>This returns a value that says whether this manipulator manipulate the given node.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>A manipulator should only implement one of these handlers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on updateGizmos</code></pre><p>This is called whenever the manipulator needs to build its gizmos. It returns a string value that is used for the tool tip. If it returns an empty string, no tool tip is displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on mouseMove m which</code></pre><p>This is called when the user has grabbed a gizmo and is dragging it.</p>\n\
<p>The &quot; <code>m</code> &quot; parameter hold the current screen coordinates of the mouse, and the &quot;which&quot; parameter indicates the 0-based index of the gizmo that is being dragged. This is what handles that actual manipulation.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Normally this will set a value of a parameter of the manipulation target based on the mouse location.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on mouseDown m which</code></pre><p>Called when the user first clicks the mouse down on the gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on mouseUp m which</code></pre><p>Called when the user releases the mouse after manipulation is done.</p>\n\
<h3 id=\"helper-functions\">Helper Functions</h3><p>There are some built-in functions that manipulators support, and a couple of helper packages with utility functions.</p>\n\
<p>The simpleManipulator type itself has these functions available:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">this.clearGizmos()</code></pre><p>This must be called at the beginning of the &quot;updateGizmos&quot; handler in order to clear the current gizmo cache.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">this.addGizmoMesh mesh flags unselColor selColor</code></pre><p>This creates a gizmo from a mesh (or geometry in MAX lingo). The mesh can be any arbitrary MAX mesh, and created with the tools in MAXScript for creating meshes. One convenient way to do this is to create an instance of a primitive and get the mesh from it.</p>\n\
<p>The flags can be 0, or one or more of these value. If you want more than one flag to apply, then you add the values together.</p>\n\
<p>Here are all the flags, and whether that can be used with addGizmoText, addGizmoMarker, addGizmoShape and addGizmoMesh:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gizmoDontDisplay</code></pre><p>Tells the system to not display the gizmo. It will be hit-tested, but not displayed, applies to all.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gizmoDontHitTest</code></pre><p>Tells the system to not hit-test the gizmo. It will be displayed, but not hit-tested, applies to all.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gizmoActiveViewportOnly</code></pre><p>Tells the system to only display and hit-test this gizmo in the active viewport, applies to all.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">this.addGizmoShapegizmo Shape flags unselColor selColor</code></pre><p>This creates a gizmo from a shape object. The gizmoShape can be created using functions from the &quot;manip&quot; package, described below.</p>\n\
<p>The flags can take on the same value as for &quot;addGizmoMesh&quot;, with two new values supported:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gizmoUseScreenSpace</code></pre><p>This tells the system to interpret the coordinates of the shape as device coordinates in the viewport, not as 3d values. The values are still specified as 3d points, but the &quot;Z&quot; coordinate is ignored, applies to all but addGizmoMesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gizmoUseRelativeScreenSpace</code></pre><p>This is like gizmoUseScreenSpace, but the coordinates are specified as values from 0.0 to 1.0, and interpreted in each viewport as a percentage of the width or height of the viewport, applies to all but addGizmoMesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addGizmoMarker markerType position flags unselColor selColor</code></pre><p>The creates a gizmo using a marker. The value of the &quot;markerType&quot; parameter can be:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#point #hollowBox #plusSign #asterisk #xMarker #bigBox #circle #triangle #diamond #smallHollowBox #smallCircle #smallTriangle #smallDiamond #dot #smallDot</code></pre><p>The position is a point in 3d space, or 2d screen space. The flags are the same ones supported by addGizmoShape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addGizmoText text position flags unselColor selColor</code></pre><p>This creates a gizmo that is text on the screen. Note that text cannot be hit-tested or grabbed by the mouse. It is used for display purposes only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getLocalViewRay m</code></pre><p>This function takes a mouse position and returns the ray that passes through that mouse position in the direction of the view. It is returned in the local coordinates of the node that owns the manipulator target.</p>\n\
<h2 id=\"the-quot-manip-quot-package\">The &quot;manip&quot; package</h2><p>&quot;manip&quot; is a value in MAXScript that contains a set of useful interface functions for manipulators. The functions it exports are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">manip.makeSphere position radius segments</code></pre><p>This returns a mesh sphere with the given position, radius, and segments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">manip.makeTorus position radius1 radius2 segments sides</code></pre><p>Create a torus mesh with the given values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">manip.makeBox position length width height lengthSegs widthSegs heightSegs</code></pre><p>Creates a box mesh with the given parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">manip.makePlaneFromNormal normal point</code></pre><p>Creates a Plane object with the given normal that passes through the given point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">manip.makeCircle center radius segments</code></pre><p>Creates a circle shape in the XY plane with the given parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">manip.makeGizmoShape()</code></pre><p>Creates an empty gizmo shape. See the details of &quot;GizmoShape&quot; below for how to use this.</p>\n\
<h3 id=\"plane-objects\">Plane objects</h3><p>The plane objects returned from &quot;manip.makePlaneFromNormal&quot; have the following functions available:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">intersectionPoint= [0,0,0]\n\
plane.intersect ray &amp;intersectionPoint</code></pre><p>This intersects the given ray with the plane. It returns true, if it succeeds, and false if it doesn&apos;t If it works, then the intersection point is set in the &quot;intersectionPoint&quot; value, which must be initialized to a Point3 value in advance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plane.mostOrthogonal ray otherPlane</code></pre><p>This returns the plane that is most orthogonal to the given ray. This means the plane that is most &quot;square&quot; to the view direction.</p>\n\
<p>Sometimes a manipulator might choose between two different planes on which to project a ray. It is usually best to project it to the plane which faces the view ray most directly, and this function determines that. See &quot;UVWManip.ms&quot; for an example of how to use this.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plane.getNormal()</code></pre><p>Returns the normal of a plane.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plane.getPoint()</code></pre><p>Return the point that the plane passes through.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plane.getPlaneConstant()</code></pre><p>Return the value of the plane constant. This is the value of &quot;D&quot; in the equation that defines the plane:</p>\n\
<p><code>Ax + By +Cz + D = 0</code></p>\n\
<h3 id=\"gizmoshape-objects\">GizmoShape objects</h3><p>A GizmoShape is a shape object that you can use to construct wire-frame gizmos. You can get an empty GizmoShape as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local giz = manip.makeGizmoShape()</code></pre><p>The functions available are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">giz.addPoint point</code></pre><p>This adds a new point to the shape. The points are connected by line segments in order to create the wireframe. If you want a closed shape, you have to add the first point again as the last point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">giz.startNewLine()</code></pre><p>This begins a new line segment in the shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">giz.transform matrix</code></pre><p>This transforms the gizmo by the given Matrix3 transform.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> See <code>UVWManip.ms</code> for an example of creating 3D gizmos with GizmoShape.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-manip.html\">Interface: manip</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-simpleManip.html\">Interface: simpleManip</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-manipPlane.html\">Interface: manipPlane</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-gizmoShape.html\">Interface: gizmoShape</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Cone_Angle-helper.html\">Cone_Angle : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Plane_Angle-helper.html\">Plane_Angle : helper</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/sliderManipulator-helper.html\">sliderManipulator : helper</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";