var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-461915FA-31A2-49CE-84AF-2544B782ACA3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Plug-in Clauses</h1></div><p>The various optional clauses inside the plug-in body are similar to those for scripted utilities and tools.</p>\n\
<p>There is an additional scripted plug-in specific clause <code>&lt;parameters&gt;</code> for defining scene-savable and Track View visible parameters for the plug-in.</p>\n\
<p>The <code>&lt;plugin_body&gt;</code> of a scripted plug-in definition is made up of a sequence of plug-in clauses as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;plugin_body&gt; ::= { &lt;plugin_clause&gt; }+</code></pre><p>Plug-in clauses define the components of a scripted plug-in and can be one of these five basic things:</p>\n\
<ul>\n\
<li><p><strong>Local variables, functions, or structure definitions</strong> - They are variables, functions, and structures whose scope is the plug-in. These locals will exist as long as the instance of the plug-in exists. The visibility of locals and accessing scripted plug-in locals from external code are described in <a href=\"./../Scripted-Utilities-and-Rollouts/Visibility-of-Locals-Functions.html\">Visibility of Locals, Functions, Structures, and User-Interface Items in Rollout Code</a> and <a href=\"./../Scripted-Utilities-and-Rollouts/Accessing-Locals-and-Other-Items.html\">Accessing Locals and Other Items in a Rollout from External Code</a>.</p>\n\
</li>\n\
<li><p><strong>Parameter blocks</strong> - They define a set of parameters for the plug-in, which are like plug-in local variables, but are directly animatable and are saved to and restored from scene files. You can also associate each parameter with appropriate user-interface elements in one of the plug-ins rollouts. When associated in this way, the parameters are &quot;wired&quot; to their spinners, checkboxes, and others. Both update automatically as the other changes, so you do not have to write any user-interface event handlers for them. These parameters correspond to the visible parameters you see in other <strong>3ds Max</strong> plug-ins.</p>\n\
</li>\n\
<li><p><strong>Mouse tools</strong> - They are used to perform a set of actions based on mouse clicks in the <strong>3ds Max</strong> viewports and are described in <a href=\"./../Scripted-Mouse-Tools.html\">Scripted Mouse Tools</a>.</p>\n\
</li>\n\
<li><p><strong>Rollouts</strong> - They can be displayed for the scripted plug-in. For scripted plug-ins that extend an existing plug-in, these rollouts can be displayed in addition to or replace the existing plug-in&#x2019;s rollouts. Rollout definitions are described in <a href=\"./../Scripted-Utilities-and-Rollouts/Utility-Clauses.html\">Utility Clauses</a>.</p>\n\
</li>\n\
<li><p><strong>Event handlers</strong> - They are special kinds of functions associated with particular events. Event handlers specify the processing that must occur when a user creates an instance of the scripted plug-in or when <strong>3ds Max</strong> calls the scripted plug-in. These actions generate named events and the optional event handler you supply for that event is called when the action occurs.</p>\n\
</li>\n\
</ul>\n\
<p>Formally, the syntax of a <code>&lt;plugin_clause&gt;</code> is defined as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;plugin_clause&gt; ::= &lt;local_variable_decl&gt; | \n\
&lt;local_function_decl&gt; | \n\
&lt;local_struct_decl&gt; | \n\
&lt;parameters&gt; | \n\
&lt;tools&gt; | \n\
&lt;rollouts&gt; | \n\
&lt;event_handler&gt;\n\
</code></pre><h2 id=\"topic-navigation\">Topic Navigation</h2><p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#locals\">Locals</a></li>\n\
<li><a href=\"#there-are-four-local-variables-accessible-in-all-scripted-plug-ins-\">There are four local variables accessible in all scripted plug-ins:</a></li>\n\
<li><a href=\"#parameters\">Parameters</a></li>\n\
<li><a href=\"#parameter-event-handlers\">Parameter Event Handlers</a></li>\n\
<li><a href=\"#tools\">Tools</a></li>\n\
<li><a href=\"#rollouts-and-related-event-handlers\">Rollouts and related Event Handlers</a></li>\n\
<li><a href=\"#event-handlers\">Event Handlers</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"locals\">Locals</h2><p>The <code>&lt;local_variable_decl&gt;</code>, <code>&lt;local_function_decl&gt;</code>, and <code>&lt;local_struct_decl&gt;</code> are exactly the same as local variable, function, and structure definitions in MAXScript:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;local_variable_decl&gt; ::= local &lt;decl&gt; { , &lt;decl&gt; }\n\
&lt;decl&gt; ::= &lt;name&gt; [ = &lt;expr&gt; ] -- optional initial value\n\
&lt;local_function_decl&gt; ::= [ mapped ](function | fn) &lt;name&gt; { &lt;argument&gt; } = &lt;expr&gt;\n\
&lt;local_struct_decl&gt; ::= struct &lt;name&gt; ( &lt;member&gt; { , &lt;member&gt; } )\n\
&lt;member&gt; ::= ( &lt;name&gt; [ = &lt;expr&gt; ] | &lt;local_function_decl&gt; )</code></pre><p>Global variables cannot be declared as a plug-in clause. However, they can be declared within event handler scripts. If you need to ensure a variable name references a global variable, declare the variable name as global immediately before defining the plug-in in your script.</p>\n\
<p>When writing scripts, it is good programming practice to explicitly declare your local and global variables. Implicit declaration is provided as a short-hand, typically used when working in the Listener interactively or developing short scripts. When developing extended scripts, explicitly declaring variables can reduce errors and improve readability of the code. It is also recommended that you declare as local all variables unless you really want them to be global variables. The reasons for this are described in <a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a>.</p>\n\
<p>Plug-in locals are attached to plug-in objects and each new instance of the scripted plug-in has its own local storage area. When you reference a plug-in local in a plug-in function or handler, it accesses the local storage of the currently active object. For example, the object currently open in the command panel. Plug-in local storage is not permanent across scene saves and loads (unlike <code>&lt;parameters&gt;</code> ). You can provide initial values for locals, as elsewhere in MAXScript, and the locals are re-initialized when a saved scripted plug-in object is loaded again as part of a scene file open. You can also do this by hand in a <code>create</code> event handler if you supply one in the plug-in.</p>\n\
<p>Plug-in locals are accessible to script code outside a plug-in as a normal property on the object, but note that they might be hidden by parameters or other common object properties if they have the same name. When accessing a property on a scripted plug-in object, MAXScript first looks in the common properties (such as, <code>.pos</code> , <code>.scale</code> , <code>.parent</code> , and others on a node), then in the parameters, and then in the locals for a property name match.</p>\n\
<h2 id=\"there-are-four-local-variables-accessible-in-all-scripted-plug-ins-\">There are four local variables accessible in all scripted plug-ins:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">version</code></pre><p>Yields the current version of the object as an Integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">this</code></pre><p>Yields the instance of the scripted plug-in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegate</code></pre><p>Yields the instance of the plug-in you are extending in an <code>extends:</code> plug-in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loading</code></pre><p>In <strong>3ds Max**</strong>6 and higher,** yields True while the plug-in instance is in the process of being loaded.</p>\n\
<p>The <code>version</code> local variable contains the version number specified in the scripted plug-in definition. See <a href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a> for more information on this variable.</p>\n\
<p>The <code>this</code> local variable always contains the MAXScript value corresponding to the current instance of the scripted plug-in. This variable provides a guaranteed way of accessing parameters on the new object within plug-in code (in case there are locals or globals with the same name), and it is a way of referencing the plug-in in case you want to store it to a variable.</p>\n\
<p>The <code>delegate</code> local variable contains the MAXScript value corresponding to the instance of the plug-in being extended. To access common properties or subAnim properties in the instance of the plug-in being extended, you need to do so using the <code>delegate</code> local variable.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   delegate.width = thisWidth\n\
</code></pre><p>   inside a plug-in function or handler will set the <code>.width</code> property in the instance of the plug-in being extended. The delegate local variable in a scripted plug-in that creates a scene object does not contain the node itself, but the BaseObject of that node. As such, you can not access the node level properties of the object being created. An exception to this is the node&#x2019;s transform, which is exposed to the scripted plug-in through a local variable called <code>nodeTM</code> . This variable is described in the applicable scripted plug-in type topics.</p>\n\
</blockquote>\n\
<p>If the <code>extends:</code> parameter is not supplied for a plug-in, <code>delegate</code> returns <code>undefined</code> .</p>\n\
<p>As well as local variables, you can define local functions and local structures, just as you can with scripted utilities and rollouts.</p>\n\
<h2 id=\"parameters\">Parameters</h2><p>You can define one or more parameter blocks in a scripted plug-in.</p>\n\
<p>A parameter block has the form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">parameters &lt;name&gt; [type:#class] [rollout:&lt;name&gt;] ( \n\
{ &lt;param_defs&gt; }+ \n\
{ &lt;event_handler&gt; } \n\
) </code></pre><p>A parameter block defines a set of parameters for the plug-in, which are like plug-in local variables, but are directly animatable and are saved to and restored from scene files. You can also associate each parameter with appropriate user-interface elements in one of the plug-ins rollouts. When associated in this way, the parameters are &quot;wired&quot; to their spinners, checkboxes, and others. Both update automatically as the other changes, so you do not have to write any user-interface event handlers for them. These parameters correspond to the visible parameters you see in other <strong>3ds Max</strong> plug-ins. Parameters in the parameter block do not participate in <strong>3ds Max</strong>&#x2019;s undo system, therefore changes to the parameter values are not undoable.</p>\n\
<p>The <code>&lt;name&gt;</code> you give to a parameter block becomes permanently associated with the parameter block and is used by MAXScript to connect to the right parameter block in a plug-in object that is being loaded from a scene file. This becomes important as you modify a plug-in script and yet there are still objects corresponding to the old definition in other files. When the old-version object is loaded, MAXScript attempts to convert it to the new definition using the current parameter block definition as a guide. To properly do this, each parameter in a parameter block is also given a permanent name. So, if you have existing objects of your plug-in in other files, do not change the parameter block names randomly or they will not be loadable.</p>\n\
<p>The optional <code>type:&lt;#class&gt;</code> specifies that the parameters in the parameter block are &quot;class&quot; parameters. This means that there is one copy of each parameter for *all* the objects of this plug-in class; they all share the parameter. Examples of existing class parameters are the creation type and type-in parameters in a typical geometry primitive.</p>\n\
<p>The optional <code>rollout:&lt;name&gt;</code> specifies a rollout definition elsewhere in the plug-in body to use as the user-interface rollout for the parameter block&apos;s parameters. A limitation of the internal parameter block mechanism requires that each parameter block be associated with a separate rollout and each rollout be associated with only one parameter block. This means that each rollout you want to have in the plug-ins user interface must have its own separate parameter block.</p>\n\
<p>The <code>&lt;param_defs&gt;</code> are definitions for each parameter in the parameter block.</p>\n\
<p>They have the form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;name&gt; type:&lt;#name&gt; [localizedName:&lt;string&gt;] [nonLocalizedName:&lt;string&gt;] [tabSize:&lt;integer&gt;] \n\
[tabSizeVariable:&lt;boolean&gt;] [default:&lt;operand&gt;] [animatable:&lt;boolean&gt;] \n\
[subAnim:&lt;boolean&gt;] [ui:&lt;ui_def&gt;] [assettype:&lt;asset_type&gt;] \n\
[invisibleInTV:&lt;boolean&gt;] [showAllInTV:&lt;boolean&gt;]\n\
[readOnly:&lt;boolean&gt;] [readOnlyAsset:&lt;boolean&gt;] [enumAsAsset:&lt;boolean&gt;]\n\
[useNodeOsValidity:&lt;boolean&gt;] [useNodeTmValidity:&lt;boolean&gt;]</code></pre><p>The <code>&lt;name&gt;</code> is permanently associated with the parameter in the same sense as parameter block names. They are used to connect to the right parameter when loading objects of the scripted plug-in and allow you to make certain changes to a script and still be able to load old version objects. So, as with parameter block names, do not change or re-use parameter names if you have scene files with old version objects you want to get at.</p>\n\
<p>The optional <code>localizedName:&lt;string&gt;</code> specifies a localized string that is used when 3ds Max attempts to display the parameter&apos;s localized name. This localized name is shown in places such as <strong>TrackView</strong> when the parameter type is animatable, or holds a material or texturemap; in the <strong>Material Editor</strong> when displaying the UI for a subMaterial or subTexture; or in the <strong>Slate Material Editor</strong> when displaying slot names. This localized name is returned from the MAXScript <code>getSubAnimName()</code>, <code>getSubAnimNames()</code>, <code>getSubMtlSlotName()</code> and <code>getSubTexmapSlotName()</code> methods. When not specified, the parameter&apos;s <code>name</code> property is displayed.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> The optional <code>nonLocalizedName:&lt;string&gt;</code> specifies a nonlocalized (ENU) string that is used when an attempt is made to access the parameter in a script. This option should be specified if the parameter&apos;s name property is not the same as the <code>localizedName</code> option when 3ds Max is running in the <strong>en-US</strong> locale. The nonlocalized name is returned from the MAXScript <code>getSubAnimName()</code>, <code>getSubAnimNames()</code>, <code>getSubMtlSlotName()</code> and <code>getSubTexmapSlotName()</code> methods when they are called with the localizedName/localizedNames options set to false. When not specified, the parameter&apos;s name property is returned instead.</p>\n\
<p>The <code>type:&lt;#name&gt;</code> parameter is required and defines the parameter type. It can be one of the following:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#float</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#integer</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#index</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#color</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#rgb</code></td>\n\
<td>animatable, alias of <code>#color</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#frgba</code></td>\n\
<td>animatable, available since 3ds Max 6</td>\n\
</tr>\n\
<tr>\n\
<td><code>#point3</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#point4</code></td>\n\
<td>animatable, available since 3ds Max 6</td>\n\
</tr>\n\
<tr>\n\
<td><code>#boolean</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#angle</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#percent</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#worldUnits</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#matrix3</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#string</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#filename</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#colorChannel</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#time</code></td>\n\
<td>animatable</td>\n\
</tr>\n\
<tr>\n\
<td><code>#radiobtnIndex</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#material</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#texturemap</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#bitmap</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#node</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#maxObject</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#paramBlock2</code></td>\n\
<td>available since 3ds Max 2018</td>\n\
</tr>\n\
<tr>\n\
<td><code>#point2</code></td>\n\
<td>available since 3ds Max 2018</td>\n\
</tr>\n\
</tbody></table>\n\
<p>or one of the following types which are arrays of the above base types:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#floatTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#intTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#indexTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#colorTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#rgbTab</code></td>\n\
<td>Alias of <code>#colorTab</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#frgbaTab</code></td>\n\
<td>Available since 3ds Max 6</td>\n\
</tr>\n\
<tr>\n\
<td><code>#point3Tab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#point4Tab</code></td>\n\
<td>Available since 3ds Max 6</td>\n\
</tr>\n\
<tr>\n\
<td><code>#boolTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#angleTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#percentTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#worldUnitsTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#matrix3Tab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#stringTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#filenameTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#colorChannelTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#timeTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#radiobtnIndexTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#materialTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#texturemapTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#bitmapTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#nodeTab</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#maxObjectTab</code></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<p>In <strong>3ds Max 2010 and higher</strong>, when the parameter is of type <strong><code>#filename</code></strong> , to handle the parameter as an asset you also need to specify <code>assettype:&lt;asset_type&gt;</code> where argument is one of the following enums:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#Other</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#Bitmap</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#XRef</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#Photometric</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#Animation</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#VideoPost</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#BatchRender</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#ExternalLink</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#RenderOutput</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#PreRenderScript</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#PostRenderScript</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#Sound</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#Container</code></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<p>TYPE_INDEX, TYPE_INDEX_TAB, TYPE_MATRIX3, and TYPE_MATRIX3_TAB have been added as supported PB2 data types in MAXScript. TYPE_INDEX is used for parameters that are 0-based, but are exposed in MAXScript as 1-based, for example, a vertex index.</p>\n\
<p>The above data types are also available in scripted parameter blocks with types of <code>#index</code> , <code>#indexTab</code> , <code>#matrix3</code> , and <code>#matrix3Tab</code> respectively.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   height1 type:#index animatable:true default:1 ui:height1\n\
   height3 type:#indexTab tabSizeVariable:true\n\
   m3a type:#matrix3 default:(matrix3 [1,0,0] [0,0,1] [0,-1,0] [53.1187,-6.50834e-007,14.8893])\n\
   m3b type:#matrix3tab tabSizeVariable:true\n\
</code></pre></blockquote>\n\
<p><code>type:#index</code> is animatable, and <code>#matrix3</code> is not.</p>\n\
<p><code>type:#index</code> must behave in the same manner as <code>type:#int</code> , except the data value stored is 0-based, but is seen by MAXScript as 1-based. So, if you had an object using an animated height1 property (as defined above),</p>\n\
<blockquote>\n\
<p>   <strong>YOU WILL SEE SOMETHING LIKE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $.height1\n\
   15\n\
   $.height1.controller.value\n\
   14.0\n\
</code></pre></blockquote>\n\
<p>The <code>type:#integer</code> parameters can be associated with dropDownList, ComboBox, and ListBox user interface controls using the UI: option in the parameter definition. The value in the parameter corresponds to the 1-based index of the currently selected item in the user interface control.</p>\n\
<p>ListBox user interface controls were not supported for integer parameter association in releases prior to <strong>3ds Max 7</strong>.</p>\n\
<p>Typically, you would populate this list with names or strings, and the value in the associate parameter effectively becomes a code number for these names or strings. Setting the value of the parameter using a script will automatically cause the corresponding item in the dropDownList to be selected if the UI for that object is currently open.</p>\n\
<p><code>#worldUnits</code> and <code>#worldUnitsTab</code> specify that a parameter holds a world distance value that is kept internally as a system units float.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   parameters main rollout:params\n\
   (\n\
   height type:#worldUnits ui:heightSpin\n\
   )\n\
</code></pre></blockquote>\n\
<p>Note that this does not cause any spinner display to be automatically shown in current display units. You also need to specify <code>type:#worldUnits</code> on the associated rollout spinner definition.</p>\n\
<p><code>#node</code> and <code>#nodeTab</code> are used to store references to nodes. The nodes stored in these parameters cannot create a circular dependency. For example, if you were creating a scripted helper, and set the helper as a target or parent of a camera, you cannot store the camera node in a <code>#node</code> or <code>#nodeTab</code> parameter. Likewise, if you created a scripted modifier or material, and store a node in a <code>#node</code> or <code>#nodeTab</code> parameter, you cannot apply the modifier or material to that node.</p>\n\
<p><code>#node</code> and <code>#nodeTab</code> can take these flags, which affect whether the plugin is re-evaluated if the node is animated:</p>\n\
<ul>\n\
<li><code>useNodeTmValidity</code> - set to true to cause the scripted plugin to take into account the node&apos;s transform validity.</li>\n\
<li><code>useNodeOsValidity</code> - set to true to cause the scripted plugin to take into account the node&apos;s object space / geometry pipeline validity.</li>\n\
</ul>\n\
<p>The various <code>xxTab</code> parameter types allow you to store an array of values having the corresponding type. The initial size of the array is specified using the <code>tabSize:</code> specifier. If <code>tabSizeVariable:true</code> is specified, the size of the array will be automatically expanded when you assign to an higher array index.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   parameters main rollout:params\n\
   (\n\
   mapAmounts type:#floatTab tabSize:4 tabSizeVariable:true ui:(map1Amount, map2Amount, map3Amount, map4Amount)\n\
   )\n\
</code></pre></blockquote>\n\
<p>defines an array parameter containing four float elements (defined by the <code>tabSize:</code> parameter).</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The number of UI items must match the tabSize. If the user increases the tab size using a script, new UI elements are not created for the new items. If the user decreases the number to less than the UI element count, this will lead to a crash.</p>\n\
\n\
</div></div>\n\
\n\
<p>You can associate a separate rollout element with each array parameter element. These parameters appear as arrays when accessed in the plug-in handler code.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = mapAmounts[i]\n\
</code></pre></blockquote>\n\
<p>Because <code>tabSizeVariable:true</code> was specified, the following will automatically increase the array size to 10:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mapAmounts[10] = a\n\
</code></pre><p>You can also increase or decrease the array size by assigning a value to the <code>.count</code> property.</p>\n\
<p>Each element in an array parameter whose base type is a number of some kind ( <code>floatTab</code> , <code>intTab</code> , <code>percentTab</code> , and so on) is independently and automatically animatable unless you specify <code>animatable:false</code> . You can get at and assign individual controllers using the <code>.controller</code> property.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   c = mapAmounts[i].controller\n\
</code></pre></blockquote>\n\
<p>The optional parameter <code>default:&lt;operand&gt;</code> specifies an initial default value for the parameter. The <code>&lt;operand&gt;</code> expression has to be convertible by MAXScript to the base type of the parameter.</p>\n\
<p>The optional parameter <code>animatable:&lt;boolean&gt;</code> specifies whether the parameter is animatable and hence visible in the track view. Only those base types marked as animatable in the above type list can be specified as animatable. Defaults to <code>true</code> .</p>\n\
<p>The optional parameter <code>subAnim:&lt;boolean&gt;</code> can be specified for the <strong>3ds Max</strong> object types: <code>#node</code> , <code>#material</code> , <code>#textureMap</code> , and <code>#maxObject</code> . If specified as <code>true</code> , the <strong>3ds Max</strong> object is made visible as a sub-object track in track view. Defaults to <code>false</code> .</p>\n\
<p>The optional parameter <code>ui:&lt;ui_def&gt;</code> is used to specify which user-interface element in the parameter block&apos;s associated rollout is to be linked to this parameter. When linked, the handling of user actions for these elements are automatic and they also update automatically to follow any changes to the parameter caused by animation, scripts, and others. For example, in the following, the parameter block named <code>main</code> is associated with the rollout named <code>params</code> . The parameters <code>height</code> and <code>spread</code> are then linked with the spinners named <code>height</code> and <code>spread</code> in that rollout:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   parameters main rollout:params\n\
   (\n\
   key type:#node subAnim:true\n\
   fill type:#node subAnim:true\n\
   back type:#node subAnim:true\n\
   height type:#float animatable:true default:10 ui:height\n\
   spread type:#float animatable:true default:10 ui:spread\n\
   on height set val do\n\
   (\n\
   key.pos.z = val\n\
   back.pos.z = val * 1.5\n\
   fill.pos.z = val * 0.5\n\
   )\n\
   )\n\
   rollout params &quot;Light Parameters&quot;\n\
   (\n\
   spinner height &quot;Height&quot;\n\
   spinner spread &quot;Spread&quot;\n\
   )\n\
</code></pre></blockquote>\n\
<p>After this is done, the parameter and spinner are linked and changes in one are reflected immediately and automatically in the other. Further, if the parameter is animated, the spinner will show red keyframe highlights when the time slider is positioned at a keyframe for that parameter as with other <strong>3ds Max</strong> plug-ins. The kinds of user-interface items that can be linked to particular parameter types is limited to the following sensible combinations:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Parameter type</th>\n\
<th>Rollout user-interface item</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#integer</code></td>\n\
<td>spinner, slider, radioButtons, checkbox, checkbutton</td>\n\
</tr>\n\
<tr>\n\
<td><code>#float</code></td>\n\
<td>spinner, slider</td>\n\
</tr>\n\
<tr>\n\
<td><code>#time</code></td>\n\
<td>spinner, slider</td>\n\
</tr>\n\
<tr>\n\
<td><code>#color</code></td>\n\
<td>colorpicker</td>\n\
</tr>\n\
<tr>\n\
<td><code>#angle</code></td>\n\
<td>spinner, slider</td>\n\
</tr>\n\
<tr>\n\
<td><code>#percent</code></td>\n\
<td>spinner, slider</td>\n\
</tr>\n\
<tr>\n\
<td><code>#colorChannel</code></td>\n\
<td>spinner, slider</td>\n\
</tr>\n\
<tr>\n\
<td><code>#boolean</code></td>\n\
<td>checkbox, checkbutton</td>\n\
</tr>\n\
<tr>\n\
<td><code>#node</code></td>\n\
<td>pickButton</td>\n\
</tr>\n\
<tr>\n\
<td><code>#textureMap</code></td>\n\
<td>mapButton</td>\n\
</tr>\n\
<tr>\n\
<td><code>#material</code></td>\n\
<td>materialButton</td>\n\
</tr>\n\
<tr>\n\
<td><code>#worldUnits</code></td>\n\
<td>spinner, slider</td>\n\
</tr>\n\
</tbody></table>\n\
<p>The optional parameter <code>invisibleInTV:&lt;boolean&gt;</code> if set to <strong>true</strong> hides the parameter in TrackView. This only applies to parameters that are subAnim or animatable normally shown in TrackView. The default is <strong>false</strong>.</p>\n\
<p>The optional parameter <code>showAllInTV:&lt;boolean&gt;</code> if set to <strong>true</strong>, and the parameter is subAnim or animatable normally shown in TrackView, and the parameter is also a Tab type parameter, then all of the tab elements are shown in TrackView. The default is <strong>false</strong>.</p>\n\
<p>The optional parameter <code>readOnly:&lt;boolean&gt;</code> if set to true, means the parameter&apos;s value cannot be set using MAXScript, it can only be changed in the user interface. Similarly, the optional <code>readOnlyAsset:&lt;boolean&gt;</code> parameter applies to asset type parameters, and when true, the parameter&apos;s value cannot be set using the Asset Tracker or MAXScript. It can only be changed using the user interface.</p>\n\
<p>The optional parameter <code>enumAsAsset:&lt;boolean&gt;</code> if set to true for asset type parameters, specifies that the asset held by the parameter is reported when performing scene asset enumeration.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   t=teapot()\n\
   bitmap_holder = attributes &quot;bitmap_holder&quot;\n\
   (\n\
   parameters main\n\
   (\n\
   thebitmap type:#filename assetType:#bitmap enumAsAsset:true\n\
   )\n\
   )\n\
   custattributes.add t.baseobject bitmap_holder\n\
   t.baseobject.thebitmap = &quot;fir1.tga&quot;\n\
\n\
   function get_names name a = append a name\n\
   files = #()\n\
   enumerateFiles t.baseobject get_names files\n\
   enumerateFiles t.baseobject get_names files #missing\n\
   files\n\
\n\
   --&gt; #(&quot;fir1.tga&quot;)\n\
</code></pre></blockquote>\n\
<h2 id=\"parameter-event-handlers\">Parameter Event Handlers</h2><p>The following event handlers are associated with parameters. These handlers are called when a parameter is assigned a value, or when the parameter value is retrieved.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> <strong>preSet</strong> replaces <strong>set</strong> in most situations; see below.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;name&gt; set &lt;arg&gt; do &lt;expr&gt;\n\
on &lt;name&gt; preSet &lt;arg1&gt; do &lt;expr&gt;\n\
on &lt;name&gt; postSet &lt;arg1&gt; do &lt;expr&gt;</code></pre><p>A <code>set</code> handler can be supplied for any of the parameters in the block and it will be called whenever the parameter is updated, either through an associated rollout user-interface item or directly, especially using the MAXScript property assignment. In general, the way you code change handlers is to supply <code>set</code> handlers for parameters, rather than <code>on &lt;item&gt;</code> change handlers for spinners, checkboxes, and others in the rollout definition. A <code>set</code> handler in used in the previous example to update the light positions when the height parameter value changes.</p>\n\
<p>The <code>set</code> handlers are also called when an instance is created or loaded so that common dependent actions can be taken such as, setting up other dependent system object or delegate properties.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the param is of a <strong>tab</strong> type, the <code>set</code> handler is <strong>not</strong> called on create or load.</div>\n\
<p>Available since <strong>3ds Max 2018</strong>: The <strong>preSet</strong> and <strong>postSet</strong> handlers guarantee the state of the parameter value. In most situations you should use <strong>preSet</strong> instead of <strong>set</strong>, as the parameter value is guaranteed to be the original value, while the <code>&lt;arg&gt;</code> passed through is the new value. To alter the <code>&lt;arg&gt;</code> value passing through, do not change <code>&lt;arg&gt;</code>, but rather return a new value from the handler. MAXScript will set the parameter to this returned value.</p>\n\
<p>In situations where you do not need to alter the value passing through, or do not care about the original parameter value (for example, when you are updating a UI element), use <strong>postSet</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;name&gt; get &lt;arg&gt; do &lt;expr&gt;</code></pre><p>A <code>get</code> handler can be supplied for any of the parameters in the block and it will be called whenever the parameter value is retrieved. This will occur when the user interface updates itself or a script accesses the parameter. It will also occur when a viewport is redrawn or a render occurs if a script (including the scripted plugin itself) accesses the parameter as part of the redraw or render. In all these cases, the animated value is retrieved one or more times. The <code>get</code> handler is called with a single argument which is the current value stored in the paramblock (or underlying controller if the parameter is animated). The <code>currentTime</code> variable is set to the time at which the value is being retrieved and not necessarily the current slider time, since you can ask a parameter for its value for any specified time. If you implement the <code>get</code> handler, you must return a value, and that value is returned as the value of the parameter to the value requester. If you do not want to modify the value, but just monitor accesses, return the argument. You can also compute and return any value of the appropriate type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;name&gt; set &lt;arg1&gt; [&lt;arg2&gt;] do &lt;expr&gt;\n\
\n\
on &lt;name&gt; get &lt;arg1&gt; [&lt;arg2&gt;] do &lt;expr&gt;</code></pre><p>For both get and set handlers, if the parameter is of <strong>tab</strong> type, a second argument can be specified for the handlers. The tab index will be placed in the second argument.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin helper getsetHandlerTest\n\
   name:&quot;DummyEx&quot;\n\
   classID:#(1453456,5432110)\n\
   category:&quot;Scripted Primitives&quot;\n\
   extends:dummy\n\
   (\n\
   parameters main rollout:params\n\
   (\n\
   nodeTab type:#nodetab tabSizeVariable:true\n\
   on nodeTab set val index do format &quot;set nodeTab: % : %\\n&quot; val index\n\
   on nodeTab get val index do (format &quot;get nodeTab: % : %\\n&quot; val index;val)\n\
   intTab type:#inttab tabSizeVariable:true\n\
   on intTab set val index do format &quot;set intTab: % : %\\n&quot; val index\n\
   on intTab get val index do (format &quot;get intTab: % : %\\n&quot; val index;val)\n\
   point3Tab type:#point3tab tabSizeVariable:true\n\
   on point3Tab set val index do format &quot;set point3Tab: % : %\\n&quot; val index\n\
   on point3Tab get val index do (format &quot;get point3Tab: % : %\\n&quot; val index;val)\n\
   intVal type:#integer\n\
   on intVal set val do format &quot;set intVal: %\\n&quot; val\n\
   on intVal get val do (format &quot;get intVal: %\\n&quot; val;val)\n\
   )\n\
   rollout params &quot;Parameters&quot;\n\
   (\n\
   )\n\
   )\n\
   ----------------------------------\n\
   --Test the Get and Set Handlers:--\n\
   ----------------------------------\n\
   x=getsetHandlerTest() --create an instance of the above Helper\n\
   b=box()\n\
   s=sphere()\n\
   x.nodeTab[1] = b\n\
   x.nodeTab[2] = s\n\
   x.nodeTab[1]\n\
   x.nodeTab[2]\n\
   x.intTab[1] = 9\n\
   x.intTab[2] = 20\n\
   x.intTab[1]\n\
   x.intTab[2]\n\
   x.point3Tab[1] = [pi,pi,pi]\n\
   x.point3Tab[2] = [e,e,e]\n\
   x.point3Tab[1]\n\
   x.point3Tab[2]\n\
   x.intVal = 20\n\
   x.intVal\n\
   with animate on at time 100 x.intVal = 120\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getsetHandlerTest\n\
   set intVal: 0\n\
   $DummyEx:DummyEx01 @ [0.000000,0.000000,0.000000]\n\
   $Box:Box01 @ [0.000000,0.000000,0.000000]\n\
   $Sphere:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   set nodeTab: $Box:Box01 @ [0.000000,0.000000,0.000000] : 1\n\
   $Box:Box01 @ [0.000000,0.000000,0.000000]\n\
   set nodeTab: $Sphere:Sphere01 @ [0.000000,0.000000,0.000000] : 2\n\
   $Sphere:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   get nodeTab: $Box:Box01 @ [0.000000,0.000000,0.000000] : 1\n\
   $Box:Box01 @ [0.000000,0.000000,0.000000]\n\
   get nodeTab: $Sphere:Sphere01 @ [0.000000,0.000000,0.000000] : 2\n\
   $Sphere:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   set intTab: 9 : 1\n\
   9\n\
   set intTab: 20 : 2\n\
   20\n\
   get intTab: 9 : 1\n\
   9\n\
   get intTab: 20 : 2\n\
   20\n\
   set point3Tab: [3.14159,3.14159,3.14159] : 1\n\
   [3.14159,3.14159,3.14159]\n\
   set point3Tab: [2.71828,2.71828,2.71828] : 2\n\
   [2.71828,2.71828,2.71828]\n\
   get point3Tab: [3.14159,3.14159,3.14159] : 1\n\
   [3.14159,3.14159,3.14159]\n\
   get point3Tab: [2.71828,2.71828,2.71828] : 2\n\
   [2.71828,2.71828,2.71828]\n\
   set intVal: 20\n\
   20\n\
   get intVal: 20\n\
   20\n\
   set intVal: 120\n\
   120\n\
   OK\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;name&gt; tabChanged &lt;arg1&gt; &lt;arg2&gt; &lt;arg3&gt; do &lt;expr&gt;</code></pre><p>A <code>tabChanged</code> handler can be supplied for any Tab parameters in the block and will be called when an operation is performed on the tab itself. The arguments are:</p>\n\
<p><code>arg1</code> - The type of change. Will be one of: # <code>insert</code> , # <code>append</code> , # <code>delete</code> , # <code>refDeleted</code> , # <code>setCount</code> , or # <code>sort</code> . All are pretty evident except for # <code>refDeleted</code> . This type will occur when a MAXWrapper stored in the tab is deleted.</p>\n\
<p><code>arg2</code> - The tabIndex associated with the operation. If not applicable, it will have a value of 0.</p>\n\
<p><code>arg3</code> - The count associated with the operation. If not applicable, it will have a value of -1.</p>\n\
<p>For example, if you append an item to a tab that already contains one member, you will get a call to this handler with arguments of: #append 2 1. The set handler is not called, so you must handle this message in the same way as the set handler.</p>\n\
<h2 id=\"tools\">Tools</h2><p>Plug-ins can define local mouse tools. Although, you can have any number of local tools and start them as needed, you typically supply a single tool with the reserved name <code>create</code> . This is taken to be the create tool for objects created in the Create panel and is invoked automatically when you create scripted plug-in objects. Tool definitions are described in <a href=\"./../Scripted-Mouse-Tools.html\">Scripted Mouse Tools</a>.</p>\n\
<p>Creatable scene scripted plug-ins (scripted plug-ins that are not invisible, temporary, or extend another plug-in) require a <code>create</code> tool. A <code>create</code> tool, if present on a non-temporary extending plug-in will override the delegate&apos;s create tool. The animate state is implicitly turned off while the <code>create</code> tool is executed.</p>\n\
<p>A local variable <code>WS73099cc142f487553098682e12ac2fc2bc7-722e</code> is accessible within the <code>create</code> tool. This variable contains a Matrix3 value. This value is in the active grid coordinate system. This variable allows the <code>create</code> tool to set the transform of the node currently being created. Also, within the <code>create</code> tool you must use the <code>gridX</code> values rather than <code>worldX</code> values in all cases because object-creation is managed in the active grid coordinate system.</p>\n\
<h2 id=\"rollouts-and-related-event-handlers\">Rollouts and related Event Handlers</h2><p>Plug-ins can define local rollouts. These have the same syntax as local rollouts in scripted utilities. Unlike utility local rollouts, these rollouts are automatically opened as appropriate for the plug-in type (in the command panel, Material Editor, and others).</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Rollout local variables only live as long as the rollout is open in the user interface. It gets opened and closed each time it is displayed, so the rollout open and close events are signalled at this time. If you want to load any spinners or other user-interface elements from the currently editing plug-in object, supply an <code>on &lt;rollout&gt; open</code> event handler to pick up these values. Rollout definitions are described in <a href=\"./../Scripted-Utilities-and-Rollouts/Utility-Clauses.html\">Utility Clauses</a>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;rollout&gt; reload do ...</code></pre><p>This event handler is defined for rollouts in scripted plug-ins. This handler is called in a scripted material, environment, or render effect whenever an instance of the plug-in is open in the Material Editor or render effects dialog, and another instance of the same plug-in class is selected. In this situation, the existing rollout is not closed and re-opened, but rather left open and &apos;loaded&apos; with the new instance. The &apos;reload&apos; handler is called after the new instance is installed in the rollout and can be used in place of <code>on &lt;rollout&gt; open do ...</code> handler to update the rollout. The open handler is not called in this case. The reload event handler is not called if the scripted object has custom attributes associated with it, rather the existing rollout is closed and a new rollout opened.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;rollout&gt; setTime &lt;val&gt; do ...</code></pre><p>This event handler is defined for rollups in scripted materials and texturemaps. This handler is called whenever the time slider is changed while the rollout is displayed. <code>&lt;val&gt;</code> is the slider time.</p>\n\
<h2 id=\"event-handlers\">Event Handlers</h2><p>As with mouse tools, scripted plug-ins respond to certain actions in <strong>3ds Max</strong> by implementing handler functions. All types of scripted plug-ins support the following event handlers. You can use these event handlers to perform any extra initialization needed such as, loading up plug-in local variables or initializing properties of the plug-in&#x2019;s delegate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on create do &lt;expr&gt;</code></pre><p>The <code>create</code> event handler is called whenever an instance of a scripted plug-in is created in a scene file. The animate state is implicitly turned off while the <code>create</code> event handler expression is executed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on postCreate do &lt;expr&gt;</code></pre><p>When a scripted plugin is created, its create handler is called, the set handler for all paramBlock items are called, and then the postCreate handler is called. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on load do &lt;expr&gt;</code></pre><p>The <code>load</code> event handler that is called whenever an instance of a scripted plug-in is loaded from a scene file. The animate state is implicitly turned off while the <code>load</code> event handler expression is executed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on postLoad do &lt;expr&gt;</code></pre><p>When a scripted plugin is loaded, its update handler is called if necessary, the load handler is called, the set handler for all param block items are called, and then the postLoad handler is called. In most cases, you do not want to perform any action in the param block item set handlers when they are called during a load. You can make processing with the set handlers conditional using the &apos;loading&apos; automatic variable.</p>\n\
<p>Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> It is recommended that MAX objects not be deleted in the load or postload handlers, or in the param block item set handlers when they are called during a load. These calls occur much later in the scene load than the update handler, and deleting objects will most likely not cause a failure. However, this can not be guaranteed.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on update do &lt;nodeVar&gt;</code></pre><p>The <code>update</code> event handler that is called whenever an instance of a scripted plug-in is present in the scene file, and the definition of the scripted plug-in is changed (if you define a scripted plug-in, create an instance of the plug-in object in the scene, and then change and execute the script defining the scripted plug-in, the update event handler defined in the new definition of the scripted plug-in script is called for each instance of the plug-in object in the scene). See the Updating Scripted Plug-ins topic for more information.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> You must not cause a MAX object to be deleted in an update handler. The file is not done loading when the update handler is called and deleting an object might cause a crash when 3ds Max tries to finish loading the now deleted object.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on attachedToNode &lt;nodeVar&gt; do ...</code></pre><p>Called whenever a scripted plug-in scene object (geometry, camera, light, helper, shape) is bound to a node in the scene such as, during create mode. The node that the current plug-in instance is being attached to is given as the first argument. In the event of scene node instancing, this handler might be called several times, whenever the base object is instanced to a node. Note that, in most cases, this will be called in the middle of a create mode and consequently actions such as, creating other nodes in the handler body are forbidden as they are generally in &apos;on create&apos; handlers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on detachedFromNode &lt;node&gt; do ...</code></pre><p>This is a handler to scene object scripted plug-ins. It is called whenever a node that references a plug-in instance is deleted in the scene. Note that in the presence of instancing, there might still be other nodes referencing the base object instance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on deleted do...</code></pre><p>Called whenever the scripted plug-in object is finally deleted. This might not occur immediately such as, when a scene node containing a scripted base object is deleted because the object is held onto by the undo stack in case the node delete is undone by the user. The delete might occur when the undo stack is cleared such as, a file new or reset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on clone &lt;original&gt; do ...</code></pre><p>Called whenever an instance of a scripted plug-in is cloned. This event handler is called on the newly created scripted plugin instance and the argument passed in is the plugin instance that was cloned.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin material MyMaterial\n\
   name:&quot;MyMaterial&quot;\n\
   classID:#(0x69fedc0d, 0x7c79a4d2)\n\
   extends:Standard replaceUI:true\n\
   (\n\
   parameters hardwareShaders rollout:shaderRoll\n\
   (\n\
   )\n\
   rollout shaderRoll &quot;Hardware Shaders&quot; width:328 height:189\n\
   (\n\
   label l1 &quot;AA&quot;\n\
   )\n\
   on create do format &quot;created: %\\n&quot;this\n\
   on clone orig do format &quot;cloned: % : % : % : %\\n&quot; this orig(this == orig) (delegate == orig.delegate)\n\
   )\n\
   a=mymaterial()\n\
   b=copy a\n\
</code></pre><p>   <strong>RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   MyMaterial\n\
   created: (null):MyMaterial\n\
   MyMaterial:MyMaterial\n\
   cloned: MyMaterial:MyMaterial : MyMaterial:MyMaterial : false : false\n\
   MyMaterial:MyMaterial\n\
</code></pre></blockquote>\n\
<p>Specific classes of scripted plug-ins implement additional event handlers and are described with description of the scripted plug-in type.</p>\n\
<p>Runtime errors in certain event handlers cause the plug-in to be disabled until it is re-defined. When disabled, none of the plug-in event handlers are called. For example, errors in the <code>map</code> event handler expression in <code>SimpleMods</code> and the <code>buildMesh</code> event handler expression in <code>SimpleObject</code> disable the plug-in because they are called so frequently. You will need to correct any problems and re-evaluate the plug-in definition again to re-enable the plug-in event handlers.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";