var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DB36699E-7589-4C38-97C2-A04F093C6789\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Plug-in Methods</h1></div><p>The <code>addPluginRollouts()</code> is used within scripted plug-in create tools, specifically for level 1 plug-ins that don&apos;t create instances of themselves in the scene but might create other objects within their create tool. This method lets you install rollouts for a specified object in the Create panel, typically one of the objects being created in the create tool, so that its parameters can be adjusted directly during creation.</p>\n\
<p>The form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addPluginRollouts &lt;obj&gt;</code></pre><p>In the following example, a variation of the three light mouse tool example presented in <a href=\"./../Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\">Mouse Tool Clauses</a> is set into permanent, editable classes. It defines two new classes. The helper class <code>lightMaster</code> is used as a master object for the light system. The light class <code>threeLights</code> is what you create to layout the initial system. It also creates a <code>lightMaster</code> and sets its parameters to point at the lights. The <code>lightMaster</code> rollout allows subsequent editing of the system in the Modifier panel, and storing the lights in a parameter block makes the setup persistent over scene saves and loads.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin helper lightMaster\n\
   name:&quot;Light Master&quot;\n\
   classID:#(12345,54321)\n\
   extends:Dummy\n\
   replaceUI:true\n\
   invisible:true\n\
   (\n\
   parameters main rollout:params\n\
   (\n\
   key type:#node subAnim:true\n\
   fill type:#node subAnim:true\n\
   back type:#node subAnim:true\n\
   height type:#worldUnits default:0 ui:height\n\
   spread type:#worldUnits default:0 ui:spread\n\
   angle type:#angle default:90 ui:angle\n\
   -- check value of key since lights don&apos;t exist at initial creation\n\
   on height set val do if key != undefined then coordsys key.target\n\
   (\n\
   key.pos.z = val\n\
   back.pos.z = val * 1.5\n\
   fill.pos.z = val * 0.5\n\
   )\n\
   on spread set val do if key != undefined then coordsys key.target\n\
   (\n\
   -- compute normal vector pointing at key in the target&apos;s XY plane\n\
   -- (kuv) and reposition everything based on that and the current\n\
   -- spread and angle values\n\
   local kuv = normalize ([key.pos.x, key.pos.y, 0])\n\
   key.pos = [kuv.x * spread, kuv.y * spread, height]\n\
   back.pos = [kuv.x * -spread, kuv.y * -spread, height * 1.5]\n\
   -- position fill by placing it under the key and then rotating in\n\
   -- about the target\n\
   fill.pos = [kuv.x * spread, kuv.y * spread, height * 0.5]\n\
   about key.target rotate fill angle z_axis\n\
   )\n\
   on angle set val do if key != undefined then coordsys key.target\n\
   (\n\
   fill.pos = [key.pos.x, key.pos.y, height * 0.5]\n\
   about key.target rotate fill angle z_axis\n\
   )\n\
   )\n\
   rollout params &quot;Light Parameters&quot;\n\
   (\n\
   spinner height &quot;Height&quot; type:#worldUnits range:[-1e32, 1e32, 0]\n\
   spinner spread &quot;Spread&quot; type:#worldUnits range:[0, 1e32, 0]\n\
   spinner angle &quot;Angle&quot; range:[-180, 180, 30]\n\
   on params open do flagForeGround #(key, back, fill) true\n\
   on params close do\n\
   if key != undefined and back != undefined and fill != undefined then\n\
   flagForeGround #(key, back, fill) false\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin light searchlights\n\
   name:&quot;Three Lights&quot;\n\
   (\n\
   local master\n\
   tool create\n\
   (\n\
   on mousePoint click do\n\
   (\n\
   if click == 1 then -- create key, back &amp; fill lights at mousedown\n\
   (\n\
   coordsys grid\n\
   (\n\
   master = lightMaster pos:gridPoint\n\
   master.dummy.boxsize = [10,10,10]\n\
   in master\n\
   (\n\
   local targObj=targetobject pos:gridPoint\n\
   master.key = targetspot pos:gridPoint name:&quot;key&quot; \\\n\
   target:targObj\n\
   master.back = targetspot pos:gridPoint name:&quot;back&quot; \\\n\
   target:targObj\n\
   master.fill = targetspot pos:gridPoint name:&quot;fill&quot; \\\n\
   target:targObj\n\
   )\n\
   )\n\
   addPluginRollouts master\n\
   )\n\
   if click == 3 then\n\
   (\n\
   select master\n\
   master = undefined\n\
   #stop\n\
   )\n\
   )\n\
   on mouseMove click do\n\
   (\n\
   if click == 2 then -- drag out &amp; round on x-y plane\n\
   (\n\
   -- place the key on the grid then set the spread and the\n\
   -- &apos;on set spread&apos; handler will\n\
   -- move the lights to the correct heights\n\
   master.key.pos = worldPoint\n\
   master.spread = distance master.key master.key.target\n\
   )\n\
   else if click == 3 then -- drag up to elevate lights\n\
   master.height = gridDist.z\n\
   )\n\
   on mouseAbort click do\n\
   (\n\
   if master != undefined then\n\
   (\n\
   if master.fill != undefined then delete master.fill\n\
   if master.back != undefined then delete master.back\n\
   if master.key != undefined then delete master.key\n\
   delete master\n\
   )\n\
   )\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"parameter-type-convenience-functions\">Parameter Type Convenience Functions</h2><p>The following functions allow you to convert parameter type names to their corresponding integer values used in the C++ API, or from an integer value to the corresponding name value. The integer values correspond to the values for <code>ParamType</code> and <code>ParamType2</code> enums found in the maxsdk/include/paramtype.h header file.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;type_name&gt; ParamTypeToTypeName &lt;int&gt;</code></pre><p>Returns the name value corresponding to the specified integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int&gt; TypeNameToParamType &lt;type_name&gt;</code></pre><p>Returns the integer value for the enum corresponding to the specified type name.</p>\n\
<h3 id=\"for-example\">For Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParamTypeToTypeName 4\n\
--&gt; #boolean\n\
\n\
TypeNameToParamType #filename\n\
--&gt; 9</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";