var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F4EAAD9B-2961-43BB-BC41-B380CC8E8E32\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted RenderEffect Plug-ins</h1></div><p>A scriptable RenderEffect plug-in can be declared by specifying the <code>&lt;superclass&gt;</code> as <code>RenderEffect</code> and by declaring an <code>apply</code> event handler. When declared, the render effect can be seen in Render Effects &gt; Add dialog.</p>\n\
<p><strong>Event Handlers:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on apply &lt;bitmap&gt; do &lt;expr&gt; </code></pre><p>When the scripted effect is added as one of the rendering effects and &quot;Update Scene&quot; or &quot;Update Effect&quot; buttons are pressed, the <code>apply</code> event handler is called and passed a bitmap which can be modified with any changes the render effect wants to make. The bitmap you are given is the current rendered image that has had all of the prior effects in the render effects list applied to it. You modify this bitmap in place, typically by using the <code>getPixel()</code> and <code>setPixel()</code> functions. This modified bitmap is then passed onto the next render effect in the list or to the render output if it is the last effect.</p>\n\
<p>To allow scripted Effects to take advantage of the g-buffer channel access, the following handlers are present:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on channelsRequired do &lt;expr&gt; </code></pre><p>The handler expression must evaluate to an array of the g-buffer channel names that are required. The g-buffer channel names are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#zDepth #matID #objectID #UVCoords #normal #unClamped #coverage #mask #node #shaderColor #shaderTransparency #velocity #weight </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on preApply &lt;bitmap&gt; do &lt;expr&gt; </code></pre><p>The <code>preApply</code> handler allows the scripted effect to analyze the incoming render bitmap and its channels to precondition the delegate&apos;s effect processing.</p>\n\
<p>So, you might add an <code>on channelsRequired do</code> to add <code>#node</code> and <code>#coverage</code> channels to the renderer&#x2019;s bitmap, and an <code>on preApply bm do</code> to get the <code>#node</code> channel out as a mask and then set it into a delegate&#x2019;s mask parameter to limit an effect to a given object.</p>\n\
<p>The <code>render()</code> function can be called re-entrantly within scripted renderEffect. In releases prior to <strong>3ds Max 4</strong>, attempting to do this caused a runtime error indicating that the renderer cannot be called while a render is already under way.</p>\n\
<p>Here is a simple example that extends the Blur effect to add another rollout that has a node picker button. If you pick a node, it generates a channel mask and uses that to limit the blur to that object:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin RenderEffect myBlurFX\n\
   name:&quot;Super Blur FX&quot;\n\
   classID:#(6545,456581)\n\
   extends:Blur\n\
   version:1\n\
   (\n\
     local tx, cm, g_channels\n\
     local tx = bitmaptexture ()\n\
     local g_channels = #(#node, #coverage)\n\
     rollout params &quot;SupaFX Parameters&quot;\n\
     (\n\
       label nn align:#center\n\
       pickbutton nodepick &quot;Pick Node&quot;\n\
     )\n\
     parameters main rollout:params\n\
     (\n\
       thenode type:#node ui:nodepick\n\
       on thenode set nd do\n\
         params.nn.text = if nd == undefined then &quot;&quot; else nd.name\n\
     )\n\
     on channelsRequired do g_channels\n\
     on preApply map do if theNode != undefined then\n\
     (\n\
       if cm == undefined then\n\
       (\n\
         cm = getChannelAsMask map #node node:theNode \\\n\
         fileName:(scriptsPath + &quot;__fxtmp.bmp&quot;)\n\
         save cm\n\
         tx.bitmap = cm\n\
       )\n\
       else\n\
         getChannelAsMask map #node node:theNode to:cm\n\
     )\n\
     on create do\n\
     (\n\
       delegate.selMaskActive = true\n\
       delegate.selImageActive = false\n\
       delegate.selMaskMap = tx\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin renderEffect myColorBalanceFx\n\
   name:&quot;Super Color Balance FX&quot;\n\
   classID:#(64425,45761)\n\
   extends:Color_Balance version:1\n\
   (\n\
     parameters main rollout:params\n\
     (\n\
       redness type:#integer animatable:true ui:redness default:0.0\n\
       on redness set val do delegate.red = val\n\
     )\n\
     rollout params &quot;Super Color Balance Parameters&quot;\n\
     (\n\
       spinner redness &quot;Redness: &quot; type:#integer range:[-100,100,0]\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin renderEffect myNegative\n\
   name:&quot;myNegative&quot;\n\
   classID:#(0xb7aa794c, 0xc3bd78ab)\n\
   (\n\
     parameters main rollout:params\n\
     (\n\
       Color type:#color default:blue ui:Color\n\
     )\n\
     rollout params &quot;Negative Parameters&quot;\n\
     (\n\
       colorpicker Color &quot;Base color: &quot; align:#center\n\
     )\n\
     on apply bmp do\n\
     (\n\
       for h=0 to (bmp.height-1) do\n\
       (\n\
         local sline = getPixels bmp [0,h] bmp.width\n\
         for i=1 to sline.count do sline[i] = Color - sline[i]\n\
         setPixels bmp [0,h] sline\n\
       )\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"RenderEffect-Progress-Callback.html\">RenderEffect Progress Callback Mechanism</a></li>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"../../../How-To-Practical-Examples/How-To-Create-a-MonoChrome.html\">How To ... Create a MonoChrome RenderEffect</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";