var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7AAEEA29-A627-43CF-B2F8-8B8BBB20F5E4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted SimpleMeshMod Plug-ins</h1></div><p>A SimpleMeshMod plug-in is a geometry modifier that can change the topology of the incoming mesh and output the modified result. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p>Examples of similar modifiers are Mirror and Symmetry.</p>\n\
<p>These kinds of modifiers require a <code>modifyMesh</code> handler. The internal <code>mesh</code> value contains the modifier&apos;s TriMesh. It is set to the incoming TriMesh value and can be set to a new TriMesh value to produce the modified output.</p>\n\
<p>The internal <code>owningNode</code> value contains the node the modifier is applied to. If the modifier is instanced across multiple nodes, only one of them will be accessible.</p>\n\
<p>The SimpleMeshMod plug-in operates similarly to a scripted Geometry plug-in, but instead of creating a new Geometry object, it operates on the incoming TriMesh on the Modifier Stack.</p>\n\
<p>A scripted Simple Mesh Modifier plug-in is declared by specifying the <code>&lt;superclass&gt;</code> as <code>simpleMeshMod</code>.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin simpleMeshMod TestCloneModifier\n\
       name:&quot;TestCloneMod&quot;\n\
       classID:#(0x3a4087e9, 0x2c2fdff7)\n\
       category:&quot;MXS Help&quot;\n\
   (\n\
       parameters main rollout:params\n\
       (\n\
           nCopies ui:spn_nCopies default:2 type:#integer animatable:true\n\
           X_Offset ui:spn_X_Offset default:10 type:#float animatable:true\n\
           Y_Offset ui:spn_Y_Offset default:10 type:#float animatable:true\n\
           Z_Offset ui:spn_Z_Offset default:10 type:#float animatable:true\n\
       ) \n\
\n\
       rollout params &quot;Parameters&quot;\n\
       (\n\
           spinner spn_nCopies &quot;# Copies:&quot; range:[1, 1000, 1] type:#integer\n\
           spinner spn_X_Offset &quot;X Offset:&quot; range:[-1000, 1000, 1] type:#float\n\
           spinner spn_Y_Offset &quot;Y Offset:&quot; range:[-1000, 1000, 1] type:#float\n\
           spinner spn_Z_Offset &quot;Z Offset:&quot; range:[-1000, 1000, 1] type:#float\n\
       ) \n\
\n\
       on modifyMesh do\n\
       (\n\
           local inMesh = copy mesh --make a copy of the incoming mesh\n\
           for n = 2 to nCopies do --repeat N-1 times \n\
           (\n\
               local currentMesh = copy inMesh --copy the incoming mesh value\n\
               meshop.moveVert currentMesh #{1..currentMesh.numverts} ([X_Offset,Y_Offset,Z_Offset]*(n-1))\n\
               mesh = mesh + currentMesh --accummulate the moved value into the output mesh\n\
           )\n\
       )\n\
   )\n\
</code></pre></blockquote>\n\
<p>The above example implements a simple linear clone modifier. It contains four parameters - the number of copies to create and the offset along each of the three axes.</p>\n\
<p>The on <code>modifyMesh</code> do handler is called whenever the modifier&apos;s output requires an update. The internal <code>mesh</code> value is set to the incoming TriMesh from the stack. The script creates a local copy of this TriMesh. Then it loops N-1 times, copies the TriMesh copy again and moves all its vertices according to the offset values multiplied by the number of copies minus 1. Finally, the resulting offset copy of the incoming mesh is added to the internal mesh value. At the end of the handler, the mesh value contains the original TriMesh plus all the copies accummulated into one.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Geometry-Plug-ins.html\">Scripted Geometry Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-SimpleMod-Plug-ins.html\">Scripted SimpleMod Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Modifier-Plug-ins.html\">Scripted Modifier Plug-ins</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";