var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7EDE4C96-2AEA-48BA-8941-9CD8525C0AC2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted TrackViewUtility Plug-ins</h1></div><p>Scripted TrackViewUtility plug-ins are declared by specifying the <code>&lt;superclass&gt;</code> as <code>TrackViewUtility</code> . They can be used to implement new Utilities to manipulate tracks and keys in TrackView. Their UI can be registered as child of the respective TrackView.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin TrackViewUtility KeyValueUtility\n\
   name:&quot;Current Value Editor&quot;\n\
   category:&quot;Scripted TV Utilities&quot;\n\
   classID:#(0x57088e0e, 0x50b6e750)\n\
   (\n\
   -- Body of Plug-in here...\n\
   )\n\
</code></pre></blockquote>\n\
<p><strong>Event Handlers:</strong></p>\n\
<p>The following Event Handlers can be implemented by a Scripted TrackViewUtility plug-in:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on trackSelectionChanged do</code></pre><p>This handler will be called whenever the track selection has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on nodeSelectionChanged do</code></pre><p>This handler will be called whenever the node selection has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on keySelectionChanged do</code></pre><p>This handler will be called whenever the keys selection has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on timeSelectionChanged do</code></pre><p>This handler will be called whenever the time selection has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on MajorModeChanged do</code></pre><p>This handler will be called whenever the Track View mode has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on TrackListChanged do</code></pre><p>This handler will be called whenever the track list has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on TrackViewClosed do</code></pre><p>This handler will be called whenever the Track View has been closed. It can be used to do clean-up work before closing the plug-in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on Init &lt;value&gt; do </code></pre><p>This handler will be called whenever the TrackViewUtility plug-in has been initialized. It can be used to do initialization work before opening the plug-in. The value returned contains the parent Track View (the TrackViewUtility plug-in called from). You can use the value to get the handle of the TrackView and register the dialog of the utility as child of the Track View.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on Init val do\n\
   (\n\
   --Create a dialog from the Rollout, make it child of the Track View\n\
   createDialog valueRollout parent:(val.ui.hwnd)\n\
   --Register the dialog as Dialog Bar, make it child of the Track View\n\
   cui.registerDialogBar valueRollout parent:val.ui.hwnd\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on filterAnim &lt;anim&gt;subAnim &lt;anim&gt;client &lt;index&gt;index do </code></pre><p>This handler will be called for every object to be displayed in the TrackView. It has three arguments: the subAnim object to be displayed, its client (parent object), and the index inside the client.</p>\n\
<p>The return value of this handler can be:</p>\n\
<p><strong>#skip</strong> - The TrackView track must be filtered out and not displayed</p>\n\
<p><strong>#add</strong> - The TrackView track must be displayed</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the return value is neither <strong>#skip nor #add</strong>, a value of <strong>#add</strong> will be assumed and the track will be displayed.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";