var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-17DBC9E3-5B61-4738-B78B-D3D57A515CE8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Right-Click Menus</h1></div><p>MAXScript provides a set of classes and functions and some special syntax to allow you to construct custom right-click menus.</p>\n\
<h3 id=\"feature-history\">Feature History</h3><p>In versions prior to <strong>3ds Max 4</strong> when the QuadMenu system was still not available, scripted right-click menus could be incorporated into the existing <strong>3ds Max</strong> user interface. The typical use of right-click menus was to provide quick access to a selection of tools written in MAXScript. These tools would typically have no user interface, however one could create dialogs or rollout floater windows in a right-click menu to display a user interface</p>\n\
<p>For an example and list of deprecated methods, see the topic <a href=\"Scripted-Right-Click-Menus/Deprecated-RCmenu-Methods.html\">Deprecated RCmenu Methods</a></p>\n\
<h3 id=\"current-usage\">Current Usage</h3><p>With the introduction of the QuadMenu system in <strong>3ds Max 4</strong>, registering custom scripted right-click menus became impossible, but the menus themselves can still be used in scripted tools:</p>\n\
<ul>\n\
<li><p>The <code>popUpMenu()</code> method described below is still available and could be called from event handlers or macroScripts to display a right-click menu under the mouse cursor.</p>\n\
</li>\n\
<li><p>The scripted dialogs created from rollouts using the <code>createDialog()</code> method provide an optional <code>menu:</code> parameter which accepts an RCmenu which is then displayed as a menu bar on top of the dialog. See the <a href=\"Scripted-Dialogs/CreateDialog.html\">CreateDialog</a> topic for details.</p>\n\
</li>\n\
</ul>\n\
<h3 id=\"creation\">Creation</h3><p>A scripted right-click menu is created using the <code>RCMenu</code> definition construct in MAXScript, and then you register the right-click menu with <strong>3ds Max</strong>. The top-level definition syntax is as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rcmenu &lt;var_name&gt; ( &lt;rcmenu_body&gt; )</code></pre><p>where:</p>\n\
<p><code>&lt;var_name&gt;</code> is the name of an automatically created global variable to hold the <code>rcmenu</code> value that represents the right-click menu.</p>\n\
<p><code>&lt;rcmenu_body&gt;</code> is enclosed in the required parentheses and is a sequence of clauses that define the menu items that will appear in the utility, along with functions and event handlers that process user interactions. These clauses are defined in detail in <a href=\"Scripted-Right-Click-Menus/RCMenu-Clauses.html\">RCMenu Clauses</a>.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">popUpMenu &lt;RCMenu&gt; [pos:&lt;Point2&gt;] [rollout:&lt;Rollout&gt;] [align:&lt;key&gt;]</code></pre><p>This method will popup a menu anywhere on the screen. The controls are as follows:</p>\n\
<p><code>&lt;RCMenu&gt;:</code> Any RCMenu defined. It does not have to be registered.</p>\n\
<p><code>\\[pos:&lt;Point2&gt;\\]:</code> The point where the menu pops up, either relative to the Rollout or the screen. (Default: popup from current mouse position.)</p>\n\
<p><code>\\[rollout:&lt;Rollout&gt;\\]:</code> This will make the menu popup from a rollouts local coordinate system. Specifying undefined will cause the menu to popup relative to the upper left corner of the screen. (Default: undefined)</p>\n\
<p><code>\\[align:&lt;key&gt;\\]:</code> Can be one of the following (Default: <code>#align_topleft</code> ):</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> #align_topleft #align_topcenter #align_topright #align_bottomleft #align_bottomcenter #align_bottomright #align_vcenterleft #align_vcentercenter #align_vcenterright</code></pre><p>If a runtime error occurs while executing a scripted right-click menu, an error message is displayed in Listener. The right-click menu will not be disabled.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Right-Click-Menus/RCMenu-Clauses.html\">RCMenu Clauses</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Right-Click-Menus/Deprecated-RCmenu-Methods.html\">Deprecated RCmenu Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Right-Click-Menus/RCMenu-User-Interface-Items.html\">RCMenu User-Interface Items</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-MAXScript-Tools.html\">Creating MAXScript Tools</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Scripted-Right-Click-Menus.html\">Scripted Right-Click Menus</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Right-Click-Menus/RCMenu-Clauses.html\">RCMenu Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Right-Click-Menus/RCMenu-User-Interface-Items.html\">RCMenu User-Interface Items</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";