var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D7B7488F-BE23-4A1E-BA83-A48C21F6C73B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing Locals and Other Items in a Rollout from External Code</h1></div><p>The local components defined in a scripted utility or rollout are accessible to external code as properties of the utility or rollout object. Recall that the rollout object is assigned to a new global variable (or local variable if a nested rollout) named on the utility or rollout definition.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   utility foo &quot;Utility&quot;\n\
   (\n\
     local var1, var2\n\
     checkbox enable &quot;Enable&quot;\n\
     rollout setup &quot;Setup&quot; -- local rollout\n\
     (\n\
       local var3\n\
       button doit &quot;Execute&quot; enabled:false\n\
       on doit pressed do\n\
       (\n\
         var3 = var1 + var2\n\
       )\n\
     ) --end rollout\n\
     function frab a b = (var1 = b-a; var2 = a*b)\n\
     on enable changed state do\n\
     (\n\
       frab 10 20\n\
       if state then\n\
       (\n\
         addRollout setup\n\
         setup.doit.enabled = true\n\
       )\n\
       else\n\
         removeRollout setup\n\
     ) --end on enable handler\n\
   ) --end utility\n\
</code></pre></blockquote>\n\
<p>The example defines the utility and places the utility object in a global variable named <code>foo</code> . You can access components in the utility from the Listener or other code as properties of that object, using the name of the variable or item as the property name. Any event-handler functions supplied for user-interface items can also be accessed as sub-properties of the item, using the event name as the property name.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Gets and prints foo&apos;s local variable, var1\n\
   print foo.var1\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- test foo&apos;s enabled checkbox state:\n\
   if foo.enable.state then print &quot;ON!&quot; else print &quot;OFF&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Sets the foo&apos;s enabled checkbox state to false.\n\
   -- This will change the checkbox, but not execute the event handler\n\
   -- which deals with the adding/removing the local rollout\n\
   foo.enable.state = false\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Calls the &apos;changed&apos; handler function of the enable checkbox\n\
   -- This will call the handler with a value of false, but will NOT\n\
   -- change the checkbox&apos;s state itself.\n\
   foo.enable.changed false\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- This willbothcall the handler with a value of false\n\
   -- AND change the checkbox&apos;s state, mimicking a checkbox change\n\
   -- via the UI and the mouse:\n\
   foo.enable.changed (foo.enable.state = false)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Calls its &apos;frab&apos; function local to the foo utility:\n\
   foo.frab 100 200\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Sets foo&#x2019;s setup rollout local variable, var3\n\
   foo.setup.var3 = 42\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Calls the change handler function for doit button in the\n\
   -- setup rollout of the foo utility:\n\
   foo.setup.doit.pressed()\n\
</code></pre></blockquote>\n\
<p>The local variables, functions, and structures in scripted utilities and rollouts are initialized as soon as the utility or rollout is first defined, rather than when the utility or rollout is first displayed. This allows other code to use local functions and access local values at any time after definition.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Whenever a utility or rollout is opened, all local values will be reinitialized and any values set before opening will be lost!</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- define a test rollout with a spinner UI element\n\
   -- initialized to value of 50.0 and two local variables:\n\
   rollout test &quot;Test&quot;\n\
   (\n\
     local testValue1\n\
     local testValue2 = 10\n\
     spinner testSpinner &quot;Spinner&quot; range:[0.0,100.0,50.0]\n\
   )\n\
   --&gt; Rollout:test\n\
   test.testSpinner.value --peek into the spinner&apos;s value\n\
   --&gt; 50.0 --it is 50 as expected\n\
   test.testValue1 --get the first local variable&apos;s value\n\
   --&gt; undefined --it is set implicitly to undefined\n\
   test.testValue2 --get the other local variable&apos;s value\n\
   --&gt; 10 --it is set to 10 as expected\n\
   test.testSpinner.value = 60.0 --change the spinner&apos;s value to 60.0\n\
   --&gt; 60.0\n\
   test.testSpinner.value --get the value back to see if it worked\n\
   --&gt; 60.0\n\
   test.testValue1 = 20 --set the first local&apos;s value to 20\n\
   --&gt; 20\n\
   test.testValue1 --get the first local&apos;s value\n\
   --&gt; 20 --now it is initialized to 20\n\
   test.testValue2 = 40 --set the second local&apos;s value to 40\n\
   --&gt; 40\n\
   test.testValue2 --get the second local&apos;s value\n\
   --&gt; 40 --now it is 40\n\
   --now create a dialog with the rollout -\n\
   createDialog test 100 40\n\
   --all variables will be reset!\n\
   --&gt; true\n\
   test.testSpinner.value --get the spinner value again\n\
   --&gt; 50.0 --it is back to the default value of 50.0\n\
   test.testValue1 --get the first local&apos;s value again\n\
   --&gt; undefined --it is back to undefined\n\
   test.testValue2 --get the second local&apos;s value again\n\
   --&gt; 10 --it is back to 10\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";