var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BA683828-589C-4BBB-897C-FD2B7DA0E147\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Non-Local Variables As Captions Of Rollouts and UI Controls</h1></div><p>In versions prior to <strong>3ds Max 2012</strong>, the caption parameter of a rollout or UI control is provided as a string literal and cannot be specified using a variable name. This made it difficult to use computed names as it required the setting of the rollout&apos;s or control&apos;s caption property after its construction, or the creation of the whole rollout using string building and evaluation or the Rollout Creator functions.</p>\n\
<p><strong>3ds Max 2012</strong> added the ability to specify captions of rollouts and UI controls uisng non-local variable name. This means that the variable cannot be a local variable or a variable name passed through as a function parameter. The variable must be either in the global scope or in the top-level scope such as, a structure definition, MacroScript definition, or scripted plugin definition.</p>\n\
<p>This restriction stems from the fact that a rollout definition is a <strong>compile-time construct</strong>, and the local variables are defined using the context when the rollout is compiled. However, an evaluation of the variables is attempted when the rollout is created, by which time it is no longer in the compile context. So, if a local variable is used as the caption, a compile time error will be thrown:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test cap1 =\n\
   (\n\
     cap2 = &quot;cap2&quot;\n\
     Rollout test cap1\n\
     (\n\
       Spinner s1 cap2\n\
     )\n\
     createdialog test\n\
   )\n\
   -- Compile error: No outer or current scope local variable references permitted here: cap1\n\
   -- In line: Rollout test cap1\n\
</code></pre></blockquote>\n\
<p>If you change the above usage of cap1 to a string literal, you will get another error on the usage of cap2.</p>\n\
<p>The following shows various usages that compile successfully:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   cap1 = &quot;cap1&quot;\n\
   cap2 = &quot;cap2&quot;\n\
   fn test =\n\
   (\n\
     Rollout test cap1\n\
     (\n\
       Spinner s1 cap2\n\
     )\n\
     createdialog test\n\
   )\n\
   test()\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   struct xxx\n\
   (\n\
     cap1b = &quot;cap1&quot;,\n\
     cap2b = &quot;cap2&quot;,\n\
     fn createRollout = \n\
     (\n\
       rollout test cap1b\n\
       (\n\
         spinner s00\n\
         spinner s01 &quot;A&quot;\n\
         spinner s1 cap2b\n\
       )\n\
       createDialog test\n\
     )\n\
   )\n\
   x = xxx()\n\
   r=x.createRollout()\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin material MyMaterial\n\
   name:&quot;MyMaterial&quot;\n\
   classID:#(0x69fedc0d, 0x7c79a4d2)\n\
   extends:Standard replaceUI:true \n\
   (\n\
     local rollout_title = &quot;Hardware Shaders&quot; \n\
     local spinner_title = &quot;AA&quot;\n\
     parameters hardwareShaders rollout:shaderRoll\n\
     (\n\
     )\n\
     rollout shaderRoll rollout_title width:328 height:189\n\
     (\n\
       spinner s1 spinner_title\n\
     )\n\
   )\n\
   a=mymaterial()\n\
   meditmaterials[1] = a\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";