var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5DFECB42-C452-457B-BAD4-B07767AE8C9E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Rollout .Controls Property</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.controls</code></pre><p>This property returns an array of all the controls in the rollout.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout testRollout &quot;Test&quot;\n\
   (\n\
     group &quot;Test&quot;\n\
     (\n\
       button btn_button &quot;Press Me If You Can&quot;\n\
       spinner spn_spinner &quot;Spin Me If You Can&quot;\n\
       checkbox chk_checkbox &quot;Check Me If You Can&quot;\n\
     )--end group\n\
   )--end rollout\n\
   createDialog testRollout width:200\n\
\n\
\n\
   for c in testRollout.controls do print c\n\
\n\
   --loop through all controls in the rollout and \n\
   --disable them all:\n\
\n\
   for c in testRollout.controls do c.enabled = false\n\
\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>RESULT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Rollout:testRollout\n\
   true\n\
   GroupStartControl:Test\n\
   ButtonControl:btn_button\n\
   SpinnerControl:spn_spinner\n\
   CheckBoxControl:chk_checkbox\n\
   GroupEndControl:Test\n\
   OK\n\
   OK\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-B9169A27-6DE8-44E2-A064-1F6DA3AFBBF3-low.bmp\" alt></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Note that a group is implemented as a pair of controls: <code>groupStartControl</code> and <code>groupEndControl</code>, which &quot;bracket&quot; the rest of the controls. In the above example, the group is also disabled.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";