var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-63E016F3-250E-4C93-B213-2C1AB51710F7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Image Buttons</h1></div><p>These rollout user-interface item types:<a href=\"Rollout-User-Interface-Controls-3/Button-UI-Control.html\">button</a>, <a href=\"Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\">checkbutton</a>, <a href=\"Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\">mapbutton</a>, and <a href=\"Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\">materialbutton</a> can be used as either simple text buttons containing text labels or as image buttons displaying bitmaps instead of text. Images can be specified as a single icon (using <code>iconName</code>) or as an image list containing multiple image states.</p>\n\
<p><strong>Using a Single icon</strong></p>\n\
<p>The images to be displayed in these buttons are specified using the creation time parameters <code>iconName</code>/<code>iconSize</code>, or <code>images</code>.</p>\n\
<p>For <code>iconName</code>/<code>iconSize</code>, the parameter form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconName:&lt;filename&gt; iconSize:&lt;point2&gt;</code></pre><p>The system will load multi resolution icons, and pick which to use based on <code>iconSize</code> and the system DPI scaling. The <code>iconSize</code> is the icon size to use at 100% DPI scaling, and the default is [24,24] if <code>iconSize</code> is not specified.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   button rcw &quot;&quot; height:20 width:29 iconName:@&quot;PolyTools\\TransformTools\\PB_CW&quot; iconSize:[20,20] -- loads PolyTools\\TransformTools\\PB_CW* files.  The PB_CS_20 file will be the icon used at 100% dpi scaling\n\
\n\
   button PTdo &quot;&quot; height: 26 width: 26 iconName:@&quot;PolyTools\\Topology\\Wall&quot;  -- loads PolyTools\\Topology\\Wall* files. The Wall_24 file will be the icon used at 100% dpi scaling\n\
</code></pre></blockquote>\n\
<p><strong>Using an image list</strong></p>\n\
<p>The parameter form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> images: #(\n\
&lt;image&gt;,\n\
&lt;maskImage&gt;,\n\
&lt;count_integer&gt;,\n\
&lt;enabled_out_image_index&gt;,\n\
&lt;enabled_in_image_index&gt;,\n\
&lt;disabled_out_image_index&gt;,\n\
&lt;disabled_in_image_index&gt;,\n\
&lt;invert_boolean&gt;,\n\
&lt;colortheme_boolean&gt;\n\
)\n\
</code></pre><p>The images in a button can be changed after its creation by setting its read-only <code>.images</code> property.</p>\n\
<h2 id=\"image-and-maskimage-1-2-\">Image and maskImage (1, 2)</h2><p><code>&lt;image&gt;</code> and <code>&lt;maskImage&gt;</code> can be either a bitmap filename string or a MAXScript bitmap value.</p>\n\
<p>The <code>&lt;image&gt;</code> must always be provided</p>\n\
<p>The <code>&lt;maskImage&gt;</code> can be supplied as <code>undefined</code> if it is not required.</p>\n\
<p>If either of the two images is specified as a file name, the bitmap file is searched in the following directories (in order of search):</p>\n\
<ul>\n\
<li><p>Current MAX Script directory</p>\n\
</li>\n\
<li><p>MAXScript Startup directory</p>\n\
</li>\n\
<li><p>MAXScript Scripts directory</p>\n\
</li>\n\
<li><p><strong>3ds Max</strong> Maps directories</p>\n\
</li>\n\
<li><p><strong>3ds Max</strong> image directory</p>\n\
</li>\n\
<li><p><strong>3ds Max</strong> executables directory</p>\n\
</li>\n\
<li><p>Directories in the PATHS environment variable</p>\n\
</li>\n\
</ul>\n\
<p>There are four images that can be specified, one for each of the possible button states:</p>\n\
<ul>\n\
<li><p>Enabled depressed (out)</p>\n\
</li>\n\
<li><p>Enabled checked (in)</p>\n\
</li>\n\
<li><p>Disabled depressed (out)</p>\n\
</li>\n\
<li><p>Disabled checked (in)</p>\n\
</li>\n\
</ul>\n\
<p>These images are taken from a single bitmap file or MAXScript bitmap value in which a number of images are stored side-by-side. This bitmap containing one or more images to use for the button is called the <code>imagelist</code> . All the sub-images in such an imagelist are assumed to be of the same width, and you can specify which image is used for which state by providing an image index into the bitmap. This means you can store the images for all the states of many buttons in one file, specifying different indices for the different buttons. The system will scale the imageList to account for DPI scaling.</p>\n\
<p>For example, if you have 10 images, each with a size of 24x24 pixels, your imagelist bitmap is expected to be 240x24 pixels in size and specifying the index 2 grabs the 24 rows with pixels from pixel columns 25 to 48. See the count_integer description below for more details.</p>\n\
<p>A black-and-white <strong>mask image</strong> can be used to mask the image display into the buttons. It is given in the same imagelist form and the mask image indices must be the same as the images they correspond to.</p>\n\
<p>By default, black pixels in the mask let the corresponding image pixel show; white pixels hide corresponding image pixels and show the default background color for the button. This can be inverted by specifying an 8 th element in the array set to true. See <strong>Invert_boolean</strong> below.</p>\n\
<p>If there is no mask file, the value <code>undefined</code> must be supplied for the mask file name.</p>\n\
<h2 id=\"count_integer-3-\">count_integer (3)</h2><p><code>&lt;count_integer&gt;</code> specifies the number of sub-images in each of the bitmaps.</p>\n\
<p>MAXScript deduces the width of the single image by dividing the width of the imagelist bitmap by the <code>&lt;count_integer&gt;</code> value, and the height is taken from the height of the imagelist bitmaps.</p>\n\
<p>For example, if the bitmap is 2448 pixels wide and 24 high and the <code>&lt;count_integer&gt;</code> is provided as 102, MAXScript will divide 2448/102 = 24, resulting in icon size of 24x24 pixels. This is the case with the &quot;Maintoolbar_24i.bmp&quot; imagelist file.</p>\n\
<h2 id=\"xxx_image_index-4-5-6-7-\">XXX_image_index (4,5,6,7)</h2><p>The <code>&lt;XXX_image_index&gt;</code> values specify which sub-image in the bitmaps is to be used for each of the four button states.</p>\n\
<p>If the specified index is higher than the available images, the button displays an empty bitmap.</p>\n\
<h2 id=\"invert_boolean-8-\">invert_boolean (8)</h2><p>The <code>&lt;invert_boolean&gt;</code> value defines how to use the maskImage colors to reveal and hide image pixels.</p>\n\
<p>When false, black pixels show the corresponding image pixels and white pixels mask them out.</p>\n\
<p>When true, black pixels hide the image pixels and white pixels reveal the image pixels.</p>\n\
<p>If not specified, the value is assumed to be false.</p>\n\
<h2 id=\"colortheme_boolean-9-\">colortheme_boolean (9)</h2><p>The <code>&lt;colorthreme_boolean&gt;</code> value defines whether to use the Windows Color Theme or not. If not specified, it will default to false.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>IMAGEBUTTON EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout image_button_test &quot;Image Button&quot;\n\
   (\n\
   button theButton &quot;Press To Render!&quot; width:200 height:200\n\
   on theButton pressed do\n\
   (\n\
   theBmp = render outputsize:[200,200] vfb:off\n\
   theButton.images = #(theBmp, undefined, 1,1,1,1,1 )\n\
   )\n\
   )\n\
   createDialog image_button_test 210 210\n\
</code></pre><p>   <img src=\"./images/GUID-B77A941F-D615-475F-ACEB-402FF81A374A-low.gif\" alt> <img src=\"./images/GUID-15A8F62A-63FC-45F7-9FF0-01B155F2DFF5-low.gif\" alt></p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>IMAGELISTEXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout image_button_test2 &quot;Test Image Buttons&quot;\n\
   (\n\
   button btn_imageButton1 width:24 height:24 across:5\n\
   button btn_imageButton2 width:24 height:24\n\
   button btn_imageButton3 width:24 height:24\n\
   button btn_imageButton4 width:24 height:24\n\
   button btn_imageButton5 width:24 height:24\n\
   checkbox chk_toggleEnabled &quot;Toggle Enabled State&quot; checked:true\n\
   local theButtons = #(btn_imageButton1, btn_imageButton2, btn_imageButton3, btn_imageButton4, btn_imageButton5)\n\
   fn updateButtons =\n\
   (\n\
   for i = 1 to theButtons.count do\n\
   (\n\
   local theIndex = (i*2)-1\n\
   theButtons[i].images = #(\n\
   &quot;enss_tools_16i.bmp&quot;,\n\
   &quot;enss_tools_16a.bmp&quot;,\n\
   13, theIndex, theIndex, theIndex+1, theIndex+1, false, true\n\
   )\n\
   )\n\
   )\n\
   on chk_toggleEnabled changed state do\n\
   for i in theButtons do i.enabled = state\n\
   on image_button_test2 open do updateButtons()\n\
   )\n\
   createDialog image_button_test2\n\
</code></pre><p>   <img src=\"./images/GUID-C4E73EB8-8EB0-4637-8F91-5AF39762E8BA-low.gif\" alt></p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>IMAGELIST BROWSER EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout image_button_test3 &quot;Imagelist Browser&quot;\n\
   (\n\
   local theFiles = #()\n\
   local theCount = 1\n\
   dropdownlist ddl_imageList\n\
   button btn_button width:30 height:30 across:3 align:#left\n\
   spinner spn_index &quot;Index&quot; type:#integer range:[1,100,1] align:#left fieldwidth:40\n\
   label lbl_count &quot;0&quot; align:#right\n\
   fn getIconCount theFile =\n\
   (\n\
   local theBitmap = openBitmap theFile\n\
   theCount = case theBitmap.height of\n\
   (\n\
   24: theBitmap.width/24\n\
   default: theBitmap.width/16\n\
   )\n\
   lbl_count.text = &quot;of &quot; + theCount as string\n\
   )\n\
   fn updateImageButton theFile theIndex =\n\
   (\n\
   btn_button.images = #(theFile, undefined,\n\
   theCount, theIndex, theIndex, theIndex ,theIndex ,false,true )\n\
   )\n\
   on spn_index changed val do\n\
   updateImageButton theFiles[ddl_imageList.selection] val\n\
   on image_button_test3 open do\n\
   (\n\
   theFiles = getFiles (GetDir #ui + &quot;\\\\Ribbon\\\\tooltips\\\\images\\\\*.gif&quot;)\n\
   ddl_imageList.items = for i in theFiles collect filenameFromPath i\n\
   getIconCount theFiles[1]\n\
   spn_index.range = [1,theCount,1]\n\
   updateImageButton theFiles[1] 1\n\
   )\n\
   on ddl_imagelist selected itm do\n\
   (\n\
   getIconCount theFiles[itm]\n\
   updateImageButton theFiles[itm] 1\n\
   spn_index.range = [1,theCount,1]\n\
   )\n\
   ) --end rollout\n\
   createDialog image_button_test3 200 70\n\
</code></pre><p>   <img src=\"./images/GUID-84AAD672-DD7A-420E-ACC8-64EA53AB8C08-low.gif\" alt></p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls-3/Button-UI-Control.html\">Button UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\">Mapbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\">Materialbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\">Checkbutton UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";