var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D8E756D0-9760-4F20-8663-7F499DE357DB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Angle UI element</h1></div><p>The <strong>Angle</strong> is a UI Control which can be used to draw a circular clock-like element representing an angle in degrees or radians.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Angle &lt;name&gt; [caption] [color:&lt;color&gt;] [degrees:&lt;float&gt;] [bitmap:&lt;bitmap&gt;] [diameter:&lt;float&gt;] [StartDegrees:&lt;integer&gt;] [StartRadians:&lt;integer&gt;] [dir:&lt;#cw|#ccw&gt;] [range:&lt;point3&gt;] [    radians:&lt;float&gt; ] [ applyUIScaling:&lt;boolean&gt; ]</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Angle&gt;.color color default:(color 0 0 255)   </code></pre><p>Get/set the angle fill-in color. Setting the color turns off the Bitmap fill.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Angle&gt;.bitmap Bitmap default:undefined </code></pre><p>Get/set the angle fill-in Bitmap. Setting the Bitmap turns off the color fill.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Angle&gt;.diameter Integer default:64 </code></pre><p>Get/set the full diameter of the control, synonymous to .width and .height.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Angle&gt;.degrees Float default:0.0 </code></pre><p>Get/set the current angle in degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Angle&gt;.radians Float default:0.0 </code></pre><p>Get/set the current angle in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Angle&gt;.StartDegrees Integerdefault:0 </code></pre><p>Get/set the start angle in degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Angle&gt;.StartRadians Integerdefault:0 </code></pre><p>Get/set the start angle in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Angle&gt;.dir Name default:#ccw </code></pre><p>Get/set the angle direction. Possible values are #cw for Clockwise and #ccw for Counter-Clockwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Angle&gt;.range </code></pre><p>Get/set the angle range as a point3 value. The first component defines the min. value, the second is the max. value, the third is the current value. All three values are in degrees.</p>\n\
<p>If min. and max. values have the same sign, click and move in angle UI will give result with the same sign.</p>\n\
<p>If min. and max. values have different signs, shift or ctrl click will give negative result, click will give positive result.</p>\n\
<p>If <code>range</code> is specified, and <code>StartDegrees</code> and <code>StartRadians</code> are not, the z component of range is used as the <code>StartDegrees</code>.</p>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Angle&gt; changed &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the angle is being changed . <code>&lt;arg&gt;</code> is the current degrees value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Angle&gt; rightClick do &lt;expr&gt; </code></pre><p>Called when the Angle control is right-clicked.</p>\n\
<p>If the handler is not defined, right-clicking the Angle control resets its value.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Angle Test&quot;\n\
   (\n\
   Angle ang1 &quot;Angle 1&quot; diameter:50 align:#left range:[-180,180,45] startdegrees:0 dir:#cw color:red across:3\n\
   Angle ang2 &quot;Angle 2&quot; diameter:50 align:#center range:[0,270,90] startdegrees:90 dir:#ccw color:green\n\
   Angle ang3 &quot;Angle 3&quot; diameter:50 align:#right range:[0,360,120] startdegrees:270 dir:#cw color:blue\n\
   spinner val1 fieldwidth:40 align:#left across:3 range:[-180,180,45]\n\
   spinner val2 fieldwidth:40 align:#center range:[0,270,90]\n\
   spinner val3 fieldwidth:40 align:#right range:[0,360,120]\n\
   on ang1 changed val do val1.value = val\n\
   on ang2 changed val do val2.value = val\n\
   on ang3 changed val do val3.value = val\n\
   on val1 changed val do ang1.degrees = val\n\
   on val2 changed val do ang2.degrees= val\n\
   on val3 changed val do ang3.degrees= val\n\
   )\n\
   createdialog test 200 110\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-3D218258-3A3B-4C81-A680-2A85A2BE6402-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"Spinner-UI-Control.html\">Spinner UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Slider-UI-Control.html\">Slider UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Curve-Control.html\">Curve Control</a></li>\n\
          <li><a class=\"link\" href=\"Colorpicker-UI-Control.html\">Colorpicker UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";