var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-084BC777-9353-455E-A869-9F5C514E0CE6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Checkbutton UI Control</h1></div><p>A <strong>checkbutton control</strong> is used to place a press button on the rollout that has two states, on and off, just like a check box. The user can click to successively switch between states.</p>\n\
<p><strong>The syntax is</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">checkbutton &lt;name&gt; [&lt;caption&gt;] [ highlightColor:&lt;color&gt; ] \\ \n\
[ toolTip:&lt;string&gt; ] [ checked:&lt;boolean&gt; ] [ images:&lt;image_spec_array&gt; ] \\ \n\
[ border:&lt;boolean&gt; ]</code></pre><p>The default alignment of <code>checkbutton</code> items is <code>#center</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot;\n\
   (\n\
   checkbutton setup &quot;Setup&quot; checked:true tooltip:&quot;Opens setup panels&quot;\n\
   on setup changed state do\n\
   if state == on then\n\
     openRollout setup_pan\n\
   else\n\
     closeRollout setup_pan\n\
   )</code></pre></blockquote>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">checked:</code></pre><p>Initial state of the check button, defaults to <code>off</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">highlightColor:</code></pre><p>The background color of the check button in its pressed (or on) state, defaults to a light-gray wash in keeping with <strong>3ds Max</strong> user-interface conventions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolTip:</code></pre><p>Provides text for a tooltip for the check button (no tooltip if unsupplied).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">images:</code></pre><p>An image-specification array for providing bitmap images for the check button. If this is specified, the <code>&lt;label&gt;</code> is ignored and the contents of the check button are replaced with the bitmaps.</p>\n\
<p>The form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">images:#(&lt;image&gt;, &lt;maskImage&gt;, &lt;count_integer&gt;, &lt;enabled_out_image_index&gt;, &lt;enabled_in_image_index&gt;, &lt;disabled_out_image_index&gt;, &lt;disabled_in_image_index&gt;)</code></pre><p>where <code>&lt;image&gt;</code> and <code>&lt;maskImage&gt;</code> can be either a bitmap file-name string or a MAXScript bitmap value. <code>&lt;count_integer&gt;</code> specifies the number of sub-images in the bitmaps, and the <code>image_index</code> values specify which sub-image in the bitmaps is to be used for each of the four check button states.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bm1 = render camera:$cam01 outputSize:[80,60]\n\
   ...\n\
   checkbutton foo images:#(bm1, undefined, 1, 1, 1, 1, 1)\n\
</code></pre><p>   would use a rendering as the check button image, and</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   checkbutton decay images:#(&quot;dcybtns.bmp&quot;,&quot;dcymask.bmp&quot;, 6, 1, 4, 1, 4)\n\
</code></pre><p>   would use sub-images 1 and 4 of bitmaps <code>dcybtns.bmp</code> and <code>dcymask.bmp</code> for the out and in states of the check button, respectively.</p>\n\
<p>   See also <a href=\"./../Image-Buttons.html\">Image Buttons</a>.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">border:</code></pre><p>When set to true or not specified, the checkbutton will be drawn with a border. This was the default behavior prior to <strong>3ds Max 2009</strong>.</p>\n\
<p>When set to false, the checkbutton will be drawn without a border, making it one with the UI background. If the checkbutton is enabled, the border will appear when the checkbutton is pressed, checked, if its <code>.checked</code> property is set to true and upon mouseover.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;checkbutton&gt;.checkedBoolean</code></pre><p>The state of the check button, on ( <code>true</code> ) or off ( <code>false</code> ).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;checkbutton&gt;.state Boolean</code></pre><p>Synonym for <code>.checked</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;checkbutton&gt;.images Array</code></pre><p>Sets the image-specification array for the check button. This property is <strong>write-only</strong>.</p>\n\
<p>Setting the value to <code>undefined</code> will set the control back to displaying its caption rather than images in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;checkbutton&gt;.width Integer</code></pre><p>Gets or sets the checkbutton&apos;s width, in pixels. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;checkbutton&gt;.height Integer</code></pre><p>Gets or sets the checkbutton&apos;s height, in pixels. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- re-render, update button\n\
   bm1 = render()\n\
   foo.images = #(bm1, undefined, 1, 1, 1, 1, 1)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;checkbutton&gt;. String \n\
                tooltip</code></pre><p>Get/set the tooltip string of the checkbutton.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Evaluate this script, then roll over the checkbutton to read the tooltip.\n\
   --Check the checkbutton, roll over again to see the new tooltip.\n\
   --Uncheck the checkbutton and roll over once again to see the new tooltip.\n\
   (\n\
   rollout test &quot;Test&quot;\n\
   (\n\
   checkbutton chk_test &quot;Check Me!&quot; tooltip:&quot;This is a tooltip&quot;\n\
   on chk_test changed state do\n\
   chk_test.tooltip = if state then &quot;I am checked!&quot; else &quot;I am unchecked!&quot;\n\
   )\n\
   createDialog test\n\
   )\n\
</code></pre></blockquote>\n\
<p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;checkbutton&gt; changed &lt;arg&gt; do &lt;expr&gt;</code></pre><p>Called when the user clicks the check button to change its state. The <code>&lt;arg&gt;</code> argument will contain the new state of the check button, on ( <code>true</code> ) or off ( <code>false</code> ).</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>&lt;arg&gt;</code> is a local variable in the context of the event handler - you can use it inside the handler to act according to the new state of the checkbutton.</div>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   utility testCheckButton &quot;Test The CheckButton&quot;\n\
   (\n\
   checkbutton myCheckButton &quot;Check Me!&quot;\n\
   -- theState is a user variable name that will contain the state\n\
   -- of the checkbox whenever the change handler is executed\n\
   on myCheckButton changed theState do\n\
   (\n\
   if theState == true then\n\
   myCheckButton.text = &quot;Uncheck Me!&quot;\n\
   else\n\
   myCheckButton.text = &quot;Check Me!&quot;\n\
   )\n\
   )--end utility\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;checkbutton&gt; rightclick do &lt;expr&gt;</code></pre><p>Called when the right mouse button is released over the button. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Checkbox-UI-Control.html\">Checkbox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Button-UI-Control.html\">Button UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Pickbutton-UI-Control.html\">Pickbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Materialbutton-UI-Control.html\">Materialbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Mapbutton-UI-Control.html\">Mapbutton UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";