var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E7FE8222-FC65-4A7D-AB8B-787A676DB2FA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Curve Control</h1></div><p>You can create CurveControls in scripted rollouts by using the following syntax:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CurveControl &lt;name&gt; [&lt;caption&gt;] \\\n\
[visible:&lt;boolean&gt;] [numCurves:&lt;integer&gt;] \\\n\
[x_range:&lt;point2&gt; ] [y_range:&lt;point2&gt;] \\ \n\
[x_value:&lt;float&gt; ] \\ \n\
[zoomValues:&lt;point2&gt;] [scrollValues:&lt;point2&gt;] \\\n\
[displayModes:&lt;bitarray&gt;] \\\n\
[commandMode:&lt;#move_xy | #move_x | #move_y | #scale | #corner | #bezier] \\\n\
[uiFlags:&lt;array_of_ui_flags&gt; ] \\\n\
[rcmFlags:&lt;array_of_rcm_flags&gt;] [asPopup:&lt;boolean&gt;]</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">uiFlags: </code></pre><p>Any combination of the following flags:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#drawBG - Specifies to draw the white background in the graph window.   \n\
#drawgrid - Specifies to draw the grid lines and coordinates in the graph window.   \n\
#upperToolbar - Specifies to draw the upper toolbar above the control.   \n\
#showReset - Specifies to display the Reset button in the upper toolbar.   \n\
#lowerToolbar - Specifies to draw the lower toolbar beneath the control.   \n\
#scrollBars - Specifies to draw the horizontal and vertical scroll bars for the control.   \n\
#autoScroll - Specifies to do auto scrolling. Auto scroll happens when you drag a CurvePoint out of the currently visible range. In case you&apos;re zoomed in, the window will automatically scroll.   \n\
#ruler - Specifies to draw a small moveable ruler window (measures horizontal coordinates).   \n\
#constrainY - Specifies that no points (or handles) can be moved out of the value that is set bySetYRange().   \n\
#hideDisabled - Specifies that disabled curves won&apos;t be displayed at all.   \n\
#all - All the listed uiFlags are on except #singleSelect, #noFilterButtons, and #xvalue   \n\
#xvalue - Specifies to draw a vertical bar over the graph to show the current X value   \n\
#singleSelect - this flag allows the user to single select a point. Normally if a bunch of points are stacked in area if you click on the area you get all of them. With this flag you get the first one   \n\
#noFilterButtons - this flag turns off the curve visible/editable toggle in the top of the menu bar </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rcmFlags: </code></pre><p>Any combination of the following flags:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#move_xy, \n\
#move_x, \n\
#move_y, \n\
#scale, \n\
#corner, \n\
#bezier, \n\
#delete, \n\
#all </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.visible : Boolean </code></pre><p>When set to false, the CurveControl is invisible. When set to true, it is visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.x_range : Point2 </code></pre><p>Specifying x_range sets the absolute position of the first and last CurvePoints. That is, the X value for the first and last CurvePoints is always specified by x_range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.y_range : Point2 </code></pre><p>Sets the absolute upper and lower Y-constraint. This method only has an effect if the <code>uiFlags</code> option <code>#constrainY</code> is specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.x_value : Float </code></pre><p>This property is used to show a vertical line in the graph window if the <code>uiFlags</code> option <code>#xvalue</code> is specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.displayModes : BitArray </code></pre><p>The Bits in the BitArray control which of the available Curves are displayed. When the BitArray is empty {}, no curves are shown, when bit 1 is set {1}, the first curve is displayed, when bit 2 is set {2}, the second curve is displayed and so on. When two or more bits are set, multiple curves are displayed at the same time, for example {1..2} shows the first two curves, {1,3} shows curves 1 and 3, and so on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.commandMode : Name </code></pre><p>Get/Set the current command mode. Possible values are: <code>#move_xy, #move_x, #move_y, #scale, #corner, #bezier</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.zoomValues : Point2 </code></pre><p>Get/Set the horizontal and vertical zoom values. The higher the value, the closer the zoom (the lower the displayed values relative to the x and y ranges).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.scrollValues : Point2 </code></pre><p>Get/Set the horizontal and vertical scroll values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.curves : Array, read-only </code></pre><p>Returns an array of curves of type MAXCurve</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">zoom &lt;curvecontrol&gt; #all </code></pre><p>Perform a zoom extents all.</p>\n\
<p><strong>Events</strong></p>\n\
<p>In the following events <code>&lt;ci&gt;</code> represents the active Curve Index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; selChanged &lt;ci&gt; &lt;val&gt; do &lt;expr&gt; </code></pre><p>Sent when a point is selected or deselected. <val> is the number of points, which are selected.</val></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; ptChanged &lt;ci&gt; &lt;val&gt; do &lt;expr&gt; </code></pre><p>Sent when a point is changed, <val> is the index of the changed point</val></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; tangentChanged &lt;ci&gt; &lt;val&gt; type do &lt;expr&gt; </code></pre><p>Sent when a point&apos;s in or out tangent is changed, <val> is the index of the changed point.</val></p>\n\
<p>type is #inTangent or #outTangent, depending on what changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; deleted &lt;ci&gt; &lt;val&gt; do &lt;expr&gt; </code></pre><p>Sent when a point is deleted, val is the index of the deleted point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; reset &lt;ci&gt; do &lt;expr&gt; </code></pre><p>Sent when a curve is reset</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; rightClick do &lt;expr&gt; </code></pre><p>Called when the user right-clicks the Curvecontrol control.</p>\n\
<p>If not defined, the curve control provides its own internal right-click handler.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<h2 id=\"cccurve\">ccCurve</h2><p><code>ccCurve</code> represents a single curve in a curve control</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.animatable : Boolean </code></pre><p>When set to true, the curve points can be keyframed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.color : Color </code></pre><p>Get/Set the color of the curve when it is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.disabledColor : Color </code></pre><p>Get/Set the color of the curve when it is disabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.width : Integer </code></pre><p>Get/Set the width of the curve when it is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.disabledWidth : Integer </code></pre><p>Get/Set the width of the curve when it is disabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.disabledStyle : Name </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.style : Name </code></pre><p>These are the drawing styles for the curve when disabled and enabled. Possible values are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#solid, #dash, #dot, #dashDot, #dashDotDot, #null, #insideFrame </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.lookupTableSize : Integer </code></pre><p>This method sets the size of the Curve Control lookup table. The lookup table allows users of the Curve Control to easily speed up their value access. The default value for the lookup table size is 1000. Used when getValue() is called on the curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.numPoints : Integer </code></pre><p>Get/Set the number of points in the curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.points : Array, read-only </code></pre><p>Returns a CurvePointsArray</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getValue ccCurve &lt;time_value&gt; &lt;float_x&gt; [lookup:&lt;false&gt;] </code></pre><p>Returns a Point2 value corresponding to the specified X position along the curve at the specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isAnimated ccCurve &lt;index&gt; </code></pre><p>Returns a true if the curve&apos;s indexed point is animated (has keys), false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSelectedPts ccCurve </code></pre><p>Returns a BitArray with bits set for selected points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setSelectedPts &lt;ccCurve&gt; &lt;bitarray&gt; [#select] [#deSelect] [#clear] </code></pre><p>Selects the points specified by the bits in the bitArray.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setPoint &lt;ccCurve&gt; &lt;index&gt; &lt;ccpoint&gt; [checkConstraints:&lt;true&gt;] </code></pre><p>Sets the indexed point on the curve to the specified value. If checkConstraints is set to true, the point will be constrained.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPoint &lt;ccCurve&gt; &lt;index&gt; </code></pre><p>Returns the Point2 value of the indexed point on the curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">insertPoint &lt;ccCurve&gt; &lt;index&gt; &lt;ccpoint&gt; </code></pre><p>Inserts a new point at the indexed position with the specified value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deletePoint &lt;ccCurve&gt; &lt;index&gt; </code></pre><p>Deletes the indexed point from the curve.</p>\n\
<p><code>CurvePointsArray</code> represents an array of curve points.</p>\n\
<p><code>CurvePointValue</code> represents a curve point.</p>\n\
<h2 id=\"curvepointvalue\">CurvePointValue</h2><p><code>CurvePointValue</code> represents a curve point. You can create a curve point as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ccPoint &lt;pt_point2&gt; &lt;in_point&gt; &lt;out_point2&gt; \\ [bezier:&lt;false&gt;] [corner:&lt;false&gt;] [lock_x:&lt;false&gt;] \\ [lock_y:&lt;false&gt;] \\ [select:&lt;false&gt;] [end:&lt;false&gt;] \\ [noXConstraint:&lt;false&gt;] </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.value : Point2 </code></pre><p>Returns the Point2 value of the point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.inTangent : Point2 </code></pre><p>Returns the Point2 value of the point&apos;s inTangent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.outTangent : Point2 </code></pre><p>Returns the Point2 value of the point&apos;s outTangent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.bezier : Boolean </code></pre><p>When set to true, the point behaves as a Bezier point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.corner : Boolean </code></pre><p>When set to true, the point behaves as a Corner point. If the .bezier property is set to true, the point becomes a Bezier-Corner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.lock_x : Boolean </code></pre><p>When set to true, the point is locked along X.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.lock_y : Boolean </code></pre><p>When set to true, the point is locked along Y.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.selected : Boolean </code></pre><p>When set to true, the point is selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.end : Boolean </code></pre><p>When true, no point is an end point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.noXConstraint : Boolean </code></pre><p>When set to false, the X coordinate is constrained. When set to true, no X constraints are imposed on the point.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout uTestCurveControl &quot;Curve Control&quot;\n\
   (\n\
   -- Curve control Properties\n\
   local ccProps = #(\n\
   #visible,\n\
   #numCurves,\n\
   #x_range,\n\
   #y_range,\n\
   #displayModes,\n\
   #zoomValues,\n\
   #scrollValues,\n\
   #commandMode)\n\
   -- Curve properties\n\
   local curveProps = #(\n\
   #name,\n\
   #animatable,\n\
   #color,\n\
   #disabledColor,\n\
   #width,\n\
   #disabledWidth,\n\
   #style,\n\
   #disabledStyle,\n\
   #numPoints,\n\
   #lookupTableSize)\n\
   -- Curve Point properties\n\
   local cpProps = #(\n\
   #value,\n\
   #inTangent,\n\
   #outTangent,\n\
   #bezier,\n\
   #corner,\n\
   #lock_x,\n\
   #lock_y,\n\
   #selected,\n\
   #end,\n\
   #noXConstraint)\n\
   button btn_props &quot;Print Properties&quot;\n\
   checkBox chk_visible &quot;Visible&quot; checked:true\n\
   checkBox chk_enable &quot;Enable&quot; checked:true \n\
   CurveControl cc_test &quot;Curve Control:&quot;\n\
   height:200\n\
   width:400\n\
   align:#center\n\
   numCurves:2\n\
   visible:true\n\
   x_range:[-100,100]\n\
   y_range:[-100,100]\n\
   scrollValues:[-100,100]\n\
   commandMode:#move_xy\n\
   -- The following parameters default to all flags if not specified\n\
   --uiFlags:#(#drawBG, #drawgrid, #upperToolbar, #showReset, #scrollBars, #constrainY, #xvalue)\n\
   rcmFlags:#(#delete)\n\
   asPopup:false\n\
   on chk_visible changed state do cc_test.visible = state\n\
   on chk_enable changed state do cc_test.enabled = state\n\
   on uTestCurveControl open do\n\
   (\n\
   zoom cc_test #all\n\
   local colors = #(red, green, blue)\n\
   local styles = #(#solid, #dash, #dot, #dashDot, #dashDotDot, #null, #insideFrame)\n\
   local num = cc_test.numCurves\n\
   -- Initialize curve properties\n\
   for i=2 to num do\n\
   (\n\
   local crv = cc_test.curves[i]\n\
   local ci = ((mod (i-1) colors.count)+1) as integer\n\
   local si = ((mod (i-1) styles.count)+1) as integer\n\
   crv.name = &quot;Curve&quot; + i as string\n\
   crv.color = colors[ci]\n\
   crv.disabledColor = colors[ci]*0.5\n\
   crv.style = styles[si]\n\
   --crv.width = crv.disabledWidth = i\n\
   crv.numPoints = i*2\n\
   local del = (cc_test.x_range.y - cc_test.x_range.x)/(crv.numPoints-1)\n\
   -- format &quot;del:%\\n&quot; del\n\
   -- Place intermediate points equally spaced\n\
   for j=1 to crv.numPoints do\n\
   (\n\
   local cp = crv.points[j]\n\
   format &quot;% end: % -&gt; &quot; j cp.end\n\
   --cp.corner = true\n\
   cp.value = [cc_test.x_range.x+(j-1)*del, cp.value.y]\n\
   cp.inTangent = [0.2,0.2]\n\
   cp.outTangent = [0.2,-0.2]\n\
   crv.points[j] = cp\n\
   format &quot;%\\n&quot; crv.points[j].end\n\
   format &quot;value: %\\n&quot;crv.points[j].value\n\
   )\n\
   )\n\
   )\n\
   on btn_props pressed do\n\
   (\n\
   local tab =&quot;\\t&quot;\n\
   -- print the CC properties\n\
   format &quot;Curve Control Properties\\n&quot;\n\
   for p in ccProps do\n\
   format (tab +&quot;% : %\\n&quot;) (p as string) (getProperty cc_test p)\n\
   format (tab + &quot;Curves:\\n&quot;)\n\
   tab += &quot;\\t&quot;\n\
   for i=1 to cc_test.numCurves do\n\
   (\n\
   local crv = cc_test.curves[i]\n\
   -- print each Curve&apos;s properties\n\
   format (tab + &quot;Curve%\\n&quot;) i\n\
   for p in curveProps do\n\
   format (tab + &quot;\\t% : %\\n&quot;) (p as string) (getProperty crv p)\n\
   format (tab + &quot;\\tPoints:\\n&quot;)\n\
   for j=1 to crv.numPoints do\n\
   (\n\
   local cp = crv.points[j]\n\
   format (tab + &quot;\\t\\tPoint%\\n&quot;) j\n\
   -- Print each curve point properties\n\
   for pp in cpProps do\n\
   format (tab + &quot;\\t\\t\\t% : %\\n&quot;) (pp as string) (getProperty cp pp)\n\
   )\n\
   )\n\
   )\n\
   -- Curve control event handlers\n\
   on cc_test selChanged ci val do format &quot;curve % numSelected : %\\n&quot; ci val\n\
   on cc_test ptChanged ci val do format &quot;curve % ptChanged : %\\n&quot; ci val\n\
   on cc_test tangentChanged ci val type do format &quot;curve % tangentChanged : % %\\n&quot;ci val (type as string)\n\
   on cc_test deleted ci pi do format &quot;curve % deleted : %\\n&quot; ci pi\n\
   on cc_test reset ci do format &quot;curve % resetted\\n&quot; ci\n\
   )\n\
   curveFloater = newRolloutFloater &quot;Curve Control Test&quot; 500 400\n\
   addRollout uTestCurveControl curveFloater\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-711C8A4D-D2B8-4221-ABFF-70557191AD51-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"Spinner-UI-Control.html\">Spinner UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Slider-UI-Control.html\">Slider UI Control</a></li>\n\
          <li><a class=\"link\" href=\"ProgressBar-UI-Control.html\">ProgressBar UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Angle-UI-element.html\">Angle UI element</a></li>\n\
          <li><a class=\"link\" href=\"Colorpicker-UI-Control.html\">Colorpicker UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";