var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-172DE6D6-796F-419B-936E-4FD64AD24CB9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Dropdownlist UI Control</h1></div><p>A <strong>dropdownlist control</strong> is used to place a drop-down list in the rollout. The user can click open the list and scroll or click again to select an item in the list.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dropdownlist &lt;name&gt; [&lt;caption&gt;] [items:&lt;array_of_strings&gt;] [selection:&lt;number&gt;] [height:&lt;number&gt;] [tooltip:&lt;string&gt;] </code></pre><p>The default alignment of <code>dropdownList</code> items is <code>#left</code> .</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout ddl_test &quot;Drop-Down List&quot;\n\
   (\n\
     dropdownlist scale_dd &quot;Scale&quot; items:#(&quot;1/2&quot;, &quot;1/4&quot;, &quot;1/8&quot;, &quot;1/16&quot;)\n\
     on scale_dd selected i do\n\
       format &quot;You selected &apos;%&apos;!\\n&quot; scale_dd.items[i]\n\
   )\n\
   createDialog ddl_test\n\
</code></pre></blockquote>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">items:   </code></pre><p>The array of text strings that are the items in the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selection: </code></pre><p>The 1-based number of the currently selected item in the list. Defaults to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height: </code></pre><p>The overall height of the <code>dropdownlist</code> in number of item lines. Defaults to 10 lines. To have a <code>dropdownlist</code> exactly display <code>N</code> items in the list, set height to <code>N+1</code> .</p>\n\
<p>The minimum height value is clamped to 1 line.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot; \n\
   (\n\
   dropdownlist dd &quot;dd&quot;\\\n\
   items:#(&quot;1&quot;,&quot;2&quot;,&quot;3&quot;,&quot;4&quot;,&quot;5&quot;,&quot;6&quot;,&quot;7&quot;,&quot;8&quot;,&quot;9&quot;,&quot;10&quot;) height:6\n\
   label l &quot;L&quot;\n\
   ) \n\
   createDialog test 200 200\n\
   --You will get 5 items in the dropdown list.\n\
   --Change height to 5, and you will get 4.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tooltip: </code></pre><p>A string defining the tooltip to be displayed when the mouse rolls over the dropdownlist. Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dropdownlist&gt;.items Array </code></pre><p>Get/Set the item string array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dropdownlist&gt;.selection Integer </code></pre><p>The currently selected item number, 1-based. If the items list is an empty array, this value is 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dropdownlist&gt;.selected String </code></pre><p>The text of the currently selected item. Can be set to replace individual items without resetting the entire <code>*items*</code> array. If the items list is an empty array, this value is <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dropdownlist&gt;.width Integer </code></pre><p>Get/set the width of the dropdownlist in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dropdownlist&gt;.height Integer </code></pre><p>Get/set the height of the dropdownlist <strong>in pixels</strong>. (as opposed to lines as expected in the height: creation parameter!)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dropdownlist&gt;.tooltip String </code></pre><p>Get/set the tooltip of the dropdownlist. Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>A limitation in the MS Windows implementation of the tooltips causes only the first 80 characters of the tooltip string to be returned to MAXScript.</p>\n\
<p>Tooltips of any length can be SET though.</p>\n\
<p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;dropdownlist&gt; selected &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user selects an item in the drop-down list. The <code>&lt;arg&gt;</code> argument will contain the new current selection item number.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The event handler function selected() is named identically to the .selected property, which effectively hides the function and does not allow the user to call the handler from other parts of the script the way it is possible with all other event handlers of UI controls.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>See the following entry in the Frequently Asked Questions for a workaround:</p>\n\
<p><a href=\"./../../../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Scripted-UI/How-do-I-call-the-dropdownList.html\">How do I call the dropdownList Selected handler as a function?</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;dropdownlist&gt; rightClick do &lt;expr&gt; </code></pre><p>Called when the user right-clicks the Dropdownlist control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Scripted-UI/How-do-I-call-the-dropdownList.html\">How do I call the dropdownList Selected handler as a function?</a></li>\n\
          <li><a class=\"link\" href=\"Listbox-UI-Control.html\">Listbox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Combobox-UI-Control.html\">Combobox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"multilistbox.html\">multilistbox</a></li>\n\
          <li><a class=\"link\" href=\"popupMenu.html\">popupMenu</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";