var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7C37748B-C682-4834-B5A6-74185C8C661A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Listbox UI Control</h1></div><p>A <strong>Listbox control</strong> is used to place a list box in the rollout.</p>\n\
<p>This is another variant of the <a href=\"Dropdownlist-UI-Control.html\">drop-down list</a> in which the list is always fully displayed in the rollout.</p>\n\
<p>Unlike <a href=\"Combobox-UI-Control.html\">Combobox</a> it has no edit-text field at the top and it is just a simple scrollable list. The user can scroll the list or click to select an item.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listbox &lt;name&gt; [&lt;caption&gt;] [items:&lt;array_of_strings&gt;] [selection:&lt;number&gt;] [height:&lt;number&gt;] [readOnly:&lt;boolean&gt;] [toolTip:&lt;string&gt;]      </code></pre><p>The default alignment of <code>listbox</code> items is <code>#left</code> .</p>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">items:   </code></pre><p>The array of text strings that are the items in the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selection: </code></pre><p>The 1-based number of the currently selected item in the list. The default selection value is 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height: </code></pre><p>The overall height of the <code>listbox</code> in number of item lines. Defaults to 10 lines. To have a <code>listBox</code> display exactly <code>N</code> items, set height to <code>N</code> .</p>\n\
<p>The minimum height value is clamped to 1 line.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readOnly: </code></pre><p>When set to true, the user cannot pick items from the list. When false or not specified, the user can pick items from the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolTip:</code></pre><p>Provides text for a tooltip for the <code>listbox</code>; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;listbox&gt;.items Array Of Strings </code></pre><p>The item string array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;listbox&gt;.selection Integer </code></pre><p>The currently selected item number, 1-based. If the items list is an empty array, this value is 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;listbox&gt;.selected String </code></pre><p>The text of the currently selected item. Can be used to replace individual items with resetting the entire <code>items</code> array. If the items list is an empty array, this value is <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;listbox&gt;.readOnly </code></pre><p>When set to <code>true</code> , the user cannot pick items from the list. When <code>false</code> , the user can pick items from the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;listbox&gt;.width Integer </code></pre><p>Get/set the width of the listbox list window in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;listbox&gt;.height Integer </code></pre><p>Get/set the height of the listbox list window in pixels.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> As constructor parameter, <code>height:</code> specifies the height <strong>in lines of text</strong>, while the <code>.height</code> property specifies the <strong>height in pixels</strong>!</div>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;listbox&gt; selected &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user selects an item in the list. The <code>&lt;arg&gt;</code> argument contains the new current selection item number.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;listbox&gt; doubleClicked &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user double-clicks on an item in the list. Note that the <code>on selected</code> handler is always called on single clicks and on the first click of a double-click. The <code>&lt;arg&gt;</code> argument contains the number of the item double-clicked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;listbox&gt; rightClick [&lt;arg&gt;] do &lt;expr&gt; </code></pre><p>Called when the user right-clicks an item in the list.</p>\n\
<p>If the optional <code>&lt;arg&gt;</code> argument is specified, it will contain the index of the right-clicked item.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>LISTBOX EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout objectKiller &quot;Object Killer&quot;\n\
   (\n\
   --Define a list box, collect the names of all scene objects and\n\
   --assign them to the items array\n\
   listbox objectToKill &quot;Objects:&quot; items:(for o in objects collect o.name)\n\
   --If the user clicked a name on the list,\n\
   --get the name from the .items array by index\n\
   --then get the node by name and select it.\n\
   --COMPARE to the doubleClicked handler below which performs a\n\
   --similar task using a slightly different approach.\n\
   --Both ways are valid!\n\
   on objectToKill selected nameIndex do\n\
   select (getNodeByName objectToKill.items[nameIndex])\n\
   on objectToKill doubleClicked itm do\n\
   (\n\
   --Get node using its name from the .selected property and delete it:\n\
   delete (getNodeByName objectToKill.selected)\n\
   --Get the items into a temporary array:\n\
   temp = objectToKill.items\n\
   --Delete the doubleckicked item by index\n\
   --the local variable itm contains the index!\n\
   deleteItem temp itm\n\
   --Assign the result back to the items array:\n\
   objectToKill.items = temp\n\
   )\n\
   )\n\
   createDialog objectKiller--create a dialog from the rolloutParameters\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-B268B6B1-BF39-4C81-BD71-69FDC4DCADE6-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Radiobuttons-UI-Controls.html\">Radiobuttons UI Controls</a></li>\n\
          <li><a class=\"link\" href=\"Combobox-UI-Control.html\">Combobox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"multilistbox.html\">multilistbox</a></li>\n\
          <li><a class=\"link\" href=\"Dropdownlist-UI-Control.html\">Dropdownlist UI Control</a></li>\n\
          <li><a class=\"link\" href=\"popupMenu.html\">popupMenu</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";