var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DA0EEF5F-FF31-498D-A334-B4448F8E9A09\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Materialbutton UI Control</h1></div><p>A <strong>Materialbutton control</strong> is used to place a button in the rollout that will display the <strong>3ds Max</strong> Material/Map Browser dialog when clicked. Only materials will be displayed in the Material/Map Browser dialog.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">materialbutton &lt;name&gt; [&lt;caption&gt;] [material:&lt;material&gt;] [images:&lt;image_spec_array&gt;] [toolTip:&lt;string&gt;] [border:&lt;boolean&gt;] [iconName:&lt;filename&gt; iconSize:&lt;point2&gt;]     </code></pre><p>The default alignment of <code>materialbutton</code> items is <code>#center</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Rollout assign_material &quot;Assign Material&quot;\n\
   (\n\
     label smtl_lbl &quot;Set selected object&apos;s material to:&quot;\n\
     materialbutton choosemtl &quot;Pick Material&quot;\n\
     on choosemtl picked mtl do\n\
     (\n\
       print mtl\n\
       if $ != undefined do $.material=mtl\n\
     )\n\
   )\n\
   createDialog assign_material\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-9C5F27DA-07C5-427A-A971-ECF603F42E7E-low.gif\" alt></p>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">material:   </code></pre><p>The initial material value returned by the <code>material</code> property before the user has selected a material using the <code>materialbutton</code> . Defaults to <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">images: </code></pre><p>An image-specification array for providing bitmap images for the <code>materialbutton</code> . If this is specified, the <code>&lt;label&gt;</code> is ignored and the contents of the <code>materialbutton</code> are replaced with the bitmaps.</p>\n\
<p>The form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">images:#(&lt;image&gt;, &lt;maskImage&gt;, &lt;count_integer&gt;, \\ &lt;enabled_out_image_index&gt;, &lt;enabled_in_image_index&gt;, \\ &lt;disabled_out_image_index&gt;, &lt;disabled_in_image_index&gt;) </code></pre><p>where <code>&lt;image&gt;</code> and <code>&lt;maskImage&gt;</code> can be either a bitmap file name string or a MAXScript bitmap value. <code>&lt;count_integer&gt;</code> specifies the number of sub-images in the bitmaps, and the <code>image_index</code> values specify which sub-image in the bitmaps is to be used for each of the four <code>materialbutton</code> states.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bm1 = render camera:$cam01 outputSize:[80,60]\n\
   ...\n\
   materialbutton foo images:#(bm1, undefined, 1, 1, 1, 1, 1)\n\
</code></pre><p>   would use a rendering as the <code>materialbutton</code> image, and</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   materialbutton decay images:#(&quot;dcybtns.bmp&quot;, &quot;dcymask.bmp&quot;, 6, 1, 4, 1, 4)\n\
</code></pre><p>   would use sub-images 1 and 4 of bitmaps <code>dcybtns.bmp</code> and <code>dcymask.bmp</code> for the out and in states of the <code>materialbutton</code> , respectively.</p>\n\
<p>   See also <a href=\"./../Image-Buttons.html\">Image Buttons</a>.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolTip: </code></pre><p>Provides text for a tooltip for the <code>materialbutton</code> . No tooltip if unsupplied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">border: </code></pre><p>When set to true or not specified, the materialbutton will be drawn with a border. This was the default behavior prior to <strong>3ds Max 2009</strong>.</p>\n\
<p>When set to false, the materialbutton will be drawn without a border, making it one with the UI background. If the materialbutton is enabled, the border will appear when the materialbutton is pressed, or upon mouseover.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconName:</code></pre><p>The filename of an icon to use as an image on the button. If iconName is specified, the caption is ignored. The iconSize specifies the iconName size at 100% DPI scaling. If not specified, the default [24,24] is assumed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconSize:</code></pre><p>The size of the icon specified by iconName at 100% DPI scaling.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;materialbutton&gt;.material Material </code></pre><p>The current material value for the <code>materialbutton</code> , or the material value specified by the <code>material</code> parameter if the user has not yet selected a material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;materialbutton&gt;.images Array </code></pre><p>Sets the image-specification array for the <code>materialbutton</code> .</p>\n\
<p>This property is write-only.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- re-render, update button\n\
   bm1 = render()\n\
   foo.images = #(bm1, undefined, 1, 1, 1, 1, 1)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;materialbutton&gt;.tooltip String </code></pre><p>Get/set the tooltip string of the checkbutton.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot;\n\
   (\n\
     mapbutton mat_test &quot;Material Button&quot; tooltip:&quot;This is a material button&quot;\n\
   )\n\
   createDialog test\n\
   test.mat_test.tooltip = &quot;The tooltip has changed!&quot;\n\
</code></pre></blockquote>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;materialbutton&gt; picked &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user selects a material from the Material/Map Browser dialog while in the <code>materialbutton</code> pick command mode. The <code>&lt;arg&gt;</code> argument will contain the selected material value. The handler is not called if the user cancels out of the Material/Map Browser dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;materialbutton&gt; rightclick do &lt;expr&gt; </code></pre><p>Called when the right mouse button is released over the button. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When a <code>materialButton</code> is used in a rollout in a scripted material plug-in, and so turn up the Material Editor, it behaves with the same functionality as sub-material buttons do in regular materials. This includes supporting drag-and-drop with instance/copy, and opening materials if they have been assigned.</div>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> a <code>materialButton</code> cannot be used in a rollout of a scripted map plug-in. The <strong>3ds Max</strong> Material Editor architecture assumes that a Sub-Material can only be a child of another material and will be confused when trying to assign a sub-material to a map.</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Mapbutton-UI-Control.html\">Mapbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Button-UI-Control.html\">Button UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Pickbutton-UI-Control.html\">Pickbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Checkbutton-UI-Control.html\">Checkbutton UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";