var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DEAB379E-2D06-438D-809E-D5C7E32D5A9F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Radiobuttons UI Controls</h1></div><p>A <strong>radiobuttons control</strong> is used to place a set of radio buttons on the rollout, only one of which can be checked at a time. The user can click different buttons in the set to change states.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">radiobuttons &lt;name&gt; [&lt;caption&gt;]    labels:&lt;array_of_strings&gt; \\ \n\
[tooltip:{&lt;string&gt;|&lt;array_of_strings&gt;}] \\\n\
[default:&lt;number&gt;] [columns:&lt;number&gt;] [offsets:&lt;array_of_point2s&gt;]      \n\
</code></pre><p>The default alignment of <code>radiobuttons</code> items is <code>#center</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create some scene objects. Select them, then run the script:\n\
   (\n\
   local obj_array = selection as array\n\
   local obj_name_array = for o in obj_array collect o.name\n\
   rollout CloneObject &quot;Clone Object&quot; (\n\
   radiobuttons copy_type labels:#(&quot;copy&quot;, &quot;instance&quot;, &quot;reference&quot;)\n\
   radiobuttons which_obj labels:obj_name_array -- computed label array\n\
   button do_it &quot;Copy Object&quot;\n\
   fn updateButton = (\n\
   do_it.text = case copy_type.state of (\n\
   1: &quot;Copy &quot;\n\
   2: &quot;Instance &quot;\n\
   3: &quot;Reference &quot;)\n\
   do_it.text += obj_name_array [which_obj.state]\n\
   )--end fn\n\
   on copy_type changed state do updateButton()\n\
   on which_obj changed state do updateButton()\n\
   on CloneObject open do updateButton()\n\
   on do_it pressed do (\n\
   copyfn = case copy_type.state of (\n\
   1: copy\n\
   2: instance\n\
   3: reference)\n\
   if which_obj.state &gt; 0 do copyfn obj_array[which_obj.state]\n\
   )--end on pressed\n\
   )--end rollout\n\
   if obj_array.count &gt; 0 do createDialog CloneObject\n\
   )--end script\n\
</code></pre><p>   <img src=\"./images/GUID-3CCE22BC-430A-455D-B819-7937AB3516D1-low.gif\" alt></p>\n\
</blockquote>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">labels:&lt;array_of_strings&gt;   </code></pre><p>An array of strings that specifies the number of radio buttons and the text label for each one.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">default:&lt;number&gt; </code></pre><p>The number of the radio button initially selected. Default is 1.</p>\n\
<p>When set to 0, none of the radio buttons will be selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">columns:&lt;number&gt; </code></pre><p>Number of columns across in which to arrange the buttons. By default, MAXScript will attempt to lay out all the radio buttons side-by-side on one line, and if they won&apos;t fit, vertically in a single column. You can force the layout system to array the buttons in multiple columns using this parameter. Each column is given the same width, which is the width of the widest label in all columns and it left-adjusts the radio buttons in these columns.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --create radio buttons with two columns:\n\
   rollout testRollout &quot;Test Size&quot;\n\
   (\n\
   radiobuttons rad_buttons &quot;Size:&quot; labels:#(&quot;Big&quot;, &quot;Bigger&quot;, &quot;Biggest&quot;, &quot;Huge&quot;) columns:2\n\
   )\n\
   createDialog testRollout\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tooltip:{&lt;string&gt;|&lt;array_of_strings&gt;}</code></pre><p>Provides optional tooltip or tooltips for the radio buttons.</p>\n\
<p>If string is specified, that string is used as tooltips for all radiobuttons.</p>\n\
<p>If an array of strings is specified, the array size must be the same as the labels array size and the corresponding array element is used for each radiobutton.</p>\n\
<p>Available in <strong>3ds Max 2012</strong> and higher.</p>\n\
<p>Example script:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout MyRollout &quot;Untitled&quot; width:162 height:300 \n\
   (\n\
   radioButtons rdo1 &quot;RadioButtons&quot; tooltip:&quot;Test Tooltip 1&quot; labels:#(&quot;Button1&quot;, &quot;Button2&quot;) \n\
   radioButtons rdo2 &quot;RadioButtons&quot; tooltip:#(&quot;Test Tooltip 2&quot;,&quot;Test Tooltip 3&quot;) labels:#(&quot;Button1&quot;, &quot;Button2&quot;) \n\
   radioButtons rdo3 &quot;RadioButtons&quot; labels:#(&quot;Button1&quot;, &quot;Button2&quot;) \n\
   -- radioButtons rdo4 &quot;RadioButtons&quot; tooltip:#(&quot;Test Tooltip 4&quot;) labels:#(&quot;Button1&quot;, &quot;Button2&quot;) \n\
   button btn1 &quot;Button&quot; tooltip:&quot;Test Tooltip 5&quot; \n\
   ) \n\
   createdialog MyRollout\n\
\n\
   --Enabling the remarked rdo4 will cause\n\
   --an error because the number of tooltip items\n\
   --does not match the number of labels items\n\
\n\
\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">offsets:&lt;array_of_point2s&gt;</code></pre><p>Provides optional radiobutton offsets to adjust the labels layout within the control.</p>\n\
<p>The array size must be the same as the labels array size and the corresponding array element is used for each radiobutton.</p>\n\
<p>The offsets are set once at creation time and cannot be modified later.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p>Example scripts:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout testRollout &quot;Big Deal Script&quot;\n\
   (\n\
    radiobuttons rad_buttons &quot;Deal:&quot; columns:1 \\\n\
      labels:#(&quot;Big&quot;, &quot;Bigger&quot;, &quot;Biggest&quot;, &quot;Huge&quot;) \\\n\
      offsets:#([0,0], [10,0], [20,0], [30,0]) \n\
    button btn_dosomething &quot;Do Something...&quot;\n\
   )\n\
   createDialog testRollout\n\
</code></pre><p>   The left screenshot shows the same dialog without the offsets: parameter. Note that the default #center alignment takes into account the new width of the control&apos;s bounding box, and the offsets are relatively to the original position of the radiobutton item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ![](../../../../../images/GUID-6C93CB30-B95F-4E0F-A45A-DC4B6784699E-low.png) ![](../../../../../images/GUID-41265F8D-6221-43C9-8894-6174A5AB2744-low.png)</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout testRollout &quot;Big Deal Script&quot;\n\
   (\n\
    radiobuttons rad_buttons &quot;Deal:&quot; columns:1 \\\n\
      labels:#(&quot;Big&quot;, &quot;Bigger&quot;, &quot;Biggest&quot;, &quot;Huge&quot;) \\\n\
      offsets:#([0,0], [0,0], [10,5], [10,5]) \n\
    button btn_dosomething &quot;Do Something...&quot;\n\
   )\n\
   createDialog testRollout\n\
</code></pre><p>   Note that the offsets are NOT cumulative when using one column - offsetting the 3rd label horizontally by 10 does not affect the 4th item - it also needs a horizontal offset of 10 to stay in line. Similarly, to offset the last two labels vertically as a block, both need the same vertical offset of 5, otherwise they would overlap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ![](../../../../../images/GUID-6C93CB30-B95F-4E0F-A45A-DC4B6784699E-low.png) ![](../../../../../images/GUID-E2DD6713-9AA5-4EBE-B688-2751B959BD59-low.png)</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout testRollout &quot;Big Deal Script&quot;\n\
   (\n\
    radiobuttons rad_buttons &quot;Deal:&quot; columns:2 align:#left \\\n\
      labels:#(&quot;Big&quot;, &quot;Bigger&quot;, &quot;Biggest&quot;, &quot;Huge&quot;) \\\n\
      offsets:#([30,-16], [0,-16], [30,-16], [0,-16]) \n\
    button btn_dosomething &quot;Do Something...&quot;\n\
   )\n\
   createDialog testRollout\n\
</code></pre><p>   Note that the horizontal offsets are cumulative when using more than one column - offsetting the first and third items by 30 also shift the horizontal position of the second column, so we don&apos;t need to offset its labels. At the same time, all 4 labels need a vertical offset of -16 to move up together as a block - the vertical offset is not cumulative. We use align:#left to anchor the control in the same place in the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ![](../../../../../images/GUID-3634D240-F78F-4849-9D00-AA2D4AF30C29-low.png) ![](../../../../../images/GUID-70E2AF51-2625-4C8B-B211-A5C3E7E08FBE-low.png)</code></pre></blockquote>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;radiobuttons&gt;.state Integer </code></pre><p>The number of the currently selected radio button in the order specified in the <code>labels:</code> array, or 0 if none is selected.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout testRadioButtons &quot;Test RadioButtons&quot;\n\
   (\n\
   -- Define 2 radio buttons with the first button selected\n\
   radiobuttons radButtons labels:#(&quot;First&quot;,&quot;Second&quot;) default:1\n\
   -- When the button is pressed, clear the radio buttons selection!\n\
   button setToNone &quot;Clear Buttons Selection&quot;\n\
   on setToNone pressed do radButtons.state = 0\n\
   )\n\
   createDialog testRadioButtons\n\
</code></pre></blockquote>\n\
<p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;radiobuttons&gt; changed &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user clicks one of the radio buttons in the set. The <code>&lt;arg&gt;</code> argument will contain the new state of the radio buttons array, which is the 1-based number of the newly selected button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;radiobuttons&gt; rightClick do &lt;expr&gt; </code></pre><p>Called when the user right-clicks the Radiobuttons control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Listbox-UI-Control.html\">Listbox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Dropdownlist-UI-Control.html\">Dropdownlist UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Combobox-UI-Control.html\">Combobox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"multilistbox.html\">multilistbox</a></li>\n\
          <li><a class=\"link\" href=\"popupMenu.html\">popupMenu</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";