var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9BA10055-A4EA-4F2B-B356-8C41FCFC86A2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Utility Panels</h1></div><p>A scripted utility panel is created using the <code>utility</code> definition construct in MAXScript.</p>\n\
<p>The top-level syntax is as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">utility &lt;var_name&gt; &lt;description_string&gt; [rolledUp:&lt;boolean&gt; ] [silentErrors:&lt;boolean&gt; ]\n\
( \n\
&lt;utility_body&gt; \n\
) </code></pre><p>The <code>&lt;var_name&gt;</code> is the name of an automatically created global variable to hold the value that represents the scripted utility panel.</p>\n\
<p>The <code>&lt;description_string&gt;</code> is a string which is used as the description for the utility in the Utilities list in the MAXScript rollout.</p>\n\
<p>The optional <code>rolledUp:</code> parameter specifies whether the utility rollout is initially rolled up. If set to <code>true</code> , the utility rollout is initially rolled up. The default value is <code>false</code> .</p>\n\
<p>The optional <code>silentErrors:</code> parameter controls whether MAXScript runtime error messages are displayed while executing the scripted utility. If this parameter is set to <code>false</code> , error messages are displayed to Listener and possibly to a pop-up error dialog, and continued execution of the utility is terminated. If this parameter is set to <code>true</code> , error messages will not be displayed, and continued execution of the utility is permitted. Setting this parameter to <code>true</code> is useful for distributed scripted plug-ins that may confuse the user with MAXScript error messages. The default value is <code>false</code> .</p>\n\
<p>The <code>&lt;utility_body&gt;</code> is inside the required parentheses and is a sequence of clauses that defines the user-interface items that will appear in the utility, along with functions and event handlers that process user interactions, as defined in detail in <a href=\"Utility-Clauses.html\">Utility Clauses</a>.</p>\n\
<p>Here is a short example that implements a utility for spreading the positions of the objects in the current selection. It installs a <code>Spread objects</code> entry in the Utilities list. When opened, the <code>Spread objects</code> rollout has three check boxes and one spread amount spinner. The spread spinner event handler is called whenever the user adjusts the spinner, and the event handler expression computes a new position for the objects in the selection, testing the state of each check box to control the spread.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   utility spread &quot;Spread objects&quot; -- define the utility name and description string\n\
   (\n\
   local last_amt = 0 -- define and initialize local variable\n\
   checkbox x &quot;Spread in x&quot; -- create 3 checkboxes\n\
   checkbox y &quot;Spread in y&quot;\n\
   checkbox z &quot;Spread in z&quot;\n\
   spinner spread &quot;Spread amount:&quot; range:[-1000,1000,0] -- create a spinner\n\
   on spread changed amt do -- when spinner value changes...\n\
   (\n\
   delta = amt - last_amt -- calculate difference in current and previous\n\
   for obj in selection do -- values for each selected object\n\
   (\n\
   -- calculate new position based on current position and selection center\n\
   p = obj.pos + normalize (obj.pos - selection.center) * delta\n\
   if x.checked then obj.pos.x = p.x -- if checkbox x checked, apply X position\n\
   if y.checked then obj.pos.y = p.y -- if checkbox y checked, apply Y position\n\
   if z.checked then obj.pos.z = p.z -- if checkbox z checked, apply Z position\n\
   )\n\
   last_amt = amt -- store spinner value as previous value\n\
   ) -- end of &quot;on spread changed&quot;\n\
   ) -- end of utility definition\n\
</code></pre></blockquote>\n\
<p>The Utilities panel rollout created by the previous script looks like the following figure. The Close button is automatically created by MAXScript in the utility rollout, and closes the rollout.</p>\n\
<p><img src=\"./images/GUID-C80D0D89-21D3-4503-BFF8-F11AB1544E5C-low.gif\" alt></p>\n\
<p><strong>Spread objects rollout</strong></p>\n\
<p>Evaluating a utility definition does several things. It creates a new value which is an instance of the Rollout class and contains the utility definition. It assigns this value to the named global variable and installs the utility description in the Utilities list in the MAXScript rollout. At this point, the user can select the utility from the Utilities list and the utility&#x2019;s rollout(s) will open.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If a scripted utility already exists with the same description, the old rollout(s) is replaced with the new one(s), even if it is currently open in the Utilities panel. This allows you to incrementally develop a utility. Each time you modify and evaluate its definition, the old version is replaced with the new one.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a></li>\n\
          <li><a class=\"link\" href=\"Utility-Clauses.html\">Utility Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Managing-Multiple-Rollouts-in-a.html\">Managing Multiple Rollouts in a Scripted Utility</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";