var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CDE5B06D-4BB4-4DEA-96C1-6BAB98709F09\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SubRollout Class</h1></div><p><strong>SubRollout</strong> is a Subclass of RolloutControl. All <a href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a> and <a href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a> should apply.</p>\n\
<p><strong>Description</strong></p>\n\
<p>A UI item which you can place rollouts into. No caption is displayed for the UI item. On right side of the UI item, a scrollbar is displayed if the height of the rollout(s) in the item is greater than the height of the item.</p>\n\
<p>You can override the auto resize setting for a SubRollout by specifying <code>autoLayoutOnResize:&lt;boolean&gt;</code> when creating the SubRollout, otherwise it inherits this setting from the parent rollout. Available in <strong>3ds Max 2019 and higher</strong>. You can also set scrollbar settings using <code>scrollBar: &lt;on|off|#on|#off|#asNeeded&gt;</code>, where the default is <code>#asNeeded</code>..</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.rollouts </code></pre><p>The rollouts installed in the SubRollout control using AddSubRollout (see notes below). Read-only. The names of the installed rollouts are exposed as read-only properties.</p>\n\
<h2 id=\"notes-on-common-ui-item-properties-\">Notes on common UI item properties:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.caption </code></pre><p>None displayed. Read/write.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.text </code></pre><p>None displayed. Read/write.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.enabled </code></pre><p>Setting has no effect. Always set to true. Read/Write.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.pos </code></pre><p>The position of the UI item in the rollout. Read/write.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.align </code></pre><p>UI item alignment. Creation only property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.offset </code></pre><p>UI item offset. Creation only property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.width </code></pre><p>Sets the width of the subrollout. Accessible as a property of the UI item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.height </code></pre><p>Sets the height of the subrollout. Accessible as a property of the UI item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.across </code></pre><p>Number of UI items across. Creation only parameter.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addSubRollout &lt;subrollout&gt; &lt;rollout&gt; [rolledUp:&lt;boolean&gt;] </code></pre><p>Adds the rollout to the subrollout. Always returns ok.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">removeSubRollout &lt;subrollout&gt; &lt;rollout&gt; </code></pre><p>Removes the rollout from the subrollout. Always returns ok.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;test&quot; height:200 autoLayoutOnResize:true scrollBar:#asNeeded\n\
   (\n\
     subrollout test1 &quot;test1&quot;\n\
     subrollout test2 &quot;test2&quot;\n\
   )\n\
   rollout test1a &quot;test1a&quot;\n\
   (\n\
     spinner test1as &quot;test1as&quot;\n\
   )\n\
   rollout test1b &quot;test1b&quot;\n\
   (\n\
     spinner test1bs &quot;test1bs&quot;\n\
   )\n\
   createdialog test\n\
   AddSubRollout test.test1 test1a\n\
   AddSubRollout test.test1 test1b\n\
   test.test1.height += 100\n\
   test.test2.pos += [0,100]\n\
   rollout test2a &quot;test2a&quot;\n\
   (\n\
     spinner test2as &quot;test2as&quot;\n\
   )\n\
   AddSubRollout test.test2 test2a\n\
   test.test2.height += 50\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changing the height of a subRollout does not change the position of any UI items below it.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";