var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-934D13D7-94E9-4481-8832-25A5B83C949F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Utility Clauses</h1></div><p>The <code>&lt;utility_body&gt;</code> of a scripted utility definition is composed of a sequence of utility clauses as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;utility_body&gt; ::= { &lt;utility_clause&gt; }+</code></pre><p>where</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;utility_clause&gt; ::= &lt;rollout_clause&gt; | &lt;nested_rollout&gt;</code></pre><p>A <code>&lt;utility_clause&gt;</code> can contain one or more instances of <code>&lt;rollout_clause&gt;</code> or <code>&lt;nested_rollout&gt;</code> . A nested rollout is basically another self-contained rollout definition which can be used to construct scripted utilities with multiple rollouts or populate rollout floater windows that may be associated with the utility. A <code>&lt;nested_rollout&gt;</code> is defined as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rollout &lt;var_name&gt; &lt;description_string&gt; [ rolledUp:&lt;boolean&gt; ] [ silentErrors:&lt;boolean&gt; ] \\\n\
  [ autoLayoutOnResize:&lt;boolean&gt; ]\n\
( \n\
&lt;rollout_body&gt;\n\
)</code></pre><p>where</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout_body&gt; ::= { &lt;utility_clause&gt; }+</code></pre><p>In other words, a rollout definition is identical to a utility definition except its description string is not displayed in the Utilities list in the MAXScript rollout. In fact, a utility can just be considered a special case of a rollout, and both are instances of the Rollout class.</p>\n\
<p>As an example, consider the following script. In this script, line 1 defines the start of the utility, and the utility body is lines 2 through 42. The following line ranges are utility clauses: 3 (a rollout clause), 5 to 9 (a nested rollout), 11 to 30 (a nested rollout), 32 to 35 (a rollout clause), and 37 to 40 (a rollout clause).</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   utility MyUtil &quot;My Utility&quot;\n\
   (\n\
   local pot\n\
   rollout bout &quot;About My Utility&quot;\n\
   (\n\
   button aboutMU &quot;About&quot; width:45 height:20\n\
   on aboutMU pressed do\n\
   messagebox &quot;My First Utility\\nby ME\\nVersion .1&quot;\\\n\
   title:&quot;About My Utility&quot;\n\
   ) -- end rollout bout\n\
   rollout creator &quot;The Teapot&quot;\n\
   (\n\
   group &quot;Object Creator&quot;\n\
   (\n\
   button tea &quot;Teapot&quot;\n\
   spinner rad &quot;Radius&quot; range:[10,50,20] type:#integer\n\
   spinner seg &quot;Segments&quot; range:[4,32,12] type:#integer scale:1\n\
   )\n\
   on tea pressed do\n\
   (\n\
   pot=teapot radius:rad.value\n\
   pot.name=&quot;TestPot&quot;\n\
   pot.segs=seg.value\n\
   ) -- end on tea pressed\n\
   on rad changed value do\n\
   pot.radius=value\n\
   on seg changed value do\n\
   pot.segs=seg.value\n\
   ) -- end rollout creator\n\
   on MyUtil open do\n\
   (\n\
   addRollout bout\n\
   addRollout creator\n\
   ) -- end on MyUtil open\n\
   on MyUtil close do\n\
   (\n\
   removeRollout bout\n\
   removeRollout creator\n\
   ) -- end on MyUtil close\n\
   ) -- end utility MyUtil\n\
</code></pre></blockquote>\n\
<p>The Utilities panel rollouts created by the previous script look like the following:</p>\n\
<p><img src=\"./images/GUID-73430F90-C840-40F0-BC43-D36086B25BDA-low.gif\" alt></p>\n\
<p><strong>Multiple rollouts defined in a utility</strong></p>\n\
<p>You can also define rollouts outside utility definitions when you want to add them to a rollout floater window that may not be associated with a scripted utility. This is described more fully in <a href=\"Rollout-Floater-Windows.html\">Rollout Floater Windows</a>.</p>\n\
<p>A value is created for a utility or rollout when the script defining the utility or rollout is executed. In general, the lifetime of a utility value is the entire <strong>3ds Max</strong> session, unless a new utility with the same name is executed. The lifetime of a rollout defined in a utility is the lifetime of the utility value. The lifetime of a rollout defined outside a utility is the lifetime of the context the rollout was defined in. For more information, see <a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Utility-Panels.html\">Scripted Utility Panels</a></li>\n\
          <li><a class=\"link\" href=\"Managing-Multiple-Rollouts-in-a.html\">Managing Multiple Rollouts in a Scripted Utility</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";