var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DC435555-362D-4A03-BCF2-21179C5442F2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Utility and Rollout Properties, Methods, and Event Handlers</h1></div><p><strong>Properties</strong></p>\n\
<p>Several properties are available for scripted utilities and rollouts that provide access to the current state of the rollout.</p>\n\
<h2 id=\"rollout-properties-\">Rollout Properties:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.name String, read-only</code></pre><p>The name of the rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.title String</code></pre><p>Title of rollout.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You cannot change the title of a rollout or rollout floater registered as a dialog bar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.open Boolean</code></pre><p>If <code>true</code> , the rollout is open, <code>false</code> it is rolled up. You can assign <code>true</code> or <code>false</code> to this property to open or roll up the rollout.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Setting does nothing if the rollout is a Dialog, dialogBar, or is in an extended viewport. Will always be <code>true</code> in these cases.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.scrollPos Integer</code></pre><p>Scroll position of panel the rollout is in.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Setting this property does nothing if the rollout is a Dialog, dialogBar, or is in an extended viewport. Will always be 0 in these cases.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.height Integer</code></pre><p>Gets/sets the Height of the rollout in pixels.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the rollout is in an extended viewport, the <code>.width</code> and <code>.height</code> properties report the width and height of the viewport. The properties cannot be set for this case.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.width Integer</code></pre><p>Gets/sets the Width of the rollout.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Setting this property does nothing if the rollout is in a rolloutfloater, subRollout, or a command panel.</p>\n\
<p>If the rollout is in an extended viewport, the <code>.width</code> and <code>.height</code> properties report the width and height of the viewport. The properties cannot be set for this case.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.controls Array of ui elements, read-only</code></pre><p>Returns an array of all controls in the rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.inViewport Boolean, read-only</code></pre><p>Returns <code>True</code> when the rollout is in extended viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.dialogBar Boolean, read-only</code></pre><p>Returns <code>True</code> when the rollout is registered as a dialog bar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.inDialog Boolean, read-only</code></pre><p>Returns <code>True</code> when the rollout is currently displayed in a dialog created using <code>createDialog &lt;rollout&gt;.</code> Always valid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.isDisplayed Boolean, read-only</code></pre><p>Returns <code>true</code> if the rollout is currently displayed, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.visible Boolean</code></pre><p>Gets or sets the visibility of a rollout if it is displayed in a dialog. If <code>true</code> (the default), the rollout is visible in the UI. If <code>false</code> , the rollout is hidden in the UI, but is still accessible via MAXScript.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong>\n\
Note: This property does not affect rollout visibility in a rollout floater, only in a dialog created with <code>createDialog()</code>.</p>\n\
<p>For Example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rollout test &quot;Test&quot; (\n\
    button bt_test &quot;Show/Hide Rollout&quot;\n\
    on bt_test pressed  do  test.visible = not test.visible\n\
)\n\
\n\
createDialog test </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.owner Object, read-only</code></pre><p>If the rollout is being displayed by a scripted plugin or a Custom Attribute, the property will contain the scripted plugin or CA instance. This property was added in <strong>3ds Max 8</strong> to make it easier to access the variables in a scripted plugin or CA instance when a debugger break occurs in a rollout event handler. In this case, the owner of the event handler is the rollout, so you can access the scripted plugin or CA instance using <code>getVar owner.owner</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.hwnd Integer, read-only</code></pre><p>Contains the Window HWND handle of the rollout if the rollout is open, or 0 if it is closed.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.rolloutFloater RolloutFloater, read-only</code></pre><p>Contains the rollout floater the rollout is in, or undefined if the rollout is not in a floater. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout&gt;.autoLayoutOnResize Boolean</code></pre><p>True if auto layout on resize is enabled for the rollout. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<h2 id=\"rollout-methods-\">Rollout Methods:</h2><p>Several methods are available for opening and closing utilities, and adding and removing rollouts in the Utilities panel. These methods are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">openUtility &lt;utility&gt;</code></pre><p>Opens the utility&#x2019;s main rollout in the Utilities panel. This is equivalent to selecting the utility from the Utilities list in the MAXScript&#x2019;s Utilities panel rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">closeUtility &lt;utility&gt;</code></pre><p>Closes the utility&#x2019;s main rollout in the Utilities panel. This is equivalent to clicking the Close button in this rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addRollout &lt;rollout&gt; [ rolledUp:&lt;boolean&gt; ]</code></pre><p>Adds the rollout to the Utilities panel. The <code>rolledUp:</code> parameter on the <code>addRollout()</code> function specifies whether the rollout is added in a rolled-up state. This defaults to <code>false</code> , so the rollout is added fully opened. The extra rollouts are arranged in the order of <code>addRollout()</code> calls, so take care in sequencing these to ensure the order you want.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">removeRollout &lt;rollout&gt;</code></pre><p>Removes the rollout from the Utilities panel.</p>\n\
<p>See <a href=\"Managing-Multiple-Rollouts-in-a.html\">Managing Multiple Rollouts in a Scripted Utility</a> for more information on the <code>addRollout()</code> and <code>removeRollout()</code> methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">updateRolloutLayout (&lt;rollout_floater&gt; | &lt;rollout&gt;) forceUpdate:&lt;boolean&gt;</code></pre><p>Updates the layout of rollouts in the specified rollout floater or rollout in a dialog, unless both the rolloutfloater and rollout have their <strong>autoLayoutOnResize</strong> properties set to false, and the <strong>forceUpdate</strong> parameter to the method is false or not specified (the default is false). Available in <strong>3ds Max 2019 and higher</strong>. If <strong>forceUpdate</strong> is true, the layout is updated regardless of <strong>autoLayoutOnResize</strong> settings.</p>\n\
<p><strong>Event Handlers</strong></p>\n\
<p>In addition to the event handlers you specify for particular user-interface items in a rollout, you can define handler functions that are called when an entire rollout is first opened ( <code>open</code> ) or explicitly closed ( <code>close</code> ) by the user. These event handlers are useful for initialization code or for cleaning up when a rollout closes, and are necessary when managing multiple rollouts in one scripted utility. If a rollout floater window is resized or moved, an event handler ( <code>resized</code> or <code>moved</code>, respectively) is called on the first rollout in the rollout floater window. An additional event handler ( <code>oktoclose</code> ) is called to verify that it is OK to close a rollout.</p>\n\
<p><strong>The syntax is as follows:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;rollout_or_utility&gt; open do &lt;expr&gt;</code></pre><p>Called when the rollout or utility is opened.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;rollout_or_utility&gt; close do &lt;expr&gt;</code></pre><p>Called when the rollout or utility is closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;rollout_or_utility&gt; oktoclose do &lt;expr&gt;</code></pre><p>Called when the user clicks the rollout&#x2019;s Close button so the script writer can decide whether to allow the close to proceed. If the expression evaluates to the value <code>true</code> , the rollout is allowed to close. If the expression evaluates to the value <code>false</code> , the action attempting the close is ignored and the rollout or utility is left open.</p>\n\
<p>In the following example the utility will not close unless the &quot;OK To Close&quot; check button is pressed:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   utility ui_oktoclose &quot;OKToClose Test&quot;\n\
   (\n\
   checkbutton a2 &quot;OK To Close&quot;\n\
   on ui_oktoclose oktoclose do a2.state\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;rollout_or_utility&gt; help do &lt;expr&gt;</code></pre><p>Called when dialog/rollout floater/rollout has focus and F1 is pressed.</p>\n\
<p>If a rollout or a rollout control in a rollout has focus, the code looks to see if a &apos;help&apos; event handler is defined for that rollout.</p>\n\
<p>If not, if the rollout is in a rollout floater, the floater will get the message and will check for the &apos;help&apos; event handler on the first rollout in the floater, and if present will call it.</p>\n\
<p>If the rollout is in a subrollout, MAXScript explicitly performs the same check and calls the handler on the first rollout in the subrollout.</p>\n\
<p>If no &apos;help&apos; event handler is found, the message ends up in the 3ds Max window and the 3ds Max help will be called.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;rollout_or_utility&gt; rolledUp &lt;arg&gt; do &lt;expr&gt;</code></pre><p>Called when the rollout or utility is rolled up or down. The argument will contain <code>true</code> when the rollout is rolled down (open) and <code>false</code> when the rollout is rolled up (closed).</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot;\n\
   (\n\
   button btn_test &quot;Press Me&quot;\n\
   on test rolledUp state do\n\
   if state then print &quot;Rolled Down!&quot; else print &quot;Rolled Up!&quot;\n\
   )\n\
   nf = newRolloutFloater &quot;Test&quot; 200 200\n\
   addRollout test nf\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;rollout&gt; resized &lt;arg&gt; do &lt;expr&gt;</code></pre><p>Called on first rollout in a rollout floater window when it is resized either by the user or by a script changing the <code>size</code> property of the rollout floater window. Changing the rollout floater window size in the <code>resized</code> event handler expression will not cause the <code>resized</code> event handler to be called again. The value of &lt; <code>arg</code> &gt; is the current width and height of the rollout floater window.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   global my_rof_size\n\
   ...\n\
   on my_rollout resized size do\n\
   (\n\
   my_rof_size = size -- save the new window size\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;rollout&gt; moved &lt;arg&gt; do &lt;expr&gt;</code></pre><p>Called on first rollout in a rollout floater window when it is moved either by the user or by a script changing the <code>pos</code> property of the rollout floater window. The value of &lt; <code>arg</code> &gt; is the current position of the rollout floater window on the screen in pixels.</p>\n\
<p>The following example keeps a log file of its actions, and uses the rollout open and close handlers to open and close the log file:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   utility frab &quot;Optimal Frabulator&quot;\n\
   (\n\
   local log\n\
   spinner frab_x ...\n\
   button do_it &quot;Enfrabulate now&quot;\n\
   ...\n\
   on do_it pressed do\n\
   (\n\
   frabulate selection\n\
   format &quot;selection frabbed at %\\n&quot; localTime to:log\n\
   )\n\
   on frab open do log = createFile &quot;frabulator.log&quot;\n\
   on frab close do close log\n\
   )\n\
</code></pre></blockquote>\n\
<p>In the following example, the <code>on resized</code> event handler is called when the rollout floater window is resized. Because the event is generated only for the first rollout in a rollout floater window, the <code>on b resized</code> event handler is never called.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout a &quot;Rollout A&quot;\n\
   (\n\
   button a1 &quot;a1&quot;\n\
   on a resized val do (format &quot;A: %\\n&quot; val)\n\
   )\n\
   --\n\
   rollout b &quot;Rollout B&quot;\n\
   (\n\
   button b1 &quot;b1&quot;\n\
   on b resized val do (format &quot;B: %\\n&quot; val)\n\
   )\n\
   --\n\
   rof=newrolloutfloater &quot;test&quot; 200 200\n\
   addrollout a rof\n\
   addrollout b rof\n\
   rof.size=[300,300]\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Scripted-Dialogs/CreateDialog.html\">CreateDialog</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-Floater-Windows.html\">Rollout Floater Windows</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";