var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2AF2AFE0-1B22-4DA2-B0F9-CA3ADABCB6C6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAX File Asset Metadata Stream Access</h1></div><p>In <strong>3ds Max 2010 and higher</strong>, the <strong>3ds Max scene file</strong> provides <strong>Asset Metadata</strong> in a separate stream which can be accessed and modified by external applications. The Asset data is generated and managed by the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">AssetManager</a> and <a href=\"./../Asset-Management/IObject-AssetUser.html\">AssetUser</a> objects.</p>\n\
<p>The <strong>Asset Metadata</strong> inside a saved <strong>3ds Max scene file</strong> can also be accessed by MAXScript using the following functions:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMAXFileAssetMetadata &lt;filename&gt;</code></pre><p>Returns an array of AssetMetadata_StructDef struct instances corresponding to assets defined in the specified.MAXfile.</p>\n\
<p>For more information about how 3ds Max resolves the file specified by <code>filename</code>, see <a href=\"3ds-Max-File-Loading-and-Saving.html\"#scene-file-path-resolution\">Scene File Path Resolution</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMAXFileAssetMetadata &lt;filename&gt; &lt;array of AssetMetadata_StructDef instances&gt;</code></pre><p>Updates the asset metadata defined in the specified <em>.MAXfile</em>.</p>\n\
<p>If the asset ID for an existing asset is not found in the AssetMetadata_StructDef struct instances, the asset is unchanged.</p>\n\
<p>If an asset ID match is found, the asset types must be the same, otherwise a runtime error will be generated.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scenefilename = @&quot;$scenes\\assetMetaDataRewriteTest.max&quot;\n\
   fileassets = #()\n\
   (\n\
   resetmaxfile #noprompt\n\
   gc()\n\
   myteapot = teapot material:(standard diffusemap:(bitmapTexture filename:@&quot;$maps[1]\\assetFile1.tga&quot;) bumpmap:(bitmapTexture filename:@&quot;$maps[1]\\assetFile2.tga&quot;))\n\
   print &quot;material assets:&quot;\n\
   format &quot;%\\n&quot;myteapot.material.diffusemap.filename\n\
   format &quot;%\\n&quot;myteapot.material.bumpmap.filename\n\
   format &quot;\\n&quot;\n\
   print &quot;asset manager assets - presave:&quot;\n\
   for i = 1 to assetmanager.GetNumAssets() do\n\
   (\n\
   asset = assetmanager.GetAssetByIndex i\n\
   format &quot;% : % : % \\n&quot; (asset.GetAssetId()) (asset.GetFileName()) (asset.GetType()) \n\
   )\n\
   format &quot;\\n&quot;\n\
   gc light:true\n\
   savemaxfile scenefilename\n\
   print &quot;asset manager assets - postsave:&quot;\n\
   for i = 1 to assetmanager.GetNumAssets() do\n\
   (\n\
   asset = assetmanager.GetAssetByIndex i\n\
   format &quot;% : % : % \\n&quot; (asset.GetAssetId()) (asset.GetFileName()) (asset.GetType())\n\
   )\n\
   format &quot;\\n&quot;\n\
   gc light:true\n\
   print &quot;original scene file assets:&quot;\n\
   fileassets = getMAXFileAssetMetadata scenefilename\n\
   for asset in fileassets do\n\
   format &quot;% : % : %\\n&quot; asset.assetId asset.FileName asset.Type\n\
   format &quot;\\n&quot;\n\
   gc light:true\n\
   fileassets[1].filename = &quot;assetFile3.tga&quot;\n\
   setMAXFileAssetMetadata scenefilename fileassets\n\
   print &quot;modified scene file assets:&quot;\n\
   fileassets = getMAXFileAssetMetadata scenefilename\n\
   for asset in fileassets do\n\
   format &quot;% : % : %\\n&quot; asset.assetId asset.FileName asset.Type\n\
   format &quot;\\n&quot;\n\
   gc light:true\n\
   ok\n\
   )\n\
   -- error tests\n\
   oldType = fileassets[1].type\n\
   fileassets[1].type = #animation\n\
   setMAXFileAssetMetadata scenefilename fileassets\n\
   fileassets[1].type = oldType\n\
   oldAssetId = fileassets[1].assetId\n\
   fileassets[1].assetId = 123\n\
   setMAXFileAssetMetadata scenefilename fileassets\n\
   fileassets[1].assetId = oldAssetId\n\
   oldAssetId = fileassets[1].assetId\n\
   fileassets[1].assetId = &quot;123&quot;\n\
   setMAXFileAssetMetadata scenefilename fileassets\n\
   fileassets[1].assetId = oldAssetId\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;$scenes\\assetMetaDataRewriteTest.max&quot;\n\
   #()\n\
   &quot;material assets:&quot;\n\
   C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile1.tga\n\
   C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile2.tga\n\
   &quot;asset manager assets - presave:&quot;\n\
   {FFF11D6D-8F2A-417E-8D45-4FAC1B750C43} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile2.tga : #bitmap\n\
   {7647BFE7-3E18-480D-83BC-19F378C9E185} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile1.tga : #bitmap\n\
   {4316B891-0A3E-48A6-BACA-139E228E5899} : glare_streaks_star_camera_filter.tif : #other\n\
   {38B4658B-2DB4-4145-9245-0FCDF7DCC711} : glare_streaks_star_camera_filter.tif : #bitmap\n\
   {77E039AC-3830-4A55-BB7E-0B41BAFB488D} : Untitled Scene : #xref\n\
   &quot;asset manager assets - postsave:&quot;\n\
   {FFF11D6D-8F2A-417E-8D45-4FAC1B750C43} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile2.tga : #bitmap\n\
   {7647BFE7-3E18-480D-83BC-19F378C9E185} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile1.tga : #bitmap\n\
   {38B4658B-2DB4-4145-9245-0FCDF7DCC711} : glare_streaks_star_camera_filter.tif : #bitmap\n\
   {14C3E0E5-219F-4E26-9831-0CF67D83B770} : C:\\Documents and Settings\\username\\My Documents\\3dsMax\\scenes\\assetMetaDataRewriteTest.max : #xref\n\
   {0D502254-780D-405A-8B55-F52E720E43AD} : glare_streaks_star_camera_filter.tif : #other\n\
   &quot;original scene file assets:&quot;\n\
   {FFF11D6D-8F2A-417E-8D45-4FAC1B750C43} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile2.tga : #bitmap\n\
   {7647BFE7-3E18-480D-83BC-19F378C9E185} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile1.tga : #bitmap\n\
   {38B4658B-2DB4-4145-9245-0FCDF7DCC711} : glare_streaks_star_camera_filter.tif : #bitmap\n\
   &quot;modified scene file assets:&quot;\n\
   {FFF11D6D-8F2A-417E-8D45-4FAC1B750C43} : assetFile3.tga : #bitmap\n\
   {7647BFE7-3E18-480D-83BC-19F378C9E185} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile1.tga : #bitmap\n\
   {38B4658B-2DB4-4145-9245-0FCDF7DCC711} : glare_streaks_star_camera_filter.tif : #bitmap\n\
   OK\n\
   #bitmap\n\
   #animation\n\
   -- Error occurred in anonymous codeblock; filename: C:\\Program Files\\Autodesk\\3ds Max 2010\\ui\\macroscripts\\; position: 1590; line: 56\n\
   -- Runtime error: Incorrect asset type for assetId {38B4658B-2DB4-4145-9245-0FCDF7DCC711}; expecting: #Bitmap; got: #animation\n\
   #bitmap\n\
   &quot;{FFF11D6D-8F2A-417E-8D45-4FAC1B750C43}&quot;\n\
   123\n\
   -- Error occurred in anonymous codeblock; filename: C:\\Program Files\\Autodesk\\3ds Max 2010\\ui\\macroscripts\\; position: 1737; line: 61\n\
   -- Unable to convert: 123 to type: String\n\
   &quot;{FFF11D6D-8F2A-417E-8D45-4FAC1B750C43}&quot;\n\
   &quot;{FFF11D6D-8F2A-417E-8D45-4FAC1B750C43}&quot;\n\
   &quot;123&quot;\n\
   -- Error occurred in anonymous codeblock; filename: C:\\Program Files\\Autodesk\\3ds Max 2010\\ui\\macroscripts\\; position: 1892; line: 66\n\
   -- Runtime error: Cannot convert assetId string to assetId value: &quot;123&quot;\n\
   &quot;{FFF11D6D-8F2A-417E-8D45-4FAC1B750C43}&quot;\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds-Max-Scene-Files-Access.html\">3ds Max Scene Files Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Asset-Management/Accessing-AssetManager-AssetUser.html\">Accessing AssetManager, AssetUser and Asset Metadata in MAX Files</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">Interface: AssetManager</a></li>\n\
          <li><a class=\"link\" href=\"../Asset-Management/IObject-AssetUser.html\">IObject:AssetUser</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FileResolutionManager.html\">Interface: FileResolutionManager</a></li>\n\
          <li><a class=\"link\" href=\"MAX-File-Version-Access.html\">MAX File Version Access</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";