var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A8663B8E-7E30-474E-B3DB-E21585F125B1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAX Scene File Properties</h1></div><p>The <strong>File Properties</strong> can be accessed in MAXScript using the methods described in this topic.</p>\n\
<p>The File Properties are organized into three sets. These sets correspond to the three pages in the Main Menu &gt; File &gt; File Properties dialog:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#summary </code></pre><p>This set contains the Title, Subject, Author, Keywords, Comments fields from the Summary page.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#contents </code></pre><p>This set contains the Manager, Company, Category and an array of all headers from the Contents page like General, Mesh Totals etc. Note that the Contents page contents are only update when the file is saved. You can perform a <code>max hold</code> to perform a scene hold, which causes the file to be saved and the Contents page contents to be updated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#custom </code></pre><p>This set contains all the fields from the Custom page.</p>\n\
<p>The following methods are used to access the above sets. <code>&lt;set_name&gt;</code> can be any of the values from above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileProperties.getNumProperties &lt;set_name&gt; </code></pre><p>Returns the number of properties in the given set.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   numProps=fileProperties.getNumProperties #summary\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileProperties.getPropertyName &lt;set_name&gt; &lt;index&gt; </code></pre><p>Returns as a string the property name of the given index. The index is 1-based.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nameProp=fileProperties.getPropertyName #summary 1\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileProperties.getPropertyValue &lt;set_name&gt; &lt;index&gt; </code></pre><p>Returns the property value of given index. The value type can be one of the following types of values currently supported by <strong>3ds Max</strong> in the File Properties dialog. The values in bracket are the MAXScript equivalent value type.</p>\n\
<p>Property Value Types:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Text [String]\n\
Date [String] - contains the date eg:&quot;03/23/99&quot;\n\
Number [Integer or Float based on actual value]\n\
Yes or No [Boolean]\n\
Headers [Array of strings]</code></pre><p>Headers are items like General, Mesh Totals, etc. that appear in contents page.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   an array of headers from contents page obtained using:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fileproperties.getPropertyValue #contents 1\n\
</code></pre><p>   will return</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #(&quot;General&quot;, &quot;Mesh Totals&quot;,...)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileProperties.getItems &lt;header_string&gt; </code></pre><p>Returns an array of strings containing all the items under the given header.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   an array of headers from contents page obtained using:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fileProperties.getItems &quot;Mesh Totals&quot;\n\
</code></pre><p>   might return</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #(&quot;Vertices: 488&quot;, &quot;Faces: 968&quot;)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileProperties.findProperty &lt;set_name&gt; &lt;prop_name_string&gt; </code></pre><p>Given the set name and property name string, will return the index of the property if found, 0 if not found.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fileProperties.findProperty #custom &quot;BoolVal&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileProperties.addProperty &lt;set_name&gt; &lt;prop_name_string&gt; &lt;prop_value&gt; [#date] </code></pre><p>Adds a new property with the property name and property value to the specified set.</p>\n\
<p>The property values can be any of the types previously described except an Array as you cannot add anything to contents page.</p>\n\
<p>If string containing a date is passed then the optional <code>#date</code> argument has to be passed for it to be added as a date value.</p>\n\
<p>Adding to an existing property name will replace the existing value and act as a setter function - this is why <strong>there is no</strong> <code>fileProperties.setProperty()</code> method.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fileProperties.addProperty #custom &quot;DateVal&quot; &quot;03/23/99&quot; #date\n\
</code></pre><p>   will add a date property named <code>DateVal</code> to the custom page.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileProperties.deleteProperty &lt;set_name&gt; &lt;prop_name_string&gt; </code></pre><p>Delete the property indicated by <code>&lt;prop_name_string&gt;</code> in the specified set.</p>\n\
<p>Following is an example of printing all the File Properties in an hierarchical fashion for the current scene.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Add some properties\n\
   fileProperties.addProperty #summary &quot;Title&quot; &quot;H2G2&quot;\n\
   fileProperties.addProperty #summary &quot;Subject&quot; &quot;Earth&quot; \n\
   fileProperties.addProperty #summary &quot;Author&quot; &quot;Ford Prefect&quot;\n\
\n\
   fileProperties.addProperty #contents &quot;Manager&quot; &quot;Zarniwoop&quot; \n\
   fileProperties.addProperty #contents &quot;Company&quot; &quot;Megadodo Publishing&quot; \n\
   fileProperties.addProperty #contents &quot;Category&quot; &quot;Mostly Harmless&quot; \n\
\n\
   fileProperties.addProperty #custom &quot;IntVal&quot; 42\n\
   fileProperties.addProperty #custom &quot;FloatVal&quot; 1.234\n\
   fileProperties.addProperty #custom &quot;BoolVal&quot; true\n\
   fileProperties.addProperty #custom &quot;DateVal&quot; &quot;05/11/2001&quot; #date\n\
   --\n\
   -- Perform a scene hold to update the Contents set.\n\
   max hold\n\
   --\n\
   -- Get all properties\n\
   pages = #( #summary, #contents, #custom)\n\
   for pg in pages do\n\
   (\n\
   format &quot;--- % ---\\n&quot; (pg as string)\n\
   for i=1 to (fileProperties.getNumProperties pg) do\n\
   (\n\
   local pname = (fileProperties.getPropertyName pg i)\n\
   local pval = (fileProperties.getPropertyValue pg i)\n\
   format &quot;\\t% : &quot; pname\n\
   if (pname ==&quot;Headers&quot;) then\n\
   (\n\
   format &quot;\\n&quot;\n\
   for hdr in pval do\n\
   (\n\
   format &quot;\\t\\t%\\n&quot; hdr\n\
   local docs = fileProperties.getItems hdr\n\
   if docs != undefined then\n\
   for d in docs do format &quot;\\t\\t\\t%\\n&quot;d\n\
   )\n\
   )\n\
   else format &quot; %\\n&quot; pval\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds-Max-Scene-Files-Access.html\">3ds Max Scene Files Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"3ds-Max-File-Loading-and-Saving.html\">3ds Max File Loading and Saving</a></li>\n\
          <li><a class=\"link\" href=\"../External-Files-Access/External-File-Methods.html\">External File Methods</a></li>\n\
          <li><a class=\"link\" href=\"../External-Files-Access/File-Name-Parsing.html\">File Name Parsing</a></li>\n\
          <li><a class=\"link\" href=\"../External-Files-Access/Standard-Open-and-Save-File.html\">Standard Open and Save File Dialogs</a></li>\n\
          <li><a class=\"link\" href=\"../../Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\">Exiting and Resetting 3ds Max</a></li>\n\
          <li><a class=\"link\" href=\"../External-Files-Access/Accessing-INI-File-Keys.html\">Accessing INI File Keys</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";