var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-596D54E9-F660-4C1F-8118-628BDCBC115A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>IObject:AssetUser</h1></div><p>An instance of this class contains information on the asset filename, its type, and the <strong>3ds Max</strong> scene file that depends on it (this is used for resolving external references). Access to, and life time management of assets is handled by the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">Asset Manager</a>.</p>\n\
<p>In releases prior to <strong>3ds Max 2010</strong>, a plug-in that referenced an external file (an asset) would hold the asset&#x2019;s filename as a string or as a Path object, and would store the filename to the <strong>3ds Max</strong> scene file as a string or an IParameterBlock2 TYPE_FILENAME parameter. To allow <strong>3ds Max</strong> to identify the assets used by a plug-in, the plug-in would implement an IAssetAccessor-derived class. The information provided from this class was primarily used by the Asset Tracker.</p>\n\
<p>Loading and saving the Asset to the <strong>3ds Max</strong> scene file is now done through the AssetUser and the AssetManager.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<p>Instances of the AssetUser class are returned by methods exposed by the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">AssetManager</a> interface:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   AUIO = AssetManager.GetAssetByIndex1\n\
   --&gt; &lt;IObject:AssetUser&gt;\n\
   AUIO2= AssetManager.GetAsset &quot;Simple_Stone_Mtl_Marble_bump.jpg&quot; #bitmap\n\
   --&gt; &lt;IObject:AssetUser&gt;\n\
</code></pre></blockquote>\n\
<p>MAXScript Filename strings can be automatically coerced to AssetUser instances:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a new bitmap texture map with a valid file name:\n\
   bmt = bitmaptexture filename:&quot;Simple_Stone_Mtl_Marble_bump.jpg&quot;\n\
   --&gt; Bitmaptexture:Bitmap\n\
   bmt.filename --get the bitmap&apos;s file name\n\
   --&gt; &quot;Simple_Stone_Mtl_Marble_bump.jpg&quot;\n\
   AUIO3 = bmt.filename as AssetUser --get the file name as AssetUser IObject\n\
   --&gt; &lt;IObject:AssetUser&gt;\n\
   AUIO3.getFileName()\n\
   --&gt;&quot;Simple_Stone_Mtl_Marble_bump.jpg&quot;\n\
   AUIO3.getType()\n\
   --&gt; #Bitmap\n\
</code></pre></blockquote>\n\
<p><strong><a href=\"IObject:AssetUser\">IObject:AssetUser</a> Interfaces</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: AssetUser </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;AssetUser&gt;.GetAssetId()   </code></pre><p>Returns the AssetID of the Asset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;AssetUser&gt;.GetType() \n\
\n\
GetType enums: {#Other|#Bitmap|#XRef|#Photometric|#Animation|#VideoPost|#BatchRender|#ExternalLink|#RenderOutput|#PreRenderScript|#PostRenderScript|#Sound|#Container} </code></pre><p>Returns the Type of the Asset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;AssetUser&gt;.GetFileName() </code></pre><p>Returns the File Name of the Asset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;AssetUser&gt;.CanGetFullFilePath &lt;&amp;string&gt;fileName \n\
\n\
fileName is Out parameter         </code></pre><p>Returns true if the full file path can be acquired using the .GetFullFilePath() method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;AssetUser&gt;.GetFullFilePath() </code></pre><p>Returns the full file path of the Asset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;AssetUser&gt;.Reset() </code></pre><p>Removes the underlying reference to the asset, allowing it to be garbage-collected if it is no longer referenced by anything else. It is recommended to call this method on an AssetUser when you are done with it. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   AUIO = AssetManager.GetAssetByIndex 2 --get the AsserUser with index 2\n\
   --&gt; &lt;IObject:AssetUser&gt;\n\
   AUIO.GetFileName() --get the file name - it is not full file name\n\
   --&gt; &quot;Simple_Stone_Mtl_Marble_bump.jpg&quot;\n\
   AUIO.CanGetFullFilePath (AUIO.GetFileName()) --can we get the full name?\n\
   --&gt; true\n\
   AUIO.GetFullFilePath() --then let&apos;s get it!\n\
   --&gt; &quot;C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\adskMtl\\Simple_Stone_Mtl_Marble_bump.jpg&quot;\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Asset-Management.html\">Asset Management</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Accessing-AssetManager-AssetUser.html\">Accessing AssetManager, AssetUser and Asset Metadata in MAX Files</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">Interface: AssetManager</a></li>\n\
          <li><a class=\"link\" href=\"../3ds-Max-Scene-Files-Access/MAX-File-Asset-Metadata-Stream.html\">MAX File Asset Metadata Stream Access</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FileResolutionManager.html\">Interface: FileResolutionManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";