var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A96857E7-73FE-4F42-BE71-E8185356F4C9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds MAX Commands</h1></div><p>MAXScript allows you to invoke <strong>3ds Max</strong> menu and toolbar commands from within scripts using the <code>max</code> construct.</p>\n\
<p>The general syntax for <strong>max</strong> commands is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">max &lt;command_name&gt;</code></pre><blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   max file open\n\
   max unhide all\n\
   max hold\n\
   max time play\n\
</code></pre></blockquote>\n\
<p>The keyword <code>max</code> is followed by one or more words that describe the command. The available commands can be displayed using the <code>&apos;?&apos;</code> character in a partial <code>max</code> command:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">max time ? -- show all the time-related commands\n\
max sel ? -- show all the commands with &apos;sel&apos; in them as a substring\n\
max ? -- show all the commands (there are a lot!)\n\
</code></pre><p>The <code>max</code> command always returns the system value <code>ok</code> .</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>max spacebar</code> max command appears to do nothing when invoked from the Listener window, because the spacebar command is window-specific and only locks selections in the active window. Because it is the Listener window that is active, <strong>3ds Max</strong> effectively ignores this command.</div>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><strong>3ds Max Command Name</strong></th>\n\
<th><strong>Command description</strong></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>max ?</code></td>\n\
<td>Displays all max commands in the Listener</td>\n\
</tr>\n\
<tr>\n\
<td><code>max accel pan</code></td>\n\
<td>Activates viewport Pan mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max acthomegrid</code><br> <code>ax activate home grid</code></td>\n\
<td>Makes home grid the active grid</td>\n\
</tr>\n\
<tr>\n\
<td><code>max activate grid object</code></td>\n\
<td>Makes selected grid the active grid</td>\n\
</tr>\n\
<tr>\n\
<td><code>max adaptive persp grid</code><br> <code>ax adaptive perspective grid toggle</code></td>\n\
<td>Changes look of grid in non-orthographic viewports.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max align</code></td>\n\
<td>Activates Align mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max align normals</code><br> <code>ax alignnormals</code></td>\n\
<td>Activates Align Normals mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max align camera</code></td>\n\
<td>Places you in Align Camera mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max align to view</code></td>\n\
<td>Displays the Align To View dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max angle snap toggle</code></td>\n\
<td>Toggles Angle Snap toggle</td>\n\
</tr>\n\
<tr>\n\
<td><code>max apply ik</code></td>\n\
<td>Same as clicking Apply IK button in Hierarchy/IK panel</td>\n\
</tr>\n\
<tr>\n\
<td><code>max array</code></td>\n\
<td>Displays Array dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max backface</code><br> <code>ax backface cull toggle</code></td>\n\
<td>Toggles Backface Cull for selected objects</td>\n\
</tr>\n\
<tr>\n\
<td><code>max background</code><br> <code>ax background display toggle</code></td>\n\
<td>Displays Viewport Background dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max bind space warp mode</code><br> <code>ax bindwsm</code></td>\n\
<td>Activates Bind to Space Warp mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max box mode</code><br> <code>ax box mode selected</code></td>\n\
<td>Toggles Display as Box for selected objects</td>\n\
</tr>\n\
<tr>\n\
<td><code>max box mode toggle</code><br> <code>ax box toggle</code></td>\n\
<td>Toggles active viewport&#x2019;s shading mode to/from Bounding Box</td>\n\
</tr>\n\
<tr>\n\
<td><code>max configure paths</code></td>\n\
<td>Displays Configure Paths dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max create mode</code></td>\n\
<td>Sets Create command mode active</td>\n\
</tr>\n\
<tr>\n\
<td><code>max customize UI</code></td>\n\
<td>Displays Customize User Interface dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max cycle select</code></td>\n\
<td>Cycles through Selection Region types - Rectangular, Circular, Fence</td>\n\
</tr>\n\
<tr>\n\
<td><code>max cycle sublevel</code><br> <code>ax cycle subobject level</code></td>\n\
<td>Cycles through sub-object levels. Must be in Modify panel with Sub-Object active.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max default lighting toggle</code><br> <code>ax def lgt toggle</code></td>\n\
<td>Toggles between default viewport lights and scene lights for viewport rendering</td>\n\
</tr>\n\
<tr>\n\
<td><code>max delete</code></td>\n\
<td>Deletes selected objects or sub-objects</td>\n\
</tr>\n\
<tr>\n\
<td><code>max display floater</code></td>\n\
<td>Displays Display Floater dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max display mode</code></td>\n\
<td>Sets Display command mode active</td>\n\
</tr>\n\
<tr>\n\
<td><code>max dolly</code><br> <code>ax dolly mode</code></td>\n\
<td>Activates Zoom/Dolly mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max drawingaids</code><br> <code>ax drawing aids</code></td>\n\
<td>Displays Grid and Snap Setting dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max fetch</code></td>\n\
<td>Activates Edit/Fetch - displays About to Fetch dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file archive</code></td>\n\
<td>Activates File/Archive - performs a scene file archive operation</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file export selected</code></td>\n\
<td>Activates File/Export Selected - displays Select File to Export dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file import</code></td>\n\
<td>Activates File/Import - displays Select File to Import dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file insert tracks</code></td>\n\
<td>Activates File/Merge - displays Merge Animation dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file merge</code></td>\n\
<td>Activates File/Merge - displays Merge File dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file new</code></td>\n\
<td>Activates File/New</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file open</code></td>\n\
<td>Activates File/Open - displays Open File dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file preferences</code></td>\n\
<td>Activates Customize/Preferences - displays Preference Settings dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file preferences gamma</code></td>\n\
<td>Activates Customize/Preferences - displays the Gamma tab of the Preference Settings dialog. Available since <strong>3ds Max 2010</strong>.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file replace</code></td>\n\
<td>Activates File/Replace - displays Replace File dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file save</code></td>\n\
<td>Activates File/Save</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file saveas</code></td>\n\
<td>Activates File/Save As - displays Save File As dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file xref object</code></td>\n\
<td>Activates File/XRef Objects - displays XRef Objects dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max file xref scene</code></td>\n\
<td>Activates File/XRef Scenes - displays XRef Scenes dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max fov</code></td>\n\
<td>Activates Region Zoom/FOV/Falloff mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max freeze inv</code></td>\n\
<td>Freezes non-selected objects. Same as clicking Freeze Unselected in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max freeze selection</code></td>\n\
<td>Freezes selected objects. Same as clicking Freeze Selected in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max fullinteract</code></td>\n\
<td>No operation</td>\n\
</tr>\n\
<tr>\n\
<td><code>max grid nudge down</code></td>\n\
<td>Nudges active grid down</td>\n\
</tr>\n\
<tr>\n\
<td><code>max grid nudge up</code></td>\n\
<td>Nudges active grid up</td>\n\
</tr>\n\
<tr>\n\
<td><code>max grid toggle</code></td>\n\
<td>Toggles display of active grid in active viewport</td>\n\
</tr>\n\
<tr>\n\
<td><code>max grids align</code></td>\n\
<td>Aligns active grid to active viewport</td>\n\
</tr>\n\
<tr>\n\
<td><code>max group attach</code></td>\n\
<td>Enters Attach Object to Group mode - user clicks on group to attach selected objects to the group</td>\n\
</tr>\n\
<tr>\n\
<td><code>max group close</code></td>\n\
<td>Closes active group</td>\n\
</tr>\n\
<tr>\n\
<td><code>max group detach</code></td>\n\
<td>Detaches selected objects from group</td>\n\
</tr>\n\
<tr>\n\
<td><code>max group group</code></td>\n\
<td>Groups selected objects - displays Group dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max group open</code></td>\n\
<td>Opens selected group</td>\n\
</tr>\n\
<tr>\n\
<td><code>max group open recursively</code></td>\n\
<td>Opens selected group and any contained groups recursively</td>\n\
</tr>\n\
<tr>\n\
<td><code>max group ungroup</code></td>\n\
<td>Ungroups objects in selected group</td>\n\
</tr>\n\
<tr>\n\
<td><code>max help about</code></td>\n\
<td>Activates Help/About - displays the About <strong>3ds Max</strong> dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide camera toggle</code></td>\n\
<td>Toggles Camera in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide command panel toggle</code></td>\n\
<td>Toggles display of command panel</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide floating toolbars toggle</code></td>\n\
<td>Toggles display of floating toolbars</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide helper toggle</code></td>\n\
<td>Toggles Helpers in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide inv</code></td>\n\
<td>Hides un-selected objects. Same as clicking Hide Unselected in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide light toggle</code></td>\n\
<td>Toggles Lights in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide main toolbar toggle</code></td>\n\
<td>Toggles display of main toolbar</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide object toggle</code></td>\n\
<td>Toggles Geometry in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide selection</code></td>\n\
<td>Hides selected objects. Same as clicking Hide Selected in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide shape toggle</code></td>\n\
<td>Toggles Shapes in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide system toggle</code></td>\n\
<td>Toggles Particle Systems in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hide wsm toggle</code></td>\n\
<td>Toggles Space Warps in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hierarchy mode</code></td>\n\
<td>Sets Hierarchy command mode active</td>\n\
</tr>\n\
<tr>\n\
<td><code>max hold</code></td>\n\
<td>Activates Edit/Hold</td>\n\
</tr>\n\
<tr>\n\
<td><code>max ik terminator</code></td>\n\
<td>Toggles Terminator in Hierarchy/IK, Object Parameters rollout</td>\n\
</tr>\n\
<tr>\n\
<td><code>max ipan</code></td>\n\
<td>Interactive Pan - places center of active viewport at current mouse location</td>\n\
</tr>\n\
<tr>\n\
<td><code>max izoom in</code></td>\n\
<td>Interactive Zoom In - zooms in active viewport at current mouse location</td>\n\
</tr>\n\
<tr>\n\
<td><code>max izoom out</code></td>\n\
<td>Interactive Zoom Out - zooms out active viewport at current mouse location</td>\n\
</tr>\n\
<tr>\n\
<td><code>max key mode</code></td>\n\
<td>Toggles Key Mode Toggle</td>\n\
</tr>\n\
<tr>\n\
<td><code>max link</code></td>\n\
<td>Activates Link mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max load custom UI</code></td>\n\
<td>Activates Customize/Load Custom UI - displays Load UI File dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max lock UI layout</code></td>\n\
<td>Toggles locking of the UI layout</td>\n\
</tr>\n\
<tr>\n\
<td><code>max material browser</code></td>\n\
<td>Displays the Material/Map Browser dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max mirror</code></td>\n\
<td>Activates Mirror mode - displays Mirror dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max modify mode</code></td>\n\
<td>Sets Modify command mode active</td>\n\
</tr>\n\
<tr>\n\
<td><code>max motion mode</code></td>\n\
<td>Sets Motion command mode active</td>\n\
</tr>\n\
<tr>\n\
<td><code>max move</code></td>\n\
<td>Activates Select and Move mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max mtledit</code></td>\n\
<td>Activates Tools/Material Editor - displays Material Editor dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max next mod</code></td>\n\
<td>Moves up one level in modifier stack</td>\n\
</tr>\n\
<tr>\n\
<td><code>max override</code></td>\n\
<td>Toggles Degradation Override. Executing this command works on the active window only, so if executed from Listener does nothing.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max pancamera</code></td>\n\
<td>Activates Arc Rotate/Orbit mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max panview</code></td>\n\
<td>Activates Pan/Truck mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max persp</code></td>\n\
<td>Activates Zoom All/Perspective/Hotspot mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max prev mod</code></td>\n\
<td>Moves down one level in modifier stack</td>\n\
</tr>\n\
<tr>\n\
<td><code>max preview</code></td>\n\
<td>Activates Rendering/Make Preview - displays Make Preview dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max properties</code></td>\n\
<td>Displays Object Properties dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max quick render</code></td>\n\
<td>Performs Quick Render</td>\n\
</tr>\n\
<tr>\n\
<td><code>max redo</code></td>\n\
<td>Performs Redo operation</td>\n\
</tr>\n\
<tr>\n\
<td><code>max renamepreview</code></td>\n\
<td>Activates Rendering/Rename Preview - displays Save Preview As dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max render last</code></td>\n\
<td>Performs Render Last</td>\n\
</tr>\n\
<tr>\n\
<td><code>max render scene</code></td>\n\
<td>Activate Render Scene - displays Render Scene dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max reset file</code></td>\n\
<td>Activates File/Reset</td>\n\
</tr>\n\
<tr>\n\
<td><code>max revert custom UI</code></td>\n\
<td>Activates Customize/Revert to Startup UI - displays confirmation dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max rns</code></td>\n\
<td>Activates Edit/Edit Named Selections - displays Edit Named Selection dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max roll</code></td>\n\
<td>Activates Roll mode - active viewport must camera or light viewport</td>\n\
</tr>\n\
<tr>\n\
<td><code>max rotate</code></td>\n\
<td>Activates Select and Rotate mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max rotateview</code></td>\n\
<td>Activates Arc Rotate/Orbit mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max save custom UI as</code></td>\n\
<td>Activates Customize/Save Custom UI As - displays Save UI File as dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max safeframe toggle</code></td>\n\
<td>Toggles viewport Show Safe Frames</td>\n\
</tr>\n\
<tr>\n\
<td><code>max saveplus</code></td>\n\
<td>Saves to the current file name with incrementing number, or if the scene is Untitled, opens the Save As dialog.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max scale</code></td>\n\
<td>Activates Select and Scale mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max scale cycle</code></td>\n\
<td>Cycles through Scale modes - Scale, Non-Uniform Scale, Squash</td>\n\
</tr>\n\
<tr>\n\
<td><code>max select</code></td>\n\
<td>Activates Select mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max select all</code></td>\n\
<td>Activates Edit/Select All - selects all objects</td>\n\
</tr>\n\
<tr>\n\
<td><code>max select by color</code></td>\n\
<td>Activates Edit/Select by Color - user then picks object, all objects with same wireframe color selected</td>\n\
</tr>\n\
<tr>\n\
<td><code>max select child</code></td>\n\
<td>Selects all 1st level children of currently selected objects</td>\n\
</tr>\n\
<tr>\n\
<td><code>max select invert</code></td>\n\
<td>Activates Edit/Select Invert</td>\n\
</tr>\n\
<tr>\n\
<td><code>max select none</code></td>\n\
<td>Activates Edit/Select None</td>\n\
</tr>\n\
<tr>\n\
<td><code>max select parent</code></td>\n\
<td>Selects parents of currently selected objects</td>\n\
</tr>\n\
<tr>\n\
<td><code>max selection floater</code></td>\n\
<td>Displays Selection Floater dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all position</code></td>\n\
<td>Set position keys</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all postion rotation and scale</code></td>\n\
<td>Set position, rotation, and scale keys</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all rotation</code></td>\n\
<td>Set rotation keys</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all scale</code></td>\n\
<td>Set scale keys</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all x postion</code></td>\n\
<td>Set key on X track of position XYZ controllers</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all x rotation</code></td>\n\
<td>Set key on X track of rotation XYZ controllers</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all x scale</code></td>\n\
<td>Set key on X track of scale XYZ controllers</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all y postion</code></td>\n\
<td>Set key on Y track of position XYZ controllers</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all y rotation</code></td>\n\
<td>Set key on Y track of rotation XYZ controllers</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all y scale</code></td>\n\
<td>Set key on Y track of scale XYZ controllers</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all z postion</code></td>\n\
<td>Set key on Z track of position XYZ controllers</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all z rotation</code></td>\n\
<td>Set key on Z track of rotation XYZ controllers</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key all z scale</code></td>\n\
<td>Set key on Z track of scale XYZ controllers</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key clear</code></td>\n\
<td>Clear pending changes</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key customattributes filter</code></td>\n\
<td>Toggle Custom Attributes filter in the Key Filters window</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key ikparams filter</code></td>\n\
<td>Toggle IK Parameters filter in the Key Filters window</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key keys</code></td>\n\
<td>Set Keys for all filtered keyable tracks</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key materials filter</code></td>\n\
<td>Toggle Materials filter in the Key Filters window</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key mode</code></td>\n\
<td>Toggle the Set Key mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key modifiers filter</code></td>\n\
<td>Toggle Modifiers filter in the Key Filters window</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key objectparams filter</code></td>\n\
<td>Toggle the Object Parameters filter in the Key Filters window</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key on selected</code></td>\n\
<td>Same as hitting Set Keys but always on selected nodes (ignores Character dropdown setting)</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key position filter</code></td>\n\
<td>Toggle the Position filter in the Key Filters window</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key rotation filter</code></td>\n\
<td>Toggle the Rotation filter in the Key Filters window</td>\n\
</tr>\n\
<tr>\n\
<td><code>max set key scale filter</code></td>\n\
<td>Toggle the Scale filter in the Key Filters window</td>\n\
</tr>\n\
<tr>\n\
<td><code>max shade selected</code></td>\n\
<td>Toggles Views/Shade Selected</td>\n\
</tr>\n\
<tr>\n\
<td><code>max show last img</code></td>\n\
<td>Displays last rendered image</td>\n\
</tr>\n\
<tr>\n\
<td><code>max showaxisicon</code></td>\n\
<td>Toggles Views/Show Transform Gizmo</td>\n\
</tr>\n\
<tr>\n\
<td><code>max showhomegrid</code></td>\n\
<td>Toggles display of home grid</td>\n\
</tr>\n\
<tr>\n\
<td><code>max show vfb</code></td>\n\
<td>Shows the Rendered Image Window (also known as Virtual Frame Buffer) if it is not open. Available in <strong>3ds Max 2011 and higher</strong>.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max snap toggle</code></td>\n\
<td>Toggles Snap Toggle</td>\n\
</tr>\n\
<tr>\n\
<td><code>max spacebar</code></td>\n\
<td>Toggles Lock Selection Set.Executing this command works on the active window only, so if executed from Listener does nothing.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max spacing tool</code></td>\n\
<td>Displays Spacing Tool dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max spinsnap toggle</code></td>\n\
<td>Toggles Spinner Snap Toggle</td>\n\
</tr>\n\
<tr>\n\
<td><code>max subobject sel</code></td>\n\
<td>Toggles Sub-Object button in Modify panel</td>\n\
</tr>\n\
<tr>\n\
<td><code>max swap layouts</code></td>\n\
<td>No operation - no A/B layout any more</td>\n\
</tr>\n\
<tr>\n\
<td><code>max texture correct</code></td>\n\
<td>Toggles viewport Texture Correction</td>\n\
</tr>\n\
<tr>\n\
<td><code>max time back</code></td>\n\
<td>Sets time slider to previous frame or keyframe (Previous Frame/Previous Key)</td>\n\
</tr>\n\
<tr>\n\
<td><code>max time config</code></td>\n\
<td>Displays Time Configuration dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max time end</code></td>\n\
<td>Sets time slider to end frame (Go to End)</td>\n\
</tr>\n\
<tr>\n\
<td><code>max time forward</code></td>\n\
<td>Sets time slider to next frame or keyframe (Next Frame/Next Key)</td>\n\
</tr>\n\
<tr>\n\
<td><code>max time play</code></td>\n\
<td>Plays animation</td>\n\
</tr>\n\
<tr>\n\
<td><code>max time start</code></td>\n\
<td>Sets time slider to start frame (Go to Start)</td>\n\
</tr>\n\
<tr>\n\
<td><code>max toggle key mode</code></td>\n\
<td>No operation</td>\n\
</tr>\n\
<tr>\n\
<td><code>max toggle keyboard shortcuts</code></td>\n\
<td>Toggles Plug-in Keyboard Shortcut Toggle</td>\n\
</tr>\n\
<tr>\n\
<td><code>max toggle ik</code></td>\n\
<td>Toggles IK Toggle</td>\n\
</tr>\n\
<tr>\n\
<td><code>max toggle sound</code></td>\n\
<td>Toggles Active in Audio group of Sound Options dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool animmode</code></td>\n\
<td>Toggles Animate button</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool center</code></td>\n\
<td>Cycles through transform centers - Pivot Point, Selection, Transform</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool dualplanes</code></td>\n\
<td>Toggles state of Use Dual Planes in Preference Settings dialog, Viewports tab.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool hlist</code></td>\n\
<td>Activates Select by Name - displays Select Objects dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool maximize</code></td>\n\
<td>Maximizes/Minimizes active viewport</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool x</code></td>\n\
<td>Activates Restrict to X</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool xy</code></td>\n\
<td>Activates Restrict to XY</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool y</code></td>\n\
<td>Activates Restrict to Y</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool z</code></td>\n\
<td>Activates Restrict to Z</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool zoom</code></td>\n\
<td>Activates Zoom/Dolly mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool zoomall</code></td>\n\
<td>Activates Zoom All</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool zoomextents</code></td>\n\
<td>Activates Zoom Extents</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool zoomextents all</code></td>\n\
<td>Activates Zoom Extents All</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tool zoomregion</code></td>\n\
<td>Activates Zoom Region/FOV/Falloff mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max trajectories</code></td>\n\
<td>Toggles trajectory display for selected objects</td>\n\
</tr>\n\
<tr>\n\
<td><code>max treeview</code></td>\n\
<td>Activates Track View/Open Track View - displays Track View dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max truck</code></td>\n\
<td>Activates Pan/Truck mode</td>\n\
</tr>\n\
<tr>\n\
<td><code>max tti</code></td>\n\
<td>Activates Tools/Transform Type-In - display Transform Type-In dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max undo</code></td>\n\
<td>Performs undo operation</td>\n\
</tr>\n\
<tr>\n\
<td><code>max unfreeze all</code></td>\n\
<td>Unfreezes all objects. Same as clicking Unfreeze All in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max unfreeze by hit</code></td>\n\
<td>Activates Unfreeze by Hit mode. Same as clicking Unfreeze by Hit in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max unfreeze by name</code></td>\n\
<td>Displays Unfreeze Objects dialog. Same as clicking Unfreeze by Name in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max unhide all</code></td>\n\
<td>Unhides all objects. Same as clicking Unhide All in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max unhide by name</code></td>\n\
<td>Displays Unhide Objects dialog. Same as clicking Unhide by Name in Display panel.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max unitsetup</code></td>\n\
<td>Activates Customize/Units Setup - displays Units Setup dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max unlink</code></td>\n\
<td>Unlinks selected objects from their parents</td>\n\
</tr>\n\
<tr>\n\
<td><code>max utility mode</code></td>\n\
<td>Sets Utility command mode active</td>\n\
</tr>\n\
<tr>\n\
<td><code>max videopost</code></td>\n\
<td>Activates Rendering/Video Post - displays Video Post dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max view file</code></td>\n\
<td>Activates File/View File - displays View File dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max view redo</code></td>\n\
<td>Performs viewport redo operation</td>\n\
</tr>\n\
<tr>\n\
<td><code>max viewpreview</code></td>\n\
<td>Activates Rendering/View Preview - displays last preview</td>\n\
</tr>\n\
<tr>\n\
<td><code>max views redraw</code></td>\n\
<td>Redraws all viewports</td>\n\
</tr>\n\
<tr>\n\
<td><code>max views undo</code></td>\n\
<td>Performs viewport undo operation</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt back</code></td>\n\
<td>Sets active viewport to Back</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt bottom</code></td>\n\
<td>Sets active viewport to Bottom</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt camera</code></td>\n\
<td>Sets active viewport to Camera. If only 1 camera in scene, or a camera is selected, that camera will be used for the viewport. If there is more than one camera, and no cameras are selected, the Select Camera dialog will be displayed. If there is no camera in the scene, a No Camera in Scene warning is displayed.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt disable</code></td>\n\
<td>Toggles Disabled state of active viewport</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt front</code></td>\n\
<td>Sets active viewport to Front</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt grid</code></td>\n\
<td>Sets active viewport to Grid</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt iso user</code></td>\n\
<td>Sets active viewport to User</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt left</code></td>\n\
<td>Sets active viewport to Left</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt persp user</code></td>\n\
<td>Sets active viewport to Perspective</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt right</code></td>\n\
<td>Sets active viewport to Right</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt shape</code></td>\n\
<td>Sets active viewport to Shape</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt spot</code></td>\n\
<td>Sets active viewport to Spotlight. If only 1 spotlight/directional light in scene, or a spotlight/directional light is selected, that light will be used for the viewport. If there is more than one spotlight/directional light, and no lights are selected, the Select Light dialog will be displayed. If there is no spotlight/directional light in the scene, a No Light in Scene warning is displayed.</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt tab</code></td>\n\
<td>Cycles between Restrict to axes - X, Y, Z, XY</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt top</code></td>\n\
<td>Sets active viewport to Top</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vpt track</code></td>\n\
<td>Sets active viewport to Track View</td>\n\
</tr>\n\
<tr>\n\
<td><code>max vptconfig</code></td>\n\
<td>Activates Customize/Viewport Configuration - displays Viewport Configuration dialog</td>\n\
</tr>\n\
<tr>\n\
<td><code>max wire facet</code></td>\n\
<td>Sets active viewport shading mode to Facets + Highlights</td>\n\
</tr>\n\
<tr>\n\
<td><code>max wire smooth</code></td>\n\
<td>Sets active viewport shading mode to Wireframe</td>\n\
</tr>\n\
<tr>\n\
<td><code>max zoom in 2x</code></td>\n\
<td>Zooms in active viewport by 2x</td>\n\
</tr>\n\
<tr>\n\
<td><code>max zoom in 2x all</code></td>\n\
<td>Zooms in all viewports by 2x</td>\n\
</tr>\n\
<tr>\n\
<td><code>max zoom out 2x</code></td>\n\
<td>Zooms out active viewport by 2x</td>\n\
</tr>\n\
<tr>\n\
<td><code>max zoom out 2x all</code></td>\n\
<td>Zooms out all viewports by 2x</td>\n\
</tr>\n\
<tr>\n\
<td><code>max zoomext sel</code></td>\n\
<td>Activates Zoom Extents Selected</td>\n\
</tr>\n\
<tr>\n\
<td><code>max zoomext sel all</code></td>\n\
<td>Activates Zoom Extents All Selected</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interacting-with-the-3ds-Max.html\">Interacting with the 3ds Max User Interface</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";