var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D2A6D67D-60D6-4068-80E2-7C16496213CF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Command Panels</h1></div><p>The following methods are used to get or set the active command panel:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setCommandPanelTaskMode [mode:]&lt;panel_name&gt;</code></pre><p>Sets the specified command panel as active. The valid <code>panel_name</code> values are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#create -- Create Panel\n\
#modify -- Modify Panel\n\
#hierarchy -- Hierarchy Panel\n\
#motion -- Motion Panel\n\
#display -- Display Panel\n\
#utility -- Utility Panel</code></pre><p>The syntax of <code>SetCommandPanelTaskMode</code> was modified in <strong>3ds Max 7</strong> so that the panel name to switch to can either be specified as the mode keyword argument, or simply as the argument to the method.</p>\n\
<blockquote>\n\
<p>   <strong>The following expressions are equivalent:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setCommandPanelTaskMode #modify\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setCommandPanelTaskMode mode:#modify\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCommandPanelTaskMode()</code></pre><p>Returns the current command panel as a name value. The name values correspond to the <code>panel_name</code> values for <code>SetCommandPanelTaskMode()</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">suspendEditing which:&lt;panel_name&gt; \n\
alwaysSuspend:&lt;boolean&gt;\n\
resumeEditing which:&lt;panel_name&gt; \n\
alwaysSuspend:&lt;boolean&gt;</code></pre><p>Suspend/resume rollout display in the command panels. The <code>panel_name</code> values are as described for the <code>setCommandPanelTaskMode</code> command.</p>\n\
<p>If <code>which</code> : is not specified, all panels are suspended or resumed.</p>\n\
<p>If <code>alwaysSuspend</code> : is true (default is true), the panel is suspended even if the panel is not selected when the command is run.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Only Modify, Hierarchy, and Motion panels support suspend/resume.</p>\n\
<p>If the steps between the SuspendEditing and the ResumeEditing can throw an exception, the steps <strong>should</strong> be performed in a try/catch so that the editing state can be properly restored.</p>\n\
\n\
</div></div>\n\
\n\
<p>The following <strong>3ds Max</strong> system global variables are associated with the command panel:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.commandPanelOpen</code></pre><p>Lets you get and set whether the command panel is displayed. A Boolean value - <code>true</code> if the command panel is displayed, <code>false</code> if not displayed.</p>\n\
<p>Specific methods and <strong>3ds Max</strong> global variables are associated with the Create and Modify panels. These methods and global variables are described in the following topics:</p>\n\
<p><a href=\"Create-Panel.html\">Create Panel</a></p>\n\
<p><a href=\"Modify-Panel.html\">Modify Panel</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Command-Panels.html\">Command Panels</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";