var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-77CE3E5A-7AB1-4048-BD80-B127E0231FFA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>FBX Import Dialog Access</h1></div><p>The following functions provide access to the FBX Importer dialog options.</p>\n\
<p>For further details on the various options, please see the following topic in the <strong>3ds Max Help:</strong></p>\n\
<p><strong><em>Managing Scenes and Projects &gt; Geometry File Formats &gt; FBX Files: Data Sharing with Maya, MotionBuilder, Revit, Softimage, and Toxik/Composite &gt; Scripting for the 3ds Max FBX plug-in</em></strong></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <strong>FBX Importer</strong> Plugin <strong>must be loaded in memory</strong> in order to get and set its properties. If it is not in memory, it can be loaded using <code>pluginManager.loadClass FbxImporter</code></div>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Value&gt;FbxImporterGetParam &lt;String&gt;arg</code></pre><p>This function expects a string as argument, specifying the option to get .</p>\n\
<p>See the left column of the table below for available option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FbxImporterSetParam &lt;String&gt;arg &lt;Value&gt;val</code></pre><p>This function expects a string as a first argument specifying the option to affect, with the second argument being the new value as described below:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Arg String</th>\n\
<th>Value</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>&quot;Animation&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;AxisConversion&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;BakeAnimationLayers&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Cameras&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ConvertUnit&quot;</td>\n\
<td>&quot;mm&quot; or &quot;cm&quot; or &quot;dm&quot; or &quot;m&quot; or &quot;km&quot; or &quot;in&quot; or &quot;ft&quot; or &quot;yd&quot;.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;FillTimeline&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;FilterKeyReducer&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;FilterKeySync&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;GenerateLog&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ImportBoneAsDummy&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;KeepFrameRate&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Lights&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;LoadImportPresetFile&quot;</td>\n\
<td>The location of the preset file as String.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Markers&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Mode&quot;</td>\n\
<td>#create (Add to new scene) #exmerge (Exclusive Merge - Add and Update Animation) #merge (Merge, Update animation).</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;PopSettings&quot;</td>\n\
<td>This setting preserves the current state of the settings when you perform a One-Click operation.This setting loads all settings saved by FBXImporterSetParam &quot;PushSettings&quot; (see below).</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;PushSettings&quot;</td>\n\
<td>This setting preserves the current state of the settings when you perform a One-Click operation.This setting saves all I/O settings</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;PointCache&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;PostSamplingKeyReducer&quot;</td>\n\
<td><a href=\"./../../../What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2021.1 Update:</strong> This setting controls the animation key reducing function. By default this setting is true. The importer can create a lot of new keys, and then attempts to reduce this number after the conversion. It makes no distinction between keys that existed in the original file and new ones created by re-sampling. Therefore, the post conversion reduction can in some situations result in the loss of information, especially with subtle animations.Setting this option to False turns off the post-sampling key reducer, preserving all position, rotation and scaling animation keys. This will preserve keys that were present in the original file as well as new ones that are created by the importer during re-sampling.True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Resampling&quot;</td>\n\
<td>Float.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ResetImport&quot;</td>\n\
<td>Restores factory defaults. If ResetImport is called without argument for: <strong>3DS Max</strong>: Loads the Autodesk Media &amp; Entertainment import preset. <strong>3DS Design</strong>: Loads the Autodesk Architectural (Revit) import presetUsing the <strong>file name only</strong> as the argument: If we pass &quot;Autodesk Media &amp; Entertainment.fbximportpreset&quot; or &quot;Autodesk Architectural (Revit) .fbximportpreset&quot;, it searches the factory preset directory to load the preset file.Use this command to load a factory preset without knowing the directory.Note: This command is used by the OneClick functionality.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ScaleConversion&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ScaleFactor&quot;</td>\n\
<td>Float.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Shape&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Skin&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;SmoothingGroups&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;TakeCount&quot;</td>\n\
<td>This parameter is only available for the &quot;get&quot; function.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;TakeIndex&quot;</td>\n\
<td>An integer number from 1 to the number of takes in the FBX file. This parameter is only available for setting. When you specify the take, use 0 to indicate no animation. (This is the default value of this property.) Use 1 to specify the first take in the FBX file, 2 to indicate the second take, and so on.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;UpAxis&quot;</td>\n\
<td>&quot;Y&quot; or &quot;Z&quot;.</td>\n\
</tr>\n\
</tbody></table>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --To import an fbx file using the &apos;Add to new scene&apos; mode,\n\
   --the skin modifier but preventing the loading of animation:\n\
   FBXImporterSetParam &quot;Mode&quot; #create\n\
   FBXImporterSetParam &quot;Skin&quot; true\n\
   FBXImporterSetParam &quot;Animation&quot; false\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../FBX-Import-and-Export-Dialog.html\">FBX Import and Export Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"FBX-Export-Dialog-Access.html\">FBX Export Dialog Access</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/InventorImport-ImporterPlugin.html\">InventorImport : ImporterPlugin</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";