var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6EF57030-B59F-4341-B6AA-BFB4269AE913\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Selection Filter</h1></div><p>The Selection Filter list lets you restrict the selection done by the selection tools to specific types and combinations of objects. For example, if Cameras is selected, you can select only cameras with the selection tools. Other objects cannot be selected interactively with the mouse in the viewport. Although, they can be selected using the Select By Name, Selection Sets, or MAXScript select methods.</p>\n\
<h3 id=\"selection-filter-methods-\">Selection Filter Methods:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int&gt;GetSelectFilter </code></pre><p>Returns the index of the current selection select filter in the selection filter list. For example, by default 1 means All, 4 means Lights, 8 means Bones, and so on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetSelectFilter &lt;int_index&gt;      </code></pre><p>Set the current select filter by index.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setSelectFiler 5 --set selection filter to Cameras\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int&gt;GetNumberSelectFilters </code></pre><p>Returns the number of selection filters in the drop down.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;GetSelectFilterName &lt;int_index&gt; </code></pre><p>Returns the name of the indexed selection filter.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i = 1 to GetNumberSelectFilters() do --go through all\n\
   format &quot;%: %\\n&quot;i (GetSelectFilterName i) --print index and name\n\
   --result:\n\
   --&gt;1: All\n\
   --&gt;2: Geometry\n\
   --&gt;3: Shapes\n\
   --&gt;4: Lights\n\
   --&gt;5: Cameras\n\
   --&gt;6: Helpers\n\
   --&gt;7: Warps\n\
   --&gt;8: Bone\n\
   --&gt;9: IK Chain Object\n\
   --&gt;10: Point\n\
   --&gt;11: CAT Bone\n\
   --&gt;OK\n\
</code></pre></blockquote>\n\
<h3 id=\"display-filter-methods-\">Display Filter Methods:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registerDisplayFilterCallback &lt;filterFunction&gt; &lt;filter_name&gt;\n\
unregisterDisplayFilterCallback ( &lt;filterFunction | undefined )</code></pre><p>Registers or unregisters a display filter callback.   </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetDisplayFilter &lt;int_index&gt; </code></pre><p>Returns true if the indexed display filter is enabled, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Unlike, the Selection filers that can be enabled only one at a time, any number of Display filters can be activated at the same time.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetDisplayFilter &lt;int_index&gt; &lt;bool_on&gt; </code></pre><p>Sets the enabled state of the indexed display filter to the supplied Boolean value.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setDisplayFiler 3 --set display filter to Point\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int&gt;GetNumberDisplayFilters </code></pre><p>Returns the number of display filters in the display panel&apos;s list box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;GetDisplayFilterName &lt;int_index&gt; </code></pre><p>Returns the name of the indexed display filter.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i = 1 to GetNumberDisplayFilters() do --go through all\n\
   format &quot;%: %\\n&quot;i (GetDisplayFilterName i) --print index and name\n\
   --result:\n\
   --&gt;1: Bone\n\
   --&gt;2: IK Chain Object\n\
   --&gt;3: Point\n\
   --&gt;4: CAT Bone\n\
   --&gt;OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Filters.html\">Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Adding-Selection-and-Display.html\">Adding Selection and Display Filters</a></li>\n\
          <li><a class=\"link\" href=\"../Main-Toolbar/Main-Toolbar-1.html\">Main Toolbar</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";