var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3E1B1FA8-710C-4FF8-A067-68F6DFF15799\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>xView Geometry Checker Access</h1></div><p>The <strong>xView Geometry Checker</strong> feature introduced in <strong>3ds Max 2010</strong> provides means to interactively check geometry objects in the viewport for various error conditions.</p>\n\
<p>MAXScript can be used to</p>\n\
<ul>\n\
<li><p><strong>Control the settings</strong> of the xView system.</p>\n\
</li>\n\
<li><p><strong>Call the xView Checkers</strong> to acquire their results from inside MAXScript code without using the xView System User Interface</p>\n\
</li>\n\
<li><p><strong>Create completely new custom xView Checkers</strong> to test various aspects of selected geometry objects.</p>\n\
</li>\n\
</ul>\n\
<p>The following Interfaces expose the components of the xView Checker feature to MAXScript:</p>\n\
<h3 id=\"xview-geometry-checker-control\">xView Geometry Checker Control</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">Interface: xViewChecker</a></p>\n\
<p>This interface provides properties and methods to control the xView Geometry Checker system and to register additional Checkers using MAXScript functions.</p>\n\
<h3 id=\"xview-geometry-checker-modules\">xView Geometry Checker Modules</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FacesOrientation.html\">Interface: FacesOrientation</a></p>\n\
<p>Checks for flipped faces, shows the backfacing faces in a different color.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlippedUVWFaces.html\">Interface: FlippedUVWFaces</a></p>\n\
<p>Checks for flipped texture faces</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IsolatedVertices.html\">Interface: IsolatedVertices</a></p>\n\
<p>Checks for isolated vertices not used by any faces.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MissingUVCoordinates.html\">Interface: MissingUVCoordinates</a></p>\n\
<p>Checks for missing texture coordinates.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MultipleEdges.html\">Interface: MultipleEdges</a></p>\n\
<p>Checks for multiple edges.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OpenEdges.html\">Interface: OpenEdges</a></p>\n\
<p>Checks for open edges referencing only one polygon.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappedUVWFaces.html\">Interface: OverlappedUVWFaces</a></p>\n\
<p>Checks for overlapping texture faces.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappingFaces.html\">Interface: OverlappingFaces</a></p>\n\
<p>Checks for overlapping faces which typically cause Z-fighting in viewport and rendering.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappingVertices.html\">Interface: OverlappingVertices</a></p>\n\
<p>Checks for overlapping (not welded) vertices within a given tolerance.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-TVerts.html\">Interface: TVerts</a></p>\n\
<p>Checks for T-Vertices (vertices sharing three edges)</p>\n\
<h3 id=\"developing-custom-xview-checkers-using-maxscript\">Developing Custom xView Checkers using MAXScript</h3><p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView.html\">How To ... Develop A Face Area XViewChecker - Part 1</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-1.html\">How To ... Develop A Face Area XViewChecker - Part 2</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-2.html\">How To ... Develop A Face Area XViewChecker - Part 3</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-3.html\">How To ... Develop A Face Area XViewChecker - Part 4</a></p>\n\
<p>These tutorials show the creation of custom XView Checkers using MAXScript functions.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Checker.html\">Geometry Checker</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";