var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ADA6FA9A-46B8-4F77-9F99-5ADE6D454B29\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Keyboard Entry</h1></div><p>The following are keyboard input functions for performing simple interactive tasks directly in the Listener or Mini Listener.</p>\n\
<p>All keyboard input functions take input from Mini Listener if Listener is closed, but if it is open, input will always be taken from Listener.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKBValue [ prompt:&lt;string&gt; ]</code></pre><p>The <strong><code>getKBValue()</code></strong> function lets the user enter a MAXScript value into the Listener.</p>\n\
<p>The optional <strong><code>prompt:</code></strong> keyword argument takes a string that is displayed in the Listener as a prompt message.</p>\n\
<p>Any valid MAXScript expression can be entered into the Listener and is evaluated to become the result of the <strong><code>getKBValue()</code></strong> function.</p>\n\
<p>Expressions include the literals for integer, float, string, name, array, point2, point3, and scene object pathnames, or they can be expressions involving math operations and functions, script supplied functions, global variables, etc.</p>\n\
<p>You can test the type of value returned using MAXScript&apos;s <strong><code>classOf</code></strong> function.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   v = getKBValue prompt:&quot;Enter object count:&quot;\n\
   if classOf v != integer do\n\
     print &quot;Value entered must be an integer&quot;\n\
</code></pre></blockquote>\n\
<p>The user can abort the entry by pressing the <strong>Esc</strong> key in which case the function returns the special value <strong><code>#escape</code></strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKBLine [prompt:&lt;string&gt;]</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKBChar [prompt:&lt;string&gt;]</code></pre><p>These functions let the user type characters into the Listener that are returned as a MAXScript string.</p>\n\
<p><strong><code>getKBLine()</code> returns all the characters up until the user presses **ENTER</strong> , <code>getKBChar()</code>** returns each character immediately as it is entered.</p>\n\
<p>The user can abort the entry by pressing the <strong>Esc</strong> key in which case the function returns the special value <strong><code>#undefined</code></strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKBPoint [prompt:&lt;string&gt;]</code></pre><p>This function lets the user type in a 3D point in the syntax supported by the <strong><code>pickPoint()</code></strong> function.</p>\n\
<p>See the <strong><code>pickPoint()</code></strong> description above for details about the syntax.</p>\n\
<p>The function interprets the 3D point as relative to the current active grid construction plane and returns a <strong>Point3</strong> in world-coordinates.</p>\n\
<p>The following are <strong>system global variables</strong> related to the keyboard:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keyboard.shiftPressed</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keyboard.controlPressed</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keyboard.altPressed</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keyboard.escPressed</code></pre><p>These variables access the current state of the keyboard shift, control, alt and escape keys and return <strong>true</strong> or <strong>false</strong> depending on the pressed state of the key at the time the variable is read and are <strong>read-only</strong> variables.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Keyboard-Entry.html\">Keyboard Entry</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";