var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-354B1DA2-6573-40FA-AE1E-5AF191E0056C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MatEditor - Open and Close the Material Editor</h1></div><p>Provides properties and methods to open and close the Material Editor, query whether it is open and get and set its mode. These methods apply to both the Compact (Legacy) Material Editor and the Schematic Material Editor introduced in <strong>3ds Max 2011</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MatEditor.mode </code></pre><p>Get/set the Material Editor Mode. Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#basic</strong> - Compact (legacy) Material Editor.</p>\n\
<p><strong>#advanced</strong> - Slate Material Editor.</p>\n\
<p>This property duplicates the <code>maxOps.mtldlgMode</code> property&apos;s functionality, but does not accept integer values (0 or 1) in place of the <code>#basic</code> and <code>#advanced</code> enums. It is provided in the <code>MatEditor</code> struct for convenience.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MatEditor.Open()   </code></pre><p>Opens the Compact Material Editor or Slate Material Editor, depending on the current mode (see property above).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;MatEditor.isOpen() </code></pre><p>Returns <code>true</code> if either the Compact or the Slate Material Editor is open.</p>\n\
<p>Returns false if the Material Editor is closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MatEditor.Close() </code></pre><p>Closes the Material Editor regardless of its mode.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SME.Open() </code></pre><p>Opens specifically the Slate Material Editor. Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>If the Compact Material Editor is open, it will be closed automatically.</p>\n\
<p>See <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\">Interface: SME</a> for all SME-related methods.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Editor.html\">Material Editor</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Material-Editor-1.html\">Material Editor</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-medit.html\">Interface: medit</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\">Interface: SME</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";