var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E1FA38D3-D03C-4A33-9C5A-C2DA3B21EFAF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Material Editor</h1></div><p>The following functions are specific to materials and the use of materials with the Material Editor:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMeditMaterial &lt;slot_index&gt;      </code></pre><p>You can get the materials in the material editor slots 1 through 24.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   foo = getMeditMaterial 3\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMeditMaterial &lt;slot_index&gt; &lt;material&gt;   </code></pre><p>Complements the <code>getMeditMaterial</code> function allowing you to place a material into the numbered material editor slots.</p>\n\
<p>Accepts either materials or texture maps as <code>&lt;material&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loadDefaultMatLib() </code></pre><p>Loads the default <strong>3ds Max</strong> material library file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loadMaterialLibrary &lt;filename_string&gt; </code></pre><p>Loads the named <strong>3ds Max</strong> material library file, which becomes the current material library.</p>\n\
<p>If the file name does not have a fully specified directory path, the function searches through all the currently configured bitmap paths.</p>\n\
<p>Returns <code>true</code> if the load succeeds, <code>false</code> if it fails.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">saveMaterialLibrary &lt;filename_string&gt; </code></pre><p>Saves the current material library into the named file.</p>\n\
<p>Returns <code>true</code> if the save succeeds, <code>false</code> if it fails.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileOpenMatLib() </code></pre><p>This method displays the File Open dialog and allows the user to select a material library to load.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileSaveAsMatLib() </code></pre><p>Displays the standard Save File As dialog to allow the user to save the current material library.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileSaveMatLib [quiet:&lt;boolean&gt;] </code></pre><p>If the current material library has been saved previously (has been named), this method saves the material library to the same file.</p>\n\
<p>Otherwise, it displays the standard Save File As dialog to allow the user to save the current material library.</p>\n\
<p>For details on the <code>quiet:</code> option available in <strong>3ds Max 8 and higher</strong>, please see <a href=\"./../Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMatLibFileName() </code></pre><p>Returns the current material library file name as a String value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderMap &lt;textureMap&gt; [into:&lt;bitmap&gt;] [size:&lt;point2&gt;] [filename:&lt;string&gt;] [scale:&lt;float&gt;][filter:&lt;boolean&gt;] [display:&lt;boolean&gt;] </code></pre><p>Provides access to the Render Map function available in the Material Editor.</p>\n\
<p>The function returns a Bitmap value containing a rendering of the given texture map.</p>\n\
<p>If you specify the optional <code>into:</code> argument, the function renders the map into the supplied bitmap, taking size and other attributes from the existing bitmap. Otherwise, a new bitmap value is created using the <code>size:</code> and <code>fileName:</code> arguments in its creation.</p>\n\
<p>If the <code>into:</code> and <code>size:</code> parameters are not specified, the default size is in [200,200].</p>\n\
<p>The <code>scale:</code> argument is a scale factor applied to 3D TextureMaps. This is the scale of the surface in 3d space that is mapped to the UV and controls how much of the texture appears in the bitmap representation.</p>\n\
<p>If the <code>filter:</code> argument is <code>true</code> , the bitmap is filtered. It is slower to rescale bitmaps with filtering on. Defaults to <code>false</code> .</p>\n\
<p>If the <code>display:</code> argument is <code>true</code> , the resulting bitmap is displayed using the virtual frame buffer; otherwise it is not. Defaults to <code>false</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rm = renderMap $foo.material.diffuseMap size:[640,480] \\\n\
   fileName:&quot;foodif.bmp&quot;\n\
   save rm\n\
   close rm\n\
</code></pre><p>   The above will render a map to a bitmap and save it as a .bmp file.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showTextureMap &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt; </code></pre><p>This provides control over the visibility of textures in the shaded viewport.</p>\n\
<p>You can specify the material containing the texture map, the texture map in that material to be controlled, and a boolean to turn the display on or off.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   foo=box()\n\
   foo.material = standard diffuseMap:(checker()) showInViewport:true\n\
\n\
   showTextureMap foo.material foo.material.diffuseMap on\n\
   tm = checker()\n\
   mat = standardMaterial diffuseMap:tm\n\
   mm = multimaterial()\n\
   mm[1] = mat\n\
   foo.material = mm\n\
   showTextureMap mm[1] tm on\n\
</code></pre><p>   Note that for multimaterials, you need to specify the appropriate sub-material (for example, using [] indexing).</p>\n\
</blockquote>\n\
<p>See <a href=\"showTextureMap-function.html\">showTextureMap() function</a> for details.</p>\n\
<p>The following <a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max System Global Variables</a> are applicable to the <strong>Material Editor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">currentMaterialLibrary </code></pre><p>Contains a virtual array of materials and root level maps corresponding to the currently opened material library.</p>\n\
<p>You can get library materials using array indexing and iterate over them in a <code>for</code> loop.</p>\n\
<p>The array can be indexed by a number, or by a name or string to select by material name.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\">MaterialLibrary Values</a> for more information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meditMaterials </code></pre><p>Contains a virtual array of materials and root level maps corresponding to the slots in the material editor.</p>\n\
<p>You can access the material editor materials and root level maps using array indexing and iterate over them in a <code>for</code> loop.</p>\n\
<p>The array can be indexed by a number to specify a slot number, name, or string to select by material and root level map name.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   foo.material = meditMaterials[1]\n\
   meditMaterials[1].diffuse = red\n\
   for m in meditMaterials do print m.diffuseMap\n\
   meditMaterials[1]=standard()\n\
   print meditMaterials.count -- number of slots\n\
</code></pre></blockquote>\n\
<p>This variable is read-only, but the elements (the materials in the slots) are assignable.</p>\n\
<p>See <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\">MaterialLibrary Values</a> for more information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sceneMaterials </code></pre><p>Contains a virtual array of materials and root level maps corresponding to the materials and root level maps present in the scene. You can get the scene materials and root level maps using array indexing and iterate over them in a <code>for</code> loop.</p>\n\
<p>The array can be indexed by a number, or by a name or string to select by material or root level map name.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\">MaterialLibrary Values</a> for more information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">activeMeditSlot </code></pre><p>MAXScript can access the active slot in the material editor.</p>\n\
<p>The system global variable <strong>activeMeditSlot</strong> contains the index of the currently active Material Editor slot.</p>\n\
<p>You can read this value to find the active slot, or assign an integer (between 1 and 24) to it to set the active slot.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   activeMeditSlot = 5 -- set slot 5 to active slot\n\
   mtl = meditMaterials[activeMeditSlot] -- pick up active material/map\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Editor.html\">Material Editor</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-medit.html\">Interface: medit</a></li>\n\
          <li><a class=\"link\" href=\"MatEditor-Open-and-Close-the.html\">MatEditor - Open and Close the Material Editor</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";