var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BDAD17C6-AC43-4297-8AD3-69F0920ABC59\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>showTextureMap() function</h1></div><p>The <code>showTextureMap()</code> function provides control over both material and map level texture showing in the viewport.</p>\n\
<p><strong>The form is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showTextureMap &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt;      </code></pre><p>If the optional <code>&lt;texmap&gt;</code> or <code>&lt;material&gt;</code> is not specified, Show Map in Viewports is set for the argument 1 material to the <code>&lt;boolean&gt;</code> argument.</p>\n\
<p>If the optional <code>&lt;texmap&gt;</code> is specified, it will be searched for in the argument 1 material. It must be a direct subtexture of the supplied argument 1 material. Its show-in-viewport state will be set on or off according to the <code>&lt;boolean&gt;</code> argument.</p>\n\
<p>If the optional material is specified, it will be searched for in the argument 1 material. Its show-in-viewport state will be set on or off according to the <code>&lt;boolean&gt;</code> argument.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showTextureMap $foo.material on\n\
   showTextureMap $foo.material $foo.material.diffusemap off\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Mapping coordinates aren&apos;t explicitly enabled for all objects at creation time. When a script is run in the Listener, using &apos;showTextureMap&apos; is indirectly turning mapping coordinates on. This happens during the scene redraw which happens after each line is executed, if needed. If a script is run from a script editor, or if you put parenthesis around a script, no scene redraw is performed until the entire script is run. Since no redraw is performed, no mapping coordinates exist on the object when the script tries to access them. Solutions: explicitly perform a scene redraw [redrawViews()] after &apos;showTextureMap&apos;, or explicitly turn on mapping coordinates for the object.</p>\n\
<p>The following methods introduced in <strong>3ds Max 2008</strong> provide control over the state of the Hardware Mode Show Map In Viewports available as a flyout option to the regular Show Map In Viewports icon:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enableHardwareMaterial &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt;   </code></pre><p>This method allows control over the state of the flyout at both material and map level.</p>\n\
<p>When set to true, the flyout will be switched to Hardware mode (magenta icon).</p>\n\
<p>When set to false, the flyout will be switched to Software mode (blue icon)</p>\n\
<p><img src=\"./images/GUID-205E793C-3A85-4890-B1AE-496D5AD1A806-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showHWTextureMap &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt; </code></pre><p>This method provides control over the state of the Show Map In Viewport icon at both material and map level.</p>\n\
<p>When set to true, the icon will be pressed. When set to false, it will be depressed.</p>\n\
<p>The flyout must be in hardware mode when using this method - see the enable Hardware Material method described above. If it is not, the icon will be pressed but no maps will be displayed in the viewport.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Apply a checkered map to a sphere.\n\
   s = Sphere()\n\
   s.mapcoords = on\n\
   s.material = Standard()\n\
   s.material.diffuseMap = Checker()\n\
\n\
   -- Show the texture map.\n\
   enableHardwareMaterial s.material true\n\
   showHWTextureMap s.material true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Editor.html\">Material Editor</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Material-Editor-1.html\">Material Editor</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"Material-Editor-1.html\">Material Editor</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-medit.html\">Interface: medit</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";