var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A1FFEDE0-9B92-4CD5-8127-76AA393D5143\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Quiet Mode</h1></div><p>In Quiet Mode, dialogs participating in the new Default Action system will be suppressed, and user-defined actions will be performed instead.</p>\n\
<p>The actions that can be specified are: <code>#logmsg</code> , <code>#logToFile</code> , and <code>#abort</code> . In addition, you can specify an integer value, where the bits specify event ID specific actions.</p>\n\
<p>A <code>#default</code> action option is available in <strong>3ds Max 8 and higher</strong>. When <code>#default</code> is specified, the current <a href=\"./../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/defaultAction-Context.html\">defaultAction context</a> state is used.By default, the quiet mode is off unless specified otherwise using the context.</p>\n\
<p>If you set Quiet mode but do not specify an action for an event, the default action is typically to log to the log file and continue.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetQuietMode()      </code></pre><p>Returns <code>true</code> if quiet mode is set, or <strong>3ds Max</strong> is in net render mode</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetQuietMode &lt;boolean&gt;   </code></pre><p>Sets quiet mode on or off. Returns previous mode value.</p>\n\
<p><strong>The syntax for MAXScript methods that use the Default Action system are:</strong></p>\n\
<h2 id=\"render-\">render:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">quiet: &lt;boolean&gt; </code></pre><p>If <code>true</code> , suppress participating dialogs.</p>\n\
<p>In previous versions, the default was <code>false</code> . In <strong>3ds Max 8 and higher</strong>, the default is the current quiet mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingExtFilesAction: &lt;actions&gt; </code></pre><p>Actions to take on Missing External Files, where <code>&lt;actions&gt;</code> is : <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> , <code>#default</code> and/or an integer, or an array of one or more of those items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingExtFilesList: &amp;variable </code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of the missing external file names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingUVWAction: &lt;actions&gt; </code></pre><p>Actions to take on Missing UVWs, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> , <code>#default</code> and/or an integer, or an array of one or more of those items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingUVWList: &amp;variable </code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of strings containing the missing map channel and node name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unsupportedRenderEffectAction: &lt;actions&gt; </code></pre><p>Actions to take on Unsupported Render Effects, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> , <code>#default</code> and/or an integer, or an array of one or more of those items. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unsupportedRenderEffectList: &amp;variable </code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of the unsupported render effect names. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"loadmaxfile-fetchmaxfile-\">loadMaxFile: , fetchMaxFile:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">quiet: &lt;boolean&gt; </code></pre><p>If <code>true</code> , suppress participating dialogs.</p>\n\
<p>In previous versions, the default was <code>false</code> . In <strong>3ds Max 8 and higher</strong>, the default is the current quiet mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingExtFilesAction: &lt;actions&gt; </code></pre><p>Actions to take on Missing External Files, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> , <code>#default</code> and/or an integer, or an array of one or more of those items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingExtFilesList: &amp;variable </code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of the missing external file names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingDLLsAction: &lt;actions&gt; </code></pre><p>Actions to take on Missing DLLs, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> , <code>#default</code> and/or an integer, or an array of one or more of those items</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingDLLsList: &amp;variable </code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of strings containing the missing dll file and class name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingXRefsAction: &lt;actions&gt; </code></pre><p>Actions to take on Missing Xrefs, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> , <code>#default</code> and/or an integer, or an array of one or more of those items</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingXRefsList: &amp;variable </code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of strings containing the missing XRef files and/or XRef object names.</p>\n\
<h2 id=\"mergemaxfile-\">mergeMaxFile:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">quiet: &lt;boolean&gt; </code></pre><p>If <code>true</code> , suppress participating dialogs.</p>\n\
<p>In previous versions, the default was <code>false</code> . In <strong>3ds Max 8 and higher</strong>, the default is the current quiet mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingDLLsAction: &lt;actions&gt; </code></pre><p>Actions to take on Missing DLLs, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> , <code>#default</code> and/or an integer, or an array of one or more of those items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingDLLsList: &amp;variable </code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of strings containing the missing dll file and class name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingExtFilesAction: &lt;actions&gt; </code></pre><p>Actions to take on Missing External Files, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> and/or an integer, or an array of one or more of those items. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingExtFilesList: &amp;variable </code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of the missing external file names. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingXRefsAction: &lt;actions&gt; </code></pre><p>Actions to take on Missing Xrefs, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> and/or an integer, or an array of one or more of those items. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingXRefsList: &amp;variable </code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of strings containing the missing XRef files and/or XRef object names. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"getmaxfileobjectnames-\">getMAXFileObjectNames:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">quiet: &lt;boolean&gt; </code></pre><p>If <code>true</code> , suppress participating dialogs.</p>\n\
<p>In previous versions, the default was <code>false</code> . In <strong>3ds Max 8 and higher</strong>, the default is the current quiet mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingDLLsAction: &lt;actions&gt; </code></pre><p>Actions to take on Missing DLLs, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> , <code>#default</code> and/or an integer, or an array of one or more of those items</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingDLLsList: &amp;variable </code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of strings containing the missing dll file and class name.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   val = undefined\n\
   loadmaxfile &quot;apollo.max&quot; missingExtFilesList:&amp;val missingExtFilesAction:#logmsg quiet:true\n\
   val\n\
   val = undefined\n\
   render missingExtFilesList:&amp;val missingExtFilesAction:#(#logmsg,#abort) quiet:true\n\
   val\n\
</code></pre><p>   If there are missing external files, the scene will load without a Missing External Files dialog, and val will contain an array of the missing file names. The scene will not render (due to the <code>#abort</code> option being specified), and val will contain an array of the missing file names.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Network-Render-Interface.html\">Network Render Interface</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Command-Line-Option-silent.html\">Command Line Option: -silent</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Scene-Dialog/Controlling-the-Renderer.html\">Controlling the Renderer</a></li>\n\
          <li><a class=\"link\" href=\"../../File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">3ds Max File Loading and Saving</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";