var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5984208E-B730-44F2-8D15-D4BB350F5877\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Renderers</h1></div><p>Renderers is a Structure of systemGlobals. It lets the user assign renderer class instances to the current, production, Material Editor, and activeShade renderer:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.current</code></pre><p>Gets/Sets the current renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.production</code></pre><p>Gets/Sets the production renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.activeShade</code></pre><p>Gets/Sets the activeShade renderer. Only renderers whose <code>supportsActiveShade</code> property is <code>true</code> can be set as the activeShade renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.medit_locked</code></pre><p>Controls the state of the &quot;Lock To Current Renderer&quot; checkbutton next to the Material Editor slot in the Common tab &gt; Assign Renderer rollout in the Render Scene dialog. When set to <code>True</code> , the Production Renderer will be used automatically by the Material Editor. When set to <code>False</code> , the Material Editor renderer can be set independently from the Production Renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.medit</code></pre><p>Gets/sets the Material Editor renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.renderDialogMode</code></pre><p>Gets/sets the Render Dialog Mode.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#production</strong></p>\n\
<p><strong>#activeShade</strong></p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.renderButtonText</code></pre><p>Currently returns &quot;&quot;, cannot be set.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.target</code></pre><p>Gets/sets the Render Setup dialog&apos;s Target mode.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>&quot;local&quot;</strong> - render locally</p>\n\
<p><strong>&quot;cloud&quot;</strong> - render on the Cloud</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.GetDraftRenderer()</code></pre><p>Returns the draft renderer.</p>\n\
<p>While the draft renderer is <strong>not exposed</strong> or used by <strong>3ds Max</strong> anymore since <strong>version 6</strong>, it is possible that a renderer is assigned as the draft renderer. If that renderer is an instance of a 3 rd party plug-in and you load the scene file on a computer without that plug-in installed, you will get missing plug-in messages and no way to get rid of them.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously, available in <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Getting the draft renderer will cause a new default renderer to be created and set as the draft renderer if there is no current draft renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.ClearDraftRenderer()</code></pre><p>Removes the draft renderer if present.</p>\n\
<p>While the draft renderer is <strong>not exposed</strong> or used by <strong>3ds Max</strong> anymore since version 6, it is possible that a renderer is assigned as the draft renderer. If that renderer is an instance of a 3 rd party plug-in and you load the scene file on a computer without that plug-in installed, you will get missing plug-in messages and no way to get rid of them.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously, available in <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p>Renderer class instances can be created by MAXScript. They have a couple of common read-only properties that is used to determine if the renderer can perform certain special tasks such as, ActiveShade rendering and TextureBaking.</p>\n\
<h2 id=\"rendererclass-instances-common-properties-\">RendererClass Instances Common Properties:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RendererClassInstance&gt;.supportsActiveShade</code></pre><p>Returns <code>true</code> if the renderer can be used as ActiveShade renderer, <code>false</code> otherwise. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RendererClassInstance&gt;.supportsTexureBaking</code></pre><p>Returns <code>true</code> if the renderer supports Texture Baking, <code>false</code> otherwise. Read-only.</p>\n\
<p>To acquire a list of all installed renderers on a specific system, you can access the <code>.classes</code> property of the <code>RendererClass</code> MAXSuperClass.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   RendererClass.classes\n\
   --&gt;#(Default_Scanline_Renderer, VUE_File_Renderer, mental_ray_Renderer, Missing_Renderer)\n\
   --You can assign a new renderer class to the current renderer\n\
   renderers.current = RendererClass.classes[2]()\n\
   --&gt;VUE_File_Renderer:VUE_File_Renderer\n\
</code></pre></blockquote>\n\
<h2 id=\"material-map-renderer-compatibility-method-\">Material/Map Renderer Compatibility Method:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">areMtlAndRendererCompatible {&lt;mtlbase&gt; | &lt;maxclass&gt;} [ renderer:{&lt;renderer&gt; | &lt;maxclass&gt;} ]</code></pre><p>Returns <code>true</code> if the material/texturemap and renderer are compatible. Material/texturemap and renderer can be specified as instances or MAXClasses. If the renderer is not specified, the current renderer is tested.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Check Mental_Ray material against Scanline Renderer\n\
   --They are not compatible!\n\
   theMat = Mental_Ray()\n\
   --&gt;mental_ray:mental_ray\n\
   theRenderer = Default_Scanline_Renderer()\n\
   --&gt;Default_Scanline_Renderer:Default_Scanline_Renderer\n\
   areMtlAndRendererCompatible theMat renderer:theRenderer\n\
   --&gt;false\n\
   --Check a Standard material against Scanline Renderer\n\
   --They are compatible!\n\
   theMat = Standard()\n\
   --&gt;Standardmaterial:Standard\n\
   areMtlAndRendererCompatible theMat renderer:theRenderer\n\
   --&gt;true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Scene-Dialog.html\">Render Scene Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/RendererClass/Default_Scanline_Renderer.html\">Default_Scanline_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/RendererClass/VUE_File_Renderer-RendererClass.html\">VUE_File_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\">Quicksilver_Hardware_Renderer : RendererClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";