var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-37D4FFFF-1BF1-4B51-B9C5-99D5E20E1D30\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TabbedDialogs - Controlling Tabbed Dialogs</h1></div><p>These methods let you control <strong>3ds Max</strong> tabbed dialogs like Rendering, Environment and Effects, Object Properties, Configure Paths, and so on.</p>\n\
<p><strong>Specs:</strong></p>\n\
<p>The following specs define what a valid argument looks like for the tabbedDialogs methods. MAXScript does not have a class that corresponds to Class_ID, so these are passed as a two element array of integers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tabbedDialogSpec ::= ( #render | #renderVP | #envEffects | #objProp | #preferences | #configPath | #(&lt;int&gt;,&lt;int&gt;) )\n\
\n\
#(&lt;int&gt;,&lt;int&gt;) is Class_ID of tabbed dialog\n\
tabPageSpec ::= ( &lt;int&gt; | #(&lt;int&gt;,&lt;int&gt;) )\n\
&lt;int&gt; is index in dialog (1-based)\n\
#(&lt;int&gt;,&lt;int&gt;) is Class_ID of tab page\n\
</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;tabbedDialogs.isOpen &lt;tabbedDialogSpec&gt;</code></pre><p>Returns <code>true</code> if the specified dialog is open.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The <code>tabbedDialogs.isOpen</code> method must be called before calling any of the other methods.\n\
If the specified dialog is not open, the remainder of the methods will not perform any action or throw an error, and those methods that return a value will return &apos;undefined&apos;.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;#(&lt;int&gt;,&lt;int&gt;)&gt;tabbedDialogs.getDialogID &lt;tabbedDialogSpec&gt;</code></pre><p>Returns the Class_ID of the specified tabbed dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.invalidate &lt;tabbedDialogSpec&gt;</code></pre><p>Invalidates all pages in the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;tabbedDialogs.OkToCommit &lt;tabbedDialogSpec&gt;</code></pre><p>Returns <code>true</code> if all pages in dialog are ok to commit changes. Used for modal dialogs with IDOK and IDCANCEL.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.CommitPages &lt;tabbedDialogSpec&gt;</code></pre><p>Commits changes in all pages. Used for modal dialogs with IDOK and IDCANCEL.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.CloseDialog &lt;tabbedDialogSpec&gt;</code></pre><p>Closes the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.CancelDialog &lt;tabbedDialogSpec&gt;</code></pre><p>Cancels the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int&gt;tabbedDialogs.getNumPages &lt;tabbedDialogSpec&gt;</code></pre><p>Returns the number of tab pages in the specified dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;#(&lt;int&gt;,&lt;int&gt;)&gt;tabbedDialogs.getPageID &lt;tabbedDialogSpec&gt; &lt;tabPageSpec&gt;</code></pre><p>Returns the Class_ID of the specified tab page.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;#(&lt;int&gt;,&lt;int&gt;)&gt;tabbedDialogs.getCurrentPage &lt;tabbedDialogSpec&gt;</code></pre><p>Returns the Class_ID of the current tab page.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.setCurrentPage &lt;tabbedDialogSpec&gt; &lt;tabPageSpec&gt;</code></pre><p>Sets the specified tab page as the current tab page.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.invalidatePage &lt;tabbedDialogSpec&gt; &lt;tabPageSpec&gt;</code></pre><p>Invalidates the specified tab page.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.getPageTitle &lt;tabbedDialogSpec&gt; &lt;tabPageSpec&gt;</code></pre><p>Returns the tab title for the specified tab page. This title is localized.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;tabbedDialogs.isPage &lt;tabbedDialogSpec&gt; &lt;tabPageSpec&gt;</code></pre><p>Returns <code>true</code> if the specified tab page is present in the dialog.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Switch to Adv.Lighting tab if Render Scene dialog is open:\n\
   if tabbedDialogs.isOpen #render do\n\
   tabbedDialogs.setCurrentPage #render #(1758358594, 1812881699)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Tabbed-Dialogs.html\">Tabbed Dialogs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Environment-And-Effects-Dialog/envEffectsDialog-Open-and-Close.html\">envEffectsDialog - Open and Close the Environment and Effects dialog</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Scene-Dialog/renderscenedialog.html\">renderscenedialog</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";