var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0E38D992-E687-4A0D-80BB-875F0BAD021E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Time Configuration Dialog</h1></div><p>The following methods get and set options in the Time Configuration dialog:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKeyStepsPos()         \n\
setKeyStepsPos &lt;boolean&gt;      </code></pre><p>Get and set whether to jump to next position key when Key Mode Toggle is on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKeyStepsRot()      \n\
setKeyStepsRot &lt;boolean&gt;   </code></pre><p>Get and set whether to jump to next rotation key when Key Mode Toggle is on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKeyStepsScale()   \n\
setKeyStepsScale &lt;boolean&gt; </code></pre><p>Get and set whether to jump to next scale key when Key Mode Toggle is on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKeyStepsSelOnly() \n\
setKeyStepsSelOnly &lt;boolean&gt; </code></pre><p>Get and set whether to use Selected Objects Only when Key Mode Toggle is on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKeyStepsUseTrans() \n\
setKeyStepsUseTrans &lt;boolean&gt; </code></pre><p>Get and set whether to Use Current Transform when Key Mode Toggle is on.</p>\n\
<p><strong>The following 3ds Max system global variables are applicable to the Time Configuration dialog:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animationRange </code></pre><p>A System Global variable which lets you get and set an Interval value that defines the start and end frames of the Active Time Segment.</p>\n\
<p>It contains the values set in the Time Configuration dialog&gt;Animation&gt;Start Time and End Time and displayed by the Active Time Segment option in the Time Output group of controls in the Render Scene Dialog.</p>\n\
<p>The start and end values of the <code>animationRange</code> interval can be read individually using <code>animationRange.start</code> and <code>animationRange.end</code> .</p>\n\
<p>They cannot be set separately though- the complete interval has to be assigned to the <code>animationRange</code> variable.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   animationRange --Get the current animation range\n\
   (interval 0f 100f)\n\
   animationRange = interval 10 50 --Set range to frames 10 to 50\n\
   (interval 10f 50f)\n\
   animationRange.start --Get the start frame of the range\n\
   10f\n\
   animationRange.end --Get the end frame of the range\n\
   50f\n\
   --To change the end frame of the interval only:\n\
   animationRange = interval animationRange.start 90f\n\
   (interval 10f 90f)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">frameRate </code></pre><p>A System Global variable which lets you get and set an Integer value that defines the current scene frame rate in frames-per-second.</p>\n\
<p>It contains the corresponding value set in the Time Configuration dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">playActiveOnly timeConfiguration.playActiveOnly </code></pre><p>A System Global variable which lets you get and set whether to playback the active viewport only.</p>\n\
<p>It contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <code>true</code> if Active Viewport Only is on, <code>false</code> if off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">timeConfiguration.playbackSpeed </code></pre><p>A System Global variable which lets you get and set the viewport playback speed as an indexed <integer>.</integer></p>\n\
<p>The valid values for the integer are: 1 - 1/4x, 2 - 1/2x, 3 - 1x, 4 - 2x, 5 - 4x.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">realTimePlayback timeConfiguration.realTimePlayback </code></pre><p>A System Global variable which lets you get and set whether to playback in real time mode.</p>\n\
<p>It contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <code>true</code> if Real Time is on, <code>false</code> if off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">timeConfiguration.playbackLoop </code></pre><p>A System Global variable which lets you get and set whether to loop the viewport playback.</p>\n\
<p>Corresponds to the Loop checkbox in the Time Configuration dialog.</p>\n\
<p>Only used when time Configuration <code>.realTimePlayback</code> is set to <code>true</code> .</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">timeConfiguration.useTrackBar </code></pre><p>A System Global variable which lets you get and set the state of the Time Configuration dialog &apos;Key Steps / Use TrackBar&apos; check box.</p>\n\
<p>A Boolean Value - <code>true</code> if checked, <code>false</code> if not.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Time-Control.html\">Time Control</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";