var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FD481C36-6E1F-43BA-8778-E36ACCA37122\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Time Tags Access using the FrameTagManager Interface</h1></div><p>The Time Tags are used to define reference points on the time line for quick navigation.</p>\n\
<p>They are now accessible via the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FrameTagManager.html\">FrameTagManager Interface</a> (corresponding to the IFrameTagManager interface in the SDK).</p>\n\
<p>The example below demonstrates the access to time tags via MAXscript using the FrameTagManager Interface.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ntags = FrameTagManager.GetTagCount() --&gt; 0\n\
   tag1 = FrameTagManager.CreateNewTag &quot;tag1&quot; 15 --&gt; 1\n\
   tag2 = FrameTagManager.CreateNewTag &quot;tag2&quot; 25 lockID:tag1 scale:true --&gt; 2\n\
   tag3 = FrameTagManager.CreateNewTag &quot;tag3&quot; 25 scale:false--&gt;3\n\
   loop1 = FrameTagManager.CheckForLoop tag1 tag2 --&gt; false\n\
   loop2 = FrameTagManager.CheckForLoop tag2 tag1 --&gt; true\n\
   loop3 = FrameTagManager.CheckForLoop tag1 tag3 --&gt; false \n\
   loop4 = FrameTagManager.CheckForLoop tag3 tag1 --&gt; false\n\
   ntags = FrameTagManager.GetTagCount() --&gt; 3\n\
   for i = 1 to ntags do\n\
   (\n\
   id = FrameTagManager.GetTagID i\n\
   tagTime = FrameTagManager.GetTimeByID id\n\
   tagLockID = FrameTagManager.GetLockIDByID id\n\
   tagName = FrameTagManager.GetNameByID id\n\
   tagScale = FrameTagManager.GetScaleByID id\n\
   format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale\n\
   )\n\
   FrameTagManager.SetTimeByID tag1 10 --&gt; ok\n\
   FrameTagManager.SetLockIDByID tag3 tag2 --&gt; true\n\
   FrameTagManager.SetNameByID tag1 &quot;modified tag1&quot; --&gt; ok\n\
   FrameTagManager.SetScaleByID tag1 false --&gt; ok\n\
   ntags = FrameTagManager.GetTagCount() --&gt; 3\n\
   for i = 1 to ntags do\n\
   (\n\
   id = FrameTagManager.GetTagID i\n\
   tagTime = FrameTagManager.GetTimeByID id\n\
   tagLockID = FrameTagManager.GetLockIDByID id\n\
   tagName = FrameTagManager.GetNameByID id\n\
   tagScale = FrameTagManager.GetScaleByID id\n\
   format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale\n\
   )\n\
   FrameTagManager.SetTimeByID tag2 5 relative:true --&gt; ok\n\
   ntags = FrameTagManager.GetTagCount() --&gt; 3\n\
   for i = 1 to ntags do\n\
   (\n\
   id = FrameTagManager.GetTagID i\n\
   tagTime = FrameTagManager.GetTimeByID id\n\
   tagLockID = FrameTagManager.GetLockIDByID id\n\
   tagName = FrameTagManager.GetNameByID id\n\
   tagScale = FrameTagManager.GetScaleByID id\n\
   format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale\n\
   )\n\
   FrameTagManager.DeleteTag tag2 --&gt; ok\n\
   FrameTagManager.FindItem tag2 --&gt; 0\n\
   FrameTagManager.FindItem tag3 --&gt; 2\n\
   ntags = FrameTagManager.GetTagCount() --&gt; 2\n\
   for i = 1 to ntags do\n\
   (\n\
   id = FrameTagManager.GetTagID i\n\
   tagTime = FrameTagManager.GetTimeByID id\n\
   tagLockID = FrameTagManager.GetLockIDByID id\n\
   tagName = FrameTagManager.GetNameByID id\n\
   tagScale = FrameTagManager.GetScaleByID id\n\
   format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale\n\
   )\n\
   FrameTagManager.SetLockIDByID tag1 tag3 --&gt; true\n\
   FrameTagManager.GetTimeByID tag1 --&gt; 10f\n\
   FrameTagManager.SetLockIDByID tag3 tag1 --&gt; false\n\
   FrameTagManager.GetTimeByID tag3 --&gt; 20f\n\
   FrameTagManager.CheckForLoop tag1 tag3 --&gt; true\n\
   FrameTagManager.CheckForLoop tag3 tag1 --&gt; false\n\
   FrameTagManager.SetLockIDByID tag1 0 --&gt; true\n\
   FrameTagManager.GetTimeByID tag1 --&gt; 10f\n\
   FrameTagManager.FindItemByTime 10 --&gt; 1\n\
   FrameTagManager.FindItemByTime 15 --&gt; 0\n\
   FrameTagManager.FindItemByTime 20 --&gt; 2\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Time-Tags.html\">Time Tags</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FrameTagManager.html\">Interface: FrameTagManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";