var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B3D86BDD-E947-43F3-B57B-168A1420E3FA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Track View Pick Dialog</h1></div><p>The Track View Pick dialog displays the hierarchy for the <strong>3ds Max</strong> scene in a manner similar to what is seen in Track View. The user can select one or more items from this dialog. The following method displays the Track View Pick dialog:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackView.pickTrackDlg [#multiple][&lt;filter function&gt;] [options:&lt;integer&gt;]</code></pre><p>This method brings up the Track View Pick dialog and returns a <a href=\"Track-View-Pick-Dialog.html\"\">TrackViewPick value</a> when the user selects a track and clicks &quot;Ok&quot;, or <code>undefined</code> if the user clicks &quot;Cancel&quot;.</p>\n\
<p>If the optional argument <code>#multiple</code> is passed, multiple tracks can be picked in the dialog and an array of TrackViewPick values is returned instead of a single value.</p>\n\
<p>If the optional <code>filter_function</code> is supplied, each track is passed to the function as a TrackViewPick value. If the function returns true, the track is selectable in the Track View Pick dialog.</p>\n\
<p>If the optional keyword argument <code>options</code> : is specified, the bits of the integer value define what is shown in the Track View Pick dialog.</p>\n\
<p>The bits are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">1: turn on display of animated tracks only\n\
2: turn off display of node Visibility track\n\
3: turn on display of only selected nodes\n\
4: turn off display of World Space Modifiers\n\
5: turn off display of Object Space Modifiers\n\
6: turn off display of node Transform track\n\
7: turn off display of node base object\n\
8: turn off display of controller types\n\
9: turn off display of note tracks\n\
10: turn off display of the sound track\n\
11: turn off display of maps in materials\n\
12: turn off display of material parameters\n\
13: turn on display of hidden nodes\n\
14: turn off display of hierarchy\n\
15: turn off display of non-keyable tracks\n\
16: turn off display of nodes\n\
17: turn off display of geometry nodes\n\
18: turn off display of shape nodes\n\
19: turn off display of light nodes\n\
20: turn off display of camera nodes\n\
21: turn off display of helper nodes\n\
22: turn off display of warp nodes\n\
23: turn off display of position controllers\n\
24: turn off display of rotation controllers\n\
25: turn off display of scale controllers\n\
26: turn off display of bone nodes\n\
27: set focus to first selected node found\n\
</code></pre><blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theInt = 0 \n\
   theInt = bit.set theInt 1 true --animated tracks only\n\
   theInt = bit.set theInt 3 true --display selected nodes only\n\
   theInt = bit.set theInt 10 true --hide sound track\n\
   theTrack = trackView.pickTrackDlg options:theInt --open dialog\n\
</code></pre><p>   You can also use the following function to turn a bitarray into an integer with bits set according to the flags described above. The resulting integer can be passed to the named <code>options</code> : parameter:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn bitArrayToInt theBitArray = (\n\
   local theInt = 0\n\
   for i in theBitArray do theInt = bit.set theInt i true\n\
   theInt\n\
   )\n\
   theInt =bitArrayToInt #{1,3,10}\n\
   theTrack = trackView.pickTrackDlg options:theInt\n\
</code></pre></blockquote>\n\
<h2 id=\"trackviewpick-value\">TrackViewPick : Value</h2><p>Instances of the TrackViewPick class store the result of a selection from the Track View Pick dialog. A TrackViewPick value has the following properties:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackViewPick&gt;.name : string</code></pre><p>The name of the picked item as shown in the Track View Pick dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackViewPick&gt;.anim : subAnim</code></pre><p>The subAnim for the item the user picked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackViewPick&gt;.client : MAXWrapper</code></pre><p>The owner of the subAnim for the item the user picked. If the owner is a subclass of MAXWrapper, the MAXWrapper value for the owner is returned. Otherwise, a value of <code>undefined</code> is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackViewPick&gt;.subNum: integer</code></pre><p>The subAnim index for <code>anim</code> in <code>client</code> .</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Create a sphere, apply a bend modifier and execute:\n\
   s=sphere()\n\
   b=bend()\n\
   addmodifier $Sphere001 b\n\
   tvp=trackview.pickTrackDlg()\n\
   -- pick objects-&gt;Sphere01-&gt;Modified object-&gt;Bend-&gt;Angle\n\
   tvp.anim -- returns SubAnim:Angle\n\
   tvp.client -- returns Bend:Bend\n\
   tvp.subNum -- returns 3\n\
   tvp.name -- returns &quot;Angle&quot;\n\
   tvp.client[tvp.subNum] -- returns SubAnim:Angle\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Track-View.html\">Track View</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";