var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EE2C3ADF-9BAB-4424-AAAB-A5ABF027DE73\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mouse Cursors</h1></div><p>The following methods control the <strong>mouse cursor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setWaitCursor()         \n\
setArrowCursor()      </code></pre><p>These functions can be used to display the system wait cursor during some prolonged computation and then replace it with the normal cursor. You might want to do this instead of putting up a <strong>3ds Max</strong> progress bar, which may be too heavy-weight in some situations. Note that in some cases, <strong>3ds Max</strong> may itself restore the arrow cursor underneath this one (for example, with <code>loadMAXFile()</code> ), and you may need to redisplay it after such calls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setSysCur &lt;name&gt;   </code></pre><p>Sets the current system cursor to one of the standard <strong>3ds Max</strong> cursors. Valid <code>&lt;name&gt;</code> values are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#move #rotate #uscale #nuscale #squash #select #arrow </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <code>setSysCur #squash</code> shows the non-uniform scale cursor.</div>\n\
<h2 id=\"the-following-3ds-max-system-global-variables-are-associated-with-the-mouse-\">The following 3ds Max system global variables are associated with the mouse:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mouse.mode </code></pre><p>A read only variable to get the mouse mode as an <code>&lt;integer&gt;</code> value.</p>\n\
<p>Return values are:</p>\n\
<p>0 - Idle;</p>\n\
<p>1 - Point;</p>\n\
<p>2 - Move</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mouse.buttonStates </code></pre><p>A read only variable to get the state of the mouse buttons as a 3 element <code>&lt;bitArray&gt;</code>. The order of the bits is: #{Left, Middle, Right}</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Right mouse button state is not always correct. If you right-click to bring up a right-click menu and then click in the viewport to dismiss the menu, the right mouse button is still reported as down.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mouse.pos </code></pre><p>A read only variable to get the scaled mouse position in the currently active viewport as a <code>&lt;point2&gt;</code> value. The coordinates are in pixel values. If the currently active viewport is a 2D view (Track View, Schematic View, Listener, etc.), the coordinates are in the first non-2D viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mouse.posUnscaled</code></pre><p>A read-only variable to get the unscaled mouse position in the currently active viewport as a <code>&lt;point2&gt;</code> value. The coordinates are in pixel values, before UI scaling has been applied. If the currently active viewport is a 2D view (Track View, Schematic View, Listener, etc.), the coordinates are in the first non-2D viewport. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mouse.screenpos </code></pre><p>A read only variable to get the scaled mouse position on the screen as a <code>&lt;point2&gt;</code> value. The coordinates are in pixel values relative to the top-left corner of the screen, after UI scaling has been applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mouse.screenposUnscaled</code></pre><p> A read-only variable to get the unscaled mouse position on the screen as a <code>&lt;point2&gt;</code> value. The coordinates are in pixel values relative to the top-left corner of the screen, before UI scaling has been applied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mouse.inAbort </code></pre><p>Contains true if any mouse proc is currently in the process of aborting; otherwise contains false. Read-only.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available in <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Viewports.html\">Viewports</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";