var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-42CD0531-6BD1-4489-B5A0-C001F4EE577B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Picking Points in the Viewports</h1></div><p>The <code>pickPoint()</code> function lets the user pick a 3D point in a <strong>3ds Max</strong> viewport or type in a 3D point in the Listener. When called, the function puts <strong>3ds Max</strong> into a special point-picking command mode and the cursor changes to a cross-hair. The user can either click in one of the <strong>3ds Max</strong>&apos;s viewports or type a 3D point into the Listener and the function returns that point as a MAXScript Point3 value in world-space coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pickPoint [ prompt:&lt;string&gt; ] [ snap:#2D|#3D ] \\\n\
[ rubberBand:&lt;start_point3&gt; ] \\\n\
[ mouseMoveCallback:fn | #(fn,arg) ] \\\n\
[ relativeTo:&lt;relativePt_point3&gt; ] \\\n\
[ terminators:#(&lt;string&gt;,&lt;string&gt;,...) ]</code></pre><p>The function takes an optional <code>prompt:</code> string argument that it prints in the Listener as a prompt message. There is also an optional <code>snap:</code> keyword argument that controls viewport point picking if Snap is turned on in the <strong>3ds Max</strong> interface. If <code>#3D</code> is specified, the cursor snaps to point anywhere in 3D space. If <code>#2D</code> is specified (the default), the cursor only snaps on the current active grid construction plane. If Snap is off in the <strong>3ds Max</strong> interface, the clicked point is always taken to be on the current active grid construction plane.</p>\n\
<p>The user can either press the ESC key or click the right mouse button at any time to abort the point picking. The function immediately returns the special MAXScript value <code>#escape</code> if the escape key is pressed or <code>#rightClick</code> if the right mouse button is clicked.</p>\n\
<p>You can get the <code>pickPoint()</code> function to display a rubberbanding dashed line during point input by supplying the optional keyword argument <code>rubberBand:&lt;start_point3&gt;</code> . If you include this on a call to <code>pickPoint()</code> , it rubberbands a dashed line from the specified start point to follow the mouse. You can use it in a chain of point picks by specifying the last picked point as the <code>rubberBand:</code> start point for each successive pick. The start point given to <code>rubberBand:</code> must be in world coordinates.</p>\n\
<p>You can also set up a mouse move callback function for tracking free mouse moves during point input. The optional keyword argument for this is <code>mouseMoveCallback:</code> and it has two forms:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mouseMoveCallback:fn\n\
mouseMoveCallback:#(fn, arg)</code></pre><p>The second form allows you to supply an argument value that is sent to the callback function each time it is called.</p>\n\
<p>The <code>fn</code> you supply must take one argument in the first form above and two in the second. When the callback function is called, the first argument it gets is always the current world coordinates of the mouse and the second if given is the <code>arg</code> you supplied. You can use a callback function to implement a more sophisticated form of rubberbanding, for example, by adjusting a spline&apos;s vertex or a box&apos;s height to follow the mouse. If you do this, make sure you call any needed <code>update()</code> mesh or spline functions.</p>\n\
<h2 id=\"command-line-input-in-the-listener\">Command Line Input in the Listener</h2><p>The <code>pickPoint()</code> function allows coordinates to be entered <strong>either</strong> by clicking in a <strong>3ds Max</strong> viewport or by typing numbers into the MAXScript Listener window. The user can enter coordinates in one of several forms (based on the command line input syntax for AutoCAD) as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">x, y, z or [x, y, z]</code></pre><p>Explicit point in current construction plane coordinates</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">x, y or [x, y]</code></pre><p>Point on the construction plane (cp)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">d</code></pre><p>Point d units away in mouse direction from last point</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">@ x, y, z or @[x, y, z]</code></pre><p>Relative, offset to last input point</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">@ x, y or @[x, y]</code></pre><p>On cp, relative to last point&apos;s projection on cp</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">d &lt; a</code></pre><p>Polar on cp, distance from cp origin at a angle from x-axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">@ d &lt; a</code></pre><p>relative polar on cp, centered on last point</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">d &lt; a1 &lt; a2</code></pre><p>Spherical on cp, d from cp origin at a1 from x and a2 angle from xy-plane</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">@ d &lt; a1 &lt; a2</code></pre><p>Relative spherical</p>\n\
<p>There can be zero or more white space characters before and between numbers and metacharacters.</p>\n\
<p>These typed-coordinates are interpreted as relative to the current active grid construction plane and the coordinates returned by <code>pickPoint()</code> are always in world-space.</p>\n\
<p>When the <code>relativeTo</code> : keyword argument is supplied, <code>pickPoint()</code> will evaluate the result using the relativePt Point3 value instead of the last point picked if the relative coordinate syntax is used for the entry.</p>\n\
<p>Keyboard input by the user that is not in one of the expected coordinate input forms is returned as a String value, so the author can handle the error gracefully or permit other kinds of input to be parsed by the script.</p>\n\
<p>You can test for these return conditions using the <code>classOf()</code> function, for example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = pickPoint()\n\
case of\n\
(\n\
(p == undefined): ... -- user pressed escape\n\
(p == #rightClick): ... -- user clicked RMB\n\
(classOf p == Point3): ... -- user entered a point\n\
(classOf p == String): ... -- user keyed a non-point\n\
)\n\
</code></pre><p>The <code>terminators:</code> keyword argument expects an array of 1 or more strings, each of 1 or more characters. When supplied, this list of strings specifies a set of keyboard input terminating character sequences. If any one of them is typed at the end of some input, the <code>pickPoint()</code> function returns immediately without waiting for an ENTER to be typed. In all cases, when the <code>terminators:</code> keyword argument is supplied, the <code>pickPoint()</code> function returns a two-element array. The first element is the input point, the second element is the terminating string, or <code>undefined</code> if the point was input with a mouse click or terminated with ENTER.</p>\n\
<p>This allows the user to type in a point terminated by a terminator string, or just type the terminator string. In the second case, the first element in the result array is the value <code>undefined</code> . You can inspect the second element in the array to see what terminator, if any, the user actually typed.</p>\n\
<p>For example,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pp = pickPoint prompt:&quot;foo: &quot; terminators:#(&quot; &quot;,&quot;a&quot;,&quot;oo&quot;)\n\
if pp[2] == &quot;a&quot; then ...\n\
</code></pre><p>Often, the <code>pickPoint()</code> function will be used repeatedly within a script to request multiple points such as, successive vertices in a line. You might need to use the new function <code>redrawViews()</code> to force a viewport update as you gradually construct new scene objects this way. MAXScript normally delays viewport redraw until the script finishes running.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pickOffsetDistance [ prompt:&lt;string&gt; ] [ pt2Prompt:&lt;string&gt; ] \\ \n\
[ errPrompt:&lt;string&gt; ] [ snap:#2D|#3D ] \\ \n\
[ keyword:&lt;string&gt; ]</code></pre><p>This function issues the <code>prompt</code> message, if any, to Listener and waits for the user to either click in a viewport (which determines a point exactly like the <code>pickPoint()</code> function) to type in a number ended by ENTER (which determines a number), or to type all or the beginning of the <code>keyword</code> ended by ENTER. If the user types the keyword, the function returns <code>true</code> . If the user types a number, the function returns its value. If the user clicks a point, the function issues the <code>pt2Prompt</code> message, if any, to Listener and waits for a second point to be clicked, and then returns the world-space distance between the two points. If the user types something which is not a number and does not match the keyword, the function issues the <code>errPrompt</code> message (if any), otherwise the <code>prompt</code> message (if any), and waits for the user to try again.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Viewports.html\">Viewports</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Picking-Scene-Nodes/Picking-Scene-Nodes-By-Hit.html\">Picking Scene Nodes By Hit</a></li>\n\
          <li><a class=\"link\" href=\"../Picking-Scene-Nodes/Picking-Scene-Nodes-by-Name.html\">Picking Scene Nodes by Name</a></li>\n\
          <li><a class=\"link\" href=\"../Picking-Scene-Nodes/Picking-Scene-Nodes-By-Region.html\">Picking Scene Nodes By Region</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";