var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-52E2EA19-D42C-4240-A061-CB0DC364267E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Refreshing the Viewports</h1></div><p>The following methods force the viewports to redraw, or control when the viewports are redrawn.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">redrawViews()      </code></pre><p>Causes the <strong>3ds Max</strong> viewports to be immediately redrawn in an optimal way, such that only those parts of the view that have changed are redrawn. This is different from forcing a redraw with the <code>max view redraw</code> command or one of the following methods which redraw the entire scene in all views.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">completeRedraw()      \n\
forceCompleteRedraw [ doDisabled:&lt;boolean&gt; ]   </code></pre><p>Calling this method will cause all the viewports to be completely redrawn. This method literally forces everything (every object, every screen rectangle, every view) to be marked invalid and then the whole scene is regenerated. The individual object pipeline caches are not flushed, however. This routine is guaranteed to be slow. If the optional <code>doDisabled:</code> boolean argument for <code>ForceCompleteRedraw</code> is <code>true</code> , disabled viewports will also be redrawn.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setNeedsRedraw complete:&lt;boolean&gt; </code></pre><p>Sets an internal MAXScript flag that viewports need to be redrawn before MAXScript returns. This is equivalent to a delayed <code>redrawViews()</code> .</p>\n\
<p>If <code>complete:</code> is true, a flag is set that a complete viewport redraw is needed. This is equivalent to a delayed <code>completeRedraw()</code> .</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available in <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">disableSceneRedraw() </code></pre><p>Turns viewport scene redraw off (disables it).</p>\n\
<p>All calls to <code>DisableSceneRedraw()</code> / <code>EnableSceneRedraw()</code> must be in pairs, since an internal counter is used in <strong>3ds Max</strong> to actually do the redraw enable/disable action.</p>\n\
<p>It is a better practice to use the<a href=\"./../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/redraw-Context.html\">with redraw off Context</a> which turns off redraws only for the expression inside the Context&apos;s body.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enableSceneRedraw() </code></pre><p>Turns viewport scene redraw on (enables it).</p>\n\
<p>All calls to <code>DisableSceneRedraw()</code> / <code>EnableSceneRedraw()</code> must be in pairs, since an internal counter is used in <strong>3ds Max</strong> to actually do the redraw enable/disable action.</p>\n\
<p>It is a better practice to use the <a href=\"./../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/redraw-Context.html\">with redraw off Context</a> which turns off redraws only for the expression inside the Context&apos;s body.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isSceneRedrawDisabled() </code></pre><p>Returns <code>true</code> if scene redraw is disabled, <code>false</code> if it is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nodeInvalRect &lt;node&gt; </code></pre><p>Invalidates the rectangle in the viewports that the node is occupying. Rectangles flagged as invalid will be updated on the next screen redraw.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Viewports.html\">Viewports</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/redraw-Context.html\">redraw Context</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";