var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E15A1883-B97D-4CB8-98FD-6C6C8E502F19\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Viewport Shading Settings</h1></div><p>The following method exposed by the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"\">MaxOps struct</a> in <strong>3ds Max 2010 and higher</strong> returns a ViewportShadingSettings object which in turn provides interfaces to control some advanced viewport settings including Soft Shadows, Ambient Occlusion and Exposure Control preview.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>In <strong>3ds Max 2012</strong>, these settings apply to the Direct3D driver. When running the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">Nitrous Graphics Manager</a>, most of these properties and methods will have no effect, for example the property <code>.ActivateViewportShading</code> documented below will return true when the viewport is set to &quot;Realistic&quot; mode, but setting the property to false <strong>will have no effect</strong> on the viewport mode or on the value of the property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;maxops.getViewportShadingSettings()      </code></pre><p>Returns an <code>&lt;IObject:ViewportShadingSettings&gt;</code> object exposing several interfaces related to advanced viewport shading controls.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vss = maxops.getViewportShadingSettings()\n\
   --&gt; &lt;IObject:ViewportShadingSettings&gt;\n\
   showInterfaces vss\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ViewportBasicSettings </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IObject:ViewportShadingSettings&gt;.ActivateViewportShading: boolean : Read|Write </code></pre><p>Get/set the state of the <strong>Enable Hardware Shading</strong> checkbox in the Lighting and Shadows tab of the Viewport Configuration dialog.</p>\n\
<p>Set to true to enable hardware shading, set to false to disable it.</p>\n\
<p>This is equivalent to <code>IViewportShadingMgr.ShadingLimit=#None</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IObject:ViewportShadingSettings&gt;.ShadingQuality: enum : Read|Write \n\
ShadingQuality enums: {#Good|#Best} </code></pre><p>Get/set the state of the <strong>Quality/Hardware Support</strong> radio buttons in the Global Settings group of controls in the Lighting and Shadows tab of the Viewport Configuration dialog.</p>\n\
<p>These are equivalent to</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.ShadingLimit=#Good </code></pre><p>and</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.ShadingLimit=#Best </code></pre><blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vss = maxops.getViewportShadingSettings()\n\
   --&gt;&lt;IObject:ViewportShadingSettings&gt;\n\
   vss.ActivateViewportShading\n\
   --&gt;false\n\
   vss.ActivateViewportShading = true\n\
   --&gt;true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IObject:ViewportShadingSettings&gt;.ShadowsActive: boolean : Read|Write </code></pre><p>Get/set the state of the <strong>Enable Shadows</strong> checkbox in the Shadow Options group of controls in the Lighting and Shadows tab of the Viewport Configuration dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IObject:ViewportShadingSettings&gt;.TonemappingActive: boolean : Read|Write </code></pre><p>Get/set the state of the <strong>Enable Exposure Control in Viewport</strong> checkbox in the Lighting and Shadows tab of the Viewport Configuration dialog.</p>\n\
<p>When set to true, the Exposure Control will be applied to the viewport.</p>\n\
<p>When set to false, it will be applied only to the final rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ViewportGISettings </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"ambient-occlusion\">Ambient Occlusion</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;IObject:ViewportShadingSettings&gt;.AmbientOcclusionMode : enum : Read|Write \n\
\n\
AmbientOcclusionMode enums: {#GIOff|#AOOnly|#AOComposite} </code></pre><p>Get/set the Viewport Ambient Occlusion mode.</p>\n\
<p>The Lighting and Shadows tab of the Viewport Configuration dialog exposes only a checkbox which corresponds to #GIOff when the checkbox is unchecked and #AOComposite when the checkbox is checked. Zero-based integers can be used in place of the enums.</p>\n\
<p>Possible numeric or enum values are:</p>\n\
<p>0 (<strong>#GIOff</strong>) - No Global Illumination.</p>\n\
<p>1 (<strong>#AOOnly</strong>) - Only Ambient Occlusion, black and white with no other shading.</p>\n\
<p>2 (<strong>#AOComposite</strong>) - Ambient Occlusion composited over the shaded scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.AmbientOcclusionQuality: enum : Read|Write \n\
\n\
AmbientOcclusionQuality enums: {#Low|#Medium|#High} </code></pre><p>Get/set the Viewport Ambient Occlusion quality.</p>\n\
<p>Possible numeric or enum values are:</p>\n\
<p>0 (<strong>#Low</strong>) - 16 sample points</p>\n\
<p>1 (<strong>#Medium</strong>) - 32 sample points</p>\n\
<p>2 (<strong>#High</strong>) - 64 sample points</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.AmbientOcclusionRadius: float : Read|Write </code></pre><p>Get/set the Ambient Occlusion sample radius value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.AmbientOcclusionStrength: float : Read|Write </code></pre><p>Get/set the Ambient Occlusion strength value. It controls the intensity of the effect. Effective range is from 0.0 to 1.0.</p>\n\
<h2 id=\"indirect-lighting-unsupported-\">Indirect Lighting (Unsupported)</h2><div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Indirect Lighting preview feature is <strong>not exposed to the UI</strong> and is <strong>not supported</strong> in <strong>3ds Max 2010</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.IndirectLightingMode: enum : Read|Write \n\
\n\
IndirectLightingMode enums: {#ILOff|#ILOnly|#ILAOComposite} </code></pre><p>Get/set the Indirect Illumination mode.</p>\n\
<p>Possible numeric or enum values are:</p>\n\
<p>0 (<strong>#ILOff</strong>) - No Indirect Lighting (default)</p>\n\
<p>1 (<strong>#ILOnly</strong>) - Only the Indirect Lighting effect will be used.</p>\n\
<p>2 (<strong>#ILAOComposite</strong>) - Indirect Lighting and Ambient Occlusion Composite mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.IndirectLightingQuality: enum : Read|Write \n\
\n\
IndirectLightingQuality enums: {#Low|#Medium|#High} </code></pre><p>Get/set the Indirect Lighting quality.</p>\n\
<p>Possible numeric or enum values are:</p>\n\
<p>0 (<strong>#Low</strong>) - 16 sample points</p>\n\
<p>1 (<strong>#Medium</strong>) - 32 sample points (default)</p>\n\
<p>2 (<strong>#High</strong>) - 64 sample points</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.IndirectLightingRadius: float : Read|Write </code></pre><p>Get/set the Indirect Lighting radius value.</p>\n\
<blockquote>\n\
<p>   <strong>CORNELL BOX EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   resetMaxFile #noPrompt\n\
   viewport.setTM (matrix3 [1,0,0] [0,0,-1] [0,1,0] [6,-150,-800])\n\
   bx = box width:300 height:300 length:300 backfacecull:true\n\
   addModifier bx (normalModifier flip:true)\n\
   mtl = multiMaterial numsubs:6\n\
   mtlred = standard diffusecolor:red\n\
   mtlblue = standard diffusecolor:blue\n\
   mtlwht = standard diffusecolor:white\n\
   mtl.materialList = #(mtlwht,mtlwht,mtlred,mtlblue,mtlwht,mtlwht)\n\
   bx.material = mtl\n\
   om = omniLight pos:[0,0,250] rgb:white shadowMultiplier:0.5\n\
   om.baseobject.castshadows = true\n\
   sph = sphere radius:50 pos:[0,0,50] segs:32\n\
   sph.material = standard diffusecolor:green selfillumamount:15.0\n\
   vss = maxops.getViewportShadingSettings()\n\
   vss.ActivateViewportShading = true\n\
   vss.ShadowsActive = true\n\
   vss.IndirectLightingRadius = 200\n\
   vss.IndirectLightingQuality = #medium\n\
   vss.IndirectLightingMode = #ILAOComposite\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<p>   <img src=\"./images/GUID-1D2B5035-F399-4861-AF69-50B96E0BDAFE-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vss.IndirectLightingMode = #ILOnly\n\
</code></pre><p>   <strong>RESULT (Indirect Lighting Only)</strong></p>\n\
<p>   <img src=\"./images/GUID-E96C15F2-DBAC-4296-B38B-69021CFE26AC-low.gif\" alt></p>\n\
</blockquote>\n\
<h2 id=\"depth-of-field-unsupported-\">Depth Of Field (Unsupported)</h2><div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Depth Of Field preview feature is <strong>not exposed to the UI</strong> and is <strong>not supported</strong> in <strong>3ds Max 2010</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.DepthOfFieldActive: boolean : Read|Write </code></pre><p>Get/set the Depth Of Field enabled state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.DepthOfFieldNearPlane: float : Read|Write </code></pre><p>Get/set the Depth Of Field Near Plane value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.DepthOfFieldFarPlane: float : Read|Write </code></pre><p>Get/set the Depth Of Field Far Plane value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.DepthOfFieldFocusPlane: float : Read|Write </code></pre><p>Get/set the Depth Of Field Focus Plane value.</p>\n\
<blockquote>\n\
<p>   <strong>DOF BOX EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   resetMaxFile #noPrompt\n\
   viewport.setTM (matrix3 [1,0,0] [0,0,-1] [0,1,0] [6,-150,-800])\n\
   bx = box width:500 height:300 length:2000 backfacecull:true\n\
   addModifier bx (normalModifier flip:true)\n\
   mp1 = checker color1:[0,200,255] color2:[255,255,200]\n\
   mp1.coords.U_Tiling = 10\n\
   mp1.coords.V_Tiling = 10\n\
   bx.material = standard diffusecolor:white diffusemap:mp1\n\
   showTextureMap bx.material mp1 true\n\
   om = omniLight pos:[0,0,250] rgb:white shadowMultiplier:0.5\n\
   om.baseobject.castshadows = true\n\
   sph = sphere radius:50 pos:[0,0,50] segs:32\n\
   sph.material = standard diffusecolor:green selfillumamount:15.0\n\
   tp1 = teapot radius:50 pos:[80,-250,0]\n\
   tp1.material = standard diffusecolor:red\n\
   tp2 = teapot radius:50 pos:[-100,500,0]\n\
   tp2.material = standard diffusecolor:blue\n\
   vss = maxops.getViewportShadingSettings()\n\
   vss.ActivateViewportShading = true\n\
   vss.ShadowsActive = true\n\
   vss.ShadowMode = #Soft\n\
   vss.AmbientOcclusionMode = #AOComposite\n\
   vss.DepthOfFieldActive = true\n\
   vss.DepthOfFieldNearPlane = 300\n\
   vss.DepthOfFieldFarPlane = 1500\n\
   vss.DepthOfFieldFocusPlane = 800\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<p>   <img src=\"./images/GUID-E0242591-1952-4EF9-A8BF-E1A3515C4E40-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ViewportShadowSettings </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject:ViewportShadingSettings&gt;.ShadowMode: enum : Read|Write \n\
ShadowMode enums: {#Hard|#Soft} </code></pre><p>Get/set the state of the Hard/Soft Shadow radio buttons in the Shadow Options group of controls in the Lighting and Shadows tab of the Viewport Configuration dialog.</p>\n\
<p>When set to <code>#Hard</code> , the shadows will be drawn in the original mode introduced in <strong>3ds Max 2008</strong>.</p>\n\
<p>When set to <code>#Soft</code> , the soft shadows mode introduced in <strong>3ds Max 2010</strong> will be used instead.</p>\n\
<blockquote>\n\
<p>   <strong>VIEWPORT SHADING EXPLORER SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript ViewportShadingExplorer category:&quot;MAXScript Help&quot;\n\
   (\n\
   global Viewport_Shading_Explorer_Dialog\n\
   try(destroyDialog Viewport_Shading_Explorer_Dialog)catch()\n\
   rollout Viewport_Shading_Explorer_Dialog &quot;Viewport Shading Explorer&quot;\n\
   (\n\
   local vss = maxops.getViewportShadingSettings()\n\
   group &quot;Hardware Shading&quot;\n\
   (\n\
   checkbox chk_ActivateViewportShading &quot;Activate Viewport Shading &quot;checked:vss.ActivateViewportShading\n\
   dropdownlist ddl_ShadingQuality items:#(&quot;Good Quality&quot;, &quot;Best Quality&quot;) selection: (findItem #(#Good, #Best) vss.ShadingQuality)\n\
   checkbox chk_TonemappingActive &quot;Exposure Control In Viewport&quot; checked:vss.TonemappingActive\n\
   )\n\
   group &quot;Shadows&quot;\n\
   (\n\
   checkbox chk_ShadowsActive &quot;Shadows Active&quot; checked:vss.ShadowsActive\n\
   dropdownlist ddl_ShadowMode items:#(&quot;Hard Shadows&quot;,&quot;Soft Shadows&quot;) selection:(if vss.ShadowMode == #Hard then 1 else 2)\n\
   )\n\
   group &quot;Soft and Area Shadows&quot;\n\
   (\n\
   spinner spn_CubeBias &quot;Cube Bias&quot; range:[0,1000,ViewportSSB.CubeBias] fieldwidth:50\n\
   spinner spn_ShadowMapSize &quot;Shadow Map Size (2^N)&quot; range:[1,10,sqrt ViewportSSB.ShadowMapSize] type:#integer fieldwidth:50\n\
   checkbox chk_AreaShadow &quot;Area Shadow&quot; checked:ViewportSSB.AreaShadow\n\
   checkbox chk_TransAreaShadow &quot;Transparent Area Shadow&quot; checked:ViewportSSB.TransAreaShadow\n\
   )\n\
   group &quot;Ambient Occlusion&quot;\n\
   (\n\
   dropdownlist ddl_AmbientOcclusionMode items:#(&quot;Ambient Occlusion Off&quot;,&quot;Ambient Occlusion Only&quot;, &quot;Ambient Occlusion Composite&quot;) selection:(findItem #(#AOOff,#AOOnly,#AOComposite) vss.AmbientOcclusionMode )\n\
   dropdownlist ddl_AmbientOcclusionQuality items:#(&quot;Low Quality&quot;,&quot;Medium Quality&quot;, &quot;High Quality&quot;) selection:(findItem #(#Low,#Medium,#High) vss.AmbientOcclusionQuality )\n\
   spinner spn_AmbientOcclusionRadius &quot;Sample Radius:&quot; range:[0,1000,vss.AmbientOcclusionRadius] fieldwidth:50\n\
   spinner spn_AmbientOcclusionStrength &quot;Strength:&quot; range:[0,1000,vss.AmbientOcclusionStrength] fieldwidth:50\n\
   )\n\
   group &quot;Indirect Lighting&quot;\n\
   (\n\
   dropdownlist ddl_IndirectLightingMode items:#(&quot;Indirect Lighting Off&quot;,&quot;Indirect Lighting Only&quot;, &quot;Indirect Lighting AO Composite&quot;) selection:(findItem #(#ILOff,#ILOnly,#ILAOComposite) vss.IndirectLightingMode )\n\
   dropdownlist ddl_IndirectLightingQuality items:#(&quot;Low Quality&quot;,&quot;Medium Quality&quot;, &quot;High Quality&quot;) selection:(findItem #(#Low,#Medium,#High) vss.IndirectLightingQuality )\n\
   spinner spn_IndirectLightingRadius &quot;Sample Radius:&quot; range:[0,1000,vss.IndirectLightingRadius] fieldwidth:50\n\
   )\n\
   group &quot;Depth Of Field&quot;\n\
   (\n\
   checkbox chk_DepthOfFieldActive &quot;Depth Of Field Active&quot; checked:vss.DepthOfFieldActive\n\
   spinner spn_DepthOfFieldNearPlane &quot;Near Plane&quot; range:[0,10000000,vss.DepthOfFieldNearPlane] fieldwidth:50\n\
   spinner spn_DepthOfFieldFarPlane &quot;Far Plane&quot; range:[0,10000000,vss.DepthOfFieldFarPlane] fieldwidth:50\n\
   spinner spn_DepthOfFieldFocusPlane &quot;Focus Plane&quot; range:[0,10000000,vss.DepthOfFieldFocusPlane] fieldwidth:50\n\
   )\n\
   on chk_ActivateViewportShading changed state do\n\
   vss.ActivateViewportShading = state\n\
   on ddl_ShadingQuality selected itm do\n\
   vss.ShadingQuality = (#(#Good, #Best))[itm]\n\
   on chk_TonemappingActive changed state do\n\
   vss.TonemappingActive = state\n\
   on chk_ShadowsActive changed state do\n\
   vss.ShadowsActive = state\n\
   on ddl_ShadowMode selected itm do\n\
   vss.ShadowMode = (#(#Hard, #Soft))[itm]\n\
   on spn_CubeBias changed val do\n\
   ViewportSSB.CubeBias = val\n\
   on spn_ShadowMapSize changed val do\n\
   ViewportSSB.ShadowMapSize = 2^val\n\
   on chk_AreaShadow changed state do\n\
   ViewportSSB.AreaShadow = state\n\
   on chk_TransAreaShadow changed state do\n\
   ViewportSSB.TransAreaShadow = state\n\
   on ddl_AmbientOcclusionMode selected itm do\n\
   vss.AmbientOcclusionMode = (#(#AOOff,#AOOnly,#AOComposite))[itm]\n\
   on ddl_AmbientOcclusionQuality selected itm do\n\
   vss.AmbientOcclusionQuality = (#(#Low,#Medium,#High))[itm]\n\
   on spn_AmbientOcclusionRadius changed val do\n\
   vss.AmbientOcclusionRadius = val\n\
   on spn_AmbientOcclusionStrength changed val do\n\
   vss.AmbientOcclusionStrength = val\n\
   on ddl_IndirectLightingMode selected itm do\n\
   vss.IndirectLightingMode = (#(#ILOff,#ILOnly,#ILAOComposite))[itm]\n\
   on ddl_IndirectLightingQuality selected itm do\n\
   vss.IndirectLightingQuality = (#(#Low,#Medium,#High))[itm]\n\
   on spn_IndirectLightingRadius changed val do\n\
   vss.IndirectLightingRadius = val\n\
   on chk_DepthOfFieldActive changed state do\n\
   vss.DepthOfFieldActive = state\n\
   on spn_DepthOfFieldNearPlane changed val do\n\
   vss.DepthOfFieldNearPlane = val\n\
   on spn_DepthOfFieldFarPlane changed val do\n\
   vss.DepthOfFieldFarPlane = val\n\
   on spn_DepthOfFieldFocusPlane changed val do\n\
   vss.DepthOfFieldFocusPlane = val\n\
   )\n\
   createDialog Viewport_Shading_Explorer_Dialog 200 605\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Viewports.html\">Viewports</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">Interface: IViewportShadingMgr</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportSSB.html\">Interface: ViewportSSB</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\">Interface: INodeShadingProperties</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">Interface: NitrousGraphicsManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";