var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-89772473-4CCA-4E65-A83C-8F053CA86478\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>createPreview Method</h1></div><p>Prior to <strong>3ds Max 2013</strong>, the <code>createPreview()</code> method provided no parameters at all and only triggered the Preview creation using the last settings found in the Make Preview dialog.</p>\n\
<p>In <strong>3ds Max 2013</strong>, several keyword arguments were added to provide better control over the Preview making process.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">createPreview filename:&lt;string&gt; outputAVI:&lt;boolean&gt; percentSize:&lt;int&gt; \\\n\
start:&lt;int&gt; end:&lt;int&gt; skip:&lt;int&gt; fps:&lt;int&gt; \\\n\
dspGeometry:&lt;boolean&gt; dspShapes:&lt;boolean&gt; dspLights:&lt;boolean&gt; \\\n\
dspCameras:&lt;boolean&gt; dspHelpers:&lt;boolean&gt; dspSpaceWarps:&lt;boolean&gt; dspParticles:&lt;boolean&gt; \\\n\
dspBones:&lt;boolean&gt; dspGrid:&lt;boolean&gt; dspSafeFrame:&lt;boolean&gt; dspFrameNums:&lt;boolean&gt; \\ \n\
dspBkg:&lt;boolean&gt; rndLevel:&lt;#smoothhighlights | #smooth | #facethighlights \\ \n\
| #facet | #flat | #hiddenline | #litwireframe | #wireframe | #box&gt; \\\n\
useMPCamEffect:&lt;boolean&gt; dspSpaceWarps:&lt;boolean&gt;\n\
</code></pre><p>Creates a preview animation sequence using either the last settings in the Make Preview dialog or the optional arguments, if provided.</p>\n\
<p><strong>filename:</strong> When specified, saves the output to a file with this path and name. When not specified, uses the default &quot;_preview&quot; name and the path in the <code>#preview</code> system directory.</p>\n\
<p><code>outputAvi:</code> When true, outputs to AVI file with the last selected CODEC. When false, outputs to custom file sequence.</p>\n\
<p><code>percentSize:</code> Defines the Preview output size as percentage of the current <code>renderWidth</code> and <code>renderHeight</code> values.</p>\n\
<p><code>start:</code> Defines the first frame of the Preview animation.</p>\n\
<p><code>end:</code> Defines the last frame of the Preview animation.</p>\n\
<p><code>skip:</code> Defines the Every Nth frame step of the Preview animation. Corresponds to the &quot;Every Nth Frame&quot; value in the Make Preview Dialog.</p>\n\
<p><code>fps:</code> Defines the Frame Rate of the Preview animation.</p>\n\
<p><code>dspGeometry:</code> Controls the display of Geometry objects in the Preview animation (except those handled by other flags like Particles and Bones).</p>\n\
<p><code>dspShapes:</code> Controls the display of Shape objects in the Preview animation.</p>\n\
<p><code>dspLights:</code> Controls the display of Light objects in the Preview animation. This applies to the viewport visibility of the light objects, not to their illumination - they will illuminate the scene even if hidden.</p>\n\
<p><code>dspCameras:</code> Controls the display of Camera objects in the Preview animation.</p>\n\
<p><code>dspHelpers:</code> Controls the display of Helper objects in the Preview animation.</p>\n\
<p><code>dspParticles:</code> Controls the display of Particle objects in the Preview animation.</p>\n\
<p><code>dspBones:</code> Controls the display of Bone objects in the Preview animation.</p>\n\
<p><code>dspGrid:</code> Controls the display of Home of Custom Grid in the Preview animation.</p>\n\
<p><code>dspSafeFrame:</code> Controls the display of Safe Frames in the Preview animation.</p>\n\
<p><code>dspFrameNums:</code> Controls the display of Frame Number counter in the Preview animation.</p>\n\
<p><code>dspBkg:</code> Controls the display of the Viewport Background in the Preview animation.</p>\n\
<p><code>rndLevel:</code> Controls the render level <strong>when using the Direct3D Driver</strong>. When using Nitrous, the current Nitrous settings accessible through <code>NitrousGraphicsManager.GetActiveViewportSetting()</code> are used.</p>\n\
<p><code>useMPCamEffect:</code> Controls whether multipass camera effects are performed in the Preview animation. If <strong>true</strong>, and the current viewport is a camera view with a multipass camera effect defined, the effect is evaluated.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong>\n\
<code>dspSpaceWarps:</code> Controls the display of Space Warp helper objects in the Preview animation.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Viewports.html\">Viewports</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";