var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5D007B11-0770-47BC-B4ED-5D3DF8C78BE9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing the Last Rendered Image</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getLastRenderedImage [ copy:&lt;boolean&gt; ]      </code></pre><p>The <code>getLastRenderedImage()</code> method returns the last image rendered via Render Scene, Render Last, or Quick Render as a bitmap value.</p>\n\
<p>If the optional keyword argument <code>copy:</code> is not specified or is set to <code>true</code> in <strong>3ds Max 2009 and higher</strong>, the bitmap will be copied into a new bitmap value. If the keyword argument <code>copy:</code> is specified as <code>true</code> , the MAXScript bitmap value will share the renderer&apos;s bitmap.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The renderer reuses the last rendered bitmap value when re-rendering with the same dimensions. If the dimensions have been changed, a new bitmap value will be created.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<ul>\n\
<li><p>Render the scene</p>\n\
</li>\n\
<li><p>Run the following code:</p>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bm = GetLastRenderedImage copy:false --share the bitmap\n\
   display bm\n\
</code></pre><ul>\n\
<li><p>Change the view and render the scene again.</p>\n\
</li>\n\
<li><p>Run the following code:</p>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   display bm\n\
</code></pre><p>   <strong>RESULT</strong>: The bitmap display will update to reflect the second render.</p>\n\
<ul>\n\
<li><p>Change the render size and render the scene again.</p>\n\
</li>\n\
<li><p>Run the following code:</p>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   display bm\n\
</code></pre><p>   <strong>RESULT</strong>: The bitmap display will still reflect the second render because the third render created a new bitmap value which is not referenced by the variable bm.</p>\n\
<p>   You still need to call <code>free bm</code> to release the underlying bitmap from the MAXScript bitmap value if you want the release to occur before the MAXScript bitmap value is garbage collected.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Miscellaneous-Functions.html\">Miscellaneous Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";